CLICK Ethernet Setup

The following information applies for the AutomationDirect CLICK PLCs compatible with C-more Touch Panels.

The C-more panel is the master when communicating with a CLICK PLC.

CLICK Programming Software Settings

To find the PLC port settings for the CLICK PLC, open up the CLICK Programming Software and from the Setup Menu select Com Port Setup as shown below or select the Function Tab from the Navigation window located on the left side of the program and double-click Com Port1 Setup, also shown below.

Com Port1 Setup

The IP Address and TCP Port Number displayed by the CLICK Com Port Setup Details window highlighted and shown below MUST match the IP Address and PLC Port in the C-more Panel Manager.

CLICK Password Setup

If the CLICK password option is enabled, the "Read Data from PLC" and "Write Data into PLC" features must NOT be selected.

C-more Panel Manager Settings

Access the Panel Manager by selecting the Setup Menu located on the Main Menu or from the Function Tab of the Navigation Window as shown below.

From the Panel Manager window click on the DEV001 selection on the tree to the left to open the Device Setup screen of the Panel Manager window shown below.

From the PLC Protocol field, click on the down arrow [image] and select the AutomationDirect CLICK Ethernet selection.

Anytime you select a different PLC Protocol than the one already displayed, the Warning Message shown below will pop up. Click Yes to accept and the Fields for the selected Protocol will be displayed as shown on the applicable figure above.

Protocol Configuration

Always remember that the IP Address and PLC Port field values MUST match the field values on the CLICK Programming Software setup explained above.

The fields available are:

  1. IP Address: The IP Address of the CLICK CPU. Use the CLICK Programming Software as shown above to find the IP Address for the CLICK PLC.

  2. PLC Port (0-65535): Specifies the destination TCP port number that C-more will send to the CLICK CPU. The default is 502. This number may need to be adjusted for firewall/router purposes.

  3. Registers Per Message: Selects the number of registers to be Read/Written per Message. The default number is 64. If fewer Registers per message are used, this reduces the communication time for a single message and increases the amount of error checking that is done. The number may need to be adjusted for specific controllers that have a limit to the number of Registers allowed in a Read or Write Message. (Our example uses the default of 64.)

  4. Coils Per Message: Selects the number of Coils to be Read/Written per Message. The default number is 64. If fewer Coils per Message are used, this reduces the communication time for a single message and increases the amount of error checking that is done. The number may need to be adjusted for specific controllers that have a limit to the number of Coils allowed in a Read or Write Message. (Our example uses the default of 64.)

  5. Retries (0-10): This is the number of times that the Touch Panel will Retry to send a message if the request does not receive a Reply in the specified Timeout period. Once the Retry count has been reached, the Touch Panel will show an Error on the screen and begin trying to send messages again.

  6. Timeout Time (1-255) [100ms]: This is the amount of Time (in tenths of a second units) that the C-more panel will wait on a reply after sending a request. Once the Timeout timer expires, it will then retry.

  7. Poll Time (0-30000msec): This is the amount of Time (in tenths of a second) that C-more panel will wait in between each request.

Note: To Set the CLICKTime and Date from C-more, refer to the CLICK help file information on how to change Date/Time from an external device (how to change the Date/Time without using CLICK programming software.) The C-moreInternal Clock source feature may not be used to set CLCIK Date/Time.

Related Topics Link Icon Related Topics


CLICK Modbus Addressing

* Note: For the items referenced in the table below with an Asterisk (*), see the explanation of X and Y Addressing syntax below:

Mem. Type | Addr. Range | Bit Spec | Description | Read /Write Type | Data Type
X | * Module Location | * Point Number | Input Memory | Read Only | Discrete
 | 0 to 8 | 1 to 16
XD | 0 to 8 |  | Input Memory | Read Only | Word
Y | * Module Location | * Point Number | Output Memory | R/W | Discrete
 | 0 to 8 | 1 to 16
YD | 0 to 8 |  | Output Memory | R/W | Word
C |  | 1 to 2000 | Internal Bit | R/W | Discrete
T |  | 1 to 500 | Timer Complete Bit | R/W | Discrete
TD | 1 to 500 |  | Timer Present Value | R/W | Word
CT |  | 1 to 250 | Counter Complete Bit | R/W | Discrete
CTD | 1 to 250 |  | Counter Present Value | R/W | Double Word
SC |  | 1 to 1000 | System Bit | Read Only | Discrete
DS | 1 to 4500 |  | Data Register (Signed 16) | R/W | Word
DD | 1 to 1000 |  | Data Register (Signed 32) | R/W | Double Word
DH | 1 to 500 |  | Data Register (Hex) | R/W | Word
DF | 1 to 500 |  | Data Register (Float) | R/W | Double Word
SD | 1 to1000 |  | System Register | Read Only | Word
TXT | 1 to 1000 |  | Text Register | R/W | Byte

Note: To Set the CLICK Time and Date from C-more, refer to the CLICK help file information on how to change Date/Time from an external device (how to change the Date/Time without using CLICK programming software.) The C-more Internal Clock source feature may not be used to set CLCIK Date/Time.


Modbus Error Codes

Topic: CM503

CLICK Error Codes

The following Table provides reference information for Error Codes specific to the Modbus protocols:

  • AutomationDirect CLICK
  • AutomationDirect GS Drives
  • AutomationDirect Modbus (Koyo Addressing)
  • AutomationDirect SOLO Temp Controllers
  • Entivity Modbus RTU
  • Entivity Modbus Ethernet (H2WinPLC)
  • Modicon Modbus RTU
  • Modicon Modbus TCP/IP Ethernet

The error message is displayed across the top of the panel screen.

Error Code P499 shows any Errors that are generated by the connected PLC. The P499 Error Message includes a four digit hexadecimal value displayed at the end of the message. These values, specific to the Modbus protocols, appear in the table below.

To see a link to the C-more Errors Table, which provides Error Codes specific to the C-more Touch Panel, click the green text.

Note: The following Errors are generated from the designated PLC, monitored by the C-more Panel, and displayed on the panel's screen if active. Please refer to the PLC manufacturer's documentation for additional and up-to-date information.

Note: When using Automation Direct DirectLogic PLCs: 1. The Mode Switch of the PLC must be in the (TERM) position in order for the C-more Touch Panel to communicate with the PLC. 2. DirectLogic PLCs support Multi-level Password Protection of the ladder program. This allows Password protection while not locking the communication port to an operator interface. The Multi-level Password can be invoked by creating a Password with an upper case "A" followed by seven numeric characters (e.g. A1234567). Please refer to the specific PLC user manual for further details.

Modbus Exception Codes
Error Codes | Name | Meaning
0x0001 | ILLEGAL FUNCTION | The function code received in the query is not an allowable action for the server (or slave). This may be because the function code is only applicable to newer devices and was not implemented in the unit selected. It could also indicate that the server (or slave) is in the wrong state to process a request of this type, for example because it is unconfigured and is being asked to return registered values.
0x0002 | ILLEGAL DATA ADDRESS | The data address received in the query is not an allowable address for the server (or slave). More specifically, the combination of reference number and transfer length is invalid. For a controller with 100 registers, the PDU addresses the first register as 0, and the last one as 99. If a request is submitted with a starting register address of 96 and a quantity of registers of 4, then the request will successfully operate (address-wise at least) on registers 96, 97, 98, 99. If a request is submitted with a starting register of 96 and a quantity of registers of 5, then the request will fail with Exception code 0x02 "Illegal Data Address" since it attempts to operate on registers 96, 97, 98, 99 and 100, and there is no register with address 100.
0x0003 | ILLEGAL DATA VALUE | A value contained in the query data field is not an allowable value for server (or slave). This indicates a fault in the structure of the remainder of a complex request, such as that the implied length is incorrect. It specifically does NOT mean that a data item submitted for storage in a register has a value outside the expectation of the application program, since the Modbus protocol is unaware of the significance of any particular value of any particular register.
0x0004 | SLAVE DEVICE FAILURE | An unrecoverable error occurred while the server (or slave) was attempting to perform the requested action.


CLICK Serial Setup

The following information applies for the AutomationDirect CLICK PLCs compatible with C-more Touch Panels.

The C-more panel is the master when communicating with a CLICK PLC.

CLICK Programming Software Settings

To find the PLC port settings for the CLICK PLC, open up the CLICK Programming Software and from the Setup Menu select Com Port Setup as shown below or select the Function Tab from the Navigation window located on the left side of the program and choose either Com Port1 or Com Port2 Setup, also shown below.

Com Port1 Setup

If connecting the C-more Touch Panel to Port1 of the CLICK CPU, match the fixed settings displayed by the CLICK Com Port Setup Details window highlighted and shown below.

Com Port2 Setup

If you are connecting the C-more Touch Panel to Port2 of the CLICK PLC, then the following parameters MUST MATCH the settings displayed by the CLICK Com Port Setup Details window highlighted and shown below.

CLICK Password Setup

If the CLICK password option is enabled, the "Read Data from PLC" and "Write Data into PLC" features must NOT be selected.

C-more Panel Manager Settings

Access the Panel Manager by selecting the Setup Menu located on the Main Menu or from the Function Tab of the Navigation Window as shown below.

From the Panel Manager window click on the DEV001 selection on the tree to the left to open the Device Setup screen of the Panel Manager window shown below.

From the PLC Protocol field, click on the down arrow [image] and select the AutomationDirect CLICK Serial selection.

Anytime you select a different PLC Protocol than the one already displayed, the Warning Message shown below will pop up. Click Yes to accept and the Fields for the selected Protocol will be displayed as shown on the applicable figure above.

Protocol Configuration

Use the CLICK Programming Software screen on the top of this page as reference. The fields available for configuration are set by default by the C-more Programming Software but can be modified if needed. Always remember that the field values MUST match the field values on the CLICK Programming Software setup explained above.

The fields available are:

  1. PLC Slave Number (1-247): This is the Node Address of the PLC port that the C-more panel will be connected to. This number should match the Node Address field for Port 2 of the PLC port connected to the C-more panel. If C-more is connected to Port 1 of the PLC, this number should be 1.

  2. Baud Rate: This setting should match the Baud Rate set in the Baud Rate field for Port 2 of the PLC port that C-more panel is connected to. If C-more panel is connected to Port 1 of the PLC, this Number should be 38400.

  3. Parity: This setting should match the Parity field for Port 2 of the PLC port that the C-more panel is connected to. If C-more panel is connected to Port 1 of the PLC, this field should be set to Odd.

  4. Stop Bit: Stop Bits are extra Bits which follow the data and parity Bits to mark the end of the transmission. For older systems, the Stop Bit may need to be increased to 2, but 1 is usually the correct setting. (The example uses a default Stop Bit of 1.)

  5. Control RTS: If Yes is selected, then the C-more touch panel senses the RTS signal line is being controlled from the PLC port. Also, select Yes if the RS-422 driver signal needs to be turned OFF at the end of transmission. The default is No and is based on connecting to a port with the RTS and CTS signals jumpered together. (Our example uses the default No for this protocol setting.).

  6. Require CTS: If Yes is selected, then the C-more touch panel senses the CTS signal line is being controlled from the PLC port. The default is No and is based on connecting to a port with the RTS and CTS signals jumpered together.

  7. Select RS485: When the C-more touch panel is communicating to a device using RS-485, select Yes for this protocol setting, otherwise select No. When Yes is selected, the Control RTS setting is forced to Yes for controlling the RS-485 driver.

  8. PLC Protocol: “RTU” is the only selection available for CLICK.

  9. Registers Per Message: Selects the number of registers to be Read/Written per Message. The default number is 64. If fewer Registers per message are used, this reduces the communication time for a single message and increases the amount of error checking that is done. The number may need to be adjusted for specific controllers that have a limit to the number of Registers allowed in a Read or Write Message. (Our example uses the default of 64.)

  10. Coils Per Message: Selects the number of Coils to be Read/Written per Message. The default number is 64. If fewer Coils per message are used, this reduces the communication time for a single message and increases the amount of error checking that is done. The number may need to be adjusted for specific controllers that have a limit to the number of Coils allowed in a Read or Write Message. (Our example uses the default of 64.)

  11. Timeout (0-255): This is the amount of Time (in tenths of a second units) that the C-more panel will wait on a reply after sending a request. Once the Timeout timer expires, it will then retry.

  12. Poll Time (0-30000 msec): This is the amount of Time (in milliseconds) that C-more panel will wait in between each request.

Note: To Set the CLICK Time and Date from C-more, refer to the CLICK help file information on how to change Date/Time from an external device (how to change the Date/Time without using CLICK programming software.) The C-more Internal Clock source feature may not be used to set CLCIK Date/Time.


AutomationDirect DirectNet (DL05/06/105/205/350/405) Protocol Setup

The AutomationDirect DirectNet (DL05/06/105/205/350/405) protocol is used with Direct LOGIC PLCs DL05 (all models), DL06 (all models), D2-240, D2-250, D2-250-1, D2-260, D3-350, D4-430, D4-440 and D4-450.

Note: The Mode Switch of all DirectLogic PLCs must be in the (TERM) position in order for the C-more Touch Panel to communicate with the PLC. DirectLogic PLCs support Multi-level Password protection of the ladder program. This allows Password protection while not locking the communication port to an operator interface. The Multilevel Password can be invoked by creating a Password with an upper case "A" followed by seven numeric characters (e.g. A1234567). Please refer to the specific PLC user manual for further details.

C-more Panel Manager Settings

To access the Panel Manager from the C-more Programming Software, from the Main Menu select Setup. The drop down menu shown below opens.

From the Setup drop down menu, select the Panel Manager selection. The Panel Manager window opens by default displaying Panel Settings. From this window, click on the DEV001 selection on the tree to the left of the window as shown below.

When the DEV001 Icon is selected, the right portion of the window will change to display the Device Setup screen for DEV001. From the PLC Protocol field, click on the down arrow [image] and select AutomationDirect DirectNet (DL05/06/105/205/350/405).

Anytime you select a different PLC Protocol than the one already displayed, the Warning Message shown below will pop up. Click Yes to accept and the Fields for the selected Protocol will be displayed as shown on the figure above.

All of the following settings must be set the same as the settings in Panel Manager in the C-more Programming Software. The C-more Panel Manager is shown above with the AutomationDirect DirectNet (DL05/06/105/205/350/405) driver selected.

Setup PLC Comm Port for AutomationDirect DirectNet (DL05/06/105/205/350/405) Using DirectSoft

From the DirectSoft programming software, select the PLC drop-down menu from the Main Menu as shown below, select Setup and then click on Setup Sec. Comm Port. It should be noted that in this example, we will be using Port 2 found on such Direct LOGIC PLCs as the DL06, D2-250-1 and D2-260. Please refer to the individual user manuals of the particular PLC you are using for descriptions and settings of other communication ports available on the Direct LOGIC PLCs. The user manuals are available on-line and can be downloaded at www.automationdirect.com.

The Setup Communication Ports window in the Direct SOFT programming software will open and we will want to set the protocol settings as shown below for our example. These settings should match the like settings that were done in the C-more Panel Manager.

NOTE: It is strongly recommended that the Format selection be set for "Hex".

  1. Time-out: The PLC Time-out is only used when the PLC is the Master device. The C-more panel is the master when communicating on a DirectNet network.

  2. RTS ON/OFF Delay: RTS (Request to Send) is a handshaking signal to notify another device that the asserting device would like to transmit. RTS ON and RTS OFF delay can typically be set to 0 ms for 4-wire networks. For 2-wire networks, the values should be increased to 5 ms and 2 ms respectively. See below. (In our example we are not using RTS so we have kept the default values of 0 ms for both ON and OFF delays.)

  3. Station Number: The Station Number is the Slave Number or Address. This is the Number that will be polled by the Master (C-more panel) on the network. Slaves can be addressed from 1 through 90 for DirectNet protocol.

  4. Baud Rate: Baud Rate is the rate at which data is transmitted across the connection in bits per second (bps). A good starting point is 9600 bps. If no problems are encountered, then increase the Baud Rate to the maximum achievable without communication problems. (The example is shown using a Baud Rate of 19,200 bps.)

  5. Stop Bits: Stop Bits are extra Bits which follow the data and parity Bits to mark the end of the transmission. For older systems, the Stop Bit may need to be increased to 2, but 1 is usually the correct setting. (The example uses a default Stop Bit of 1.)

  6. Parity: Parity is a low level form of error checking that counts the number of 1's in the Bit Stream to ensure that none have been changed. The Parity Bit is turned ON or OFF to achieve the correct number of 1's in the data packet; either Odd or Even. If the number of 1's is Even when Parity is set to Odd, then the packet has been corrupted. This setting largely depends upon the required settings of the other equipment on the network. (Our example uses Odd Parity, which is the default for some of the DirectLOGIC PLC's fixed ports, such as Port 1 on the DL05 and DL06 PLCs.)

  7. Format: DirectNET protocol requires that the Format be selected Hex or ASCII. In other words, the data represents a Hexadecimal number or an ASCII character. All of the other protocols ignore this parameter. If you want the fastest communication possible, select HEX mode. The same data is twice as long in ASCII format, so it takes longer to transfer. If you have a device on the network that requires ASCII, then choose ASCII mode. ASCII is not usually recommended unless absolutely necessary. (Our example uses a HEX format.)

Note: The Baud Rate, Stop Bits and Parity must all be the same for every device on the network in order for communications to work properly.

DirectNet Networking Notes

The C-more touch panel acts as the Master when connected to one or more Direct LOGIC PLCs, which become Slave stations. There can be up to 90 Slave stations connected to a single C-more touch panel Master. The Master station is addressed as the number Zero (0). The Slave station numbers are addressed as 1 - 90, with the default being 1. The Master communicates with the Slave units using the Direct LOGIC PLC driver, which issues network requests using the Direct NET protocol.


AutomationDirect DirectNet (DL05/06/105/205/350/405) Addressing

Memory Type | Address Range | Bit Specification | Description | Read/Write Type | Data Type
X | 0 to 1777 |  | Input | R/W | Discrete
Y | 0 to 1777 |  | Output | R/W | Discrete
C | 0 to 3777 |  | Internal Relay | R/W | Discrete
SP | 0 to 777 |  | Specific Relay | Read Only | Discrete
T | 0 to 377 |  | Timer | Read Only | Discrete
CT | 0 to 377 |  | Counter | Read Only | Discrete
S | 0 to 1777 |  | Stage | R/W | Discrete
GX | 0 to 3777 |  | Remote@Input/Output | R/W | Discrete
GY | 0 to 3777 |  | RemoteOutput | R/W | Discrete
V | 0 to 377 | 0 to 15 | Timer Present Value | R/W | Discrete
V | 0 to 377 |  | Timer Present Value | R/W | Word
V | 400 to 677 | 0 to 15 | Data Register | R/W | Discrete
V | 400 to 677 |  | Data Register | R/W | Word
V | 700 to 777 | 0 to 15 | System Parameter | Read Only | Discrete
V | 700 to 777 |  | System Parameter | Read Only | Word
V | 1000 to 1377 | 0 to 15 | Counter Present Value | R/W | Discrete
V | 1000 to 1377 |  | Counter Present Value | R/W | Word
V | 1200 to 7577 | 0 to 15 | Data Register | R/W | Discrete
V | 1200 to 7577 |  | Data Register | R/W | Word
V | 7600 to 7777 | 0 to 15 | Specific Register | Read Only | Discrete
V | 7600 to 7777 |  | Specific Register | Read Only | Word
V | 10000 to 37777 | 0 to 15 | Data Register | R/W | Discrete
V | 10000 to 37777 |  | Data Register | R/W | Word
V | 37000 to 37777 | 0 to 15 | Specific Register | R/W | Discrete
V | 37000 to 37777 |  | Specific Register | R/W | Word
V | 40000 to 40177 | 0 to 15 | Link Input | R/W | Discrete
V | 40000 to 40177 |  | Link Input | R/W | Word
V | 40200 to 40377 | 0 to 15 | Link Output | R/W | Discrete
V | 40200 to 40377 |  | Link Output | R/W | Word
V | 40400 to 40477 | 0 to 15 | Input | R/W | Discrete
V | 40400 to 40477 |  | Input | R/W | Word
V | 40500 to 40577 | 0 to 15 | Output | R/W | Discrete
V | 40500 to 40577 |  | Output | R/W | Word
V | 40600 to 40777 | 0 to 15 | Internal Relay | R/W | Discrete
V | 40600 to 40777 |  | Internal Relay | R/W | Word
V | 41000 to 41077 | 0 to 15 | Stage | R/W | Discrete
V | 41000 to 41077 |  | Stage | R/W | Word
V | 41100 to 41117 | 0 to 15 | Timer | Read Only | Discrete
V | 41100 to 41117 |  | Timer | Read Only | Word
V | 41140 to 41157 | 0 to 15 | Counter | Read Only | Discrete
V | 41140 to 41157 |  | Counter | Read Only | Word
V | 41200 to 41237 | 0 to 15 | Specific Relay | Read Only | Discrete
V | 41200 to 41237 |  | Specific Relay | Read Only | Word


AutomationDirect DirectNet (DL05/06/105/205/350/405) Error Codes

Only Errors as listed in the Touch Panel Error Code Table can occur when using the AutomationDirect DirectNet (DL05/06/105/205/350/405) Protocol. There are no PLC generated errors. To view the C-more Touch Panel Error Codes, click the button below.

Note: The Mode Switch of all DirectLogic PLCs must be in (TERM) position in order for the C-more Touch Panel to communicate with the PLC. DirectLogic PLCs support Multi-level Password protection of the ladder program. This allows Password protection while not locking the communication port to an operator interface. The Multilevel Password can be invoked by creating a Password with an upper case "A" followed by seven numeric characters (e.g. A1234567). Please refer to the specific PLC user manual for further details.


DirectLogic DirectNet for 330 and 340 Setup

The DirectNET for DirectLogic 330 and 340 protocol is used with Direct LOGIC PLCs D3-330 and D3-340.

Note: DirectLogic PLCs support Multi-level Password protection of the ladder program. This allows Password protection while not locking the communication port to an operator interface. The Multilevel Password can be invoked by creating a Password with an upper case "A" followed by seven numeric characters (e.g. A1234567). Please refer to the specific PLC user manual for further details.

C-more Panel Manager Settings

To access the Panel Manager from the C-more Programming Software, from the Main Menu select Setup. The drop down menu shown below opens.

From the Setup drop down menu, select the Panel Manager selection. The Panel Manager window opens by default displaying Panel Settings. From this window, click on the DEV001 selection on the tree to the left of the window as shown below.

When the DEV001 Icon is selected, the right portion of the window will change to display the Device Setup screen for DEV001.

From the PLC Protocol field, click on the down arrow [image] and select the AutomationDirect DirectNet (DL330/340) selection. Anytime you select a different PLC Protocol than the one already displayed, the Warning Message shown below will pop up. Click Yes to accept and the Fields for the selected Protocol will be displayed as shown on the figure above.

Additional device drivers to communicate with the touch panel can be added using the Panel Manager dialog box. In the example, we have selected a Station Number of 1, a Baud Rate of 19,200, etc. It is important to make sure that the selections for the protocol in the Panel Manager match the selections that we will make in the setup of the PLC's communications port which follows. In the example below, the basic defaults for Parity, Control RTS, Require CTS, Wiring, Timeout and Poll Time are left as shown above.

Setup PLC Comm Port for DirectLogic DirectNet (for DL330/340) Using DirectSoft

From the DirectSoft programming software, select the PLC drop-down menu from the Main Menu, select Setup and then click on Setup Sec. Comm Port. In this example, we will use Port 2 on a D3-340 CPU. Please refer to the individual user manuals of the particular PLC you are using for descriptions and settings of other communication ports available on the Direct LOGIC PLCs. The user manuals are available on-line and can be downloaded at www.automationdirect.com.

The Setup Secondary Communication Port window in the Direct SOFT programming software will open and we will set the protocol settings as shown below for our example. These settings should match the like settings in the C-more Panel Manager.

Note: It is strongly recommended that the Format selection be set for "Hex".

Protocol Settings:

  1. Baud Rate is the rate at which data is transmitted across the connection in bits per second (bps). A good starting point is 9600 bps. If no problems are encountered, then increase the Baud Rate to the maximum achievable without communication problems. (The example is shown using a Baud Rate of 19,200 bps.)

  2. Parity: See Chapter 3 in the DirectLogic 305 User Manual, D3-USER-M)

  3. Format: DirectNET protocol requires that the Format be selected – Hex or ASCII. In other words, the data represents a Hexadecimal number or an ASCII character. All of the other protocols ignore this parameter. If you want the fastest communication possible, select HEX mode. The same data is twice as long in ASCII format, so it takes longer to transfer. If you have a device on the network that requires ASCII, then choose ASCII mode. ASCII is not usually recommended unless absolutely necessary. (Our example uses a HEX format.)

Note: The Baud Rate, Stop Bits and Parity must all be the same for every device on the network in order for communications to work properly.

DirectNet for DL330

The D3-330 requires the use of D3-232-DCU. See the user manual D3-DCU-M for dip switch settings.

DirectNet Networking Notes

The C-more Touch Panel acts as the Master when connected to one or more Direct LOGIC PLCs, which become Slave stations. There can be up to 90 Slave stations connected to a single C-more touch panel Master. The Slave station numbers are addressed as 1 - 90, with the default being 1. The Master communicates with the Slave units using the Direct LOGIC PLC driver, which issues network requests using the Direct NET protocol.


AutomationDirect DirectNet (DL330/340) Addressing

Memory Type | Address Range | Bit Specification | Description | Read/Write Type | Data Type
IO | 0 to 157 |  | Input/Output Point | R/W | Discrete
IO | 700 to@767 |  | Input/Output Point | R/W | Discrete
C | 160 to 373 |  | Internal Relay | R/W | Discrete
C | 374 to 377 |  | Specific Relay | Read Only | Discrete
C | 770 to 777 |  | Specific Relay | Read Only | Discrete
C | 1000 to 1067 |  | Internal Relay | R/W | Discrete
C | 1070 to 1077 |  | Specific Relay | Read Only | Discrete
SR | 400 to 577 |  | Shift Register | Read Only | Discrete
 | 600 to 677 |  | Timer/Counter Status Bit | Read Only | Discrete
R | 0 to 15 | 0 to 15 | Input/Output Point | R/W | Discrete
R | 0 to 15 |  | Input/Output Point | R/W | Word
R | 16 to 37 | 0 to 15 | Internal Relay | R/W | Discrete
R | 16 to 37 |  | Internal Relay | R/W | Word
R | 37 |  | Specific Relay | R/W | Word
R | 70 to 76 | 0 to 15 | Input/Output Point | R/W | Discrete
R | 70 to 76 |  | Input/Output Point | R/W | Word
R | 77 |  | Specific Relay | R/W | Word
R | 100 to 106 | 0 to 15 | Internal Relay | R/W | Discrete
R | 100 to 106 |  | Internal Relay | R/W | Word
R | 107 |  | Specific Relay | R/W | Word
R | 400 to 563 |  | Data Word | R/W | Word
R | 574 to 577 |  | Specific Register | Read Only | Word
R | 600 to 677 |  | Timer/Counter Elapsed Value | R/W | Word
R | 700 to 767 |  | Data Word | R/W | Word
R | 770 to 777 |  | Specific Register | Read Only | Word
CT | 600 to 677 |  | Timer/Counter Status Bit | Read Only | Word
TCA | 600 to 677 |  | Timer/Counter Present Value | R/W | Word
CTA | 600 to 677 |  | Timer/Counter Present Value | R/W | Word


AutomationDirect DirectNet (DL330/340) Error Codes

Only Errors as listed in the Touch Panel Error Code Table can occur when using the AutomationDirect Directnet (DL330/340) Protocol. There are no PLC generated errors. To view the C-more Touch Panel Error Codes, click the button below.

Note: The Mode Switch of all DirectLogic PLCs must be in (TERM) position in order for the C-more Touch Panel to communicate with the PLC. DirectLogic PLCs support Multi-level Password protection of the ladder program. This allows Password protection while not locking the communication port to an operator interface. The Multilevel Password can be invoked by creating a Password with an upper case "A" followed by seven numeric characters (e.g. A1234567). Please refer to the specific PLC user manual for further details.


DirectLogic Ethernet to H0/H2/H4 ECOM Modules Setup

The DirectLOGIC Ethernet protocol is used with Direct LOGIC PLCs DL05 (all models), DL06 (all models), D2-240, D2-250, D2-250-1, D2-260, D3-350, D4-430, D4-440 and D4-450 with the addition of an Ethernet Communications Module (ECOM), part numbers H0-ECOM/ECOM100, H2-ECOM/ECOM100 or H4-ECOM/ECOM100.

The C-more panel is the master when communicating with a DirectLOGIC PLC.

Note: It's important that the IP Address Subnet for the C-more Touch Panel and the PLC ECOM module are the same in order for the two devices to communicate via Ethernet. It is also important for the PC to have the same Subnet in order for it to communicate both devices.

Note: The Mode Switch of all DirectLogic PLCs must be in (TERM) position in order for the C-more Touch Panel to communicate with the PLC. DirectLogic PLCs support Multi-level Password protection of the ladder program. This allows Password protection while not locking the communication port to an operator interface. The Multilevel Password can be invoked by creating a Password with an upper case "A" followed by seven numeric characters (e.g. A1234567). Please refer to the specific PLC user manual for further details.

C-more Panel Manager Settings

To access the Panel Manager from the C-more Programming Software, from the Main Menu select Setup. The drop down menu shown below opens.

From the Setup drop down menu, select the Panel Manager selection. The Panel Manager window opens by default displaying Panel Settings. From this window, click on the DEV001 selection on the tree to the left of the window as shown below.

When the DEV001 Icon is selected, the right portion of the window will change to display the Device Setup screen for DEV001. From the PLC Protocol field, click on the down arrow [image] and select AutomationDirect ECOM Ethernet (DL05/06/205/405).

Note: We will only be able to see the IP Address of the ECOM module if it has been assigned the same Subnet as the Network Interface Card (NIC) that is setup in the PC and they are networked together.

Anytime you select a different PLC Protocol than the one already displayed, the Warning Message shown below will pop up. Click Yes to accept and the Fields for the selected Protocol will be displayed as shown on the figure above.

The following shows the Node List dialog box with the ECOM module highlighted for the PLC ECOM module that we are configuring. Click on the module you want to use to highlight it.

The Module Name and IP Address will automatically be entered into their respective parameter boxes when the Node List dialog box's OK button is clicked. The result is shown below. We have kept the other parameters with their default settings.

Note: The Module Name parameter will import the name that has been assigned for the ECOM module, but the Module Name does not have to be the same as what was assigned for the ECOM module. You can create any name that you prefer.

If the ECOM is not connected and you know the IP Address that has been assigned to the ECOM module, then you can enter that IP Address into the parameter box manually. Before you can click the OK button in the Panel Manager dialog box, you will need to enter a name in the Module Name box. Again, the name does not have to be the same as the module name assigned to the ECOM module, although it allows keeping track of the various devices in your network easier if the names for each module are kept consistent.

In the example, we have selected an IP Address of 192.168.33.3, etc. It is important to make sure that the selections for the protocol in the Panel Manager match the selections that we will make in the setup of the PLC's ECOM module which follows.

Example Setup for the PLC ECOM Port for DirectLOGIC Ethernet

In the DirectSoft Programming Software, under the DSLaunch window, select the NetEdit 3 utility form the Main Menu tree.

Select the ECOM module that we will be using with our C-more touch panel by double clicking on it.

The General Settings dialog box will pop up. It is within this box that we will set our Module ID Number, Name, IP Address and Subnet Mask for our example.

Click OK when finished to accept.

Checking

C-more Touch Panel's IP Address

The C-more touch panel's IP Address can be checked by using the Panel Tab on the C-more Programming Software's Navigation Window shown below, and then selecting Ethernet under the Communication Config dialog at the bottom of the Navigation Window, and then clicking the Browse button.

The Dialog Window shown below will pop up. Identify the touch panel that you will be communicating with from your PLC. From this window you can also select the C-more touch panel that you wish to communicate with from your PC.


AutomationDirect ECOM Ethernet (DL05/06/205/405) Addressing

Memory Type | Address Range | Bit Specification | Description | Read/Write Type | Data Type
X | 0 to 1777 |  | Input | R/W | Discrete
Y | 0 to 1777 |  | Output | R/W | Discrete
C | 0 to 3777 |  | Internal Relay | R/W | Discrete
SP | 0 to 777 |  | Specific Relay | Read Only | Discrete
T | 0 to 377 |  | Timer | Read Only | Discrete
CT | 0 to 377 |  | Counter | Read Only | Discrete
S | 0 to 1777 |  | Stage | R/W | Discrete
GX | 0 to 3777 |  | Link Input/Output | R/W | Discrete
GY | 0 to 3777 |  | Link Output | R/W | Discrete
V | 0 to 377 |  | Timer Present Value | R/W | Word
V | 0 to 377 | 0 to 15 | Timer Present Value | R/W | Discrete
V | 400 to 677 |  | Data Register | R/W | Word
V | 400 to 677 | 0 to 15 | Data Register | R/W | Discrete
V | 700 to 777 |  | System Parameter | Read Only | Word
V | 700 to 777 | 0 to 15 | System Parameter | Read Only | Discrete
V | 1000 to 1377 |  | Counter Present Value | R/W | Word
V | 1000 to 1377 | 0 to 15 | Counter Present Value | R/W | Discrete
V | 1200 to 7577 |  | Data Register | R/W | Word
V | 1200 to 7577 | 0 to 15 | Data Register | R/W | Discrete
V | 7600 to 7777 |  | Specific Register | Read Only | Word
V | 7600 to 7777 | 0 to 15 | Specific Register | Read Only | Discrete
V | 10000 to 37777 |  | Data Register | R/W | Word
V | 10000 to 37777 | 0 to 15 | Data Register | R/W | Discrete
V | 37000 to 37777 |  | Specific Register | R/W | Word
V | 37000 to 37777 | 0 to 15 | Specific Register | R/W | Discrete
V | 40000 to 40177 |  | Link Input | R/W | Word
V | 40000 to 40177 | 0 to 15 | Link Input | R/W | Discrete
V | 40200 to 40377 |  | Link Output | R/W | Word
V | 40200 to 40377 | 0 to 15 | Link Output | R/W | Discrete
V | 40400 to 40477 |  | Input | R/W | Word
V | 40400 to 40477 | 0 to 15 | Input | R/W | Discrete
V | 40500 to 40577 |  | Output | R/W | Word
V | 40500 to 40577 | 0 to 15 | Output | R/W | Discrete
V | 40600 to 40777 |  | Internal Relay | R/W | Word
V | 40600 to 40777 | 0 to 15 | Internal Relay | R/W | Discrete
V | 41000 to 41077 |  | Stage | R/W | Word
V | 41000 to 41077 | 0 to 15 | Stage | R/W | Discrete
V | 41100 to 41117 |  | Timer | Read Only | Word
V | 41100 to 41117 | 0 to 15 | Timer | Read Only | Discrete
V | 41140 to 41157 |  | Counter | Read Only | Word
V | 41140 to 41157 | 0 to 15 | Counter | Read Only | Discrete
V | 41200 to 41237 |  | Specific Relay | R/W | Word
V | 41200 to 41237 | 0 to 15 | Specific Relay | R/W | Discrete


AutomationDirect ECOM Ethernet (DL05/06/205/405) Error Codes

Only Errors as listed in the Touch Panel Error Code Table can occur when using the AutomationDirect ECOM Ethernet (DL05/06/205/405) Protocol. There are no PLC generated errors. To view the C-more Touch Panel Error Codes, click the button below.

Note: The Mode Switch of all DirectLogic PLCs must be in (TERM) position in order for the C-more Touch Panel to communicate with the PLC. DirectLogic PLCs support Multi-level Password protection of the ladder program. This allows Password protection while not locking the communication port to an operator interface. The Multilevel Password can be invoked by creating a Password with an upper case "A" followed by seven numeric characters (e.g. A1234567). Please refer to the specific PLC user manual for further details.


AutomationDirect K-Sequence (DL05/06/105/205/350/405) Protocol Setup

The K-Sequence protocol is used with Direct LOGIC PLCs DL05 (all models), DL06 (all models), DL105 (all models), D2-230, D2-240, D2-250, D2-250-1, D2-260, D3-350, D4-430, D4-440 and D4-450.

The K-Sequence protocol can be used to communicate between an operator interface acting as the Master to a PLC network. When using K-Sequence with DirectLogic PLCs, the PLCs cannot be the Master.

C-more Panel Manager Settings

To access the Panel Manager from the C-more Programming Software, from the Main Menu select Setup. The drop down menu shown below opens.

From the Setup drop down menu, select the Panel Manager selection. The Panel Manager window opens by default displaying Panel Settings. From this window, click on the DEV001 selection on the tree to the left of the window as shown below.

When the DEV001 Icon is selected, the right portion of the window will change to display the Device Setup screen for DEV001. From the PLC Protocol field, click on the down arrow [image] and select AutomationDirect K-Sequence (DL05/06/105/205/350/405).

AutomationDirect K-Sequence (DL05/06/105/205/350/405) is the default driver selected when DEV001 Panel Manager is selected. Anytime you select a different PLC Protocol than the one already displayed, the Warning Message shown below will pop up. Click Yes to accept and the Fields for the selected Protocol will be displayed as shown on the figure above.

All of the following settings must be set the same as the settings in Panel Manager in the C-more Programming Software. The C-more Panel Manager is shown above with the AutomationDirect K-Sequence (DL05/06/105/205/350/405) driver selected.

Setup PLC Comm Port for AutomationDirect K-Sequence Using DirectSoft

From the DirectSoft programming software, select the PLC drop-down menu from the Main Menu as shown below, select Setup and then click on Setup Sec. Comm Port. It should be noted that in this example, we will be using Port 2 found on such Direct LOGIC PLCs as the DL06, D2-250-1 and D2-260. Please refer to the individual user manuals of the particular PLC you are using for descriptions and settings of other communication ports available on the Direct LOGIC PLCs. The user manuals are available on-line and can be downloaded at www.automationdirect.com.

The Setup Communication Ports window in the Direct SOFT programming software will open and we will want to set the protocol settings as shown below for our example. These settings should match the like settings that were done in the C-more Panel Manager.

  1. Time-out: The PLC Time-out is only used when the PLC is the Master device. The C-more panel is the master when communicating on a K-sequence network.

  2. RTS ON/OFF Delay: RTS (Request to Send) is a handshaking signal to notify another device that the asserting device would like to transmit. RTS ON and RTS OFF delay can typically be set to 0 ms for 4-wire networks. For 2-wire networks, the values should be increased to 5 ms and 2 ms respectively. See below. (In our example we are not using RTS so we have kept the default values of 0 ms for both ON and OFF delays.)

  3. Station Number: The Station Number is the Slave Number or Address. This is the Number that will be polled by the Master (C-more panel) on the network. Slaves can be addressed from 1 through 90 for K-sequence protocol.

  4. Baud Rate: Baud Rate is the rate at which data is transmitted across the connection in bits per second (bps). A good starting point is 9600 bps. If no problems are encountered, then increase the Baud Rate to the maximum achievable without communication problems. (The example is shown using a Baud Rate of 19,200 bps.)

  5. Stop Bits: Stop Bits are extra Bits which follow the data and parity Bits to mark the end of the transmission. For older systems, the Stop Bit may need to be increased to 2, but 1 is usually the correct setting. (The example uses a default Stop Bit of 1.)

  6. Parity: Parity is a low level form of error checking that counts the number of 1's in the Bit Stream to ensure that none have been changed. The Parity Bit is turned ON or OFF to achieve the correct number of 1's in the data packet; either Odd or Even. If the number of 1's is Even when Parity is set to Odd, then the packet has been corrupted. This setting largely depends upon the required settings of the other equipment on the network. (Our example uses Odd Parity, which is the default for some of the DirectLOGIC PLC's fixed ports, such as Port 1 on the DL05 and DL06 PLCs.)

Note: The Baud Rate, Stop Bits and Parity must all be the same for every device on the network in order for communications to work properly.


AutomationDirect K-Sequencer (DL05/06/105/205/350/405) Addressing

Topic: CM114

AutomationDirect K-Sequence (DL05/06/105/205/350/405) Addressing

Memory Type | Address Range | Bit Specification | Description | Read/Write Type | Data Type
X | 0 to 1777 |  | Input | R/W | Discrete
Y | 0 to 1777 |  | Output | R/W | Discrete
C | 0 to 3777 |  | Internal Relay | R/W | Discrete
SP | 0 to 777 |  | Specific Relay | Read Only | Discrete
T | 0 to 377 |  | Timer | Read Only | Discrete
CT | 0 to 377 |  | Counter | Read Only | Discrete
S | 0 to 1777 |  | Stage | R/W | Discrete
GX | 0 to 3777 |  | Link Input/Output | R/W | Discrete
GY | 0 to 3777 |  | Link Output | R/W | Discrete
V | 0 to 377 |  | Timer Present Value | R/W | Word
V | 0 to 377 | 0 to 15 | Timer Present Value | R/W | Discrete
V | 400 to 677 |  | Data Register | R/W | Word
V | 400 to 677 | 0 to 15 | Data Register | R/W | Discrete
V | 700 to 777 |  | System Parameter | Read Only | Word
V | 700 to 777 | 0 to 15 | System Parameter | Read Only | Discrete
V | 1000 to 1377 |  | Counter Present Value | R/W | Word
V | 1000 to 1377 | 0 to 15 | Counter Present Value | R/W | Discrete
V | 1200 to 7577 |  | Data Register | R/W | Word
V | 1200 to 7577 | 0 to 15 | Data Register | R/W | Discrete
V | 7600 to 7777 |  | Specific Register | Read Only | Word
V | 7600 to 7777 | 0 to 15 | Specific Register | Read Only | Discrete
V | 10000 to 37777 |  | Data Register | R/W | Word
V | 10000 to 37777 | 0 to 15 | Data Register | R/W | Discrete
V | 37000 to 37777 |  | Specific Register | R/W | Word
V | 37000 to 37777 | 0 to 15 | Specific Register | R/W | Discrete
V | 40000 to 40177 |  | Link Input | R/W | Word
V | 40000 to 40177 | 0 to 15 | Link Input | R/W | Discrete
V | 40200 to 40377 |  | Link Output | R/W | Word
V | 40200 to 40377 | 0 to 15 | Link Output | R/W | Discrete
V | 40400 to 40477 |  | Input | R/W | Word
V | 40400 to 40477 | 0 to 15 | Input | R/W | Discrete
V | 40500 to 40577 |  | Output | R/W | Word
V | 40500 to 40577 | 0 to 15 | Output | R/W | Discrete
V | 40600 to 40777 |  | Internal Relay | R/W | Word
V | 40600 to 40777 | 0 to 15 | Internal Relay | R/W | Discrete
V | 41000 to 41077 |  | Stage | R/W | Word
V | 41000 to 41077 | 0 to 15 | Stage | R/W | Discrete
V | 41100 to 41117 |  | Timer | Read Only | Word
V | 41100 to 41117 | 0 to 15 | Timer | Read Only | Discrete
V | 41140 to 41157 |  | Counter | Read Only | Word
V | 41140 to 41157 | 0 to 15 | Counter | Read Only | Discrete
V | 41200 to 41237 |  | Specific Relay | R/W | Word
V | 41200 to 41237 | 0 to 15 | Specific Relay | R/W | Discrete


AutomationDirect K-Sequencer Error Codes

Topic: CM189

AutomationDirect K-Sequence Error Codes

The following Table provides reference information for Error Codes displayed by the C-more Touch Panels. As seen in the Table below, if the Error Code is PLC-499, this Error Code identifies an Error that is specific to your PLC model.

For PLC specific Error Codes, make sure you are viewing the correct topic and locate the PLC Specific Errors Table found below.

To see the C-more Touch Panel Errors Table, which provides Error Codes specific to the C-more Touch Panels, click the button provided below.

Note: The following Errors are generated from the designated PLC, monitored by the C-more Touch Panel, and displayed on the panel's screen if active. Please refer to the PLC manufacturer's documentation for additional and up-to-date information.

Note: The Mode Switch of all DirectLogic PLCs must be in (TERM) position in order for the C-more Touch Panel to communicate with the PLC. DirectLogic PLCs support Multi-level Password protection of the ladder program. This allows Password protection while not locking the communication port to an operator interface. The Multilevel Password can be invoked by creating a Password with an upper case "A" followed by seven numeric characters (e.g. A1234567). Please refer to the specific PLC user manual for further details.

PLC Errors for DirectLogic K-Sequence
Error Code | Description
01F8 | Error Setting Value.
020D | Error in Key Mode.
021C | Password Close. (See Note above)


AutomationDirect Modbus (DL05/06/205/350/405) Protocol Setup

The AutomationDirect Modbus (Koyo Addressing) protocol is used with Direct LOGIC PLCs DL05 (all models), DL06 (all models), D2-250, D2-250-1, D2-260, D3-350 and D4-450.

Note: The Mode Switch of all DirectLogic PLCs must be in (TERM) position in order for the C-more Touch Panel to communicate with the PLC. DirectLogic PLCs support Multi-level Password protection of the ladder program. This allows Password protection while not locking the communication port to an operator interface. The Multilevel Password can be invoked by creating a Password with an upper case "A" followed by seven numeric characters (e.g. A1234567). Please refer to the specific PLC user manual for further details.

C-more Panel Manager Settings

To access the Panel Manager from the C-more Programming Software, from the Main Menu select Setup. The drop down menu shown below opens. From the Setup drop down menu, select the Panel Manager selection.

From the Setup drop down menu, select the Panel Manager selection. The Panel Manager window opens by default displaying Panel Settings. From this window, click on the DEV001 selection on the tree to the left of the window as shown below.

This is the default PLC device driver name that appears in the C-more Programming Software when first opened. Additional device drivers to communicate with the touch panel can be added using the Panel Manager dialog box. In the example, we have selected a Station Number of 1, a Baud Rate of 19,200, etc. It is important to make sure that the selections for the protocol in the Panel Manager match the selections that we will make in the setup of the PLC's communications port which follows.

In the example shown below, the basic defaults for Parity, Select RS485, Control RTS, Require CTS, Timeout and Poll Time are left as shown.

The following are the parameters available for configuration:

  1. PLC Slave Number (1-247):
  2. Baud Rate: The rate at which data is transmitted across the connection in bits per second (bps). A good starting point is 9600 bps. If no problems are encountered, then increase the Baud Rate to the maximum achievable without communication problems. (The example is shown using a Baud Rate of 19,200 bps.)
  3. Parity: A low level form of error checking that counts the number of 1's in the Bit Stream to ensure that none have been changed. The Parity Bit is turned ON or OFF to achieve the correct number of 1's in the data packet; either Odd or Even. If the number of 1's is Even when parity is set to Odd, then the packet has been corrupted. This setting largely depends upon the required settings of the other equipment on the network. (Our example uses Odd Parity, which is the default for some of the Direct LOGIC PLC's fixed ports, such as Port 1 on the DL05 and DL06 PLCs.)
  4. Stop Bits: Extra Bits which follow the data and parity Bits to mark the end of the transmission. For older systems, the Stop Bit may need to be increased to 2, but 1 is usually the correct setting. (The example uses a default Stop Bit of 1.)
  5. Control RTS: If Yes is selected, then the C-more Touch Panel senses the RTS signal line is being controlled from the PLC port. Also, select Yes if the RS-422 driver signal needs to be turned OFF at the end of transmission. The default is No and is based on connecting to a Modbus port with the RTS and CTS signals jumpered together. (Our example uses the default No for this protocol setting.)
  6. Required RTS: If Yes is selected, then the C-more Touch Panel senses the CTS signal line is being controlled from the PLC port. The default is No and is based on connecting to a Modbus port with the RTS and CTS signals jumpered together. (Our example uses the default No for this protocol setting.)
  7. Selected RTS: When the C-more Touch Panel is communicating to a device using RS-485, select Yes for this protocol setting, otherwise select No. When Yes is selected, the Control RTS setting is forced to Yes for controlling the RS-485 driver. (Our example uses the default No for this protocol setting.)
  8. PLC Protocol:
  9. Registers per Message: Selects the number of registers to be Read/Written per Message. The default number is 64. If fewer Registers per message are used, this reduces the communication time for a single message and increases the amount of error checking that is done. The number may need to be adjusted for specific controllers that have a limit to the number of Registers allowed in a Read or Write Message. (Our example uses the default of 64.)
  10. Coils per Message: Selects the number of Coils to be Read/Written per Message. The default number is 64. If fewer Coils per message are used, this reduces the communication time for a single message and increases the amount of error checking that is done. The number may need to be adjusted for specific controllers that have a limit to the number of Coils allowed in a Read or Write Message. (Our example uses the default of 64.)
  11. Timeout Time: Enter a number that represents a Time in Tenths of a Second that the C-more Touch Panel will wait for communications with the PLC before displaying an error. (Our example uses the default of 30 tenths of a second or 3 seconds.)
  12. Poll Time: Enter a number that represents a Time in msec that the C-more Touch Panel will wait between executing a complete sequence of reads for screen that is displayed. (Our example uses the default time of "0" which produces constant polling.)

Setup PLC Comm Port for AutomationDirect Modbus (Koyo Addressing) Using DirectSoft

From the Direct SOFT programming software, select the PLC drop-down menu from the Main Menu, select Setup and then click on Setup Sec. Comm Port. It should be noted that in this example, we will be using Port 2 found on such Direct LOGIC PLCs as the DL06, D2-250-1 and D2-260. Please refer to the individual user manuals of the particular PLC you are using for descriptions and settings of other communication ports available on the Direct LOGIC PLCs. The user manuals are available on-line and can be downloaded at www.automationdirect.com.

The Setup Communication Ports window in the Direct SOFT programming software will open and we will want to set the protocol settings as shown below for our example. These settings should match the like settings that were done in the C-more Panel Manager.

  1. Time-out is the amount of time the port will wait for a response to a message it sent before it logs an error. It is only used when the PLC is the Master device. Notice the selection is relative to the Base Time-out listed next to each protocol, i.e. for Modbus, Base Time-out x 1 = 500 ms. (In our example, we have kept the default of 500 ms.)
  2. RTS (Request to Send) is a handshaking signal to notify another device that the asserting device would like to transmit. RTS ON and RTS OFF delay can typically be set to 0 ms for 4-wire networks. For 2-wire networks, the values should be increased to 5 ms and 2 ms respectively. See below. (In our example we are not using RTS so we have kept the default values of 0 ms for both ON and OFF delays.)

  3. The Station Number is the Slave Number or Address. This is the number that will be polled by the Master on the network. Typically this is set to 1 for the Master. Slaves can be addressed from 1 through 90 for Direct NET protocol or 1 through 247 for Modbus protocol, depending on the Slave and CPU. (The example uses the default Station Number 1.)
  4. Baud Rate is the rate at which data is transmitted across the connection in bits per second (bps). A good starting point is 9600 bps. If no problems are encountered, then increase the Baud Rate to the maximum achievable without communication problems. (The example is shown using a Baud Rate of 19,200 bps.)
  5. Stop Bits are extra Bits which follow the data and parity Bits to mark the end of the transmission. For older systems, the Stop Bit may need to be increased to 2, but 1 is usually the correct setting. (The example uses a default Stop Bit of 1.)
  6. Parity is a low level form of error checking that counts the number of 1's in the Bit Stream to ensure that none have been changed. The Parity Bit is turned ON or OFF to achieve the correct number of 1's in the data packet; either Odd or Even. If the number of 1's is Even when parity is set to Odd, then the packet has been corrupted. This setting largely depends upon the required settings of the other equipment on the network. (Our example uses Odd Parity, which is the default for some of the Direct LOGIC PLC's fixed ports, such as Port 1 on the DL05 and DL06 PLCs.)
  7. Echo Suppression: In a Half Duplex 2-wire network, the receiver of the transmitting device must be disabled so that data is not Echoed back to the receiver. This is called Echo Suppression. If you selected Modbus as the network protocol, you must select either 4-wire or 2-wire. In effect, this is turning Echo Suppression ON for 2-wire networks and OFF for 4-wire networks and RS-232. (Our example uses the default 4-wire selection.)

Note: The Baud Rate, Stop Bits and Parity must all be the same for every device on the network in order for communications to work properly.


AutomationDirect Modbus (DL05/06/205/350/405) Addressing

Memory Type | Address Range | Bit Specification | Modi-Bus Address Range | Description | Read/Write Type | Data Type
X | 0 to 1777 |  | 12049 to 13072 | Input | Read Only | Discrete
Y | 0 to 1777 |  | 02049 to 03072 | Output | R/W | Discrete
C | 0 to 3777 |  | 03073 to 05120 | Internal Relay | R/W | Discrete
SP | 0 to 777 |  | 13073 to 13584 | Specific Relay | Read Only | Discrete
T | 0 to 377 |  | 06145 to 06400 | Timer | R/W | Discrete
CT | 0 to 377 |  | 06401 to 06656 | Counter | R/W | Discrete
S | 0 to 1777 |  | 05121 to 06144 | Stage | R/W | Discrete
GX | 0 to 3777 |  | 10001 to 12048 | Link Input/Output | Read Only | Discrete
GY | 0 to 3777 |  | 00001 to 02048 | Link Output | R/W | Discrete
V | 0 to 377 | 0 to 15 | 00001 to 02048 | Timer Present Value | R/W | Discrete
V | 0 to 377 |  | 30001 to 30256 | Timer Present Value | R/W | Word
V | 700 to 777 | 0 to 15 | 40449 to 40960 | System Parameter | R/W | Discrete
V | 700 to 777 |  | 40449 to 40960 | System Parameter | R/W | Word
V | 1000 to 1177 | 0 to 15 | 30513 to 30640 | Counter Present Value | R/W | Discrete
V | 1000 to 1177 |  | 30513 to 30640 | Counter Present Value | R/W | Word
V | 1200 to 7577 | 0 to 15 | 40641 to 43968 | Data Register | R/W | Discrete
V | 1200 to 7577 |  | 40641 to 43968 | Data Register | R/W | Word
V | 7600 to 7777 | 0 to 15 | 43841 to 47936 | Specific Register | R/W | Discrete
V | 7600 to 7777 |  | 43841 to 47936 | Specific Register | R/W | Word
V | 10000 to 37777 | 0 to 15 | 44097 to 416384 | Data Register | R/W | Discrete
V | 10000 to 37777 |  | 44097 to 416384 | Data Register | R/W | Word
V | 37000 to 37777 | 0 to 15 | 415873 to 416384 | Specific Register | R/W | Discrete
V | 37000 to 37777 |  | 415873 to 416384 | Specific Register | R/W | Word
V | 40000 to 40177 | 0 to 15 | 10001 to 12048 | Link Input/Output | R/W | Discrete
V | 40000 to 40177 |  | 10001 to 12048 | Link Input/Output | R/W | Word
V | 40200 to 40377 | 0 to 15 | 00001 to 02048 | Link Output | R/W | Discrete
V | 40200 to 40377 |  | 00001 to 02048 | Link Output | R/W | Word
V | 40400 to 40477 | 0 to 15 | 12049 to 13072 | Input | R/W | Discrete
V | 40400 to 40477 |  | 12049 to 13072 | Input | R/W | Word
V | 40500 to 40577 | 0 to 15 | 02049 to 03072 | Output | R/W | Discrete
V | 40500 to 40577 |  | 02049 to 03072 | Output | R/W | Word
V | 40600 to 40777 | 0 to 15 | 03073 to 05120 | Internal Relay | R/W | Discrete
V | 40600 to 40777 |  | 03073 to 05120 | Internal Relay | R/W | Word
V | 41000 to 41077 | 0 to 15 | 05121 to 06144 | Stage | R/W | Discrete
V | 41000 to 41077 |  | 05121 to 06144 | Stage | R/W | Word
V | 41100 to 41117 | 0 to 15 | 06145 to 06400 | Timer | Read Only | Discrete
V | 41100 to 41117 |  | 06145 to 06400 | Timer | Read Only | Word
V | 41140 to 41157 | 0 to 15 | 06401 to 06656 | Counter | Read Only | Discrete
V | 41140 to 41157 |  | 06401 to 06656 | Counter | Read Only | Word
V | 41200 to 41237 | 0 to 15 | 13073 to 13584 | Specific Relay | R/W | Discrete
V | 41200 to 41237 |  | 13073 to 13584 | Specific Relay | R/W | Word


AutomationDirect GS Drives Ethernet Setup

This GS Drive protocol allows C-more to easily and directly access the drive parameters for viewing and/or adjustment over an Ethernet Connection when used in conjunction with a GS-EDRV module.

C-more Panel Manager Settings

  1. Access the Panel Manager by select from the Setup Menu located on the Main Menu or from the Function Tab of the Navigation Window as shown below.

  2. From the Panel Manager window click on the DEV001 selection on the tree to the left to open the Device Setup screen of the Panel Manager window shown below.

  3. From the PLC Protocol field, click on the down arrow [image] and select the AutomationDirect GS Drives TCP/IP (GS-EDRV) selection.

Anytime you select a different PLC Protocol than the one already displayed, the Warning Message shown below will pop up. Click Yes to accept and the Fields for the selected Protocol will be displayed as shown on the applicable figure above.

To learn about the Connection Through Another Panel option, click on the green text.

Note: To find the IP Address for the GS-EDRV, the NetEdit utility will be required and can be obtained at www.automationdirect.com in the Technical Support Free software download area.

After you have downloaded and installed Netedit, open the software and browse the network. You will see the GS-EDRV (as shown in the image below) and can obtain the IP Address and insert this address into the C-more Panel Manager configuration.

Panel Manager Settings

The AutomationDirect GS Drives TCP/IP (GS-EDRV) panel manager window provides the following:

  1. IP Address: This is the IP Address of the GS-EDRV. It can be found using the NetEdit utility.

  2. PLC Port(0-65535): This specifies the destination TCP port number that C-more will send to the GS-EDRV. 502 is the standard default. Sometimes this number may need to be adjusted for firewall/router purposes.

  3. PLC Slave Number(0-255): This corresponds with the “Unit ID” number in the protocol header. This number can be set to any value as the GS-EDRV will echo back the value sent. This field may be implemented in the future for gateway/routing purposes.

  4. Register Write Function Code and Coil Write Function Code: These fields are read only and are not accessible.

  5. Retries(0-10): The C-more panel will send a request to the specified device. If the device does not reply within the specified “Timeout Time”, the C-more will send the request again. Once the retry count (specified in this field) limit has been reached, the C-more panel will display a PLC Timeout error on the screen.

  6. Timeout Time(1-255)(in 100ms units): This is the amount of time (in 100ms units) that the panel will wait on a reply after sending a request. After the Timeout timer expires, it will then retry.

  7. Poll Time(0-30000 msec): This is the amount of time (in milliseconds) that the panel will wait in between each request.


AutomationDirect GS Drives Serial Setup

This GS Drive protocol allows C-more to easily and directly access the drive parameters for viewing and/or adjustment over an RS-485 Serial Connection.

C-more Panel Manager Settings

  1. Access the Panel Manager by select from the Setup Menu located on the Main Menu or from the Function Tab of the Navigation Window as shown below.

  2. From the Panel Manager window click on the DEV001 selection on the tree to the left to open the Device Setup screen of the Panel Manager window shown below.

  3. From the PLC Protocol field, click on the down arrow [image] and select the AutomationDirect GS Drives Serial selection.

Anytime you select a different PLC Protocol than the one already displayed, the Warning Message shown below will pop up. Click Yes to accept and the Fields for the selected Protocol will be displayed as shown on the applicable figure above.

To learn about the Connection Through Another Panel option, click on the green text.

Note: To check or change the Serial Communication settings on the GS Drive, go to the faceplate keypad and access the P9.xx Parameters. There are 3 parameters that relate to the serial communications settings:

  • P9.00 = Communication Address (Slave Address)
  • P9.01 = Transmission Speed (Baud Rate)
  • P9.02 = Communication Protocol

Panel Manager Settings

  1. PLC Slave Number: This is the Slave Address of the GS Drive. This number should match the value set in Parameter P9.00 of the GS Drive that is connected to C-more.

  2. Baud Rate: The Baud Rate setting should match the Transmission Speed set in Parameter P9.01.

  3. Parity: This setting should match the Parity selected in Parameter P9.02. It is important to note that P9.02 must be set to 3, 4 or 5. Values 00, 01 and 02 will not work with the C-more panel.

  4. Stop Bit: This value should match the Stop Bit selection configured in Parameter P9.02.

  5. Control RTS: If “Yes” is selected in this field, C-more will assert the RTS signal of the serial port before transmitting data. This signal is commonly used with media converters, such as a FA-ISOCON.

  6. Require CTS: If “Yes” is selected in this field, C-more will check to see if the CTS signal has been asserted from the connected device before it will transmit data.

  7. Select RS 485: Select “Yes” for this field if 2 wire RS 485 communications is needed. Along with selecting “Yes” in this field, the SD+ and RD+ must be jumpered along with the SD- and RD- pins. This setting is on by default since the GS Drives use 2 wire RS-485 as their method of serial communication.

  8. PLC Protocol, Register Write Function Code and Coil Write Function Code: These fields are read only and are not accessible.

  9. Timeout time: This is the amount of time (in 100 ms units) that the panel will wait on a reply after sending a request.

  10. Poll Time: This is the amount of time (in milliseconds) that the panel will wait in between each request.


AutomationDirect GS Drives Addressing

GS Drives Addressing Table

Motor Parameters

Memory Type

Read/Write Type

Data Type

P0.00_MOTOR_VOLT

R/W

Word

P0.01_MOTOR_AMP

R/W

Word

P0.02_MOTOR_BASE_FREQ

R/W

Word

P0.03_MOTOR_BASE_RPM

R/W

Word

P0.04_MOTOR_MAX_RPM

R/W

Word

P0.05_MOTOR_AUTO_DET

R/W

Word

P0.06_MOTOR_RESISTANCE

R/W

Word

P0.07_MOTOR_NOLOAD_CURR

R/W

Word

Ramp Parameters

Memory Type

Read/Write Type

Data Type

P1.00_STOP_METHODS

R/W

Word

P1.01_ACCEL_TIME1

R/W

Word

P1.02_DECEL_TIME1

R/W

Word

P1.03_ACCEL_S_CURV

R/W

Word

P1.04_DECEL_S_CURV

R/W

Word

P1.05_ACCEL_TIME2

R/W

Word

P1.06_DECEL_TIME2

R/W

Word

P1.07_SEL_2ND_ACCEL_METH

R/W

Word

P1.08_ACCEL1_2_FREQ

R/W

Word

P1.09_DECEL2_1_FREQ

R/W

Word

P1.10_SKIP_FREQ1

R/W

Word

P1.11_SKIP_FREQ2

R/W

Word

P1.12_SKIP_FREQ3

R/W

Word

P1.13_SKIP_FREQ4

R/W

Word

P1.14_SKIP_FREQ5

R/W

Word

P1.17_SKIP_FREQ_BAND

R/W

Word

P1.18_DC_INJECT_CURR

R/W

Word

P1.19_DC_INJECT_VOLT_LEV

R/W

Word

P1.20_DC_INJECT_STARTUP

R/W

Word

P1.21_DC_INJECT_STOP

R/W

Word

P1.22_DC_INJECT_START_PT

R/W

Word

Volt/Hertz Parameters

Memory Type

Read/Write Type

Data Type

P2.00_VOLT_HZ_SETT

R/W

Word

P2.01_SLIP_COMP

R/W

Word

P2.02_AUTO_TORQ_BOOST

R/W

Word

P2.03_TORQ_COMP_TIME

R/W

Word

P2.04_MID_PT_FREQ

R/W

Word

P2.05_MID_PT_VOLT

R/W

Word

P2.06_MIN_OUT_FREQ

R/W

Word

P2.07_MIN_OUT_VOLT

R/W

Word

P2.08_PWM_CARR_FREQ

R/W

Word

P2.10_CONTROL_MODE

R/W

Word

Digital Parameters
Memory Type | Read/Write Type | Data Type
P3.00_SOURCE_OP_CMD | R/W | Word
P3.01_MULTI_FNC_DI1_2 | R/W | Word
P3.02_MULTI_FNC_DI3 | R/W | Word
P3.03_MULTI_FNC_DI4 | R/W | Word
P3.04_MULTI_FNC_DI5 | R/W | Word
P3.05_MULTI_FNC_DI6 | R/W | Word
P3.06_MULTI_FNC_DI7 | R/W | Word
P3.07_MULTI_FNC_DI8 | R/W | Word
P3.08_MULTI_FNC_DI9 | R/W | Word
P3.09_MULTI_FNC_DI10 | R/W | Word
P3.10_MULTI_FNC_DI11 | R/W | Word
P3.11_MULTI_FNC_RELAY | R/W | Word
P3.12_MULTI_FNC_DO1 | R/W | Word
P3.13_MULTI_FNC_DO2 | R/W | Word
P3.14_MULTI_FNC_DO3 | R/W | Word
P3.16_DESIRED_FREQ | R/W | Word
P3.17_DESIRED_CURR | R/W | Word
P3.18_PID_DEV_LEVEL | R/W | Word
P3.19_PID_DEV_TIME | R/W | Word
P3.20_DESIRED_FREQ2 | R/W | Word
P3.30_FREQ_OUT_MULTIPLY | R/W | Word
P3.31_2ND_SRC_OP_CMD | R/W | Word
Analog Parameters
Memory Type | Read/Write Type | Data Type
P4.00_SOURCE_FREQ_CMD | R/W | Word
P4.01_FREQ_CMD_OFF_POL | R/W | Word
P4.02_FREQ_CMD_OFFSET | R/W | Word
P4.03_FREQ_CMD_GAIN | R/W | Word
P4.04_FREQ_CMD_REVERSE | R/W | Word
P4.05_LOSS_AI2 | R/W | Word
P4.11_ANALOG_OUT_SIGNAL | R/W | Word
P4.12_ANALOG_OUT_GAIN | R/W | Word
P4.13_2ND_SRC_FREQ_CMD | R/W | Word
P4.14_2ND_FREQ_CMD_OFF_POL | R/W | Word
P4.15_2ND_FREQ_CMD_OFF | R/W | Word
P4.16_2ND_FREQ_CMD_GAIN | R/W | Word
P4.17_TRIM_FREQ_REF | R/W | Word
P4.18_TRIM_MODE_SEL | R/W | Word
Presets
Memory Type | Read/Write Type | Data Type
P5.00_JOG | R/W | Word
P5.01_MULTI_SPEED1 | R/W | Word
P5.02_MULTI_SPEED2 | R/W | Word
P5.03_MULTI_SPEED3 | R/W | Word
P5.04_MULTI_SPEED4 | R/W | Word
P5.05_MULTI_SPEED5 | R/W | Word
P5.06_MULTI_SPEED6 | R/W | Word
P5.07_MULTI_SPEED7 | R/W | Word
P5.08_MULTI_SPEED8 | R/W | Word
P5.09_MULTI_SPEED9 | R/W | Word
P5.10_MULTI_SPEED10 | R/W | Word
P5.11_MULTI_SPEED11 | R/W | Word
P5.12_MULTI_SPEED12 | R/W | Word
P5.13_MULTI_SPEED13 | R/W | Word
P5.14_MULTI_SPEED14 | R/W | Word
P5.15_MULTI_SPEED15 | R/W | Word
Protection Parameters
Memory Type | Read/Write Type | Data Type
P6.00_ELECT_THERM_OL | R/W | Word
P6.01_AUTO_RES_FAULT | R/W | Word
P6.02_MOMENT_PWR_LOSS | R/W | Word
P6.03_REVERSE_INHIBIT | R/W | Word
P6.04_AUTO_VOLT_REGUL | R/W | Word
P6.05_OV_VOLT_STALL_PROT | R/W | Word
P6.06_AUTO_ADJ_ACCELDECEL | R/W | Word
P6.07_OV_TORQ_DET_MODE | R/W | Word
P6.08_OV_TORQ_DET_LEVEL | R/W | Word
P6.09_OV_TORQ_DET_TIME | R/W | Word
P6.10_OV_CURR_STALL_PROT_ACCEL | R/W | Word
P6.11_OV_CURR_STALL_PROT_OP | R/W | Word
P6.12_MAX_PWR_LOSS_TIME | R/W | Word
P6.13_BASE_BLK_TIME_SEARCH | R/W | Word
P6.14_MAX_SEARCH_CURR_LEVEL | R/W | Word
P6.15_UP_BOUND_OUT_FREQ | R/W | Word
P6.16_LO_BOUND_OUT_FREQ | R/W | Word
P6.17_OV_VOLT_STALL_PROT_LEVEL | R/W | Word
P6.18_BRAKE_VOLT_LEVEL | R/W | Word
P6.30_LINE_START_LOCK | R/W | Word
P6.31_PRESENT_FAULT_REC | R/W | Word
P6.32_2ND_FAULT_REC | R/W | Word
P6.33_3RD_FAULT_REC | R/W | Word
P6.34_4TH_FAULT_REC | R/W | Word
P6.35_5TH_FAULT_REC | R/W | Word
P6.36_6TH_FAULT_REC | R/W | Word
PID Parameters
Memory Type | Read/Write Type | Data Type
P7.00_IN_TERM_PID_FEEDBACK | R/W | Word
P7.01_PV_100_VALUE | R/W | Word
P7.02_PID_SP_SOURCE | R/W | Word
P7.03_PID_FEEDBACK_GAIN | R/W | Word
P7.04_PID_SP_OFFSET_POLARITY | R/W | Word
P7.05_PID_SP_OFFSET | R/W | Word
P7.06_PID_SP_GAIN | R/W | Word
P7.10_PID_SP | R/W | Word
P7.11_PID_MULTI_SP1 | R/W | Word
P7.12_PID_MULTI_SP2 | R/W | Word
P7.13_PID_MULTI_SP3 | R/W | Word
P7.14_PID_MULTI_SP4 | R/W | Word
P7.15_PID_MULTI_SP5 | R/W | Word
P7.16_PID_MULTI_SP6 | R/W | Word
P7.17_PID_MULTI_SP7 | R/W | Word
P7.20_PROPORT_CNTRL | R/W | Word
P7.21_INTEGRAL_CNTRL | R/W | Word
P7.22_DERIV_CNTRL | R/W | Word
P7.23_UP_BOUND_INTEG_CNTRL | R/W | Word
P7.24_DERIV_FILTER_TIME | R/W | Word
P7.25_PID_OUT_FREQ_LIMIT | R/W | Word
P7.26_FEEDBCK_SIG_DET_TIME | R/W | Word
P7.27_PID_FEEDBCK_LOSS | R/W | Word
P7.28_PID_FEEDBCK_LOSS_PRE | R/W | Word
Display Parameters
Memory Type | Read/Write Type | Data Type
P8.00_USE_DEF_DISP_FNCT | R/W | Word
P8.01_FREQ_SCALE_FACTOR | R/W | Word
P8.02_BACKLIGHT_TIMER | R/W | Word
Communications Parameters
Memory Type | Read/Write Type | Data Type
P9.00_COMM_ADDRESS | R | Word
P9.01_BAUD_RATE | R | Word
P9.02_COMM_PROTOCOL | R | Word
P9.03_TRANS_FAULT_TREAT | R/W | Word
P9.04_TIMEOUT_DETECT | R/W | Word
P9.05_TIMEOUT_DURATION | R/W | Word
P9.07_PARAM_LOCK | R/W | Word
P9.08_RESTORE_DEFAULT | R/W | Word
P9.11_BLK_TRANSFER_PARAM1 | R/W | Word
P9.12_BLK_TRANSFER_PARAM2 | R/W | Word
P9.13_BLK_TRANSFER_PARAM3 | R/W | Word
P9.14_BLK_TRANSFER_PARAM4 | R/W | Word
P9.15_BLK_TRANSFER_PARAM5 | R/W | Word
P9.16_BLK_TRANSFER_PARAM6 | R/W | Word
P9.17_BLK_TRANSFER_PARAM7 | R/W | Word
P9.18_BLK_TRANSFER_PARAM8 | R/W | Word
P9.19_BLK_TRANSFER_PARAM9 | R/W | Word
P9.20_BLK_TRANSFER_PARAM10 | R/W | Word
P9.21_BLK_TRANSFER_PARAM11 | R/W | Word
P9.22_BLK_TRANSFER_PARAM12 | R/W | Word
P9.23_BLK_TRANSFER_PARAM13 | R/W | Word
P9.24_BLK_TRANSFER_PARAM14 | R/W | Word
P9.25_BLK_TRANSFER_PARAM15 | R/W | Word
P9.26_COMM_SPEED_REF | R/W | Word
P9.27_COMM_RUN_CMD | R/W | Discrete
P9.28_COMM_DIRECT_CMD | R/W | Discrete
P9.29_COMM_EXT_FAULT | R/W | Discrete
P9.30_COMM_RESET_FAULT | R/W | Discrete
P9.31_COMM_JOG_CMD | R/W | Discrete
P9.39_FIRMWARE_REV | R/W | Word
P9.40_PARAM_COPY | R/W | Word
P9.41_GS_SERIES_NUMBER | R | Word
P9.42_MANUF_MODEL_INFO | R | Word
Encoder Feedback Parameters
Memory Type | Read/Write Type | Data Type
P10.00_ENCODER_PPR | R/W | Word
P10.01_ENCODER_TYPE_INPUT | R/W | Word
P10.02_PROPORTION_GAIN | R/W | Word
P10.03_INTEGRAL_GAIN | R/W | Word
P10.04_SPD_CNTRL_OUT_SPEED_LIM | R/W | Word
P10.05_ENCODER_LOSS_DET | R/W | Word
Status Monitor Parameters
Memory Type | Read/Write Type | Data Type
2100_STATUS_MONITOR1 | R | Word
2101_STATUS_MONITOR2 | R | Word
2102_FREQ_COMMAND | R | Word
2103_OUTPUT_FREQ | R | Word
2104_OUTPUT_CURRENT | R | Word
2105_DC_BUS_VOLT | R | Word
2106_OUTPUT_VOLT | R | Word
2107_MOTOR_RPM | R | Word
2108_SCALE_FREQ(LOW) | R | Word
2109_SCALE_FREQ(HIGH) | R | Word
210A_PWR_FACTOR_ANGLE | R | Word
210B_PERCENT_LOAD | R | Word
210C_PID_SETPOINT | R | Word
210D_PID_FEEDBACK | R | Word
2110_FIRMWARE_VER | R | Word


AutomationDirect Do-more Ethernet Drivers

Two Ethernet drivers are available in C-more for the Do-more series PLCs:

  • AutomationDirect Do-more Ethernet (Built-in memory)
  • AutomationDirect Do-more Ethernet Symbolic Addressing (Full memory)

Your specific application will determine the best driver to use.

  • For 'most' applications, the Symbolic Addressing driver will be the best choice. With this driver, all memory addresses in the PLC are available. However, the Symbolic Addressing driver is a bit less efficient than the Built-in memory driver. The performance should be sufficient for the majority of applications.
  • For very complicated or large applications, the Built-in memory driver may be a better choice since it is a more efficient driver but the memory is limited to Built-in Memory blocks only.

Both drivers may be used simultaneously. Use the Built-in memory driver for all of the default memory addresses and use a Symbolic Addressing driver for any user- added memory. The two drivers can even co-exist for one PLC in the C-more project.


AutomationDirect Do-more Ethernet

Topic: CM303

AutomationDirect Do-more Ethernet (Built-in Memory)

The following information applies for AutomationDirect Do-more PLCs compatible with C-more Touch Panels.

C-more Panel Manager Settings

  1. Access the Panel Manager by select from the Setup Menu located on the Main Menu or from the Function Tab of the Navigation Window as shown below.

  2. From the Panel Manager window click on the DEV001 selection on the tree to the left to open the Device Setup screen of the Panel Manager window shown below.

  3. From the PLC Protocol field, click on the down arrow [image] and select the AutomationDirect Do-more Ethernet selection.

Anytime you select a different PLC Protocol than the one already displayed, the Warning Message shown below will pop up. Click Yes to accept and the Fields for the selected Protocol will be displayed as shown on the applicable figure above.

Note that Connection through Another Panel is not available when using the Do-more driver.

Panel Manager Settings

  1. IP Address: The IP Address of the Do-more CPU. Use the Do-more Designer software or the NetEdit utility to find the IP address for the Do-more PLC. See below for details.

  2. Password: If the Do-more CPU has a password, it will be necessary to enter the password into this field in order to access the PLC.

NOTE: The Privileges for the password entered must at least have “Read Data – RD” and “Write Data – WD” selected in order to work correctly with C-more. See image below.

  3. Retries (0-10): The C-more Panel will send a request to the Do-more CPU. If the CPU does not reply within the specified “Timeout Time”, the C-more will send the request again. Once the retry count (specified in this field) limit has been reached, the C-more panel will display a PLC Timeout error on the screen.

  4. Ack Timeout Time( 1-255) (in 100ms units): The amount of time (in 100ms units) the panel will wait on an Ack reply after sending a request. After the Timeout timer expires, a Retry will be attempted if specified.

  5. Command Timeout Time( 1-255) (in 100ms units): The amount of time (in 100ms units) the panel will wait on the Command reply sending a command. After the Timeout timer expires, a Retry will be attempted if specified.

  6. Poll Time (0-30000 msec): The amount of time (in milliseconds) the panel will wait between each request.

  7. Memory version: A display only field that indicates the Do-more Memory version that this version of C-more supports. It should match the Memory Version of the Do-more CPU in order to reliably read and write data. If they do not match, an error will be indicated on the C-more panel display. Either the C-more programming software and firmware version or the Do-more firmware version will need to be upgraded in order for both to reliably communicate to each other. The Do-more Memory version can be viewed by entering in DST24 into a Data View window of the Do-more Designer software while connected to the CPU (shown below).

Finding
IP Address using NetEdit

Download the NetEdit software from http://support.automationdirect.com/downloads.html .

Open NetEdit and click Scan Network. A list of any available modules will appear. Double click on the Do-more CPU and the General Settings dialog will open showing the IP Address of the Do-more CPU. Insert this IP Address into the C-more Panel Manager configuration.

Finding
IP Address using Do-more Designer

Once you have connected to the Do-more CPU with the Do-more Designer software, click the Info button in the toolbar.

You will see the IP address settings at the bottom of the Info window.


AutomationDirect Do-more Addressing

Topic: CM305

AutomationDirect Do-more PLC Addressing

Note: Add-on Memory blocks and heap items are not supported in C-more. Only the Default/Out of the box memory types are supported.

*

**

Ensure that all addresses outside the default range are properly defined in the Do-more project. Do-more will respond to C-more requests for data of addresses not defined in the Do-more project with incorrect data.

Items in Bold should be default C-more Data Type to use when Importing.

System ID

Address Range *

Bit Spec

Struct Member

Description

Read/Write

C-more Data Type **

ST

0 - 65535

System Bits

R/W

Discrete

DST

0 - 65535

System Double Words

R/W

Signed int 32

SDT

0 - 65535

System Date/Time Structure

.Date

Year, Month, Day combined

Read Only

Signed int 32

.Year

Year

Read Only

Unsigned int 16 (with Hex option in objects)

.Month

Month

Read Only

Unsigned int 16 (with Hex option in objects)

.Day

Day

Read Only

Unsigned int 16 (with Hex option in objects)

.Time

Day of Week, Hour, Minute, Second combined

Read Only

Signed int 32

.DayofWeek

Day of the Week

Read Only

Unsigned int 16 (with Hex option in objects)

.Hour

Hour

Read Only

Unsigned int 16 (with Hex option in objects)

.Minute

Minute

Read Only

Unsigned int 16 (with Hex option in objects)

.Second

Second

Read Only

Unsigned int 16 (with Hex option in objects)

X

0 - 65535

Discrete Inputs

R/W

Discrete

Y

0 - 65535

Discrete Outputs

R/W

Discrete

WX

0 - 65535

Analog Inputs

R/W

Unsigned int 16 (with Hex option in objects), Signed int 16, BCD int 16

WY

0 - 65535

Analog Outputs

R/W

Unsigned int 16 (with Hex option in objects), Signed int 16, BCD int 16

C

0 - 65535

Internal Bits

R/W

Discrete

V

0 - 65535

Internal Unsigned Integer 16

R/W

Unsigned int 16 (with Hex option in objects), Signed int 16, BCD int 16

0 - 15

Internal Unsigned Integer 16 bit of word

R/W

Discrete

N

0 - 65535

Internal Signed Integer 16

R/W

Unsigned int 16 (with Hex option in objects), Signed int 16, BCD int 16

0 - 15

Internal Signed Integer 16 bit of word

R/W

Discrete

D

0 - 65535

Internal Signed Integer 32

R/W

Signed int 32, Unsigned int 32, BCD int 32

0 - 31

Internal Signed Integer 32 bit of word

R/W

Discrete

R

0 - 65535

Internal Floating point 32

R/W

Floating Pt 32

T

0 - 65535

Timer Structure

.Done

Timer done bit

Read Only

Discrete

.Zero

Timer accumulator is at 0

Read Only

Discrete

.Timing

Timer is timing

Read Only

Discrete

.Reset

Timer is reset

Read Only

Discrete

.ACC

Timer accumulator value

R/W

Signed int 32

CT

0 - 65535

Counter Structure

.Done

Counter done bit (counting up)

Read Only

Discrete

.Zero

Counter accumulator is at 0

Read Only

Discrete

.Reset

Counter is reset

Read Only

Discrete

.DnDone

Counter done bit (counting down)

Read Only

Discrete

.ACC

Counter accumulator value

R/W

Signed int 32

SS

0 - 65535

Short String (64 chars)

R/W

ASCII String

SL

0 - 65535

Long String (128 chars)

R/W

ASCII String

UDT

0 - 65535

User Date/Time Structure

R/W

.Date

Year, Month, Day combined

R/W

Signed int 32

.Year

Year

R/W

Unsigned int 16 (with Hex option in objects)

.Month

Month

R/W

Unsigned int 16 (with Hex option in objects)

.Day

Day

R/W

Unsigned int 16 (with Hex option in objects)

.Time

Day of Week, Hour, Minute, Second combined

R/W

Signed int 32

.DayofWeek

Day of the Week

R/W

Unsigned int 16 (with Hex option in objects)

.Hour

Hour

R/W

Unsigned int 16 (with Hex option in objects)

.Minute

Minute

R/W

Unsigned int 16 (with Hex option in objects)

.Second

Second

R/W

Unsigned int 16 (with Hex option in objects)

PL

0 - 65535

Peer Link data word

R/W

Unsigned int 16 (with Hex option in objects)

0 - 15

Peer Link data word bit of word

R/W

Discrete

DLX

0 - 177777 (Octal)

DL Server Input Bits

R/W

Discrete

DLY

0 - 177777 (Octal)

DL Server Output Bits

R/W

Discrete

DLC

0 - 177777 (Octal)

DL Server Internal Bits

R/W

Discrete

DLV

0 - 177777 (Octal)

DL Server Internal Unsigned Integer 16

R/W

Unsigned int 16 (with Hex option in objects), Signed int 16, BCD int 16

0 - 15

DL Server Internal Unsigned Integer 16 bit of word

R/W

Discrete

MI

0 - 65535

Modbus Input Bits

R/W

Discrete

MC

0 - 65535

Modbus Coils

R/W

Discrete

MIR

0 - 65535

Modbus Input Registers

R/W

Unsigned int 16 (with Hex option in objects), Signed int 16, BCD int 16

0 - 15

Modbus Input Registers bit of word

R/W

Discrete

MHR

0 - 65535

Modbus Holding Registers

R/W

Unsigned int 16 (with Hex option in objects), Signed int 16, BCD int 16

0 - 15

Modbus Holding Registers bit of word

R/W

Discrete

LastMSG

0 - 65535

System Message String (128 chars)

Read Only

ASCII String

LastERR

0 - 65535

System Error String (128 chars)

Read Only

ASCII String

* Note: Data Type - Items in Bold should be default C-more data type to use when importing.


AutomationDirect Do-more Error Codes

PLC Errors for Do-more

Error Code

Description

Resolution

0x01

Unknown Command

Should only occur if message has been corrupted or protocol version is mismatched. Check versions and update appropriately. If versions are correct, check cabling, routing and switches for bad packets.

With the Symbolic Addressing driver, this error could indicate:

  • A tag that is being requested that does not exist in the PLC,
  • A tag that is being requested is misspelled in C-More,
  • The max length for a String tag is incorrect.

0x02

Out of Sessions

Too many devices connected to the CPU. Reduce number of devices connected.

0x03

Illegal Operation

Occurs when permission level is not sufficient for the operation performed by the panel. Increase the permission level to correct the problem.

0x04

Invalid Session

Session number does match for sending device. Re-establish connection by power cycling or sending updated project.

0x05

Out of Range

Invalid address exists. Ensure that address range is expanded and load configuration to the CPU.

0x06

Invalid Argument

Occurs when message cannot be parsed correctly. This is usually happens when an address is used in the C-more that does not exist in the PLC.

0x07

Program Update Active

Wait until program update is complete.

0x08

No Token

Occurs when client attempts to update the project without first acquiring the program update token.

0x09

Program Update Inhibited

Occurs when client attempts to update the project while ST21 is true. This allows the customer to programmatically prevent the project from being updated.

0x0A

System Configuration Update Active

Wait until System Configuration update is complete to continue communications.

0x0B

Invalid Mode

Ensure that the switch on the CPU is in Term mode.

0x0C

Mode Change Active

Occurs when a PLC mode change is attempted while a mode change is in progress. In some cases it takes several scans for a mode change.

0x0D

Mode Locked

Occurs when mode change is attempted and keyswitch is not in Term.

0x0E

Invalid Password

Enter Do-more password in Password field of
C-more Panel Manager for this device.

0x0F

Resource Locked

Occurs when trying to update a tag that is forced. Force must be removed in order to update the tag.

0x010

Doc Update Active

Occurs when someone attempts to access the documentation file while it is being written back to ROM.

0x011

Invalid Driver

Occurs when attempting to read driver data from a driver that doesn't exist.

0x012

Invalid Driver Data

Occurs when attempting to read a driver data type that isn't valid.

0x013

Shared RAM write failed

Occurs when attempting to read or write to a module's shared RAM and it fails. Usually occurs when the module has gone bad.


Topic: CM054

AutomationDirect Do-more PLC Importing Tags

The Do-more Designer software has several different options for exporting PLC addresses that can be imported into the C-more programming software. The options include:

  • Export of non-structured PLC addresses with Nicknames
  • Export of Structured PLC addresses with Nicknames
  • Export of PLC addresses used in the ladder program
  • Combination of all of the above.

Six export options are possible. To illustrate this better, each option is discussed below with an example configuration. The most complete list may be exporting using Option #4. In this example, the PLC contains the following addresses:

  • Fully Nicknamed Structure
  • Individually Nicknamed Structure Elements

Fully Nicknamed Structure

mTimer is a "Fully Nicknamed Structure." In other words, the Timer Structure has the nickname "myTimer," which carries over to each element of the structure in the format [nickname.element].

Individually Nicknamed Structure Elements

myPID.SP is is an :Individually Nicknamed Structure Element" because it is an element of a larger structure, and the individual element is given the Nickname "PID_SP Nickname." Individually Structure Elements may have a different Nickname for each element in the larger structure.

Notice the addresses that have Nicknames and the Addresses that are used in the Ladder Logic.

Address | Nickname | Used in Ladder Logic |
TO.ACC | myTimer.ACC | No | Built-In
TO.Done | myTimer.Done | No | Built-In
T0.Zero | myTimer.Zero | No | Built-In
T0.Timing | myTimer.Timing | No | Built-in
T0.Reset | myTimer.Reset | No | Heap
myPID.SP | PID_SP_NickName | No | Heap
myPID.PV |  | Yes | Built-In
V0 | myV0 | Yes | Built-In
C0 |  | Yes | Built-In
C1 |  | Yes | Built-In
D1 |  | Yes | Built-In
V2 |  | Yes | Built-In

Export Option 1

This option exports:

  • Non-structured PLC addresses that have a Nickname, and
  • Individually nicknamed structure elements that have a Nickname.

To export these tags:

  1. In Do-more Designer, from the File menu, select Export and then Element Documentation.
    The Content Format window opens.
  2. Select C-more Do-more Driver Format.

The tags imported into C-more are:

Address | Nickname | Used in Ladder?
myPID.SP | PID_SP_NickName | No
V0 | myV0 | Yes

Export Option 2

This option exports:

  • Non-structured PLC addresses that have a Nickname,
  • Individually nicknamed structure elements that have a Nickname, and
  • PLC addresses used in the ladder logic even if they do not have a Nickname.

To export these tags:

  1. In Do-more Designer, from the File menu, select Export and then Element Documentation.
    The Content Format window opens.

  2. Select C-more Do-more Driver Format.

  3. Select Also export USED elements which do not have a nickname.

The tags imported into C-more are:

Address | Nickname | Used in Ladder Logic |
myPID.SP | PID_SP_NickName | No | Heap
MyPID.PV |  | Yes | Heap
V0 | myV0 | Yes | Built-in
C0 |  | Yes | Built-in
C1 |  | Yes | Built-in
D1 |  | Yes | Built-in
V2 |  | Yes | Built-in

Export Option 3

This option exports:

  • PLC addresses that have a Nicknames, including fullynicknamed structures.

To export these tags:

  1. In Do-more Designer, from the File menu, select Export and then Element Documentation.
    The Content Format window opens.
  2. Select C-more Do-more Driver Format WITH Struct Fields.

The tags imported into C-more are:

Address | Nickname | Used in Ladder Logic
TO.ACC | myTimer.Acc | No
TO.Done | myTimer.Done | No
TO.Zero | myTimer.Zero | No
TO.Timing | myTimer.Timing | No
TO.Reset | myTimer.Reset | No
myPID.SP | PID_SP_NickName | No
V0 | myV0 | Yes

Export Option 4

This option exports the largest number of PLC addresses. It includes:

  • PLC addresses that have a Nicknames, including fully nicknamed structures, and
  • PLC addresses used in the ladder logic, even if they do not have a Nickname.

To export these tags:

  1. In Do-more Designer, from the File menu, select Export and then Element Documentation.
    The Content Format window opens.

  2. Select C-more Do-more Driver Format WITH Struct Fields.

  3. Select Also export USED elements which do not have a nickname.

The tags imported into C-more are:

Address | Nickname | Used in Ladder Logic
TO.ACC | myTimer.Acc | No
TO.Done | myTimer.Done | No
TO.Zero | myTimer.Zero | No
TO.Timing | myTimer.Timing | No
TO.Reset | myTimer.Reset | No
myPID.SP | PID_SP_NickName | No
MyPID.PV |  | Yes
V0 | myV0 | Yes
C0 |  | Yes
C1 |  | Yes

Export Option 5

This option exports:

  • Non-structured PLC addresses that have a Nicknames, and
  • Structured PLC addresses that have a Nickname only if they are used in the ladder logic.

To export these tags:

  1. In Do-more Designer, from the File menu, select Export and then Element Documentation.
    The Content Format window opens.

  2. Select C-more Do-more Driver Format WITH Struct Fields.

  3. Select Do NOT export ALL nicknamed Struct Fields, just those that are USED.

The tags imported into C-more are:

Address | Nickname | Used in Ladder Logic
myPID.SP | PID_SP_NickName | No
V0 | myV0 | Yes

Export Option 6

This option exports:

  • Non-structured PLC addresses that have a Nickname,
  • PLC addresses used in the ladder logic, even if they do not have a Nickname, and
  • Structured PLC addresses that have a Nickname only if they are used in the ladder logic.

To export these tags:

  1. In Do-more Designer, from the File menu, select Export and then Element Documentation.
    The Content Format window opens.

  2. Select C-more Do-more Driver Format WITH Struct Fields.

    Select Do NOT export ALL nicknamed Struct Fields, just those that are USED.

  3. Select Also export USED elements which do not have a nickname.

The tags imported into C-more are:

Address | Nickname | Used in Ladder Logic
myPID.SP | PID_SP_NickName | No
myPID.PV |  | Yes
V0 | myV0 | Yes
C0 |  | Yes
C1 |  | Yes
D1 |  | Yes
V2 |  | Yes


AutomationDirect Do-more Ethernet Symbolic (Full Memory)

The Do-more Ethernet Symbolic Addressing driver is supported with the following devices (all Do-more PLCs require OS ver. 2.0.2 or later):

  • H2-DM1E
  • H2-DM1 with H2-ECOM1-- (ver. 4.0.1808) communications module
  • T1H-DM1E
  • BX-DM1E
  • BX-DM with the BX-P-ECOMLT communication module

Panel Manager Settings

  1. Do one of the following to open the Panel Manager window:
    1. From the main menu, click the Setup menu and select Panel Manger, or
    2. From the Navigation window, click the Function tab and select Panel Manager.
      See the illustrations below.

  2. From the Panel Manager window, on the tree to the left, click to select DEV001.
    The Device Setup screen of the Panel Manager window opens.

  3. In the PLC Protocol field, select AutomationDirect Do-more Ethernet Symbolic Addressing (Full Memory).

Any time the PLC Protocol is changed for a particular device to a PLC protocol with different addressing, all Tag Names associated with that device will be changed to Internal Tags. In other words, they will be disassociated with the selected device. It is not possible to convert each address for the previous PLC Protocol to corresponding addresses in the selected PLC Protocol. The warning message shown below will be displayed.

NOTE: Connection through another panel is not available when using the Do-more driver.

  1. PLC IP Address: Network IP address of the DO-more CPU. To find the IP address for the Do-more PLC, use the NetEdit software utility or the Do-more Designer software to scan the network for Do-more PLCs. Each technique is discussed below.
  2. Password: If the Do-more CPU has been configured to use a password, the C-more project will need to store this password to communicate with the Do-more. It is necessary to enter the password into this field.

NOTE: The Do-more password must be configured to allow access privileges for other devices. These privileges at a minimum must have at least "Read Data - RD" and "Write Data - WD" selected to work correctly with C-more. See the image below.

  3. Entries (0-10): The C-more panel will send a request to the Do-more CPU. If the CPU does not reply within the specified "Timeout Time," the C-more panel will send the request again. Once the retry count (specified in this field) has been reached, the C-more panel will display a PLC Timeout error on the screen.

  4. ACK Timeout Time (1-255) (in 100ms units: The amount of time (in 100ms units) that the panel will wait for an ACK reply after sending a request. The ACK simply says that the Do-more CPU has received the request and is processing it. After the Timout Timer expires, it will then retry.
  5. Command Timout Time (1-255) (in 100ms units): The amount of time (in 100ms units) that the pane will wait on the Command reply after sending a request. After the Timeout Timer expires, it will then retry.
  6. Poll Time (0-30000 msec): The amount of time (in milliseconds) that the panel will wait in between each request.

Find the Do-more Network IP Address

You will need the IP address of the Do-more to enter into the C-more project. To find the IP address for the Do-more PLC, use the NetEdit software utility or the Do-more Designer software to scan the network for Do-more PLCs.

NetEdit Software Method to Find the Network IP Address

After you have downloaded and installed NetEdit (it is also installed with the Do-more Designer software), open the software and browse the network. You will see the Do-more CPU and IP address as shown below. Use this IP address in the C-more Panel Manager Device configuration show later.

Do-more Designer Software Method to Find the Network IP Address

Once you have connected to the Do-more CPU with the Do-more Designer software, click the PLC drop-down menu and select System Information or click the Info button on the toolbar.

The System Information window opens displaying the IP address settings at the bottom of the Info window.


AutomationDirect Do-more Symbolic Addressing

The simplest and quickest way to bring Do-more addresses into C-more is to use the import utility discussed in the Help Topic Do-more PLC Importing Tags, but it is also possible to enter addresses manually.

The Do-more addresses are entered directly into the “Address” field of the C-more Tag Name –Add dialog box in their entirety. The Memory Type must match the Do-more Data Type in the PLC. There are _R versions of every Memory to designate it as a Read Only address. If an address is a Read Only address, the C-more Programming Software will limit which objects can be used with that address.

The Default Built-in memory is also accessible with the Symbolic Driver. To add a Tag Name to C-more. you must first know the Do-more data type and corresponding C-more Tag Data Type. Simply enter the full address name and Do-more data type. The table below shows the default built-in memory.

Do-more DataType | Do-more Default Built-in Memory Block | C-more Tag Data Type | C-more Memory Type | C-more Address
Bit | C0 - C2047 | Discrete | DISC DISC_R | C0 - C2047
 | ST0 - 1023 |  |  | ST0 - 1023
 | X0 - 2047 |  |  | X0 - 2047
 | Y0 - 2047 |  |  | Y0 - 2047
 | DLX0 - 777 |  |  | DLX0 - 777
 | DLY0 - 777 |  |  | DLY0 - 777
 | DLC0 - 777 |  |  | DLC0 - 777
 | MI0 - 1023 |  |  | MI0 - 1023
 | MC0 - 1023 |  |  | MC0 - 1023
Signed Word | WX0 - 255 | Signed int 16 | SI16 SI16_R | WX0 - 255
 | WY0 - 255 |  |  | WY0 - 255
 | N0 - 4095 |  |  | N0 - 4095
 | MIR0 - 2047 |  |  | MIR0 - 2047
 | MHR0 - 2047 |  |  | MHR0 - 2047
Signed Dword | DST0 - 511 | Signed int 32 | SI32 SI32_R | DST0 - 511
 | D0 - 4095 |  |  | D0 - 4095
Unsigned Word | V0 - 4095 | Unsigned int 16 | UI16 UI16_R | V0 - 4095
 | PL0 - 255 |  |  | PL0 - 255
 | DLV0 - 3777 |  |  | DLV0 - 3777
Real | R0 - 4095 | Floating PT 32 | FLOAT FLOAT_R | R0 - 4095
 | RX0 - 255 |  |  | RX0 - 255
 | RY0 - 255 |  |  | RY0 - 255
String Struct | SS0 - 127 | Ascii String | ASCII ASCII_R | SS0 - 127
 | SL0 - 63 |  |  | SL0 - 63
 | LastMsg0 - 7 |  |  | LastMsg0 - 7
 | LastErr0 - 7 |  |  | LastErr0 - 7

Simple Default Built-in Memory Examples

Numeric Example

  1. In the C-more Tag Name-Add window, select the corresponding C-more Tag Data Type.
    Since we are using Memory Block V0 in the example below, the Do-more Data Type is Unsigned Word, which corresponds to Unsigned int 16 in C-more.

  2. From the Memory Type dropdown list, select the desired Memory type.
    In this case UI16 or UI16_R. The _R Memory Type will be Read Only.
  3. In the Address field, type in the Built-in Memory Name (V) and Address(0)) as shown above.
    The C-more Tag Name can be anything that is clear to the user.

Discrete Example

  1. In the C-more Tag Name-Add window select the corresponding C-more Tag Data Type.
    Since we are using Memory Block C0 in the example below, the Do-more Data Type is Bit, which corresponds to Discrete in C-more.

  2. From the Memory Type drop-down list, select the desired Memory type.
    In this case, select DISC or DISC_R. The _R Memory Type will be Read Only.

  3. In the Address field, type in the Built-in Memory Name (C) and Address (0) as shown above.
    The C-more Tag Name can be anything that is clear to the user.

User-created Built-in Memory Block Examples

To add a Tag Name to C-more, you must first know the Do-more data type and corresponding C-more Tag Data Type. Refer to the table below for tag names and data types.

Do-more Data Type | C-more Tag Data Type | C-more Memory Type | Read/Write
Bit | Discrete | DISC | R/W
 |  | DISC_R | Read Only
Signed Byte | Signed int 16 | SI8 | R/W
 |  | SI8_R | Read Only
Unsigned Byte | Unsigned int 16 | UI8 | R/W
 |  | UI8_R | Read Only
Signed Word | Signed int 16 | SI16 | R/W
 |  | SI16_R | Read Only
Signed Dword | Signed int 32 | SI32 | R/W
 |  | SI32_R | Read Only
Unsigned Word | Unsigned int 16 | UI16 | R/W
 |  | UI16_R | Read Only
Real | Floating PT 32 | FLOAT | R/W
 |  | FLOAT_R | Read Only
String Struct | Ascii String | ASCII | R/W
 |  | ASCII_R | Read Only

Numeric Example

In this example, the user has created a Memory Block called LineMotor in the Do-more Designer software. See the Do-more Designer Memory Configuration illustration below.

  1. In the C-more Tag Name-Add window, select the corresponding C-more tag Data Type.
    From the chart above, the Do-more Data Type is Unsigned Word; therefore, the C-more Tag Data type is Unsigned int 16.The Tag Name - Edit window opens.

  1. From the Memory Type drop-down list, select the desired Memory type.
    In this case, UI16_R. The -R memory Type will be Read Only.
  2. in the Address field, type in the Built-in Memory Name (LineMotor) and Address (0) as shown above.
    The C-more Tag Name can be anything that is clear to the user.

Discrete Example

In this example, the user has created a Memory Block called Line Sensor in the Do-more Designer software. See the Do-more Designer Memory Configuration illustration below.

  1. In the C-more tag Name-Add window, select the corresponding C-more Tag Data Type.
    From the chart above, if the Do-more Data Type is BIT, the C-more Tag Data type is Discrete.

  2. From the Memory Type drop-down list, select the desired Memory Type.
    In this case, select DISC or DISC_R. The _R Memory Type is Read Only.
  3. In the Address field, type in the Built-in Memory Name (LineSensor) and Address (0) as shown above.
    The C-more Tag Name can be anything that is clear to the user.

Structure Example

In this example, the user has created a PID Structure called SealHeater in the Do-more Designer software, as illustrated in the figure below. We want to add a Tag Name to C-more for the SealHeater Setpoint.

  1. In the C-more Tag Name-Add window, select the corresponding C-more tag Data Type.
    From the Do-more Help file topic Structure members DMD0327, the .SP member is a 32-Bit Real = Floating PT 32.

  2. From the Memory Type drop-down list, select the desired Memory Type.
    In this case, select FLOAT or FLOAT-R. The _R Memory Type will be Read Only.
  3. In the Address field, type in the Memory Name (SealHeater), Address (0), and element (.SP) as shown above.
    The C-more Tag Name can be anything that is clear to the user.

Note: The entire structure is not specified in the C-more Tag Name dialog box. Only the members of the Structure and Memory Type for that member are specified. The only exceptions to this are the String data types.

User-Created HEAP Item

String Example

In this example, the user has created a String Structure called Line1BarCode in C-more Designer as a HEAP Item. We want to add a Tag Name to C-more for Line1BarCode String Structure.

  1. In the C-more Tag Name-Add window, in the Tag Data Type field, select ACSII String.

  2. From the Memory Type drop-down list, select the desired Memory type.
    In this case, select ASCII or ASCII-R. _R Memory Type will be Read Only.
    String addresses are entered with the full structure name (unlike all other structures) and also require the Max Length value to be entered before the address name within brackets [].
    The C-more Tag Name can be anything that is clear to the user.

  3. In the Address field, type the Max Length ([128]) and Memory Name (Line1BarCode) as shown above.


AutomationDirect Do-more Serial Drivers

Two serial drivers are available in C-more for the Do-more series PLCs:

  • AutomationDirect Do-more Serial (Built-in memory)
  • AutomationDirect Do-more Serial Symbolic Addressing (Full memory)

Your specific application will determine the best driver to use.

  • For 'most' applications, the Symbolic Addressing driver will be the best choice. With this driver, all memory addresses in the PLC are available. However, the Symbolic Addressing driver is a bit less efficient than the Built-in memory driver. The performance should be sufficient for the majority of applications.
  • For very complicated or large applications, the Built-in memory driver may be a better choice since it is a more efficient driver but the memory is limited to Built-in Memory blocks only.

Both drivers may be used simultaneously. Use the Built-in memory driver for all of the default memory addresses and use a Symbolic Addressing driver for any user- added memory. The two drivers can even co-exist for one PLC in the C-more project.


AutomationDirect Do-more Serial

Topic: CM304

AutomationDirect Do-more Serial (Built-in Memory)

The following information applies for AutomationDirect Do-more PLCs compatible with C-more Touch Panels.

C-more Panel Manager Settings

  1. Access the Panel Manager by select from the Setup Menu located on the Main Menu or from the Function Tab of the Navigation Window as shown below.

  2. From the Panel Manager window click on the DEV001 selection on the tree to the left to open the Device Setup screen of the Panel Manager window shown below.

  3. From the PLC Protocol field, click on the down arrow [image] and select the AutomationDirect Do-more Serial selection.

Anytime you select a different PLC Protocol than the one already displayed, the Warning Message shown below will pop up. Click Yes to accept and the Fields for the selected Protocol will be displayed as shown on the applicable figure above.

To learn about the Connection Through Another Panel option, click on the green text.

Panel Manager Settings

  1. Baud Rate: This setting needs to match the Baud Rate setting in the Do-more CPU serial port configuration.

  2. Parity: This setting needs to match the Parity setting in the Do-more CPU serial port configuration.

  3. Stop Bit: This setting needs to match the Stop Bit setting in the Do-more CPU serial port configuration. This value will most often be set to 1.

  4. Data Bit: This setting needs to match the Data Bit setting in the Do-more CPU serial port configuration. This value will most often need to be set to 8.

  5. Control RTS: If “Yes” is selected in this field, then C-more will assert the RTS signal of the serial port before transmitting data. This signal is commonly used with media converters, such as a FA-ISOCON.

  6. Control RTS: If “Yes” is selected in this field, then C-more will check to see if the CTS signal has been asserted from the connected device before it will transmit data.

  7. Select RS 485: Select “Yes” for this field if 2 wire RS-485 communications is needed. Along with selecting “Yes” in this field, the SD+ and RD+ must be jumpered along with the SD- and RD- pins.

  8. Password: If the Do-more CPU has a password, it will be necessary to enter the password into this field in order to access the PLC.

NOTE: The Privileges for the password entered must at least have “Read Data – RD” and “Write Data – WD” selected in order to work correctly with C-more. See image below.

  9. Timeout Time( 0-40) (in 100ms units): This is the amount of time (in 100ms increments) that the panel will wait on a reply after sending a request..

  10. Poll Time (0-30000 msec): This is the amount of time (in milliseconds) that the panel will wait in between each request. The panel will then try to send another request. If 3 timeouts occur, the panel will then give a PLC timeout error.

  11. Memory version: A display only field that indicates the Do-more Memory version that this version of C-more supports. It should match the Memory Version of the Do-more CPU in order to reliably read and write data. If they do not match, an error will be indicated on the C-more panel display. Either the C-more programming software and firmware version or the Do-more firmware version will need to be upgraded in order for both to reliably communicate to each other. The Do-more Memory version can be viewed by entering in DST24 into a Data View window of the Do-more Designer software while connected to the CPU (shown below).

Serial Port Settings using Do-more Designer

Once you have connected to the Do-more CPU with the Do-more Designer software, click the Configure button in the toolbar.

The System Configuration dialog will open. The Serial Port Mode should be set to Do-more Programming.

Click the Device Settings button to set the other serial port options.

Transmit Control should be set to Unconditional. RTS Control should be set to Follows Transmitter. Baud Rate, Data Bits, Stop Bits and Parity must match the C-more Programming Software Panel Manager setup described above.


AutomationDirect Do-more Serial Symbolic (Full Memory)

The Do-more Serial Symbolic Addressing driver is supported with the following devices (all Do-more PLCs require OS ver. 2.0.2 or later):

  • H2-DM1E
  • H2-DM1 with H2-ECOM100 (ver. 4.0.1808) communication module
  • T1H-DM1E
  • BX-DM1E
  • BX-DM with the BX-P-ECOMLT communication module

Panel Manager Settings

  1. From the main menu, click the Setup menu and select Panel Manger, or
    From the Navigation window, click the Function tab and select Panel Manager.
    See the illustrations below.

  2. From the Panel Manager window, on the tree to the left, click to select DEV001.
    The Device Setup screen of the Panel Manager window opens.

  3. In the PLC Protocol field, select AutomationDirect Do-more Serial Symbolic Addressing.

  4. Any time the PLC Protocol is changed for a particular device to a PLC protocol with different addressing, all Tag Names associated with that device will be changed to Internal Tags. In other words, they will be disassociated with the selected device. It is not possible to convert each address for the previous PLC Protocol to corresponding addresses in the selected PLC Protocol. The warning message shown below will be displayed.

NOTE: Connection through another panel is not available when using the Do-more driver.

  1. Baud Rate: This setting needs to match the Baud Rate setting in the Do-more CPU serial port configuration.
  2. Parity: This setting needs to match the Parity setting in the Do-more CPU serial port configuration.
  3. Stop Bit: This setting needs to match the Stop Bit setting in the Do-More CPU serial port configuration. This value will most often be set to 1.
  4. Data Bit: This setting needs to match the Data Bit setting in the Do-More CPU serial port configuration. This value will most often need to be set to 8.
  5. Control RTS: If "Yes" is selected in this field, then C-more will assert the RTS signal of the serial port before transmitting data. This signal is commonly used with media converters such as FA-ISOCON.
  6. Control FTS: If "Yes" is selected in this field, then C-more will check to see if the CTS signal has been asserted from the connected device before it will transmit data.
  7. Select RS 485: Select "Yes" for this field if 2 wire RS-485 communications is needed. Along with selecting, "Yes" in this field, the SD+ must be jumpered with the SD- and RD- pins.
  8. Password: If the Do-more CPU has been configured to use a password, the C-more project will need to store this password to communication with the Do-more. It is necessary to enter the password into this field.

NOTE: The Do-more password must be configured to allow access privileges for other devices. These privileges, at a minimum, must have at least "Read Data - RD" and "Write Data - WD" selected to work correctly with C-more. See the image below.

  9. Timeout Time (0-40) (in 100ms units): The amount of time (in 100 ms increments) that the panel will wait on a reply after sending a request.
  10. Poll Time: The amount of time (in milliseconds) that the panel will wait in between each request.

Serial Port Settings Using Do-more Designer
  1. Once you have connected to the Do-more CPU with the Do-more Designer software, click the Configure button in the toolbar.

The System Configuration dialog box opens. The Serial Port Configuration should be set to Do-more Programming.

  2. Click the @IntSerial Device Settings button to set the other serial port options.

  1. Baud Rate, Data Bits, Stop Bits, and Parity: Must match the C-more Programming Software Panel Manager setup described above.
  2. Transmit Control: Set to Unconditional.
  3. RTS Control: Set to Follows Transmitter.


AutomationDirect Productivity3000 Ethernet (P3-550)

The following information applies for AutomationDirect Productivity3000 (P3-550) PAC's compatible with C-more Touch Panels.

Up to 30 C-more panels can be connected to one P3-550 CPU and up to 64 CPUs can be connected to one C-more panel.

The C-more panel is the master when communicating with an AutomationDirect Productivity3000 (P3-550) PAC.

C-more Panel Manager Settings

  1. Access the Panel Manager by select from the Setup Menu located on the Main Menu or from the Function Tab of the Navigation Window as shown below.

  2. From the Panel Manager window click on the DEV001 selection on the tree to the left to open the Device Setup screen of the Panel Manager window shown below.

  3. From the PLC Protocol field, click on the down arrow [image] and select the AutomationDirect Productivity3000 Ethernet (P3-550) selection.

Anytime you select a different PLC Protocol than the one already displayed, the Warning Message shown below will pop up. Click Yes to accept and the Fields for the selected Protocol will be displayed as shown on the applicable figure above.

To learn about the Connection Through Another Panel option, click on the green text.

Panel Manager Settings

  1. IP Address: The IP Address of the P3-550 CPU. This can be found in the CPU settings of the Hardware Configuration.

  2. PLC Port (0-65535): Specifies the destination TCP port number that C-more will send to the P3-550 CPU. The default is 502. This number may need to be adjusted for firewall/router purposes.

  3. PLC Slave Number( 0-255): This corresponds with the “Unit ID” number in the protocol header. Currently, this number can be set to any value as the CPU will just echo back the value sent. This field may be implemented in the future for gateway/routing purposes.

  4. Retries (0-10): The C-more Panel will send a request to the specified device. If the PAC does not reply within the specified “Timeout Time”, the C-more will send the request again. Once the retry count (specified in this field) limit has been reached, the C-more panel will display a Timeout error on the screen.

  5. Timeout Time( 1-255) (in 100ms units): The amount of time (in 100ms units) the panel will wait on a reply after sending a request. After the Timeout timer expires, a Retry will be attempted if specified.

  6. Poll Time (0-30000 msec): The amount of time (in milliseconds) the panel will wait between each request.

P3-550 CPU Communications Settings

Verify the PAC communication port settings are the same as the C-more panel. To access the communication configuration settings for the P3-550 CPU, open the Productivity Suite Programming Software.

Click on the Setup Menu and then select the Hardware Config menu item.

The Hardware Configuration window will open as shown below.

Double-click on the image of the P3-550 CPU in the Hardware Configuration window.

The P3-550 Configuration window will open as shown below.

Click on the Ethernet Ports tab to display the External Ethernet Port settings. For details on the present IP configuration of the CPU, click on the Show Current Settings button.

NOTE: The DHCP setting can not be used when connecting a C-more panel to the P3-550 CPU system. The IP Address of the CPU must be static.

If C-more will be reading and writing data to the CPU, set the Port Security to Read/Write. If C-more will only be reading data from the CPU, this setting can be changed to Read Only.

Tag Import from PAC to C-more

The Productivity Suite programming software automatically creates a CSV file every time a project is saved. This CSV file can be directly imported using the C-more programming software “Tag Name Database Import” feature.

Tag Name Database Import is accessed from the Import drop down menu, which is selected from the File Menu.

Navigate to the Productivity3000 folder and select the CSV file with the same name as the project that you wish to import.

Once you have selected the CSV file, there are a few options to choose from in the Import Tag Name Database dialog.

  • The “Overwrite Existing Tags” selection will only overwrite those tags of the same name when importing. Select this option when appropriate.
  • Leave the “My file contains a Header Row” selection checked as the CSV file contains a header row.
  • If the C-more panel will be communicating with more than one Productivity3000 system, there will be multiple devices to choose from. Choose the appropriate device to which these imported tags will be assigned.
  • The Append Text field allows for Device specific text to be added to the tags as they are imported. This is useful for situations where C-more is communicating to multiple Productivity3000 systems containing the same tag names. For example: Machine 1 and Machine 2 both have the tag “Cycle_Start”. When importing Machine 1’s tags, you could place the text “_Machine1” in the Append Text field and then when importing Machine 2’s tags, you could place the text “_Machine2” in the Append Text field and you would have 2 tags that look like this: Cycle_Start_Machine1 and Cycle_Start_Machine2.
  • The “Import Array Element Count” field defines how many array elements for each individual array will be imported to the C-more programming software. If the array in the Productivity3000 contains 1200 elements but you only need the first 10 in the C-more application, change the “Import Array Element Count Limit” field to 10. This can greatly reduce the amount of tags in the C-more programming software for efficiency in selection. Choose the number appropriate to the application.


AutomationDirect Productivity3000 Serial (P3-550)

The following information applies for AutomationDirect Productivity3000 (P3-550) PAC's compatible with C-more Touch Panels.

Only one C-more panel can be serially connected to a P3-550 CPU. See Productivity3000 Ethernet driver to connect more than one C-more panel to a single CPU.

Up to 64 P3-550 CPUs can be connected to one C-more panel. See Connecting Multiple PLCs to a Single C-more Panel for more detail.

The C-more panel is the master when communicating with an AutomationDirect Productivity3000 (P3-550) PAC.

C-more Panel Manager Settings

  1. Access the Panel Manager by select from the Setup Menu located on the Main Menu or from the Function Tab of the Navigation Window as shown below.

  2. From the Panel Manager window click on the DEV001 selection on the tree to the left to open the Device Setup screen of the Panel Manager window shown below.

  3. From the PLC Protocol field, click on the down arrow [image] and select the AutomationDirect Productivity3000 Serial (P3-550) selection.

Anytime you select a different PLC Protocol than the one already displayed, the Warning Message shown below will pop up. Click Yes to accept and the Fields for the selected Protocol will be displayed as shown on the applicable figure above.

To learn about the Connection Through Another Panel option, click on the green text.

Panel Manager Settings

  1. PLC Slave Number(1-247): This number should match the Node Address field of the Productivity Suite programming software Serial Port setting.

  2. Baud Rate: This setting should match the Baud Rate field of the Productivity Suite programming software Serial Port setting. This value may need to be lowered, depending on the environmental conditions and quality of the cabling between C-more and the PAC system.

  3. Parity: This setting should match the Parity setting of the Productivity Suite programming software Serial Port setting.

  4. Stop Bit: This setting should match the Stop Bit setting of the Productivity Suite programming software Serial Port setting.

  5. Control RTS: If the RTS signal of the C-more panel serial port needs to be asserted before every serial transmission for the purpose of using a RS-232 to RS-485 converter or modem, select Yes for this field. In any other case, choose No.

  6. Require CTS: If using a modem on C-more’s serial port and flow control is required, change this setting to Yes. Otherwise, leave this setting at No.

  7. Select RS-485: If using 2-wire RS-485, change this setting to Yes. If using RS-232 or 4-wire RS-485, leave this setting at No.

  8. Timeout Time(1-255)(in 100ms units): The amount of time (in 100ms units) the panel will wait on a reply after sending a request. After the Timeout timer expires, a Retry will be attempted if specified.

  9. Poll Time(0-30000 msec): The amount of time (in milliseconds) the panel will wait between each request.

P3-550 CPU Communications Settings

Verify the PAC communication port settings are the same as the C-more panel. To access the communication configuration settings for the P3-550 CPU, open the Productivity Suite Programming Software.

Click on the Setup Menu and then select the Hardware Config menu item.

The Hardware Configuration window will open as shown below.

Double-click on the image of the P3-550 CPU in the Hardware Configuration window.

The P3-550 Configuration window will open as shown below.

Click on the Serial Ports tab to display the port settings for the RS-232 and RS-485 ports.

If C-more will be reading and writing data to the CPU, set the Port Security to Read/Write. If C-more will only be reading data from the CPU, this setting can be changed to Read Only.

In the Protocol field, Modbus RTU should be selected.

The Baud Rate, Node Address, Parity and Stop Bits fields should match the settings in the C-more Programming Software Panel Manager settings.

Tag Import from PAC to C-more

The Productivity Suite programming software automatically creates a CSV file every time a project is saved. This CSV file can be directly imported using the C-more programming software “Tag Name Database Import” feature.

Tag Name Database Import is accessed from the Import drop down menu, which is selected from the File Menu.

Navigate to the Productivity3000 folder and select the CSV file with the same name as the project that you wish to import.

Once you have selected the CSV file, there are a few options to choose from in the Import Tag Name Database dialog.

  • The “Overwrite Existing Tags” selection will only overwrite those tags of the same name when importing. Select this option when appropriate.
  • Leave the “My file contains a Header Row” selection checked as the CSV file contains a header row.
  • If the C-more panel will be communicating with more than one Productivity3000 system, there will be multiple devices to choose from. Choose the appropriate device to which these imported tags will be assigned.
  • The Append Text field allows for Device specific text to be added to the tags as they are imported. This is useful for situations where C-more is communicating to multiple Productivity3000 systems containing the same tag names. For example: Machine 1 and Machine 2 both have the tag “Cycle_Start”. When importing Machine 1’s tags, you could place the text “_Machine1” in the Append Text field and then when importing Machine 2’s tags, you could place the text “_Machine2” in the Append Text field and you would have 2 tags that look like this: Cycle_Start_Machine1 and Cycle_Start_Machine2.
  • The “Import Array Element Count” field defines how many array elements for each individual array will be imported to the C-more programming software. If the array in the Productivity3000 contains 1200 elements but you only need the first 10 in the C-more application, change the “Import Array Element Count Limit” field to 10. This can greatly reduce the amount of tags in the C-more programming software for efficiency in selection. Choose the number appropriate to the application.


AutomationDirect Productivity3000 (P3-550) Addressing

System ID | Address Range | Max Rows | Max Columns | Max Chars | Read/Write | C-more Data Type
C | 000001 - 999999 | N/A | N/A | N/A | R/W | Discrete
AR1C | 000001 - 999999 | 65535 | N/A | N/A | R/W | Discrete
AR2C | 000001 - 999999 | 65535 | 65535 | N/A | R/W | Discrete
DI | 0.1.1.1 - 99.5.16.256 | N/A | N/A | N/A | Read Only | Discrete
DO | 0.1.1.1 - 99.5.16.256 | N/A | N/A | N/A | R/W | Discrete
S16 | 000001 - 999999 | N/A | N/A | N/A | R/W | Signed int 16
AR1S16 | 000001 - 999999 | 65535 | N/A | N/A | R/W | Signed int 16
AR2S16 | 000001 - 999999 | 65535 | 65535 | N/A | R/W | Signed int 16
US16 | 000001 - 999999 | N/A | N/A | N/A | R/W | Unsigned int 16 (with Hex option in objects)
AR1US16 | 000001 - 999999 | 65535 | N/A | N/A | R/W | Unsigned int 16 (with Hex option in objects)
AR2US16 | 000001 - 999999 | 65535 | 65535 | N/A | R/W | Unsigned int 16 (with Hex option in objects)
S32 | 000001 - 999999 | N/A | N/A | N/A | R/W | Signed int 32
AR1S32 | 000001 - 999999 | 65535 | N/A | N/A | R/W | Signed int 32
AR2S32 | 000001 - 999999 | 65535 | 65535 | N/A | R/W | Signed int 32
AIS32 | 0.1.1.1 - 99.5.16.256 | N/A | N/A | N/A | Read Only | Signed int 32
AOS32 | 0.1.1.1 - 99.5.16.256 | N/A | N/A | N/A | R/W | Signed int 32
F32 | 000001 - 999999 | N/A | N/A | N/A | R/W | Floating PT 32
AR1F32 | 000001 - 999999 | 65535 | N/A | N/A | R/W | Floating PT 32
AR2F32 | 000001 - 999999 | 65535 | 65535 | N/A | R/W | Floating PT 32
AIF32 | 0.1.1.1 - 99.5.16.256 | N/A | N/A | N/A | Read Only | Floating PT 32
US8 | 000001 - 999999 | N/A | N/A | N/A | R/W | Unsigned int 16 (with Hex option in objects)
AR1US8 | 000001 - 999999 | 65535 | N/A | N/A | R/W | Unsigned int 16 (with Hex option in objects)
AR2US8 | 000001 - 999999 | 65535 | 65535 | N/A | R/W | Unsigned int 16 (with Hex option in objects)
BCD16 | 000001 - 999999 | N/A | N/A | N/A | R/W | BCD int 16
AR1BCD16 | 000001 - 999999 | 65535 | N/A | N/A | R/W | BCD int 16
AR2BCD16 | 000001 - 999999 | 65535 | 65535 | N/A | R/W | BCD int 16
BCD32 | 000001 - 999999 | N/A | N/A | N/A | R/W | BCD int 32
AR1BCD32 | 000001 - 999999 | 65535 | N/A | N/A | R/W | BCD int 32
AR2BCD32 | 000001 - 999999 | 65535 | 65535 | N/A | R/W | BCD int 32
STR | 000001 - 999999 | N/A | N/A | 128 | R/W | ASCII String
AR1STR | 000001 - 999999 | 65535 | N/A | 128 | R/W | ASCII String
AR2STR | 000001 - 999999 | N/A | N/A | 128 | R/W | ASCII String
SBR | 000001 - 999999 | N/A | N/A | N/A | Read Only | Discrete
SBRW | 000001 - 999999 | N/A | N/A | N/A | R/W | Discrete
SWR | 000001 - 999999 | N/A | N/A | N/A | Read Only | Signed int 16
SWRW | 000001 - 999999 | N/A | N/A | N/A | R/W | Signed int 16
SSTR | 000001 - 999999 | N/A | N/A | 50 | Read Only | ASCII String
MST | 0.1.1.1 - 99.5.16.256 | N/A | N/A | N/A | Read Only | Discrete

* For the DI, DO, AIS32, AOS32, AIF32 and MST data types, the System ID number is associated with a physical location (module). The explanation for the System ID number is shown below:

The dash that is seen between the memory type and the System ID number in the Productivity Suite software is not needed nor will be accepted in the C-more programming software. Also note that you cannot enter the comma between two indices of a two dimension array in the C-more programming software. See the captures shown below:

For one dimensional arrays use “SystemID(Column)” and for two dimensional arrays use “SystemID(Row)(Column)."

NOTE: The System ID associated with each Productivity3000 Tag is displayed in the Tag Database window of the Productivity Suite Programming Software. If the System ID column is not visible in the Tag Database, it can be made visible by right clicking on any of the column headers and selecting System ID (shown below).


AutomationDirect Productivity3000 (P3-550) Error Codes

PLC Errors for Productivity3000 (PLC-499 Error code 0xaaaa)
Error Code | Description
0001 | The function code received in the query is not an allowable action for the server (or slave). This may be because the function code is only applicable to newer devices and was not implemented in the unit selected. It could also indicate that the server (or slave) is in the wrong state to process a request of this type, for example because it is unconfigured and is being asked to return registered values.
0002 | Address out of range. Check to make sure that the C-more tag and System ID match the Productivity3000 Programming Software Tag Name and System ID. The project file in the Productivity3000 system and the imported CSV into C-more must be in sync with each other.
0003 | A value contained in the query data field is not an allowable value for the server (or slave). This indicates a fault in the structure of the remainder of a complex request, such as that the implied length is incorrect. It specifically does NOT mean that a data item submitted for storage in a register has a value outside the expectation of the application program, since the Modbus protocol is unaware of the significance of any particular value of any particular register.
0004 | An unrecoverable error occurred while the server (or slave) was attempting to perform the requested action.

Note: Ordinarily, C-more attempts to communicate with the PLC in the most economical fashion by blocking together multiple tags in one request. However, if an error occurs C-more will send individual tag requests in order to ascertain exactly which tag is producing the error. This will result in slower communications. Changing screens or going to the System Screen then back to the project should cause C-more to resume its normal, economical, faster communications method. Such an error might occur when transferring a project to the PLC.


AutomationDirect SOLO Temp Controller Setup

This SOLO temperature controller driver allows C-more to easily and directly access the SOLO parameters for viewing and/or adjustment over a serial connection.

Checking SOLO Communications Parameters

The serial communication settings are shown below and should be set to match the settings in the C-more Programming Software Panel Manager window.

To check or change the serial communication parameters in SOLO, go to the Initial Setting Parameters (P3-xx) by pressing and holding the SET button on the front of the controller for more than 3 seconds.

  • Parameter P3-12 must be turned ON in order to be able to change parameters in the controller from C-more.

  • Parameter P3-13 must be set to RTU in order for C-more to be able to communicate to the controller.

  • Parameters P3-14, P3-15, P3-17 and P3-18 need only match the C-more Programming Software Panel Manager settings.

  • Parameter P3-16 must be set to 8.

C-more Panel Manager Settings
  1. Access the Panel Manager by select from the Setup Menu located on the Main Menu or from the Function Tab of the Navigation Window as shown below.

  2. From the Panel Manager window click on the DEV001 selection on the tree to the left to open the Device Setup screen of the Panel Manager window shown below.

  3. From the PLC Protocol field, click on the down arrow [image] and select the AutomationDirect SOLO Temp Controller selection.

Anytime you select a different PLC Protocol than the one already displayed, the Warning Message shown below will pop up. Click Yes to accept and the Fields for the selected Protocol will be displayed as shown on the figure above.

To learn about the Connection Through Another Panel option, click on the green text.

The AutomationDirect SOLO Temp Controller panel manager window provides the following:

  1. PLC Slave Number: This is the Slave Address of the SOLO controller. This number should match the value set in parameter P3-14 of the SOLO controller that is connected to C-more.
  2. Baud Rate: The Baud Rate setting should match the Rate set in parameter P3-15 of the SOLO controller.
  3. Parity: This setting should match the Parity selected in parameter P3-17 of the SOLO controller.
  4. Stop Bit: This value should match the Stop bit selection configured in parameter P3-18 of the SOLO controller.
  5. Control RTS: If “Yes” is selected in this field, then C-more will assert the RTS signal of the serial port before transmitting data. This signal is commonly used with media converters, such as a FA-ISOCON.
  6. Require CTS: If “Yes” is selected in this field, then C-more will check to see if the CTS signal has been asserted from the connected device before it will transmit data.
  7. Select RS 485: Select “Yes” for this field. Along with selecting “Yes” in this field, the SD+ and RD+ must be jumpered and the SD- and RD- pins must be jumpered. This setting is on by default since the SOLO controllers use 2 wire RS-485 as their method of serial communication.
  8. PLC Protocol, Registers Per Message and Coils Per Message: These fields are read only and are not accessible.
  9. Timeout time: This is the amount of time (in 100 ms) that the panel will wait on a reply after sending a request.
  10. Poll Time: This is the amount of time (in milliseconds) that the panel will wait in between each request.


AutomationDirect SOLO Temp Controller Addressing

Note: See SOLO Temperature Controller manual for description of parameters.

Note: Use C-more Tag Data Type "Discrete" for SOLO BIT Data Type and C-more Tag Data Type "Signed int 16" for SOLO WORD Data Type.

Memory Type | Read/Write Type | Data Type
PV_PROCESS_VALUE | R/W | WORD
SP_SET_POINT_VALUE | R/W | WORD
P1_1_At_AUTO_TUNING | R/W | BIT
P1_2_Pidn_PID_PARAM_GRP | R/W | WORD
P1_3_Sun_TARGET_SV | R/W | WORD
P1_4_Pn_PROPORT_BAND | R/W | WORD
P1_5_In_INTEGRAL_TIME | R/W | WORD
P1_6_dn_DERIV_TIME | R/W | WORD
P1_7_PdoF_PD_CONT_OFFSET | R/W | WORD
P1_8_IoFn_INTEGRAL_OFFSET | R/W | WORD
P1_9_HtS_HEATING_HYST | R/W | WORD
P1_10_CtS_COOL_HYST | R/W | WORD
P1_11_HtPd_OUT1_HEAT_PERIOD | R/W | WORD
P1_12_CLPd_OUT1_COOL_PERIOD | R/W | WORD
P1_13_HCPd_OUT2_PERIOD | R/W | WORD
P1_14_CoEF_PROP_BAND_COEFF | R/W | WORD
P1_15_dEAd_DEAD_BAND | R/W | WORD
P1_16_tPoF_PV_OFFSET | R/W | WORD
P1_17_CrHI_ANALOG_HI_ADJ | R/W | WORD
P1_18_CrLo_ANALOG_LO_ADJ | R/W | WORD
P2_1_r_S_RUN_STOP_CNTRL | R/W | BIT
STOP_RAMPSOAK_CNTRL | R/W | BIT
HOLD_RAMPSOAK_CNTRL | R/W | BIT
P2_2_Ptrn_START_RS_PATTERN | R/W | WORD
P2_3_SP_DECIMAL_PT_POS | R/W | WORD
P2_4_AL1H_ALARM1_HI_LIM | R/W | WORD
P2_5_AL1L_ALARM1_LO_LIM | R/W | WORD
P2_6_AL2H_ALARM2_HI_LIM | R/W | WORD
P2_7_AL2L_ALARM2_LO_LIM | R/W | WORD
P2_8_AL3H_ALARM3_HI_LIM | R/W | WORD
P2_9_AL3L_ALARM3_LO_LIM | R/W | WORD
P2_10_LoC_LOCK_MODE | R/W | WORD
P2_11_oUt1_OUTPUT1_LEVEL | R/W | WORD
P2_12_oUt2_OUTPUT2_LEVEL | R/W | WORD
P3_1_InPt_INPUT_TYPE | R/W | WORD
P3_3_tP_H_INPUT_RANGE_HI | R/W | WORD
P3_4_tP_L_INPUT_RANGE_LO | R/W | WORD
P3_5_CtrL_CONTROL_MODE | R/W | WORD
P3_7_S_HC_HEATING_COOLING | R/W | WORD
P3_8_ALA1_ALARM1 | R/W | WORD
P3_9_ALA2_ALARM2 | R/W | WORD
P3_10_ALA3_ALARM3 | R/W | WORD
P3_11_SALA_SYSTEM_ALARM | R/W | WORD
P3_12_CoSH_ONLINE_CONFIG | R/W | BIT
P3_19_RMPSK_SV_PATT0_STEP0 | R/W | WORD
P3_19_RMPSK_SV_PATT0_STEP1 | R/W | WORD
P3_19_RMPSK_SV_PATT0_STEP2 | R/W | WORD
P3_19_RMPSK_SV_PATT0_STEP3 | R/W | WORD
P3_19_RMPSK_SV_PATT0_STEP4 | R/W | WORD
P3_19_RMPSK_SV_PATT0_STEP5 | R/W | WORD
P3_19_RMPSK_SV_PATT0_STEP6 | R/W | WORD
P3_19_RMPSK_SV_PATT0_STEP7 | R/W | WORD
P3_19_RMPSK_SV_PATT1_STEP0 | R/W | WORD
P3_19_RMPSK_SV_PATT1_STEP1 | R/W | WORD
P3_19_RMPSK_SV_PATT1_STEP2 | R/W | WORD
P3_19_RMPSK_SV_PATT1_STEP3 | R/W | WORD
P3_19_RMPSK_SV_PATT1_STEP4 | R/W | WORD
P3_19_RMPSK_SV_PATT1_STEP5 | R/W | WORD
P3_19_RMPSK_SV_PATT1_STEP6 | R/W | WORD
P3_19_RMPSK_SV_PATT1_STEP7 | R/W | WORD
P3_19_RMPSK_SV_PATT2_STEP0 | R/W | WORD
P3_19_RMPSK_SV_PATT2_STEP1 | R/W | WORD
P3_19_RMPSK_SV_PATT2_STEP2 | R/W | WORD
P3_19_RMPSK_SV_PATT2_STEP3 | R/W | WORD
P3_19_RMPSK_SV_PATT2_STEP4 | R/W | WORD
P3_19_RMPSK_SV_PATT2_STEP5 | R/W | WORD
P3_19_RMPSK_SV_PATT2_STEP6 | R/W | WORD
P3_19_RMPSK_SV_PATT2_STEP7 | R/W | WORD
P3_19_RMPSK_SV_PATT3_STEP0 | R/W | WORD
P3_19_RMPSK_SV_PATT3_STEP1 | R/W | WORD
P3_19_RMPSK_SV_PATT3_STEP2 | R/W | WORD
P3_19_RMPSK_SV_PATT3_STEP3 | R/W | WORD
P3_19_RMPSK_SV_PATT3_STEP4 | R/W | WORD
P3_19_RMPSK_SV_PATT3_STEP5 | R/W | WORD
P3_19_RMPSK_SV_PATT3_STEP6 | R/W | WORD
P3_19_RMPSK_SV_PATT3_STEP7 | R/W | WORD
P3_19_RMPSK_SV_PATT4_STEP0 | R/W | WORD
P3_19_RMPSK_SV_PATT4_STEP1 | R/W | WORD
P3_19_RMPSK_SV_PATT4_STEP2 | R/W | WORD
P3_19_RMPSK_SV_PATT4_STEP3 | R/W | WORD
P3_19_RMPSK_SV_PATT4_STEP4 | R/W | WORD
P3_19_RMPSK_SV_PATT4_STEP5 | R/W | WORD
P3_19_RMPSK_SV_PATT4_STEP6 | R/W | WORD
P3_19_RMPSK_SV_PATT4_STEP7 | R/W | WORD
P3_19_RMPSK_SV_PATT5_STEP0 | R/W | WORD
P3_19_RMPSK_SV_PATT5_STEP1 | R/W | WORD
P3_19_RMPSK_SV_PATT5_STEP2 | R/W | WORD
P3_19_RMPSK_SV_PATT5_STEP3 | R/W | WORD
P3_19_RMPSK_SV_PATT5_STEP4 | R/W | WORD
P3_19_RMPSK_SV_PATT5_STEP5 | R/W | WORD
P3_19_RMPSK_SV_PATT5_STEP6 | R/W | WORD
P3_19_RMPSK_SV_PATT5_STEP7 | R/W | WORD
P3_19_RMPSK_SV_PATT6_STEP0 | R/W | WORD
P3_19_RMPSK_SV_PATT6_STEP1 | R/W | WORD
P3_19_RMPSK_SV_PATT6_STEP2 | R/W | WORD
P3_19_RMPSK_SV_PATT6_STEP3 | R/W | WORD
P3_19_RMPSK_SV_PATT6_STEP4 | R/W | WORD
P3_19_RMPSK_SV_PATT6_STEP5 | R/W | WORD
P3_19_RMPSK_SV_PATT6_STEP6 | R/W | WORD
P3_19_RMPSK_SV_PATT6_STEP7 | R/W | WORD
P3_19_RMPSK_SV_PATT7_STEP0 | R/W | WORD
P3_19_RMPSK_SV_PATT7_STEP1 | R/W | WORD
P3_19_RMPSK_SV_PATT7_STEP2 | R/W | WORD
P3_19_RMPSK_SV_PATT7_STEP3 | R/W | WORD
P3_19_RMPSK_SV_PATT7_STEP4 | R/W | WORD
P3_19_RMPSK_SV_PATT7_STEP5 | R/W | WORD
P3_19_RMPSK_SV_PATT7_STEP6 | R/W | WORD
P3_19_RMPSK_SV_PATT7_STEP7 | R/W | WORD
P3_20_RMPSK_TIME_PATT0_STEP0 | R/W | WORD
P3_20_RMPSK_TIME_PATT0_STEP1 | R/W | WORD
P3_20_RMPSK_TIME_PATT0_STEP2 | R/W | WORD
P3_20_RMPSK_TIME_PATT0_STEP3 | R/W | WORD
P3_20_RMPSK_TIME_PATT0_STEP4 | R/W | WORD
P3_20_RMPSK_TIME_PATT0_STEP5 | R/W | WORD
P3_20_RMPSK_TIME_PATT0_STEP6 | R/W | WORD
P3_20_RMPSK_TIME_PATT0_STEP7 | R/W | WORD
P3_20_RMPSK_TIME_PATT1_STEP0 | R/W | WORD
P3_20_RMPSK_TIME_PATT1_STEP1 | R/W | WORD
P3_20_RMPSK_TIME_PATT1_STEP2 | R/W | WORD
P3_20_RMPSK_TIME_PATT1_STEP3 | R/W | WORD
P3_20_RMPSK_TIME_PATT1_STEP4 | R/W | WORD
P3_20_RMPSK_TIME_PATT1_STEP5 | R/W | WORD
P3_20_RMPSK_TIME_PATT1_STEP6 | R/W | WORD
P3_20_RMPSK_TIME_PATT1_STEP7 | R/W | WORD
P3_20_RMPSK_TIME_PATT2_STEP0 | R/W | WORD
P3_20_RMPSK_TIME_PATT2_STEP1 | R/W | WORD
P3_20_RMPSK_TIME_PATT2_STEP2 | R/W | WORD
P3_20_RMPSK_TIME_PATT2_STEP3 | R/W | WORD
P3_20_RMPSK_TIME_PATT2_STEP4 | R/W | WORD
P3_20_RMPSK_TIME_PATT2_STEP5 | R/W | WORD
P3_20_RMPSK_TIME_PATT2_STEP6 | R/W | WORD
P3_20_RMPSK_TIME_PATT2_STEP7 | R/W | WORD
P3_20_RMPSK_TIME_PATT3_STEP0 | R/W | WORD
P3_20_RMPSK_TIME_PATT3_STEP1 | R/W | WORD
P3_20_RMPSK_TIME_PATT3_STEP2 | R/W | WORD
P3_20_RMPSK_TIME_PATT3_STEP3 | R/W | WORD
P3_20_RMPSK_TIME_PATT3_STEP4 | R/W | WORD
P3_20_RMPSK_TIME_PATT3_STEP5 | R/W | WORD
P3_20_RMPSK_TIME_PATT3_STEP6 | R/W | WORD
P3_20_RMPSK_TIME_PATT3_STEP7 | R/W | WORD
P3_20_RMPSK_TIME_PATT4_STEP0 | R/W | WORD
P3_20_RMPSK_TIME_PATT4_STEP1 | R/W | WORD
P3_20_RMPSK_TIME_PATT4_STEP2 | R/W | WORD
P3_20_RMPSK_TIME_PATT4_STEP3 | R/W | WORD
P3_20_RMPSK_TIME_PATT4_STEP4 | R/W | WORD
P3_20_RMPSK_TIME_PATT4_STEP5 | R/W | WORD
P3_20_RMPSK_TIME_PATT4_STEP6 | R/W | WORD
P3_20_RMPSK_TIME_PATT4_STEP7 | R/W | WORD
P3_20_RMPSK_TIME_PATT5_STEP0 | R/W | WORD
P3_20_RMPSK_TIME_PATT5_STEP1 | R/W | WORD
P3_20_RMPSK_TIME_PATT5_STEP2 | R/W | WORD
P3_20_RMPSK_TIME_PATT5_STEP3 | R/W | WORD
P3_20_RMPSK_TIME_PATT5_STEP4 | R/W | WORD
P3_20_RMPSK_TIME_PATT5_STEP5 | R/W | WORD
P3_20_RMPSK_TIME_PATT5_STEP6 | R/W | WORD
P3_20_RMPSK_TIME_PATT5_STEP7 | R/W | WORD
P3_20_RMPSK_TIME_PATT6_STEP0 | R/W | WORD
P3_20_RMPSK_TIME_PATT6_STEP1 | R/W | WORD
P3_20_RMPSK_TIME_PATT6_STEP2 | R/W | WORD
P3_20_RMPSK_TIME_PATT6_STEP3 | R/W | WORD
P3_20_RMPSK_TIME_PATT6_STEP4 | R/W | WORD
P3_20_RMPSK_TIME_PATT6_STEP5 | R/W | WORD
P3_20_RMPSK_TIME_PATT6_STEP6 | R/W | WORD
P3_20_RMPSK_TIME_PATT6_STEP7 | R/W | WORD
P3_20_RMPSK_TIME_PATT7_STEP0 | R/W | WORD
P3_20_RMPSK_TIME_PATT7_STEP1 | R/W | WORD
P3_20_RMPSK_TIME_PATT7_STEP2 | R/W | WORD
P3_20_RMPSK_TIME_PATT7_STEP3 | R/W | WORD
P3_20_RMPSK_TIME_PATT7_STEP4 | R/W | WORD
P3_20_RMPSK_TIME_PATT7_STEP5 | R/W | WORD
P3_20_RMPSK_TIME_PATT7_STEP6 | R/W | WORD
P3_20_RMPSK_TIME_PATT7_STEP7 | R/W | WORD
P3_21_LAST_STP_PATT0 | R/W | WORD
P3_21_LAST_STP_PATT1 | R/W | WORD
P3_21_LAST_STP_PATT2 | R/W | WORD
P3_21_LAST_STP_PATT3 | R/W | WORD
P3_21_LAST_STP_PATT4 | R/W | WORD
P3_21_LAST_STP_PATT5 | R/W | WORD
P3_21_LAST_STP_PATT6 | R/W | WORD
P3_21_LAST_STP_PATT7 | R/W | WORD
P3_22_ADDT_CYC_PATT0 | R/W | WORD
P3_22_ADDT_CYC_PATT1 | R/W | WORD
P3_22_ADDT_CYC_PATT2 | R/W | WORD
P3_22_ADDT_CYC_PATT3 | R/W | WORD
P3_22_ADDT_CYC_PATT4 | R/W | WORD
P3_22_ADDT_CYC_PATT5 | R/W | WORD
P3_22_ADDT_CYC_PATT6 | R/W | WORD
P3_22_ADDT_CYC_PATT7 | R/W | WORD
P3_23_NXT_PATT_NUM_PATT0 | R/W | WORD
P3_23_NXT_PATT_NUM_PATT1 | R/W | WORD
P3_23_NXT_PATT_NUM_PATT2 | R/W | WORD
P3_23_NXT_PATT_NUM_PATT3 | R/W | WORD
P3_23_NXT_PATT_NUM_PATT4 | R/W | WORD
P3_23_NXT_PATT_NUM_PATT5 | R/W | WORD
P3_23_NXT_PATT_NUM_PATT6 | R/W | WORD
P3_23_NXT_PATT_NUM_PATT7 | R/W | WORD
LED_STAT_ALM3 | R | WORD (BIT)
LED_STAT_ALM2 | R | WORD (BIT)
LED_STAT_SET_FAREN | R | WORD (BIT)
LED_STAT_SET_CELCIUS | R | WORD (BIT)
LED_STAT_ALM1 | R | WORD (BIT)
LED_STAT_OUT2 | R | WORD (BIT)
LED_STAT_OUT1 | R | WORD (BIT)
LED_STAT_AT | R | WORD (BIT)
PB_STAT_SET | R | WORD (BIT)
PB_STAT_ROTATE | R | WORD (BIT)
PB_STAT_UP | R | WORD (BIT)
PB_STAT_DOWN | R | WORD (BIT)
FIRMWARE_VERSION | R | WORD
AT_LED_STATUS | R | BIT
OUTPUT1_LED_STATUS | R | BIT
OUTPUT2_LED_STATUS | R | BIT
ALARM1_LED_STATUS | R | BIT
F_LED_STATUS | R | BIT
C_LED_STATUS | R | BIT
ALARM2_LED_STATUS | R | BIT
ALARM3_LED_STATUS | R | BIT
SET_KEY_STATUS | R | BIT
FNC_KEY_STATUS | R | BIT
UP_KEY_STATUS | R | BIT
DOWN_KEY_STATUS | R | BIT
EVENT1_INPUT_STATUS | R | BIT
EVENT2_INPUT_STATUS | R | BIT
SYSTEM_ALARM_STATUS | R | BIT
RAMPSOAK_CNTRL_STATUS | R | BIT
P3_2_tPUn_TEMP_UNIT | R/W | BIT


A-B PLC Protocol Setup

Topic: CM049

Allen-Bradley PLC Protocol Setup

This help file includes setup information for the following compatible Allen Bradley PLCs:

The following examples are provided to show how different data formats for Allen Bradley PLCs may be entered into the Tag Editor for the C-more Programming Software.

Data Types

Integer - Word

Integer - Bit

Binary - Word

Binary - Bit

Counter - Accumulated Value

Counter - Done Bit

Floating Point

Input - Word

Input - Bit

Output - Word

Output - Bit

Control - Word

Control - Bit

System - Word

System - Bit

Time - Word

Timer - Bit


A-B Non-standard Data Type Usage

Topic: CM526

Allen Bradley Non-standard Data Type Usage

Limit C-more Tag data type selection to Allen Bradley PLC memory type according to the chart below:

 | Discrete | Signed Int 16 | Signed Int 32 | Unsigned Int 16 | Unsigned Int 32 | BCD Int 16 | BCD Int 32 | Floating Pt 32 | ASCII String
O | Allow | Allow | Warning | Allow | Warning | Allow | Allow |  | Warning
I | Allow | Allow | Warning | Allow | Warning | Allow | Allow |  | Warning
S | Allow | Allow | Warning | Allow | Warning | Warning | Warning |  | Warning
B | Allow | Allow | Warning | Allow | Warning | Allow | Allow |  | Warning
T.EN/TT/DN | Allow |  |  |  |  |  |  |  |
T.ACC/PRE |  | Allow | Warning | Allow | Warning | Warning | Warning |  | Warning
C.DN/CU/ CD/OV/UN | Allow |  |  |  |  |  |  |  |
C.ACC/PRE |  | Allow | Warning | Allow | Warning | Warning | Warning |  | Warning
R.EN/DN/ EU/EM/ ER/UL/IN/FD | Allow |  |  |  |  |  |  |  |
R.LEN/POS |  | Allow | Warning | Allow | Warning | Warning | Warning |  | Warning
N | Allow | Allow | Allow | Allow | Allow | Allow | Allow |  | Allow
F | Allow | Warning | Warning | Warning | Warning | Warning | Warning | Allow | Warning
L | Allow | Warning | Allow | Warning | Allow | Warning | Warning |  | Warning
ST |  |  |  |  |  |  |  |  | Allow

  • Data type combinations identified with green “Allow” Cells will are allowed.
  • Data type combinations identified with yellow “Warning” cells will be allowed, but if the warning option in Tools Options is selected (Figure 1) then the warning message (Figure 2) will ask the programmer to verify that the nonstandard data type combination is intended before proceeding to add the tag. If the warning option in Tools Option is NOT selected then the tag will be added without the warning message.
  • Data type combinations identified with red cells will not be allowed.

Allen Bradley data types:

O = Output (Word (Analog) & Bit (Discrete))

I = Input (Word (Analog) & Bit (Discrete))

S = Status Type

B = Bit Data

T = Timer

C = Counter

R = Control Data

N =Integer Data

F = Float Data

L = Long Data

ST =String Data

Timer, Counter and Control Data members:

.EN = Enable bit

.TT = Timer Timing bit

.DN = Done bit

.CU = Count Up enable bit

.CD = Count Down enable bit

.OV = Overflow bit

.UN = Underflow bit

.EU = Update enable bit

.EM = Stack empty bit

.ER = Error bit

.UL = Unload bit

.IN = Inhibit bit

.FD = Found bit

.PRE = Preset value

.ACC = Accumulated value

.LEN = Length value

.POS = Position value

If the warning option in Tools Option is selected and an existing tag identified by the yellow “Warning” cell is edited, the warning message will appear before the revisions are saved. This option is selected by default.


A-B SLC500 DF1 (Full Duplex) Protocol Setup

Topic: CM003

Allen Bradley SLC 5/03, /04, /05 DF1 (Full Duplex) Protocol Setup

The following information applies for Allen Bradley SLC 5/03/ /04, /05 PLC's compatible with C-more Touch Panels using DF1 Full Duplex Protocol.

The C-more panel is the master when communicating with an Allen-Bradley PLC.

C-more Panel Manager Settings

To access the Panel Manager from the C-more Programming Software, from the Main Menu select Setup. The drop down menu shown below opens.

From the Setup drop down menu, select the Panel Manager selection. The Panel Manager window opens by default displaying Panel Settings. From this window, click on the DEV001 selection on the tree to the left of the window as shown below.

When the DEV001 Icon is selected, the right portion of the window will change to display the Device Setup screen for DEV001.

From the PLC Protocol field, click on the down arrow [image] and select the Allen-Bradley DF1 Full Duplex (SLC500) selection. Anytime you select a different PLC Protocol than the one already displayed, the Warning Message shown below will pop up. Click Yes to accept and the Fields for the selected Protocol will be displayed as shown on the figure above.

To learn about the Connection Through Another Panel option, click on the green text or directly on the selection on the figure above.

Setup

RSLogix 500

To Setup the RSLogix 500 for these PLCs, follow these steps:

  1. In RSLogix 500 choose Channel Configuration in the left navigation window.

  2. From the Channel Configuration window shown below, choose the Channel 0-System tab.

  3. From this Configuration window, make the following field selections and inputs:

  • For the Driver field, select DF1 Full Duplex.

  • For the Source ID field, leave set at 9.

  • For the Control Line field, choose No Handshaking.

  • For the following fields, match the C-more Panel Manager settings:
    • Baud Rate
    • Parity
    • Stop Bits
    • Error Detection (Checksum Type)

Caution: Record the old PLC settings as you change them for reconnecting with RSLogix later.

Note: The Station Address does not matter when using DF1 Full Duplex.

  4. Select OK from the Channel Configuration window shown above, the Warning window shown below will appear. Choose Apply from this window and continue to next subject below.

Troubleshooting Tips for The Fields Discussed Above
  1. It is important to match the Error Detection (called Checksum Type in the C-more Panel Manager). This is probably the most common cause for no communication between panel and PLC.

  2. If you are connecting the C-more panel to the same PLC port that you are using to connect your PC and RSLogix to the PLC, it may be difficult to reconnect with RSLogix after changing the settings above. Be sure to note the settings as you change them so that you can go back into RSLinx to reconfigure your driver.

    It is recommended that you connect to the PLC through a different port if possible with the particular PLC that you are using. Consult your PLC representative for further help on this subject.

Troubleshooting the PLC to Panel connection:

If your network is returning communication errors, test the basic network setup by transferring a new C-more project with Panel Manager settings that match the PLC port settings and a single Numeric Display object addressed to N7:0. Ensure that the PLC port settings are correct by verification with that PLC’s programming software.

Power cycle the PLC, THEN the C-more panel. If communication errors persist, power cycle the C-more panel, THEN the PLC.

PLC Address Configuration
  1. An Address must exist in the PLC for every Address referenced in the C-more Project. For example, if a Numeric Display in C-more uses address C5:0.ACC, then C5:0.ACC must exist in the PLC Data Files. This can be verified in the left hand side explorer window under Data Files as shown below.

  2. Be sure that the File Number exists first (where 3 is the File Number for B3:0/0 and 7 is the File Number for N7:0). Then verify is that there are enough elements in the file. The user can right click and choose Properties to verify that there is the proper number of elements in the file.

  3. To create a new Data File:

  1. Right click on Data Files and choose New (Note, you have to be offline to do this). The Create Data File window shown below opens.

  2. Enter the File Number you wish to use.
  3. Choose the Data Type.
  4. Choose the number of elements that you need. For B3:4/0, the 4 is the Element Number. This is also the same screen that you would use to increase the number of elements of an existing file.
  5. Select OK and download the changes to the processor.

Connection Through Another Panel Option

In addition to providing the fields to configure the Protocol for the PLCs supported by C-more Touch Panels, the C-more Software's Panel Manager provides an option to Connect Through Another Panel. The Connection Through Another Panel selection allows you to connect a C-more Touch Panel to other C-more Touch Panels on your network via an Ethernet connection. This type of connection is also known as a Pass Through Connection.

To learn more about Pass Through and using the Connection Through Another Panel option, click on the button below:


A-B MicroLogix and SLC 500 Addressing

Topic: CM397

Allen-Bradley MicroLogix and SLC 500 Addressing

Note: Discrete I/O is Not Supported by SLC 5/01 and 5/02.

There are a few different formats of addressing that C-more supports when connecting to the Allen-Bradley SLC 500 and MicroLogix PLCs.

The Expanded I/O format allows the slot and word to be specified, which is more typical when trying to access Analog I/O data. The Non-Expanded I/O format only allows the slot to be specified and is more typical when trying to access Discrete I/O. The Non I/O Addressing format should be used for all other memory types.

Memory Type | File Number | Slot Number | Word Number | Bit Number | Description | Flag | Read/Write Type | Data Type
O Expanded Format | 0 | 1 to 30 |  |  | Output |  | R/W | Word
Expanded Format | 0 | 1 to 30 | 0 to 255 | 0 to 15 | Output |  | R/W | Discrete
O Non-Expanded Format | 0 | 1 to 30 |  |  | Output |  | R/W | Word
O Non-Expanded Format | 0 | 1 to 30 |  | 0 to 127 | Output |  | R/W | Discrete
I Expanded Format | 1 | 1 to 30 |  |  | Input |  | Read Only | Word
I Expanded Format | 1 | 1 to 30 | 0 to 255 | 0 to 15 | Input |  | Read Only | Discrete
I Non-Expanded Format | 1 | 1 to 30 |  |  | Input |  | Read Only | Word
I Non-Expanded Format | 1 | 1 to 30 |  | 0 to 127 | Input |  | Read Only | Discrete
S | File number not used. |  | 0 to 255 |  | Status |  | Read Only | Word
S | File number not used. |  | 0 to 255 | 0 to 15 | Status |  | Read Only | Discrete
B | 3:, 9: to 255: |  | 0 to 255 |  | Binary |  | R/W | Word
B | 3:, 9: to 255: |  | 0 to 255 | 0 to 15 | Binary |  | R/W | Discrete
T | 4:, 9: to 255: |  | 0 to 255 |  | Timer | .EN | Read Only | Discrete
 |  |  |  |  |  | .TT | Read Only | Discrete
 |  |  |  |  |  | .DN | Read Only | Discrete
 |  |  |  |  |  | .ACC | R/W | Word
 |  |  |  |  |  | .PRE | R/W | Word
C | 5:, 9: to 255: |  | 0 to 255 |  | Counter | .DN | Read Only | Discrete
 |  |  |  |  |  | .ACC | R/W | Word
 |  |  |  |  |  | .PRE | R/W | Word
 |  |  |  |  |  | .CU | Read Only | Discrete
 |  |  |  |  |  | .CD | Read Only | Discrete
 |  |  |  |  |  | .OV | Read Only | Discrete
 |  |  |  |  |  | .UN | Read Only | Discrete
R | 6:, 9: to 255: |  | 0 to 255 |  | Control | .EN | Read Only | Discrete
 |  |  |  |  |  | .DN | Read Only | Discrete
 |  |  |  |  |  | .EU | Read Only | Discrete
 |  |  |  |  |  | .EM | Read Only | Discrete
 |  |  |  |  |  | .ER | Read Only | Discrete
 |  |  |  |  |  | .UL | Read Only | Discrete
 |  |  |  |  |  | .IN | Read Only | Discrete
 |  |  |  |  |  | .FD | Read Only | Discrete
 |  |  |  |  |  | .LEN | R/W | Word
 |  |  |  |  |  | .POS | R/W | Word
N | 7:, 9: to 255: |  | 0 to 255 |  | Integer |  | R/W | Word
N | 7:, 9: to 255: |  | 0 to 255 | 0 to 15 | Integer |  | R/W | Discrete
F | 8: to 255: |  | 0 to 255 |  | Float |  | R/W | Floating
F | 8: to 255: |  | 0 to 255 | 0 to 31 | Float |  | R/W | Discrete
L | 9: to 255: |  | 0 to 255 |  | Long |  | R/W | Double
L | 9: to 255: |  | 0 to 255 | 0 to 31 | Long |  | R/W | Discrete
ST | 9: to 255: |  | 0 to 255 |  | String |  | R/W | String


A-B DF1 and DH485 Error Codes

Topic: CM008

Allen-Bradley DF1 and DH485 Error Codes

The following PLC Error Code tables cover possible Errors that are detected by the panel from Allen-Bradley PLCs using the DF1 or DH485 Protocols.

DF1 includes Full and Half Duplex communications for the MicroLogix 1000, 1100, 1200, 1400 & 1500, the SLC 5/03, /04, /05, the ControlLogix, CompactLogix and FlexLogix, and Full Duplex communications for the PLC5.

DH485 includes all MicroLogix and SLC500 PLCs, and any communication connection using an Allen-Bradley AIC device using the DH485 Protocol.

The PLC-499 Error Code is used to show any Errors that are generated by the connected PLC. The PLC-499 Error message includes a four digit hexadecimal value embedded in the message. This value can be looked up in the tables below to determine the cause of the Error. The possible PLC generated Error Codes for the Allen-Bradley DF1 and DH485 communication protocols are represented by a hexadecimal value as shown in the diagram below. Please note that the Error Code is broken down into three sections. It is possible for more than one type of PLC Error to be displayed in this value.

For PLC specific Error Codes, make sure you are viewing the correct topic and locate the PLC Specific Errors Table found below.

To see the C-more Touch Panel Errors Table, which provides Error Codes specific to the C-more Touch Panels, click the button provided below.

Note: The following Errors are generated from the designated PLC, monitored by the C-more panel, and displayed on the panel's screen if active. Please refer to the PLC manufacturer's documentation for additional and up-to-date information.

Allen-Bradley DF1/DH485 Remote Errors (4-7 bits)
Error Message | Description
0x0 | Success; No Error.
0x10 | Illegal command or format. Typical error received from PLC when addressed requested to the PLC does not exist. Usually occurs if memory map has not been expanded in PLC to the range requested from panel.
0x20 | Host has a problem and will not communicate.
0x30 | Remote node host is missing, disconnected, or shut down.
0x40 | Host could not complete function due to hardware fault.
0x50 | Addressing problem or memory protect rungs.
0x60 | Function not allowed due to command protection selection.
0x70 | Processor is in Program Mode.
0x80 | Compatibility mode file missing or communication zone problem.
0x90 | Remote node cannot buffer command.
0xA0 | Wait ACK (1775 KA buffer full).
0xB0 | Remote node problem due to download.
0xC0 | Wait ACK (1775 KA buffer full).
0xD0 | Not used.
0xE0 | Not used.
0xF0 | Error code in the EXT STS byte. See the error code table below.

Allen-Bradley DF1/DH485 Local Errors (0-3 bits)
Error Message | Description
0x0 | Success; No Error.
0x1 | DST Node is out of buffer space.
0x2 | Cannot guarantee delivery; link layer. (The remote node specified does not ACK command.)
0x3 | Duplicate token holder detected.
0x4 | Local port is disconnected.
0x5 | Application layer timed out waiting for response.
0x6 | Duplicate node detected.
0x7 | Station is offline.
0x8 | Hardware fault.

Allen-Bradley DF1/DH485 EXT STS Command Code for F0 Command
Error Message | Description
0x0 | Not used.
0x1 | A field has an illegal value.
0x2 | Fewer levels specified in address than minimum for any address.
0x3 | More levels specified in address than system supports.
0x4 | Symbol not found.
0x5 | Symbol is of improper format.
0x6 | Address does not point to something usable.
0x7 | File is wrong size.
0x8 | Cannot complete request; situation has changed since start of the command.
0x9 | Data or file size is too large.
0xA | Transaction size plus word address is too large.
0xB | Access denied; improper privilege.
0xC | Condition cannot be generated; resource is not available.
0xD | Condition already exists; resource is readily available.
0xE | Command cannot be executed.
0xF | Histogram overflow.
0x10 | No access.
0x11 | Illegal data type.
0x12 | Invalid parameter or invalid data.
0x13 | Address reference exists to deleted area.
0x14 | Command execution failure for unknown reason; possible PLC 3 histogram overflow.
0x15 | Data conversion error.
0x16 | Scanner not able to communicate with 1771 rack adapter.
0x17 | Type mismatch.
0x18 | 1771 module response was not valid.
0x19 | Duplicated label.
0x22 | Remote rack fault.
0x23 | Timeout.
0x24 | Unknown error.
0x1A | File is open; another node owns it.
0x1B | Another node is the program owner.
0x1C | Disk File is write protected or otherwise unavailable.
0x1D | Disk file is being used by another application. Update not performed (offline only).
0x1E | Data table element protection violation.
0x1F | Temporary internal problem.


A-B DF1 MicroLogix & SLC500 (Half Duplex)

Allen Bradley SLC 5/03, /04, /05 & MicroLogix 1000,
1100, 1200, 1400 and 1500 DF1 (Half Duplex) Protocol Setup

Topic: CM001

The following information applies for Allen Bradley SLC 5/03, /04, /05 & MicroLogix 1000, 1100, 1200, 1400 and 1500 PLC's compatible with C-more Touch Panels using DF1 Half Duplex Protocol.

The C-more panel is the master when communicating with an Allen-Bradley PLC.

C-more Panel Manager Settings

To access the Panel Manager from the C-more Programming Software, from the Main Menu select Setup. The drop down menu shown below opens.

From the Setup drop down menu, select the Panel Manager selection. The Panel Manager window opens by default displaying Panel Settings. From this window, click on the DEV001 selection on the tree to the left of the window as shown below.

When the DEV001 Icon is selected, the right portion of the window will change to display the Device Setup screen for DEV001.

From the PLC Protocol field, click on the down arrow [image] and select the Allen-Bradley DF1 Half Duplex (MicroLogix/SLC500) selection. Anytime you select a different PLC Protocol than the one already displayed, the Warning Message shown below will pop up. Click Yes to accept and the Fields for the selected Protocol will be displayed as shown on the figure above.

To learn about the Connection Through Another Panel option, click on the green text or directly on the selection on the figure above.

Setup

RSLogix 500

All the settings discussed below must be set the same as the settings in the Panel Manager in the C-more Programming Software.

To Setup the RSLogix 500 for these PLCs, follow these steps:

  1. In RSLogix 500 choose Channel Configuration in the left navigation window.

  2. From the Channel Configuration window shown below, choose the Channel 0-System tab.

Note: If you are doing DF1 Half Duplex (DF1 Slave in PLC), then you must match the Station Address to the PLC Address in the C-more Panel Manager. Also match the Error Detection to the Checksum Type in the C-more Panel Manager.

  3. From this Configuration window, make the following field selections and inputs:

  • For the Driver field, select DF1 Half Duplex
  • For the Node Address, set the value to match the PLC Address in the C-more Panel Manager window shown at the top of this page.
  • For the Control Line field, choose No Handshaking
  • For the following fields, match the C-more Panel Manager settings:
    • Baud Rate
    • Parity
    • Stop Bits
    • Error Detection (Checksum Type)

Caution: Record the old PLC settings as you change them for reconnecting with RSLogix later.

  4. Select OK from the Channel Configuration window shown above, the Warning window shown below will appear. Choose Apply from this window and continue to next subject below.

Troubleshooting Tips for The Fields Discussed Above
  • It is important to match the Error Detection (called Checksum Type in the C-more Panel Manager). This is probably the most common cause for no communication between Panel and PLC.

  • If you are connecting the C-more Touch Panel to the same PLC port that you are using to connect your PC and RSLogix to the PLC, it may be difficult to reconnect with RSLogix after changing the settings above. Be sure to note the settings as you change them so that you can go back into RSLinx to reconfigure your driver.It is recommended that you connect to the PLC through a different port if possible with the particular PLC that you are using. Consult your PLC representative for further help on this subject.

Troubleshooting the PLC to Panel connection:

If your network is returning communication errors, test the basic network setup by transferring a new C-more project with Panel Manager settings that match the PLC port settings and a single Numeric Display object addressed to N7:0. Ensure that the PLC port settings are correct by verification with that PLC’s programming software.

Power cycle the PLC, THEN the C-more panel. If communication errors persist, power cycle the C-more panel, THEN the PLC.

PLC Address Configuration
  1. An Address must exist in the PLC for every Address referenced in the C-more Project. For example, if a Numeric Display in C-more uses address C5:0.ACC, then C5:0.ACC must exist in the PLC Data Files. This can be verified in the left hand side explorer window under Data Files as shown below.

  2. Be sure that the File Number exists first (where 3 is the File Number for B3:0/0 and 7 is the File Number for N7:0). The second thing to verify is that there are enough elements in the file. The user can right click and choose Properties to verify that there is the proper number of elements in the file.

  3. To create a new Data File:

  1. Right click on Data Files and choose New (Note, you have to be Offline to do this). The Create Data File window shown below opens.

  2. Enter the File Number you wish to use.
  3. Choose the Data Type.
  4. Choose the number of elements that you need. For B3:4/0, the 4 is the Element Number. This is also the same screen that you would use to increase the Number of Elements of an existing file.
  5. Select OK and download the changes to the processor.

Connection Through Another Panel Option

In addition to providing the fields to configure the Protocol for the PLCs supported by C-more Touch Panels, the C-more Software's Panel Manager provides an option to Connect Through Another Panel. The Connection Through Another Panel selection allows you to connect a C-more Touch Panel to other C-more Touch Panels on your network via an Ethernet connection. This type of connection is also known as a Pass Through Connection.

To learn more about Pass Through and using the Connection Through Another Panel option, click on the button below:


A-B DH485 Setup

Topic: CM006

Allen Bradley DH485 Setup

The following information applies for Allen Bradley SLC500 & MicroLogix PLCs using DH485 Protocol compatible with C-more Panels.

C-more Panel Manager Settings

To access the Panel Manager from the C-more Programming Software, from the Main Menu select Setup. The drop down menu shown below opens.

From the Setup drop down menu, select the Panel Manager selection. The Panel Manager window opens by default displaying Panel Settings. From this window, click on the DEV001 selection on the tree to the left of the window as shown below.

When the DEV001 Icon is selected, the right portion of the window will change to display the Device Setup screen for DEV001.

Note: The fields on the Panel Manager window shown above are filled by default. Please keep in mind that the Panel Station Number refers to the Station Number of the Panel on the Network. This Number should be Unique on the Network.

From the PLC Protocol field, click on the down arrow [image] and select the Allen-Bradley DH485 (MicroLogix/SLC500/AIC) selection. Anytime you select a different PLC Protocol than the one already displayed, the Warning Message shown below will pop up. Click Yes to accept and the Fields for the selected Protocol will be displayed as shown on the figure above.

To learn about the Connection Through Another Panel option, click on the green text or directly on the selection on the figure above.

Setup RSLogix 500

To Setup the RSLogix 500 for these PLCs, follow these steps:

  1. In RSLogix 500 choose Channel Configuration in the left navigation window.

Caution: Record the old PLC settings as you change them for reconnecting with RSLogix later.

  2. From the Channel Configuration window shown below, choose the Channel 1-System tab.

  3. From this Configuration window, make the following field selections and inputs:

    1. For the Driver field, select DH485.

    • The Node Address should be unique on the network. Set this to match the Station Number selection in the C-more Panel Manager.

    • Match the Baud Rate with the C-more Panel Manager settings.

Caution: Record the old PLC settings as you change them for reconnecting with RSLogix later.

  4. Select OK from the Channel Configuration window shown above, the Warning window shown below will appear. Choose Apply from this window and continue to next subject below.

PLC Address Configuration
  1. An Address must exist in the PLC for every Address referenced in the C-more Project. For example, if a Numeric Display in C-more uses address C5:0.ACC, then C5:0.ACC must exist in the PLC Data Files. This can be verified in the left hand side explorer window under Data Files as shown below.

  2. Be sure that the File Number exists first (where 3 is the File Number for B3:0/0 and 7 is the File Number for N7:0). The second thing to verify is that there are enough elements in the file. The user can right click and choose Properties to verify that there is the proper number of elements in the file.

  3. To create a new Data File:

  1. Right click on Data Files and choose New (Note: you have to be offline to do this). The Create Data File window shown below opens.

  2. Enter the File Number you wish to use.
  3. Choose the Data Type.
  4. Choose the number of elements that you need. For B3:4/0, the 4 is the Element Number. This is also the same screen that you would use to increase the number of elements of an existing file.
  5. Select OK and download the changes to the processor.

Troubleshooting Tips for The Fields Discussed Above
  • If you are connecting the C-more Touch Panel to the same PLC port that you are using to connect your PC and RSLogix to the PLC, it may be difficult to reconnect with RSLogix after changing the settings above. Be sure to note the settings as you change them so that you can go back into RSLinx to reconfigure your driver.It is recommended that you connect to the PLC through a different port if possible with the particular PLC that you are using. Consult your PLC representative for further help on this subject.

Troubleshooting the PLC to Panel connection:

If your network is returning communication errors, test the basic network setup by transferring a new C-more project with Panel Manager settings that match the PLC port settings and a single Numeric Display object addressed to N7:0. Ensure that the PLC port settings are correct by verification with that PLC’s programming software.

Power cycle the PLC, THEN the C-more panel. If communication errors persist, power cycle the C-more panel, THEN the PLC.

Connection Through Another Panel Option

In addition to providing the fields to configure the Protocol for the PLCs supported by C-more Touch Panels, the C-more Software's Panel Manager provides an option to Connect Through Another Panel. The Connection Through Another Panel selection allows you to connect a C-more Touch Panel to other C-more Touch Panels on your network via an Ethernet connection. This type of connection is also known as a Pass Through Connection.

To learn more about Pass Through and using the Connection Through Another Panel option, click on the button below:


A-B EtherNet/IP (Client) SLC5/05 Setup

Topic: CM115

Allen-Bradley EtherNet/IP (Client) SLC5/05 Setup

The following information applies for Allen Bradley SLC 5/05 PLC's compatible with C-more Touch Panels using EtherNet/IP (Client) Protocol.

Note: Requires SLC 5/05 Series A, FW Rev. OS501, FRN5. All Series B and C are supported.

Setup

RSLogix 500

To Setup the RSLogix 500 for this PLC, follow these steps:

  1. In RSLogix 500 choose Channel Configuration in the left navigation window.

  2. From the Channel Configuration window shown below, choose the Chan. 1 - System tab.

  3. From this configuration window, make the following field selections and inputs:

  • For the IP Address field, this is the IP Address that you enter in the C-more Panel Manager.
  • For the Subnet Mask, enter the same Subnet Mask as set in the C-more Panel Manager.
  • For the BOOTP Enable option, click on the checkbox to deselect it. C-more needs a static IP Address to connect to.
  • Leave all remaining settings as default.
  • Click on the OK button to close the Channel Configuration window.

Troubleshooting the PLC to Panel Connection

If your network is returning communication errors, test the basic network setup by transferring a new C-more project with Panel Manager settings that match the PLC port settings and a single Numeric Display object addressed to N7:0. Ensure that the PLC port settings are correct by verification with that PLC’s programming software.

Power cycle the PLC, THEN the C-more panel. If communication errors persist, power cycle the C-more panel, THEN the PLC.

C-more Panel Manager Settings

To access the Panel Manager from the C-more Programming Software, from the Main Menu select Setup. The drop down menu shown below opens.

From the Setup drop down menu, select the Panel Manager selection. The Panel Manager window opens by default displaying Panel Settings. From this window, click on the DEV001 selection on the tree to the left of the window as shown below.

When the DEV001 Icon is selected, the right portion of the window will change to display the Device Setup screen for DEV001.

From the PLC Protocol field, click on the down arrow [image] and select the Allen-Bradley EtherNet/IP Client (MicroLogix 1100) selection. Anytime you select a different PLC Protocol than the one already displayed, the Warning Message shown below will pop up.

Click Yes to accept and the Fields for the selected Protocol will be displayed as shown on the figure below.

From the Panel Manager window shown above, configure each field as follows:

  1. IP Address: This is where you enter the IP Address of the Allen Bradley PLC that you are targeting.
  2. Port (0-65535): This is where you enter the TCP Port Number that you are targeting.

Note: If you are on the same Local Network as the Allen Bradley PLC, you should always use 44818 as the number. Only use a different Number if trying to go through or a Router or if instructed so by your Local Network Administrator.

  3. Retries: This is the Number of Times that the Panel will Retry to send a message if the request does not receive a reply in the specified Timeout period. Once the Retry count has been reached, the Panel will show an error on the screen and begin trying to send messages again.
  4. Connection Timeout: This is the amount of Time (in seconds) that the Panel will wait before it will Retry again after receiving a Reply when trying to initiate a TCP connection.
  5. Inactivity Timeout: This value is sent to the PLC. The PLC will hold an open connection for this amount of Time. Once this Time value has expired, it will release its connection to free up resources for the PLC. If this Timer expires, the Panel will automatically create a new connection when it is ready to request data again. This value should only need to be adjusted if many devices are communicating to the PLC and there are situations where there are long delays in requests from the Panel to the PLC (long poll times, screens with only internal objects, etc.).
  6. Response Timeout: This is the amount of Time (in milliseconds) that the Panel will wait on a Reply after sending a Request. Once the Response Timeout timer expires, it will then Retry.
  7. Poll Time: Enter a number that represents a Time (in milliseconds) that the C-more Touch Panel will wait between executing a complete sequence of reads for the screen displayed. This setting is set to "0" by default, which produces constant polling. This setting should not require adjustment.

Connection Through Another Panel Option

In addition to providing the fields to configure the Protocol for the PLCs supported by C-more Touch Panels, the C-more Software's Panel Manager provides an option to Connect Through Another Panel. The Connection Through Another Panel selection allows you to connect a C-more Touch Panel to other C-more Touch Panels on your network via an Ethernet connection. This type of connection is also known as a Pass Through Connection.

To learn more about Pass Through and using the Connection Through Another Panel option, click on the button below:


A-B EtherNet/IP & ENI Adapter Error Codes

Topic: CM401

Allen-Bradley EtherNet/IP & ENI Adapter Error Codes

The PLC-496, PLC-497 and PLC-498 Error Codes are used to show any Errors that are generated by the connected PLC. These Error Messages include an eight digit hexadecimal value displayed embedded in the message. This value can be looked up in the specific PLC’s Error Tables to determine the cause of the Error. The possible PLC generated Error Codes for the Allen-Bradley EtherNet/IP communication protocol is represented by a hexadecimal value.

There are three basic application levels of messaging with the Tag-Based EtherNet/IP protocol that C-more does.

  1. EIP (sometimes called Encapsulation Header) - (Error Code PLC-496)

  2. CIP - (Error Code PLC-497)

  3. Service Packet - (Error Code PLC-498)

Errors may come back in any of these levels, depending upon the situation. The following tables show the Errors and which levels they may come back in. These Error Code tables cover possible Errors that are detected by the panel from Allen-Bradley PLCs using the EtherNet/IP protocol for the ENI Adapter.

PLC-496 Error Codes

Note: The following Errors can be generated from the designated PLC, are monitored by the C-more Touch Panel, and displayed on the Touch Panel’s screen as a hexadecimal value in Panel Error Code PLC-496 message, if active. Please refer to the PLC manufacturer’s documentation for additional information.

PLC Errors for Allen-Bradley EtherNet/IP Protocol -Encapsulation Errors- (Error Code 0xaaaaaaaa returned from the PLC)
Panel Error Code PLC-496 Hex Value | Description
0x00000001 | The sender issued an invalid or unsupported encapsulation command.
0x00000002 | Insufficient memory resources in the receiver to handle the command. You can get this error if the 1761-NET-ENI cannot connect to the PLC serially.
0x00000003 | Poorly formed or incorrect data in the data portion of the encapsulation message.
0x00000004 -0x00000063 | Reserved for legacy (Rockwell Automation).
0x00000064 | An originator used an invalid session handle when sending an encapsulation message to the target.
0x00000065 | The target received a message of invalid length.
0x00000066 -0x00000068 | Reserved for legacy (Rockwell Automation).
0x00000069 | Unsupported encapsulation protocol revision.
0x0000006a -0x000ffff | Reserved for future expansion.

Top of Page

PLC-497 Error Codes

Note: The following Errors can be generated from the designated PLC, are monitored by the C-more Touch Panel, and displayed on the Touch Panel’s screen as a hexadecimal value in Panel Error Code PLC-497 message, if active. Please refer to the PLC manufacturer’s documentation for additional information.

PLC Errors for Allen-Bradley EtherNet/IP Protocol -CIP Errors-

(Error Code 0xaabbbb returned from the PLC)

Panel Error Code

PLC-497 Hex Value

Description

0x010100

Connection Manager: Connection in Use or Duplicate Forward Open.

0x010103

Connection Manager: Transport Class and Trigger combination not supported.

0x010106

Connection Manager: Ownership Conflict.

0x010107

Connection Manager: Connection not found at target application.

0x010108

Connection Manager: Invalid connection type (problem with type or priority).

0x010109

Connection Manager: Invalid connection size.

0x010110

Connection Manager: Device not configured.

0x010111

Connection Manager: RPI not supported. Could also be problem with inactivity timeout.

0x010113

Connection Manager: Connection Manager cannot support any more connections.

0x010114

Connection Manager: Either the vendor ID or the Product Code in the key segment did not match the device.

0x010115

Connection Manager: Product Type in the key segment did not match the device.

0x010116

Connection Manager: Major or minor revision information in the key segment did not match the device.

0x010117

Connection Manager: Invalid connection point.

0x010118

Connection Manager: Invalid configuration format.

0x010119

Connection Manager: Connection request fails since there is no controlling connection currently open.

0x01011a

Connection Manager: Target application cannot support any more connections.

0x01011b

Connection Manager: RPI is smaller than the Production Inhibit Time.

0x010203

Connection Manager: Connection cannot be closed since the connection has timed out.

0x010204

Connection Manager: Unconnected Send timed out waiting for a response.

0x010205

Connection Manager: Parameter error in Unconnected send service.

0x010206

Connection Manager: Message too large for Unconnected message service.

0x010207

Connection Manager: Unconnected acknowledge without reply.

0x010301

Connection Manager: No buffer memory available.

0x010302

Connection Manager: Network Bandwidth not available for data.

0x010303

Connection Manager: No Tag filters available.

0x010304

Connection Manager: Not configured to send real-time data.

0x010311

Connection Manager: Port specified in Port segment not available.

0x010312

Connection Manager: Link address specified in port segment not available.

0x010315

Connection Manager: invalid segment type or segment value in path.

0x010316

Connection Manager: Path and Connection not equal in close.

0x010317

Connection Manager: Ether Segment not present or Encoded Value in Network Segment is invalid.

0x010318

Connection Manager: Link address to self invalid.

0x010319

Connection Manager: Resources on Secondary unavailable.

0x01031a

Connection Manager: Connection already established.

0x01031b

Connection Manager: Direct connection already established.

0x01031c

Connection Manager: Miscellaneous.

0x01031d

Connection Manager: Redundant connection mismatch.

0x01031e

Connection Manager: No more consumer resources available in the producing module.

0x01031f

Connection Manager: No connection resources exist for target path.

0x010320 -0x0107ff

Connection Manager: Vendor specific.

0x020000

Resource unavailable: Connection Manager resources are unavailable to handle service request.

0x030000

Invalid parameter value.

0x040000

Path segment error: The path segment identifier or the segment syntax was not understood by the processing node.

0x050000

Path destination unknown: The path is referencing an object class, instance or structure element that is not known or is not contained in the processing node.

0x060000

Partial transfer: Only part of the expected data was transferred.

0x070000

Connection lost: The messaging connection was lost.

0x080000

Service not supported: The requested service was not implemented or was not defined for this Object Class/Instance.

0x090000

Invalid attribute value: Invalid attribute data detected.

0x0a0000

Attribute list error: An attribute in the Get_Attribute_List or Set_Attribute_List response has a non-zero status.

0x0b0000

Already in requested mode/state: The object is already in the mode/state being requested by the service.

0x0c0000

Object state conflict: The object cannot perform the requested service in its current mode/state.

0x0d0000

Object already exists: The requested instance of object to be created already exists.

0x0e0000

Attribute not settable: A request to modify non-modifiable attribute was received.

0x0f0000

Privilege violation: A permission/privilege check failed.

0x100000

Device state conflict: The device's current mode/state prohibits the execution of the requested service.

0x110000

Reply data too large: The data to be transmitted in the response buffer is larger than the allocated response buffer.

0x120000

Fragmentation of a primitive value: The service specified an operation that is going to fragment a primitive data value. For example, trying to send a 2 byte value to a REAL data type (4 byte).

0x130000

Not enough data: The service did not supply enough data to perform the specified operation.

0x140000

Attribute not supported: The attribute specified in the request is not supported.

0x150000

Too much data: The service supplied more data than was expected.

0x160000

Object does not exist: The object specified does not exist in the device.

0x170000

Service fragmentation sequence not in progress: The fragmentation sequence for this service is not currently active for this data.

0x180000

No stored attribute data: The attribute data of this object was no saved prior to the requested service.

0x190000

Store operation failure: The attribute data of this object was not saved due to a failure during the attempt.

0x1a0000

Routing failure, request packet too large: The service request packet was too large for transmission on a network in the path to the destination.

0x1b0000

Routing failure, response packet too large: The service response packet was too large for transmission on a network in the path from the destination.

0x1c0000

Missing attribute list entry data: The service did not supply an attribute in a list of attributes that was needed by the service to perform the requested behavior.

0x1d0000

Invalid attribute value list: The service is returning the list of attributes supplied with status information for those attributes that were invalid.

0x1e0000

Embedded service error: See Service Packet error list (PLC-498 Error codes) below:

0x1f0000

Vendor specific error: A vendor specific error has been encountered. This occurs when none of the specified errors relate to the error in the device.

0x200000

Invalid parameter: A parameter associated with the request was invalid. This code is used when a parameter does meet the requirements defined in an Application Object specification.

0x210000

Write-once value or medium already written: An attempt was made to write to a write-once-medium that has already been written or to modify a value that cannot be change once established.

0x220000

Invalid Reply Received: An invalid reply is received (example: service code sent doesn't match service code received.).

0x230000

Reserved by CIP for future extensions.

0x240000

Reserved by CIP for future extensions.

0x250000

Key failure in path: The key segment was included as the first segment in the path does not match the destination module. The object specific status shall indicate which part of the key check failed.

0x260000

Path Size Invalid: The size of the path which was sent with the Service Request is either not large enough to allow the Request to be routed to an object or too much routing data was included.

0x270000

Unexpected attribute in list: An attempt was made to set an attribute that is not able to be set at this time.

0x280000

Invalid Member ID: The Member ID specified in the request does not exist in the specified Class/Instance/Attribute.

0x290000

Member not settable: A request to modify a non-modifiable member was received.

0x2a0000

Group 2 only server general failure: This error code may only be reported by DeviceNet group 2 only servers with 4K or less code space and only in place of Service not supported, Attribute not supported and Attribute not settable.

0x2b0000 -0xcf0000

Reserved by CIP for future extensions.

0xd00000 -0xff0000

Reserved for Object Class and service errors: This range of error codes is to be used to indicate Object Class specific errors. Use of this range should only be used when errors in this table don't accurately reflect the error encountered.

Top of Page

PLC-498 Error Codes

Note: The following Errors can be generated from the designated PLC, are monitored by the C-more Touch Panel, and displayed on the Touch Panel’s screen as a hexadecimal value in Panel Error Code PLC-498 message, if active. Please refer to the PLC manufacturer’s documentation for additional information.

PLC Errors for Allen-Bradley EtherNet/IP Protocol -Service Packet Errors- (Error Code 0xaabbbb returned from the PLC)
Panel Error Code PLC-498 Hex Value | Description
0x010000 | DST Node is out of buffer space.
0x020000 | Cannot guarantee delivery; link layer (The remote node specified does not ACK command).
0x030000 | Duplicate token holder detected.
0x040000 | Local port is disconnected.
0x050000 | Application layer timed out waiting for response.
0x060000 | Duplicate node detected.
0x070000 | Station is offline.
0x080000 | Hardware fault.
0x100000 | Illegal command or format. Typical error received from PLC when addressed requested to the PLC does not exist. Usually occurs if memory map has not been expanded in PLC to the range requested from panel.
0x200000 | Host has a problem and will not communicate.
0x300000 | Remote node host is missing, disconnected, or shut down.
0x040000 | Host could not complete function due to hardware fault
0x050000 | Addressing problem or memory protected rungs.
0x060000 | Function not allowed due to command protection selection.
0x700000 | Processor is in Program Mode.
0x800000 | Compatibility mode file missing or communication zone problem.
0x900000 | Remote node cannot buffer command.
0xA00000 | Wait ACK (1775 KA buffer full).
0xB00000 | Remote node problem due to download.
0xC00000 | Wait ACK (1775 KA buffer full).
0xD00000 | Not used.
0xE00000 | Not used.
0xF00100 | Error code in the EXT STS byte. See the error code table below.
0xF00200 | Fewer levels specified in address than minimum for any address
0xF00300 | More levels specified in address than system supports.
0xF00400 | Symbol not found.
0xF00500 | Symbol is of improper format.
0xF00600 | Address does not point to something usable.
0xF00700 | File is wrong size.
0xF00800 | Cannot complete request, situation has changed since start of the command.
0xF00900 | Data or file size is too large.
0xF00A00 | Transaction size plus word address is too large.
0xF00B00 | Access denied; improper privilege. This will occur if data file is set to constant or protected.
0xF00C00 | Condition cannot be generated; resource is not available.
0xF00D00 | Condition already exists; resource is readily available.
0xF00E00 | Command cannot be executed.
0xF00F00 | Histogram overflow.
0xF01000 | No access.
0xF01100 | Illegal data type.
0xF01200 | Invalid parameter or invalid data.
0xF01300 | Address reference exists to deleted area.
0xF01400 | Command execution failure for unknown reason; possible histogram overflow.
0xF01500 | Data conversion error.
0xF01600 | Scanner not able to communicate with 1771 rack adapter.
0xF01700 | Type mismatch.
0xF01800 | 1771 module response was not valid.
0xF01900 | Duplicated label.
0xF02200 | Remote rack fault.
0xF02300 | Timeout.
0xF02400 | Unknown error.
0xF01A00 | File is open; another node owns it.
0xF01B00 | Another node is the program owner.
0xF01C00 | Reserved.
0xF01D00 | Reserved.
0xF01E00 | Data table element protection violation.
0xF01F00 | Temporary internal problem.


A-B EtherNet/IP (Client) ENI Adapter Setup

Topic: CM118

Allen-Bradley EtherNet/IP (Client) ENI Adapter Setup

The following information applies for Allen Bradley ENI Adapters compatible with C-more Touch Panels using EtherNet/IP (Client) Protocol. The following information applies for Allen Bradley ENI Addapters compatible with C-more Touch Panels using EtherNet/IP Protocol.

The C-more panel is the master when communicating with an Allen-Bradley PLC.

Note: When connecting to an A-B PLC with a 1761-NET-ENI, this driver requires that the ENI is a “Series B” or newer.

Setup

RSLogix 500

To Setup the RSLogix 500 for this PLC, follow these steps:

  1. In RSLogix 500 choose Channel Configuration in the left navigation window.

  2. From the Channel Configuration window shown below, choose the Channel 0 tab.

  3. From this Configuration window, make the following field selections and inputs:
  • For the Driver field, click on the down arrow [image] and select DF1 Full Duplex.
  • Leave all remaining settings as default and click the OK button.
  4. Open the ENI Configuration Utility shown below.

  5. From this configuration window, make the following field selections and inputs:
  • For the IP Address field, this is the IP Address that you enter in the C-more Panel Manager.
  • For the Subnet Mask, it MUST match the C-more Subnet Mask.
  • For the Obtain Via BOOTP option, click on the checkbox to deselect it. This needs to be turned Off as shown above. C-more needs a static IP Address to connect to.
  • Leave all remaining settings as default.
  • Select Save to ENI ROM.

Note: Make sure to click on “Save To ENI ROM”. If you save to ENI RAM, settings will be lost on power cycle.

Note: Before attempting to connect C-more to ENI Adapter, verify configuration of ENI to PLC by connecting RS Logix 500 to the PLC via the ENI Adapter. Refer to Allen-Bradley documentation for details on this connectivity. Once connectivity has been established from RSLogix 500 to the PLC via the ENI Adapter, there should be no issues connecting C-more to the PLC via the ENI Adapter.

Troubleshooting the PLC to Panel Connection

If your network is returning communication errors, test the basic network setup by transferring a new C-more project with Panel Manager settings that match the PLC port settings and a single Numeric Display object addressed to N7:0. Ensure that the PLC port settings are correct by verification with that PLC’s programming software.

Power cycle the PLC, THEN the C-more panel. If communication errors persist, power cycle the C-more panel, THEN the PLC.

C-more Panel Manager Settings

To access the Panel Manager from the C-more Programming Software, from the Main Menu select Setup. The drop down menu shown below opens.

From the Setup drop down menu, select the Panel Manager selection. The Panel Manager window opens by default displaying Panel Settings. From this window, click on the DEV001 selection on the tree to the left of the window as shown below.

When the DEV001 Icon is selected, the right portion of the window will change to display the Device Setup screen for DEV001.

From the PLC Protocol field, click on the down arrow [image] and select the Allen-Bradley EtherNet/IP SLC5/05/ENI Adapter) selection. Anytime you select a different PLC Protocol than the one already displayed, the Warning Message shown below will pop up.

Click Yes to accept and the Fields for the selected Protocol will be displayed as shown on the figure below.

From the Panel Manager window shown above, configure each field as follows:

  1. IP Address: This is where you enter the IP Address of the Allen Bradley PLC that you are targeting.
  2. Port (0-65535): This is where you enter the TCP Port Number that you are targeting.

Note: If you are on the same Local Network as the Allen Bradley PLC, you should always use 44818 as the number. Only use a different Number if trying to go through or a Router or if instructed so by your Local Network Administrator.

  3. Retries: This is the Number of Times that the Panel will Retry to send a message if the request does not receive a reply in the specified Timeout period. Once the Retry count has been reached, the Panel will show an error on the screen and begin trying to send messages again.
  4. Connection Timeout: This is the amount of Time (in seconds) that the Panel will wait before it will Retry again after receiving a Reply when trying to initiate a TCP connection.
  5. Inactivity Timeout: This value is sent to the PLC. The PLC will hold an open connection for this amount of Time. Once this Time value has expired, it will release its connection to free up resources for the PLC. If this Timer expires, the Panel will automatically create a new connection when it is ready to request data again. This value should only need to be adjusted if many devices are communicating to the PLC and there are situations where there are long delays in requests from the Panel to the PLC (long poll times, screens with only internal objects, etc.).
  6. Response Timeout: This is the amount of Time (in milliseconds) that the Panel will wait on a Reply after sending a Request. Once the Response Timeout timer expires, it will then Retry.
  7. Poll Time: Enter a number that represents a Time (in milliseconds) that the C-more Touch Panel will wait between executing a complete sequence of reads for the screen displayed. This setting is set to "0" by default, which produces constant polling. This setting should not require adjustment.

Connection Through Another Panel Option

In addition to providing the fields to configure the Protocol for the PLCs supported by C-more Touch Panels, the C-more Software's Panel Manager provides an option to Connect Through Another Panel. The Connection Through Another Panel selection allows you to connect a C-more Touch Panel to other C-more Touch Panels on your network via an Ethernet connection. This type of connection is also known as a Pass Through Connection.

To learn more about Pass Through and using the Connection Through Another Panel option, click on the button below:


A-B MicroLogix 1000, 1100, 1200, 1400 & 1500 DF1 (Full Duplex) Protocol Setup

Topic: CM013

Allen Bradley MicroLogix 1000, 1100, 1200, 1400 & 1500 DF1 (Full Duplex) Protocol Setup

The following information applies for Allen Bradley MicroLogix 1000, 1100, 1200, 1400 and 1500 PLC's compatible with C-more Touch Panels using DF1 Full Duplex Protocol.

The C-more panel is the master when communicating with an Allen-Bradley PLC.

C-more Panel Manager Settings

To access the Panel Manager from the C-more Programming Software, from the Main Menu select Setup. The drop down menu shown below opens.

From the Setup drop down menu, select the Panel Manager selection. The Panel Manager window opens by default displaying Panel Settings. From this window, click on the DEV001 selection on the tree to the left of the window as shown below.

When the DEV001 Icon is selected, the right portion of the window will change to display the Device Setup screen for DEV001.

From the PLC Protocol field, click on the down arrow [image] and select the Allen-Bradley DF1 Full Duplex (MicroLogix) selection. Anytime you select a different PLC Protocol than the one already displayed, the Warning Message shown below will pop up. Click Yes to accept and the Fields for the selected Protocol will be displayed as shown on the figure above.

To learn about the Connection Through Another Panel option, click on the green text or directly on the selection on the figure above.

Setup RSLogix 500

To Setup the RSLogix 500 for these PLCs, follow these steps:

  1. In RSLogix 500 choose Channel Configuration in the left navigation window.

  2. From the Channel Configuration window shown below, choose the Channel 0-System tab.

  3. From this Configuration window, make the following field selections and inputs:

  • For the Driver field, select DF1 Full Duplex
  • For the Source ID field, leave set at 9
  • For the Control Line field, choose No Handshaking
  • For the following fields, match the C-more Panel Manager settings:
    • Baud Rate
    • Parity
    • Stop Bits
    • Error Detection (Checksum Type)

Caution: Record the old PLC settings as you change them for reconnecting with RSLogix later.

Note: The Station Address does not matter when using DF1 Full Duplex.

  4. Select OK from the Channel Configuration window shown above, the Warning window shown below will appear. Choose Apply from this window and continue to next subject below.

Troubleshoot Tips for The Fields Discussed Above
  1. It is important to match the Error Detection (called Checksum Type in the C-more Panel Manager). This is probably the most common cause for no communication between panel and PLC.

  2. If you are connecting the C-more panel to the same PLC port that you are using to connect your PC and RSLogix to the PLC, it may be difficult to reconnect with RSLogix after changing the settings above. Be sure to note the settings as you change them so that you can go back into RSLinx to reconfigure your driver.

    It is recommended that you connect to the PLC through a different port if possible with the particular PLC that you are using. Consult your PLC representative for further help on this subject.

Troubleshooting the PLC to Panel connection:

If your network is returning communication errors, test the basic network setup by transferring a new C-more project with Panel Manager settings that match the PLC port settings and a single Numeric Display object addressed to N7:0. Ensure that the PLC port settings are correct by verification with that PLC’s programming software.

Power cycle the PLC, THEN the C-more panel. If communication errors persist, power cycle the C-more panel, THEN the PLC.

PLC Address Configuration
  1. An Address must exist in the PLC for every Address referenced in the C-more Project. For example, if a Numeric Display in C-more uses address C5:0.ACC, then C5:0.ACC must exist in the PLC Data Files. This can be verified in the left hand side explorer window under Data Files as shown below.

  2. Be sure that the File Number exists first (where 3 is the File Number for B3:0/0 and 7 is the File Number for N7:0). Then verify is that there are enough elements in the file. The user can right click and choose Properties to verify that there is the proper number of elements in the file.

  3. To create a new Data File:

  1. Right click on Data Files and choose New (Note, you have to be offline to do this). The Create Data File window shown below opens.

  2. Enter the File Number you wish to use.

  3. Choose the Data Type.

  4. Choose the number of elements that you need. For B3:4/0, the 4 is the Element Number. This is also the same screen that you would use to increase the number of elements of an existing file.

  5. Select OK and download the changes to the processor.

Connection Through Another Panel Option

In addition to providing the fields to configure the Protocol for the PLCs supported by C-more Touch Panels, the C-more Software's Panel Manager provides an option to Connect Through Another Panel. The Connection Through Another Panel selection allows you to connect a C-more Touch Panel to other C-more Touch Panels on your network via an Ethernet connection. This type of connection is also known as a Pass Through Connection.

To learn more about Pass Through and using the Connection Through Another Panel option, click on the button below:


A-B MicroLogix 1100 & 1400 EtherNet/IP (Client) Protocol Setup

Topic: CM107

Allen-Bradley MicroLogix 1100 and 1400 EtherNet/IP (Client) Protocol Setup

The following information applies for Allen Bradley MicroLogix 1100 & 1400 PLC's compatible with C-more Touch Panels using EtherNet/IP (Client) Protocol.

The C-more panel is the master when communicating with an Allen-Bradley PLC.

Setup

RSLogix 500

To Setup the RSLogix 500 for this PLC, follow these steps:

  1. In RSLogix 500 choose Channel Configuration in the left navigation window.

  2. From the Channel Configuration window shown below, choose the Channel 1 tab.

  3. From this configuration window, make the following field selections and inputs:

  • For the IP Address field, this is the IP Address that you enter in the C-more Panel Manager.
  • For the Subnet Mask, enter the same Subnet Mask as set in the C-more Panel Manager.
  • For the BOOTP Enable option, click on the checkbox to deselect it. C-more needs a static IP Address to connect to.
  • Leave all remaining settings as default.
  • Click on the OK button to close the Channel Configuration window.

Troubleshooting the PLC to Panel Connection

If your network is returning communication errors, test the basic network setup by transferring a new C-more project with Panel Manager settings that match the PLC port settings and a single Numeric Display object addressed to N7:0. Ensure that the PLC port settings are correct by verification with that PLC’s programming software.

Power cycle the PLC, THEN the C-more panel. If communication errors persist, power cycle the C-more panel, THEN the PLC.

C-more Panel Manager Settings

To access the Panel Manager from the C-more Programming Software, from the Main Menu select Setup. The drop down menu shown below opens.

From the Setup drop down menu, select the Panel Manager selection. The Panel Manager window opens by default displaying Panel Settings. From this window, click on the DEV001 selection on the tree to the left of the window as shown below.

When the DEV001 Icon is selected, the right portion of the window will change to display the Device Setup screen for DEV001.

From the PLC Protocol field, click on the down arrow [image] and select the Allen-Bradley EtherNet/IP Client (MicroLogix 1100) selection. Anytime you select a different PLC Protocol than the one already displayed, the Warning Message shown below will pop up.

Click Yes to accept and the Fields for the selected Protocol will be displayed as shown on the figure below.

From the Panel Manager window shown above, configure each field as follows:

  1. IP Address: This is where you enter the IP Address of the Allen Bradley PLC that you are targeting.
  2. Port (0-65535): This is where you enter the TCP Port Number that you are targeting.

Note: If you are on the same Local Network as the Allen Bradley PLC, you should always use 44818 as the number. Only use a different Number if trying to go through or a Router or if instructed so by your Local Network Administrator.

  3. Retries: This is the Number of Times that the Panel will Retry to send a message if the request does not receive a reply in the specified Timeout period. Once the Retry count has been reached, the Panel will show an error on the screen and begin trying to send messages again.
  4. Connection Timeout: This is the amount of Time (in seconds) that the Panel will wait before it will Retry again after receiving a Reply when trying to initiate a TCP connection.
  5. Inactivity Timeout: This value is sent to the PLC. The PLC will hold an open connection for this amount of Time. Once this Time value has expired, it will release its connection to free up resources for the PLC. If this Timer expires, the Panel will automatically create a new connection when it is ready to request data again. This value should only need to be adjusted if many devices are communicating to the PLC and there are situations where there are long delays in requests from the Panel to the PLC (long poll times, screens with only internal objects, etc.).
  6. Response Timeout: This is the amount of Time (in milliseconds) that the Panel will wait on a Reply after sending a Request. Once the Response Timeout timer expires, it will then Retry.
  7. Poll Time: Enter a number that represents a Time (in milliseconds) that the C-more Touch Panel will wait between executing a complete sequence of reads for the screen displayed. This setting is set to "0" by default, which produces constant polling. This setting should not require adjustment.

Connection Through Another Panel Option

In addition to providing the fields to configure the Protocol for the PLCs supported by C-more Touch Panels, the C-more Software's Panel Manager provides an option to Connect Through Another Panel. The Connection Through Another Panel selection allows you to connect a C-more Touch Panel to other C-more Touch Panels on your network via an Ethernet connection. This type of connection is also known as a Pass Through Connection.

To learn more about Pass Through and using the Connection Through Another Panel option, click on the button below:


AB Micro800 Serial

Topic: CM351

Allen-Bradley Micro800 Serial

Panel Manager Settings

  1. Baud Rate: The Baud Rate needs to match in C-more and the AB Micro800. For very long cable runs and especially noisy (electrical) environments, this rate may need to be reduced on both sides. The Micro800 settings can be found using the Connected Components Workbench software as shown below.
  2. Parity: This setting needs to match on both sides.
  3. Stop Bit: This setting needs to match on both sides. This is typically a value of 1.
  4. Checksum Type: This is the error detection method used to ensure quality data is being sent and received. This setting need only match on both sides.
  5. Timeout Time (1-255) (in 100ms units): This is the amount of Time (in milliseconds) that the panel will wait on the Command reply from the Micro800 CPU after sending a request. After the Timeout timer expires, the panel will display a PLC-001 timeout error on the screen.
  6. Poll Time (0-30000 msec): This is the amount of Time (in milliseconds) that the panel will wait in between each request.

Locating the Micro800 IP Serial Port Settings in Connected Components Workbench

Double-click on the controller at the top of the Project Organizer to see the settings for the PLC. Select the “Serial” option under the “Controller” section.

Note: The “Driver” field MUST be set to CIP Serial to communicate with the C-more panel.

The address field does not matter as C-more is using Full Duplex protocol. It is best to leave this field at Station 1.


AB Micro800 Serial Addressing

Topic: CM355

Allen-Bradley Micro800 Serial Addressing

Addressing

The C-more panel communicates to the AB Micro800 PLC through symbolic Addressing on EtherNet/IP.

Communications are limited to Global Variables (No Program Local Variables or Function Block Local Variables) of Atomic Data Types and Arrays of Atomic Data Types up to two dimensions.

The Atomic Data Types that can be accessed are shown in the chart below:

Atomic Data Types
Tag Name Example | PLC Data Type | Description | C-more Data Type
MY_BOOL_TAG | BOOL | Bit data | Discrete
MY_BYTE_TAG | BYTE | 8 bit integer | Discrete
 |  |  | Unsigned int 16
 |  |  | Signed int 16
MY_SINT_TAG | SINT | 8 bit integer signed | Discrete
 |  |  | Unsigned int 16
 |  |  | Signed int 16
MY_USINT_TAG | USINT | 8 bit integer unsigned | Discrete
 |  |  | Unsigned int 16
MY_INT_TAG | INT | 16 bit integer signed | Discrete
 |  |  | Unsigned int 16
 |  |  | Signed int 16
 |  |  | BCD int 16
MY_UINT_TAG | UINT | 16 bit integer unsigned | Discrete
 |  |  | Unsigned int 16
 |  |  | Signed int 16
 |  |  | BCD int 16
MY_WORD_TAG | WORD |  | Discrete
 |  |  | Unsigned int 16
 |  |  | Signed int 16
 |  |  | BCD int 16
MY_DINT_TAG | DINT | 32 bit integer signed | Discrete
 |  |  | Unsigned int 32
 |  |  | Signed int 32
 |  |  | BCD int 32
MY_DWORD_TAG | DWORD | 32 bit integer unsigned | Discrete
 |  |  | Unsigned int 32
 |  |  | Signed int 32
 |  |  | BCD int 32
MY_UDINT_TAG | UDINT |  | Discrete
 |  |  | Unsigned int 32
 |  |  | BCD int 32
MY_REAL_TAG | REAL | 32 bit floating point | Unsigned int 32
 |  |  | Floating point 32
MY_STRING_TAG | STRING | ASCII String (limited to 128 characters) | ASCII String
 | LINT | 64 bit data signed | Unsupported
 | LREAL | 64 bit floating Point
 | LWORD | 64 bit integer unsigned
 | ULINT

Examples

Also, Bit of Word is possible for the Integer Data Types:


AB EtherNet/IP Client Tag-Based (AB Micro800) Error Codes

Topic: CM356

Allen-Bradley EtherNet/IP Client Tag-Based (AB Micro800) Error Codes

The PLC-496, PLC-497 and PLC-498 Error Codes are used to show any Errors that are generated by the connected PLC. These Error Messages include an eight digit hexadecimal value displayed embedded in the message. This value can be looked up in the specific PLC’s Error Tables to determine the cause of the Error. The possible PLC generated Error Codes for the Allen-Bradley EtherNet/IP communication protocol is represented by a hexadecimal value.

There are three basic application levels of messaging with the Tag-Based EtherNet/IP protocol that C-more does.

  1. EIP (sometimes called Encapsulation Header) - (Error Code PLC-496)

  2. CIP - (Error Code PLC-497)

  3. Service Packet - (Error Code PLC-498)

Errors may come back in any of these levels, depending upon the situation. The following tables show the Errors and which levels they may come back in. These Error Code tables cover possible Errors that are detected by the panel from Allen-Bradley PLCs using the EtherNet/IP protocol for the ENI Adapter.

PLC-496 Error Codes

Note: The following Errors can be generated from the designated PLC, are monitored by the C-more Touch Panel, and displayed on the Touch Panel’s screen as a hexadecimal value in Panel Error Code PLC-496 message, if active. Please refer to the PLC manufacturer’s documentation for additional information.

PLC Errors for Allen-Bradley EtherNet/IP Protocol -Encapsulation Errors- (Error Code 0xaaaaaaaa returned from the PLC)
Panel Error Code PLC-496 Hex Value | Description
0x00000001 | The sender issued an invalid or unsupported encapsulation command.
0x00000002 | Insufficient memory resources in the receiver to handle the command. You can get this error if the 1761-NET-ENI cannot connect to the PLC serially.
0x00000003 | Poorly formed or incorrect data in the data portion of the encapsulation message.
0x00000004 -0x00000063 | Reserved for legacy (Rockwell Automation).
0x00000064 | An originator used an invalid session handle when sending an encapsulation message to the target.
0x00000065 | The target received a message of invalid length.
0x00000066 -0x00000068 | Reserved for legacy (Rockwell Automation).
0x00000069 | Unsupported encapsulation protocol revision.
0x0000006a -0x000ffff | Reserved for future expansion.

Top of Page

PLC-497 Error Codes

Note: The following Errors can be generated from the designated PLC, are monitored by the C-more Touch Panel, and displayed on the Touch Panel’s screen as a hexadecimal value in Panel Error Code PLC-497 message, if active. Please refer to the PLC manufacturer’s documentation for additional information.

PLC Errors for Allen-Bradley EtherNet/IP Protocol -CIP Errors-

(Error Code 0xaabbbb returned from the PLC)

Panel Error Code

PLC-497 Hex Value

Description

Notes

0x010100

Connection Manager: Connection in Use or Duplicate Forward Open.

Sometimes occurs because C-more Panel Manager "CPU Slot" is a PLC Ethernet Module slot #

0x010103

Connection Manager: Transport Class and Trigger combination not supported.

0x010106

Connection Manager: Ownership Conflict.

0x010107

Connection Manager: Connection not found at target application.

0x010108

Connection Manager: Invalid connection type (problem with type or priority).

0x010109

Connection Manager: Invalid connection size.

0x010110

Connection Manager: Device not configured.

0x010111

Connection Manager: RPI not supported. Could also be problem with inactivity timeout.

Sometimes occurs because C-more Panel Manager "CPU Slot" is a PLC Input/Output Module slot #

0x010113

Connection Manager: Connection Manager cannot support any more connections.

0x010114

Connection Manager: Either the vendor ID or the Product Code in the key segment did not match the device.

0x010115

Connection Manager: Product Type in the key segment did not match the device.

0x010116

Connection Manager: Major or minor revision information in the key segment did not match the device.

0x010117

Connection Manager: Invalid connection point.

0x010118

Connection Manager: Invalid configuration format.

0x010119

Connection Manager: Connection request fails since there is no controlling connection currently open.

0x01011a

Connection Manager: Target application cannot support any more connections.

0x01011b

Connection Manager: RPI is smaller than the Production Inhibit Time.

0x010203

Connection Manager: Connection cannot be closed since the connection has timed out.

0x010204

Connection Manager: Unconnected Send timed out waiting for a response.

Sometimes occurs because C-more Panel Manager "CPU Slot" is a PLC empty slot #

0x010205

Connection Manager: Parameter error in Unconnected send service.

0x010206

Connection Manager: Message too large for Unconnected message service.

0x010207

Connection Manager: Unconnected acknowledge without reply.

0x010301

Connection Manager: No buffer memory available.

0x010302

Connection Manager: Network Bandwidth not available for data.

0x010303

Connection Manager: No Tag filters available.

0x010304

Connection Manager: Not configured to send real-time data.

0x010311

Connection Manager: Port specified in Port segment not available.

0x010312

Connection Manager: Link address specified in port segment not available.

0x010315

Connection Manager: invalid segment type or segment value in path.

Sometimes occurs because C-more Panel Manager "CPU Slot" is actually a slot containing a 1756-ENET

0x010316

Connection Manager: Path and Connection not equal in close.

0x010317

Connection Manager: Ether Segment not present or Encoded Value in Network Segment is invalid.

0x010318

Connection Manager: Link address to self invalid.

Sometimes occurs because C-more Panel Manager "CPU Slot" is actually a slot containing a 1756-ENET (and is also the PLCs IP address)

0x010319

Connection Manager: Resources on Secondary unavailable.

0x01031a

Connection Manager: Connection already established.

0x01031b

Connection Manager: Direct connection already established.

0x01031c

Connection Manager: Miscellaneous.

0x01031d

Connection Manager: Redundant connection mismatch.

0x01031e

Connection Manager: No more consumer resources available in the producing module.

0x01031f

Connection Manager: No connection resources exist for target path.

0x010320 -0x0107ff

Connection Manager: Vendor specific.

0x020000

Resource unavailable: Connection Manager resources are unavailable to handle service request.

Sometimes occurs because C-more Panel Manager "CPU Slot" is a PLC non-existant slot #

0x030000

Invalid parameter value.

0x040000

Path segment error: The path segment identifier or the segment syntax was not understood by the processing node.

0x050000

Path destination unknown: The path is referencing an object class, instance or structure element that is not known or is not contained in the processing node.

0x060000

Partial transfer: Only part of the expected data was transferred.

0x070000

Connection lost: The messaging connection was lost.

0x080000

Service not supported: The requested service was not implemented or was not defined for this Object Class/Instance.

0x090000

Invalid attribute value: Invalid attribute data detected.

0x0a0000

Attribute list error: An attribute in the Get_Attribute_List or Set_Attribute_List response has a non-zero status.

0x0b0000

Already in requested mode/state: The object is already in the mode/state being requested by the service.

0x0c0000

Object state conflict: The object cannot perform the requested service in its current mode/state.

0x0d0000

Object already exists: The requested instance of object to be created already exists.

0x0e0000

Attribute not settable: A request to modify non-modifiable attribute was received.

0x0f0000

Privilege violation: A permission/privilege check failed.

0x100000

Device state conflict: The device's current mode/state prohibits the execution of the requested service.

0x110000

Reply data too large: The data to be transmitted in the response buffer is larger than the allocated response buffer.

0x120000

Fragmentation of a primitive value: The service specified an operation that is going to fragment a primitive data value. For example, trying to send a 2 byte value to a REAL data type (4 byte).

0x130000

Not enough data: The service did not supply enough data to perform the specified operation.

0x140000

Attribute not supported: The attribute specified in the request is not supported.

0x150000

Too much data: The service supplied more data than was expected.

0x160000

Object does not exist: The object specified does not exist in the device.

0x170000

Service fragmentation sequence not in progress: The fragmentation sequence for this service is not currently active for this data.

0x180000

No stored attribute data: The attribute data of this object was no saved prior to the requested service.

0x190000

Store operation failure: The attribute data of this object was not saved due to a failure during the attempt.

0x1a0000

Routing failure, request packet too large: The service request packet was too large for transmission on a network in the path to the destination.

0x1b0000

Routing failure, response packet too large: The service response packet was too large for transmission on a network in the path from the destination.

0x1c0000

Missing attribute list entry data: The service did not supply an attribute in a list of attributes that was needed by the service to perform the requested behavior.

0x1d0000

Invalid attribute value list: The service is returning the list of attributes supplied with status information for those attributes that were invalid.

0x1e0000

Embedded service error: See Service Packet error list (PLC-498 Error codes) below:

0x1f0000

Vendor specific error: A vendor specific error has been encountered. This occurs when none of the specified errors relate to the error in the device.

0x200000

Invalid parameter: A parameter associated with the request was invalid. This code is used when a parameter does meet the requirements defined in an Application Object specification.

0x210000

Write-once value or medium already written: An attempt was made to write to a write-once-medium that has already been written or to modify a value that cannot be change once established.

0x220000

Invalid Reply Received: An invalid reply is received (example: service code sent doesn't match service code received.).

0x230000

Reserved by CIP for future extensions.

0x240000

Reserved by CIP for future extensions.

0x250000

Key failure in path: The key segment was included as the first segment in the path does not match the destination module. The object specific status shall indicate which part of the key check failed.

0x260000

Path Size Invalid: The size of the path which was sent with the Service Request is either not large enough to allow the Request to be routed to an object or too much routing data was included.

0x270000

Unexpected attribute in list: An attempt was made to set an attribute that is not able to be set at this time.

0x280000

Invalid Member ID: The Member ID specified in the request does not exist in the specified Class/Instance/Attribute.

0x290000

Member not settable: A request to modify a non-modifiable member was received.

0x2a0000

Group 2 only server general failure: This error code may only be reported by DeviceNet group 2 only servers with 4K or less code space and only in place of Service not supported, Attribute not supported and Attribute not settable.

0x2b0000 -0xcf0000

Reserved by CIP for future extensions.

0xd00000 -0xff0000

Reserved for Object Class and service errors: This range of error codes is to be used to indicate Object Class specific errors. Use of this range should only be used when errors in this table don't accurately reflect the error encountered.

Top of Page

PLC-498 Error Codes

Note: The following Errors can be generated from the designated PLC, are monitored by the C-more Touch Panel, and displayed on the Touch Panel’s screen as a hexadecimal value in Panel Error Code PLC-498 message, if active. Please refer to the PLC manufacturer’s documentation for additional information.

PLC Errors for Allen-Bradley EtherNet/IP Protocol -Service Packet Errors- (Error Code 0xaabbbb returned from the PLC)
Panel Error Code PLC-498 Hex Value | Description
0x040000 | This general status codes that the tag name could not be deciphered. This could mean that the tag name was entered incorrectly or does not exist in the PLC.
0x050000 | The particular item referenced (usually instance) could not be found.
0x060000 | The amount of data requested would not fit into the response buffer. Partial data transfer has occurred.
0x0a0000 | An error has occurred trying to process one of the attributes.
0x0f2100 | The requested tag is read only in the RSLogix project.
0x130000 | Not enough command data/parameters were supplied in the command to execute the service requested.
0x1c0000 | An insufficient number of attributes were provided compared to the attribute count.
0x260000 | The tag name length specified did not match what was in the message.
0xff0521 | You have tried to access beyond the end of the data object.
0xff0721 | The abbreviated type does not match the data type of the data object.
0xff0421 | The beginning offset was beyond the end of the template.

Top of Page


AB Micro800 EtherNet/IP Client Tag-Based

Topic: CM347

Allen-Bradley Micro800 EtherNet/IP Client Tag-Based

Panel Manager Settings

  1. IP Address: Enter the IP Address of the AB Micro800 CPU. It can be found using the Connected Components Workbench Software discussed on next subject below.
  2. Port (0–65535): Set the EtherNet/IP listening TCP port number on the PLC. The default value is 44818. This field can be changed in the event that the C-more panel needs to access the PLC through a firewall using NAT.
  3. CPU Slot Number (0–247): This is the Slot Number of the CPU. The default value is 0. This field should not be changed unless there is a processor added to another slot (functionality did not yet exist at the time this document was developed).
  4. Retries (0-10): The C-more panel will send a request to the Micro800 CPU. If the CPU does not reply within the specified “Response Timeout” period, the C-more panel will send the request again up to the number of Retries. Once the Retry count (specified in this field) limit has been reached, the C-more panel will display a PLC Timeout error on the screen.
  5. Connection Timeout (1-30) (in 1 second units): This is the amount of Time (in seconds) that the panel will wait on a TCP connection from the Micro800 CPU.
  6. Inactivity Timeout (8, 16, 32, 64 and 128) (in 1 second units): If the C-more panel does not send a message within the time period specified in this field, the AB Micro 800 CPU will close the connection to free up its resources.
  7. Response Timeout (100-30000) (in 1ms units): This is the amount of Time (in 1ms units) that the panel will wait on the Command reply from the Micro800 after sending a request. After the Timeout timer expires, it will then retry.
  8. Poll Time (0-30000 msec): This is the amount of Time (in milliseconds) that the panel will wait in between each request.

Locating the Micro800 IP Address in Connected Components Workbench

Double click on the controller at the top of the Project Organizer to see the settings for the PLC. Select the “Ethernet” option under the “Controller” section:


AB Micro800 EtherNet/IP Addressing

Topic: CM348

Allen-Bradley Micro800 EtherNet/IP Addressing

Addressing

The C-more panel communicates to the AB Micro800 PLC through symbolic Addressing on EtherNet/IP.

Communications are limited to Global Variables (No Program Local Variables or Function Block Local Variables) of Atomic Data Types and Arrays of Atomic Data Types up to two dimensions.

The Atomic Data Types that can be accessed are shown in the chart below:

Atomic Data Types
Tag Name Example | PLC Data Type | Description | C-more Data Type
MY_BOOL_TAG | BOOL | Bit data | Discrete
MY_BYTE_TAG | BYTE | 8 bit integer | Discrete
 |  |  | Unsigned int 16
 |  |  | Signed int 16
MY_SINT_TAG | SINT | 8 bit integer signed | Discrete
 |  |  | Unsigned int 16
 |  |  | Signed int 16
MY_USINT_TAG | USINT | 8 bit integer unsigned | Discrete
 |  |  | Unsigned int 16
MY_INT_TAG | INT | 16 bit integer signed | Discrete
 |  |  | Unsigned int 16
 |  |  | Signed int 16
 |  |  | BCD int 16
MY_UINT_TAG | UINT | 16 bit integer unsigned | Discrete
 |  |  | Unsigned int 16
 |  |  | Signed int 16
 |  |  | BCD int 16
MY_WORD_TAG | WORD |  | Discrete
 |  |  | Unsigned int 16
 |  |  | Signed int 16
 |  |  | BCD int 16
MY_DINT_TAG | DINT | 32 bit integer signed | Discrete
 |  |  | Unsigned int 32
 |  |  | Signed int 32
 |  |  | BCD int 32
MY_DWORD_TAG | DWORD | 32 bit integer unsigned | Discrete
 |  |  | Unsigned int 32
 |  |  | Signed int 32
 |  |  | BCD int 32
MY_UDINT_TAG | UDINT |  | Discrete
 |  |  | Unsigned int 32
 |  |  | BCD int 32
MY_REAL_TAG | REAL | 32 bit floating point | Unsigned int 32
 |  |  | Floating point 32
MY_STRING_TAG | STRING | ASCII String (limited to 128 characters) | ASCII String
 | LINT | 64 bit data signed | Unsupported
 | LREAL | 64 bit floating Point
 | LWORD | 64 bit integer unsigned
 | ULINT

Examples

Also, Bit of Word is possible for the Integer Data Types:


AB Micro800 EtherNet/IP Tag Import Method

Topic: CM349

Allen-Bradley Micro800 EtherNet/IP Tag Import Method

Tag Import Method

Tags from the Connected Components Workbench software can be imported into the C-more Programming Software. The following steps explain how this is accomplished. Open the “Global Variables” window in the Connected Components Workbench software:

Scroll to the Tags that need to be Imported to the C-more Programming Software (NOTE the supported data types in the Addressing section). Click inside the left-most blue column next to the first Tag. Then hold the Shift key and Down Arrow to highlight all of the Tags to be imported. Then press the CTRL and C keys to Copy these Tags.

Open Notepad and click in the white space area and press the CTRL and V keys to Paste in the Tags. It should look like the window below:

Save the Tag Notepad file to a location to be accessed later. Save the file with an .XML on the end of the file name and “Text Documents (*.txt)” and the Save as Type.

Open the C-more Programming software and the C-more Project that addresses the Micro800 project. Go to File>Import>Tag Name Database.

Choose the XML file saved in Notepad earlier.

Make the choices in the following window as shown below:

  1. For “Device” choose the appropriate device created for the AB Micro800.
  2. You can choose to limit the number of elements imported from any Array Tags that were copied to the XML file. All of the elements of the Array may not be needed and this selection can help to reduce ‘clutter’ in the Tag Name Database.
  3. Any subsequent Import that may have changed some attributes of Tags will need to be Overwritten. Choose the “Overwrite Existing Tags” option in this situation.

After these selections have been configured, click on the “Import” button.

If any Tags with unsupported Data Types were copied and pasted into the XML file, it will be indicated in a Log View window at this point. The supported Tags will be Imported.

The Imported Tags can be viewed in the C-more Tag Name Database window.


A-B EtherNet/IP Client Tag-Based (Control/CompactLogix) Setup

Topic: CM015

Allen-Bradley EtherNet/IP Client Tag-Based (Control/CompactLogix) Setup

The following information applies for Allen Bradley PLCs for the purpose of setting up C-more Touch Panels to do Tag-Based Messaging via EtherNet/IP as a Client. The ONLY models included for this setup are:

  • ControlLogix 1756-ENBT and 1756-ENET/B
  • CompactLogix with Built-in EtherNet/IP

Note: For additional information on the Tags used for Allen-Bradley Tag-Based protocols, click on the button below to view the Control/CompactLogix Tag Names topic.

Setup a Tag Based EtherNet/IP

To Setup a C-more Touch Panel as a Tag Based EtherNet/IP Client to communicate with Control/CompactLogix PLCs, the first thing we need to do is match the Communication Parameters. To do this follow these steps:

  1. Open the RSLogix 5000 Start Screen shown below.

  2. This step assumes you have already configured your Ethernet Port/Module. If you have not, refer to your Allen-Bradley documentation to assist you in doing this first.

    Right click on the EtherNet Module under the I/O Configuration indicated on the figure above and choose Properties. The Module Properties window shown below will open.

Under the General Tab in the Address/Host Name Section, the IP Address shown in the field is the IP Address you will enter in the C-more Panel Manager configuration discussed below.

Troubleshooting the PLC to Panel Connection

If your network is returning communication errors, test the basic network setup by transferring a new C-more project with Panel Manager settings that match the PLC port settings and a single Numeric Display object addressed to N7:0. Ensure that the PLC port settings are correct by verification with that PLC’s programming software.

Power cycle the PLC, THEN the C-more panel. If communication errors persist, power cycle the C-more panel, THEN the PLC.

C-more Panel Manager Settings
  1. To Open the C-more Panel Manager, from the Main Menu of the C-more Programming Software, select Setup. The drop down menu shown below opens.

  2. From the Setup drop down menu, select the Panel Manager selection. The Panel Manager window opens by default displaying Panel Settings. From this window, click on the DEV001 selection on the tree to the left of the window as shown below.

When the DEV001 Icon is selected, the right portion of the window will change to display the Device Setup screen for DEV001.

  3. From the PLC Protocol field, click on the down arrow [image] and select the Allen-Bradley EtherNet/IP Client Tag-Based (Control/CompactLogix) selection. Anytime you select a different PLC Protocol than the one already displayed, the Warning Message shown below will pop up.

  4. Click Yes to accept and the Fields for the selected Protocol will be displayed as shown on the figure below.

Configure the C-more Panel Manager

The C-more Panel Manager Configuration fields for the Allen Bradley EtherNet/IP Client Tag-Based protocol for Control/CompactLogix are shown above.

The parameter values in C-more MUST match the parameter values on the RSLogix5000 setup explained above on this topic.

The parameters available are:

  1. IP Address: Enter the IP Address of the PLC you are targeting.
  2. Port (0-65535): This is the TCP Port number that you are targeting. NOTE: If you are on the same local network as the Allen Bradley PLC, you should always use 44818 as the number. Only use a different number if trying to go through a router or if instructed so by your local Network Administrator.
  3. CPU Slot Number (0 – 247): This is the slot number that the ControlLogix CPU resides in.
  4. Connection Options: The Connection Path is made up of 4 segments. Depending on the PLC, the Port used and the Version, different segments may be excluded from the Connection Path. Connection Path: 01 00 20 02 24 01 2c 01.

    01 00
    - Port Segment: Port 1 and slot 0.
    - The Port number is the path to the backplane and is always fixed at 1.
    - The Slot number is the physical slot number of the CPU. It is the same as the CPU Slot Number field in the C-more Panel Manager settings. The range is 0-247.

    20 02
    - Class Segment (20):2 = Message Router

    24 01
    - Instance Segment (24): Instance 1

    2c 01
    - Connection Point Segment (2c): Connection Point 1

    The Connection Options selection is provided due to changes over time in the Allen Bradley Control/Compact Logix Connection Path.
    1 - Default: This selection will work with most connections. The Connection Path excludes the Connection Point Segment and is 01 00 20 02 24 01.
    2 - L8xE Built-in Ethernet Port: This selection accommodates the L8xE series PLC built-in Ethernet Port. The Connection Path excludes the Port segment and is 20 02 24 01.
    3 - AB Version 14 or earlier: Allen Bradley PLC version 14 and earlier use the full Connection Path, 01 00 20 02 24 01 2c 01.
  5. Retries: This is the number of times that the Touch Panel will Retry to send a message if the request does not receive a reply in the specified Timeout period. Once the retry count has been reached, the Touch Panel will show an error on the screen and begin trying to send messages again.
  6. Connection Timeout: This is the amount of Time (in seconds) that the Touch Panel will wait upon a reply when trying to initiate a TCP connection before it will Retry again.
  7. Inactivity Timeout: This value is sent to the PLC. The PLC will hold an open connection for this amount of Time. Once this Time value has expired, it will release its connection to free up resources for the PLC. If this Timer expires, the panel will automatically create a new connection when it is ready to request data again. This value should only need adjustment if many devices are communicating to the PLC and there are situations where there are long delays in requests from the Touch Panel to the PLC (long Poll Times, screens with only internal objects, etc.).
  8. Response Timeout: This is the amount of Time (in milliseconds) that the Touch Panel will wait on a Reply after sending a request. Once the Response Timeout Timer expires, it will then Retry.
  9. Poll Time: This is the Time (in milliseconds) that the Touch Panel will wait in between each message that it sends to a configured device (after the device responds). If this field is set to "0", the Touch Panel will Poll as fast as its resources and the selected protocol will allow.

Connection Through Another Panel Option

In addition to providing the fields to configure the Protocol for the PLCs supported by C-more Touch Panels, the C-more Software's Panel Manager provides an option to Connect Through Another Panel. The Connection Through Another Panel selection allows you to connect a C-more Touch Panel to other C-more Touch Panels on your network via an Ethernet connection. This type of connection is also known as a Pass Through Connection.

To learn more about Pass Through and using the Connection Through Another Panel option, click on the button below:


A-B Control/CompactLogix Tags

Topic: CM128

Allen-Bradley Control/CompactLogix Tags

The ControlLogix, CompactLogix and FlexLogic PLCs are Tag Based PLC architectures and do not have traditional PLC Addressing like the SLC and MicroLogix series.

The four main types of Tags that can be requested from the PLC are listed and discussed below:

  • Atomic
  • Pre-Defined Structures
  • Arrays
  • User-Defined Structures

Atomic Tags

Atomic Tags include any of the following, each of which stores a single value:

  • Bit
  • Byte
  • 16-Bit Word
  • 32-Bit Word

Examples:

Tag Name | Type | Tag Description
THIS_IS_A_BOOL_TAG | BOOL | Single Bit
THIS_IS_A_SINT_TAG | SINT | Byte or Short Integer
THIS_IS_A_INT_TAG | INT | Single Word Single Integer
THIS_IS_A_DINT_TAG | DINT | Double Word Signed Integer
THIS_IS_A_REAL_TAG | REAL | Double Word Float

Pre-Defined Structures Tags

Pre-Defined Structures include:

  • Timers
  • Controls
  • Counters
  • Strings
  • Or any grouping of different data types that function as a single unit and serve a specific purpose pre-defined in the software.

Examples:

Tag Name | Type | Tag Description
TIMER_TAG.DN | BOOL | A "timer done" member of a TIMER structure.
TIMER_TAG.ACC | DINT | A "timer accumulated time" member of a TIMER structure.
STRING_TAG.DATA | STRING | The actual string data member of a STRING structure.

Array Tags

Array Tags include any sequence of elements, each of which is the same data type. It can be up to three dimensions and could include Structures as well.

Examples:

Tag Name | Type | Tag Description
BOOL_ARRAY[0] | BOOL | The first element of a BOOL array.
DINT_ARRAY[10] | DINT | The 11th element of a DINT array.
STRUCTURE_ARRAY[0].BOOL | BOOL | A BOOL member of an array of structures.

User Defined Tags

User-Defined Structures are grouping of different data types that function as a single unit created by the user.

Examples:

  • “MY_STRUCT_1.DINT_MEMBER.INTARRAY_MEMBER[0].BOOL_MEMBER” is a BOOL member of INT ARRAY member of a DINT member of the MY_STRUCT data type that the user created.

Tag Entering Methods

Tags can be entered into the C-more Programming Software using either of these two different methods:

  • Importing Tags
  • Entering Tags Manually

See the methods explained below or click on the green text above to go directly to the subject.

Importing Tags Method

The easiest method to add PLC Tags to the C-more project is to Import the L5K or L5X file from RSLogix 5000.

The newer L5X file format allows C-more to directly Import I/O Module Tags. A configuration file can be customized to reduce the I/O Module Tags which are automatically imported. By default all I/O Module tags are imported which may create a large number of unnecessary tags. To disable a group of Module tags from being imported, change the value from 1 to 0.

The configuration file is found at this path: \Documents\AutomationDirect\C-more\Setting\L5XPreDefine.txt

The available options are:

ModuleIO_Include_Local=1

ModuleIO_Include_Remote=1

ModuleIO_Include_Inputs=1

ModuleIO_Include_Outputs=1

ModuleIO_Include_Config=1

ModuleIO_Include_Status=1

The C-more Programming Software will import both, Controller Scope and Program Scope Tags. In RSLogix 5000, the project can be saved as an .L5K or .L5X extension by clicking on the Save As selection and choosing L5K or L5X at the bottom of the Save As Type drop down menu as shown below.

From the C-more Programming Software, select the File selection of the Main Menu. The drop down menu shown below will open. From the File drop down menu, select Import and then Tag Name Database.

The Import Tag Name Database window shown below will open. From the File Path field, choose your .L5K file and once the file is selected, click on the Import button.

If you have multiple PLCs in your C-more Programming Software project, you can choose what Device to Import the Tags into. You can also choose text to append to the end of each Tag if you are importing multiple projects with the same Tag Names. To learn more about Importing Tag Names, click on the green text.

Note: The C-more Programming Software can Import Atomic Tags, TIMER Data Type Tags, COUNTER Data Type Tags, STRING Data Type Tags, and User-defined Data Type Tags containing the preceding Tag Types from an RSLogix 5000 .L5K or .L5X file. All other Pre-defined Data Type Tags or User-defined Data Type Tags comprising Pre-defined Data Type Tags (except TIMERS, COUNTERS, and STRINGS) may be imported using the methods described in Application Note AN-EA-001.

Manually Adding a Tag Method

The second method to Add Tags to the C-more Programming Software is to Manually Enter the Tags directly. This method can be used for any Tag Type.

To Add a Tag Name, from the C-more Programming Software, select the Database selection of the Main Menu. The drop down menu shown below will open. From the Database drop down menu, select Tag Name Database.

From the Tag Name Database window, click on the Add button located on the lower left portion of the window and follow these steps:

  1. Once the Add button is selected the Tag Name - Add window shown below will appear.

  2. The window allows the user to Enter the required information for the parameter fields for the new Tag Name. The following list provides information on the fields available:

  • No.: This is the Number automatically assigned to the Tag Name by the application.
  • Device Name: Provides a drop down list of available Devices to which this Tag Name can be assigned. Select Internal if using a Panel Internal Tag or select an External PLC name (DEV001, DEV002, etc.) assigned in the Panel Manager.
  • Tag Name: Type in a Tag Name that will help you easily identify the Tag.
  • Tag Data Type: Select the Data Type (Discrete, BCD int 16, ASCII String, etc.) required for this specific Tag.
  • Characters: This field is inactive and will only be active if the ASCII String Data Type is selected. This field allows the user to identify the Number of Characters for the ASCII String.
  • Retentive: This checkbox is inactive and will only be active when entering InternalTags (Device Name selection = <INTERNAL>). Click on the checkbox to set the Tag as Retentive. If power is lost at the C-more panel, the value of the tag when power was lost will be stored in SDRAM and when power is restored to the C-more panel, the tag will retain that value.
  • PLC Address: The PLC Address is not active unless a PLC Device has been selected for the Device Name. The PLC Address requires the user to enter the Memory Type and the Address in the selected PLC. When using Discrete Data Type, a Bit Value must be entered. Knowledge of the Values for these fields will be required.

Note: For the PLC Address portion of the Tag Name - Add window, in the Address field, enter the PLC Tag Name displayed on the RSLogix 5000 window. The figure below shows a view of the RSLogix 5000 window displaying Tag Names. The contents for the specific Tag under the Tag Name column is what will be entered.

Note: When a Tag Name is added to the Tag Name Database, notice that Memory Type and Address are listed together under the PLC Address column of the Tag Name Database window as shown below. The figure shows that the PLC Address "INT THIS_IS_AN_INT_TAG", "INT" is the Memory Type and "THIS_IS_AN_INT_TAG" is the actual Address.

Memory Types

Memory Types available for the Allen Bradley Tag-Based Control/CompactLogix PLCs are:

  • DINT: Represents a Memory with a value of 32 bit 2s compliment integer -2,147,483,648 to 2,147,483,647.
  • INT: Represents a Memory with a value of 16 bit 2s compliment integer -32,768 to 32,767.
  • SINT: Represents a Memory with a value of 8 bit 2s compliment integer -128 to 127.
  • STRING: Represents a Memory with an ASCII string value.
  • CONTROL: Represents Memory that holds Complex Instructions.
  • COUNTER: Represents Memory that holds values from a Counter.
  • MESSAGE: Memory used for Communication purposes between remote devices.
  • PID: Memory used for PID control functions.
  • TIMER: Represents Memory that holds values from a Timer.

Other Memory Types available for other PLCs are:

  • BOOL: Represents Memory that holds a Boolean TRUE or FALSE value.
  • REAL: Represents a Memory with a 32 bit floating point value +/-1.1754944e-38 to +/-3.4028237e38.

Edit a Tag

To Edit a Tag Name, from the Tag Name Database window click on the Edit button on the lower left portion of the window or you may also double-click on the Tag Name directly. Once either of these are done, the Tag Name - Edit window shown below will open.

To Edit the Tag Name fields, click on the respective field and overwrite the current information or click on the down arrow [image] and select a different selection from the drop down list. For more information on the fields, click on the green Add a Tag Name text. The information about the fields applies for Editing also.

Program Scope Tags

To access Program Scope Tags, they must be entered as follows:

Program:aaaa.bbbb

Where aaaa is the name of the Program in the PLC and bbbb is the Tag Name. The figures below show examples of this.

As seen in the figures above, the PLC Program Name is Main Program and the PLC Tag Name is DINT_PROGRAM_TAG. Therefore, the PLC Address entered in C-more is:

PROGRAM:MAIN PROGRAM.DINT_PROGRAM_TAG


A-B EtherNet/IP Client Tag-Based (Control/CompactLogix) Error Codes

Topic: CM353

Allen-Bradley EtherNet/IP Client Tag-Based (Control/CompactLogix) Error Codes

The PLC-496, PLC-497 and PLC-498 Error Codes are used to show any Errors that are generated by the connected PLC. These Error Messages include an eight digit hexadecimal value displayed embedded in the message. This value can be looked up in the specific PLC’s Error Tables to determine the cause of the Error. The possible PLC generated Error Codes for the Allen-Bradley EtherNet/IP communication protocol is represented by a hexadecimal value.

There are three basic application levels of messaging with the Tag-Based EtherNet/IP protocol that C-more does.

  1. EIP (sometimes called Encapsulation Header) - (Error Code PLC-496)

  2. CIP - (Error Code PLC-497)

  3. Service Packet - (Error Code PLC-498)

Errors may come back in any of these levels, depending upon the situation. The following tables show the Errors and which levels they may come back in. These Error Code tables cover possible Errors that are detected by the panel from Allen-Bradley PLCs using the EtherNet/IP protocol for the ENI Adapter.

PLC-496 Error Codes

Note: The following Errors can be generated from the designated PLC, are monitored by the C-more Touch Panel, and displayed on the Touch Panel’s screen as a hexadecimal value in Panel Error Code PLC-496 message, if active. Please refer to the PLC manufacturer’s documentation for additional information.

PLC Errors for Allen-Bradley EtherNet/IP Protocol -Encapsulation Errors- (Error Code 0xaaaaaaaa returned from the PLC)
Panel Error Code PLC-496 Hex Value | Description
0x00000001 | The sender issued an invalid or unsupported encapsulation command.
0x00000002 | Insufficient memory resources in the receiver to handle the command. You can get this error if the 1761-NET-ENI cannot connect to the PLC serially.
0x00000003 | Poorly formed or incorrect data in the data portion of the encapsulation message.
0x00000004 -0x00000063 | Reserved for legacy (Rockwell Automation).
0x00000064 | An originator used an invalid session handle when sending an encapsulation message to the target.
0x00000065 | The target received a message of invalid length.
0x00000066 -0x00000068 | Reserved for legacy (Rockwell Automation).
0x00000069 | Unsupported encapsulation protocol revision.
0x0000006a -0x000ffff | Reserved for future expansion.

Top of Page

PLC-497 Error Codes

Note: The following Errors can be generated from the designated PLC, are monitored by the C-more Touch Panel, and displayed on the Touch Panel’s screen as a hexadecimal value in Panel Error Code PLC-497 message, if active. Please refer to the PLC manufacturer’s documentation for additional information.

PLC Errors for Allen-Bradley EtherNet/IP Protocol -CIP Errors-

(Error Code 0xaabbbb returned from the PLC)

Panel Error Code

PLC-497 Hex Value

Description

Notes

0x010100

Connection Manager: Connection in Use or Duplicate Forward Open.

Sometimes occurs because C-more Panel Manager "CPU Slot" is a PLC Ethernet Module slot #

0x010103

Connection Manager: Transport Class and Trigger combination not supported.

0x010106

Connection Manager: Ownership Conflict.

0x010107

Connection Manager: Connection not found at target application.

0x010108

Connection Manager: Invalid connection type (problem with type or priority).

0x010109

Connection Manager: Invalid connection size.

0x010110

Connection Manager: Device not configured.

0x010111

Connection Manager: RPI not supported. Could also be problem with inactivity timeout.

Sometimes occurs because C-more Panel Manager "CPU Slot" is a PLC Input/Output Module slot #

0x010113

Connection Manager: Connection Manager cannot support any more connections.

0x010114

Connection Manager: Either the vendor ID or the Product Code in the key segment did not match the device.

0x010115

Connection Manager: Product Type in the key segment did not match the device.

0x010116

Connection Manager: Major or minor revision information in the key segment did not match the device.

0x010117

Connection Manager: Invalid connection point.

0x010118

Connection Manager: Invalid configuration format.

0x010119

Connection Manager: Connection request fails since there is no controlling connection currently open.

0x01011a

Connection Manager: Target application cannot support any more connections.

0x01011b

Connection Manager: RPI is smaller than the Production Inhibit Time.

0x010203

Connection Manager: Connection cannot be closed since the connection has timed out.

0x010204

Connection Manager: Unconnected Send timed out waiting for a response.

Sometimes occurs because C-more Panel Manager "CPU Slot" is a PLC empty slot #

0x010205

Connection Manager: Parameter error in Unconnected send service.

0x010206

Connection Manager: Message too large for Unconnected message service.

0x010207

Connection Manager: Unconnected acknowledge without reply.

0x010301

Connection Manager: No buffer memory available.

0x010302

Connection Manager: Network Bandwidth not available for data.

0x010303

Connection Manager: No Tag filters available.

0x010304

Connection Manager: Not configured to send real-time data.

0x010311

Connection Manager: Port specified in Port segment not available.

0x010312

Connection Manager: Link address specified in port segment not available.

0x010315

Connection Manager: invalid segment type or segment value in path.

Sometimes occurs because C-more Panel Manager "CPU Slot" is actually a slot containing a 1756-ENET. Also try a different Connection Option selection in the Device Setup .

0x010316

Connection Manager: Path and Connection not equal in close.

0x010317

Connection Manager: Ether Segment not present or Encoded Value in Network Segment is invalid.

0x010318

Connection Manager: Link address to self invalid.

Sometimes occurs because C-more Panel Manager "CPU Slot" is actually a slot containing a 1756-ENET (and is also the PLCs IP address)

0x010319

Connection Manager: Resources on Secondary unavailable.

0x01031a

Connection Manager: Connection already established.

0x01031b

Connection Manager: Direct connection already established.

0x01031c

Connection Manager: Miscellaneous.

0x01031d

Connection Manager: Redundant connection mismatch.

0x01031e

Connection Manager: No more consumer resources available in the producing module.

0x01031f

Connection Manager: No connection resources exist for target path.

0x010320 -0x0107ff

Connection Manager: Vendor specific.

0x020000

Resource unavailable: Connection Manager resources are unavailable to handle service request.

Sometimes occurs because C-more Panel Manager "CPU Slot" is a PLC non-existant slot #

0x030000

Invalid parameter value.

0x040000

Path segment error: The path segment identifier or the segment syntax was not understood by the processing node.

0x050000

Path destination unknown: The path is referencing an object class, instance or structure element that is not known or is not contained in the processing node.

0x060000

Partial transfer: Only part of the expected data was transferred.

0x070000

Connection lost: The messaging connection was lost.

0x080000

Service not supported: The requested service was not implemented or was not defined for this Object Class/Instance.

0x090000

Invalid attribute value: Invalid attribute data detected.

0x0a0000

Attribute list error: An attribute in the Get_Attribute_List or Set_Attribute_List response has a non-zero status.

0x0b0000

Already in requested mode/state: The object is already in the mode/state being requested by the service.

0x0c0000

Object state conflict: The object cannot perform the requested service in its current mode/state.

0x0d0000

Object already exists: The requested instance of object to be created already exists.

0x0e0000

Attribute not settable: A request to modify non-modifiable attribute was received.

0x0f0000

Privilege violation: A permission/privilege check failed.

0x100000

Device state conflict: The device's current mode/state prohibits the execution of the requested service.

0x110000

Reply data too large: The data to be transmitted in the response buffer is larger than the allocated response buffer.

0x120000

Fragmentation of a primitive value: The service specified an operation that is going to fragment a primitive data value. For example, trying to send a 2 byte value to a REAL data type (4 byte).

0x130000

Not enough data: The service did not supply enough data to perform the specified operation.

0x140000

Attribute not supported: The attribute specified in the request is not supported.

0x150000

Too much data: The service supplied more data than was expected.

0x160000

Object does not exist: The object specified does not exist in the device.

0x170000

Service fragmentation sequence not in progress: The fragmentation sequence for this service is not currently active for this data.

0x180000

No stored attribute data: The attribute data of this object was no saved prior to the requested service.

0x190000

Store operation failure: The attribute data of this object was not saved due to a failure during the attempt.

0x1a0000

Routing failure, request packet too large: The service request packet was too large for transmission on a network in the path to the destination.

0x1b0000

Routing failure, response packet too large: The service response packet was too large for transmission on a network in the path from the destination.

0x1c0000

Missing attribute list entry data: The service did not supply an attribute in a list of attributes that was needed by the service to perform the requested behavior.

0x1d0000

Invalid attribute value list: The service is returning the list of attributes supplied with status information for those attributes that were invalid.

0x1e0000

Embedded service error: See Service Packet error list (PLC-498 Error codes) below:

0x1f0000

Vendor specific error: A vendor specific error has been encountered. This occurs when none of the specified errors relate to the error in the device.

0x200000

Invalid parameter: A parameter associated with the request was invalid. This code is used when a parameter does meet the requirements defined in an Application Object specification.

0x210000

Write-once value or medium already written: An attempt was made to write to a write-once-medium that has already been written or to modify a value that cannot be change once established.

0x220000

Invalid Reply Received: An invalid reply is received (example: service code sent doesn't match service code received.).

0x230000

Reserved by CIP for future extensions.

0x240000

Reserved by CIP for future extensions.

0x250000

Key failure in path: The key segment was included as the first segment in the path does not match the destination module. The object specific status shall indicate which part of the key check failed.

0x260000

Path Size Invalid: The size of the path which was sent with the Service Request is either not large enough to allow the Request to be routed to an object or too much routing data was included.

0x270000

Unexpected attribute in list: An attempt was made to set an attribute that is not able to be set at this time.

0x280000

Invalid Member ID: The Member ID specified in the request does not exist in the specified Class/Instance/Attribute.

0x290000

Member not settable: A request to modify a non-modifiable member was received.

0x2a0000

Group 2 only server general failure: This error code may only be reported by DeviceNet group 2 only servers with 4K or less code space and only in place of Service not supported, Attribute not supported and Attribute not settable.

0x2b0000 -0xcf0000

Reserved by CIP for future extensions.

0xd00000 -0xff0000

Reserved for Object Class and service errors: This range of error codes is to be used to indicate Object Class specific errors. Use of this range should only be used when errors in this table don't accurately reflect the error encountered.

Top of Page

PLC-498 Error Codes

Note: The following Errors can be generated from the designated PLC, are monitored by the C-more Touch Panel, and displayed on the Touch Panel’s screen as a hexadecimal value in Panel Error Code PLC-498 message, if active. Please refer to the PLC manufacturer’s documentation for additional information.

PLC Errors for Allen-Bradley EtherNet/IP Protocol -Service Packet Errors- (Error Code 0xaabbbb returned from the PLC)
Panel Error Code PLC-498 Hex Value | Description
0x040000 | This general status codes that the tag name could not be deciphered. This could mean that the tag name was entered incorrectly or does not exist in the PLC.
0x050000 | The particular item referenced (usually instance) could not be found.
0x060000 | The amount of data requested would not fit into the response buffer. Partial data transfer has occurred.
0x0a0000 | An error has occurred trying to process one of the attributes.
0x0f2100 | The requested tag is read only in the RSLogix project.
0x130000 | Not enough command data/parameters were supplied in the command to execute the service requested.
0x1c0000 | An insufficient number of attributes were provided compared to the attribute count.
0x260000 | The tag name length specified did not match what was in the message.
0xff0521 | You have tried to access beyond the end of the data object.
0xff0721 | The abbreviated type does not match the data type of the data object.
0xff0421 | The beginning offset was beyond the end of the template.

Top of Page


A-B DF1 Full Duplex Tag-Based (Control/CompactLogix) Setup

Topic: CM018

Allen Bradley DF1 Full Duplex Tag-Based (Control/CompactLogix) Setup

The following information applies to Allen Bradley Control/CompactLogix PLCs for the purpose of setting up DF1 Full Duplex Tag Based Serial communication.

The C-more panel is the master when communicating with an Allen-Bradley PLC.

Note: For additional information on the Tags used for Allen-Bradley Tag-Based protocols, click on the button below to view the Control/CompactLogix Tag Names topic.

Setup a DF1 Full Duplex Tag-Based

Contrologix or CompactLogix

To Setup the Control/CompactLogix PLC, the first thing we need to do is match the Communication Parameters to the C-more Panel Manager parameters. To do this follow these steps:

  1. Open the RSLogix 5000 Start Screen shown below.

  2. Click on the small picture of the PLC Controller located under the Selector Switch graphic in the upper left box as indicated on above figure. This will open the Controller Properties window shown below.

  3. The Controller Properties window shown above opens. Click on the Serial Port Tab to display the items on the figure shown above.
  4. Set the following Parameters:

  1. Mode = System
  2. Baud Rate, Parity and Stop Bits: Match the values set in the C-more Panel Manager for this device.
  3. Data Bits = 8
  4. Control Line = No Handshake
  5. RTS Send Delay = 0
  6. RTS Off Delay = 0
  5. When all of the above are completed, click on the System Protocol Tab. The Controller Properties window will now look like the figure shown below.

  6. From the Protocol field, choose the appropriate Protocol. For DF1 Full Duplex, the correct selection is DF1 Point to Point.
  7. Be sure to match the Error Detection to the Checksum Type in the C-more Panel Manager.
  8. Leave ALL other fields as shown above.

Note: The Station Address does not matter when using DF1 Full Duplex.

C-more Panel Manager Settings

To access the Panel Manager from the C-more Programming Software, from the Main Menu select Setup. The drop down menu shown below opens.

From the Setup drop down menu, select the Panel Manager selection. The Panel Manager window opens by default displaying Panel Settings. From this window, click on the DEV001 selection on the tree to the left of the window as shown below.

When the DEV001 Icon is selected, the right portion of the window will change to display the Device Setup screen for DEV001.

From the PLC Protocol field, click on the down arrow [image] and select the Allen-Bradley DF1 Full Duplex Tag-Based (Control/CompactLogix) selection. Anytime you select a different PLC Protocol than the one already displayed, the Warning Message shown below will pop up.

Click Yes to accept and the Fields for the selected Protocol will be displayed as shown on the figure below.

Configure the C-more Panel Manager

The C-more Panel Manager Configuration fields for the Allen Bradley DF1 Full Duplex Tag-Based protocol for Control/CompactLogix is shown above.

The following are the parameters available for configuration:

  1. Baud Rate: The Baud Rate is the rate at which data is transmitted across the connection in Bits Per Second (bps). A good starting point is 9600 bps. If no problems are encountered, then increase the Baud Rate to the maximum achievable without communication problems.
  2. Parity: Parity is a low level form of error checking that counts the number of 1's in the Bit Stream to ensure that none have been changed. The Parity Bit is configured to achieve the correct number of 1's in the data packet; either Odd or Even. If the number of 1's is Even when parity is set to Odd, then the packet has been corrupted. This setting is set to Odd by default and should not require adjustment.
  3. Stop Bit: A Stop Bit is an extra Bit that follows the data and Parity Bits to mark the End of the transmission. For older systems, the Stop Bit may need to be increased to 2, but 1 is usually the correct setting. This setting is set to 1 by default and should not require adjustment.
  4. Checksum Type: The Checksum is a Character positioned at the end of a data block to detect any possible Errors. Clicking the down arrow on this field provides two selections:
  5. BCC: Stands for Block-Check Character and consists of an Error Detection method that places a Character at the end of the data block that is equal to the binary Sum of All the Characters in the specific data block and enables a check of data accuracy after receiving the data block across a network.
  6. CRC: Stands for Cyclic Redundancy Check and consists of an Error Detection method that treats all the Characters in a message as a string of bits that represent a binary number. This binary number is inserted in the message to enable a check of data accuracy after receiving the message across a network. CRC is the default selection for this field and should not require adjustment.
  7. Transmit: This field is currently inactive and requires no setup.
  8. Timeout Time (1-255) [100ms]: Enter a number that represents a Time (in Tenths of a Second) that the C-more Touch Panel will wait for communications with the PLC before displaying an error. This setting is set to 30 Tenths of a Second by default, which is the same as 3 seconds and should not require any adjustment.
  9. Poll Time: Enter a number that represents a Time (in milliseconds) that the C-more Touch Panel will wait between executing a complete sequence of reads for the screen displayed. This setting is set to "0" by default, which produces constant polling. This setting should not require adjustment.

Connection Through Another Panel Option

In addition to providing the fields to configure the Protocol for the PLCs supported by C-more Touch Panels, the C-more Software's Panel Manager provides an option to Connect Through Another Panel. The Connection Through Another Panel selection allows you to connect a C-more Touch Panel to other C-more Touch Panels on your network via an Ethernet connection. This type of connection is also known as a Pass Through Connection.

To learn more about Pass Through and using the Connection Through Another Panel option, click on the button below:


A-B DF1 Half Duplex Tag-Based (Control/CompactLogix) Setup

Topic: CM020

Allen-Bradley DF1 Half Duplex Tag-Based (Control/CompactLogix) Setup

The following information applies for Allen Bradley Control/CompactLogix PLCs for the purpose of setting up using DF1 Half Duplex Tag-Based Serial.

The C-more panel is the master when communicating with an Allen-Bradley PLC.

Note: For additional information on the Tags used for Allen-Bradley Tag-Based protocols, click on the button below to view the Control/CompactLogix Tag Names topic.

Setup a DF1 Half-Duplex Tag-Based PLC

To Setup a Tag Based DF1 (Half Duplex) to Control/CompactLogix PLC, the first thing we need to do is match the Communication Parameters. To do this follow these steps:

  1. Open the CompactLogix Start Screen shown below.

  2. Click on the small picture of the PLC Controller located under the Selector Switch graphic in the upper left box and indicated on above figure. This will open the Controller Properties window shown below.

  3. The Controller Properties window shown above opens. Click on the Serial Port Tab to display the items on the figure shown above.
  4. Set the following Parameters:

  1. Mode = System
  2. Baud Rate, Parity and Stop Bits: Match the values set in the C-more Panel Manager for this device.
  3. Data Bits = 8
  4. Control Line = No Handshake
  5. RTS Send Delay = 0
  6. RTS Off Delay = 0
  5. When all of the above are completed, click on the System Protocol Tab. The Controller Properties window will now look like the figure shown below.

Note: If you are doing DF1 Half Duplex (DF1 Slave in PLC), then you must match the Station Address to the PLC Address in the C-more Panel Manager. Also match the Error Detection to the Checksum Type in the C-more Panel Manager.

  6. From the Protocol field, choose the appropriate Protocol. For DF1 Half Duplex, the correct selection is DF1 Slave.

  7. If using DF1 Half Duplex (DF1 Slave in PLC), then you must match the Station Address to the PLC Address in the C-more Panel Manager. Also be sure to match the Error Detection to the Checksum Type in the C-more Panel Manager.

  8. Leave ALL other fields as shown above.

C-more Panel Manager Settings

To access the Panel Manager from the C-more Programming Software, from the Main Menu select Setup. The drop down menu shown below opens.

From the Setup drop down menu, select the Panel Manager selection. The Panel Manager window opens by default displaying Panel Settings. From this window, click on the DEV001 selection on the tree to the left of the window as shown below.

When the DEV001 Icon is selected, the right portion of the window will change to display the Device Setup screen for DEV001.

From the PLC Protocol field, click on the down arrow [image] and select the Allen-Bradley DF1 Half Duplex Tag-Based (Control/CompactLogix) selection. Anytime you select a different PLC Protocol than the one already displayed, the Warning Message shown below will pop up.

Click Yes to accept and the Fields for the selected Protocol will be displayed as shown on the figure below.

Configure the C-more Panel Manager

The C-more Panel Manager Configuration fields for the Allen Bradley DF1 Full Duplex Tag-Based protocol for Control/CompactLogix is shown above.

The following are the parameters available for configuration:

  1. Station Number (0-254): The Station Number is the Slave Number or Address. This is the Number that will be polled by the Master (C-more panel) on the network. Slaves can be addressed from 1 through 254 for Modbus protocol, depending on the Slave and what CPU is used.
  2. PLC Address (0-254): The PLC Address is the Number or Address of the PLC communicating to the Touch Panel. Typically this is set to 1 for the first PLC in the network. PLCs can be addressed from 1 through 254.
  3. Baud Rate: The Baud Rate is the rate at which data is transmitted across the connection in Bits Per Second (bps). A good starting point is 9600 bps. If no problems are encountered, then increase the Baud Rate to the maximum achievable without communication problems.
  4. Parity: Parity is a low level form of error checking that counts the number of 1's in the Bit Stream to ensure that none have been changed. The Parity Bit is configured to achieve the correct number of 1's in the data packet; either Odd or Even. If the number of 1's is Even when parity is set to Odd, then the packet has been corrupted. This setting is set to Odd by default and should not require adjustment.
  5. Stop Bit: A Stop Bit is an extra Bit that follows the data and Parity Bits to mark the End of the transmission. For older systems, the Stop Bit may need to be increased to 2, but 1 is usually the correct setting. This setting is set to 1 by default and should not require adjustment.
  6. Checksum Type: The Checksum is a Character positioned at the end of a data block to detect any possible Errors. Clicking the down arrow on this field provides two selections:
  7. BCC: Stands for Block-Check Character and consists of an Error Detection method that places a Character at the end of the data block that is equal to the binary Sum of All the Characters in the specific data block and enables a check of data accuracy after receiving the data block across a network.
  8. CRC: Stands for Cyclic Redundancy Check and consists of an Error Detection method that treats all the Characters in a message as a string of bits that represent a binary number. This binary number is inserted in the message to enable a check of data accuracy after receiving the message across a network. CRC is the default selection for this field and should not require adjustment.
  9. Select RS485: Used when the C-more Touch Panel is communicating to a device using RS-485. When used, the Control RTS setting is forced to Yes for controlling the RS-485 driver.
  10. Timeout Time (1-255) [100ms]: Enter a number that represents a Time (in Tenths of a Second) that the C-more Touch Panel will wait for communications with the PLC before displaying an error. This setting is set to 30 Tenths of a Second by default, which is the same as 3 seconds and should not require any adjustment.
  11. Poll Time: Enter a number that represents a Time (in milliseconds) that the C-more Touch Panel will wait between executing a complete sequence of reads for the screen displayed. This setting is set to "0" by default, which produces constant polling. This setting should not require adjustment.

Connection Through Another Panel Option

In addition to providing the fields to configure the Protocol for the PLCs supported by C-more Touch Panels, the C-more Software's Panel Manager provides an option to Connect Through Another Panel. The Connection Through Another Panel selection allows you to connect a C-more Touch Panel to other C-more Touch Panels on your network via an Ethernet connection. This type of connection is also known as a Pass Through Connection.

To learn more about Pass Through and using the Connection Through Another Panel option, click on the button below:


A-B Generic EtherNet/IP Setup

Topic: CM210

Allen-Bradley Generic EtherNet/IP Setup

What is Generic EtherNet/IP

The Allen-Bradley EtherNet/IP Server (Generic IO Messaging) (Control/CompactLogix) protocol is different from all other protocols that we have on C-more panel in that the panel is a Server (Slave) to communications instead of the Client (Master).

C-more supports two types of communications using the ODVA’s ( www.odva.org ) generic EtherNet/IP protocol:

  • CIP Implicit I/O Messaging using the Generic Ethernet Module setup in ControlLogix and CompactLogix I/O configuration.
  • CIP Explicit Messaging using the CIP Generic Message Type inside of ControlLogix and CompactLogix MSG instructions.

In both of these methods, the C-more panel is the Ethernet Server (Slave) and the CompactLogix or ControlLogix PLC is the Ethernet Client (Master). As of January 2006, only the ControlLogix Ethernet modules (1756-ENBT and 1756-ENET/B) and CompactLogix Controllers with Ethernet supported this type of messaging. PLC5 Ethernet, SLC 5/05, MicroLogix 1100 and 1761-NET-ENI are not supported by C-more's Allen-Bradley EtherNet/IP Server (Generic IO Messaging) (Control/CompactLogix) driver. To communicate to the SLC5/05, MicroLogix 1100(1400) + 1761-NET-ENI use the appropriate Client driver.

Benefit of EtherNet/IP

The generic Ethernet/IP server protocol works well (very fast) for connectivity between (1) PLC Client (Master) and (1) C-more Panel Server (Slave) or (1) PLC Client (Master) and multiple C-more Panel Servers (Slaves), but it is much more difficult to connect multiple PLC's Clients (Masters) and 1 or more C-more Panel Servers (Slaves).

Implicit Messaging

EtherNet/IP Implicit I/O Messaging writes output data and reads input data constantly as fast as possible. This is different from most HMI panel connectivity in that most devices read constantly but only write upon change of value or on events. This is obviously a problem with multiple PLC Clients (Masters) because each Client will be constantly overwriting the other. Therefore, Implicit I/O Messaging works well with (1) PLC Client (Master).

Explicit Messaging

It is probably better to not use EtherNet/IP if the application requires one HMI panel and multiple PLC’s. But if it must be used, use of Explicit Messaging is possible.

When using Explicit Messaging, the user will have to control both, the PLC reads and writes of data to and from the panel. Reading constantly is no problem and can be accomplished in a relatively easy fashion. Writing data is a little more difficult. There are two hurdles to overcome when doing this:

  1. Writing the data only when it changes so that you are not constantly overwriting what the other Masters may be changing.

  2. Write only the changed data and not the unchanged data.

To accomplish #1, the user must write the PLC Ladder Logic to check to see when a particular register has changed. Once the user has determined that one of the register’s data values has changed, then they need to accomplish #2.

To accomplish #2, the user will need to read back the other unchanged values from the panel (because one of the other values may have been changed by one of the other Masters) and then write the changed data and unchanged data back to the panel. This is commonly known as a Read/Modify/Write.


A-B Generic EtherNet/IP Explicit Messaging Setup

Topic: CM211

Allen-Bradley Generic EtherNet/IP Explicit Messaging Setup

The following information applies for Allen Bradley PLCs for the purpose of setting up Explicit Messaging via EtherNet/IP. This setup applies only to:

  • ControlLogix 1756-EBNT and 1756-ENET/B
  • CompactLogix with Built-in EtherNet/IP

The C-more panel is a SLAVE when communicating via Allen-Bradley EtherNet/IP Server (Generic IO Messaging) (Control/CompactLogix).

C-more Panel Manager Settings

To access the Panel Manager from the C-more Programming Software, from the Main Menu select Setup. From the Setup drop down menu, select the Panel Manager selection.

From the Panel Manager window click on the DEV001 on the tree to the left to open the Device Setup screen of the Panel Manager window shown below.

From the PLC Protocol field, click on the down arrow [image] and select the Allen-Bradley EtherNet/IP Server (Generic IO Messaging) (Control/CompactLogix MSG) selection.

All settings must be set the same as the settings in Panel Manager in the C-more Programming Software. The C-more Panel Manager is shown above with the Generic EtherNet/IP driver selected.

Setup Explicit Messaging

We will not attempt to outline all of the specific instructions to set up Explicit Messaging via EtherNet/IP. EtherNet/IP is generic and can be used with many different platforms. The important part is to use the correct EtherNet/IP Service, Class, Instance and Attribute. The ControlLogix and CompactLogix MSG (Message) instructions are included below. These instructions show the correct codes to use for Explicit Messaging to the C-more panel.

  1. The first thing to do in the ControlLogix and CompactLogix is to create an MSG instruction.

  2. Give the MSG a Name. In the sample below MSG Name is CmorePanelRead.

  3. Next declare this name as a MESSAGE Data Type. To do this, right click on the name and select the name just given. It is the first selection.

  4. The New Tag dialog box for declaring the Data Type for the MSG instruction name will open. Select Message for the Data Type field and select (Controller) for the Scope field. Click on the OK button to accept changes and close the New Tag window.

  5. Now click on the three dots button next to the Data Type field. The Message Configuration dialog box shown below opens. This box is discussed in the section below.

Configuration Tab

Message Configuration Dialog Box Setup - Configuration Tab

To configure the Message to read the Input Data from the C-more Panel:

  1. Select Service Type 0x0e which is Get Attribute Single.

  2. Enter Class 0xa0 (a0).

  3. Enter Instance 0x01 (1).

  4. Enter Attribute 0x01 (1).

The PLC's Destination Array (or Data File in other PLC’s), which is DataRead in the figure shown above, needs to be sufficiently large to accommodate all of the Input Data in the Panel that is setup through the C-more Panel Manager Maximum Input Field.

Be sure that the array you create is an Integer (INT) Data Type.

Note: This value is expressed in Bytes in RSLogix but in Words in the C-more Panel Manager. Be sure that the array you create is an Integer (INT) Data Type.

Configuration Tab - Read Output Data from the C-more Panel

To configure the Message to read the Output Data from the C-more panel:

  1. Select Service Type 0x0e, which is Get Attribute Single.

  2. Enter Class 0xa1 (a1).

  3. Enter Instance 0x01 (1).

  4. Enter Attribute 0x01 (1).

Note: This value is expressed in Bytes in RSLogix but in Words in the C-more Panel Manager. Be sure that the array you create is an Integer (INT) Data Type.

Configuration Tab - Write Output Data to the C-more Panel

To configure the Message to write the Output Data to the C-more Panel:

  1. Select Service Type 0x10, which is Set Attribute Single.

  2. Enter Class 0xa1 (a1).

  3. Enter Instance 0x01 (1).

  4. Enter Attribute 0x01 (1).

The PLC's Source Element (or Data File in other PLC’s), which in the figure shown above is WriteBuffer, needs to be sufficiently large to accommodate all of the Output Data in the Panel that is setup through the C-more Panel Manager's Maximum Output Field.

Note: This value is expressed in Bytes in RSLogix but in Words in the C-more Panel Manager. Be sure that the array you create is an Integer (INT) Data Type.

Communication Tab

Message Configuration Dialog Box Setup - Communication Tab

To Define the Port being used on the PLC (Ethernet Port on PLC CPU in ControlLogix and Ethernet card in ControlLogix) to communicate to the Panel. You also define the IP Address of the panel in this window.

  1. Click on Browse to choose the Ethernet port of the PLC that you are using.

  2. Choose the Ethernet card you are using and select OK.

  3. Enter a comma after the Ethernet card (LocalENB, ).

  4. Enter the Port Number of the Ethernet card you are using (LocalENB,2).

    For CompactLogix with the built in Ethernet Port, enter 2. For ControlLogix with an Ethernet card, enter 2 as well.

  5. Enter another comma and then the IP Address of the panel you are connecting to (LocalENB,2,10.1.33.25). Be sure to put the period between the IP Address Octets.


A-B Generic EtherNet/IP Protocol Addressing Table

Topic: CM206

Allen-Bradley Generic EtherNet/IP Protocol Addressing Table

Memory Type | File Number Range | Address Range | Bit Specification | Description | Read/Write Type | Data Type
O | N/A | 1 to 256 |  | Output | Read Only | Word
O | N/A | 1 to 256 | 0 to 15 | Output | Read Only | Discrete
I | N/A | 1 to 256 |  | Input | R/W | Word
I | N/A | 1 to 256 | 0 to 15 | Input | R/W | Discrete


A-B Generic EtherNet/IP Protocol Error Codes

Topic: CM207

Allen-Bradley Generic EtherNet/IP Protocol Error Codes

Only Errors as listed in the Touch Panel Error Code Table can occur when using the Generic EtherNet/IP Protocol. There are no PLC generated errors. To view the C-more Touch Panel Error Codes, click the button below.


Allen Bradley Generic EtherNet/IP Implicit Messaging Setup

The following information applies for Allen Bradley PLCs for the purpose of setting up Implicit I/O Messaging via EtherNet/IP. The models included for this setup are (this setup applies only to these):

  • ControlLogix 1756-EBNT & 1756-ENET/B
  • CompactLogix with Built-in EtherNet/IP

The C-more panel is a SLAVE when communicating via Allen-Bradley EtherNet/IP Server (Generic IO Messaging) (Control/CompactLogix).

C-more Panel Manager Settings

To access the Panel Manager from the C-more Programming Software, from the Main Menu select Setup. The drop down menu shown below opens.

From the Setup drop down menu, select the Panel Manager selection. The Panel Manager window opens by default displaying Panel Settings. From this window, click on the DEV001 selection on the tree to the left of the window as shown below.

When the DEV001 Icon is selected, the right portion of the window will change to display the Device Setup screen for DEV001. From the PLC Protocol field, click on the down arrow [image] and select Allen-Bradley EtherNet/IP Server (Generic IO Messaging) (Control/CompactLogix).

Anytime you select a different PLC Protocol than the one already displayed, the Warning Message shown below will pop up. Click Yes to accept and the Fields for the selected Protocol will be displayed as shown on the figure above.

All of the following settings must be set the same as the settings in Panel Manager in the C-more Programming Software. The C-more Panel Manager is shown above with the Generic EtherNet/IP driver selected.

Setup RSLogix 5000

To Setup the RSLogix 5000 for these PLCs, follow these steps:

  1. In RSLogix 5000, under the I/O Configuration selections available on the left panel of the window, right click on the Ethernet Module (1756-ENET/B EnetB) indicated on the graphic below.

Note: This module must have been added earlier in the I/O configuration of the PLC. Please see your Allen-Bradley representative for more information on setting up your I/O configuration.

  2. Right click on the Ethernet Module and from the drop down menu select the Select Module Type selection. The window shown below opens. From this window, select Generic Ethernet Module and click on OK to accept selection.

  3. Once the Module is selected, the Module Properties window shown below opens.

  4. From the Module Properties window shown above, enter the following:

    1. On the Name field, type in a Name for this panel.

    2. For the Comm Format field, select Data-INT. (See section below - Data Format for Other Data Formats).

    3. For the IP Address, enter the IP Address for the C-more Panel.

    4. For the Assembly Instance parameters, type in the following:

      • Input = 100
      • Output = 150
      • Configuration = 1

Note: The parameters listed on Item #4.a are always the same and never change.

    5. For the Size parameters, select the following:

      • Configuration = 0
      • Input (# of Words): Matches the Maximum Input field in the C-more Panel Manager setup if Data-INT is selected.
      • Output (# of Words): Matches the Maximum Output field in the C-more Panel Manager setup if Data-INT is selected. If Data-DINT is selected, the PLC Input size must be one-half the Panel Maximum Input and the PLC Output size must be one-half the Panel Maximum Output.

    6. Click on the Finish button.

Verify Setup

  1. To verify the Setup, in the left navigation window of the screen shown below, click on Task > Main Task > Main Program, and select Program Tags.

  2. On the Scope selection available from the Program Tags window above, click the down arrow [image] and select the Project Name (Controller) for the Controller Tags. You should see different structures with the same name as the panel that you previously entered in the Module Properties box (see Item # 4.a above).

  3. Expand the "<Name>:I" field (CmorePanel:I on sample above). The values here should match the I Data type tags in the C-more panel. These are the values that the PLC reads back from the panel. (Use figure below as reference. For clarity, only the Controller Tag window portion of the full window (see above) is shown below).

  4. Expand the "<Name>:O" field. This is where you set the values that are sent to the panel from the PLC. They should show up on the O Data type in the C-more panel. (Use figure below as reference. For clarity, only the Controller Tag window portion of the full window is shown below).

* Go to Mapping Spreadsheet.

Note: I/0 and O:0 are not valid addresses in C-more.

Adding More C-more Panels to a Network

To add more panels to the PLC, simply create more Generic Ethernet modules just like the one above was added.

Allen-Bradley Ethernet /IP Addressing

Discrete Inputs

Discrete Outputs

Analog Inputs

Analog Outputs

Note: I/0 and O:0 are not valid addresses in C-more.

Data Format and I/O Mapping

The C-more panel Generic EtherNet/IP driver is setup for 16 bit words. This is why it is suggested above to use the Comm Format setting of Data-INT. If another Data Format is selected in RSLogix5000, such as Data-DINT (32 bit words) then the PLC and C-more addresses will map differently.

Below are two charts showing how the addresses in C-more map to the PLC Address for Data-INT and Data-DINT Comm Formats:

Chart 1

C-more |  | A-B ControlLogix
Generic EtherNet/IP |  | Generic Ethernet
 |  | Comm Format: | Data-INT
Maximum Inputs: | 32 | Input Size: | 32
Maximum Outputs: | 96 | Output Size: | 96
Signed Int 16 |  |
I:1 |  | I.Data[0]
I:2 |  | I.Data[1]
I:3 |  | I.Data[2]
I:4 |  | I.Data[3]
I:5 |  | I.Data[4]
& |  | &
& |  | &
I:28 |  | I.Data[27]
I:29 |  | I.Data[28]
I:30 |  | I.Data[29]
I:31 |  | I.Data[30]
I:32 |  | I.Data[31]
O:1 |  | O.Data[0]
O:2 |  | O.Data[1]
O:3 |  | O.Data[2]
O:4 |  | O.Data[3]
O:5 |  | O.Data[4]
& |  | &
& |  | &
O:92 |  | O.Data[91]
O:93 |  | O.Data[92]
O:94 |  | O.Data[93]
O:95 |  | O.Data[94]
O:96 |  | O.Data[95]

Chart 2

C-more |  | A-B ControlLogix
Generic EtherNet/IP |  | Generic Ethernet
 |  | Comm Format: | Data-DINT
Maximum Inputs: | 64 | Input Size: | 32
Maximum Outputs: | 192 | Output Size: | 96
Signed Int 32 |  |
I:1 |  | I.Data[0]
I:3 |  | I.Data[1]
I:5 |  | I.Data[2]
I:7 |  | I.Data[3]
I:9 |  | I.Data[4]
& |  | &
& |  | &
I:55 |  | I.Data[27]
I:57 |  | I.Data[28]
I:59 |  | I.Data[29]
I:61 |  | I.Data[30]
I:63 |  | I.Data[31]
O:1 |  | O.Data[0]
O:3 |  | O.Data[1]
O:5 |  | O.Data[2]
O:7 |  | O.Data[3]
O:9 |  | O.Data[4]
& |  | &
& |  | &
O:183 |  | O.Data[91]
O:185 |  | O.Data[92]
O:187 |  | O.Data[93]
O:189 |  | O.Data[94]
O:191 |  | O.Data[95]


SLC/PLC's Mapping

Mapping

DF1/DH485 to Control/

CompactLogix

First thing to do is to match the communication parameters:

  1. From the RSLogix 5000 window shown below, click on the small picture of the PLC controller found under the I/O Configuration selection on the folder tree shown on the left side of the window.

  2. The Controller Properties window shown below opens.

  3. From this window, click on the Serial Port Tab. The fields available for this tab are displayed as shown below.

  4. On the Mode field, click on the down arrow [image] and choose System. Then click on the down arrow [image] of the Data Bits field and choose 8.

  5. For the Baud Rate, Parity and Stop Bits fields, match the values shown on the Panel Manager setup in C-more. Leave Control Line set to No Handshake. Leave RTS Delays set to 0.

  6. Now click on the System Protocol Tab. The fields available for this tab are displayed as shown on the figure below.

  7. From the Protocol field, click on the down arrow [image] and choose the appropriate Protocol from the available choices. If you are doing DF1 Full Duplex, choose DF1 Point to Point. If you are doing DF1 Half Duplex, choose DF1 Slave. If you are doing DH485, then choose DH485.

  8. If you are doing DF1 Full Duplex (DF1 Point to Point in PLC), then be sure to match the Error Detection to the Checksum Type in the Panel Manager in C-more. Leave everything else as shown above.

Note: The Station Address does not matter in DF1 Full Duplex.

  9. If you are doing DF1 Half Duplex (DF1 Slave in PLC), then you must match the Station Address to the PLC Address in the C-more Panel Manager. Also match the Error Detection to the Checksum Type in the C-more Panel Manager. See figure below for reference.

  10. If you are doing DH485, match the Station Address to the Station Number in the C-more Panel Manager setup. Make sure that the Station Address of the PLC is beneath the Max Station number setup in the C-more Panel Manager. Leave everything else as is. See figure shown below for reference.

Note: An AIC is required for this connection. See your local AB representative for the correct part number for the PLC you are using.

  11. Once the communication connection parameters are set, the addresses need to be mapped as well. In the C-more panel, the addressing for the DF1 Full, DF1 Half and DH485 is designed based upon the SLC and MicroLogix addressing method (N7:xx, etc..). The ControlLogix and CompactLogix PLCs are Tag Based and do not have these type of addresses. In order to make the connection between the two different types of addresses, you have to do a mapping table in the RSLogix 5000 software.

    The first thing you have to do is to create an array for each Data Type/File Number that you want to connect. In the illustration below, there are two arrays created for this example. N7Array is a 100 Element Array of Integer Data Type and F8Array is a 100 Element Array of Real (Floating) Data Type. (See RSLogix documentation on exactly how to create data types and arrays).

  12. From the Main Menu, click on Logic and select Map PLC/SLC Messages as shown below.

  13. The actual Mapping window shown below opens. You choose the file number that you want (7 as in N7:0, etc…). Then choose the corresponding array to go with it.

  14. Once you have done this, download these changes to the controller and you should see your data updating. When done, click on the OK button to close the window.


A-B DF1 (Full Duplex) Protocol Setup

Topic: CM326

Allen Bradley DF1 Full Duplex (PLC5) Protocol Setup

The following information applies for Allen Bradley DF1 Full Duplex (PLC5) PLCs compatible with C-more Touch Panels.

The C-more panel is the master when communicating with an Allen-Bradley PLC.

C-more Panel Manager Settings

There are two methods to access the Panel Manager:

Select the Setup selection from the Main Menu and then select Panel Manager.

Or, from the Function Tab of the Navigation window, select Panel Manager from the Setup branch.

The Panel Manager window opens by default displaying Panel Settings. From this window, click on the DEV001 selection on the tree to the left of the window as shown below.

When the DEV001 Icon is selected, the right portion of the window will change to display the Device Setup screen for DEV001.

From the PLC Protocol field, click on the down arrow [image] and select the Allen-Bradley DF1 Full Duplex (PLC5) selection. Anytime you select a different PLC Protocol than the one already displayed, the Warning Message shown below will pop up. Click Yes to accept and the Fields for the selected Protocol will be displayed as shown on the figure above.

The setting discussed bellow must be set the same as the settings in Panel Manager in the C-more Programming Software.

Setup RSLogix 500

To Setup the RSLogix 500 for these PLCs, follow these steps:

  1. In RSLogix 500 choose Channel Configuration in the left navigation window.

  2. From the Edit Channel Properties window shown below, choose the Channel 0 tab.

  3. From this Configuration window, make the following field selections and inputs:

  • For the Communication Mode, select System(Point-to-Point).
  • From the Serial Port Tab, for the Control Line field, choose No Handshaking.
  • From the Serial Port Tab, for the Bits Per Character field, set the value to 8.
  • For the following fields, match the C-more Panel Manager settings:

    1. Baud Rate

    2. Parity

    3. Stop Bits

    4. Error Detection (Checksum Type)

CAUTION: Record the old PLC settings as you change them for reconnecting with RSLogix later.

  4. Select OK from the Edit Channel Properties window shown above, the Warning window shown below will appear. Choose Apply from this window and continue to next subject below.

Troubleshoot Tips for The Fields Discussed Above

It is important to match the Error Detection (called Checksum Type in the C-more Panel Manager). This is probably the most common cause for no communication between panel and PLC.

If you are connecting the C-more panel to the same PLC port that you are using to connect your PC and RSLogix to the PLC, it may be difficult to reconnect with RSLogix after changing the settings above. Be sure to note the settings as you change them so that you can go back into RSLinx to reconfigure your driver.

It is recommended that you connect to the PLC through a different port if possible with the particular PLC that you are using. Consult your PLC representative for further help on this subject.

Troubleshooting the PLC to Panel connection:

If your network is returning communication errors, test the basic network setup by transferring a new C-more project with Panel Manager settings that match the PLC port settings and a single Numeric Display object addressed to N7:0. Ensure that the PLC port settings are correct by verification with that PLC’s programming software.

Power cycle the PLC, THEN the C-more panel. If communication errors persist, power cycle the C-more panel, THEN the PLC.

PLC Address Configuration

  1. An Address must exist in the PLC for every Address referenced in the C-more Project. For example, if a Numeric Display in C-more uses address C5:0.ACC, then C5:0.ACC must exist in the PLC Data Files. This can be verified in the left hand side explorer window under Data Files as shown below.

  2. Be sure that the File Number exists first (where 3 is the File Number for B3:0/0 and 7 is the File Number for N7:0). The second thing to verify is that there are enough elements in the file. The user can right click and choose Properties to verify that there is the proper number of elements in the file.

  3. To create a new Data File:

  1. Right click on Data Files and choose New (Note, you have to be offline to do this). The Create Data File window shown below opens.

  2. Enter the File Number you wish to use.

  3. Choose the Data Type.

  4. Choose the number of elements that you need. For B3:4/0, the 4 is the Element Number. This is also the same screen that you would use to increase the number of elements of an existing file.

  5. Select OK and download the changes to the processor.


A-B PLC5 DF1 Addressing

Topic: CM002

Allen-Bradley PLC5 DF1 Addressing

Memory Type | File Number Range | Address Range | Bit Specification | Description | Flag | Read/Write Type | Data Type
O | File number not used. | 0 to 17777 |  | Output |  | Read Only | Word
O | File number not used. | 0 to 17777 | 0 to 15 | Output |  | Read Only | Discrete
I | File number not used. | 0 to 17777 |  | Input |  | Read Only | Word
I | File number not used. | 0 to 17777 | 0 to 15 | Input |  | Read Only | Discrete
S | File number not used. | 0 to 999 |  | State |  | Read Only | Word
S | File number not used. | 0 to 999 | 0 to 15 | State |  | Read Only | Discrete
B | 3:, 9: to 999: | 0 to 1999 |  | Binary |  | R/W | Word
B | 3:, 9: to 999: | 0 to 1999 | 0 to 15 | Binary |  | R/W | Discrete
T | 4:, 9: to 999: | 0 to 1999 |  | Timer | .EN | Read Only | Discrete
 |  |  |  |  | .TT | Read Only | Discrete
 |  |  |  |  | .DN | Read Only | Discrete
 |  |  |  |  | .ACC | R/W | Word
 |  |  |  |  | .PRE | R/W | Word
C | 5:, 9: to 999: | 0 to 1999 |  | Counter | .DN | Read Only | Discrete
 |  |  |  |  | .ACC | R/W | Word
 |  |  |  |  | .PRE | R/W | Word
 |  |  |  |  | .CU | Read Only | Discrete
 |  |  |  |  | .CD | Read Only | Discrete
 |  |  |  |  | .OV | Read Only | Discrete
 |  |  |  |  | .UN | Read Only | Discrete
R | 6:, 9: to 999: | 0 to 1999 |  | Internal | .EN | Read Only | Discrete
 |  |  |  |  | .DN | Read Only | Discrete
 |  |  |  |  | .EU | Read Only | Discrete
 |  |  |  |  | .EM | Read Only | Discrete
 |  |  |  |  | .ER | Read Only | Discrete
 |  |  |  |  | .UL | Read Only | Discrete
 |  |  |  |  | .IN | Read Only | Discrete
 |  |  |  |  | .FD | Read Only | Discrete
 |  |  |  |  | .LEN | R/W | Word
 |  |  |  |  | .POS | R/W | Word
N | 7:, 9: to 999: | 0 to 1999 |  | Integer |  | R/W | Word
N | 7:, 9: to 999: | 0 to 1999 | 0 to 15 | Integer |  | R/W | Discrete
F | 8: to 999: | 0 to 1999 |  | Floating Point |  | R/W | Word
F | 8: to 999: | 0 to 1999 | 0 to 15 | Floating Point |  | R/W | Discrete


Entivity (Think & Do) Modbus Protocol Setup

Topic: CM331

Entivity (Think & Do) Modbus RTU (H2-WinPLC) Protocol Setup

The following information applies for the Entivity (Think & Do) Modbus PLC's compatible with C-more Panels. Start with the C-more Panel Setup instructions below. This topic then provides instructions for setup of Entivity WinPLC using LIVE and Studio, and Entivity EBC using LIVE and Studio.

The C-more panel is the master when communicating on a Modbus network.

Note: Tags for the Think & Do drivers cannot be manually created in the C-more Software. The Map File must be imported into the C-more Project.

C-more Panel Manager Settings

To access the Panel Manager from the C-more Programming Software, from the Main Menu select Setup. The drop down menu shown below opens.

From the Setup drop down menu, select the Panel Manager selection. The Panel Manager window opens by default displaying Panel Settings. From this window, click on the DEV001 selection on the tree to the left of the window as shown below.

When the DEV001 Icon is selected, the right portion of the window will change to display the Device Setup screen for DEV001. From the PLC Protocol field, click on the down arrow [image] and select Entivity Modbus RTU (H2-WinPLC).

Note: Tags for the Think & Do drivers cannot be manually created in the C-more Software. The Map File must be imported into the C-more Project. When you complete a Build Project and Save in the Think & Do Software, Think & Do creates a folder with the Project Name (in the ThinkNDo\Projects folder). The Map File will be created in folder ThinkNDo\Projects\ProjectName\RTE Windows CE - Think & Do WinPLC.

Anytime you select a different PLC Protocol than the one already displayed, the Warning Message shown below will pop up. Click Yes to accept and the Fields for the selected Protocol will be displayed as shown on the figure above.

All of the following settings must be set the same as the settings in Panel Manager in the C-more Programming Software. The C-more Panel Manager is shown above with the Entivity Modbus RTU driver selected.

To continue with the Setup process, select the desired Setup below:

Setup Entivity WinPLC RTU Using Live

This Setup information is for the Setup of Entivity WinPLC (Modbus TCP/IP Ethernet) using the LIVE software. To see the Setup information using the Studio software, see the next subject in this topic.

To Setup the Entivity WinPLC using LIVE, follow these steps:

  1. In the Choose Runtime Target window of the Entivity Live program shown below, choose the Windows CE - Think & Do WinPLC from the drop down list and click on OK.

  2. The Project Binder window shown below opens. From this window, click on the Tools selection of the Main Menu and select the IOView choice from the Tools drop down menu as shown below.

  3. Choose Serial Driver from the upper left window. You may have to scroll down to see it, depending upon the resolution of your PC.

  4. Click on the WINPLC RS232 Port window on the upper right window.

  5. Then click on the Module Info Tab at the bottom to Set the serial port selections.

Caution: Record the old PLC settings as you change them for reconnecting with Entivity later.

  6. Change the Access Type to Modbus Slave.

  7. Match the following parameters to your PLC setup in the C-more Panel Manager:

    • Baud Rate
    • Parity
    • Stop Bits

  8. Choose PLC Slave Node Number 1 in the C-more Panel Manager.

Setup Entivity WinPLC RTU Using Studio

This Setup information is for Entivity WinPLC RTU PLC using the Studio software. To see the Setup information using the LIVE software, see the previous subject in this topic.

To Setup the Entivity WinPLC RTU PLC using Studio, follow these steps:

  1. In the Entivity Studio - Project Center window shown below, choose the Connectivity Center icon located under the Project Tab on the Explorer Window located on the left side of the window as shown below.

  2. The Connectivity Center window shown below opens.

  3. Choose Serial Driver from the upper left window. You may have to scroll down to see it, depending upon the resolution of your PC.

  4. Click on the WINPLC RS232 Port window on the upper right window.

  5. Then click on Module Info at the bottom to Set the serial port selections.

Caution: Record the old PLC settings as you change them for reconnecting with Entivity later.

  6. Change the Access Type to Modbus Slave.

  7. Match the following parameters to your PLC setup in the C-more Panel Manager:

    • Baud Rate

    • Parity

    • Stop Bits

  8. Choose PLC Slave Node Number 1 in the C-more Panel Manager.

Setup Entivity RTU EBC Using LIVE

This Setup information is for the Setup of Entivity RTU EBC PLC using the LIVE software. To see the Setup information using the Studio software, see the next subject included in this topic.

To Setup the Entivity RTU EBC PLC using LIVE, follow these steps:

  1. In the Choose Runtime Target window of the Entivity Live program shown below, choose the Windows CE - Think & Do WinPLC from the drop down list and click on OK.

  2. The Project Binder window shown below opens. From this window, click on the Tools selection of the Main Menu and select the IOView choice from the Tools drop down menu as shown below.

  3. Configure your EBC and then select the EBC in the upper left window.

  4. Then click on the Module Info Tab at the bottom to Set the serial port selections. The EBC Serial Port Settings window shown below opens.

  5. From the window shown above, choose Enable Serial Port and then click on Add in the Slave Devices Configuration.

Caution: Record the old PLC settings as you change them for reconnecting with Entivity later.

  6. Choose EZ-Touch/Text in that window.

  7. Match the following parameters to your PLC setup in the C-more Panel Manager:

    • Baud Rate

    • Parity

    • Stop Bits

Use PLC Slave Node Number 1 in the C-more Panel Manager setting.

  8. When done, click on the OK button to accept all changes.

Setup Entivity RTU EBC Using Studio

This Setup information is for the Setup of Entivity RTU EBC PLC using the Studio software. To see the Setup information using the LIVE software, see the previous subject in this topic.

To Setup the Entivity RTU EBC PLC using Studio, follow these steps:

  1. In the Entivity Studio - Project Center window shown below, choose the Connectivity Center icon located under the Project Tab on the Explorer Window located on the left side of the window as shown below.

  2. The Connectivity Center window shown below opens.

  3. Configure your EBC and then select the EBC in the upper left window.

  4. Then click on the Module Info Tab at the bottom to Set the serial port selections. The EBC Serial Port Settings window shown below opens.

  5. From the window shown above, choose Enable Serial Port and then click on Add in the Slave Devices Configuration.

Caution: Record the old PLC settings as you change them for reconnecting with Entivity later.

  6. Choose EZ-Touch/Text in that window.

  7. Match the following parameters to your PLC setup in the C-more Panel Manager:

    • Baud Rate

    • Parity

    • Stop Bits

Use PLC Slave Node Number 1 in the C-more Panel Manager setting.

  8. When done, click on the OK button to accept all changes.

When all settings are done the Studio Connectivity Center should look should look like this:


Entivty (H2-WinPLC) Modbus RTU and Modbus TCP/IP Ethernet Addressing

Note: Tags for the Think & Do drivers cannot be manually created in the C-more Software. The Map File must be imported into the C-more Project. When you complete a Build Project and Save in the Think & Do Software, Think & Do creates a folder with the Project Name (in the ThinkNDo\Projects folder). The Map File will be created in folder ThinkNDo\Projects\ProjectName\RTE Windows CE - Think & Do WinPLC.

Prior to Studio Version 7.2

Entivity Studio Data Type | Logical ID / Index
OUTPUT | O-0 to O-4095
FLAG | F-0 to F-4095
INPUT | I-0 to I-4095
COUNTER | C-0 to C-2047
FLOAT | FP-0 to FP-1023
NUMBER | N-0 to N-1023
STRING | S-0 to S-192

Studio Version 7.2 and Later

Entivity Studio Data Type | Logical ID / Index
OUTPUT | O-0 to O-4095
FLAG | F-0 to F-9999
INPUT | I-0 to I-6143
COUNTER | C-0 to C-9999
FLOAT | FP-0 to FP-9999
NUMBER | N-0 to N-9999
STRING | S-0 to S-192


Entivity (Think & Do) Ethernet H2WinPLC (Modbus TCP/IP Ethernet Protocol Setup

Topic: CM330

Entivity (Think & Do) Modbus TCP/IP Ethernet (H2-WinPLC)

The following information applies for the Entivity (Think & Do) Ethernet H2WinPLC (Modbus) PLCs compatible with C-more Touch Panels. This topic covers Entivity TCP Setup. Start with the C-more Panel Setup instructions below.

The C-more panel is the master when communicating on a Modbus network.

Note: Tags for the Think & Do drivers cannot be manually created in the C-more Software. The Map File must be imported into the C-more Project.

C-more Panel Manager Settings

To access the Panel Manager from the C-more Programming Software, from the Main Menu select Setup. The drop down menu shown below opens.

From the Setup drop down menu, select the Panel Manager selection. The Panel Manager window opens by default displaying Panel Settings. From this window, click on the DEV001 selection on the tree to the left of the window as shown below.

When the DEV001 Icon is selected, the right portion of the window will change to display the Device Setup screen for DEV001. From the PLC Protocol field, click on the down arrow [image] and select Entivity Modbus TCP/IP Ethernet (H2-WinPLC).

Note: Tags for the Think & Do drivers cannot be manually created in the C-more Software. The Map File must be imported into the C-more Project. When you complete a Build Project and Save in the Think & Do Software, Think & Do creates a folder with the Project Name (in the ThinkNDo\Projects folder). The Map File will be created in folder ThinkNDo\Projects\ProjectName\RTE Windows CE - Think & Do WinPLC.

Anytime you select a different PLC Protocol than the one already displayed, the Warning Message shown below will pop up. Click Yes to accept and the Fields for the selected Protocol will be displayed as shown on the figure above.

All of the following settings must be set the same as the settings in Panel Manager in the C-more Programming Software. The C-more Panel Manager is shown above with the Entivity Modbus TCP/IP Ethernet (H2-WinPLC) driver selected.

To continue with the Setup process, select the desired Setup below:

Setup Entivity TCP Using Live

This Setup information is for the Setup of Entivity Ethernet H2WinPLC (Modbus TCP/IP Ethernet) using the LIVE software. To see the Setup information using the Studio software, click on the green text.

To Setup the Entivity TCP PLC using LIVE, follow these steps:

  1. In the Choose Runtime Target window of the Entivity Live program shown below, choose the Windows CE - Think & Do WinPLC from the drop down list and click on OK.

  2. The Project Binder window shown below opens. From this window, click on the Tools selection of the Main Menu and select the IOView choice from the Tools drop down menu as shown below.

  3. The I/O View window shown below opens. From this window, click on Backplane I/O Driver in the upper left window.

  4. Click on the WINPLC in the upper right window.

  5. Choose Module Info tab located on the bottom portion of the window.

  6. Choose Enabled for the EZ-EtherPlus (MODBUS TCP/IP) Port field.

Setup Entivity WinPLC RTU PLC Using Studio

This Setup information is for the Setup of Entivity Ethernet H2WinPLC (Modbus TCP/IP Ethernet) using the Studio software. To see the Setup information using the LIVE software, click on the green text.

To Setup the Entivity WinPLC RTU PLC using Studio, follow these steps:

  1. In the Entivity Studio - Project Center window shown below, choose the Connectivity Center icon located under the Project Tab on the Explorer Window located on the left side of the window as shown below.

  2. The Connectivity Center window shown below opens.

  3. Choose Serial Driver from the upper left window. You may have to scroll down to see it, depending upon the resolution of your PC.

  4. Click on the WINPLC RS232 Port window on the upper right window.

  5. Then click on Module Info at the bottom to Set the serial port selections.

  6. Change the Access Type to Modbus Slave.

  7. Match the Baud Rate and Parity to your PLC setup in the C-more Panel Manager. (See Caution below).

  8. Choose PLC Slave Node Number 1 in the C-more Panel Manager.

Caution: Record the old PLC settings as you change them for reconnecting with Entivity later.


GE 90/30 and 90/70 SNPX Protocol Setup (GE PLCs Setup)

This help file includes setup information for GE PLC. This information applies for the GE 90/30 and 90/70 SNPX PLCs compatible with C-more Panels.

The C-more panel is the master when communicating with a GE PLC.

C-more Panel Manager Settings

To access the Panel Manager from the C-more Programming Software, from the Main Menu select Setup. The drop down menu shown below opens.

From the Setup drop down menu, select the Panel Manager selection. From the Panel Manager window click on the DEV001 selection on the tree to the left to open the Device Setup screen of the Panel Manager window shown below.

From the PLC Protocol field, click on the down arrow [image] and select the GE SNPX (90/30 90/70 Micro90 VersaMaxMicro) selection.

All of the following settings must be set the same as the settings in the C-more Programming Software Panel Manager. The C-more Panel Manager is shown above with the GE SNPX (90/30 90/70 Micro90 VersaMaxMicro) driver selected.

Setup GE 90/30 Pro with Cimplicity

To Setup the GE 90/30 using the GE Cimplicity Programming Software, follow these steps:

  1. From the left side of the explorer window shown below, click on the Project Tab (4th tab from the left).

  2. From the Project Tab, scroll to the Hardware Configuration selection shown on figure above, and expand it.

  3. Expand the Main Rack option.

  4. Double click on Slot 1 (CPU Slot) and you will see a Configuration window open in the main pane of the software as shown below.

  5. Click on the Settings Tab in the main software pane to configure the serial port. Match the following parameters to your PLC setup in the C-more Panel Manager settings.

  • Baud Rate
  • Parity
  • Stop Bits

Also match the following:

  • SNP ID of the GE software to the SNP-X ID String of the C-more Panel Manager.

Note: No SNP-X ID String is needed if this is a point to point connection. If there are multiple PLCs connected to the C-more panel, then each SNP-X ID string needs to be unique. This name is case sensitive.

  6. Once you have completed configuring the communications ports, click on the Target option up top and choose Download Target xx to PLC as shown below.

The Download to PLC window shown below opens. Be sure to select Hardware Configuration and Motion in this dialog box before pressing Ok to Download the changed configuration selections to the PLC.

Once this is done, you should be able to connect the C-more panel to the PLC.


GE 90/30 and 90/70 SNPX Addressing

Memory Type | Address Range | Bit Specification | Description | Read/Write Type | Data Type
I | 1 to 12288 |  | Input | Read Only | Discrete
Q | 1 to 12288 |  | Output | Read Only | Discrete
T | 1 to 256 |  | Temporary | R/W | Discrete
M | 1 to 12288 |  | Internal | R/W | Discrete
S | 1 to 128 |  | System State | Read Only | Discrete
SA | 1 to 128 |  | System State | R/W | Discrete
SB | 1 to 128 |  | System State | R/W | Discrete
SC | 1 to 128 |  | System State | R/W | Discrete
G | 1 to 7680 |  | Genius Global Data | R/W | Discrete
AI | 1 to 8192 |  | Analog Input | Read Only | Word
AQ | 1 to 8192 |  | Analog Output | Read Only | Word
R | 1 to 16384 |  | Register | R/W | Word


GE 90-30 and 90-70SNPX Protocol Error Codes

The following tables list the Errors that can be generated by the GE 90-30 and 90-70 PLCs when using the SNPX Protocol.

These Tables provide reference information for Error Codes displayed by the C-more Touch Panels. If the Error Code is PLC-499, this Error Code identifies an Error that is specific to your PLC model.

For PLC specific Error Codes, make sure you are viewing the correct topic and locate the PLC Specific Errors Table found below.

To see the C-more Touch Panel Errors Table, which provides Error Codes specific to the C-more Touch Panels, click the button provided below.

PLC Error Codes

PLC Errors for GE 90-30 & 90-70 SNPX Protocol (Major-Minor)
Error Message | Description
0x05c1 | Invalid block state transition.
0x05c2 | The OEM key is NULL (inactive).
0x05c3 | Text length does not match traffic type.
0x05c4 | Verify with FA Card or EEPROM failed.
0x05c5 | No tasklevel Rack/Slot configuration to read or delete.
0x05c6 | Control Program ( CP) tasks exist but requestor not logged into main CP.
0x05c7 | Passwords are set to inactive and cannot be enabled or disabled.
0x05c8 | Password(s) already enabled and cannot be forced inactive.
0x05c9 | Login using nonzero buffer size required for block commands.
0x05ca | Device is write protected.
0x05cb | A comm or write verify error occurred during save or restore.
0x05cc | Data stored on device has been corrupted and is no longer reliable.
0x05cd | Attempt was made to read a device but no data has been stored on it.
0x05ce | Specified device has insufficient memory to handle request.
0x05cf | Specified device is not available in the system (not present).
0x05d0 | One or more PLC modules configured have unsupported revision.
0x05d1 | Packet size or total program size does not match input.
0x05d2 | Invalid write mode parameter.
0x05d3 | User Program Module ( UPM) read or write exceeded block end.
0x05d4 | Mismatch of configuration checksum.
0x05d5 | Invalid block name specified in datagram.
0x05d6 | Total datagram connection memory exceeded.
0x05d7 | Invalid datagram type specified.
0x05d8 | Point length not allowed.
0x05d9 | Transfer type invalid for this Memory Type selector.
0x05da | Null pointer to data in Memory Type selector.
0x05db | Invalid Memory Type selector in datagram.
0x05dc | Unable to find connection address.
0x05dd | Unable to locate given datagram connection ID.
0x05de | Size of datagram connection invalid.
0x05df | Invalid datagram connection address.
0x05e0 | Service in process cannot login.
0x05e1 | No I/O configuration to read or delete.
0x05e2 | IOS could not delete configuration, or bad type.
0x05e3 | CPU revision number does not match.
0x05e4 | Memory Type for this selector does not exist.
0x05e5 | DOS file area not formatted.
0x05e6 | CPU model number does not match.
0x05e7 | Configuration is not valid.
0x05e8 | No user memory is available to allocate.
0x05e9 | Memory Type selector not valid in context.
0x05ea | Not logged in to process service request.
0x05eb | Task unable to be deleted.
0x05ec | Task unable to be created.
0x05ed | VME bus error encountered.
0x05ee | Could not return block sizes.
0x05ef | Programmer is already attached.
0x05f0 | Request only valid in stop mode.
0x05f1 | Request only valid from programmer.
0x05f2 | Invalid program cannot log in.
0x05f3 | I/O configuration mismatch.
0x05f4 | Invalid input parameter in request.
0x05f5 | Invalid password.
0x05f6 | Invalid sweep state to set.
0x05f7 | Required to log in to a task for service.
0x05f8 | Invalid Task Name referenced.
0x05f9 | Task address out of range.
0x05fa | Cannot replace I/O module.
0x05fb | Cannot clear I/O configuration.
0x05fc | I/O configuration is invalid.
0x05fd | Unable to perform auto configuration.
0x05fe | No privilege for attempted operation.
0x05ff | Service Request Error has been aborted.
0x0a8d | Bad DOS Version. Must have DOS 2.0, or later, to support the SNP DOS Driver.
0x0a8e | PC Serial port configured for SNP Master driver is not open; no communication can take place.
0x0a8f | OutofSequence SNP message. SNP message type received was not the type expected.
0x0a90 | Bad SNP BCC encountered. Transmission was aborted after maximum retries due to a bad Block Check Code.
0x0a91 | Bad SNP communication. Transmission was aborted after maximum retries due to serial errors (that is, parity, overrun, or framing errors).
0x0a92 | No SNP communication. Either communication has been lost or a communication session has not been established.
0x0c01 | WAIT-type COMMREQ is not permitted; must use NOW AIT-type.
0x0c02 | COMMREQ command is not supported.
0x0c03 | SNP communication is not active. Must initiate a new SNP communication by sending an Attach or Long Attach COMMREQ.
0x0c04 | SNP slave did not respond to Attach message from master.
0x0c05 | Unable to write SNP Status Word to local PLC memory; may be due to invalid Status Word memory type or address.
0x0c06 | Master device memory type is not valid in this PLC.
0x0c07 | Master device memory address or length is zero.
0x0c08 | Unable to read or write master device memory locations specified in COMMREQ. Usually caused by invalid memory address for this PLC. SNP message exchange may have taken place.
0x0c09 | Master device memory data length exceeds maximum data size of CMM module (2048 bytes). Must use a smaller data length. Use multiple COMMREQs if total data length exceeds this maximum value.
0x0c0a | Slave device memory type is missing or not valid.
0x0c0b | Slave device memory address is missing or zero.
0x0c0c | COMMREQ Data Block Length is too small. Output command string data is missing or incomplete. (When expected COMMREQ length is 6 words or less. An improper length may cause other minor error codes 6-11.)
0x0c0d | Invalid Diagnostic Status Word ( DSW) starting word or length.
0x0c0e | Invalid maximum SNP message data size. Must be an even value from 42 to 2048.
0x0c0f | Invalid Privilege Level. Must be 0 through 4 or -1.
0x0c10 | Invalid Fault Table selector. Must be 1 for I/O Fault Table, or 2 for PLC Fault Table.
0x0c11 | Invalid Fault Table starting index. Must be 1-32 for I/O Fault Table, or 1-16 for PLC.
0x0c12 | Invalid fault count. Must be 1-32 for I/O Fault Table, or 1-16 for PLC Fault Table.
0x0c13 | Invalid Set PLC Date/Time mode. Must be 1-4.
0x0c14 | Invalid Set PLC Date/Time date, time, or day-of-week value.
0x0c15 | Unable to retrieve master device PLC time/date from PLC CPU.
0x0c16 | Invalid slave PLC type. Must be 0 for Series 90-70, or 1 for Series 90-30 or Series 90-20.
0x0c17 | Invalid datagram type. Must be 01h for normal datagram, or 81h (129) for permanent datagram.
0x0c18 | Missing or too many datagram point formats. Must be 1-32.
0x0c19 | Invalid datagram point format data.
0x0c1a | Datagram area size is too small to include data for all specified point formats.
0x0c1b | Invalid number of Control Program Names. Must be 1-8.
0x0c1c | SNP-X Request exceeds maximum data size (1000 bytes). Must use a smaller data length. Use multiple COMMREQs if necessary.
0x0c1d | Invalid SNP-X communication session type. Must be 0 for a single slave device, or 1 for multiple slave devices.
0x0c1e | Illegal destination SNP ID specified for SNP-X slave. Must be 0-7 ASCII characters, plus a terminating null character (00h). The Null SNP ID (eight bytes of 00h) may be used to specify any single device. The Broadcast SNP ID (eight bytes of FFh) may be use to specify all slave devices on the serial link.
0x0c1f | Destination SNP ID does not match SNP-X session type. The Broadcast SNP ID is not permitted in a single-slave SNP-X session. The Null SNP ID is not permitted in a multiple-slave SNP-X session.
0x0c20 | Inactivity timeout (T3). The SNP slave has not received any new SNP messages within the configured T3 time interval.
0x0c21 | A Parity error has occurred on an Attach, Attach Response, or Update Realtime Datagram message. Communications have not been established.
0x0c22 | A BCC (Block Check Code) error has occurred on an Attach, Attach Response, or Update Realtime Datagram message. Communications have not been established.
0x0c23 | A Framing or Overrun serial error has occurred on an Attach, Attach Response, or Update Realtime Datagram message. Communications have not been established.
0x0c24 | An invalid SNP message type was received when an Attach, Attach Response, or Update Realtime Datagram message was required. Communications have not been established.
0x0c25 | An invalid next message length value was specified in an Attach, Attach Response, or Update Realtime Datagram message. Communications have not been established.
0x0c26 | An unexpected SNP message type was received when an Attach, Attach Response, or Update Realtime Datagram was required. Communications have not been established.
0x0c27 | Another Break was received while SNP slave was waiting for an Attach or Update Realtime Datagram message.
0x0c28 | An SNP message has been sent and retried the maximum number of times. A maximum of two retries are permitted. A retry is caused by a NAK from the remote SNP device.
0x0c29 | A received SNP message has been NAKed the maximum number of two times. The NAKed message may be retransmitted a maximum of two times.
0x0c2a | An unknown message was received when an acknowledge ( ACK or NAK) was required.
0x0c2b | Sequence Error. An unexpected SNP message type was received.
0x0c2c | Received SNP message contains bad next message length value.
0x0c2d | Acknowledge timeout. An acknowledge ( ACK or NAK) was not received within the configured T2 time interval. A slave device may generate this error if the master device has aborted after maximum response NAKs and does not NAK the next response retry.
0x0c2e | Response timeout. The SNP Master did not receive an SNP Response message within the configured T5 time interval.
0x0c2f | Buffer message timeout. An expected Text Buffer or Connection Data message was not received within the configured T5 time interval.
0x0c30 | Serial output timeout. The CMM module was unable to transmit a Break, an SNP message, or SNP acknowledge ( ACK or NAK) from the serial port. (May be due to missing CTS signal when the CMM module is configured to use hardware flow control.)
0x0c31 | SNP slave did not receive a response from the Service Request Processor in the PLC CPU.
0x0c32 | COMMREQ timeout. The COMMREQ did not complete within the configured time interval.
0x0c33 | An SNP Request or Response was aborted prior to completion due to reception of a Break.
0x0c34 | PLC backplane communications error.
0x0c35 | Invalid Piggyback Status data memory type or address. Communications have not been established.
0x0c36 | Invalid SNP Slave SNP ID. Must be a 0-7 ASCII characters, plus a terminating null character (00h). The Null SNP ID (eight bytes of 00h) may be used to specify any single slave device.
0x0c37 | The SNP master has received a response message containing an unexpected data length. Usually indicates a problem with the remote SNP slave device. May occur when Series 90-70 commands (Task Memory or Program Block Memory Read/Write) are issued to a Series 90-30 slave device.
0x0c38 | Response code in received SNP-X response message does not match expected value. (Response code must equal the request code +80h.)
0x0c39 | SNP-X Response message exceeds maximum data size (decimal 1000 bytes). Data in the Response is ignored.
0x0c40 | A parity error has occurred on an X-Attach Response message when establishing a new SNP-X communication session. Communications have not been established.
0x0c41 | A framing or overrun error has occurred on an X-Attach Response message when establishing a new SNPX communication session. Communications have not been established.
0x0c42 | A BCC (Block Check Code) error has occurred on an X-Attach Response message when establishing a new SNP-X communication session. Communications have not been established.
0x0c43 | An invalid message type was received when an X-Attach Response was required when establishing a new SNP-X communication session. Communications have not been established.
0x0c44 | An invalid next message type value was detected in an X-Attach Response message when establishing a new SNP-X communication session. Communications have not been established.
0x0c45 | An invalid response code was detected in an X-Attach Response message when establishing a new SNP-X communication session. Communications have not been established.
0x0c46 | An expected X-Attach Response message was not received within the response timeout interval when establishing a new SNP-X communication session. The master has retried the X-Attach message twice without receiving a response. Communications have not been established.
0x0c50 | A parity error has occurred on an X-Attach Response message when re-establishing an existing SNP-X communication session. Communications have not been established.
0x0c51 | A framing or overrun error has occurred on an X-Attach Response message when re-establishing an existing SNP-X communication session. Communications have not been established.
0x0c52 | A BCC (Block Check Code) error has occurred on an X-Attach Response message when re-establishing an existing SNP-X communication session. Communications have not been established.
0x0c53 | An invalid message type was received when an X-Attach Response was required when re-establishing an existing SNP-X communication session. Communications have not been established.
0x0c54 | An invalid Next Message Type value was detected in an X-Attach Response message when re-establishing an existing SNP-X communication session. Communications have not been established.
0x0c55 | An invalid response code was detected in an X-Attach Response message when re-establishing an existing SNP-X communication session. Communications have not been established.
0x0c56 | An expected X-Attach Response message was not received within the response timeout interval when reestablishing an existing SNP-X communication session. The master has retried the X-Attach message twice without receiving a response. Communications have not been established.
0x0c60 | A parity error has occurred on an X-Response message.
0x0c61 | A framing or overrun error has occurred on an X-Response message.
0x0c62 | A BCC (Block Check Code) error has occurred on an X-Response message.
0x0c63 | An invalid message type was received when an X-Response message was required.
0x0c64 | An invalid next message type value was detected in an X-Response message.
0x0c65 | An invalid response code was detected in an X-Response message.
0x0c66 | An expected X-Response message was not received within the response time.
0x0c70 | A parity error has occurred on an Intermediate Response message.
0x0c71 | A framing or overrun error has occurred on an Intermediate Response message.
0x0c72 | A BCC (Block Check Code) error has occurred on an Intermediate Response message.
0x0c73 | An invalid message type was received when an Intermediate Response message was required.
0x0c74 | An invalid next message type value was detected in an Intermediate Response message.
0x0c75 | An invalid response code was detected in an Intermediate Response message.
0x0c76 | An expected Intermediate Response message was not received within the response timeout interval.
0x0d40 | The requested service is not supported by the SNP slave.
0x0d41 | SNP slave on CMM module requires PLC CPU privilege level 2 to operate. The SNP slave has rejected a request to change to a higher or lower privilege level.
0x0d42 | SNP Request or Response message exceeds maximum data length of the CMM module. (Total data length for Mailbox and all following Buffer messages is 2048 bytes.) The master must use a smaller data length. Use multiple requests if total data length exceeds the maximum value.
0x0d43 | Improper Write Datagram message format. Series 90-70 slave devices use a different format for this message than Series 90-30 or Series 90-20 slave devices. The master must use the proper message format for this SNP slave device. (The SNP master in the CMMmodule sends this message as part of the Establish Datagram COMMREQ command. The datagram has been partially established, but is not usable; the datagram should be cancelled by using the Datagram ID returned by the COMMREQ.)
0x0d44 | A datagram error occurred in a Series 90-70 slave device (dual-port error).
0x0e01 | Not used.
0x0e02 | The modem command string length exceeds 250 characters.
0x0e03 | COMMREQ Data Block Length is too small. Output command string data is missing or incomplete.
0x0e04 | Serial output timeout. The CMM module was unable to transmit the modem autodial output from the serial port. (May be due to missing CTS signal when the CMM is configured to use hardware flow control.)
0x0e05 | Response was not received from modem. Check modem and cable.
0x0e06 | Modem responded with BUSY. Modem is unable to complete the requested connection. Check the local and remote modems and the telephone line.
0x0e07 | Modem responded with NO CARRIER.
0x0e08 | Modem responded with NO DIALTONE. Modem is unable to complete the requested connection. Check the modem connections and the telephone line.
0x0e09 | Modem responded with ERROR. Modem is unable to complete the requested command. Check the modem command string and modem.
0x0e0a | Modem responded with RING, indicating that the modem is being called by another modem. Modem is unable to complete the requested command. Retry the modem command at a later time.
0x0e0b | An unknown response was received from the modem. Modem is unable to complete the requested command. Check the modem command string and modem. The modem response is expected to be either CONNECT or OK.
0x0f01 | The service request code in an X-Request message is unsupported or invalid at this time. This error may occur if an SNP-X communication session has not been success fully established at the slave device.
0x0f02 | Insufficient privilege level in the slave PLC CPU for the requested SNP-X service. Password protection at PLC CPU may be preventing the requested service.
0x0f03 | Invalid slave memory type in X-Request message.
0x0f04 | Invalid slave memory address or range in X-Request message.
0x0f05 | Invalid data length in X-Request message. Data length must be non-zero, and may not exceed decimal 1000 bytes.
0x0f06 | X-Buffer data length does not match the service request in X-Request message. The X-Buffer message length is obtained from the Next Message Length field in the X-Request message; the length of the data within the buffer message is always the message length.
0x0f07 | Queue Full indication from Service Request Processor in slave PLC CPU. The slave is temporarily unable to complete the service request. The master should try again later. It is recommended that the master wait at least 10 msec before repeating the X-Request.
0x0f08 | Service Request Processor response exceeds 1000 bytes; the SNP-X slave device cannot return the data in an X-Response message. (This error applies to CMM module only.)
0x0f10 | Unexpected Service Request Processor error. (This error applies to CMM module only; the unexpected SRP error code is saved in the Diagnostic Status Words in the CMM module.)
0x0f15 | Requested service is not permitted in a Broadcast request. The master must direct the X-Request message to a specific SNP-X slave device.
0x0f20 | Invalid Message Type field in a received X-Request message. The message type of an X-Request message must be 58h = X.
0x0f21 | Invalid Next Message Type or Next Message Length field in a received X Request message. If this request does not use a buffer (0-2 bytes of data), the Next Message Type must be zero. If this request will be followed with a buffer message (more than 2 byte.)), the Next Message Type must be 54h = T, and the Next Message Length must specify the length of the X-Buffer message. Valid X-Buffer message lengths are 9-1008 bytes (data length plus 8 bytes).
0x0f22 | Invalid Message Type field in a received X-Buffer message. The message type of an X-Buffer message must be 54h = T.
0x0f23 | Invalid Next Message Type field in a received X-Buffer message. Since an X-Buffer message is never followed by another message, the Next Message Type must always be zero.
0x0f40 | Serial output timeout. The slave was unable to transmit an SNP-X message from the serial port. (May be due to missing CTS signal when the CMM module is configured to use hardware flow control.)
0x0f41 | An SNP-X request was aborted prior to completion due to reception of a Break.
0x0f42 | An X-Buffer message was received containing greater than 1000 bytes of data. The data is ignored.
0x0f43 | The SNP-X slave did not receive a response from the Service Request Processor in the PLC CPU.
0x0f44 | PLC backplane communications error.
0x0f50 | A parity error has occurred in a received X-Attach message.
0x0f51 | A framing or overrun error has occurred in a received X-Attach message.
0x0f52 | A BCC (Block Check Code) error has occurred in a received X-Attach message.
0x0f53 | An invalid Message Type was received when an X-Attach message was required. (For an X-Attach message, the message type must be 58h = T.)
0x0f54 | An invalid Next Message Type value was detected in a received X-Attach message. (For an X-Attach message, the Next Message Length must be zero.)
0x0f55 | An invalid request code was detected in a received X-Attach message.
0x0f60 | A parity error has occurred in a received X-Request message.
0x0f61 | A framing or overrun error has occurred in a received X-Request message.
0x0f62 | A BCC (Block Check Code) error has occurred in a received X-Request message.
0x0f70 | A parity error has occurred in a received X-Buffer message.
0x0f71 | A framing or overrun error has occurred in a received X-Buffer message.
0x0f72 | A BCC(Block Check Code) error has occurred in a received X-Buffer message.
0x0f73 | An expected X-Buffer message was not received.
0x1302 | Unsupported COMMREQ. These errors are only generated when there is no protocol currently being run on a port, and the port receives a COMMREQ. (The port may be disabled or an error has occurred in processing a new configuration).
0x1303 | Invalid COMMREQ length.
0x1304 | Invalid COMMREQ status word location.
0x1305 | Invalid COMMREQ data.


GE 90/30 and Rx3i Protocol Setup

Topic: CM357

GE Ethernet 90/30 and Rx3i SRTP Protocol Setup

This help file includes setup information for GE SRTP Ethernet on 90/30 and Rx3i PLCs compatible with C-more Panels.

The C-more panel is the master when communicating with a GE PLC.

C-more Panel Manager Settings

To access the Panel Manager from the C-more Programming Software, from the Main Menu select Setup. The drop down menu shown below opens.

From the Setup drop down menu, select the Panel Manager selection. From the Panel Manager window click on the DEV001 selection on the tree to the left to open the Device Setup screen of the Panel Manager window shown below.

Panel Manager Settings

From the PLC Protocol field, click on the down arrow [image] and select the GE Ethernet SRTP (90/30 Rx3i) selection.

  1. IP Address: This is the IP Address of the GE Ethernet CPU. It can be found using the Proficy Machine Edition software (see below).
  2. Port (0–65535): This is the SRTP server listening TCP port number of the PLC. The default value is 18245. This field can be changed in the event that the C-more panel needs to access the PLC through a firewall using NAT. This field can also be changed if there is a requirement to have the SRTP server port number at a non-default value on a LAN.
  3. Retries (0-10): The C-more panel will send a request to the GE Ethernet CPU. If the CPU does not reply within the specified “Response Timeout” period, the C-more panel will send the request again up to the number of Retries. Once the retry count (specified in this field) limit has been reached, the C-more panel will display a PLC Timeout error on the screen. This will occur on a TCP connect request or a Command request (after the TCP connection is established).
  4. Timeout time (1-255) (in 100ms units): This is the amount of Time (in 100ms units) that the panel will wait on the Command reply (or TCP ACK message) after sending a request. After the Timeout timer expires, it will then retry.
  5. Poll Time (0-30000 msec): This is the amount of Time (in milliseconds) that the panel will wait in between each request.

Using Proficy Machine Edition Method to see IP Address

To Setup the GE 90/30 using the GE Cimplicity Programming Software, follow these steps:

Go to the Project Navigator and double click on the CPU slot (IC693CPU374). In the settings window of the CPU, click on the Ethernet tab to locate the IP Address and Subnet Mask:


Mitsubishi Melsec FX PLC Setup Information

Pay close attention to the configuration details, and limitations provided in this topic. The Mitsubishi CPU types each have specific communication nuances that must be considered.

This help file includes setup information for the Mitsubishi Melsec FX PLCs. It includes two drivers: Mitsubishi FX-1N(C)/2N(C)/3U(C) (CPU) and Mitsubishi FX Series CPU.

The Mitsubishi Melsec FX series PLC's all have a one serial communications port to which the C-more connects. The serial communications parameters are fixed for this port, therefore there is no setup in the PLC. The parameters in the C-more Panel Manager are also fixed with the exception of the Timeout and Poll Time.

The C-more panel is the master when communicating with a Mitsubishi PLC.

Note: Remember to power cycle the PLC after making changes to the communication port settings.

C-more Panel Manager Settings

To access the Panel Manager from the C-more Programming Software, from the Main Menu select Setup. The drop down menu shown below opens.

From the Setup drop down menu, select the Panel Manager selection. The Panel Manager window opens by default displaying Panel Settings. From this window, click on the DEV001 selection on the tree to the left of the window as shown below.

When the DEV001 Icon is selected, the right portion of the window will change to display the Device Setup screen for DEV001. From the PLC Protocol field, click on the down arrow [image] and select Mitsubishi FX Series CPU or Mitsubishi FX-1N(C)/2N(C)/3U(C) (CPU).

Mitsubishi FX Series CPU

Mitsubishi FX-1N(C)/2N(C)/3U(C) (CPU)

Anytime you select a different PLC Protocol than the one already displayed, the Warning Message shown below will pop up. Click Yes to accept and the Fields for the selected Protocol will be displayed as shown on the applicable figure above.

Data Register - 16 Bit Word

Counter - 16 Bit Word

Counter - Done Bit

Relay - Bit

System - Bit

Timer - Bit

Timer - 16 Bit Word

Input - Bit (Octal Addressing)

Output - Bit (Octal Addressing)


Mitsubishi Melsec FX PLC Addressing

This addressing table applies to the Mitsubishi FX-1N(C)/2N(C)/3U(C) CPU Protocol and the Mitsubishi FX Series Protocol as noted.

Memory Type | Address Range | Bit Specification | Description | Read/Write Type | Data Type
X | 0 to 177 (Octal Number) |  | Input | Read Only | Discrete
Y | 0 to 177 (Octal Number) |  | Output | Read Only | Discrete
T | 0 to 255 (Decimal Number) |  | Timer Present Elapsed Time | Read Only | Word
T | .0 to .255 (Decimal Number) |  | Timer Output | Read Only | Discrete
C | 0 to 199 (Decimal Number) |  | Counter Present Value | Read Only | Word
C | 200 to 255 (Decimal Number) |  | Counter Present Value | Read Only | Word
C | .0 to .255 (Decimal Number) |  | Counter Output | Read Only | Discrete
D* | 0 to 7999 (Decimal Number) |  | Data Register | R/W | Word
D | 8000 to 8255 (Decimal Number) |  | Data Register | Read Only | Word
S | 0 to 999 (Decimal Number) |  | State | R/W | Discrete
M** | 0 to 3071 (Decimal Number) |  | Relay | R/W | Discrete
M | 8000 to 8255 (Decimal Number) |  | Relay | Read Only | Discrete

* D - Range for Mitsubishi FX Series CPU drivers is 0-999

** M - Range for Mitsubishi FX Series CPU drivers is 0-1535


Mitsubishi Melsec FX Protocol Error Codes

Only Errors as listed in the Touch Panel Error Code Table can occur when using the Mitsubishi Melsec FX Protocol. There are no PLC generated errors. To view the C-more Touch Panel Error Codes, click on the green text.


Mitsubishi Q/QnA Serial PLCs Setup

Pay close attention to the compatibility matrix, configuration details, and limitations provided in this topic. The Mitsubishi CPU types each have specific communication nuances that must be considered.

The following information applies only to the Mitsubishi Q/QnA Serial PLCs compatible with C-more Touch Panels. This driver can be used to connect to the Serial Port on the CPU for the Q00 CPU and the Q01 CPU only. For other Q Series CPUs, a Serial Communications Module can be used with this driver. Refer to Mitsubishi Q Series Compatibility Matrix to see what driver to use for the various CPUs and Communications Modules in the Mitsubishi Q series.

The Serial Communications Modules supported for this driver are:

  • QJ71C24
  • QJ71C24-R2
  • QJ71C24N
  • QJ71C24N-R2
  • QJ71C24N-R4

The C-more panel is the master when communicating with a Mitsubishi PLC.

Note: Remember to power cycle the PLC after making changes to the communication port settings.

View the PLCs Serial Ports Settings

To Configure the Mitsubishi Q/QnA Serial PLC to communicate with the C-more Touch Panel, you will first need to find the Port Settings for your Mitsubishi PLC. To do this, open the MELSOFT Software and double-click on the PLC Parameter icon on the left side panel of the MELSOFT Software as shown below.

When PLC Parameter is selected, the Q Parameter Setting window shown below will open.

Connect to the Q00 and Q01 CPU Serial Ports

To connect to the CPU Serial Ports of the Q00 CPU and the Q01 CPU, click on the Serial Tab so the Serial Communication selections are displayed as shown above. From these selections, do the following:

  1. Use Serial Communication: Click on the check box to select this option.

  2. Transmission Speed: Click on the down arrow to display the Transmission speeds available and select the desired Speed. This is the same as the Baud Rate value setting of the C-more Programming Software's Panel Manager window. The Baud Rate and the Transmission Speed MUST MATCH.

  3. Sum Check: Click on the check box to select the Sum Check option.

  4. Transmission Wait Time: Leave this setting on the default No Waiting Time selection.

  5. RUN Write Setting: Click on the Permit check box to turn this option ON.

You must remember to use STYLE4 for the Protocol setting in the C-more Panel Manager window discussed below when connecting to the Q00 or Q01 CPU directly.

Using the QJ71C24 Module

To use the QJ71C24 module, from the Q Parameter Setting window shown above, select the I/O Assignment Tab. The I/O Assignment selections available from this Tab are shown below.

Note: The PLC will return an Error if you attempt Writes to the X or Y memory area that has been assigned to the communication module in the StartXY column.

From this window, click on the Switch Setting button highlighted on the graphic above. This will open the Switch Setting window that will allow you to view the Serial Module parameters as shown below. This graphic includes call-outs that show what each value refers to.

  1. The column labeled Switch 1 contains the Setting for Channel 1 Baud Rate and Transmission Settings. The High Byte highlighted in the graphic above with yellow, contains the Baud Rate and the Low Byte highlighted in the graphic above with green, contains the Transmission Settings.

    The charts below explain these Settings (fields in gray are invalid choices for C-more):

Baud Rate | High Byte Value (Bits 15 to 8)
50 | 0x0F
300 | 0x00
600 | 0x01
1200 | 0x02
2400 | 0x03
4800 | 0x04
9600 | 0x05
14400 | 0x06
19200 | 0x07
28800 | 0x08
38400 | 0x09
57600 | 0x0A
115200 | 0x0B
230400 | 0x0C

 | Low Byte Value
 | Bit 7 | Bit 6 | Bit 5 | Bit 4 | Bit 3 Bit 2 |  | Bit 1 | Bit 0
Setting | Change Setting | Write During Run | Checksum Code | Stop Bit | Parity |  | Data Bit | Operation Setting
0 | Disabled | Disabled | No | 1 bit | 00 = No Parity 10 = No Parity 01 = Odd Parity 11 = Even Parity |  | 7 bits | Independent
1 | Enabled | Enabled | Yes | 2 bits |  |  | 8 bits | Linked
 | 1 | 1 | 1 | 0 | 0 | 0 | 1 | 0

Looking at the Example graphic above before the tables, Switch 1 setting is 0x09E2. This would set the Channel 1 Serial Port on the module to 38400 Baud Rate, 1 Stop Bit, No Parity and 8 Data bits. Where 0x09E2 breaks down as follows:
0x09 = | 38400 | (From the High Byte Value Table Above)
(From the Low Byte Value Table Above)
0xE = | Bit 7 | Bit 6 | Bit 5 | Bit 4
 | 1 | 1 | 1 | 0
 | Change Setting = Enabled | Write During Run = Enabled | Checksum Code = Yes | Stop Bit = 1 Bit
 | Note: Bits 5, 6 and 7 must be 1 for C-more Communications.
0x2 = | Bit 3 | Bit 2 | Bit 1 | Bit 0
 | 0 | 0 | 1 | 0
 | No Parity |  | Data Bit = 8 Bits | Operation Setting = Independent
 | Note: Bit 0 must be 0 for C-more Communications.

  2. These same charts also apply to the Channel 2 Serial Port using the settings in the Switch 3 field.

  3. Switches 2 and 4 are for the Communications Protocol Settings of Channel 1 and Channel 2 respectively. Set this field to 0001 for STYLE1 or set to 0004 for STYLE4. These are the only two settings that will work with C-more. Refer to Mitsubishi documentation for the other available selections and their meanings.

  4. Switch 5 is the Station Number of the Module. It applies to both Serial Ports.

C-more Panel Manager Settings

Access the Panel Manager by select from the Setup Menu located on the Main Menu or from the Function Tab of the Navigation Window as shown below.

From the Panel Manager window click on the DEV001 selection on the tree to the left to open the Device Setup screen of the Panel Manager window shown below.

From the PLC Protocol field, click on the down arrow [image] and select the Mitsubishi Q/QnA Serial selection.

Anytime you select a different PLC Protocol than the one already displayed, the Warning Message shown below will pop up. Click Yes to accept and the Fields for the selected Protocol will be displayed as shown on the applicable figure above.

All of the following settings must be set the same in Panel Manager in the C-more Programming Software as in MELSOFT Software. Use the MELSOFT Software information on the top of this page as reference.

Configure the Panel Manager selections as follows:

  1. Station Number: This is the PLC Address of the PLC Port that the C-more Panel will be connected to. Refer to Switch 5 setting above.

  2. Baud Rate: This setting should match the Baud Rate setting in either the Switch 1 or Switch 3 setting above (depending upon which port you are connecting to).

  3. Parity: This setting should match the Parity setting in either the Switch 1 or Switch 3 setting above (depending upon which port you are connecting to).

  4. Stop Bit: This setting should match the Stop Bit setting in either the Switch 1 or Switch 3 setting above (depending upon which port you are connecting to).

  5. Data Bit: This setting should match the Data Bit setting in either the Switch 1 or Switch 3 setting above (depending upon which port you are connecting to).

  6. Control RTS: Selecting YES for this setting will enable the panel to assert its RTS signal before transmitting data and deassert the RTS signal when the transmission is complete. For most setups, this setting should be left at NO. This is only required when flow control is needed.

  7. Require CTS: Selecting YES for this setting will force the panel to look for a CTS signal to become true before a transmission will be sent. For most setups, this setting should be left at NO. This is only required when flow control is needed.

  8. Select RS485: This selection will enable the panel to do two wire RS-485 Communications. Along with turning on this setting, the SD+ and RD+ signals must be jumped as well as the SD- and RD- signals.

  9. Protocol Type: This setting should match the Switch 2 or Switch 4 setting of the serial port (depending upon which port you are connecting to). Refer to the explanation above for Switch 2 and 4.

  10. Timeout Time: This is the amount of Time (in 100ms units) that the Panel will wait on a Reply after sending a Request. Once the Timeout Timer expires, it will then Retry.

  11. Poll Time: This is the amount of Time (in milliseconds) that the Panel will wait between each request.


Mitsubishi Q/QnA Serial/Ethernet and Q Series PLCs Addressing

Memory Type |  | Address Range | Description | Read/Write Type | Data Type
D |  | 0/00 - 32767/15 | Data Memory | R/W | Bit
 |  | 0 - 32767 |  |  | Word
T | T(CONN) | 0 - 32767 | Timer Complete | R/W | Bit
 | T(COIL) |  | Timer Running |  | Bit
 | T |  | Timer Current |  | Word
ST | ST(CONN) | 0 - 32767 | Retentive Timer Comp. | R/W | Bit
 | ST(COIL) |  | Retentive Timer Running |  | Bit
 | ST |  | Retentive Timer Current |  | Word
C | C(CONN) | 0 - 32767 | Counter Complete | R/W | Bit
 | C(COIL) |  | Counter Running |  | Bit
 | C |  | Counter Current |  | Word
X(HEX) |  | 0 - 1FFF | Inputs | R/W | Bit
Y(HEX) |  | 0 - 1FFF | Outputs | R/W | Bit
M |  | 0 -32767 | Internal Relay | R/W | Bit
L |  | 0 -32767 | Latch Relay | R/W | Bit
S |  | 0 -32767 | Step Relay | R/W | Bit
F |  | 0 -32767 | Annunciator | R/W | Bit
B(HEX) |  | 0 - 7FFF | Link Relay | R/W | Bit
V |  | 0 -32767 | Edge Relay | R/W | Bit
W(HEX) |  | 0/00 - 7FFF/15 | Link Register | R/W | Bit
 |  | 0 - 7FFF |  |  | Word
ZR |  | 0/00 - 1042431/15 | File Register | R/W | Bit
 |  | 0 - 1042431 |  |  | Word
SM |  | 0 - 2047 | Special Relay | R/W | Bit
SB(HEX) |  | 0 - 7FF | Link Special Relay | R/W | Bit
SD |  | 0/00 - 2047/15 | Special Register | R | Bit
 |  | 0 - 2047 |  |  | Word
SW(HEX) |  | 0/00 - 7FF/15 | Link Special Register | R/W | Bit
 |  | 0 - 7FF |  |  | Word


Mitsubishi Compatibility Matrix

Pay close attention to the configuration details, and limitations provided in the PLC Setup topic. The Mitsubishi CPU types each have specific communication nuances that must be considered, for example, Q00 is not the same as Q00J or Q02 is not the same as Q02U.

 | Q00 | Q00J | Q01 | Q02 | Q02H | Q06H | Q12H | Q25H | Q02U | Q03UD | Q04UDH | Q06UDH
Mitsubishi (CPU) Direct: - Q02 - Q02H - Q06H - Q12H - Q25H |  |  |  | X | X | X | X | X |  |  |  |
* QnA Serial Drive r using QJ71C24N Module | X | X | X | X | X | X | X | X | X | X | X | X
** QnA Serial Driver with Direct Connection to CPU Serial Port | X |  | X |  |  |  |  |  |  |  |  |
QnA Ethernet using QJ71E71 Module | X | X | X | X | X | X | X | X | X | X | X | X
* Using STYLE1 or STYLE4 |  |  |  |  |  |  |  |  |  |  |  |
** Using STYLE4 only |  |  |  |  |  |  |  |  |  |  |  |


Mitsubishi Serial Calculator

Switch 1 or 3:
Switch 2 or 4:
Switch 5:


Mitsubishi Q Series (Q02/Q02H/Q06H/Q12H/Q25H CPU) Setup

Pay close attention to the configuration details, and limitations provided in this topic. The Mitsubishi CPU types each have specific communication nuances that must be considered.

The following information applies only to the Mitsubishi Q02/Q02H/Q06H/Q12H/Q25H CPUs compatible with C-more Touch Panels.

The setup for these CPUs is very simple since there are no settings to configure in the PLC. Simply select the desired Baud Rate in the C-more Programming Software Panel Manager window described below and the PLC will automatically respond to the selected Baud Rate.

The C-more panel is the master when communicating with a Mitsubishi PLC.

Note: Remember to power cycle the PLC after making changes to the communication port settings.

C-more Panel Manager Settings

Access the Panel Manager by select from the Setup Menu located on the Main Menu or from the Function Tab of the Navigation Window as shown below.

From the Panel Manager window click on the DEV001 selection on the tree to the left to open the Device Setup screen of the Panel Manager window shown below.

From the PLC Protocol field, click on the down arrow [image] and select the Mitsubishi Q Series (Q02/Q02H/Q06H/Q12H/Q25H CPU) selection.

Anytime you select a different PLC Protocol than the one already displayed, the Warning Message shown below will pop up. Click Yes to accept and the Fields for the selected Protocol will be displayed as shown on the applicable figure above.

To setup the Mitsubishi Q Series to work with the C-more Touch Panel, configure the C-more Programming Software Panel Manager selections shown above as follows:

  1. Station Number: This is the PLC Address of the PLC Port that the C-more Panel will be connected to.

  2. Baud Rate: Select the desired Baud Rate to communicate from C-more to the PLC. The Baud Rate selection will depend upon the cable length, quality of the environment (electrical noise level) and the quality of the cable.

  3. Parity, Stop Bit and Data Bit: These items are not adjustable from this window and are display only.

  4. Timeout Time: This is the amount of Time (in 100ms units) that the Panel will wait on a Reply after sending a Request. Once the Timeout Timer expires, it will then Retry.

  5. Poll Time: This is the amount of Time (in milliseconds) that the Panel will wait between each request.

It may be helpful to test the communications settings with a C-more project that requests only address D0 before attempting communications with a more complicated project.


Mitsubishi Q/QnA PLC Error Codes

The following table lists the Errors that can be generated by the Mitsubishi Q/QnA PLCs. This table provides reference information for Error Codes displayed by the C-more Touch Panels as Error Code PLC-499.

To see the C-more Touch Panel Errors Table, which provides Error Codes specific to the C-more Touch Panels, click the green text.

Mitsubishi Q/QnA PLC Error Codes (PLC-499: Error Code 0xaaaa)
Error Code | Description
0x4000 | Serial communications checksum error. Check cable and grounding.
0x4001 | Unsupported request sent to PLC.
0x4002 | Unsupported request sent to PLC.
0x4003 | Global request sent to PLC that cannot be executed.
0x4004 | System protect switch is on and request was sent that cannot be executed. Also PLC, may still be booting up.
0x4005 | Packet sent is too large according to size request in header.
0x4006 | Serial communications could not be initialized.
0x4008 | CPU busy or buffer full.
0x4010 | Request cannot be serviced while CPU is running. CPU must be stopped.
0x4013 | Request cannot be serviced while CPU is running. CPU must be stopped.
0x4021 | Drive memory does not exist.
0x4022 | File (ZR memory) does not exist.
0x4023 | File (ZR memory) name and File (ZR memory) number do not match.
0x4024 | File (ZR memory) inaccessible by user.
0x4025 | File (ZR memory) is locked by another device.
0x4026 | File (ZR memory) password required.
0x4027 | Specified range is out of File (ZR memory) range.
0x4028 | File (ZR memory) already exist.
0x4029 | Specified File (ZR memory) capacity cannot be retrieved.
0x402A | Specified File (ZR memory) is abnormal.
0x402B | The requested data cannot be executed in the specified drive memory.
0x402C | The requested operation cannot be executed presently.
0x4030 | The specified data type does not exist. Check the CPUs allowable data types.
0x4031 | The specified address is out of range. The data type requested may need to be expanded in GX developer. The CPU may not allow this data type.
0x4032 | Address qualification is incorrect.
0x4033 | Cannot write to system area.
0x4034 | Request cannot be executed because completion address for an instruction cannot be turned on.
0x4040 | Module doesn't support request.
0x4041 | Request is out of module's range.
0x4042 | Module cannot be accessed.
0x4043 | Address for specified module is incorrect.
0x4044 | Hardware problem exist for specified module.
0x4050 | Request cannot be executed because memory card protect switch is on.
0x4051 | Specified memory cannot be accessed.
0x4052 | Specified memory attribute is read only and cannot be written to.
0x4053 | Error occurred when writing to specified memory location.
0x4080 | Request data error. Check cabling and electrical noise.
0x4082 | Specified request is already being executed.
0x408B | The remote request cannot be performed.
0x40A0 | A block number out of range was specified.
0x40A1 | The number of blocks requested exceeds the range of the PLC.
0x40A2 | A step number was specified out of range.
0x40A3 | Step range limit exceeded.
0x40A4 | Specified sequence step number is out of range.
0x40A5 | Specified SFC device is out of range.
0x40A6 | Block specification and step specification are incorrect.
0x4100 | CPU module hardware fault.
0x4101 | Serial communication connection incorrect.
0x4105 | CPU module internal memory fault. Bad CPU.
0x4106 | CPU is in initialization. Wait until CPU is booted up.
0x4107 | Specified function not supported by this CPU. Check memory types for that CPU.
0x4110 | Specified function not supported because CPU is in Stop. Put CPU in Run.
0x4111 | System is not up yet. Wait until system is up before performing request.
0x4A01 | The network number specified does not exist. Routing not supported in C-more.
0x4A02 | Station number specified does not exist. Routing not supported in C-more.


Mitsubishi Q/QnA Ethernet Setup

Pay close attention to the configuration details, and limitations provided in this topic. The Mitsubishi CPU types each have specific communication nuances that must be considered.

The following information applies only to the Mitsubishi Q/QnA Ethernet PLCs compatible with C-more Touch Panels. This driver requires the following supported Communications Module:

  • QJ71E71-100

The C-more panel is the master when communicating with a Mitsubishi PLC.

Note: Remember to power cycle the PLC after making changes to the communication port settings.

View the PLCs Ethernet Ports Settings

To Configure the Mitsubishi Q/QnA Ethernet PLC to communicate with the C-more Touch Panel, you will first need to enter the Parameter Settings for your Mitsubishi PLC. To do this follow these steps:

  1. Open the MELSOFT Software and double-click on the Network Parameter icon on the left side panel of the MELSOFT Software as shown below.

  2. When Network Parameter is selected, the Network Parameter dialog box shown above will open. From this dialog box select the MELSECNET/Ethernet selection.

  3. Once selected, the settings shown above will open. Configure the settings as shown below:

  1. Network Type: Ethernet

  2. Starting I/O No.: 0000

  3. Network No.: 1

  4. Group No.: 0

  5. Station No.: 1

  6. Mode: On line

  4. Once you have configured these settings, click on the Operational settings button to bring up the dialog box shown below.

From this window you will find the PLC IP Address (highlighted above) to put into the C-more Panel Manager IP setting. In addition, be sure to configure the other settings as shown above.

Once the settings are complete, click on the End button at the bottom of the window to close it.

  5. This will return you to the Network Parameter settings window. From the settings, select the Open Settings button to open the dialog box shown below.

Configure this settings window with the following:

    1. Protocol: TCP

    2. Open System: Unpassive

    3. Fixed Buffer: Receive

    4. Fixed Buffer Communication Procedure: Procedure exist

    5. Pairing Open: Disable

    6. Existence Confirmation: No confirm

    7. Host Station Port No.: This number must match the PLC TCP Port field in the C-more Panel Manager. It should be between 0x0401 – 0x1387 or 0x138B – 0xFFFE.

Note: For each C-more Panel connected to the Ethernet module, an entry must be added. The dialog box above shows what the configuration would look like if two C-more Panels were connected to the PLC.

Once this settings are complete, click on the End button.

C-more Panel Manager Settings

Access the Panel Manager by select from the Setup Menu located on the Main Menu or from the Function Tab of the Navigation Window as shown below.

From the Panel Manager window click on the DEV001 selection on the tree to the left to open the Device Setup screen of the Panel Manager window shown below.

From the PLC Protocol field, click on the down arrow [image] and select the Mitsubishi Q/QnA Ethernet selection.

Anytime you select a different PLC Protocol than the one already displayed, the Warning Message shown below will pop up. Click Yes to accept and the Fields for the selected Protocol will be displayed as shown on the applicable figure above.

All of the following settings must be set the same in Panel Manager in the C-more Programming Software as in MELSOFT Software Network Parameter. Use the MELSOFT Software information on the top of this page as reference.

Configure the Panel Manager selections as follows:

  1. IP Address: This is the IP Address of the QJ71E71-100 Module being targeted. It can be found in the Ethernet Operations settings dialog box shown above. In our example, this is 192.0.1.254.

  2. PLC TCP Port (0-FFFF): This is the TCP listening port of the QJ71E71-100 Module being targeted. This number can be found in the Ethernet Open Setting Window shown above. In our example, this is 0802.

  3. Retries: This item is not adjustable from this window and is display only.

  4. Timeout Time: This is the amount of Time (in 100ms units) that the Panel will wait on a Reply after sending a Request. Once the Timeout Timer expires, it will then Retry.

  5. Poll Time: This is the amount of Time (in milliseconds) that the Panel will wait between each request.


Mitsubishi Q/QnA Ethernet PLCs Error Codes

The following table list the Errors that can be generated by the Mitsubishi Q/QnA Ethernet PLCs. This table provides reference information for Error Codes displayed by the C-more Touch Panels as Error Code PLC-499.

To see the C-more Touch Panel Errors Table, which provides Error Codes specific to the C-more Touch Panels, click the green text.

PLC Errors for Mitsubishi Q Series PLC (PLC-499: Error Code 0xaaaa)
Error Code | Description
0x4000 | Serial communications checksum error. Check cable and grounding.
0x4001 | Unsupported request sent to PLC.
0x4002 | Unsupported request sent to PLC.
0x4003 | Global request sent to PLC that cannot be executed.
0x4004 | System protect switch is on and request was sent that cannot be executed. Also PLC, may still be booting up.
0x4005 | Packet sent is too large according to size request in header.
0x4006 | Serial communications could not be initialized.
0x4008 | CPU busy or buffer full.
0x4010 | Request cannot be serviced while CPU is running. CPU must be stopped.
0x4013 | Request cannot be serviced while CPU is running. CPU must be stopped.
0x4021 | Drive memory does not exist.
0x4022 | File (ZR memory) does not exist.
0x4023 | File (ZR memory) name and File (ZR memory) number do not match.
0x4024 | File (ZR memory) inaccessible by user.
0x4025 | File (ZR memory) is locked by another device.
0x4026 | File (ZR memory) password required.
0x4027 | Specified range is out of File (ZR memory) range.
0x4028 | File (ZR memory) already exist.
0x4029 | Specified File (ZR memory) capacity cannot be retrieved.
0x402A | Specified File (ZR memory) is abnormal.
0x402B | The requested data cannot be executed in the specified drive memory.
0x402C | The requested operation cannot be executed presently.
0x4030 | The specified data type does not exist. Check the CPUs allowable data types.
0x4031 | The specified address is out of range. The data type requested may need to be expanded in GX developer. The CPU may not allow this data type.
0x4032 | Address qualification is incorrect.
0x4033 | Cannot write to system area.
0x4034 | Request cannot be executed because completion address for an instruction cannot be turned on.
0x4040 | Module doesn't support request.
0x4041 | Request is out of module's range.
0x4042 | Module cannot be accessed.
0x4043 | Address for specified module is incorrect.
0x4044 | Hardware problem exist for specified module.
0x4050 | Request cannot be executed because memory card protect switch is on.
0x4051 | Specified memory cannot be accessed.
0x4052 | Specified memory attribute is read only and cannot be written to.
0x4053 | Error occurred when writing to specified memory location.
0x4080 | Request data error. Check cabling and electrical noise.
0x4082 | Specified request is already being executed.
0x408B | The remote request cannot be performed.
0x40A0 | A block number out of range was specified.
0x40A1 | The number of blocks requested exceeds the range of the PLC.
0x40A2 | A step number was specified out of range.
0x40A3 | Step range limit exceeded.
0x40A4 | Specified sequence step number is out of range.
0x40A5 | Specified SFC device is out of range.
0x40A6 | Block specification and step specification are incorrect.
0x4100 | CPU module hardware fault.
0x4101 | Serial communication connection incorrect.
0x4105 | CPU module internal memory fault. Bad CPU.
0x4106 | CPU is in initialization. Wait until CPU is booted up.
0x4107 | Specified function not supported by this CPU. Check memory types for that CPU.
0x4110 | Specified function not supported because CPU is in Stop. Put CPU in Run.
0x4111 | System is not up yet. Wait until system is up before performing request.
0x4A01 | The network number specified does not exist. Routing not supported in C-more.
0x4A02 | Station number specified does not exist. Routing not supported in C-more.


Modicon Modbus RTU Protocol Setup

The following information applies for the Modicon Modbus RTU PLCs compatible with C-more Panels.

The C-more panel is the master when communicating on a Modbus network.

Note: We continue to add device-specific drivers to simplify configuring communication with popular modbus devices. Refer to the Help File "What's New" topic for recently added device-specific modbus drivers.

C-more Panel Manager Settings

To access the Panel Manager from the C-more Programming Software, from the Main Menu select Setup. The drop down menu shown below opens.

From the Setup drop down menu, select the Panel Manager selection. The Panel Manager window opens by default displaying Panel Settings. From this window, click on the DEV001 selection on the tree to the left of the window as shown below.

When the DEV001 Icon is selected, the right portion of the window will change to display the Device Setup screen for DEV001. From the PLC Protocol field, click on the down arrow [image] and select Modicon Modbus RTU.

Anytime you select a different PLC Protocol than the one already displayed, the Warning Message shown below will pop up. Click Yes to accept and the Fields for the selected Protocol will be displayed as shown on the figure above.

All of the following settings must be set the same as the settings in Panel Manager in the C-more Programming Software. The C-more Panel Manager is shown above with the Modicon Modbus RTU driver selected.

Setup Modicon Modbus RTU Using Concept

To Setup the Modicon Modbus RTU PLC using the Schneider Concept PLC Programming Software, follow these steps:

  1. On the Main Menu of the Concept Start window select Project. From the Project drop down menu, select Configurator as shown below.

The PLC Configuration window shown below opens.

  2. From the PLC Connection window shown above, select the Modbus Port Settings selection from the tree on the left side of the window and click on the Open Dialog button located on the bottom left side of the window.

  3. The Modbus Port Settings window shown below opens.

  4. On the Modbus Port Settings window, match the following parameters to your PLC setup in the C-more Panel Manager settings:

    • Baud Rate
    • Parity
    • Address
    • Protocol

If the Protocol is RS232, you choose No in the Select RS485 field in C-more. If the Protocol Field in Concept is RS485, you would choose Yes in the Select RS485 in C-more.

  5. Once the Modbus Port Settings are completed, you have to connect and download. Select Online from the Main Menu and from the Online drop down menu, select Connect as shown below.

  6. The Connect To PLC window shown below opens. From this window, click on the OK button when done.

  7. Once connected, select Online from the Main Menu and from the Online drop down menu select Download as shown below.

  8. The Download Controller window shown below opens. From this window, choose the items to Download. You must choose Configuration for the port settings to get transferred. Once this is done, you should be able to connect the C-more panel to the PLC.


Modicon Modbus Addressing

Note: We continue to add device-specific drivers to simplify configuring communication with popular modbus devices. Refer to the Help File "What's New" topic for recently added device-specific modbus drivers.

Memory Type | Address Range | Bit Specification | Description | Read/Write Type | Data Type
0 | 1 to 65536 |  | Coil | R/W | Discrete
1 | 1 to 65536 |  | Input | Read Only | Discrete
3 | 1 to 65536 | 0 to 15 |  | Read Only | Discrete
3 | 1 to 65536 |  | Input Register | Read Only | Word
4 | 1 to 65536 | 0 to 15 |  | R/W | Discrete
4 | 1 to 65536 |  | Holding Register | R/W | Word

Function Code | Action
01 (01 hex) | Read Coils
02 (02 hex) | Read Input Bits
03 (03 hex) | Read Holding Registers
04 (04 hex) | Read Input Registers
05 (05 hex) | Write Single Coil
06 (06 hex) | Write Single Register
15 (0F hex) | Write Multiple Coils
16 (10 hex) | Write Multiple Registers


Modicon Modbus TCP/IP Protocol Setup

The following information applies for the Modicon Modbus TCP/IP PLCs compatible with C-more Panels.

The C-more panel is the master when communicating on a Modbus network.

Note: We continue to add device-specific drivers to simplify configuring communication with popular modbus devices. Refer to the Help File "What's New" topic for recently added device-specific modbus drivers.

C-more Panel Manager Settings

To access the Panel Manager from the C-more Programming Software, from the Main Menu select Setup. The drop down menu shown below opens.

From the Setup drop down menu, select the Panel Manager selection. The Panel Manager window opens by default displaying Panel Settings. From this window, click on the DEV001 selection on the tree to the left of the window as shown below.

When the DEV001 Icon is selected, the right portion of the window will change to display the Device Setup screen for DEV001. From the PLC Protocol field, click on the down arrow [image] and select Modicon Modbus TCP/IP Ethernet.

Anytime you select a different PLC Protocol than the one already displayed, the Warning Message shown below will pop up. Click Yes to accept and the Fields for the selected Protocol will be displayed as shown on the figure above.

All of the following settings must be set the same as the settings in Panel Manager in the C-more Programming Software. The C-more Panel Manager is shown above with the Modicon Modbus TCP/IP Ethernet driver selected.

Setup Modicon Modbus TCP/IP Using Concept

To Setup the Modicon Modbus TCP/IP PLC, follow these steps:

  1. On the Main Menu of the Concept Start window select Project. From the Project drop down menu, select Configurator as shown below.

The PLC Configuration window shown below opens.

  2. From the PLC Connection window shown above, select the Ethernet I/O Scanner under Config Extensions and Open Dialog button located on the bottom left side of the window.

  3. The Ethernet I/O Scanner window shown below opens.

  4. On the Ethernet I/O Scanner window, configure the Internet Address to match the specified IP Address in the C-more Panel Manager. In addition, the Subnet Mask should match the C-more Panel Manager settings. Click on the OK button to accept the entries made.

  5. Once the Ethernet I/O Scanner Settings are completed, you have to connect and download. Select Online from the Main Menu and from the Online drop down menu, select Connect as shown below.

  6. The Connect To PLC window shown below opens. From this window, choose the appropriate communications means for your controller (probably Serial if you are configuring the IP settings of the PLC). Be sure to choose Change Configuration on the bottom left side to download the changed IP Address settings. Click on the OK button when done.

  7. Once connected, select Online from the Main Menu and from the Online drop down menu select Download as shown below.

  8. The Download Controller window shown below opens. From this window, choose the items to Download. You must choose Configuration for the port settings to get transferred. Once this is done, you should be able to connect the C-more panel to the PLC.


Omron Host Link Module Protocol Setup

The following information applies only to the Omron Host Link Module compatible with C-more Panels.

The C-more panel is the master when communicating with an Omron PLC.

C-more Panel Manager Settings

To access the Panel Manager from the C-more Programming Software, from the Main Menu select Setup. The drop down menu shown below opens.

From the Setup drop down menu, select the Panel Manager selection. The Panel Manager window opens by default displaying Panel Settings. From this window, click on the DEV001 selection on the tree to the left of the window as shown below.

When the DEV001 Icon is selected, the right portion of the window will change to display the Device Setup screen for DEV001. From the PLC Protocol field, click on the down arrow [image] and select Omron C200/C500 Host Link Adapter.

Anytime you select a different PLC Protocol than the one already displayed, the Warning Message shown below will pop up. Click Yes to accept and the Fields for the selected Protocol will be displayed as shown on the figure above.

All of the following settings must be set the same as the settings in Panel Manager in the C-more Programming Software. The C-more Panel Manager is shown above with the Omron C200/C500 Host Link Adapter driver selected.

Setup Omron Host Link Adapter Switches

To Setup the Omron Host Link Adapter follow these steps:

  1. Switches 1 and 2 are used to identify the Unit number of the module. The Unit number can be set between 0 and 31. Each Host Link Module Unit number on a single network must be unique. These settings should be the same as the settings in Panel Manager Setup in the C-more Programming Software.

  2. Switch 3 (SW3 above) sets the Baud Rate. Use the Table below as reference.

  3. Switch 4 (SW4) sets the command level, parity and transmission code. The command level specifies the security level of the port. The customer should refer to the Omron manual for more details. Any of the allowed settings will work with the C-more panel. The figure below shows a Table that can be used as reference to set the Switch 4 (SW4) parameters.

  4. The Dipswitch selector on the back of the Host Link Module specifies the Link Type and the 5 volt supply. Switches 1 and 2 are not used. Switch 3 when OFF specifies this as a single unit network. Switch 3 when ON specifies this as a multiple unit network. Switch 4 specifies a 5 volt supply. Leave OFF unless specified differently from the manufacturer. The CTS selector switch should be ON (in the down position).

Omron CPU Connection

From the Main GUI screen, choose Settings on the left side explorer bar.

Note: This is the correct protocol to communicate with CQM1. "Multiple" must be selected in the Panel Manager Link Selector even if the network has a single CQM1. If the PLC serial number indicates manufacture in June 1995 or earlier, #5 DIP switch must be OFF and CQM1 baud rate settings must be changed to match the C-more baud rate setting. A cable constructed according to the User Constructed Omron FINS cable diagram in the C-more Hardware User Manual must be used.

This will display the PLC Settings screen.

On the PLC Settings screen, choose the Host Link Port tab.

This is the setup for the 9 pin Dsub on certain Omron CPUs.

  1. Choose the Custom option.

  2. Match the Baud Rate selection with the Panel Manager setting in C-more.

  3. The Format needs to match the Parity and Transmission selection in the Panel Manager setup in C-more.
    If a Format with 7 Data bits and 2 Stop bits is selected in the PLC Settings inside Omron software, then Transmission needs to be set to ASCII in the Panel Manager of C-more. If a Format with 8 Data bits and 1 Stop bit is selected in the PLC Settings inside Omron software, then Transmission needs to be set to JIS in the Panel Manager of C-more.

  4. Mode should be Host Link. Unit Number needs to match the PLC Host Link Unit Number in the Panel Manager in C-more.

  5. With the CPU connection, the Panel Manager field Link Selector MUST be set to Multiple in C-more. There is no way to select Single for this field on the Omron CPU port setup.

  6. In addition, note that Dipswitch 5 on the CPU will set the CPU 9 pin serial port to fixed settings. In order for the changes made to the Host Link Port to work, that switch must be turned Off.

Note: Power cycle the Omron PLC after changing port settings.


Omron HostLink Adapter (C200/C500) Addressing

Memory Type

Address Range

Bit Specification

Description

Read/Write Type

Data Type

HR

00 to 99

Holding Relay

R/W

Word

HR

00 to 99

0 to 15

Holding Relay

Read Only

Discrete

AR

00 to 27

Assistant Relay

Read Only

Word

AR

00 to 27

0 to 15

Assistant Relay

Read Only

Discrete

LR

00 to 63

Link Relay

R/W

Word

LR

00 to 63

0 to 15

Link Relay

Read Only

Discrete

PV

0 to 511

Time/Counter Preset Value

R/W

Word

TC

0 to 511

Time/Counter Completion Flag

R/W

Discrete

DM

0 to 6655

Data Memory

R/W

Word

IR

000 to 235

Internal Relay

R/W

Word

IR

000 to 235

0 to 15

Internal Relay

R/W

Discrete

SR

236 to 255

Specific Relay

Read Only

Word

SR

236 to 255

0 to 15

Specific Relay

Read Only

Discrete


Omron Host Link Adapter (C200/C500) Error Codes

The following tables list the Errors that can be generated by the Omron Host Link Adapter (C200/C500).

This Table provides reference information for Error Codes displayed by the C-more Touch Panels. If the Error Code is PLC-499, this Error Code identifies an Error that is generated by the connected PLC. The PLC-499 Error Message includes a four digit Hexadecimal Value displayed at the end of the message. This value can be found in the specific PLC’s Error tables to determine the cause of the Error.

For PLC specific Error Codes, make sure you are viewing the correct topic and locate the PLC Specific Errors Table found below.

To see the C-more Touch Panel Errors Table, which provides Error Codes specific to the C-more Touch Panels, click the green C-more Error Codes text.

Note: The following Errors are generated from the designated PLC, monitored by the C-more Touch Panel, and displayed on the panel's screen if active. Please refer to the PLC manufacturer's documentation for additional and up-to-date information.

PLC Error Codes

PLC Errors for Omron Host Link Protocol

Error Message

Description

0X00

Normal Completion.

0X01

Not executable in RUN mode.

0X02

Not executable in MONITOR mode.

0X03

Not executable with PROM mounted.

0X04

Address over (data overflow).

0X0B

Not executable in PROGRAM mode.

0X0C

Not executable in DEBUG mode.

0X0D

Not executable in LOCAL mode.

0X10

Parity error.

0X11

Framing error.

0X12

Overrun.

0X13

FCS error.

0X14

Format error (parameter length error).

0X15

Entry number data error (parameter error, data code error, data length error).

0X16

Instruction not found.

0X18

Frame length error.

0X19

Not executable (due to Un-executable error clear, non-registration of I/O table, etc.).

0X20

I/O table generation impossible (unrecognized remote I/O unit, channel over, duplication of optical transmitting I/O unit).

0XA0

Abort due to parity error in transmit data under process.

0XA2

Abort due to overrun in transmit data under process.

0XA3

Abort due to FCS error in transmit data under process.

0XA4

Abort due to format error in transmit data under process.

0XA5

Abort due to frame length error in transmit data under process.

0XA8

Abort due to entry number data error in transmit data under process.

0XB0

Un-executable due to program area capacity other than 16k bytes.


Omron FINS (CS/CJ) Serial Protocol Setup

The following information applies only to the Omron FINS Protocol Series CS and CJ PLCs compatible with C-more Touch Panels.

The C-more panel is the master when communicating with an Omron PLC.

C-more Panel Manager Settings

To access the Panel Manager from the C-more Programming Software, from the Main Menu select Setup. The drop down menu shown below opens.

From the Setup drop down menu, select the Panel Manager selection. The Panel Manager window opens by default displaying Panel Settings. From this window, click on the DEV001 selection on the tree to the left of the window as shown below.

When the DEV001 Icon is selected, the right portion of the window will change to display the Device Setup screen for DEV001.

From the PLC Protocol field, click on the down arrow [image] and select the Omron CS/CJ FINS Serial selection. Anytime you select a different PLC Protocol than the one already displayed, the Warning Message shown below will pop up.

Click Yes to accept and the Fields for the selected Protocol will be displayed as shown on the figure below.

Protocol Settings Description

The C-more Touch Panel Manager Configuration fields for the Omron FINS Protocol for CS and CJ PLCs, are shown above. From this window you will Configure the parameters necessary for proper operation with a C-more Touch Panel.

The fields available for configuration are set by default by the C-more Touch Programming Software but can be modified if needed. Always remember that the field values MUST match the field values on the CX-Programmer Software setup explained later in this topic.

The fields available are:

  1. Station Number (0-101): The Station Number is the Slave Number or Address. This is the Number that will be polled by the C-more Panel. Typically this is set to 1 for the first Slave in the network. Slaves can be addressed from 1 through 101 for Omron FINS, depending on the Slave and what CPU is used.

  2. Baud Rate: This is the Speed or Rate in which the data will be transmitted. It is measured in BPS or Bits Per Second. Both, the Touch Panel and the PLC have to be set to the same Baud Rate to be able to communicate. Selections available are 9600, 19200, or 38400.

  3. Parity: Choose Even, Odd or None for error checking.

  4. Stop Bit: Choose 1 or 2 Stop Bits.

  5. Data Bit: Data Bits are the portion of the Bit stream that actually contains useful information for the receiving device. Select either 7 or 8 keeping in mind that the PLC will have to be set the same as the C-more Touch Panel Manager setting.

  6. Time-out Time (1-255): Enter a number that represents a Time in Tenths of a Second that the C-more Touch Panel will wait for communications with the PLC before displaying an error. (Our example uses the default of 40, which is the same as 4000 msec or 4 seconds).

  7. Poll Time (0-30000 msec): Enter a number that represents a Time (in milliseconds) that the C-more Touch Panel will wait between executing a complete sequence of reads for the screen displayed. This setting is set to "0" by default, which produces constant Polling.

Omron CPU Connection

  1. From the Main GUI screen, choose Settings on the left side explorer bar as shown below.

  2. The PLC Settings screen will open. From this screen, select the Host Link Port tab and the window will show the settings selections shown below. This is the setup for the 9 pin Dsub Port.

  3. For the fields available from the Host Link Adapter port, do the following:

  1. Choose the Custom option.

  2. Match the Baud Rate selection with the C-more Panel Manager setting.

  3. For the Format field, the selection needs to match the Parity, Stop Bit and Data Bit selections in the C-more Panel Manager setup.

  4. Mode should be set to Host Link.

  5. Unit Number needs to match the Station Number Entry in the C-more Panel Manager.

Note: The Dipswitch 5 on the CPU will set the CPU 9 Pin Serial Port to fixed settings. In order for the changes made to the Host Link Port to work, the Dipswitch 5 MUST be turned Off.

Note: Power cycle the Omron PLC after changing port settings.


Omron FINS (CS/CJ) Serial Protocol Addressing

Memory Type | Address Range | Bit Specification | Description | Read/Write Type | Data Type
IO | 0 to 6143 | 0 to 15 | I/O Memory | R/W | Discrete
T | 0 to 4095 |  | Timer Complete | Read Only | Discrete
C | 0 to 4095 |  | Counter Complete | Read Only | Discrete
H | 0 to 511 | 0 to 15 | Holding Area | R/W | Discrete
W | 0 to 511 | 0 to 15 | Work Area | R/W | Discrete
DM | 0 to 32767 | 0 to 15 | Data Memory | R/W | Word / Discrete
EMCUR | 0 to 32767 | 0 to 15 | Extended Data Memory | R/W | Word / Discrete
EM0 - EMC | 0 to 32767 | 0 to 15 | Extended Data Memory | R/W | Word / Discrete
A | 0 to 447 * | 0 to 15 | Auxiliary Area | Read Only | Discrete
 | 448 to 959 | 0 to 15 | Auxiliary Area | R/W | Discrete
TIM | 0 to 4095 |  | Timer Present Value | R/W | Word
CNT | 0 to 4095 |  | Counter Present Value | R/W | Word
*This is READ ONLY area. If this range of Addressing is placed into a Write Object, such as a Pushbutton or Numeric Entry, the Programming Software will display the following error: Error TAG-058: Tag IO Type does not match Object Type.


Omron FINS (CS/CJ) Serial Protocol Error Codes

The following tables list the Errors that can be generated by the Omron FINS Series (CS/CJ) PLCs.

This Table provides reference information for Error Codes displayed by the C-more Touch Panels. If the Error Code is PLC-499, this Error Code identifies an Error that is generated by the connected PLC. The PLC-499 Error Message includes a four digit Hexadecimal Value displayed at the end of the message. This value can be found in the specific PLC’s Error tables to determine the cause of the Error.

For PLC specific Error Codes, make sure you are viewing the correct topic and locate the PLC Specific Errors Table found below.

To see the C-more Touch Panel Errors Table, which provides Error Codes specific to the C-more Touch Panels, click the green text.

Note: The following Errors are generated from the designated PLC, monitored by the C-more Touch Panel, and displayed on the panel's screen if active. Please refer to the PLC manufacturer's documentation for additional and up-to-date information.

PLC Error Table

PLC Errors for Omron FINS Series CS and CJ
Error Message | Description
0x0000 | Normal Completion.
0x0001 | Service Canceled.
0x0101 | Local Error: Local node not in network.
0x0102 | Local Error: Token Timeout.
0x0103 | Local Error: Retries Failed.
0x0104 | Local Error: Too many send frames.
0x0105 | Local Error: Node address range error.
0x0106 | Local Error: Node Address Duplication.
0x0201 | Destination Node Error: Destination Node not in network.
0x0202 | Destination Node Error: Unit Missing.
0x0203 | Destination Node Error: Third Node missing.
0x0204 | Destination Node Error: Destination Node busy.
0x0205 | Destination Node Error: Response Timeout.
0x0301 | Controller Error: Communications Controller Error.
0x0302 | Controller Error: CPU Unit Error.
0x0303 | Controller Error: Controller Error.
0x0304 | Controller Error: Unit number Error.
0x0401 | Service Unsupported: Undefined Command.
0x0402 | Service Unsupported: Not supported by Model/Version.
0x0501 | Routing Table Error: Destination address setting error.
0x0502 | Routing Table Error: No routing tables.
0x0503 | Routing Table Error: Routing table error.
0x0504 | Routing Table Error: Too many delays.
0x1001 | Command Format Error: Command too long.
0x1002 | Command Format Error: Command too short.
0x1003 | Command Format Error: Elements/Data don't match.
0x1004 | Command Format Error: Command format error.
0x1005 | Command Format Error: Header Error.
0x1101 | Parameter Error: Area classification missing.
0x1102 | Parameter Error: Access Size Error.
0x1103 | Parameter Error: Address range error.
0x1104 | Parameter Error: Address range exceeded.
0x1106 | Parameter Error: Program Missing.
0x1109 | Parameter Error: Relational Error.
0x110A | Parameter Error: Duplicate Data Access.
0x110B | Parameter Error: Response too long.
0x110C | Parameter Error: Parameter Error.
0x2002 | Read Not Possible: Protected.
0x2003 | Read Not Possible: Table missing.
0x2004 | Read Not Possible: Data missing.
0x2005 | Read Not Possible: Program missing.
0x2006 | Read Not Possible: File missing.
0x2007 | Read Not Possible: Data mismatch.
0x2101 | Write Not Possible: Read Only.
0x2102 | Write Not Possible: Protected - cannot write data link table.
0x2103 | Write Not Possible: Cannot register.
0x2105 | Write Not Possible: Program missing.
0x2106 | Write Not Possible: File missing.
0x2107 | Write Not Possible: File name already exists.
0x2108 | Write Not Possible: Cannot change.
0x2201 | Not executable in current mode: Not possible during execution.
0x2202 | Not executable in current mode: Not possible while running.
0x2203 | Not executable in current mode: Wrong PLC mode (Program).
0x2204 | Not executable in current mode: Wrong PLC mode (Debug).
0x2205 | Not executable in current mode: Wrong PLC mode (Monitor).
0x2206 | Not executable in current mode: Wrong PLC mode (Run).
0x2207 | Not executable in current mode: Specified node not polling node.
0x2208 | Not executable in current mode: Step cannot be executed.
0x2301 | No such device: File device missing.
0x2302 | No such device: Missing memory.
0x2303 | No such device: Clock missing.
0x2401 | Cannot Start/Stop: Table missing.
0x2502 | Unit Error: Memory Error.
0x2503 | Unit Error: I/O setting Error.
0x2504 | Unit Error: Too many I/O points.
0x2505 | Unit Error: CPU bus error.
0x2506 | Unit Error: I/O Duplication.
0x2507 | Unit Error: I/O bus error.
0x2509 | Unit Error: SYSMAC BUS/2 error.
0x250A | Unit Error: CPU Bus Unit Error.
0x250D | Unit Error: SYSMAC BUS No. duplication.
0x250F | Unit Error: Memory Error.
0x2510 | Unit Error: SYSMAC BUS terminator missing.
0x2601 | Command Error: No protection.
0x2602 | Command Error: Incorrect password.
0x2604 | Command Error: Protected.
0x2605 | Command Error: Service already executing.
0x2606 | Command Error: Service stopped.
0x2607 | Command Error: No execution right.
0x2608 | Command Error: Settings not complete.
0x2609 | Command Error: Necessary items not set.
0x260A | Command Error: Number already defined.
0x260B | Command Error: Error will not clear.
0x3001 | Access Right Error: No access right.
0x4001 | Abort: Service aborted.


Omron CS/CJ FINS Ethernet Protocol Setup

The following information applies for Omron CS/CJ FINS PLCs compatible with C-more Touch Panels using FINS Ethernet Protocol. The setup may differ for the CJ series.

The C-more panel is the master when communicating with an Omron PLC.

Omron FINS CS/CJ Series Ethernet Setup

This example uses the Omron CX-Programmer PLC Programming Software.

  1. From the Main GUI screen, double-click on the I/O Table selection located on the left side window as shown on the figure below.

  2. This will open the PLC IO Table window shown below. From this window, right click on the Ethernet Unit (ET) (0) shown highlighted in the figure below, to bring up the options for the Ethernet Module.

  3. The drop down menu shown below opens. From this drop down menu, click on the Unit Setup selection indicated on the figure shown below.

  4. This will open the Configuration window for the Ethernet Module as shown below.

  5. For this window, do the following using the figure above as reference:

  1. Broadcast: Leave the Broadcast setting as shown above.

  2. Conversion: Leave the Conversion setting as shown above.

  3. FINS UDP Port: This selection shown above is where you will find the UDP listening port of the Ethernet Module. This number should match the PLC Port field of the C-more Programming Software Panel Manager window.

  4. Sub-net Mask: The Subnet Mask of the Omron Ethernet Module must match the Subnet Mask (reference the Touch Panel Network - Ethernet Port topic in this Help File or Chapter 5 of User Manual, Page 5-16) of the C-more Touch Panel.

  5. IP Address: The IP Address you enter in the Omron CX-Programmer PLC Programming Software must match the IP Address you will enter in the C-more Programming Software Panel Manager window.

Note: This is the dialog box to setup the IP Address for the CS1 ETN21 Ethernet Module. Other Omron CS1 and CJ1 Ethernet Modules may have switches to set the IP Address. Refer to Omron documentation for the specific method of setting the IP Address for the Module you may have.

Routing Functions

The Omron FINS Ethernet Protocol also allows for Routing Functions. This allows a Master/Client device to communicate to other devices on other networks through an Omron Ethernet Module. C-more does not support this functionality. The C-more FINS Ethernet Protocol is only for communicating directly to an Omron PLC on the local network.

There are six fields used for Routing in the Omron FINS Ethernet Protocol header:

  • Destination Network Address: C-more always places a value of "0" in this field (local network).
  • Destination Node Address: C-more places the value from the Station Number field in the Panel Manager setup.
  • Destination Unit Address: C-more always places a value of "0" in this field (CPU Unit Number).
  • Source Network Address: C-more always places a value of "0" in this field (local network).
  • Source Node Address: C-more places the value from the My Station Number field in the Panel Manager setup.
  • Source Unit Address: C-more always places a value of "0" in this field.

The above settings are not accessible in the C-more Programming Software.

C-more Panel Manager Settings

To access the Panel Manager from the C-more Programming Software, from the Main Menu select Setup. The drop down menu shown below opens.

  1. From the Setup drop down menu, select the Panel Manager selection. The Panel Manager window opens by default displaying Panel Settings. From this window, click on the DEV001 selection on the tree to the left of the window as shown below.

  2. When the DEV001 Icon is selected, the right portion of the window will change to display the Device Setup screen for DEV001.

  3. From the PLC Protocol field, click on the down arrow [image] and select the Omron CS/CJ FINS Ethernet selection. Anytime you select a different PLC Protocol than the one already displayed, the Warning Message shown below will pop up.

  4. Click Yes to accept and the Fields for the selected Protocol. The Panel Manager window will be displayed as shown on the figure below.

  5. From the Panel Manager window shown above, configure each field as follows:

  1. IP Address: Enter the IP Address of the Omron Ethernet Module into this field. Also be sure to match the Subnet Mask of C-more Touch Panel to the Omron Ethernet module Subnet Mask.

  2. PLC Port: Enter the FINS UDP Port of the Omron Ethernet Module into this field.

  3. Station Number: This is the Node Address setting of the Ethernet Module. This field can be set to either the actual Node Address setting of the Module (set by rotary switches on the Module itself), or it can be set to "0".

    The Omron FINS Ethernet driver is capable of bridging-type communications targeted to the devices not directly on the Ethernet Network but on Serial Networks connected to the same PLC that the target Ethernet Module is installed in. C-more does not support this type of communications. The Station Number field and the subsequent My Station Number field are the only to allow C-more a Unique Station Number on the Network.

  4. My Station Number: This is the Node Address setting of C-more. This value must be Unique on the Network. Your network conditions may restrict the value, possibly to the host part of the C-more IP address; for example, if the host computer has an IP of nnn.nnn.nnn.123 and the subnet mask is 255.255.255.000, My Station Number should be 123.

  5. Retries: This is the Number of Times that C-more will Retry to send a message if the request does not receive a reply in the specified Timeout period. Once the Retry count has been reached, C-more will show an error on the screen and begin trying to send messages again.

  6. Timeout Time: This is the amount of Time (in 100ms units) that C-more will wait on a Reply after sending a request. Once the Timeout Timer expires, it will then Retry.

  7. Poll Time: This is the Time (in milliseconds) that C-more will wait in between each message that it sends to a configured device (after the device responds). If this field is set to “0”, C-more will send messages as fast as its resources and the selected protocol will allow.

Connection Through Another Panel Option

In addition to providing the fields to configure the Protocol for the PLCs supported by C-more Touch Panels, the C-more Software's Panel Manager provides an option to Connect Through Another Panel. The Connection Through Another Panel selection allows you to connect a C-more Touch Panel to other C-more Touch Panels on your network via an Ethernet connection. This type of connection is also known as a Pass Through Connection.

To learn more about Pass Through and using the Connection Through Another Panel option, click on the green text.

Note: Power cycle the Omron PLC after changing port settings.


Omron CS/CJ FINS Ethernet Error Codes

The following table lists the Errors that can be generated by the Omron CS/CJ FINS PLC using the Ethernet Protocol.

The following Table provides reference information for Error Codes displayed by the C-more Touch Panels. If the Error Code is PLC-495, this Error Code identifies an Error that is specific to your PLC model.

For PLC specific Error Codes, make sure you are viewing the correct topic and locate the PLC Specific Errors Table found below.

To see the C-more Touch Panel Errors Table, which provides Error Codes specific to the C-more Touch Panels, click the green text.

PLC Error Codes

Error code format

"PLC-495 Error code aaaa (0xbbbb)" Displayed on the panel.

bbbb = unmasked error code from the PLC, see table below for explanation.

As you can see from the format above, Bit 15, 7 and 6 may be set depending upon the type of Error and the PLC state.

Note: The following Errors are generated from the designated PLC, monitored by the C-more panel, and displayed on the panel's screen if active. Please refer to the PLC manufacturer's documentation for additional and up-to-date information.

PLC Errors for Omron CS/CJ FINS Ethernet (PLC-495 Error Code aaaa (0xbbbb) Returned from PLC)
Error Code (bbbb) | Description
0103 | Local Error: Send Error from lack of buffer space. Try reducing Ethernet load to the module.
0201 | Destination Node Error: IP address of remote node not set correctly
0202 | Destination Node Error: No node with the specified unit address found
0205 | Destination Node Error: Packet corrupted or Response timeout. Try increasing timeout
0301 | Controller Error: Communications controller error
0302 | Controller Error: CPU Unit error. Check error LEDs on PLC. Refer to documentation for that CPU.
0304 | Controller Error: Unit number error. Make sure Unit number is not used twice.
0401 | Service unsupported: Undefined command
0501 | Routing table error: Destination address setting error. Routing table incorrect.
0502 | Routing table error: No routing tables
0503 | Routing table error: Routing table error
0504 | Routing table error: Too many relays
1001 | Command format error: Command too long. Bad packet: check for electrical noise and grounding.
1002 | Command format error: Command too short. Bad packet: check for electrical noise and grounding.
1003 | Command format error: Elements/data don't match. Bad packet: check for electrical noise and grounding.
1005 | Command format error: Header error. This is the error received when station # set in the command does not match the station # of the Ethernet module.
1100 | Parameter error: UDP socket number bad.
1101 | Parameter error: Address requested does not exist in PLC.
1103 | Parameter error: Address area requested in not accessible.
220F | Status error: Duplicate Socket error
2210 | Status error: Specified socket not open
2305 | Environment Error: IP address conversion failed. Only encountered when using routing tables.
2307 | Environment Error: IP address conversion set for automatic.
2503 | Unit error: I/O setting error
2505 | Unit error: CPU bus error
250A | Unit error: CPU Bus Unit error


Siemens S7-200 PPI PLC Setup

The following information applies only to the Siemens S7-200 PPI PLC compatible with C-more Touch Panels.

The C-more panel is the master when communicating with a Siemens PLC.

Locating the Siemens

S7-200 Configuration Information

To Configure the S7-200 PPI PLC to communicate with the C-more Touch Panel, you will first need to find the Port Settings for your Siemens PLC. To do this, open the Step 7-Micro/WIN Software and select the System Block icon on the left side panel of the Step 7 Software as shown below. This will open the System Block window, which is also shown below.

With the System Block window open to use as reference, continue to the C-more Programming Software to Configure the Panel Manager as discussed below.

C-more Panel Manager Settings

Access the Panel Manager by select from the Setup Menu located on the Main Menu or from the Function Tab of the Navigation Window as shown below.

From the Panel Manager window click on the DEV001 selection on the tree to the left to open the Device Setup screen of the Panel Manager window shown below.

From the PLC Protocol field, click on the down arrow [image] and select the Siemens S7-200 (Serial : PPI) selection.

Anytime you select a different PLC Protocol than the one already displayed, the Warning Message shown below will pop up. Click Yes to accept and the Fields for the selected Protocol will be displayed as shown on the applicable figure above.

All of the following settings must be set the same in Panel Manager in the C-more Programming Software as in Step 7-Micro/WIN Software. The C-more Panel Manager is shown above with the Siemens S7-200 PPI driver selected.

Use the Step 7-Micro/WIN Software screen on the top of this page as reference. Configure the Panel Manager selections as follows:

  1. PLC Slave Number: This is the PLC Address of the PLC Port that the C-more Touch Panel will be connected to.

Note: In the Step7 MicroWin Software, the settings for the Ports are displayed from left to right, meaning that Port 0 is on the left and Port 1 is on the right, as shown on the Step 7 graphic on the top of this page. However, on the physical PLC itself, Port 1 is on the left and Port 0 is on the right.

  2. Baud Rate: This setting should match the Baud Rate set in the System Block screen for the appropriate Port. The choices are 9600 or 19200.

  3. Parity, Stop Bit, Data Bit and Select RS485: These items are not adjustable from this window and are display only.

  4. Retries: This is the number of times that the Touch Panel will Retry to send a message if the request does not receive a Reply in the specified Timeout period. Once the Retry count has been reached, the Touch Panel will show an Error on the screen and begin trying to send messages again.

  5. Timeout Time: This is the amount of Time (in 100 milliseconds) that the Touch Panel will wait on a Reply after sending a request. Once the Timeout Timer expires, it will then Retry.

  6. Poll Time: This is the amount of Time (in milliseconds) that the Touch Panel will wait in between each request.


Siemens S7-200 PLC Addressing

Memory Type |  | Range | Description | Read/Write | Data Type
I | I | 0.00 - 15.7 | Input Memory | R/W | Bit
 | IB | 0 - 15 |  |  | Byte
 | IW | 0 - 14 |  |  | Word
 | ID | 0 - 12 |  |  | Double Word
Q | Q | 0.00 - 15.7 | Output Memory | R/W | Bit
 | QB | 0 - 15 |  |  | Byte
 | QW | 0 -14 |  |  | Word
 | QD | 0 - 12 |  |  | Double Word
M | M | 0.00 - 31.7 | Internal Memory | R/W | Bit
 | MB | 0 - 31 |  |  | Byte
 | MW | 0 - 30 |  |  | Word
 | MD | 0 - 28 |  |  | Double Word
SM | SM | 0.00 - 549.7 | Special Internal Memory | R/W | Bit
 | SMB | 0 - 549 |  |  | Byte
 | SMW | 0 -548 |  |  | Word
 | SMD | 0 - 546 |  |  | Double Word
V | V | 0.00 - 10239.7 | Internal Variable memory | R/W | Bit
 | VB | 0 - 10239 |  |  | Byte/String
 | VW | 0 - 10238 |  |  | Word
 | VD | 0 - 10236 |  |  | Double Word
T | TW* | 0 - 255 | Timer Done | R/W | Bit
 | T | 0 - 255 | Timer Acc. |  | Word
C | C | 0 - 255 | Counter Done | R/W | Bit
 | CW* | 0 - 255 | Counter Acc. |  | Word
AIW |  | 0 - 62 | Analog Input | R/W | Word
AQW |  | 0 - 62 | Analog Output | R/W | Word
* These addresses are accessed without the W in the PLC by simply changing the data type to a numeric form, e.g. the tag C-more shows as C1 will be C1, format “Bit” in the PLC and the tag C-more shows as CW1 will be C1, format “Signed” in the PLC.


Siemens PLC Error Codes

The following Table provides reference information for Error Codes displayed by the C-more Touch Panels. The Table refers only to PLC Error Codes. When the C-more Touch Panel displays Error Code PLC-499, this Error Code identifies an Error that is specific to your PLC model.

To see the C-more Touch Panel Errors Table, which provides Error Codes specific to the C-more Touch Panels, click the green text.

PLC PDU Header Errors for Siemens PLC (PLC-499: Error Code 0xaaaa)
Error Message | Description
0x0001 | Hardware Fault
0x0003 | Object access not allowed: Occurs when access to Timer and Counter data type is set to Signed Integer and not BCD.
0x0004 | Context not supported
0x0005 | Address out of range: Occurs when requesting an address within a Data Block that does not exist or is out of range, or with S7-1200/S7-1500, Timers and Counters are not supported.
0x0006 | Data Type not supported
0x0007 | Write Data size mismatch
0x000A | Object does not exist: Occurs when trying to request a Data Block that does not exist.
0x8000 | Function being used
0x8001 | Action is not allowed in current mode
0x8101 | Hardware fault
0x8103 | Access not allowed
0x8104 | Function not supported, or with S7-1500 “Permit access with PUT/GET communication from remote partner” needs to be enabled.
0x8105 | Address invalid
0x8106 | Data Type not supported
0x8107 | Data Type is not consistent with size
0x810A | Object does not exist
0x8500 | PDU Size is incorrect
0x8702 | Address is invalid
0xD201 | Block name syntax error
0xD202 | Error with function parameter
0xD203 | Error with block type
0xD204 | No linked block
0xD205 | Object already exists
0xD206 | Object already exists
0xD207 | Block already used in EPROM
0xD209 | Block does not exist
0xD20E | No Block does not exist
0xD210 | Block number incorrect


Siemens S7-200 Ethernet: ISO over TCP/IP Setup

The following information is applicable for setting up the C-more Touch Panel for Siemens S7-200 Ethernet : (ISO over TCP/IP).

The C-more panel is the master when communicating with a Siemens PLC.

Note: A CP 243-1 module is required for Ethernet connectivity between C-more and the S7-200 PLC.

C-more Touch Panel Manager Settings

  1. Access the Panel Manager by select from the Setup Menu located on the Main Menu or from the Function Tab of the Navigation Window as shown below.

  2. From the Panel Manager window click on the DEV001 selection on the tree to the left to open the Device Setup screen of the Panel Manager window shown below.

  3. From the PLC Protocol field, click on the down arrow [image] and select the Siemens S7-200 (Ethernet ; ISO over TCP/IP) selection.

Anytime you select a different PLC Protocol than the one already displayed, the Warning Message shown below will pop up. Click Yes to accept and the Fields for the selected Protocol will be displayed as shown on the applicable figure above.

The fields available are:

  1. IP Address: This is the IP address of the S7-200 CP 243-1 Ethernet module. The IP address can be found in the Module Address window of the STEP 7-Micro/WIN Ethernet wizard.

  2. TSAP Source ID(0 – FFFF): TSAP stands for Transport Service Access Point. The source TSAP ID needs to match the Remote Properties TSAP value in the STEP 7-Micro/WIN Ethernet wizard.

  3. TSAP Destination ID(0 – FFFF): The destination TSAP ID needs to match the Local Properties TSAP value in the STEP 7-Micro/WIN Ethernet wizard.

  4. Retries (0 – 10): This is the number of times that the panel will retry to send a message if the request does not receive a reply in the specified timeout period. Once the retry count has been reached, the panel will show an error on the screen and begin trying to send messages again.

  5. Timeout Time (1 – 255): This is the amount of time (in 100 milliseconds) that the panel will wait on a reply after sending a request. Once the Timeout timer expires, it will then retry.

  6. Poll Time: This is the amount of time (in milliseconds) that the panel will wait in between each request.

Step 7-Micro/WIN Setup

  1. To find the communication configuration settings for the Ethernet module for the S7-200, open up the STEP 7-Micro/WIN software and go to Tools>Ethernet Wizard.

Note: The Ethernet Wizard is not available when the STEP 7 - Micro/WIN software is in Monitor Mode.

  2. Click Next on the first window of the Ethernet Wizard.

  3. On the screen below, specify the Ethernet module’s position by either manually entering the value or clicking on the “Read Modules” button (if online with the PLC).

  4. If online and the Ethernet module is successfully found, it will show up as illustrated in the image below:

  5. After this is complete, click on the Next button to bring up the window shown below:

  6. Fill in the IP Address, Subnet Mask, and Gateway Address (when needed). This is the IP address that should be entered into the IP Address field in the C-more programming software Panel Manager settings window. Leave the BOOTP option disabled and leave the Module Connection Type as Auto Detect as shown below:

  7. After this is complete, click on the Next button to bring up the Module Command Byte configuration and Number of Connections selection:

  8. If you are online while going through the wizard and clicked on the “Read Module” position button previously, the Module Command Byte will be pre-filled and grayed out. If you are offline, this value will need to be entered manually. Refer to the Siemen’s documentation for information on what value to put into this field.

    T    he number of connections field determines how many devices the Ethernet module will communicate with. So if you are using only one C-more panel, a value of 1 can be placed in this field. If you are using two C-more panels, a value of 2 should be placed in this field, etc…

  9. Press Next to go to the Configure Connections window:

  10. Select the “This is a Server Connection” radio button. Once this selection has been made, some of the Local Properties options change as shown below:

  11. The server connection can then be configured to accept only connections from specific IP addresses or to Accept all connection requests (as shown below):

  12. Two important fields in this dialog are the Local TSAP value and the Remote TSAP value. The Local Properties TSAP value needs to match the TSAP Destination ID in the C-more programming software Panel Manager settings. The Remote Properties TSAP value needs to match the TSAP Source ID in the C-more programming software Panel Manager settings.

Note: Do not enter the period shown in the STEP 7 - Micro/WIN Software in the C-more programing software Panel Manager TSAP ID fields. For example, enter the TSAP Source ID for the setting shown above as "1000" in C-more, (NOT "10.00").

The “Enable the Keep Alive…” checkbox should be selected as well.

If you had previously selected more than "1" for the number of Peer to Peer connections, the "Next Connection" button would be available and you would click on it to configure the next connection. Note that it will automatically configure a new Local TSAP value for you.

After this windows has been configured, click on the Ok button.

The next screen (shown below) contains the CRC Protection selection and Keep Alive Interval. Neither of these settings affects the interaction between C-more and the S7 PLC. Configure these as the Siemen’s documentation recommends for your application.

  13. Click Next to bring up the memory allocation for configuration option. Click on the “Suggest Address” button to allow the wizard to find an unused block of memory for the Ethernet Module Configuration settings. These cannot overlap with other memory areas already being used; otherwise the module will not function correctly. After this has been configured properly, click on Next.

  14. The Ethernet Configuration Wizard is now completed. The project will need to be downloaded to the PLC and the PLC should be power cycled before attempting to connect C-more to the PLC.

Note: Any time the Ethernet module settings are changed, the PLC should be power cycled.


Siemens Ethernet ISO over TCP/IP (S7-300/400) Setup

The following information applies only to the Siemens Ethernet ISO over TCP/IP (S7-300) PLC compatible with C-more Touch Panels.

The C-more panel is the master when communicating with a Siemens PLC.

Locate PLC's Configuration Information

To Configure the PLC to communicate with the C-more Touch Panel, you will first need to find the Port Settings for your Siemens PLC. To do this, open the SIMATIC Manager Software and project. From the SIMATIC Manager window, select the Hardware option located on the right side pane and indicated below.

When Hardware is selected, the HW Config (Hardware Configuration) window shown below will open.

From the figure shown above:

  1. Note the Rack Number of the device you are trying to connect to. For the sample shown above, this Number is shown in parenthesis next to the text that says UR.

  2. Note the Slot Number listed. For the example shown above the Slot Number is 2. Both the Rack Number and Slot Number are necessary configuration parameters for the C-more Programming Software Panel Manager setup.

  3. Double click on the X3 PN-IO cell. This will open the Properties - PN-IO window shown below.

From the figure shown above:

  1. Make sure the General Tab is selected to see the details shown above.

  2. The current PLC IP Address will be displayed on this location.

Note: If using a communications module, use the IP Address of the communications module in place of the PLC IP Address.

  3. Click on the Properties button to see more details on the IP Configuration. When selected, the Properties window shown below will open.

  1. Click on the Parameters Tab to select it.

  2. This window displays the IP Address and Subnet Mask settings for the PLC. This is the IP Address to enter in the C-more Programming Software Panel Manager setup window. Be sure that the Subnet Mask shown matches the Subnet Mask of the C-more Touch Panel.

C-more Panel Manager Settings

To access the Panel Manager from the C-more Programming Software, from the Main Menu select Setup. The drop down menu shown below opens.

From the Setup drop down menu, select the Panel Manager selection. From the Panel Manager window click on the DEV001 selection on the tree to the left to open the Device Setup screen of the Panel Manager window shown below.

From the PLC Protocol field, click on the down arrow [image] and select the Siemens S7-300 (Ethernet : ISO over TCP/IP) selection.

All of the following settings must be set the same as the settings in Panel Manager in the C-more Programming Software. The C-more Panel Manager is shown above with the Siemens Ethernet S7-300 driver selected.

Use the SIMATIC Software screen on the top of this page as reference. Configure the Panel Manager selections as follows:

  1. IP Address: This is the IP Address of the S7-300 or S7-400 CPU (319-3). The IP Address can be found in the PN-IO parameter setting of the CPU in the SIMATIC Hardware configuration tool (shown above).

  2. PLC Port (0-65535): TCP port at the PLC. This setting is not configurable.

Note: If using a communications module, use the IP Address of the communications module in place of the PLC IP Address.

  3. Link Type (1-3): This selects what Link Type the C-more Touch Panel will be. Most of the times, this should be left at 2 (OP). There are limited numbers of connections for each Link Type that can be connected to the PLC. If that limit has been reached with the OP Link to the CPU, a different Link Type can sometimes be used. Refer to the Siemens documentation for the limitations of the various Link Types.

  4. Rack Number (0-9): This is the Rack Number of the CPU that is being targeted by C-more. Refer to the SIMATIC Hardware Configuration setting discussed above for this value.

  5. Slot Number (0-9): This is the Slot Number of the CPU that is being targeted by C-more. Refer to the SIMATIC Hardware Configuration setting for this value.

  6. Retries (0-10): This is the Number of Times that the Touch Panel will Retry to send a message if the request does not receive a reply in the specified Timeout Period. Once the Retry Count has been reached, the Touch Panel will show an Error on the screen and begin trying to send messages again.

  7. Timeout Time (1-255): This is the amount of Time (in 100 millisecond units) that the Touch Panel will wait on a Reply after sending a Request. Once the Timeout Timer expires, it will then Retry.

  8. Poll Time (0-30000): This is the amount of Time (in milliseconds) that the Touch Panel will wait in between each Request.


Siemens S7-300 (Ethernet:ISO over TCP/IP) Addressing

Memory Type |  | Range | Description | Read/Write | Data Type
I | I | 0.00 - 65535.7 | Input Memory | R/W | Bit
 | IB | 0 - 65536 |  |  | Byte
 | IW | 0 - 65535 |  |  | Word
 | ID | 0 - 65535 |  |  | Double Word
Q | Q | 0.00 - 65535.7 | Output Memory | R/W | Bit
 | QB | 0 - 65536 |  |  | Byte
 | QW | 0 - 65535 |  |  | Word
 | QD | 0 - 65535 |  |  | Double Word
M | M | 0.00 - 65535.7 | Internal Memory | R/W | Bit
 | MB | 0 - 65536 |  |  | Byte
 | MW | 0 - 65535 |  |  | Word
 | MD | 0 - 65535 |  |  | Double Word
DB | DBX | 1.0 - 65535.65535 | Data Block Memory | R/W | Bit
 | DBB |  |  |  | Byte
 | DBW |  |  |  | Word
 | DBD |  |  |  | Double Word
* T |  | 0 - 255 | Timer Acc. | R/W | Word
* C |  | 0 - 255 | Counter Acc. |  | Word

* Timers and Counters only accept values up to 999 in BCD. If you attempt to write a value greater than 999, it will only accept the lower 12 bits (least significant 3 digits). The upper 4 bits are used for the Time Base. Refer to Siemens documentation for a more specific breakdown of the Timer Bit pattern.

Siemens Elementary Types | C-more Tag Data Type | Siemens Memory Types
BOOL | Discrete | I/Q/M/DBX
BYTE | Signed Int 16 | IB/QB/MB/DBB
WORD |  | IW/QW/MW/DBW
INT
DWORD | Signed Int 32 | ID/QD/MD/DBD
DINT
REAL | Floating PT 32 | ID/QD/MD/DBD
CHAR | Ascii String | DBB String/DBB Char

View the PLC Variables Status

To view the Status of the Variables in the PLC, once you are Online with the PLC, from the Main Menu of the SIMATIC Manager Software, click on the PLC (1) selection and select Monitor/Modify Variables (2) from the drop down menu as shown below.

The Variables Monitoring window shown below will open. From this window, you can enter the Variables and Monitor their states.

Data Block Addressing

Data Block Addressing syntax differs some between what is seen in the SIMATIC Software and in C-more. To view the Data Block, double click on the specific Data Block you wish to view in the main SIMATIC Manager window. When a specific Data Block is selected, a window like the one shown below will open.

From the figure shown above:

  1. The image above shows DB1.

  2. Inside DB1, there are Four Variables:

    • MOTOR_RPM is addressed at byte0 and is a 16 bit Integer.
    • SETPOINT_RPM is addressed at byte2 and is also a 16bit Integer.
    • START is addressed at byte 4, bit 0 and is a Boolean.
    • STOP is addressed at byte 4, bit 1 and is a BOOLEAN.

These Four Variables would be Addressed as follows in C-more:

  1. MOTOR_RPM = Memory Type: DB.DBW Address: 1.0

  2. SETPOINT_RPM = Memory Type: DB.DBW Address: 1.2

  3. START = Memory Type: DB.DBX Address: 1.4 Bit: 0

  4. STOP = Memory Type: DB.DBX Address: 1.4 Bit: 1

SIMATIC Variables Addressing Siemens Vs. C-more
SIMATIC Variable | Siemens Addressing | C-more Addressing
 |  | Memory Type | Address | Bit
MOTOR_RPM | DB1.DBW 0 | DB.DBW | 1.0 |
SETPOINT_RPM | DB1.DBW 2 | DB.DBW | 1.2 |
START | DB1.DBX 4.0 | DB.DBX | 1.4 | 0
STOP | DB1.DBX 4.1 | DB.DBX | 1.4 | 1
 | Note: Please note that there is a space (shown in red on the Address sample) on all the Siemens Addressing (DB1.DBW 0). Note: The information provided above for C-more Addressing is used for the C-more PLC Address fields shown below.

Using the Variable #3 as a sample, the Tag Name window from C-more would look as follows:

If you view these Variables in the Variable Table of the SIMATIC Manager, they look more like the C-more syntax. To view, from the Main Menu of the SIMATIC Manager Software, click on the PLC (a) selection and select Monitor/Modify Variables (b) from the drop down menu as shown below.

The Variable Monitor Table window shown below will open. From this window you can Monitor the Variables shown.


Siemens Ethernet ISO over TCP/IP (S7-1200) Setup

Topic: CM636

Siemens Ethernet ISO over TCP/IP (S7-1200 or S7-1500) Setup

The following information applies only to the Siemens Ethernet ISO over TCP/IP (S7-1200 or S7-1500) PLC compatible with C-more Touch Panels.

The C-more panel is the master when communicating with a Siemens PLC.

Locate PLC's Configuration Information

To Configure the S7-1200 or S7-1500 PLC to communicate with the C-more Touch Panel, you will first need to find the Port Settings for your Siemens PLC.

Find the Rack and Slot numbers. Devices > Device Configuration > click on CPU > Project Information, Rack 0, Slot 1.

From the figure shown above:

  1. Note the Rack Number of the device you are trying to connect to.

  2. Note the Slot Number listed. For the example shown above the Slot Number is 2. Both the Rack Number and Slot Number are necessary configuration parameters for the C-more Programming Software Panel Manager setup.

Assign Static IP to the Ethernet Interfaces:

This is the IP Address to enter in the C-more Programming Software Panel Manager setup window. Be sure that the Subnet Mask shown matches the Subnet Mask of the C-more Touch Panel.

C-more Panel Manager Settings

Enable external access “Permit access with PUT/GET communication from remote partner”.

To access the Panel Manager from the C-more Programming Software, from the Main Menu select Setup. The drop down menu shown below opens.

From the Setup drop down menu, select the Panel Manager selection. From the Panel Manager window click on the DEV001 selection on the tree to the left to open the Device Setup screen of the Panel Manager window shown below.

From the PLC Protocol field, click on the down arrow [image] and select the Siemens S7-300/400 (Ethernet : ISO over TCP/IP) selection.

All of the following settings must be set the same as the settings in Panel Manager in the C-more Programming Software. The C-more Panel Manager is shown above with the Siemens Ethernet S7-300/400/1200 driver selected.

Use the TIA Portal (SIMATIC STEP 7) screen on the top of this page as reference. Configure the Panel Manager selections as follows:

  1. IP Address: This is the IP Address of the S7-1200 or S7-1500 CPU. (shown above)

  2. PLC Port (0-65535):TCP port at the PLC. This setting is not configurable.

  3. Link Type (1-3): This selects what Link Type the C-more Touch Panel will be. Most of the times, this should be left at 2 (OP). There are limited numbers of connections for each Link Type that can be connected to the PLC. If that limit has been reached with the OP Link to the CPU, a different Link Type can sometimes be used. Refer to the Siemens documentation for the limitations of the various Link Types.

  4. Rack Number (0-9): This is the Rack Number of the CPU that is being targeted by C-more.

  5. Slot Number (0-9): This is the Slot Number of the CPU that is being targeted by C-more.

  6. Retries (0-10): This is the Number of Times that the Touch Panel will Retry to send a message if the request does not receive a reply in the specified Timeout Period. Once the Retry Count has been reached, the Touch Panel will show an Error on the screen and begin trying to send messages again.

  7. Timeout Time (1-255): This is the amount of Time (in 100 millisecond units) that the Touch Panel will wait on a Reply after sending a Request. Once the Timeout Timer expires, it will then Retry.

  8. Poll Time (0-30000): This is the amount of Time (in milliseconds) that the Touch Panel will wait in between each Request.


Siemens S7-1200 (Ethernet:ISO over TCP/IP) Addressing

Memory Type |  | Range | Description | Read/Write | Data Type
I | I | 0.00 - 65535.7 | Input Memory | R/W | Bit
 | IB | 0 - 65536 |  |  | Byte
 | IW | 0 - 65535 |  |  | Word
 | ID | 0 - 65535 |  |  | Double Word
Q | Q | 0.00 - 65535.7 | Output Memory | R/W | Bit
 | QB | 0 - 65536 |  |  | Byte
 | QW | 0 - 65535 |  |  | Word
 | QD | 0 - 65535 |  |  | Double Word
M | M | 0.00 - 65535.7 | Internal Memory | R/W | Bit
 | MB | 0 - 65536 |  |  | Byte
 | MW | 0 - 65535 |  |  | Word
 | MD | 0 - 65535 |  |  | Double Word
DB | DBX | 1.0 - 65535.65535 | Data Block Memory | R/W | Bit
 | DBB |  |  |  | Byte
 | DBW |  |  |  | Word
 | DBD |  |  |  | Double Word
 |  | Note: Timers and Counters are System Blocks that are not addressable. Note: Data_Blocks must have “Optimized Block Access” DISABLED in the Simatic Step 7 software.

Use the Offset column of the Data Block as the byte address for C-more. Even though the DB is defined as “Int” the offset is still byte not word.

Siemens Elementary Types | C-more Tag Data Type | Siemens Memory Types
BOOL | Discrete | I/Q/M/DBX
BYTE | Signed Int 16 | IB/QB/MB/DBB
WORD |  | IW/QW/MW/DBW
INT
DWORD | Signed Int 32 | ID/QD/MD/DBD
DINT
REAL | Floating PT 32 | ID/QD/MD/DBD
CHAR | Ascii String | DBB String/DBB Char

View the PLC Variables Status

To view the Status of the Variables in the PLC, once you are Online with the PLC, from the Devices Tree of the TIA Portal (SIMATIC STEP7), add or open an existing Watch Table.

Data Block Addressing

Data Block Addressing syntax differs some between what is seen in the TIA Portal (SIMATIC STEP7) and in C-more. To view the Data Block, double click on the specific Data Block you wish to view. When a specific Data Block is selected, a window like the one shown below will open.

From the figure shown above:

  1. The image above shows DB2.
  2. Inside DB2, there are Four Variables:
    • MOTOR_RPM is addressed at byte0 and is a 16 bit Integer.
    • SETPOINT_RPM is addressed at byte2 and is also a 16bit Integer.
    • START is addressed at byte 4, bit 0 and is a Boolean.
    • STOP is addressed at byte 4, bit 1 and is a BOOLEAN.

If the "Offset" column is not displayed, right-click any column header to Show / Hide Columns.

These Four Variables would be Addressed as follows in C-more:

  1. MOTOR_RPM = Memory Type: DB.DBW Address: 2.0
  2. SETPOINT_RPM = Memory Type: DB.DBW Address: 2.2
  3. START = Memory Type: DB.DBX Address: 2.4 Bit: 0
  4. STOP = Memory Type: DB.DBX Address: 2.4 Bit: 1

SIMATIC Variables Addressing Siemens Vs. C-more
SIMATIC Variable | Siemens Addressing | C-more Addressing
 |  | Memory Type | Address | Bit
MOTOR_RPM | DB2.DBW 0 | DB.DBW | 2.0 |
SETPOINT_RPM | DB2.DBW 2 | DB.DBW | 2.2 |
START | DB2.DBX 4.0 | DB.DBX | 2.4 | 0
STOP | DB2.DBX 4.1 | DB.DBX | 2.4 | 1
 | Note: Please note that there is a space (shown in red on the Address sample) on all the Siemens Addressing (DB2.DBW 0). Note: The information provided above for C-more Addressing is used for the C-more PLC Address fields shown below.

Using the Variable #3 as a sample, the Tag Name window from C-more would look as follows:

If you view these Variables in the Watch Table of the TIA Portal (SIMATIC STEP7), they look more like the C-more syntax. From the Devices tree add new watch table or open an existing watch table.

The Watch and Force Tables window shown below will open. From this window you can Monitor the Variables shown.


Wiring Diagrams Link

Please Note!

This opens a web page with the PDF version of Chapter 6

of the C-more Panel manual, which is the PLC Communications

Chapter and includes Cables and Wiring Diagrams.

Internet Connection is required to view...

If you have Internet Connection, click below to open the Chapter 6.


Communication Configuration

Communication Configuration Description

The Communication Configuration setup is located on the bottom portion of the Panel Tab of the Navigation Window. The Communication Configuration allows the user to choose the method to be used to connect the PC and the panel.

The Communication options are:

  1. USB: Click on the USB radio button to choose to communicate with the panel via USB. The USB cable between the PC and the panel must be connected. Once a connection between the PC and panel is detected, the Red indicator will turn Green.
  2. Ethernet: Click on the Ethernet radio button to choose to communicate with the panel via Ethernet. There must be an Ethernet network connection between the PC and the panel. Once a connection between the PC and panel is detected, the Red indicator will turn Green. If necessary, click on the down arrow [image] on the field to view a list of available panels on the network. Select the panel you want to use. If the panel you are connecting to has been previously connected, the panel IP Address will be available in the dropdown [image] list.

If the panel you want to use is not listed, click on the Browse button to open the Ethernet Connection Setup window and find the panel. To learn more about the Browse selection, click here: Ethernet Connection Setup


C-more Protocol Timing Settings

General Rules of How The Touch Panel Formulates Requests

The C-more Touch Panel optimizes it’s Data Request as much as the Protocol will allow. This means that it will take the Objects addresses on the screen and any addresses being updated in the background (i.e., Event Manager Tags, PLC to Panel Tags, Trend Graphs, etc.) and put them together in as few Requests as possible.

The screen configuration shown below will necessitate three separate Requests from the panel. Some general rules of why the Touch Panel must separate the Requests are:

  1. Different Data Types require different Requests.

  2. Long gaps between addresses within a Data Type (generally about 128 bytes is the rule).

In addition, the Touch Panel separates requests from Dynamic Text Objects because of their varying length.

Poll Time and Timeout

When setting up PLC Protocols to work with the C-more Touch Panels, there are two Timing fields that may be available during the setup process. A sample of these fields is shown below followed by a description for each.

  1. Timeout: This represents the Time allowed for a Response. The Response Time is the Time that the Touch Panel measures between sending out a Request and receiving a Response. If this Time exceeds the Timeout setting entered in the Timeout field, then the Touch Panel will give a “PLC Timeout Error” on the screen.

  2. Poll Time: This represents the Time that the Touch Panel “injects” between when it receives the last Response and before it sends the next Request.

The figure below is a diagram showing how the Requests and Responses reflect the Response Time and how after the Poll Time is completed, a second Request is sent. Of course, the process repeats constantly.

Reasons for Adjusting Poll Time

  1. To get faster updates on the Touch Panel, reduce the Poll Time as much as possible.

  2. If the device the Touch Panel is communicating with has a heavy load (i.e., long scan times, other devices communicating with it, etc.), Increase the Poll Time to allow other processes to get serviced better.

  • Example: Multiple C-more Touch Panels to one PLC using ECOM. The ECOM is bottlenecked by the backplane. The ECOM can only send one request to the CPU via the backplane per scan. So if the PLCs scan is long and there are multiple C-more Touch Panels requesting Data, the ECOMs buffer can overload. Increase the Poll Time to help with this situation.

Reasons for Adjusting Timeout

  1. If the PLCs scan is long, you may have to Increase the Timeout value to compensate. Our PLCs will only respond with Data once per scan.

  2. Using Radio Modems or other converters that create a delay in the Response.

  3. If you get PLC Timeout Errors on the Touch Panel and all of the rest of the settings have been verified, this is the setting to try to adjust next.


Concurrent C-more Connection Limits

One of the major benefits of Ethernet connectivity is the ability to have more than 1 network master (Client) communicating to a PLC or device. A common question that arises when using C-more (since it is a network master on most of the Protocols that it supports) is how many C-mores can be concurrently connected to 1 device?

The answer to this question is: it depends…

There are many factors that affect the answer of how many C-mores that can be concurrently connected to an Ethernet device. If the Protocol being used is over TCP, most devices will have a TCP connection limit. The resources of the Ethernet device are a factor. The PLC scan time (assuming the device is a PLC) will be a major factor. And the rate at which C-more sends requests (“Poll Time” field in C-more Programming Software Panel Manager) can be a tremendous factor.

As you can tell from the information above, the number of concurrent C-mores that can be successfully connected to a device is very application specific. But to give a general idea of what can be achieved; several tests were run with C-more to its supported PLCs on Ethernet and the results are posted in the table below. The PLCs were running almost no logic in the tests performed in the table below so the scan times were much faster than what would be normal in most applications. Unless otherwise noted, the C-more projects were configured for a 0 poll rate which means that it will send requests as fast as it can (when not busy doing other things).

Note: The results noted below may not be typical for your application. The chart below should be used as a guideline and not a specification for your system. It is also important to note that even when successfully achieving the number of concurrent connections shown in the table below, the update and performance of your project running on the C-more panel may not be acceptable for your application. Additional optimizations in your C-more project and/or PLC project may be needed.

Protocol | PLC used in Test | # C-more panels Connected | Notes
AutomationDirect ECOM Ethernet (DL05/06/205/405) | DL260 & H2-ECOM100 | 32 | Use an increased Poll rate of 100ms
AutomationDirect Productivity3000 (P3-550) | P3-550 | 32 |
Allen-Bradley EtherNet/IP Client (MicroLogic 1100) | (1100) 1763-L16BWA | 16 |
Allen-Bradley EtherNet/IP Client (MicroLogic 1100) | (1400) 1766-L32BXBA | 16 |
Allen-Bradley EtherNet/IP Client (SLC5/05/ENI Adapter) | (SLC 5/05) 1747-L551-L551 FRN10 | 28 |
Allen-Bradley EtherNet/IP Client (SLC5/05/ENI Adapter) | (SLC 5/05) 1747-L552 FRN8 | 20 |
Allen-Bradley EtherNet/IP Client (SLC5/05/ENI Adapter) | (ENI) 1761-NET-ENI | 4 |
Allen-Bradley EtherNet/IP Client (Control/CompactLogix) | *(Control) 1756-L61A | 32 | Use an increased Poll rate of 100ms
Allen-Bradley EtherNet/IP Client (Control/CompactLogix) | (Compact) 1769-L35E | 32 |
Entivity Modbus TCP/IP Ethernet (H2-WinPLC) | H2-WPLC2 | 20 | Use an increased Poll rate of 100ms
Siemens S7-200 (Ethernet:ISO over TCP/IP) | CPU226 & CP243-1 | 8 |
Siemens S7-300 (Ethernet:ISO over TCP/IP) | CPU319-3 | 32 |
Mitsubishi Q/QnA Ethernet | Q12HCPU & QJ71E1-100 | 16 |
Omron CS/CJ FINS Ethernet | CJ1H CPU65H & ETN21 | 32 | Station #8 reserved, do not use
*Notes:
1. When tested using a 1756-ENBT/A, (4) C-mores connected utilized 42% of the PLC's Ethernet Module "System Resource Utilization".
2. When tested using a 1756-EN2T/A, (4) C-mores connected utilized 12% of the PLC's Ethernet Module "System Resource Utilization".

Device | Version
DL260 | Ver. 2.60
H2-ECOM100 | Ver. 4.0.0.1456
P3-550 | Ver. 1.0.7.20
(1100) 1763-L16BWA | Ser. A Rev. C FRN 3
(1400) 1766-L32BXBA | Ser. A Rev. A FRN 3
(SLC 5/05) 1747-L551-L551 FRN10 | OS501 Ser. C FRN 10
(SLC 5/05) 1747-L552 FRN8 | OS501 Ser. C FRN 8
(ENI) 1761-NET-ENI | Ser. C FRN 3.01
(Control) 1756-L61A | Rev. 17
1756-ENBT/A | Rev. 3.01
1756-EN2T/A | Rev. 1.003
(Compact) 1769-L35E | Rev. 17
H2-WPLC2 | Ver. 8.0.0.0
CPU226 | Rev. 02.01
CP243-1 | Rev. 0101 Hardware Rev. 1
CPU319-3 | Ver. 2.4
Q12HCPU | Ver. B 0911
QJ71E1-100 | Ver. D 0911
CJ1H CPU65H | Rev. L Soft Rev. AB
ETN2 | Rev. J Soft Rev. C


Connect Panel Information

Topic: CM527

Connected Panel Information

Accessing Connected Panel Information

The Panel Information window is useful for seeing important information about the panel without going to the system screen locally. Going to the system screen pauses the project running in the panel which may not be desired in an actively running process.

To see information about the connected panel double click Panel Information in the Panel tab on the Navigation Window as shown below.

The Connected Panel Information window will open as shown below.

No settings can be changed from the Connected Panel Information window.

  1. The Title Bar of the window includes the Name of the panel. If the connection to the panel is currently via Ethernet, the Title Bar includes the panel IP address. However, if the current connection to the panel is USB, no address displays in the title bar.

    The Panel Name and IP Address are entered or updated in the Panel Network dialogue, accessed from Setup on the Main Menu Bar.

  2. General Information: Besides information about the panel model, Power Voltage status may be seen in this window. This is useful for checking to see if the panel is in Low Power mode due to supply low voltage.

  3. Memory: Memory information is useful for seeing how much memory your project requires and how much free memory remains.

    The panel’s MRAM and built-in FLASH memory information can be seen by selecting the corresponding radio button. If an optional SD card and/or USB memory device is installed in the panel, information for those locations will be selectable as well.

  4. Revision: The Runtime and System Screen (firmware) version is updated using the Upgrading Firmware utility accessed from the Panel selection on the Main Menu Bar.


Connecting Multiple PLCs to a Single C-more Panel

Multiple PLCs can be connected to a single C-more touch panel.

Note: Some protocols do not support multi-drop, for example Allen-Bradley DF1 Full Duplex or Mitsubishi FX Series.

Note: The C-more panel is the master on a multi-drop network.

Some protocols do not support 2 wire RS485 and must be wired RS422 to multi-drop. Protocols that support RS485 have a "Select RS485" option in the protocol setup window of the Panel Manager.

Note: Serial networks are restricted to 1000 m between two devices or a device and a repeater.


Connection Through Another Panel (Pass Through)

Topic: CM010

Connection Through Another Panel (Pass Through)

The following information applies to the Connection Through Another Panel option available on All the PLC Panel Manager Setup windows.

Connection Through Another Panel Option

(Pass Through)

In addition to providing the fields to configure the Protocol for the PLCs supported by C-more Touch Panels, the C-more Software's Panel Manager provides an option to Connect Through Another Panel. The Connection Through Another Panel selection allows you to connect a C-more Touch Panel to other C-more Touch Panels on your network via an Ethernet connection. This type of connection is also known as a Pass Through Connection.

The Connect Through Another Panel option allows a Panel (the Client Panel) to use a second Panel (the Server Panel) that is connected to a PLC serially, as its connection to the Server Panel's PLC. Therefore, the Server Panel will pass data through itself from the Client Panel to the PLC and from the PLC to the Client Panel.

There are several advantages to this option:

  • Where you can not normally have multiple Touch Panels on one serial network, unless it is a multiple master network, Pass Though will allow you to connect multiple panels to a PLC that only supports Serial communications.

  • If the PLC is already connected serially to a C-more Touch Panel and the Panel can be connected to a local Ethernet network, Multiple Touch Panels can be connected anywhere on the same Ethernet network and communicate with the PLC as if serially connected to the PLC themselves.

The following is an example of a Panel Pass Through Connection:

  1. Each PLC is operating an independent application and is connected to a C-more Touch Panel through a serial connection.

  2. Each C-more Touch Panel is connected to the Ethernet network. The Server panels do not have Connect Through Another Panel configured. Each Server panel needs only a unique IP address in addition to the communication configuration between itself and the serially connected PLC.

  3. The Client panel is configured to use Pass Through and communicates with the Server panels on an Ethernet network. The Client panel is configured with it's own unique IP address.

  4. The Name of the PLC must be identical in the Server panel and in the Client panel.

  5. The PLC Protocol must be identical in the Server panel and in the Client panel.

  6. Select the IP Address of the Server panel. A list of previously connected panels can be accessed by clicking the down arrow [image] in the IP Address field. Or, click the Select IP Address button to open the Ethernet Connection Setup window and select your panel.


Disable PLC Node

If a Device connected to a C-more should be deactivated while the C-more project continues to run, an internal tag can be created to identify to the C-more project that communication errors from that device should not be displayed.

For example, a C-more panel communicates with two PLCs, each controlling a separate production cell. When a PLC is powered down for maintenance and “PLC Communication Timeout” Errors would be a nuisance, this feature can identify the PLC as disabled. Communication errors from that PLC will not display while the internal DISABLE tag is ON.

How to use this feature
  1. Create an Internal Tag based on the following rule: %[device name]_DISABLE%

    For example, if the device name is "    DEV001", the Tagname needs to be "%DEV001_DISABLE%", without the quotes.

    In order to keep the setting, you may want to create this tag as a retentive tag.
  2. Assign this tag to a Pushbutton.
  • ON = Disable
  • OFF = Enable
  3. Transfer the project to the panel.
  4. Select ON/OFF and then do power cycle. (Power cycle is required for any change in the setting to take affect.)


Ethernet Connection Setup

Ethernet Connection Setup Window

The Ethernet Connection Setup window is accessed primarily from the Navigation window by selecting the Panel tab. In the Communications Config window at the bottom of the Panel tab, select Ethernet and click on the Browse button. It can also be accessed in the Read From Panel window and Project Transfer window by selecting the Browse button.

Online Link List

The Online Link List tab displays a list of all the C-more Panels connected on the same network as the PC running the Programming Software.

Although the Programming Software can browse to these panels to populate the Online Link List, the panel must be on the same Subnet as the PC for the Programming Software to be able to Blink the Screen, Read a Project from the panel or Send a Project to the panel.

  1. Select Network: Allows you to select the Network Interface Card (NIC) in the PC. This is helpful to limit the browse to a specific network when a PC has multiple network interfaces. For example, the local plant network and the enterprise information network.
  2. Browse Network: Refreshes the list by performing a Broadcast and Multicast simultaneously from the selected NIC to attempt to establish communication with C-more Panels connected to the Network.

    Any C-more Panel on the Network that can receive the Broadcast or Multicast and respond to the PC will be displayed on the Online Link List.
  3. Status Icon:

If the Status Icon is Red, select the Details button. See information later in this topic.

  4. Details: Opens the Connection Details windows, which shows the network details of the selected panel.

In this window you can see the PC and Panel, IP Address and Subnet Mask.

In most cases in order to connect the PC must be on the same logical network as the Panel. This window allows you to edit the IP Address of the Panel through the Change IP Address button to correct a mismatch.

Notes: Informative notes will display when the Status Icon is Red.

Sometimes notes may display even though the status icon is green. This is not a problem. In some cases a connection can still be made even though the logical Network addresses do not match.

Unmatched Network Address:

The Network Address is derived by AND-ing the IP Address with the Subnet Mask.

Problem Case:

The Network Address of the PC and the Panel do not match and will not be able to connect.

No Problem Case:

The Network Addresses of the PC and the Panel do not match but the status indicator will be green and the PC and Panel will still connect because 10.11.0.110.0 is part of the same network as 10.11.0.0.

Unmatched Subnet Mask:

The Subnet Mask for the PC and Panel do not match. This is not necessarily a problem, but unmatched Subnet Masks could be the cause of an unmatched Network Address. The best practice is to have matching subnet masks to eliminate the potential for network communication issues.

In the configuration below, the unmatched Subnet Mask causes the Network Address to be unmatched. Therefore causing a connection issue. If the Subnet Mask for both were 255.255.0.0 then the Network Address for both would be 10.11.0.0 allowing a connection.

Note: See your Network Administrator for the proper settings for your network.

  6. F/W Version:

If Software and Firmware versions are not the same, then you must Update Firmware in the panel version as the software being used.

  7. Blink Screen: When a panel is selected in the browse list, the Blink Screen button is used to provide a way for the user to confirm that the correct panel has been selected by Blinking the panel backlight several times.
  8. Change IP Address: Opens the dialog below where the Panel Name and IP Address can be edited.

In this dialog you may change:

  • Panel Name
  • Network Settings:
  • Obtain Address from DHCP Service This selection allows the panel to query the network for a DHCP server that will then assign an IP Address to the panel automatically if a DHCP server exists on the network. If there is no response from a DHCP server, the panel will follow APIPA standards and assume an IP Address that starts with 169.254.xxx.xxx.

    The APIPA assigned address is not recommended because it may change without notice.

    This setting is convenient for setting up a panel on an established network for programming and configuration purposes.

    This setting is not recommended for control networks because the IP Address assigned by the DHCP server may be changed by the server without warning causing potential communication issues.
  • Use the following IP Address: This selection allows you to manually set the IP Address, Subnet Mask and Default Gateway.

    This selection is recommended for control networks so that the IP Address will not change.
  • IP Address: The IP Address is unique for each device on the Local Area Network (LAN). If the IP Address is duplicated anywhere on the network, the panel will not communicate properly. See your network administrator for an available IP Address.
  • Subnet Mask: Unlike the IP Address, the Subnet Mask should be the same for each device on the Local Area Network (LAN) that will be communicating with each other. See your network administrator for the proper Subnet Mask.
  • Default Gateway: If a Router is used to connect the LAN to another network and the C-more will be communicating with devices on the other network, then this is the IP Address of the Router. See your network administrator for the proper Default Gateway address.

  9. Remote Link List: The Remote Link List allows the user to connect to Panels that are not on the same network as the PC, for example, a Panel that resides on the Internet or a Virtual Private Network (VPN).

    The Online Link List uses Broadcast and Multicast, which are blocked by Routers by default. Remote Link uses a Unicast, that is, it uses the IP Address you enter for a specific panel to connect to that panel, which is not blocked by routers by default.

  1. Link Name: Enter any desired Name for this link. It is only for display purposes in the Remote Link List.
  2. IP Address: Enter the known IP Address of the panel you wish to connect.
  3. Port Number: Enter the TCP Port number of the panel or the remote network router you wish to target. The C-more Panel programming port number is 9999. The only reason this number would be changed is for use with Port Forwarding in a Router.
  4. Timeout: Enter how long the software should wait for a connection response. Increasing this value may help stay connected on a noisy or slow connection.
  5. Retries: Enter how many times the software should try to connect before displaying an error. Increasing this value may help stay connected on a noisy or slow connection.
  6. Panel Setting Timeout: This is the period of time the panel will wait if the connection from the PC is interrupted. Increasing this value may help stay connected on a noisy or slow connection. Keep in mind the higher this value the longer it will take for the panel to be available for another connection after the previous connection is lost.


Panel to PLC Tab

This selection allows the user to configure specific Panel to PLC communications.

Panel to PLC Configuration

The Panel to PLC configuration is used to send Panel information to the PLC. To access the Panel to PLC window from the Main Menu, click on the Setup selection. The Setup drop down menu shown below will display. From this drop down menu, select the PLC <-> Panel selection.

To access the Panel to PLC window from the Navigation Window, click on the Function Tab. Select PLC <-> Panel from the Setup branch of the Function tree.

Once selected, the PLC<->Panel window shown below will open.

This window opens with the Panel to PLC tab selected. If not selected, click on the Panel to PLC tab.

The following fields are available for this tab:

  1. Current Screen: Writes the Screen Number that the Panel is currently displaying into the PLC Address associated with the Tag.

  2. Good Communication Toggle: Used to confirm a good connection between the Panel and the PLC. The Tag toggles On to OFF on a 5 second interval.

  3. Popup Keypad: Used to indicate to the PLC when a Popup Keypad is displayed. (ON = Keypad Active).

  4. Current Language Number: Writes the Number of the Language currently being displayed on the Panel. Refer to the Language settings under the Setup Menu.


PLC to Panel Tab

PLC to Panel Configuration

The PLC to Panel configuration is used to send PLC information to the Panel. To access the PLC to Panel window from the Main Menu, click on the Setup selection. The Setup drop down menu shown below will display. From this drop down menu, select the PLC <-> Panel selection.

To access the PLC to Panel window from the Navigation Window, click on the Function Tab. Select PLC <-> Panel from the Setup branch of the Function tree.

Once selected, the PLC<->Panel window shown below will open.

This window opens with the Panel to PLC tab selected. To access the PLC to Panel tab shown above, click on the PLC to Panel tab.

The following fields are available for this tab:

  1. Switch to Screen Number: Switches the displayed screen of the Panel to the Number in the associated PLC Address. Writes the Screen Number that the Panel is currently displaying into the PLC Address associated with the Tag. When the value changes, it is executed only once. If the value in the Tag does not correspond to an existing Screen Number, it is ignored without showing Error.

    In addition, If you load a "0" (usually with a PLC Tag) into the Switch to Screen Tag, the Panel will go to the last Screen that was displayed.

    For Example:

    Say that Switch to Screen contains Tag Name "Screen Number", which is assigned to PLC address V1200. V1200 contains a random Number and the Panel is on Screen 1. When a 5 is loaded into V1200, the Panel changes to Screen 5. If a "0" is then loaded into V1200, the Panel changes back to Screen 1.

    Another Example:

    Say that Switch to Screen contains Tag Name "Screen Number", which is assigned to PLC Address V1200. V1200 contains a random Number and the Panel is on Screen 1. The operator changes the Screen to Screen 5 using the Screen Change Pushbutton or Screen Selector. If a "0" is then written into V1200, then the Panel changes back to Screen 1.

  2. Beep On/Off: Allows the PLC to turn On and Off the panel Beep. The Beep stays on until the bit is turned off.

Note: This is different than the Beep On/Off in the Panel Manager which only enables or disables the beep. This function is useful for allowing the PLC to use the Beep as an alarm and a Pushbutton as an acknowledgment to silence the alarm.

  3. Increment Clock by 1 Hour: Used by the PLC to adjust the Panel clock. Each OFF to ON transition increments the internal clock by one hour. This function is help for adjusting the Panel for daylight savings time.

  4. Decrement Clock by 1 Hour: Used by the PLC to adjust the Panel clock. Each OFF to ON transition decrements the internal clock by one hour. This function is help for adjusting the Panel for daylight savings time.

  5. Clear Alarm History: Used by the PLC to clear the Alarm History stored in the Panel. Each OFF to ON transition clears the history.

  6. Clear Alarm Count: Used by the PLC to clear the Alarm Count stored in the Panel. Each OFF to ON transition clears the count.

  7. Start Screen Saver: The backlight turns OFF when the Start Screen Save tag changes from OFF to ON.

    The panel backlight will turn ON again:

  • When the panel touchscreen is touched.
  • When the screen is clicked in a Remote Access session.
  • When an Alarm Action in the Event Manager occurs. (Only when the Display setting of the Alarm Action is checked).
  • When there is a Screen Change by the PLC.
  • When an Error such as a Communication Error occurs.

  8. Select Language: Used by the PLC to change the present Language being displayed on the Panel. Refer to the Language Settings under the Setup Menu. When the value changes, it is executed only once. If the value in the Tag is out of the range 1 to 9, it is ignored.


PLC Error Tab

PLC Error Description

The PLC Error configuration is used to communicate PLC Errors to the Panel. This feature can be used to display PLC Errors in other objects on the Panel such as indicator lights, dynamic bitmaps numeric displays, dynamic text displays, and multi-state indicators.

There are two ways to access the PLC Error Tab window:

  • From the Main Menu click on the Setup selection. The Setup drop down menu shown below will display. From this drop down menu, select the PLC <-> Panel selection.

  • From the Navigation window click on the Function Tab and select PLC <-> Panel from the Setup branch.

Once selected, the PLC<->Panel window shown below will open.

This window opens with the Panel to PLC tab selected by default. To access the PLC Error Tab shown above, click on the PLC Error Tab.

The following fields are available for this tab:

  1. PLC Error State: This must be an Internal Discrete Tag. This Tag will turn ON when there is a PLC Error sent to the Panel. When an Error occurs, the Tag is cycled ON for three seconds and OFF for one second and repeats.

  2. PLC Error Code: This must be an INTERNAL TAG, it may be any of the types listed below. This Tag will contain the value for the Error Code from the PLC. When an Error occurs, the Error Code is written to the Tag for three seconds and a "0" is written for one second.

Data Types for PLC Error Tags
  • Signed int 16
  • Signed int 32
  • Unsigned int 16
  • Unsigned int 32
  • BCD int 16
  • BCD int 32


Address Book Database

Address Book Database Description

The Address Book Database can be accessed through the Database Menu located on the Main Menu. When the Database Menu is selected a drop down list with available selections opens as shown below.

From this drop down list, click on the Address Book selection to open the Address Book window shown below.

The Address Book shown above displays a list of names and addresses that can be used in the Event Manager Database when an email or ftp action is configured.

  1. Mail Address (list): The list shows configured email addresses.
  2. Add: Opens the Add Mail window where new values can be entered for Name, Mail Address and Language. The new entry is added to the Mail Address list.

    • When adding an Address to the database, a Language is configured that will select the email text of the message as configured in Event Manager. For example, Person A is configured in Address Book with Language 1 and Person B is configured with Language 2. Then in Event Manager, the Email Action is configured with appropriate text, different for Language 1 and Language 2. This is useful when multiple addresses (both Person A and Person B) with different languages are targeted by a single Email Action.

  3. Edit: Opens the Edit Mail window to Edit the highlighted address values.
  4. Delete: Deletes the highlighted address values from the list.
  5. Copy / Paste: Select an address from the list to highlight it and then click on Copy. Click on Paste to make a duplicate of the copied address to the list.
  6. Import / Export: Import or Export will allow you to Import an existing address book from an .XLS or .CSV format or save the address list as an .XLS or .CSV format to Export.
  7. Filter: Allows users to Filter the list to make it easy to find an address in the list. This is especially helpful for Address Books with large amounts of contact information.
  8. FTP Server (tab): Configure the list of FTP Servers available for Event Manager ftp actions.


Message Database

Message Database Description

The Message Database allows the creation, viewing, and editing of Messages that can be used with the Lookup Text Object. The Messages can contain any alphanumeric information as needed for a specific item in the project.

Each Message is assigned a Message Number, which is used to trigger the Message in the Look Up Text Object. The text on the Messages may be formatted to display in a variety of colors and sizes.

The Message Database window shown below is available from the Database Menu of the Main Menu. This window allows the user to Add, Edit, or Delete Messages as needed.

To learn more about the selections available on this window, see the list of items listed below and use the figure shown above as reference:

  1. Msg. No.: Shows the Message Number assigned to each specific Message. This Number is assigned automatically or can be modified when Adding/Editing the Message.

  2. Log: This column indicates if the Message has been configured to be Logged or not. The Log Message selection is configured when Adding/Editing Messages. See the Message - Add topic for more information.

  3. Message: This column shows the Message that will be displayed.

  4. Text Size: This column shows the Text Size that has been selected for the specific Message. This is the Text Size of the Message that will be displayed.

  5. Text Color: This column shows the Text Color that has been selected for the Text for this specific Message.

  6. Text Blink: A Yes in this column indicates that the Text on the specific Text Message will Blink repeatedly. A No indicates the Text Message will not Blink.

  7. Back Color: This column shows the Background Color that has been selected for the Background of this specific Message.

  8. Back Blink: A Yes in this column indicates that the Background of the specific Text Message will Blink repeatedly. A No indicates the Background will not Blink.

  9. Sound: This column shows if a Sound has been selected to play when the Message displays. A Blank field indicates No Sound selected and the word Beep indicates a Beep will Sound when the Message is displayed. In addition, the Sound setup allows the use of WAV Sound files and if a WAV file has been assigned, the name of the file will be displayed in this filed.

  10. Repeat: This column will show a Number that represents how many times the Sound assigned for this Message will be repeated when the Message is displayed. If the field has the word Loop in it, the Sound will be played continuously as long as the Message is displayed.

  11. Add: Click on this button to Add a new Message.

  12. Edit: Click on the field of an existing Message to highlight/select it and then click on this button to Edit the selected Message. To learn more go to the Message - Edit topic.

  13. Delete: Click on the field of an existing Message to highlight/select it and then click on this button to permanently Delete the Message.

  14. Copy / Paste: Select a message from the list to highlight it and then click on Copy. Click on Paste to make a duplicate of the copied address to the list.

  15. Attributes Copy / Attributes Paste: Click on an existing Message to highlight/select it and then click on the Attributes Copy button to Copy all the Attributes from the selected Message(s). Click on the Attributes Paste button to make duplicates that are added to the Message Database list.

  16. Language: Click on the button to open a drop down list of Languages to select from and assign to a selected message.

  17. Preview: Click on this button to see a Preview of what the selected Message will look like.

  18. Import / Export: Import or Export will allow you to Import an existing Message Database from an .XLS format or save the Message Database as an .XLS format file to Export.

  19. Filter: Allows users to Filter the list to make it easy to find a Message in the list. This is especially helpful for a Message Database with large amounts of contact information.

Add a New Message

To Add a new Message to your Message Database, from the Message Database window shown above, click on the Add button labeled number 12 on the figure shown above. This will open the Message Add window shown below.

To learn more about the selections available on this window, see the list of items listed below and use the figure shown above as reference:

  1. Msg. No.: Automatically assigns a Message Number on this filed. You may also click on the field to type in a different Number if desired.

  2. Text Color: Click the Text Color button to open the Color Palette. From this Palette, click on the Color you want to assign for the Message Text.

  3. Back Color: Click the Back Color button to open the Color Palette shown above. From this Palette, click on the Color you want to assign for the Message Background.

  4. Blink: Click on either of the Text or Back Color checkboxes to select the Blink feature. If the Text Color Blink is selected, the Text on this Text Message will Blink repeatedly. If the Back Color Blink is selected, the Background of the specific Text Message will Blink repeatedly.

  5. Text Size: Click on the down arrow [image] to open the drop down list of Text Sizes available this Text Message. Click on the Number for the desired Text Size of the Message that will be displayed.

  6. Log: If the checkbox is selected, this Message will be Logged every time it's displayed.

  7. Sound: Click on the checkbox to assign a Sound to be played each time this Message displays. When selected, the fields inside the Sound frame will become active and be available for setup. By default, the selected Sound will be the Beep. To assign a different Sound, select the Sound selection discussed below.

  8. Sound Field: When the Sound selection is selected, the Sound field will become active. From this field, click on the down arrow [image] to open a drop down menu of WAV Sound files available for use. From this drop down menu, click on the Sound to assign for this Message. The Browse button allows you to select sounds from the hard drive and add them to the Sound drop down menu library.

  9. Repeat: From this portion of the window you may select how many times the Sound is Repeated by clicking on the Up or Down arrows [image] on the Times field to Increase or Decrease the assigned Number. You may also choose the Loop selection instead to cause the Sound to play continuously.

  10. Language: Click on the down arrow [image] to open a drop down list of Languages. Click on the desired Language to select it. There is a separate Message for each language selected. See the Language topic for more information on setting up Languages.

  11. Text: Click on the field to type the Message that will be displayed. Maximum number of characters allowed is 200. You may hover the mouse pointer over the text field and a small window will pop up displaying Text Entered/Maximum.

  12. Time: The Time feature inserts a code that will automatically display the actual Time while the Message is displayed. Click on the Time Icon and a pop up menu will open with Time format selections available as shown below. Click on the desired format to display the Time. Once selected, the code is entered automatically in the Text field discussed on Item 11 above.

  13. Date: The Date feature inserts a code that will automatically display the actual Date while the Message is displayed. Click on the Date Icon and a pop up menu will open with Date format selections available as shown below. Click on the desired format to display the Date. Once selected, the code is entered automatically in the Text field discussed on Item 11 above. Do Not erase this code or the Date will not display with the Message. To remove the date symbol, click on a time format and select Yes.

  14. Tag: Click on the Tag Icon and the Embedded Data Value window shown below will open. From this window, configure the Embedded Data for the specific Message. More information on the configuration of the Embedded Data Value window located at the bottom of this topic.

Edit a Message

To Edit an existing Message, from the Message Database window shown at the top of this topic, click on the field of any of the existing Messages to highlight/select it and then click on the Edit button located on the lower-left portion of the screen. This will open the Message Edit window shown below.

This window displays all the current configuration settings for the selected Message. From this window you can Edit any of the settings as needed. For reference on each specific setting, see the Message - Add topic discussed above.

Embedded Data Value Window Configuration

When the Tag Icon available from the Message Add and Message Edit window is selected, the Embedded Data Value window shown below will open. Maximum six tags may be added to any one message.

To configure an Embedded Format Value, click on the down arrow [image] of the Embedded Data field (Item 1) and select the desired Data Type from the drop down list. The configuration for each of these choices are discussed below individually.

  • Discrete
  • Numeric
  • String

Embedded Data Value - Discrete

The Discrete Data Format is selected by default when the Embedded Data Value window shown above opens.

  1. Embedded Data: Click on the down arrow [image] to select the Discrete data format. Discrete is selected by default.

  2. Tag Name: Click on the down arrow [image] and select the Tag Name from where the Value will be Read for the Embedded Data. If necessary, click the Tag Name Browser Icon [image] to the right of the field to open the Tag Name Database. From the Tag Name Database window you will be able to see the Tag Names available, Add, Edit and/or Delete Tag Names. The tags listed will be limited to the Data Format selected.

  3. ON Text: Click on the field and type in the Message to be displayed when the selected Discrete Tag is active.

  4. OFF Text: Click on the field and type in the Message to be displayed when the selected Discrete Tag is not active.

  5. Add: Click on Add to save the entered Value and return to the Message Add/Edit screen.

Embedded Data Value - Numeric

The Discrete Data Type is selected by default when the Embedded Data Value window opens. When Numeric Embedded Data is selected, the Embedded Data Value window shown below opens.

  1. Embedded Data: Click on the down arrow [image] to select the Numeric data format. Discrete is selected by default.

  2. Tag Name: Click on the down arrow [image] and select the Tag Name from where the Value will be Read for the Embedded Data. If necessary, click the Tag Name Browser Icon [image] to the right of the field to open the Tag Name Database. From the Tag Name Database window you will be able to see the Tag Names available, Add, Edit and/or Delete Tag Names. The tags listed will be limited to the Data Format selected.

  3. Display Data Type: Click on the down arrow [image] and select the Data Type to display the data.
    The choices are:

  • Unsigned Integer 16
  • Unsigned Integer 32
  • Unsigned Decimal
  • Octal
  • Hex
  • Signed Integer 16
  • Signed Integer 32
  • Signed Decimal
  • Floating Point 32
  • Floating Point
  • BCD Integer 16
  • BCD Integer 32
  • BCD

  4. Justify: Select a Justification setting from the drop-down menu. Leading Zeros display a "0" for every digit that has no value (i.e., 00034567 if eight digits are selected.) Leading or Trailing Spaces do not display any unused digits.

  5. Display Format: Click on the fields to enter a common Prefix (left side field) or Suffix Value (right side field) that will always be displayed (e.g., Max. xxxxDeg. F). Click on the Use 1000 Separator checkbox to add a Comma Separator to the Numeric Value.

  6. Digits: For the Total Digits field, select the Total Number of Digits to be displayed. The maximum Number is based on the Data Type selected in the Tag Name (Item 2). For the Fractional Digits field, select the Total Number of Digits to include on the Fraction portion of the Number displayed.

  7. Auto Check: Click on the checkbox to let the object detect where the decimal should be based on the value in the Tag Name.

  8. Sample: This window displays a Sample view of the Number with the selected parameters applied.

  9. Add: Click on Add to save the entered Value and enter another one.

Embedded Data Value - String

The Discrete Data Type is selected by default when the Embedded Data Value window opens. When String Embedded Data is selected, the Embedded Data Value window shown below opens.

  1. Embedded Data: Click on the down arrow [image] to select the String Data Type.

  2. Tag Name: Click on the down arrow [image] and select the Tag Name from where the Value will be Read for the Embedded Data. If necessary, click the Tag Name Browser Icon [image] to the right of the field to open the Tag Name Database. From the Tag Name Database window you will be able to see the Tag Names available, Add, Edit and/or Delete Tag Names. The tags listed will be limited to the Data Format selected.

  3. String: This window displays a Sample view with the selected parameters applied.

  4. Add: Click on Add to save the entered Value and enter another one.


Recipe Sheets

To Open The Recipe Sheet Window

The Recipe Sheet window is a spreadsheet that works very similar to the spreadsheets used for the most popular programs. Recipe Sheets can even be easily Copied, Pasted and Edited to and from "Excel" Spreadsheets.

The Recipe Sheet consists of Recipe Records (each row) and Destination Tags (top row). The Recipe Records can contain Values or Tags.

A Recipe Sheet is displayed on the C-more Panel when it is opened using the Call Recipe object. Once opened, data in the cells may be edited and a row may be selected and loaded to the Destination Tags.

To Open the Recipe Sheet Window, from the Recipe Database window, click on the Add New button or, select an existing Recipe Sheet and select Edit.

Import: Import Data to the Recipe Sheet from a CSV file. The Recipe Sheet may be exported, modified in your choice of editors and imported again. Care should be taken to maintain the format of the file. See Editing Recipe sheets in Excel.

Export: Export Recipe Sheet Data to a CSV file.

Find Error: The Recipe Sheet is designed to automatically search and identify any obvious Errors that may be present in the spreadsheet entries. Anytime the C-more Programming Software detects an Error, it changes the Font to Red as shown below.

In addition, if you hover the pointer over the field with the Red Text, a pop up displays a message with the information on the Error found.

Each time you select Find Error (F3), the software automatically displays the next Error found, allowing you to locate all errors quickly.

Format Selections allow the software user to change the Width of Columns and Height of Rows during the Recipe Creation / Editing session. The Width and Height of the Cells on the panel screen are adjusted in the Call Recipe Object.

Toolbar

Save To Project: Click on the Save Icon [image] to Save the current Recipe Sheet. The Recipe Sheet is Saved. If this is the first time you Save the Recipe Sheet, the Save As... To Project window shown below will open. This does not Save the Recipe Sheet as a separate file.

Note: If you try to Save a Recipe Sheet that has detected Errors in it, the Error GUI-182 warning will pop up. The window allows you to continue with the Save by clicking on Yes if you want to Save it anyway and correct it at a later time.

  • Type: Select whether the selected cell will contain a Value or a Tag. The Tag cells are identified by a small triangle on the top-left corner of the cell as shown below. Value cells have no markings. The default selection for this drop down menu is Value.

The Data Format drop down list will vary depending on the Tag Data Type selected. The following is a list of Data Formats available for the specific Tag Data Type selected for the Destination Tag being used for a cell.

Destination Tags

The Destination Tags are the Cells located on the top Green shaded Row. These Tags identify where the Values for a Recipe Record (Row) are loaded. When a Recipe is loaded, the Values in the corresponding column are transferred to the specified Destination Tags.

Note: The first Cell on the Name column, which is also the first cell on the Destination Row, only accepts ASCII format Tags. This is the Name Destination Tag for the Name Column.

Name Column

The Name Column is identified by the highlighted yellow background. This column is used to enter a Name to be assigned for each Recipe Record.

When the Recipe Record is loaded, this text is loaded into the Name Destination Tag, so that each Recipe can be identified by Name.


Tag Name Database

Tag Name Database Description

A Tag Name is a name given to an object or component used as part of a control system. The Tag Name is commonly an abbreviated name that identifies a specific object or component. Each Tag Name has a set of user specified parameters.

In order to keep Tag Names organized and easy to locate, the C-more application provides a Tag Name Database that can be accessed from the Database menu of the Main Menu. The Tag Name Database provides a list of pre-defined Internal Tag Names that are panel system tags. These Tag Names may be used when configuring objects and functions, but the parameters cannot be edited. The Tag Name Database also allows users to Add, Edit and Delete Tag Names as shown in the Tag Name Database window figure below.

Tag Name Database Configuration

To access the Tag Name Database window from the Main Menu, click on the Database selection. The Database drop down menu shown below will display. From this drop down menu, select the Tag Name Database selection.

To access the Tag Name Database window from the Navigation Window, click on the Function Tab. Select Tag Name Database from the Database branch of the Function tree.

Once selected, the Tag Name Database window shown below will open.

This window provides the following fields and selections:

  1. Fill Down: When you highlight an External Tag (a PLC tag) then click Fill Down, it makes a copy of the Tag, appending a number in parentheses to the tag name “(1)” for the first copy, “(2)” if you click Fill Down again, etc.

    The new tag is assigned the next PLC address. The Fill Down does NOT check whether the next address has been assigned to another tag. For example, if you have a tag called Motor 1 Speed that is Uns Int 32, PLC Address V1000, and you highlight it and click Fill Down, a tag called Motor 1 Speed (1), Uns Int 32, V1002 is created.

  2. Replace: The Replace tool allows you to change characters in the Tag Name. For example, all Tag Names that include “WEST” can be changed to include “EAST”. This tool will change the Tag Names everywhere they appear in the project.

  3. Import / Export:Import or Export will allow you to Import an existing Tag Name Database from an .XLS, .CSV or .l5K format or save the Tag Name Database as an .XLS or .CSV format to Export.
  4. Filter: Allows users to Filter the list to make it easy to find an address in the list. This is especially helpful for Tag Name Databases with large amounts of contact information.

Add a Tag Name

To Add a Tag Name, click on the Add button on the lower left portion of the window shown above and follow these steps:

  1. Once the Add button is selected the Tag Name - Add window shown below will appear.

  2. This window allows the user to setup the Tag Name by entering the correct information for the following fields:

  1. No.: This is the Number automatically assigned to the Tag Name. The user does not change it unless there is a need to assign a specific Number for the new Tag Name. To change the Number, click on the field and overwrite the assigned Number.

  2. Device Name: Provides a drop down list of available Devices that the Tag Name can be assigned. Select Internal if using a Touch Panel Internal Tag or select the external PLC Name (DEV001, DEV002, etc) that has been assigned for the desired PLC.

  3. Tag Name: Type in a Tag Name to easily identify the new Tag Name.

  4. Tag Data Type: Select the Data Type (Discrete, BCD int 16, ASCII String, etc.) for this Tag Name.

  5. Characters: Only available if the ASCII String Data Type is selected. Allows the user to identify the number of characters for the ASCII String. Enter a 128 character maximum value or click on the up/down arrows [image] to adjust.

  6. Retentive: If power to the C-more panel fails, a retentive tag will retain it's value when power is restored to the C-more panel.

  7. PLC Address: The PLC Address is not active unless a PLC has been selected for the Device Name (above on list). The PLC Address requires the user to enter the Memory Type and the Address of the selected PLC.

  3. Once all fields are completed, click on the Add button to accept. The Tag Name will appear in the Tag Name Database window.

Edit A Tag Name

To Edit a Tag Name, click on the Edit button on the lower left portion of the Tag Name Database window shown above. Click on the fields to Edit and type or select the desired information. For reference use the descriptions offered on the Add subject discussed directly above this subject.

The only difference is on Step 3, click on the Apply button instead of the Add button to accept the changes.


Tag Name Database Specifications

Configuration of Exported File

Export Example
Protocol ID | Device Name | Tag Name | Data Type | Data Count | Retentive | Address | Array End
0 | <INTERNAL> | EXAMPLE | Signed_int_16 | 1 | FALSE |  | 0
100 | DEV001 | TEST | BCD_int_32 | 1 | False | V10 | 0

Field Descriptions
Field | Description | Values
ProtocolID | Protocol ID | See Protocol ID Table Below
DeviceName | Device Name | Alphanumeric - No Spaces or <INTERNAL>
TagName | Tag Name | Alphanumeric - Spaces allowed
DataType | Data Type | See Data Types Table Below
DataCount | Preset by the system * | Preset by the system *
Retentive | Retentive value | TRUE or FALSE
Address | Address | Protocol Dependent (For <Internal> address leave blank)
ArrayStart | Preset by the system * | Preset by the system *
ArrayEnd | Preset by the system * | Preset by the system *
* Editing this field may cause Import Errors.

Protocol ID | Protocol
100 | AutomationDirect K-Sequence (DL05/06/105/205/350/405)
101 | AutomationDirect DirectNet (DL05/06/105/205/350/405)
102 | AutomationDirect Modbus (DL05/06/205/350/405)
103 | AutomationDirect DirectNet (DL330/340)
107 | AutomationDirect Modbus (CLICK)
111 | AutomationDirect ECOM Ethernet (DL05/06/205/405)
200 | Modbus RTU
201 | AutomationDirect Productivity3000 Ethernet (P3-550)
211 | Modbus TCP/IP
212 | AutomationDirect Productivity3000 Serial (P3-550)
230 | AutomationDirect GS Drives Serial
231 | AutomationDirect SOLO Temperature Controller
250 | AutomationDirect GS Drives TCP/IP (GS-EDRV)
400 | Allen-Bradley DF1 Full Duplex (SLC500)
401 | Allen-Bradley DF1 Half Duplex (MicroLogix/SLC500)
402 | Allen-Bradley DF1 Full Duplex (PLC5)
403 | Allen-Bradley DH485 (MicroLogix/SLC500/AIC)
404 | Allen-Bradley DF1 Full Duplex (MicroLogix)
405 | Allen-Bradley DF1 Full Duplex Tag-Based (Control/CompactLogix)
406 | Allen-Bradley DF1 Half Duplex Tag-Based (Control/CompactLogix)
407 | Allen-Bradley EtherNet/IP Client (MicroLogix 1100)
408 | Allen-Bradley EtherNet/IP Client (SLC5/05/ENI Adapter)
409 | Allen-Bradley EtherNet/IP Client Tag-Based (Control/CompactLogix)
500 | Entivity (Think&Do) Modbus
512 | Entivity (Think&Do) Ethernet H2 WinPLC(Modbus TCP/IP Ethernet)
600 | GE 90/30 SNPX
700 | Mitsubishi Melsec FX
711 | Mitsubishi FX-1N(C)/2N(C)/3U(C) (CPU)
715 | Mitsubishi Q/QnA Serial
716 | Mitsubishi Q/QnA Ethernet
717 | Mitsubishi Q Series (Q02/Q02H/Q06H/Q12H/Q25H CPU)
800 | Omron Host Link Adapter
802 | Omron CS/CJ FINS Serial
805 | Omron CS/CJ FINS Ethernet
900 | Siemens S7-200 (Serial : PPI)
902 | Siemens S7-200 (Ethernet : ISO over TCP/IP)
903 | Siemens S7-300 (Ethernet : ISO over TCP/IP)
1000 | Allen-Bradley EtherNet/IP Server (Generic IO Messaging) (Control/CompactLogix)
2500 | AutomationDirect Do-more Serial
2510 | AutomationDirect Do-more Ethernet

Data Types

Discrete

Signed_int_16

Signed_int_32

Unsigned_int_16

Unsigned_int_32

BCD_int_16

BCD_int_32

Floating_PT_32

ASCII_String


Event Manager Database

Event Manager Database Description

The Event Manager Database allows the creation, viewing, and editing of all Alarms and Events in your project. Events, such as tag value changes, screen changes, and even the time of day, can trigger specific Actions. Actions can include changing tag values, copying tag values, playing a sound, changing the current screen, taking a screen capture, displaying and logging an Alarm, sending email, or popping-up a message box.

The Actions for an Event occur once when the conditions configured in the Event type become true. If Actions need to be reset when conditions transition to no longer true, a separate Event must be configured.

Actions will not trigger again until the condition clause transitions to no longer true then return to true.

The Event Manager Database can be accessed from the Database Menu of the Main Menu.

When selected, the Event Manager Database window shown below will open. This window allows the user to Add, Edit, or Delete Events.

Note: The Maximum Number of Log Files with the same first four characters is 999 files.
Internal file identification is restricted by the DOS 8-character-dot-3-character limit. Because of this, trend log files are identified internally by the first four characters of the screen name + tilde + a three digit number. For example,
TREND GRAPH EAST CHILLER TEMP_110925.txt and
TREND GRAPH WEST CHILLER TEMP_110925.txt
will be identified internally as TREN~001.txt and TREN~002.txt. As new log files are created each day, these files count against the same max 999 files.

If Multiple Graph Objects appear on one screen, the files will be identified internally by the first Two Characters of the screen name plus the first Two Characters of the object name plus tilde plus three digit number.

To maximize file storage capabilities, consider using screen names that are unique in the first four characters, and using object names that are unique in the first two characters.

SYS DELETE DEVICE LOG tags are available to programmatically perform file maintenance.

To learn more about the available selections, see the items listed below and use the figure shown above as reference. If a field is blank, that feature is not being used for that event.

  1. Event No.: The assigned Event Number for each specific Event is used only as a reference in the Database.
  2. Enable:
  3. Event Name: The programmer assigned name for each Event. Event Name is not a requirement.
  4. Event Type: The Type of Event (Tag, Day & Time, Screen Change) that triggers and Action.
  5. The Tag Event can be a change in ON/OFF state of a discrete tag or when a variable tag value goes outside the minimum or maximum limits defined by the programmer.
  6. The Day & Time Event can trigger an Action based on Everyday or specified days of the week. The Time can be specified as once a day by assigning a start time, or can be selected with a Start Time and End Time with a repeat of every one through sixty minutes or one hour through 12 hours.
  7. The Screen Change Event can trigger an Action when a specified screen is either Opened or Closed.

  5. Alarm: The Alarm Action generates an Alarm List banner across the bottom of the touch panel screen. The Alarm List can have up to 64 characters with embedded date, time and tag values. The Alarm Text can be configured in up to nine different languages (using the Language tool) and will display the Alarm in the current language format of the panel. Alarms can be logged to the internal Alarm History where they can be viewed and confirmed by the operator or they can be saved to an optional USB drive or SD Card. The Date Stamp in the Alarm History is static and the Date Stamp onscreen is current time (dynamic).
  6. Tag: The Tag Action changes the ON/OFF state of a discrete Tag or the predefined value of a variable Tag.
  7. Tag Copy: The Tag Copy Action allows Tag data to be copied from one Tag to another, either in the same panel or to/from another networked panel. This feature makes it possible to copy Tag data to/from a panel connected to a different PLC type, so data can be shared between different brands of PLCs.
  8. Sound: The Sound Action allows for the panel to Beep or a Sound file (.WAV) to be played based on an Event. An amplifier and speaker(s) are required to use the Sound feature. Some low-rate bit files may not perform if less than 60KBPS. The Sound can be configured to play once or repeat up to 10 times.
  9. Msg Box: The Message Box Action is a pop-up window that displays a programmer defined Message that has a Title Bar and Message Text. The Message Text can have up to 256 characters with embedded date, time and tag values.

The Message Box is a Modal window; when the Message Box is displayed, it will stay displayed until the OK button is pressed. Other actions will queue until the OK button in the Message Box is pressed. The queue can hold 1000 actions maximum.

Note: If no Title text is entered, the Message Text, including embedded data, will be displayed in the Title. There are four Icons to choose from as shown below:

These icons are used for assigning what type of Message is being displayed. The Message can be configured in up to nine different languages (using the Language tool) and will display the Message in the current language format of the panel.

  10. Scr Cap: The Screen Capture Action takes a Screen Capture of the specified Screen and either emails it to a specified recipient or logs it to a USB drive or SD Card.
  11. Mail: The Mail Action allows a pre-configured message of up to 400 characters with embedded date, time and tag values to be Emailed to one or more recipients selected from the Address Book. The same message can be configured in up to nine languages (using the Language tool) with a different language assigned to each recipient. You can Attach a File to the Email , such as Logged Message of Message Database or Event Manager, Multi-State Text Indicator or a Screen Capture.
  12. Scr Change: The Screen Change Action allows another Screen to be displayed based on an Event. This can be the Power Up Screen, Forward Screen, Previous Screen or a Screen Number defined by the programmer.


Event - Day and Time

Day and Time Event Description

The Day & Time event allows the user to schedule an exact time that they may want an action to occur. The scheduled event can be set up to occur every day or specific days of the week.

An example of a Day & Time event being scheduled to happen Everyday of the week at 5:00PM shown next.

An example of a Day & Time event being scheduled to happen during the work days of the week at 6:00PM shown next.

An example of a Day & Time event being scheduled to happen on just Monday, Wednesday & Friday starting at 10:00AM, repeating every 5 minutes, and ending at 11:00AM, shown next.


Event - Screen Change

Event - Screen Change Description

The Screen Change event is used to cause an action to occur anytime a screen is changed, either opened or closed.

An example of a Screen Change event made to happen when ever the Data Entry screen is Opened shown next.

An example of a Screen Change event made to happen when ever the Main Menu screen is Closed shown next.


Event - Tag

Event - Tag Description

The Tag event type is used to cause actions based on the condition and relationship of one, two, three or four Tags.

Comparing the Value of a Numeric Tag

Simple ON / OFF State of a Discrete Tag

Or Boolean combinations of up to four tags.


Add Event Action - Alarm

The Alarm event will display the entered message on the lower portion of the screen when the action takes place. Only a Tag Event is used to trigger an Alarm action.

Note: Only a Tag type Event can trigger an Alarm action and also only one Alarm action can be used with each Event.

Alarm Action Description

The Action area of the Event Add dialog box will default to an Alarm action when the Event is a Tag type as shown here.

An example of a Alarm action including a text message with embedded data is shown next.

The embedded information can be the current Time, the current Date or the value from a defined Tag Name. Maximum six tags may be embedded in the Alarm Text field.

Note: An option to suppress scientific notation (exponential notation) when using Floating Point data is selectable in the Panel Manager window. This is a global selection and applies to all Floating Point data display objects.

Click on the Show in Alarm Objects check box if you want the Alarm List to be logged into the Call Alarm Screen. The logged alarms can be viewed using the Alarm Screen or Alarm List objects.

Select the Require Confirmation check box to require the Alarm to be Confirmed on the Alarm List object or Alarm Summary (Call Alarm Screen Object) details popup before it can be cleared.

Click on Save file to SD1 check box if you wish the alarm to be logged to a data file stored on the memory device that is selected in the Panel Manager's Data Storage - Alarm Save To: selection box. The alarm data is saved in a format as Time of occurrence + Date of occurrence +Alarm List. The alarm log file is saved in a different file for each file.

Example of Alarm Log File Name: ALARM_YYMMDD.txt

Note: The Alarm log file is saved in the selected memory device for a duration of 365 days (fixed). When the last day is reached, the file is automatically deleted.

To check or copy the recorded Alarm log file(s), the user can either:

  1. Transfer the files using the FTP ability of the touch panel to an FTP server.

  2. Confirm or copy the files by reading the external memory where the log was saved using a PC.

Note: Only files of the current day can be transferred by FTP and Mail. Files before the current day can not transferred automatically by FTP and Mail. To acquire the files that can not be transferred, access the touch panel as an FTP server and copy the files to a PC.

Click on the Display check box for the alarm text to be displayed in the alarm bar at the bottom of the C-more screen. Unchecking it will not display the alarm bar.


Add Event Action - Backlight

Backlight Action Description

The Backlight action used in the Event Manager Database is used to control the touch panel's Backlight based on an event. The panel's Backlight can be either turned OFF or turned ON.


Add Event Action - FTP

FTP Event Action Description

The FTP action item allows the user to have the touch panel copy selected data log files to a specific FTP server based on an Event defined in the Event Manager Database. The FTP action requires an FTP address be assigned in the Address Book. The network folder destination for the file is set in the Address Book of FTP.

The Send Address will list the transfer destination(s) that can be selected. The FTP addresses assigned in the Address Book are displayed. Click on the check box of the addresses that you wish to use.

The next step is to select the specific files that you want to send to the FTP address. Click the Select Send Files button to open the Select Send File for FTP dialog box as shown next.

The following files can be selected from the dialog box to copy to the designated FTP server:

  1. Log Message of Message Database: Copies the log files produced from the Message Database.
  2. Alarm Log Message of Event Manager: Copies the log files produced in the Event Manager Action/Alarm.
  3. Line Trend Graph: Copies the Line Trend Graph object files.
  4. PID Faceplate Trend Graph: Copies the PID Faceplate Trend Graph object files.
  5. Screen Capture Image: Copies the Screen Capture JPG file images.

Note: If the selected file does not exist, the system ignores it and sends only the files that can be sent.


Add Event Action - Mail

Mail Action Description

The Mail Action is available for setup and configuration through the Event Manager Database. The Mail Action item allows the user to select data log files that the Touch Panel will copy and send to a specified Mail (email) address through a specified Mail server based on an Event defined in the Event Manager Database.

Notes: To configure a Mail action, at least one email address must be assigned in the Address Book. To setup email addresses see the Address Book.

To Add and Configure a Mail Action

To Add a Mail Action to your project, follow these steps:

  1. Open the Event Manager Database using either one of the following methods:

  1. From the Database Menu, click on the Event Manager Database selection as shown below.

  2. From the Function Tab on the Navigation Window, double-click on the Event Manager Database selection for the Database items as shown below.

  3. From the Function Tab on the Navigation Window, double-click on any of the items listed under the Event Manager items, as shown below.

  2. Once the Event Manager Database is selected using either of the methods mentioned above, the Event Manager Database window shown below will open. Please note that the graphics are reduced to fit and that actual graphics in the C-more Software are larger.

  3. From the Event Manager Database window shown above, click on the Add button to open the Event Add window shown below. Click on the green text to learn more about the Event Add window. Continue to Step 4 for information on Adding and Configuring a Mail Action.

  4. The Action setup portion of the window shown above, allows you to configure Actions for each Event. When the Event Add window shown above opens, an Alarm Action is automatically selected. The reason for this is because in most cases there will be an Alarm Action associated with the Event in addition to other Actions. However, if the Alarm Action is not necessary for your configuration, click once on the Alarm Action to select it and click on the Delete Action button. This will cause the Alarm tab to disappear and the Sequence List will be blank.

  5. From the Action portion of the Event Add window, click on the Add Action button. This will open the Add Action window shown below.

  6. From the Add Action window, unless you want to change the Sequence #, leave it as it is. The Sequence Number identifies the order in which the Actions will be performed, when there is more than one Action. This sequence can be easily adjusted at a later time when all Actions have been configured.

    From the Command field, click on the down arrow [image] and select Mail from the drop down menu, as shown above. Click on the OK button to accept these entries and close the Add Action window.

  7. The Action portion of the Event Add window will now show the Mail tab with the available settings as shown below.

  8. From the Mail tab, a list of available email addresses will be displayed in the Send Address filed. To select recipients for this email, click on the checkboxes to select them. Click on the green text to learn more about setting up email addresses in the Address Book.

  9. From the Language field, click on the down arrow to select the desired Language. Click on the green text to learn more about Language setup.

  10. Click on the Subject field and type a name for this Mail Action.

  11. Click on the Message Field and type the Message that will be sent with this email. Maximum six tags may be embedded in the email Message body.

To Attach Files to a Mail Action

The Attached File will allow the user to include files to be attached and sent with the Email. The Mail addresses assigned in the Address Book are displayed. Click on the check box of the addresses that you wish to use.

The next step is to select the specific files that you want to attach to the Email. Click the Attached File Browse button to open the Select Attached File for Email dialog box as shown below.

The following files can be selected from the dialog box to attach to the Email:

  1. None: no files attached.
  2. Log Message of Message Database: Attaches the log files produced from the Message Database.
  3. Alarm Log Message of Event Manager: Attaches the log files produced in the Event Manager Action/Alarm.
  4. Line Trend Graph: Attaches the Line Trend Graph object files.
  5. PID Faceplate Trend Graph: Attaches the PID Faceplate Trend Graph object files.
  6. Screen Capture Image: Attaches the Screen Capture JPG file images.

Note: If the selected file does not exist, the system ignores it and sends only the files that can be sent.


Add Event Action - Math

· Maximum Embedded Tags = 8
· Maximum Formula String Length = 512 Characters
· When a Math Error is True, the Result Tag isn't updated .

Description

The Math instruction solves a user-defined formula when the condition defined in Event Type transitions to TRUE. The formula is developed on the Math dialog using the on-screen keypad, the computer keyboard, and Tag Name Database.

Parenthetical expressions can be nested up to eight levels deep.

If Floating Point Data Type is used in any operation, then all operations will be based on Floating Point math. The solution will be stored in the data format selected for the Result.

Result Tag: Assign a tag where the Result will be stored. The Result value will be adjusted to the data type of the Result Tag.

Error Flags: These internal System Tags are provided to programmatically react to an unexpected condition.

Key

Name

Definition

Usage Example

Left and Right

Parentheses

Used for grouping terms. Must be used in pairs.

(DF1 + 5)

Sine

Sine Θ = opposite / hypotenuse Θ = Radian

SIN(DF1)

SIN(RAD(DF1))

Cosine

Cosine Θ = adjacent / hypotenuse Θ = Radian

COS(DF1)

COS((RAD(DF1))

Tangent

Tangent Θ = sine / cosine Θ = Radian

TAN(DF1)

Arc Sine

Inverse Sine

ASIN(DF1)

Arc Cosine

Inverse Cosine

ACOS(DF1)

Arc Tangent

Inverse Tangent

ATAN(DF1)

Power (Exponent)

a ^ b = a raised to the power b.

DF1^DF2

Log (Base 10)

If x = b ^ y, y = log_bx

LOG(DF1)

Square Root

The Square Root of b is the number a if a * a = b.

SQRT(DF1)

Log (Natural)

If x = e ^ y, y = ln_bx

LN(DF1)

Radians

Converts degrees to radians. radians = degrees * (pi/180)

RAD(DF1)

Degrees

Converts radians to degrees. degrees = radians * (180/pi)

DEG(DF1)

Pi

Constant that equals the ratio of a circle's circumference to its diameter.

3.1415927

to

Number Keys

The numbers 0 to 9.

0123456789

Decimal

Decimal notation, "."

1.234

Arithmetic Operators

Divide, Multiply, Subtract, Add

DF1 / DF2

DF1 * DF2

DF1 – DF2

DF1 + DF2

Modulo

a MOD b refers to the arithmetic remainder after a is divided by b.

DF1 MOD DF2

Formula Example

For example, an inventory forecast of a part needed for production may be calculated every morning before the day’s production starts. The resulting value may be used in another Event to alert purchasing to replenish stock, or to email a supervisor to reorganize production plans.


Add Event Action - Message Box

Message Box Event Action Description

The Message Box action item used in the Event Manager Database will display the specified message when an event takes place. The Message Box can have a Title , the message Text and an Icon to show the type of message as far as importance.

The Message Box is a Modal window; when the Message Box is displayed, it will stay displayed until the OK button is pressed. Other actions will queue until the OK button in the Message Box is pressed. The queue can hold 1000 actions maximum.

The Message Box is a modal window; that is, no other action can occur while the Message Box is active. Until the OK button is pushed to acknowledge the Message Box, additional event actions (alarms, beeps, screen captures) from this or other events will not occur on the panel.

An example of the Message Box is shown below.

Note: Please note that the Message Box Text can be configured to display Time (as shown above), the Date, or the Tag of the respective item being identified. Of course, all three; Time, Date, and Tag may be used at the same time in the Message Box Text.


Add Event Action - Screen Capture

Screen Capture Event Action Description

The Screen Capture action used in the Event Manager Database gives the user the ability to capture an image of any of the touch panel's screens, either the screen that is currently displayed at the instant the Event takes place, or any of the other project screens. The specified screen is saved as a JPEG image file. The user creates the name of the file that is saved. The file name can be 1-128 characters in length. The path name can be 112 characters in addition to the file name. If the file name already exists, it is overwritten.

Note: The Save File Name specified file name is saved to the memory device that is selected in the Panel Manager's Data Storage - Alarm Save To: selection box.

An example of the Current Screen being saved as a file named Main Menu.jpg shown below.


Add Event Action - Screen Change

Screen Change Action Description

The Screen Change action allows the user to have the touch panel change to another screen based on an Event defined in the Event Manager Database. It switches the currently displayed screen to the specified screen when the Event occurs.

Selections include the Power Up Screen, the Forward Screen (next), the Previous Screen, or an Other Screen, as selected from a list.


Add Event Action - Sound

Add a Sound Event Action

The Sound action allows the user to specify the internal beeper to sound or a sound file be played through the Audio Line Output port based on the occurrence of an Event. The Audio Line Output, which is stereo, requires amplified speaker(s) in order to play the sound file. The default is the internal beeper.

An example of the Sound action using a WAV file, which is the required format, is shown below.

The WAV file is selected from the Sound Library from the combo box. To select other sound files, click on the Browse button and select an existing WAV file.

The Repeat selection area allows the used to determine how many Times the sound is repeated. The times can be specified from 1 to 10.


Add Event Action - Tag

Tag Action Description

The following is the default dialog box for the Tag Action.

The selected Write State or Write Value will be written to the entered Tag Name when the Event occurs.

The following is an example of controlling a discrete type Tag.

The following is an example of writing a value to a variable value type Tag.

Note: Make sure to use all CAPS when creating New Tag Names.

Byte Swap: Applicable to ASCII data, the Byte Swap check box allows characters to display in the proper order when the configuration of memory registers in the PLC would otherwise cause the characters to display out of order.


Add Event Action - Tag Copy

Tag Copy Action Description

The Tag Copy action used in the Event Manager Database copies the Tag value from the Source Tag to the Destination Tag.

Note: The data types of Source Tag and Destination Tag must be the same.

An example of a Tag Copy action that copies the value in PREVIOUS_RATE to NEW_RATE.

Note: Make sure to use all CAPS when creating New Tag Names.

Byte Swap: Applicable to ASCII data, the Byte Swap check box allows characters to display in the proper order when the configuration of memory registers in the PLC would otherwise cause the characters to display out of order.


Touch Panel Network

Touch Panel Network Setup

The C-more touch panel has the ability to function as a FTP Server, an Email Client and also a Web Server. These Internet ready features are available as part of the standard operating system of the touch panel. It will be helpful to have some basic knowledge of the Internet and how it functions, both its protocol and connectivity, in order to put these features to work in your application.

The Touch Panel Network setup dialog box is used to configure the touch panel for the following networking features:

No. | Tab | Description
1 | General (Panel Name) | Under this tab, the touch panel can be assigned a name up to 15 characters in length. This name is saved with the project files so that anytime the project is transferred to the touch panel, the assigned name is stored into the memory of the touch panel.
2 | Ethernet Port | The setup of the touch panel's built-in Ethernet port can be configured with this feature and the setup information is saved with the project files. Anytime the project is transferred to the touch panel, the Ethernet port settings in the touch panel will be set to the saved settings. Any settings that were done through the touch panel's system setup screens will be overwritten.
3 | DNS (Domain Name Server) | This feature allows the assignment of an address for a DNS (Domain Name Server). This is the DNS server that the indicated Ethernet port will use for determining connections to other Ethernet devices.
4 | FTP Service | This feature is used to allow the touch panel to act as a FTP server. A FTP client can then access the touch panel's internal files by way of the Internet.
5 | Email Client | This feature is used to assign the destination mail server that is used to send Email from the touch panel.
6 | Web Server | Checking the check box allows the touch panel to act as a Web Server. A browser can be used to view individual touch panel screens and various data logs.
7 | Remote Access | Remote Access allows authorized users to connect a PC to the C-more panel from anywhere on the Internet via a web browser, such as Internet Explorer. The Remote user can control, fully operate and monitor the local HMI system. This can reduce the need for the user to be onsite to view or operate the C-more panel. The HMI project can also be configured so that the local operator can enable or disable control at any time by using assigned tags on one of the project screens.

Note: Some of the above features can also be setup in the touch panel's System Setup Screens. Keep in mind that any settings entered and saved as part of the project by way of the Touch Panel Network dialog box and then transferred to the touch panel will override the settings that may have been entered by the panel's System Setup Screens.

The Touch Panel Network dialog box can be accessed from the C-more programming software development screen in one of two ways:

  1. From the Main Menu, select Setup and then click on Touch Panel Network.

  2. From the Navigation window, select the Function tab, and then under Setup, double click on Touch Panel Network.

The topics for each of the networking features that follow will use the Navigation window to show access to the Touch Panel Network dialog box.

The following shows the Touch Panel Network dialog box when it is first opened. For additional help, click on the tab of the networking feature you need.


Touch Panel Network - DNS (Domain Name Server) Tab

Topic: CM433

Touch Panel Network - DNS Tab

A DNS (Domain Name System) server resolves a URL (for example www.automationdirect.com) into an IP address (for example 192.168.20.254).

When a DNS server is configured for a panel, names can be configured instead of IP addresses for email servers, ftp servers, and devices connected via Ethernet.

In order to configure a DNS server, the Ethernet Port must be configured on the Ethernet tab (Touch Panel Network). “Obtain DNS server address automatically” is available only if DHCP is selected on the Ethernet tab (Touch Panel Network). It is more efficient to enter a Preferred DNS server address if one is known.

Note: C-more cannot target an IP address that is not on its subnet without a default Gateway; remember to configure the default gateway on the Ethernet Tab (Touch Panel Network).


FTP Feature Setup

Recipe Files, logged data, alarms and screen captures can be retrieved from the panel's external memory devices and Recipe Files may be written to the panel.

The C-more may also be used as an FTP Client External FTP Server. Information is entered into the Address Book and Files are sent to the targeted FTP Server by the FTP Actions in the Event Manager.

Select Setup Type

Making the Panel a Client

Setup the Address Book

To setup the Address Book:

Note that the FTP port number, 21, is not configurable when the C-more panel acts as an FTP client.

The Address Book selection is available from the Database drop down menu available from the Main Menu.

The Address Book window shown below opens.

Select Add to add a new FTP Server to this list:

  1. Enter a Name for the server. This Name is used in the Event Manager to more easily recognize the server from a list.
  2. The Server Address is the IP Address the C-more panel will target when sending files. This information must be known, or provided by the person responsible for the FTP Server (i.e., the IT department.)
  3. Path is the folder where the files from the C-more panel will be written on the FTP Server. If the files will be written to the default folder, no Path is required here.
  4. PASV is Passive FTP. This is a method for an FTP connection to be made where all data flow is initiated inside the network rather than outside so that the communication isn't blocked by a firewall.
  5. If the FTP Server doesn't require a login ID and Password, select Anonymous. Otherwise, enter the ID and Password required by the FTP Server. Login ID and Password may need to be provided by the person responsible for the FTP Server.

    The FTP Server configured in the Address Book will be targeted by FTP Actions in the Event Manager Database.

Making the Panel a Server

Setup the FTP Service

To setup the FTP Service Tab, follow these steps:

  1. The Touch Panel Network is available under the Setup drop down menu available from the Main Menu.

  2. Click on the FTP Service Tab.

  3. Click on the Execute Panel FTP Server Service checkbox.

  4. The Port No. field should stay at the default of 21.

  5. On the User Restrictions field, select the maximum numbers of users to be allowed (1 to 10 users).

Note: When using MicroSoft Internet Explorer as the FTP client with small stand alone applications, Internet Explorer requires the use of three (3) or more User Restrictions to access the C-more FTP Server.

  6. On the Account settings, leave Anonymous set for public users or select Account & Password for secure users. The Account & Password selection can be freely selected since this is the controlling server. The user will need to enter this information to connect to the panel and retrieve files.

Setup the Data Storage Settings on the Panel Manager

Panel Data Storage must be configured. To Setup the Data Storage settings when using the panel as a Server, follow these steps:

  1. The Panel Manager can be accessed under the Setup drop down menu available on the Main Menu.

Once selected, the Panel Manager window shown below opens.

  2. Configure the Data Storage settings to select SD 1, SD 2 or USB for the Alarm Save To, Message Save To and Capture Save To fields. Any combination of data storage devices can be used.

  3. Click on the OK button to accept the changes and Close the window.

Example FTP Connection using Internet Explorer

This is an example of an FTP connection after a project with FTP Server enabled has been downloaded:

Note: If you use Internet Explorer with a panel that requires a User Id and Password, you can setup a link to ‘ftp://<userid>:<password>@<panel-IP>’ to avoid having to enter the Logon Information.

Microsoft Browser - Internet Explorer Settings

To ensure that the browser displays the panel's current files, click on the gear icon located on the top right of the Internet Explorer window. From the drop down menu click on Internet Options and make the following settings.

From the Browsing History section, click on the Settings button to bring up the Settings dialog box.

In the Settings dialog box, click on Every time I visit the webpage so that each time the touch panel's FTP site is accessed, the most current files are displayed.

Click the OK button to save the settings and close Internet Explorer's Settings dialog box.

FTP Commands

Command list for C-more's FTP server function. These commands are entered at the FTP Command Prompt.

User, Password | Quit, Bye | Close, Disconnect | Open
Dir | Pwd | ls | mls
Status | ASCII / binary | Type | Mdir
CD | Mkdir | Rmdir | Put, Send
Mput | Get, Recv | Mget | Rename
Delete | Mdelete |  |

 | Note: Commands not supported: append, literal(quote).
Command Descriptions and Samples

Command | User Password
Description | If Account & Password is selected, then the remote computer, whose FTP client software is logging onto the panel's FTP server, will need to provide the account name and password. If Anonymous is selected, then no account name or password is required.
Example - Anonymous - settings for FTP Service under the Touch Panel Network dialog box. |
Example - Anonymous - command line text. | C:\ftp 192.168.100.4 Connected to 192.168.100.4. 220 Duplex_Pump FTP Service ( User (192.168.100.4:(none)): anonymous 331 Password required for User anonymous. Password: 230 User anonymous logged in. ftp>
Example - Account & Password - settings for FTP Service under the Touch Panel Network dialog box. |
Example - Account & Password - command line text. | C:\ftp 192.168.100.4 Connected to 192.168.100.4. 220 Duplex_Pump FTP Service ( User (192.168.100.4:(none)): C-more 331 Password required for User C-more. Password: 230 User C-more logged in. ftp>

Command | Quit Bye
Description | The Quit or Bye command causes the FTP session to terminate and exit.
Example - Quit | C:\ftp 192.168.100.4 Connected to 192.168.100.4. 220 Duplex_Pump FTP Service ( User (192.168.100.4:(none)): C-more 331 Password required for User C-more. Password: 230 User C-more logged in. ftp> quit 221 Goodbye. C:\
Example - Bye | C:\ftp 192.168.100.4 Connected to 192.168.100.4. 220 Duplex_Pump FTP Service ( User (192.168.100.4:(none)): C-more 331 Password required for User C-more. Password: 230 User C-more logged in. ftp> bye 221 Goodbye. C:\

Command | Close Disconnect
Description | The Close or Disconnect command causes the FTP session to terminate.
Example - Close | C:\ftp 192.168.100.4 Connected to 192.168.100.4. 220 Duplex_Pump FTP Service ( User (192.168.100.4:(none)): C-more 331 Password required for User C-more. Password: 230 User C-more logged in. ftp> close 221 Goodbye. ftp> quit C:\
Example - Disconnect | C:\ftp 192.168.100.4 Connected to 192.168.100.4. 220 Duplex_Pump FTP Service ( User (192.168.100.4:(none)): C-more 331 Password required for User C-more. Password: 230 User C-more logged in. ftp> disconnect 221 Goodbye. ftp> quit C:\

Command | Open
Description | Connects to the specified FTP server.
Example - Port No = 21 (default) | ftp> disconnect 221 Goodbye. ftp> open 192.168.100.4 Connected to 192.168.100.4. 220 Duplex_Pump FTP Service ( User (192.168.100.4:(none)): C-more 331 Password required for User C-more. Password: 230 User C-more logged in. ftp> ftp> disconnect 221 Goodbye. ftp> open To 192.168.100.4 Connected to 192.168.100.4. 220 Duplex_Pump FTP Service ( User (192.168.100.4:(none)): C-more 331 Password required for User C-more. Password: 230 User C-more logged in. ftp>
Example - Port No = 22 | C:\ftp ftp> open 192.168.100.4 22 Connected to 192.168.100.4. 220 Duplex_Pump FTP Service ( User (192.168.100.4:(none)): C-more 331 Password required for User C-more. Password: 230 User C-more logged in. ftp>

Command | dir
Description | The dir command will list the contents of the panel's directory.
Example - dir | ftp> open To 192.168.100.4 Connected to 192.168.100.4. 220 Duplex_Pump FTP Service ( User (192.168.100.4:(none)): C-more 331 Password required for User C-more. Password: 230 User C-more logged in. ftp> dir 200 PORT command successful. 150 Opening ASCII mode data connection for /bin/ls. drwxrwxrwx 2 C-more drwxrwxrwx 2 C-more 226 Transfer complete. ftp: 142 bytes received in 0.36Seconds 0.40Kbytes/sec. ftp> cd /USB_Pen_Memory 250 CWD command successful. ftp> dir 200 PORT command successful. 150 Opening ASCII mode data connection for /bin/ls. drwxrwxrwx 2 C-more 226 Transfer complete. ftp: 60 bytes received in 0.13Seconds 0.48Kbytes/sec. ftp> cd Log 250 CWD command successful. ftp> dir 200 PORT command successful. 150 Opening ASCII mode data connection for /bin/ls. -rw-rw-rw- 1 C-more -rw-rw-rw- 1 C-more -rw-rw-rw- 1 C-more log 226 Transfer complete. ftp: 252 bytes received in 0.30Seconds 0.85Kbytes/sec. ftp>

Command | pwd
Description | The pwd command displays the current directory at the panel.
Example - pwd | ftp> ftp> ftp> pwd 257 "/Mounted Volume/root" is current directory. ftp> ftp>

Command

ls

Description

Displays an abbreviated list of the panel's files and sub-directories.

Syntax

Format

ls [parameter1] [parameter2]

parameter1 = Remote Directory

Specifies the directory for which you want to see a listing. If no directory is specified, the current working directory on the remote computer is used.

parameter2 =Local File

Specifies a local file in which to store the listing. If a local file is not specified, results are displayed on the screen.

Example

ftp> ls

Files are listed from current working directory.

ftp> ls images

Files are listed in the “images” subdirectory.

ftp> ls images c:/

Files list in subdirectory “images” is written to file

C:\ftp 192.168.100.4

Connected to 192.168.100.4.

220 Duplex_Pump FTP Service (

User (192.168.100.4:(none)): C-more

331 Password required for User C-more.

Password:

230 User C-more logged in.

ftp> ls

200 PORT command successful.

150 Opening ASCII mode data connection for file list.

Built-in_Flash

USB_Pen_Memory

226 Transfer complete.

ftp: 32 bytes received in 0.36Seconds 0.09Kbytes/sec.

ftp>

Command | mls
Description | Displays an abbreviated list of the panel's files and sub-directories.
Syntax Format | mls [parameter1] [ …] [parameter2] parameter1 =Remote Directory or Remote files Specifies the files for which you want to see a listing. Specifies the directory for which you want to see a listing. Type a hyphen (-) to use the current working directory on the remote computer. parameter2 =LocalFile Specifies a local file in which to store the listing. If a local file is not specified, results are displayed on the screen. Type a hyphen (-) to display the listing on the screen.
Example | C:\ftp 192.168.100.4 Connected to 192.168.100.4. 220 Duplex_Pump FTP Service ( User (192.168.100.4:(none)): C-more 331 Password required for User C-more. Password: 230 User C-more logged in. ftp> mls Remote files - Local file - 200 PORT command successful. 150 Opening ASCII mode data connection for file list. Built-in_Flash USB_Pen_Memory 226 Transfer complete. ftp: 32 bytes received in 0.39Seconds 0.08Kbytes/sec. ftp>

Command | Status
Description | Displays the current status of FTP connections.
Example | C:\ftp 192.168.100.4 Connected to 192.168.100.4. 220 Duplex_Pump FTP Service ( User (192.168.100.4:(none)): C-more 331 Password required for User C-more. Password: 230 User C-more logged in. ftp> status Connected to 192.168.100.4. Type: ASCII; Verbose: On ; Bell: Off ; Prompting: On ; Globbing: On Debugging: Off ; Hash mark printing: Off . ftp>

Command | ASCII
Description | Sets the file transfer type to ASCII, the default.
Command | binary
Description | Sets the file transfer type to binary.
Example | ftp> ASCII Type set to A. ftp> ftp> ftp> binary Type set to I. ftp>

Command | Type
Description | Displays the file transfer type.
Example | ftp> type Using binary mode to transfer files. ftp> ASCII 200 Type set to A. ftp> type Using ASCII mode to transfer files.

Command | Mdir
Description | Will list the contents of multiple remote directories.
Syntax Format | Mdir [parameter1] [parameter2] parameter1 =RemoteFiles Specifies the directory for which you want to see a listing. parameter2 =LocalFile Specifies a local file in which to store the listing.
Example 1 | C:\ftp ftp> open 192.168.100.4 Connected to 192.168.100.4. 220 Duplex_Pump FTP Service ( User (192.168.100.4:(none)): C-more 331 Password required for User C-more. Password: 230 User C-more logged in. ftp> Mdir Remote files *.* Local file test.txt output to local-file: test.txt? 200 PORT command successful. 150 Opening ASCII mode data connection for /bin/ls. 226 Transfer complete. ftp: 142 bytes received in 0.33Seconds 0.43Kbytes/sec. ftp>
Example 2 | C:\ftp 192.168.100.4 Connected to 192.168.100.4. 220 Duplex_Pump FTP Service ( User (192.168.100.4:(none)): C-more 331 Password required for User C-more. Password: 230 User C-more logged in. ftp> lcd Local directory now C:\. ftp> mdir Remote files *.* Local file test.txt output to local-file: test.txt? 200 PORT command successful. 150 Opening ASCII mode data connection for /bin/ls. 226 Transfer complete. ftp: 142 bytes received in 0.30Seconds 0.48Kbytes/sec. ftp> mdir *.* test2.txt output to local-file: test2.txt? y 200 PORT command successful. 150 Opening ASCII mode data connection for /bin/ls. 226 Transfer complete. ftp: 142 bytes received in 0.41Seconds 0.35Kbytes/sec. ftp>

Command | CD
Description | Change Directory - used to change the remote working directory.
Syntax Format | CD [parameter1] Parameter1= /change directory name/
Example 1 | ftp> open To 192.168.100.4 Connected to 192.168.100.4. 220 Duplex_Pump FTP Service ( User (192.168.100.4:(none)): C-more 331 Password required for User C-more. Password: 230 User C-more logged in. ftp> dir 200 PORT command successful. 150 Opening ASCII mode data connection for /bin/ls. drwxrwxrwx 2 C-more drwxrwxrwx 2 C-more 226 Transfer complete. ftp: 142 bytes received in 0.36Seconds 0.40Kbytes/sec. ftp> cd /USB_Pen_Memory 250 CWD command successful. ftp>
Example 2 | C:\ftp 192.168.100.4 Connected to 192.168.100.4. 220 Duplex_Pump FTP Service ( User (192.168.100.4:(none)): C-more 331 Password required for User C-more. Password: 230 User C-more logged in. ftp> cd Remote directory /Built-in_Flash 250 CWD command successful. ftp>

Command | Mkdir
Description | Make Directory - used to create a directory on the panel.
Syntax Format | Mkdir [parameter1] Parameter1= make directory name
Example | C:\ftp 192.168.100.4 Connected to 192.168.100.4. 220 Duplex_Pump FTP Service ( User (192.168.100.4:(none)): C-more 331 Password required for User C-more. Password: 230 User C-more logged in. ftp> cd /Built-in_Flash/root/ 250 CWD command successful. ftp> mkdir Directory name test 250 MKD command successful. ftp> dir 200 PORT command successful. 150 Opening ASCII mode data connection for /bin/ls. drwxrwxrwx 2 C-more -rw-rw-rw- 1 C-more -rw-rw-rw- 1 C-more -rw-rw-rw- 1 C-more -rw-rw-rw- 1 C-more -rw-rw-rw- 1 C-more -rw-rw-rw- 1 C-more -rw-rw-rw- 1 C-more -rw-rw-rw- 1 C-more -rw-rw-rw- 1 C-more drwxrwxrwx 2 C-more 226 Transfer complete. ftp: 765 bytes received in 0.38Seconds 2.04Kbytes/sec. ftp>
Caution | If adding a directory folder to the Built-in_Flash memory, be sure you have changed the directory to the root level, i.e. /

Command | Rmdir
Description | Remove Directory - used to remove a directory from the panel.
Syntax Format | Rmdir [parameter1] Parameter1= delete directory name
Example | C:\ftp 192.168.100.4 Connected to 192.168.100.4. 220 Duplex_Pump FTP Service ( User (192.168.100.4:(none)): C-more 331 Password required for User C-more. Password: 230 User C-more logged in. ftp> cd /Built-in_Flash/root/ 250 CWD command successful. ftp> rmdir Directory name test 250 RMD command successful. ftp> dir 200 PORT command successful. 150 Opening ASCII mode data connection for /bin/ls. drwxrwxrwx 2 C-more -rw-rw-rw- 1 C-more -rw-rw-rw- 1 C-more -rw-rw-rw- 1 C-more -rw-rw-rw- 1 C-more -rw-rw-rw- 1 C-more -rw-rw-rw- 1 C-more -rw-rw-rw- 1 C-more -rw-rw-rw- 1 C-more -rw-rw-rw- 1 C-more 226 Transfer complete. ftp: 704 bytes received in 0.33Seconds 2.15Kbytes/sec. ftp>

Command | Put Send
Description | Copies a single file from the PC to the panel.
Syntax Format | Put [parameter1] [parameter2] Send [parameter1] [parameter2] Parameter1= Local file name Parameter2= Remote file name If RemoteFile is not specified, the file is given the
Example - Put | C:\ftp 192.168.100.4 Connected to 192.168.100.4. 220 Duplex_Pump FTP Service ( User (192.168.100.4:(none)): C-more 331 Password required for User C-more. Password: 230 User C-more logged in. ftp> lcd Local directory now C:\. ftp> cd /Built-in_Flash/root/ 250 CWD command successful. ftp> put Local file test.txt Remote file test2.txt 200 PORT command successful. 150 Opening ASCII mode data connection for test2.txt. 226 Transfer complete. ftp: 144 bytes sent in 0.00Seconds 144000.00Kbytes/sec. ftp> dir 200 PORT command successful. 150 Opening ASCII mode data connection for /bin/ls. drwxrwxrwx 2 C-more -rw-rw-rw- 1 C-more -rw-rw-rw- 1 C-more -rw-rw-rw- 1 C-more -rw-rw-rw- 1 C-more -rw-rw-rw- 1 C-more -rw-rw-rw- 1 C-more -rw-rw-rw- 1 C-more -rw-rw-rw- 1 C-more -rw-rw-rw- 1 C-more -rw-rw-rw- 1 C-more 226 Transfer complete. ftp: 770 bytes received in 0.00Seconds 770000.00Kbytes/sec. ftp>
Example - Send | C:\ftp 192.168.100.4 Connected to 192.168.100.4. 220 Duplex_Pump FTP Service ( User (192.168.100.4:(none)): C-more 331 Password required for User C-more. Password: 230 User C-more logged in. ftp> cd /Built-in_Flash/root/ 250 CWD command successful. ftp> lcd Local directory now C:\. ftp> send Local file test.txt Remote file 200 PORT command successful. 150 Opening ASCII mode data connection for test.txt. 226 Transfer complete. ftp: 144 bytes sent in 0.00Seconds 144000.00Kbytes/sec. ftp> dir 200 PORT command successful. 150 Opening ASCII mode data connection for /bin/ls. drwxrwxrwx 2 C-more -rw-rw-rw- 1 C-more -rw-rw-rw- 1 C-more -rw-rw-rw- 1 C-more -rw-rw-rw- 1 C-more -rw-rw-rw- 1 C-more -rw-rw-rw- 1 C-more -rw-rw-rw- 1 C-more -rw-rw-rw- 1 C-more -rw-rw-rw- 1 C-more -rw-rw-rw- 1 C-more 226 Transfer complete. ftp: 769 bytes received in 0.34Seconds 2.43Kbytes/sec. ftp>
Example - Put & Send | ftp> put C:/ 200 PORT command successful. 150 Opening ASCII mode data connection for test.txt. 226 Transfer complete. ftp> send C:/test2.txt 200 PORT command successful. 150 Opening ASCII mode data connection for test2.txt. 226 Transfer complete. ftp> dir 200 PORT command successful. 150 Opening ASCII mode data connection for /bin/ls. drwxrwxrwx 2 C-more -rw-rw-rw- 1 C-more -rw-rw-rw- 1 C-more -rw-rw-rw- 1 C-more -rw-rw-rw- 1 C-more -rw-rw-rw- 1 C-more -rw-rw-rw- 1 C-more -rw-rw-rw- 1 C-more -rw-rw-rw- 1 C-more -rw-rw-rw- 1 C-more -rw-rw-rw- 1 C-more -rw-rw-rw- 1 C-more 226 Transfer complete. ftp: 835 bytes received in 0.34Seconds 2.43Kbytes/sec. ftp>

Command

Mput

Description

Copies multiple files to the panel.

Syntax

Format

Mput [parameter1] [parameter2]…. [parameter N]

Parameter[1,2…N]= Local file name

Parameter supported wild card(? and *)

Example - Mput

C:\ftp 192.168.100.4

Connected to 192.168.100.4.

220 Duplex_Pump FTP Service (

User (192.168.100.4:(none)): C-more

331 Password required for User C-more.

Password:

230 User C-more logged in.

ftp> cd /Built-in_Flash/root/

250 CWD command successful.

ftp> mput test_put.txt test_put2.txt

mput

200 PORT command successful.

150 Opening ASCII mode data connection for test_put.txt.

226 Transfer complete.

ftp: 12 bytes sent in 0.00Seconds 12000.00Kbytes/sec.

mput test_put2.txt?

200 PORT command successful.

150 Opening ASCII mode data connection for test_put2.txt.

226 Transfer complete.

ftp: 13 bytes sent in 0.00Seconds 13000.00Kbytes/sec.

ftp> dir

200 PORT command successful.

150 Opening ASCII mode data connection for /bin/ls.

drwxrwxrwx 2 C-more

-rw-rw-rw- 1 C-more

-rw-rw-rw- 1 C-more

-rw-rw-rw- 1 C-more

-rw-rw-rw- 1 C-more

-rw-rw-rw- 1 C-more

-rw-rw-rw- 1 C-more

-rw-rw-rw- 1 C-more

-rw-rw-rw- 1 C-more

-rw-rw-rw- 1 C-more

-rw-rw-rw- 1 C-more

-rw-rw-rw- 1 C-more

226 Transfer complete.

ftp: 843 bytes received in 0.31Seconds 2.70Kbytes/sec.

ftp>

Example - Mput

wild card "?"

C:\ftp 192.168.100.4

Connected to 192.168.100.4.

220 Duplex_Pump FTP Service (

User (192.168.100.4:(none)): C-more

331 Password required for User C-more.

Password:

230 User C-more logged in.

ftp> cd /Built-in_Flash/root/

250 CWD command successful.

ftp> mput test_put?.

mput

200 PORT command successful.

150 Opening ASCII mode data connection for test_put.txt.

226 Transfer complete.

ftp: 12 bytes sent in 0.00Seconds 12000.00Kbytes/sec.

mput test_put1.txt?

200 PORT command successful.

150 Opening ASCII mode data connection for test_put1.txt.

226 Transfer complete.

ftp: 13 bytes sent in 0.00Seconds 13000.00Kbytes/sec.

mput test_put2.txt?

200 PORT command successful.

150 Opening ASCII mode data connection for test_put2.txt.

226 Transfer complete.

ftp: 13 bytes sent in 0.00Seconds 13000.00Kbytes/sec.

ftp> dir

200 PORT command successful.

150 Opening ASCII mode data connection for /bin/ls.

drwxrwxrwx 2 C-more

-rw-rw-rw- 1 C-more

-rw-rw-rw- 1 C-more

-rw-rw-rw- 1 C-more

-rw-rw-rw- 1 C-more

-rw-rw-rw- 1 C-more

-rw-rw-rw- 1 C-more

-rw-rw-rw- 1 C-more

-rw-rw-rw- 1 C-more

-rw-rw-rw- 1 C-more

-rw-rw-rw- 1 C-more

-rw-rw-rw- 1 C-more

-rw-rw-rw- 1 C-more

226 Transfer complete.

ftp: 913 bytes received in 0.38Seconds 2.43Kbytes/sec.

ftp>

Example - Mput

wild card "*"

C:\ftp 192.168.100.4

Connected to 192.168.100.4.

220 Duplex_Pump FTP Service (

User (192.168.100.4:(none)): C-more

331 Password required for User C-more.

Password:

230 User C-more logged in.

ftp> cd /Built-in_Flash/root/

250 CWD command successful.

ftp> mput test_put*.*

mput

200 PORT command successful.

150 Opening ASCII mode data connection for test_put.csv.

226 Transfer complete.

ftp: 12 bytes sent in 0.00Seconds 12000.00Kbytes/sec.

mput

200 PORT command successful.

150 Opening ASCII mode data connection for test_put.txt.

226 Transfer complete.

ftp: 12 bytes sent in 0.00Seconds 12000.00Kbytes/sec.

mput test_put1.csv?

200 PORT command successful.

150 Opening ASCII mode data connection for test_put1.csv.

226 Transfer complete.

ftp: 13 bytes sent in 0.00Seconds 13000.00Kbytes/sec.

mput test_put1.txt?

200 PORT command successful.

150 Opening ASCII mode data connection for test_put1.txt.

226 Transfer complete.

ftp: 13 bytes sent in 0.00Seconds 13000.00Kbytes/sec.

mput test_put12.txt?

200 PORT command successful.

150 Opening ASCII mode data connection for test_put12.txt.

226 Transfer complete.

ftp: 14 bytes sent in 0.00Seconds 14000.00Kbytes/sec.

mput test_put2.csv?

200 PORT command successful.

150 Opening ASCII mode data connection for test_put2.csv.

226 Transfer complete.

ftp: 13 bytes sent in 0.00Seconds 13000.00Kbytes/sec.

mput test_put2.txt?

200 PORT command successful.

150 Opening ASCII mode data connection for test_put2.txt.

226 Transfer complete.

ftp: 13 bytes sent in 0.00Seconds 13000.00Kbytes/sec.

ftp> dir

200 PORT command successful.

150 Opening ASCII mode data connection for /bin/ls.

drwxrwxrwx 2 C-more

-rw-rw-rw- 1 C-more

-rw-rw-rw- 1 C-more

-rw-rw-rw- 1 C-more

-rw-rw-rw- 1 C-more

-rw-rw-rw- 1 C-more

-rw-rw-rw- 1 C-more

-rw-rw-rw- 1 C-more

-rw-rw-rw- 1 C-more

-rw-rw-rw- 1 C-more

-rw-rw-rw- 1 C-more

-rw-rw-rw- 1 C-more

-rw-rw-rw- 1 C-more

-rw-rw-rw- 1 C-more

-rw-rw-rw- 1 C-more

-rw-rw-rw- 1 C-more

-rw-rw-rw- 1 C-more

226 Transfer complete.

ftp: 1193 bytes received in 0.34Seconds 3.47Kbytes/sec.

ftp>

Command | Get Recv
Description | Copies one file from the panel to the PC.
Syntax Format | Get [parameter1] [parameter2] Recv [parameter1] [parameter2] Parameter1= Remote file name Parameter2= Local file name If LocalFile is not specified, the file is given the
Example - Get | ftp> get Remote file test.txt Local file test_get.txt 200 PORT command successful. 150 Opening ASCII mode data connection for test.txt. 226 Transfer complete. ftp: 144 bytes received in 0.16Seconds 0.92Kbytes/sec. ftp> get test.txt test_get2.txt 200 PORT command successful. 150 Opening ASCII mode data connection for test.txt. 226 Transfer complete. ftp: 144 bytes received in 0.17Seconds 0.84Kbytes/sec. ftp>
Example - Recv | ftp> recv Remote file test.txt Local file test_recv.txt 200 PORT command successful. 150 Opening ASCII mode data connection for test.txt. 226 Transfer complete. ftp: 144 bytes received in 0.16Seconds 0.92Kbytes/sec. ftp> recv 200 PORT command successful. 150 Opening ASCII mode data connection for test.txt. 226 Transfer complete. ftp: 144 bytes received in 0.17Seconds 0.84Kbytes/sec. ftp>

Command

Mget

Description

Copies multiple files from the panel to the PC.

Syntax

Format

Mget [parameter1] [parameter2]…. [parameter N]

Parameter[1,2…N]= remote file name

Parameter supported wild card(? and *)

Example - Mget

C:\ftp 192.168.100.4

Connected to 192.168.100.4.

220 Duplex_Pump FTP Service (

User (192.168.100.4:(none)): C-more

331 Password required for User C-more.

Password:

230 User C-more logged in.

ftp> dir

200 PORT command successful.

150 Opening ASCII mode data connection for /bin/ls.

drwxrwxrwx 2 C-more

drwxrwxrwx 2 C-more

226 Transfer complete.

ftp: 142 bytes received in 0.33Seconds 0.43Kbytes/sec.

ftp> cd /Built-in_Flash/root/

250 CWD command successful.

ftp> dir

200 PORT command successful.

150 Opening ASCII mode data connection for /bin/ls.

drwxrwxrwx 2 C-more

-rw-rw-rw- 1 C-more

-rw-rw-rw- 1 C-more

-rw-rw-rw- 1 C-more

-rw-rw-rw- 1 C-more

-rw-rw-rw- 1 C-more

-rw-rw-rw- 1 C-more

-rw-rw-rw- 1 C-more

-rw-rw-rw- 1 C-more

-rw-rw-rw- 1 C-more

-rw-rw-rw- 1 C-more

-rw-rw-rw- 1 C-more

-rw-rw-rw- 1 C-more

-rw-rw-rw- 1 C-more

-rw-rw-rw- 1 C-more

-rw-rw-rw- 1 C-more

-rw-rw-rw- 1 C-more

-rw-rw-rw- 1 C-more

226 Transfer complete.

ftp: 1258 bytes received in 0.33Seconds 3.84Kbytes/sec.

ftp> mget ws_busy.html

200 Type set to A.

mget

200 PORT command successful.

150 Opening ASCII mode data connection for ws_busy.html.

226 Transfer complete.

ftp: 751 bytes received in 0.11Seconds 6.89Kbytes/sec.

mget

200 PORT command successful.

150 Opening ASCII mode data connection for test_put.csv.

226 Transfer complete.

ftp: 12 bytes received in 0.11Seconds 0.11Kbytes/sec.

ftp>

Example - Mget

wild card "?"

ftp> dir

200 PORT command successful.

150 Opening ASCII mode data connection for /bin/ls.

drwxrwxrwx 2 C-more

-rw-rw-rw- 1 C-more

-rw-rw-rw- 1 C-more

-rw-rw-rw- 1 C-more

-rw-rw-rw- 1 C-more

-rw-rw-rw- 1 C-more

-rw-rw-rw- 1 C-more

-rw-rw-rw- 1 C-more

-rw-rw-rw- 1 C-more

-rw-rw-rw- 1 C-more

-rw-rw-rw- 1 C-more

-rw-rw-rw- 1 C-more

-rw-rw-rw- 1 C-more

-rw-rw-rw- 1 C-more

-rw-rw-rw- 1 C-more

-rw-rw-rw- 1 C-more

-rw-rw-rw- 1 C-more

-rw-rw-rw- 1 C-more

226 Transfer complete.

ftp: 1258 bytes received in 0.36Seconds 3.49Kbytes/sec.

ftp> mget test_put?.

200 Type set to A.

mget test_put1.txt?

200 PORT command successful.

150 Opening ASCII mode data connection for test_put1.txt.

226 Transfer complete.

ftp: 13 bytes received in 0.17Seconds 0.08Kbytes/sec.

mget test_put2.txt?

200 PORT command successful.

150 Opening ASCII mode data connection for test_put2.txt.

226 Transfer complete.

ftp: 13 bytes received in 0.09Seconds 0.14Kbytes/sec.

ftp>

Example - Mget

wild card "*"

ftp> mget test_*.*

200 Type set to A.

mget

200 PORT command successful.

150 Opening ASCII mode data connection for test_put.csv.

226 Transfer complete.

ftp: 12 bytes received in 0.14Seconds 0.09Kbytes/sec.

mget

200 PORT command successful.

150 Opening ASCII mode data connection for test_put.txt.

226 Transfer complete.

ftp: 12 bytes received in 0.17Seconds 0.07Kbytes/sec.

mget test_put1.csv?

200 PORT command successful.

150 Opening ASCII mode data connection for test_put1.csv.

226 Transfer complete.

ftp: 13 bytes received in 0.20Seconds 0.06Kbytes/sec.

mget test_put1.txt?

200 PORT command successful.

150 Opening ASCII mode data connection for test_put1.txt.

226 Transfer complete.

ftp: 13 bytes received in 0.19Seconds 0.07Kbytes/sec.

mget test_put12.txt?

200 PORT command successful.

150 Opening ASCII mode data connection for test_put12.txt.

226 Transfer complete.

ftp: 14 bytes received in 0.14Seconds 0.10Kbytes/sec.

mget test_put2.csv?

200 PORT command successful.

150 Opening ASCII mode data connection for test_put2.csv.

226 Transfer complete.

ftp: 13 bytes received in 0.19Seconds 0.07Kbytes/sec.

mget test_put2.txt?

200 PORT command successful.

150 Opening ASCII mode data connection for test_put2.txt.

226 Transfer complete.

ftp: 13 bytes received in 0.13Seconds 0.10Kbytes/sec.

ftp>

Command

Rename

Description

Renames a file on the panel.

Syntax

Format

Rename [parameter1] [parameter2]

Parameter1= Remote file name

Parameter2= Remote new file name

Example - Rename

Rename from test_put12.txt

to test_put22.txt

C:\ftp 192.168.100.4

Connected to 192.168.100.4.

220 Duplex_Pump FTP Service (

User (192.168.100.4:(none)): C-more

331 Password required for User C-more.

Password:

230 User C-more logged in.

ftp> cd /Built-in_Flash/root/

250 CWD command successful.

ftp> dir

200 PORT command successful.

150 Opening ASCII mode data connection for /bin/ls.

drwxrwxrwx 2 C-more

-rw-rw-rw- 1 C-more

-rw-rw-rw- 1 C-more

-rw-rw-rw- 1 C-more

-rw-rw-rw- 1 C-more

-rw-rw-rw- 1 C-more

-rw-rw-rw- 1 C-more

-rw-rw-rw- 1 C-more

-rw-rw-rw- 1 C-more

-rw-rw-rw- 1 C-more

-rw-rw-rw- 1 C-more

-rw-rw-rw- 1 C-more

-rw-rw-rw- 1 C-more

-rw-rw-rw- 1 C-more

-rw-rw-rw- 1 C-more

-rw-rw-rw- 1 C-more

-rw-rw-rw- 1 C-more

-rw-rw-rw- 1 C-more

226 Transfer complete.

ftp: 1258 bytes received in 0.31Seconds 4.03Kbytes/sec.

ftp> rename

From name test_put12.txt

To name test_put22.txt

350 File exists, ready for destination name.

250 RNTO command successful.

ftp> dir

200 PORT command successful.

150 Opening ASCII mode data connection for /bin/ls.

drwxrwxrwx 2 C-more

-rw-rw-rw- 1 C-more

-rw-rw-rw- 1 C-more

-rw-rw-rw- 1 C-more

-rw-rw-rw- 1 C-more

-rw-rw-rw- 1 C-more

-rw-rw-rw- 1 C-more

-rw-rw-rw- 1 C-more

-rw-rw-rw- 1 C-more

-rw-rw-rw- 1 C-more

-rw-rw-rw- 1 C-more

-rw-rw-rw- 1 C-more

-rw-rw-rw- 1 C-more

-rw-rw-rw- 1 C-more

-rw-rw-rw- 1 C-more

-rw-rw-rw- 1 C-more

-rw-rw-rw- 1 C-more

-rw-rw-rw- 1 C-more

226 Transfer complete.

ftp: 1258 bytes received in 0.30Seconds 4.24Kbytes/sec.

ftp>

Example - Rename

Rename from test_put22.txt

to rename.txt

ftp> rename test_put22.txt rename.txt

350 File exists, ready for destination name.

250 RNTO command successful.

ftp> dir

200 PORT command successful.

150 Opening ASCII mode data connection for /bin/ls.

drwxrwxrwx 2 C-more

-rw-rw-rw- 1 C-more

-rw-rw-rw- 1 C-more

-rw-rw-rw- 1 C-more

-rw-rw-rw- 1 C-more

-rw-rw-rw- 1 C-more

-rw-rw-rw- 1 C-more

-rw-rw-rw- 1 C-more

-rw-rw-rw- 1 C-more

-rw-rw-rw- 1 C-more

-rw-rw-rw- 1 C-more

-rw-rw-rw- 1 C-more

-rw-rw-rw- 1 C-more

-rw-rw-rw- 1 C-more

-rw-rw-rw- 1 C-more

-rw-rw-rw- 1 C-more

-rw-rw-rw- 1 C-more

-rw-rw-rw- 1 C-more

226 Transfer complete.

ftp: 1254 bytes received in 0.41Seconds 3.08Kbytes/sec.

ftp>

Command | Delete
Description | Deletes a single file from the panel.
Syntax Format | Delete [parameter1] Parameter1= Remote file name
Example 1 | -rw-rw-rw- 1 C-more -rw-rw-rw- 1 C-more -rw-rw-rw- 1 C-more -rw-rw-rw- 1 C-more -rw-rw-rw- 1 C-more -rw-rw-rw- 1 C-more 226 Transfer complete. ftp: 1254 bytes received in 0.33Seconds 3.82Kbytes/sec. ftp> delete Remote file test_put2.txt 250 DELE command successful. ftp> dir 200 PORT command successful. 150 Opening ASCII mode data connection for /bin/ls. drwxrwxrwx 2 C-more -rw-rw-rw- 1 C-more -rw-rw-rw- 1 C-more -rw-rw-rw- 1 C-more -rw-rw-rw- 1 C-more -rw-rw-rw- 1 C-more -rw-rw-rw- 1 C-more -rw-rw-rw- 1 C-more -rw-rw-rw- 1 C-more -rw-rw-rw- 1 C-more -rw-rw-rw- 1 C-more -rw-rw-rw- 1 C-more -rw-rw-rw- 1 C-more -rw-rw-rw- 1 C-more -rw-rw-rw- 1 C-more -rw-rw-rw- 1 C-more -rw-rw-rw- 1 C-more 226 Transfer complete. ftp: 1184 bytes received in 0.39Seconds 3.04Kbytes/sec. ftp>
Example 2 | -rw-rw-rw- 1 C-more -rw-rw-rw- 1 C-more -rw-rw-rw- 1 C-more -rw-rw-rw- 1 C-more -rw-rw-rw- 1 C-more 226 Transfer complete. ftp: 1184 bytes received in 0.39Seconds 3.03Kbytes/sec. ftp> delete rename.txt 250 DELE command successful. ftp> dir 200 PORT command successful. 150 Opening ASCII mode data connection for /bin/ls. drwxrwxrwx 2 C-more -rw-rw-rw- 1 C-more -rw-rw-rw- 1 C-more -rw-rw-rw- 1 C-more -rw-rw-rw- 1 C-more -rw-rw-rw- 1 C-more -rw-rw-rw- 1 C-more -rw-rw-rw- 1 C-more -rw-rw-rw- 1 C-more -rw-rw-rw- 1 C-more -rw-rw-rw- 1 C-more -rw-rw-rw- 1 C-more -rw-rw-rw- 1 C-more -rw-rw-rw- 1 C-more -rw-rw-rw- 1 C-more -rw-rw-rw- 1 C-more 226 Transfer complete. ftp: 1117 bytes received in 0.41Seconds 2.75Kbytes/sec. ftp>

Command

Mdelete

Description

Deletes multiple files from the panel.

Syntax

Format

Mdelete [parameter1] [parameter2]…. [parameter N]

Parameter[1,2…N]= remote file name

Parameter supported wild card(? and *)

Example - Mdelete

-rw-rw-rw- 1 C-more C-more 12 Mar 02 09:49

-rw-rw-rw- 1 C-more C-more 12 Mar 02 09:49

-rw-rw-rw- 1 C-more C-more 13 Mar 02 09:49 test_put1.csv

-rw-rw-rw- 1 C-more C-more 13 Mar 02 09:49 test_put1.txt

-rw-rw-rw- 1 C-more C-more 13 Mar 02 09:49 test_put2.csv

-rw-rw-rw- 1 C-more C-more 144 Mar 02 10:11 test.txt

226 Transfer complete.

ftp: 1117 bytes received in 0.39Seconds 2.86Kbytes/sec.

ftp> mdelete test_put.csv test_put.txt

200 Type set to A.

mdelete test_put.csv? y

250 DELE command successful.

mdelete test_put.txt? y

250 DELE command successful.

ftp> dir

200 PORT command successful.

150 Opening ASCII mode data connection for /bin/ls.

drwxrwxrwx 2 C-more C-more 1024 Apr 18 2076 images

-rw-rw-rw- 1 C-more C-more 533 Oct 04 2005 default.css

-rw-rw-rw- 1 C-more C-more 2677 Oct 04 2005 fancyscreen.html

-rw-rw-rw- 1 C-more C-more 1227 Oct 04 2005 filelist.html

-rw-rw-rw- 1 C-more C-more 1375 Oct 04 2005 index.html

-rw-rw-rw- 1 C-more C-more 1516 Oct 04 2005 instructions.html

-rw-rw-rw- 1 C-more C-more 2808 Oct 04 2005 screendisplay.html

-rw-rw-rw- 1 C-more C-more 1857 Aug 25 2005 screenlist.html

-rw-rw-rw- 1 C-more C-more 751 Oct 04 2005 ws_busy.html

-rw-rw-rw- 1 C-more C-more 742 Oct 04 2005 ws_notfound.html

-rw-rw-rw- 1 C-more C-more 13 Mar 02 09:49 test_put1.csv

-rw-rw-rw- 1 C-more C-more 13 Mar 02 09:49 test_put1.txt

-rw-rw-rw- 1 C-more C-more 13 Mar 02 09:49 test_put2.csv

-rw-rw-rw- 1 C-more C-more 144 Mar 02 10:11 test.txt

226 Transfer complete.

ftp: 979 bytes received in 0.31Seconds 3.13Kbytes/sec.

ftp>

Example - Mdelete

wild card "?"

ftp> mdelete test_put?.csv

200 Type set to A.

mdelete test_put1.csv? y

250 DELE command successful.

mdelete test_put2.csv? y

250 DELE command successful.

ftp> dir

200 PORT command successful.

150 Opening ASCII mode data connection for /bin/ls.

drwxrwxrwx 2 C-more C-more 1024 Apr 18 2076 images

-rw-rw-rw- 1 C-more C-more 533 Oct 04 2005 default.css

-rw-rw-rw- 1 C-more C-more 2677 Oct 04 2005 fancyscreen.html

-rw-rw-rw- 1 C-more C-more 1227 Oct 04 2005 filelist.html

-rw-rw-rw- 1 C-more C-more 1375 Oct 04 2005 index.html

-rw-rw-rw- 1 C-more C-more 1516 Oct 04 2005 instructions.html

-rw-rw-rw- 1 C-more C-more 2808 Oct 04 2005 screendisplay.html

-rw-rw-rw- 1 C-more C-more 1857 Aug 25 2005 screenlist.html

-rw-rw-rw- 1 C-more C-more 751 Oct 04 2005 ws_busy.html

-rw-rw-rw- 1 C-more C-more 742 Oct 04 2005 ws_notfound.html

-rw-rw-rw- 1 C-more C-more 13 Mar 02 09:49 test_put1.txt

-rw-rw-rw- 1 C-more C-more 144 Mar 02 10:11 test.txt

226 Transfer complete.

ftp: 839 bytes received in 0.38Seconds 2.24Kbytes/sec.

ftp>

Example - Mdelete

wild card "*"

ftp> mdelete test*.*

200 Type set to A.

mdelete test_put1.txt? y

250 DELE command successful.

mdelete test.txt? y

250 DELE command successful.

ftp> dir

200 PORT command successful.

150 Opening ASCII mode data connection for /bin/ls.

drwxrwxrwx 2 C-more C-more 1024 Apr 18 2076 images

-rw-rw-rw- 1 C-more C-more 533 Oct 04 2005 default.css

-rw-rw-rw- 1 C-more C-more 2677 Oct 04 2005 fancyscreen.html

-rw-rw-rw- 1 C-more C-more 1227 Oct 04 2005 filelist.html

-rw-rw-rw- 1 C-more C-more 1375 Oct 04 2005 index.html

-rw-rw-rw- 1 C-more C-more 1516 Oct 04 2005 instructions.html

-rw-rw-rw- 1 C-more C-more 2808 Oct 04 2005 screendisplay.html

-rw-rw-rw- 1 C-more C-more 1857 Aug 25 2005 screenlist.html

-rw-rw-rw- 1 C-more C-more 751 Oct 04 2005 ws_busy.html

-rw-rw-rw- 1 C-more C-more 742 Oct 04 2005 ws_notfound.html

226 Transfer complete.

ftp: 704 bytes received in 0.34Seconds 2.05Kbytes/sec.

ftp>


Touch Panel Network: Email Client Tab

C-more Email Functionality

The Email Client feature allows the touch panel to be setup to send email messages from the panel with embedded data, date and time stamps and attached files containing logged data, trend graphs and screen captures. This feature requires an SMTP (Simple Mail Transfer Protocol) email server and optionally a DHCP (Dynamic Host Configuration Protocol) server and/or DNS (Domain Name System) server. You may need to consult your system administrator for assistance in setting up this feature.

The Email Client and the Address Book, must be completed in order to be able to select the email feature using the Event Manager Database.

Checklist to use the Email Feature
  1. Gather all necessary information to connect to ISP/Email Provider, including:

    • Default gateway and C-more's network information (provided by IT department)
    • Authentication method required by ISP: SMTP AUTH, POP before SMTP, SSL, etc… (provided by email service provider)
    • SMTP server DNS/IP and port number (provided by email service provider)
    • POP3 server DNS/IP (if necessary) and port # (provided by email service provider)
    • Email log on credentials (provided by email service provider)
    • Domain name (IE… myemail@xxxxx.xxx) (configured by user with email service provider)
    • Allowed sender email addresses for account (configured by user with email service provider)
    • Email addresses to send to (decided by programmer)

Using this information:

  2. Configure C-more's network (Touch Panel Network - Ethernet Port tab)
  3. Configure Email Client (Touch Panel Network - Email Client tab)
  4. Configure email addresses (Address Book Database)
  5. Configure Email Event Actions (Event Manager)

Standard SMTP

With the SMTP server filled in and SMTP (No Authentication) selected, C-more does only standard SMTP protocol, with or without SSL. The SSL setting requirement is determined by your email service provider.

POP3 before SMTP

This setup does POP before SMTP if POP authentication is required by your email provider.

This setting will accomplish POP before SMTP even if no address has been entered into the Receive Mail Server field. C-more will use the address entered in the Send Mail Server field to query the POP server for authentication but use the Port number specified for the POP3.

SMTP Authentication

Selecting the “SMTP Authentication” forces C-more to use SMTP Authentication protocol. Although the default SMTP port number still shows 25, the more typical port number for SMTP AUTH is 587. The SMTP Port No. must match the Send Mail Server configuration.

Note: The specific port numbers entered must be determined by the email provider.

Note: STARTTLS is not supported.

Steps to Configure Email

Note: In order to use a URL for the SMTP and POP servers, C-more must be able to reach a DNS server and the IP addresses must be known for these servers. If this is not possible, IP addresses can be entered in the SMTP and POP Server fields. To enter DNS IP addresses, go the “DNS” tab of the “Touch Panel Network” page.

Configuring Recipient Address

After you configure the email sender for C-more, you must enter destination email addresses. To do this, go to “Database>Address Book” as shown above. Enter one or more specific addresses or ASCII tags so that the addresses can be changed programmatically.

Configure an Email Event

To actually send an email, create an Event (Event Manager>Tag Event). Choose the “Mail” action. Select one or multiple of the email addresses that you created in the Address book and choose an Event (bit on, value in or outside of ranges) to trigger the email.

Other Items: Default Gateway

Probably one of the most common mistakes made when setting up C-more to send email (or to be accessible on the Internet) is not having a Default Gateway. C-more cannot respond to nor target an IP address that is not on its subnet without the Gateway (which a public IP address WILL be). The default gateway IP address is the IP address of the router.

Note: The subject line of the email sent by the panel uses UTF-8 encoding. When using SMS (text messaging) or email servers that do not support UTF-8, strange characters will display in the Subject line on the receiving device.


Touch Panel Network: Web Server Setup

The C-more touch panel has the ability to function as a simple Web Server. The Web Server feature is disabled on C-more panels by default, so it must be enabled using the C-more Programming Software and the project with the feature enabled must be transferred to the panel.

A default set of HTML files is installed on the panel, but may be customized by using the panel's FTP server feature to write custom HTML files to the panel.

  • The panel does not support CGI programming. All source is for client side execution.
  • To access screen captures use <IMG src=/screenNum.jpg> where screenNum is the number of the screen to be displayed.

A screen image can be viewed in a browser directly by typing the URL "http://<panel-IP/screen.jpg." For example, type "http://192.168.100.10/1.jpg" to display Screen 1.

The Web Server provides the most common access to the panel's Remote Access feature. If Remote Access is configured in the Touch Panel Network > Remote Access tab, the default Web Server includes a link to download the Remote Access console. If the Remote Access console is saved to the PC desktop, Web Server is not needed for future Remote Access sessions. After the console is installed on the PC, it is possible to update the project to disable Web Server if this is desirable for network security.

Configure Web Server - Step 1
  • From the Main Menu, select Setup and then click on Touch Panel Network.

Once the Touch Panel Network dialog box pop ups, click on the Web Server tab. Select the Web Server Function checkbox to enable the Web Server feature as shown here.

The Web Server Port Number may be changed if required by security in the C-more network. If the port is not the default port 80, the port must be known and entered to access the panel's Web Server.

Step 2

Transfer the completed project to the touch panel.

Step 3

Open Internet Explorer or any browser and type the panel's IP address in the Address field.

The Default Web Server includes links to view Screens numbered 1 through 10. Screen access can be customized by modifying the existing files or by creating your own html files. Index.html is the entry point for the panel web site.

To browse the default HTML files, or to copy your customized HTML files to the panel, ensure that FTP Server is enabled in the project transferred to the panel. FTP in to the panel and browse to /Built-in_Flash/root/.


Setting Up Remote Access

Getting Started - Configuring the C-more panel Remote Access

The C-more Programming Software is needed to configure the panel project to allow the Remote Access feature. If the C-more panel has an older version of firmware, the software can also be used to upgrade the firmware in the panel. The Remote Access settings are saved within the project. If a new project is loaded without the Remote Access enabled, the feature will not function.

Verify the C-more panel firmware version

You must have C-more Programming Software and C-more Panel Firmware Version 2.4 or later for the Remote Access feature to be available. If your panel has an earlier version of firmware, you will need to upgrade the panel firmware locally. The FAQ Help File topic section on Firmware describes how to display the panel Firmware version. Additionally, if you upgrade from a version prior to Version 2.4, you must “Reset to factory default” using the System Setup screen on the panel after the firmware update is complete.

Refer to the C-more Hardware User manual if you need assistance on how to access this setup screen.

Important: If you are upgrading firmware from a version earlier than Version 2.4, you must reset the panel to factory defaults for this feature to function properly (the HTML files need to reset to add the link for the Remote Access Feature). You can reset the panel using the Setup screen on the panel itself.

If you have a custom index.htm file loaded, it will be overwritten and replaced with the default index.htm file. You should save your original custom index.htm file first, perform the reset to factory default and then copy the new index.htm file and merge the functions from your custom index.htm into the newly installed index.htm with Remote Access functionality.

IP Configuration and Web Server

Before configuring the Remote Access feature, the IP information for the panel must be configured. Refer to the Touch Panel Network - Ethernet Port Tab help file topic.

Additionally, the Web Server Tab must be enabled. Refer to the Touch Panel Network - Web Server Setup help file topic.

Remote Access Function Tab Setup

The Remote Access Feature is disabled by default in the C-more panel and must be enabled for the Remote Access to function. Remember that the Web Server feature must also be activated on the Web Server Tab.

The Remote Access Tab is accessed from the Touch Panel Network dialog box.

Determine the type of network in which the C-more panel will be connected (Local connection and/or Remote connection). It is possible that you will need to configure both connection types if you have users that are connecting from the same internal network without a Firewall, and external users that will be connecting through a Firewall.

Recommendation:

If you plan to have external users accessing the C-more panel via the Internet, it is highly recommended that a Firewall be used for security purposes. This is true for any device that can be accessed from the Internet. Although the C-more Remote Access accounts can be assigned passwords, it is more secure and recommended that you use a Firewall to reduce the chances of unauthorized access. Most Ethernet Routers offer Firewall support.

The Remote Access Tab provides the following:

  1. Port No: The Port No. is the destination TCP port number used by the Remote Access software and the listening TCP port of the C-more panel for this connection. This will be needed for access through a Firewall/Router. Enter the Port Number. The port number must be unique for each panel on the local network when those panels are accessed from outside of that network.

  2. Local Connection (No Firewall/Router): If the PC and the C-more panel are on the same local network, that is, if there is a NOT a firewall or router between the PC and the C-more panel, then the Panel IP address will be used and nothing needs to be entered into the “Remote Connection” field.

  3. Remote Connection (With Firewall/Router): If there is a Firewall/Router between the PC and the C-more panel, the public IP address will need to be inserted manually into the “Remote Connection” field. Please refer to your Network Administrator for the required Firewall/Router configuration settings. The Firewall/Router must be configured to allow the C-more Remote Access Connection. Refer to Router Setup for Internet Access.

  4. Log on Information: The Log On feature is recommended but not required. Account #2 and #3 are not selected by default but can be activated by selecting the checkbox. If an account is activated, but a user name and/or password are not entered in the configuration, then the panel will be accessible through that account by anyone.

    Remember, if the C-more panel is controlling an application that could cause damage or serious injury to local operators or machinery being controlled by the panel, you will need to limit the access to those authorized to view or control the remote application.

NOTE: The user accounts are for remote access permissions. The C-more Programming Software also has project password features that can be assigned to screens and objects to help control who can access them. These passwords are used by both the local and remote operators to restrict use to authorized personnel only. Remote users will need to know these passwords just as the local user do. There are eight group names that can be configured for passwords. For more information, click on the green Password text.

  5. Permissions: There are three Remote Access user accounts that are configured and stored in the panel project. Use the down arrow [image] to select the desired Permission setting. If the account is not configured with a user name or password, any user, authorized or unauthorized, will be able to connect to the panel remotely. Each account can be configured in one of the following permissions:

    • View Only: (Default for Account #1 when the remote access has been enabled) This permission level gives the remote user the ability to only view the screen that is active on the panel (view the screen that a local operator is viewing). This can be utilized for users that are not authorized to change screens or control objects. This permission level will not interfere with the local operations of the panel. This mode could likely be used by Managers who want to monitor the machine operations for production reasons or machine status without interfering with the local operator or machine operation.
    • View and Screen Change: Gives the remote user the ability to view and activate the “Screen Change” objects that are located on the active screen. This permission does not allow the remote user to activate other objects on the screen. If there are no “Screen Change” objects on the active screen, then remote user will not be able to change the screen. Screen Change button placement will need to be considered when the screens are created in the C-more project if the programmer wants remote users to have screen change abilities. This mode can affect the local operator if the remote user is changing screens while the local operator is using the panel.
    • Full Control: Gives the remote user the ability to view and control all screen based objects as if at the local site. Remember, if the C-more panel is controlling an application that could cause damage or serious injury to local operators or machinery being control by the panel, you will need to limit the access to those authorized to view or control the remote application. This mode can affect the local operator if the remote user is changing screens while the local operator is using the panel.

  6. Account Name: There are three Remote Access user accounts that are configured and stored in the panel project. Each account has an “Account Name” field that can be configured by the user. There are some guidelines for account names to consider.

    • No two account names can be the same
    • Only one enabled Account Name can be left blank
    • Maximum of 64 characters
    • The text is case sensitive
    • Spaces are considered characters

The Account settings are stored in the C-more panel Project. The programmer must enable the Remote Access feature. Account #1 will default as the active account. If no user name is desired, the field can be left blank. If the account is not configured with a user name or password the user will not receive a log in prompt but any user authorized, or unauthorized, will be able to connect to the panel remotely with the permissions configured for that account without entering a user name or password.

  7. Password: There are three Remote Access user accounts that are configured and stored in the panel project. Each account has an optional “Account Password” field. There are some guidelines for account passwords to consider.

    • Each separate account may use the same Password
    • The Password can be left blank
    • Maximum of 64 characters
    • The text is case sensitive
    • Spaces are considered characters

The account Passwords are stored in the C-more panel Project. The programmer must enable the Remote Access feature. Account #1 will default as the active account with a blank password. If no password is desired, the field can be left blank. If this field is not configured (no password required) the user will not need to enter a password and any user authorized, or unauthorized, will be able to connect to the panel remotely with the permissions configured for that account.

Note: If the Account Name and Password are configured for the account and the incorrect data is entered, access to the C-more panel will not be granted, a message box will tell the user that the data entered is invalid and the login screen will reappear.

  8. User Restrictions: Each Remote Access Account can support a maximum of 5 remote user connections at a time. This allows for a maximum of 15 remote users that can be active at one time, if all three accounts are configured for the maximum setting of 5 each. Enter the number of users.

Panel Performance:

If a remote user tries to log in to an account on a C-more panel that has exceeded the maximum number of users, an error will be displayed. The user will then need to wait until one of the other remote users logs out from the C-more panel.

Consideration should also be given to the effects of having more than one remote user connected at a time and how it may effect the local operations of the C-more panel. If multiple users are connected with the ability to change screens or activate screen objects, it could cause confusion for all users that are connected. For safety reasons, it is highly recommended that applications where that panel controls moving equipment, that only one remote user is allowed to connect to the accounts that allow screen change or full control of the panel.

Remote Access Control and Status Tags

Two optional tags (Disable Tag & Notification Tag) can be configured for each of the three accounts. These tags can be used in the C-more project like any other tag. This allows programmers to be creative in displaying status and making controls for the Remote Access feature.

  9. Disable Tag: Click on the down arrow [image] to select a Tag Name or use the Browser button [image] to add a new Tag Name. This tag is Off by default and can be assigned to any discrete control object in the project or in the PLC. If this tag is On, the account that is associated with it will be disabled. This means the remote user will not be able to connect using the remote access features. If this tag is activated while the remote user is connected, the connection will be dropped and the remote user will get a connection error on their PC.

Note: It is a good practice to assign this tag to a switch or pushbutton on one of the screens in the C-more project file or to a PLC hardware input with an external switch or pushbutton outside of the C-more panel project. The local operator will then have the ability to enable or disable the remote access feature for safety or security reasons. This would require the remote user to first contact the local operator and obtain permission before attempting the connection. The local operator would then enable the associated remote access account.

  10. Notification Tag: Click on the down arrow [image] to select a Tag Name or use the Browser button [image] to add a new Tag Name. This tag is Off by default and will be On when a remote user is connected to the assigned account. This bit can be assigned to an indicator in the C-more panel project or a PLC I/O point and connected to an indicator light of some type.

    When the Remote Access Port Number, IP Address and Logon Information have been entered, click OK to save the configuration, if the Web Server Tab has not yet been configured the programmer will receive a warning message reminding them to enable the Web server feature in the panel.

Transfer the Project to the Panel

The project must now be loaded to the C-more panel. This will load the settings that were changed in the Touch Panel Network setup.


What is Remote Access

SAFETY NOTICE: Remote Access allows users to connect a PC to the C-more panel from anywhere on the Internet via a web browser, such as Internet Explorer. The Remote user can control, fully operate and monitor the local HMI system. This means that it is possible for the remote user to operate the C-more panel and affect the function and control of the application just as the local operator controls it. Proper Control, Security and Safety procedures should be implemented and considered when implementing the Remote Access. If the remote access is required for an application, the C-more programmer should consider the best means to implement it. There are various ways to control, limit and monitor remote users explained in the help file Remote Access Setup topic.

Note: Please consider that your experience will be affected by network bandwidth and latency, as well as project screen complexity.

Requirements

Requirements to use the Remote Access feature are:

  • C-more Panel with Ethernet port (panels with xxxx–R part numbers do not support Ethernet).
  • The C-more Panel must be using firmware Version 2.4 or later.
  • C-more Programming Software Version 2.4 or later is required to configure and support the Remote Access feature.
  • The C-more Panel must have compatible network settings with the PC running the Remote viewer, or the panel must be accessible from the Internet.
  • The Remote Access feature is accessed via the Web server that is built into the panel. If you upgrade the C-more Panel firmware from a version older than 2.4, then the panel will need to be reset to factory default, for the new updated “Remote Access” HTML link to be added.

Remote Access Features

Web Browser Based:

The C-more Remote Access feature is unique in that the application is downloaded from the C-more panel through the Web Browser on the PC to the browsers temporary file folder or to a location chosen by the user. This allows any authorized user to access the panel remotely without purchasing or downloading any other software package.

Multilevel Logon Security:

There are three Remote Access user Accounts that can be configured and stored in the panel project that is loaded to the panel initially with the C-more Programming Software. Each Account is configured individually with user names and passwords. Each Account also allows from one to five remote users to be connected at one time depending on the configuration. Each Account can be configured in one of the following levels of access:

  • View Only
  • View and allow Screen Change only
  • Full Control

User Configured TAG support:

Each of the three Accounts has two tags associated with the Remote Access feature.

  • Disable Tag- Remote Access Enable/Disable Control bit
  • Notification Tag- Remote Access Active/Inactive Status bit

These tags can be used by the local operator to enable or disable the remote access accounts if required. Simply assign an object on the screen or map the tag to a PLC input with an external hardware switch for control.

Resizable Console Window:

Unlike many other brands, the C-more remote viewer is completely sizable. When the user shrinks or expands the window size, the project objects will rescale accordingly.

Screen Capture:

Users can save jpeg screen captures to review and print if needed. The Zoom feature also allows the user to zoom in on specific areas of the screen and then save a screen capture.

Open Multiple Viewer Consoles:

More than one remote viewer application can be viewed at one time. This allows the user to connect to several different C-more panels and control them. Performance may vary due to PC and network specifications.

Custom Connection Setup:

Connection performance can be affected by the Internet connection speed, PC specifications, screen contents, and the number of remote viewers that are actively connected. The software allows custom connection settings so the user can adjust settings based on the network bandwidth of each connection.

Remote Access Benefits

Remote Access allows authorized users to connect a PC to the C-more panel from anywhere on the Internet via a web browser, such as Internet Explorer. The Remote user can control, fully operate and monitor the local HMI system. This can reduce the need for the user to be onsite to view or operate the C-more panel. The HMI project can also be configured so that the local operator can enable or disable control at any time by using assigned tags on one of the project screens.

This feature allows authorized users the ability to remotely:

  • Control the screen operations of the C-more Panel as if touching the panel itself.
  • Monitor real time screen operations of the panel.
  • Can be used by system integrators to support end users.
  • Troubleshoot and test the C-more project application.
  • View, zoom, print and save screen captures of active screens.

Security Concerns

Firewall: If you plan to have external users accessing the C-more panel via the Internet, it is highly recommended that a Firewall be used for security purposes. This is true for any device that can be accessed from the Internet. Although the C-more Remote Access accounts can be assigned passwords, it is more secure and recommended that you use a Firewall to reduce the chances of unauthorized access. Most all Routers offer Firewall support.

Project Protection: If the project loaded in the C-more panel was saved as a “Protected Project File”, then users who go online with the panel cannot save or edit the project using the IP Address that they have been given for the Remote Access Connection. This keeps users from intentionally or unintentionally saving or editing the project file. The project should be protected if the panel is located on the internet and users know the IP Address.

Remote Access Permission Level: There are three Remote Access user Accounts that are configured and stored in the panel project. Each Account has a “Permission Level” field that can be configured by the user. The user Accounts are for Remote Access permissions. The C-more Programming Software also has project password features that can be assigned to screens and objects to help control who can access them. These passwords are used by both the local and remote operators to restrict use authorized personnel only. Remote users will need to know these passwords just as the local user do. These Permission Levels are:

  • View Only
  • View & Screen Change (control buttons only)
  • Full Control

Account Passwords: There are three Remote Access user Accounts that are configured and stored in the panel project. Each Account has an “Account Password” field that can be configured by the user.

Note: If the Account Name and Password are configured for the account and the incorrect data is entered, access to the C-more panel will not be granted, a message box will tell the user that the data entered is invalid and the login screen will reappear.

Programming with Remote Access Tags

Notification Tag: This tag is Off by default and will be ON when the C-more panel senses that a Remote user is connected to the assigned account. This bit can be assigned to an indicator in the C-more panel project or a PLC I/O point and connected to an indicator light of some type.

Scheduling: Use PLC logic or Event Manager in the C-more project to disable or enable the Remote Access based on the time or another event. For instance, during maintenance or production times you may not want Remote users interfering with the local operator. The Event Manager can automatically activate or deactivate any of the Remote Access Accounts without operator assistance.

Remote Access Control Screen: The programmer can also create a screen that contains a switch object and an indicator object for each Account. Using the password settings for the objects or assigning passwords for the screen adds even more secure control over the Remote Access activation if needed.

Alarm List: If an Alarm is assigned to the Notification Tag of an Account, the C-more System Alarm Banner will continue to display the Alarm List. An example would be something like “Remote Access Account 1 Active- Full Control”. This gives local operator’s notice that a Remote user is connected.

Pop up Message: Using the Event Manager, a Pop up Message window will alert that a Remote user online.

Logging Remote User Access: Use the Event Manager to log the Remote Access Accounts by monitoring the associated tags. This could create a time and date stamp every time a Remote users logs in.

Send an Email: The Event Manager can Send an Email if the C-more panel is configured to use a mail server. This could notify anyone who needs to be aware that the Remote Access feature is active or has been active.

Remember, if the C-more Panel is controlling an application that could cause damage or serious injury to local operators or machinery being controlled by the panel, you will need to limit the access to those authorized to view or control the Remote Application.

Additional Info
  • NOT supported with Remote Access:

  1. System Screen:
    Remote     users cannot view or access the C-more panel System Screens. A user must be at the panel to access the panel system setup if required.

  2. Sounds:
    Project wav files presently are not supported in the Remote Access Console. If you have sound files that are used in your project, the local operator will hear them play, however the remote user will not.

  3. Project loading or editing:
    Editing projects and firmware updating can only be done with the     C-more Programming Software. You can connect and program the C-more panel remotely with the programming software if the panel is on a network.

  • Remote Access Performance:

The update rate of the panel can be affected by many things. Your connection speed may vary for any of the following reasons if they apply to either your local PC connection or the remote C-more connection:

    1. The connection path your Internet Service Provider (ISP) takes to the host

    2. Server capacity

    3. Internet traffic

    4. Your PC hardware or OS

    5. The number of local network users (if you are using a cable connection).

If you are experiencing slow update rates with the panel project, then it is suggested that you test your connection by loading a simple project in the C-more panel that contains only one screen and one object. You can then add more screens and /or objects. Animated objects can decrease the response time as well. There are also many free software tools that can be downloaded from the internet to test your connection speed and your ISP routing paths.

  • Connection Problems:

If you are having trouble connecting with your Web Browser, you should try connecting to the C-more panel with the C-more Programming Software. You will need the IP address of the C-more panel to do this. You can verify that the panel has the correct firmware Version 2.4. If not you will need to connect to the panel and update the firmware locally. If you are upgrading from a firmware version older than version 2.4, the panel has to be reset to the default settings before the Remote Access feature can be activated. The reset to default updates the HTML files in the panel. The Default settings can only be reset using the panel “System Setup” screens.

  • Firewall/Routers:

The firewall/router configuration will differ from manufacturer to manufacturer and the local network administrator should be involved with this setup.

At a minimum, two (2) TCP port numbers will need to be opened up for C-more Remote Access, the Web server port number and the Remote Access port number. The Web server default port number is 80 and is configurable for C-more via the Web server tab in the Touch Panel Network configuration of the C-more Programming Software. The default Remote Access port number is 11102 but is configurable via the Remote Access Tab in the Touch Panel Network configuration of the C-more Programming Software.

Port Forwarding will most likely need to be enabled in the firewall/router for both of these connections to the specified IP address of the C-more panel(s). Each separate C-more panel will need a unique Web server port number and Remote Access port number configured in the firewall/router.


Communicating with C-more using the Remote Access Feature

Accessing the Panel Server Pages

Open Internet Explorer or any Internet Browser software and type in the panel’s IP address.

  • No Firewall/Router: If there is no Firewall or Router between your PC and the C-more panel then type in: http://<panel IP address>:<web server port number>
  • With Firewall/Router: If there is a Firewall or Router between your PC and the C-more panel then type in: http://<firewall or router IP address>:<web server port number>

    For Example: http://10.16.23.146:80

The web server port number is found in the Touch Panel Network window on the Web Server Tab. The port number default is 80. If the web server port number has not been changed from the default, "80" is implied in the browser and does not need to be appended to the IP Address. Refer to Router Setup for Internet Access.

This will open the C-more panel default HTML pages that are located in the C-more panel memory. These HTML pages can be edited, however make certain the links remain intact.

Select the C-more Remote Access Link and the Remote Access HTML page will open.

Remote Access HTML Page: The default HTML page will have two links to choose from. The IP address should be displayed in the link if the panel project has been configured properly with the C-more Programming Software. The user must choose the link that applies to their network connection. Most office or factory networks will have Firewalls that protect the network from unauthorized outside connections.

Tip: The Web/FTP server can be accessed from the C-more Programming Software by using the Ethernet Browsing tool as a short cut . This makes it easier when there are multiple panels to choose from.

Open “Ethernet Connection Setup” window from the Panel tab Ethernet Browse window- Use the mouse to right-click on any panel to open the Web Server with a Browser or the FTP server.

Remote Access Activation

After the C-more Remote Access link is selected, the user will have three selections:

  1. Run: If you select “Run”, the Remote Access executable file will be loaded temporarily into the web browsers temporary files folder of your PC.

  2. Save: If you select “Save”, the Remote Access executable file will be saved to the location that you define, such as the PC desktop. This link can then be used to activate the independent client software for the remote panel without having to access the C-more panel Web server page and using the Remote Access HTML link.

    Saving     this file to your desktop makes it much easier for users to activate the connection to the panel in the future.

Note: The name of the file MUST NOT be changed.

Saving to PC for connections to multiple panels: You can save as many executable links to as many panels that support the Remote Access Feature as you like. The performance will be the same with either selection. Saving the link just allows simpler access to the panel for users

  3. Cancel: This will Cancel the loading of the file.

Security Warning: Next you will get a Security Warning pop-up window. The software has not been registered with Microsoft, so a Security Warning will be displayed. If you trust the provider of the software then select Run. The file should run immediately.

C-more Remote Access Console: The C-more Console will then open on the PC. The user will be requested to enter the correct data before any screen data will be displayed. If not, it is highly recommended that the user accounts be configured with a User Name and Password for security purposes.

Using the Remote Access Console

Please consider that your experience will be affected by network bandwidth and latency, as well as project screen complexity. The Remote Access Console will open and the Connection will begin. This may take several seconds based on your network speed. If the C-more Browser window does not open, it is possible that the URL that was used is incorrect or no longer accessible.

Depending on the log-in access level that you are using, you may use the mouse on your PC to control the Screen objects as if you were touching the actual C-more panel. If you cannot control objects on the screen you will need to verify your user account access to see if you have control privileges. These accounts are configured in the panel project. Refer to Setting Up Remote Access.

If the PC that is running the viewer has a touch screen interface, then you may use it as well. It will operate the same as the C-more panel.

NOTE: The C-more panels “System Setup Screen” can only be operated at the panel by the operator and cannot be seen using the remote access console.

Adjusting the Viewer Console Size: The Viewer Console is completely sizable. This allows users to customize the window to fit their PC screen.

Sound Feedback: You will hear some beeping from this client software if the Beep is not disabled in the panel project. The beep is the feedback sound from the remote panel when any input objects on the screen, such as Push Button, are clicked with the mouse and the remote panel receives the mouse operation properly. Presently the Remote Access application does not support playing the sound (wav) files stored in the project. Only the local operator will hear the sound of the wav file playing.

Using the Console Tool Menu

The Main Menu contains options that can be used or configured to enhance the Remote Access and help with performance. The Tool Bar buttons correspond to the same menu options and allow for fast access.

  1. Save Image Button: Allows the remote user to Save a Jpeg image to disk. This can be used to capture images of trends, alarm windows, or other screen items that may need to be reviewed at a later time. It is also a great tool for saving images to be used in documentation or the application.

  2. Start and Stop Button: These buttons open and end the connection of the Console Window to the C-more panel. When the connection is Stopped the Console Window running the C-more project will stop updating and the last image will be displayed until the connection is reestablished and the new image is updated. The local operator can still operate the C-more panel when the connection of the remote user has been stopped. When Started, the screen will be cleared and the new updated image will be displayed as the data is received. This update time will vary on the connection quality and bandwidth.

  3. Pause Button: The Pause Button is much like the stop button however, the pause button does not close the connection to the remote C-more panel. It will suspend the update to the remote console client on the PC while keeping the connection active. The local operator can still operate the C-more panel while the connection of the remote user is paused. Click Pause again and the screen will be cleared and the new updated image will be displayed as the data is received. The pause does not require a connection to be reopened as does the Stop and Start feature. This should require less time to update the screen when the pause is disabled.

  4. Setup Button: The Setup Button contains the settings that control the performance of the C-more Console connection settings. The settings are stored in the C-more panel and if changed will maintain the values of the last settings entered. This means that if the settings are changed while one remote user is online, all other users connecting from different C-more Console on other computers, will connect with the same settings last entered. For this reason each user may need to make adjustments to the setup items based on their network connection speed and performance. Selecting the Setup Button will pop up the Setup window shown below.

  • Client Setting: Client(PC) settings do not affect performance at the C-more Panel and so do not impact local operations.
  • Timeout: For the Client PC side of the application in milliseconds, adjust to reduce errors on slow connections.
  • Beep: The remote user can choose to hear the Beep on the remote PC or turn it off. This does not disable the Beep sound at the panel itself, only the remote client.
  • Send/Receive Indicator: This is displayed by default.
  • Panel Setting:
  • Graphic Quality: Reduces the resolution of the screen objects. This feature was added to accommodate users who may not need 100% graphic quality and are more interested in a faster update rate. If users prefer high quality graphics, then the setting can be placed at 100%. This setting will be determined by the network speed and/or amount of data on any one screen. The default is 60 %.
  • Update intervals: This setting controls the update rate of the panel to the Client PC. Units are in milliseconds. Update settings will affect the performance at the panel. If the local operator notices any performance issues, the settings should be raised incrementally until the C-more project performance is acceptable.

      1. Screen update: Determines the rate at which the Screen updates will occur. For faster update rates, this value should be lowered. It must be noted though that this can affect the performance of the local operations as the C-more panel may also be processing other items such as PLC communications, data logging, and animation. Default is 2000 ms.

      2. Object update: Determines the rate at which the Objects on the screen will update when a value change occurs. If there are many objects on the screen that are changing frequently, the user may increase the update time to reduce the amount of data that must be transferred. If a real time update is preferred, then this setting can be lowered to update faster. This is based on the user preference and can be affected by network traffic. This will affect the performance of the local operations at the C-more panel. Default is 200 ms.

All of the settings can affect each other and in some cases will need to be adjusted until the user feels that the performance is acceptable.

Note: Regarding response times of Remote Access, please consider that your experience will be affected by network bandwidth and latency, as well as project screen complexity.

  5. Console Zoom: The C-more remote access view can be customized to fit the user’s requirements. By default the screen will auto fit into the Console window and will adjust when the user changes the size of the console window. This comes in handy when the user has a small computer screen or he wants to view several applications at one time. It is also handy if there are more than one remote access connections active to different C-more panels.

The Zoom features come in handy if the remote user wants to Zoom in on a certain part of the screen to see better or perhaps take a screen capture and save it for documentation. This feature is client based and does not affect the view of the local operator. The image below gives an example using the zoom feature.

f. Send/Receive Indicator: Displays Send and Receive communications when green.


Router Setup for Internet Access

In order to access C-more inside of a firewall/router remotely either a VPN connection must be used or port forwarding must be setup in the router to allow the C-more Web Server and Remote Access application to get through.

When a TCP/IP message is sent to a router, it reads both the destination IP address (public IP address) in the message and the destination port number. If the destination IP address is the correct address for the router, the router then looks at the port number to determine whether it should allow this message and where to ‘route’ this message to. This is done by configuring a “Port Forwarding” table within the router configuration.

Please consider that your experience will be affected by network bandwidth and latency, as well as project screen complexity.

Router Setup

The router will change the destination IP address of the message to the local IP address specified by the “Port Forwarding” table.

In order to access the Remote Access application in C-more, you have to connect to the Web server first, so two port numbers will need to be specified in the Port Forwarding table for each C-more panel that needs to be accessed.

The first port number is the web server port number. By default, this number is 80. When using a web browser, such as Internet Explorer, port 80 is implied without having to type this in manually. If a number other than port 80 is needed, this can be accomplished by simply adding :<port num> after the IP address. An example URL for the image shown below would be: http://10.16.23.146:80

The second port number required is the Remote Access port number. The default for this application is 11102.

Once the user has chosen to run the Remote Access application from the C-more web server, the application will then communicate to the router with the specified Remote Access port number.

So to accomplish the setup as shown above, the C-more Programming Software Touch Panel Network Web Server tab and Remote Access tab would be setup as shown below:

In order to access an additional C-more panel on the same router using the same public IP address, use a different Web Server port number and Remote Access port number for each panel.

The C-more Programming Software Touch Panel Network Web Server tab and Remote Access tab would be configured as shown below for the second C-more panel:


Remote Access Console Errors

Code | Error Message
1018 | Panel Communication Timeout
10005 | The password is invalid.
10006 | This Remote Control Account has been disabled.
10007 | Value must be between 25 and 400.
10008 | Screen Saver on Panel is activated. Data Values to this Console Display are not current. Click screen to deactivate the Panel Screen Saver.
10009 | System screen on Panel is displayed and any data on the remote screen will not be updated.
10010 | This Account has Exceeded the Limit for the Maximum Number of Users. Other active remote users for this account will need to log out from the C-more panel, or you will need to increase the maximum number of "User Restrictions" for this account in the project file Remote Access Setup.
10011 | There is a version mismatch between the panel and this Remote Console software. Download the proper Remote Access console software from the panel Web Server. [Open Panel Web Server] [Close]
10012 | Not enough buffer memory


C-more Remote HMI App

SAFETY NOTICE: The C-more Remote HMI App allows the user to connect to remote C-more panels from Ethernet, Wi-Fi, or cellular network connections. The Remote user can fully operate and monitor the local HMI system and affect the function and control of the application just as the local operator controls it. Proper Control, Security and Safety Procedures should be considered and implemented when utilizing the Remote Access feature. There are various ways to control, limit and log remote users as explained in the topic Setting Up Remote Access.

App Download Location

The C-more Remote HMI App can be downloaded from the iTunes App Store to any iPhone/iPad/IPod Touch devices running iOS version 4.3 or later.

Refer to the Setting Up Remote Access section of the help file to configure the C-more panel to allow the C-more Remote HMI App to function.

It is recommended to set up a remote connection via a Web Browser before attempting to connect to the remote C-more panel with the C-more Remote HMI App to make sure Remote Access has been configured properly.

Remote Access Benefits

The C-more Remote HMI App allows authorized users to connect their iPhone/iPad/IPod Touch device to the C-more panel from a WI-Fi or cellular connection. The remote user can fully operate and/or monitor a remote C-more panel. This can reduce the need for the user to be onsite to view or operate the C-more panel. The HMI Project can also be configured so that the local operator can enable or disable control at any time by using assigned tags on one of the project screens.

This feature allows authorized users the ability to:

  • Remotely control the screen operations of the C-more panel as if touching the panel itself.
  • Remote Monitor real time screen operations.
  • Allow system integrators to support onsite end users.
  • Remotely troubleshoot and test the C-more project application.
  • Remotely view, zoom, and save screen captures of active screens.

Requirements

Requirements to use the Remote Access feature are:

  • iPhone/iPad/iPod Touch iOS version 4.2 or later
  • C-more panel with Ethernet port (panels with xxxx–R part numbers do not support Ethernet).
  • C-more Programming Software to program and configure a panel to support the C-more Remote HMI App.
  • The C-more panel must have compatible network settings with the device running the C-more Remote HMI App.

Security Concerns

Firewall: If you plan to have external users accessing the C-more panel via the Internet, it is highly recommended that a Firewall be used for security purposes. This is true for any device that can be accessed from the Internet. Although C-more panels have a Remote Access account for assigning passwords, it is more secure and recommended that you use a Firewall to reduce the chances of unauthorized access. Most routers offer Firewall support.

VPN: Although the Remote Access feature for the C-more panel can be configured with password protection, connecting the C-more panel on an Enterprise network or the Internet exposes security risks. A secure and encrypted VPN connection is highly recommended if the C-more panel will be accessible from the Internet. A VPN (Virtual Private Network) uses encryption and other security mechanisms to ensure that only authorized users are allowed to connect and that the data cannot be intercepted. A VPN greatly reduces the chances of malicious behavior and unauthorized connections.

Project Protection: If the project loaded in the C-more panel was saved as a “Protected Project File”, then users who go online with the panel cannot save or edit the project using the IP Address that they have been given for the Remote Access Connection. This keeps users from intentionally or unintentionally saving or editing the project file. The project should be protected if the panel is located on the internet and users know the IP Address.

Remote Access User Accounts: There are three Remote Access user Accounts that are configured and stored in the panel project. Each Account has a “Permission Level” field that can be configured by the user. The user accounts are for Remote Access permissions. Each of these three accounts has three possible permission levels that can be assigned to the account.

These permission levels are:

  • View Only
  • View and Screen Change (Screen Change Push Button only)
  • Full Control

Account Passwords: Each Remote Access user account allows passwords that are configured and stored in the panel project. If the password is assigned in the panel project, the C-more Remote HMI App user will be required to type in the correct user name and password in order to view and control the C-more panel with the app.

Note: If the Account Name and Password are configured for the account and the incorrect user name and/or password is entered, access to the C-more panel will not be granted, a message box will appear notifying the user that the data entered is invalid and the login screen will reappear.

Getting Started with the C-more Remote HMI App.

Make sure the iPhone/iPad/iPod touch cellular or Wi-Fi features are enabled and that you are connected to the network. The C-more panel must be configured to enable the Remote Access and Control feature. See Setting Up Remote Access for complete details. These settings are stored with the C-more panel project and loaded to the panel with the C-more programming software.

Remote HMI Workspace

The C-more Remote HMI App workspace is the Graphical User Interface that is used to set up communications, select a panel for connection, and control the interactions with the remote C-more panel. The Workspace is always visible when there has not been a connection made to a C-more panel. Once connected, the Workspace will remain visible for about 5 seconds and then disappear. When the screen is touched by the user, the workspace will reappear and stay active as long as it is in use, timing out 5 seconds after the last touch.

The image above shows the C-more Remote HMI App Workspace:

  1. Connection: Choose the Connection button to access a remote C-more panel. See Connection for complete details.
  2. Setup: Touch the Setup button to configure the Client app and panel connection settings. See Setup for complete details.
  3. Connection Toolbar: The video style Connection Toolbar offers quick access to multiple tools. See Connection Toolbar for complete details.

Note: The Unlock Safety Button must be active (On) in order to interact with the remote C-more panel.

Connection

The Connection button is used to select a method of connecting to the remote C-more panel.

Favorite

Favorite makes it faster and simpler to remotely connect to a specific C-more panel by allowing users to save the settings required to connect. As an option, the logon settings can also be saved with each Favorite address to simplify the connections.

Adding a Favorite:

Favorites can be added by selecting the Edit button on the Favorite menu or a favorite can be saved by using the connection Toolbar that appears only when connected to a remote C-more panel.

Configuring the Favorite Properties:

  1. Name: If adding a favorite while connected to a C-more panel, the name field will automatically insert the name that is stored in the panel project. The user has the option of keeping the same name or saving the favorite under a different name. Saving the favorite with a different name does not change the name stored in the panel, it simply creates a favorite list in the app with any name you choose. Saving the favorite name to match the panel name is considered the best practice.
  2. Port No: The default port number for C-more panel Remote Access is 11102. The Port No. is the destination TCP port number used by the (Client) Remote HMI App and the listening TCP port of the C-more panel for this connection. This will be needed for access through a Firewall/Router if not using a VPN connection. The port number in the C-more Remote HMI App must match the port number of the Remote Access port of the C-more panel. If a VPN connection is not being used, then the “Port Forwarding” feature of your router must be used and the port number of the C-more panel must also be unique for each panel on the local network when those panels are accessed from outside of that network. Refer to the Router Setup for Internet Access section of the Help File for more information on port numbers.
  3. IP Address: The IP Address can be manually inserted or, if adding a favorite while remotely connected to a C-more panel, the field will automatically populate the IP Address of the panel.
  4. User Name: Enter a valid user name. The user name is stored in the C-more panel project and is configured using the C-more programming software. If an account is activated in the C-more panel, but a user name and/or password are left blank in the configuration, then the panel will be accessible through that account by anyone.

If the C-more panel is controlling an application that could cause damage or serious injury to local operators or machinery being controlled by the panel, accounts should be limited to those authorized to view or control the remote application.

  5. Password: The Password feature is recommended but not required. The account Passwords are stored in the C-more panel project.
  6. Register Password: If this field is enabled, the user name and password will be stored with the favorite file. This will eliminate the need to type a user name and password when choosing a connection from the favorites list. Although this field simplifies the connection to the C-more panel, it also may allow unauthorized users access to a remote panel if the iPhone/iPad/iPod Touch device is used by an unauthorized user. It is recommended that this field be disabled (Off) if there are concerns for security and safety.

Browse

The Browse tool enables the C-more Remote HMI App to send an Ethernet multicast request over the local network to search for all C-more panels that are connected to the local network.

Browse List:

The Browse List will display the following information from the remote C-more panel.

  1. Panel Name: The name stored in the panel memory or panel project. This name is configured in the project with the C-more Programming Software.
  2. Panel IP Address: The IP address of the C-more panel. The IP address is stored in the panel memory or the panel project
  3. Color Indicators: Each C-more panel listed on the network will have a colored indicator to the left side of the panel name to show if the C-more panel supports the C-more Remote HMI App. When an incompatible C-more panel is selected, an error message will appear with an explanation of the error. These indicators are used to describe the following...

    Red: The C-more panel was found but the firmware in the panel is incompatible with the C-more Remote HMI App. If a C-more Series EA7 panel is targeted, the panel must be using firmware Version 2.73 or later.

    Yellow:     The C-more panel was found, and the firmware is compatible, but the Remote Access Feature has not been enabled in the Panel. This feature is configured with the C-more Programming Software and saved to the project stored in the panel. See Setting up the Remote Access in this help file.

    Green:     The C-more panel was found, the firmware is compatible and the Remote Access Feature in the panel is enabled.

The Browse feature does have some limitations:

Routers: Many routers do not support Multicast. If you are connected through a router and the browse multicast does not function, you will need to input the IP address of the C-more panel manually. Once connected, the panel can be saved to the Favorites list to eliminate the need to enter the IP address for the panel manually each time you want to connect.

Timing: If there are several C-more panels on the same network, it is possible that some panels are not shown in the list due to network response time or response collisions. The browse may have to be executed more than one time in order to populate the list of C-more panels on the network.

Cellular or VPN Connection: VPN (Virtual Private Network) and cellular connections do not support Ethernet multicast. You will need to input the IP address of the C-more panel manually. Once connected, the panel can be saved to the Favorites list to eliminate the need to enter the IP address for the panel manually each time you want to connect.

Setup

Please consider that your experience will be affected by network bandwidth and latency, as well as project screen complexity. The SetupButton contains the settings used to modify the performance of the C-more Remote HMI App connection. The Client settings are stored in the C-more Remote HMI App. on your device. The “Panel Settings” are stored in the C-more panel and if changed, the panel will maintain the values of the last settings entered. Selecting the Setup Button will pop up the Setup window.

Client Setting:

Client (iPhone/iPad/iPod Touch) settings do not affect performance or local operations at the C-more panel.

  1. Port No.: The default port number for C-more panel Remote Access is 11102. The Port No. is the destination TCP port number used by the (Client) Remote HMI App and the listening TCP port of the C-more panel for this connection. This will be needed for access through a Firewall/Router if not using a VPN connection. The port number in the C-more Remote HMI App must match the port number of the Remote Access port of the C-more panel. If a VPN connection is not being used, then the “Port Forwarding” feature of your router must be used and the port number of the C-more panel must also be unique for each panel on the local network when those panels are accessed from outside of that network. Refer to the Router Setup for Internet Access section of the help file for more information on port numbers.
  2. Timout: Affects the Client (Remote HMI App) side of the application in milliseconds. Increase the timeout value to reduce timeout errors on slow connections such as cellular connections with poor signal strength.
  3. Beep: The Beep sound is heard when the C-more Remote HMI App user activates an input object on the C-more panel project. The remote user can choose to hear the Beep on the Client (Remote HMI App) or turn it off. This does not disable the Beep sound at the panel itself, only the remote Client. The Beep will sound if the C-more panel acknowledges that an input object has been pressed.
  4. Status Bar: The Status Bar is located at the bottom of the C-more Remote HMI App workspace and is displayed by default. It can be enabled or disabled by the user as needed. Refer to Status Bar later in this topic.

Panel Setting:

These settings affect the communications settings at the remote C-more panel (Server) side. Panel operational performance may be affected by the adjustment of the communication settings in some applications that are processor intensive (such as PLC communications, data logging, and animation). Unlike the Client Settings, these settings are stored in the C-more panel and are retained across sessions. This means that if the panel settings are changed while a remote user is online, another user connecting from a different C-more Remote HMI App will connect with the same settings last entered to the panel. For this reason each user may need to make adjustments to the setup items based on their network connection speed and performance.

  5. Graphic Quality: Graphic Quality reduces the resolution of the screen objects. This feature was added to accommodate users who may not need 100% graphic quality and are more interested in a faster update rate. If users prefer high quality graphics, then the setting can be placed at 100%. This setting will be determined by the network speed and/or amount of data on any one screen. The default is 60 %.
  6. Updating Interval Screen: Updating Interval Screen determines the rate at which the screen change updates will occur. For faster update rates, this value should be lowered. This can affect the performance of the local operations as the C-more panel may also be processing other requests such as PLC communications, data logging, and animation. Default is 2000 ms.
  7. Updating Interval Object: This setting determines the rate at which the Objects on the screen will update when its state changes. If there are many objects on the screen that are changing frequently, the user may increase the update time to reduce the amount of data that must be transferred. If a real time update is preferred, then this setting can be lowered to update faster. This is based on the user preference and can be affected by network traffic. This will affect the performance of the local operations at the C-more panel. Default is 200 ms.
  8. Reset to Defaults: This will reset the client settings and the panel settings to the C-more Remote HMI App defaults.
  9. About App Version: This contains the version number of the C-more Remote HMI App in use.

Unlock Safety Button

The Unlock Button feature has been added to help reduce unintentional activation of the remote C-more panel inputs, such as buttons and keypads entries. Mobile devices are susceptible to being dropped or the screen being touch by a user unintentionally. When in the "Off State", the C-more Remote HMI App workspace tools are active and allow the user to interact with the app menu items, zoom/pan actions, and control all touch interface features. The device functions as an iPhone/iPad/iPod Touch in this state.

Note: The Unlock Safety Button must be active (On) in order to interact with the remote C-more panel.

When the Unlock button is active, the C-more Remote HMI App controls all touch interfaces to the C-more panel. The device functions as a C-more panel in this state. The C-more Remote HMI App workspace GUI tools are not accessible when the Unlock button is active, and the app menu items and zoom/pan features of the iPhone/iPad/iPod Touch are not accessible. To re-establish these features, the unlock button must be deactivated.

Unlock Button States:

Off: (Default State) When the user first logs into the remote C-more panel, the Unlock buttons default mode is not active (off). In the "Off State", the iPhone/iPad/iPod Touch acts in a local mode which activates the C-more Remote HMI App workspace tools and also allows the user to zoom and pan and control all local touch interface features.

Momentary: (Press and Hold) In the touch and hold mode, the Unlock button acts as a momentary button and is active only while being touched. This enables the user to interact with the C-more panel project interface.

Latched: Double tapping the button will latch it in the active(On) state and will remain in the active state until pressed again. This allows the user to interact with the remote C-more panel project as if operating the panel as a local operator.

Move: Tap the button one time to view the Move button. Tap the Move button to enable the Move feature. The Move feature allows the user to place the Unlock button anywhere on the screen as needed so that it does not interfere with the operation of the remote C-more panel inputs or block the view of objects on the remote screen.

Connection Toolbar

The Connection Toolbar allows the C-more Remote HMI App to control the connection to the remote C-more panel. The Toolbar is designed much like the video control toolbar found in many popular video control softwares.

  1. Save Image Button: Allows the C-more Remote HMI App user to save a Jpeg image to the photo section of the iPhone/iPad/iPod Touch. This can be used to capture images of trends, alarm windows, or other screen items that may need to be reviewed at a later time. It is also a great tool for saving images to be used in documentation or the application.

Note: The iPhone/iPad also has a built-in feature that allows the user to capture the active screen image as a jpeg by pressing the iPhone/iPad Home button and the Sleep/Wake (On/Off) key at the top of the device simultaneously.

  2. Pause/Play Button: The pause button will cause the C-more Remote HMI App to pause the updates from the remote C-more panel while still maintaining the connection to the panel. When pressed the button state will change and show the triangular Play button. When the play button is pressed, the remote C-more screen status will begin to update.
  3. Stop Button: When the C-more Remote HMI App is connected to the remote panel, the Stop button will allow the user to disconnect the C-more Remote HMI App from the C-more panel without closing the C-more Remote HMI App workspace GUI. The app will display the last updated status of the remote C-more screen. Once disconnected, the stop button will be grayed out and the play button will then be activated. The user can press the Play button to reconnect the app to the remote C-more panel. The user login information will appear as it does when a new connection is made to the C-more panel.
  4. Add Favorite Button: The Add Favorite button allows the user to add and edit the active C-more panel connection to the list of favorites. This list allows simpler connection to the most used C-more panels.

Status Bar

The Status Bar is located at the bottom of the C-more Remote HMI App workspace and is displayed by default. It can be enabled or disabled by the user as needed from the settings screen. The status bar displays the following information:

  1. Receive and Send Indicators: The indicators blink when data is communicated to and from the C-more Remote HMI App. As objects update on the remote C-more panel, the Receive indicator will highlight in green to show that an update was received by the panel. The Send indicator is activated when data is sent from the Client (Remote HMI App) when an input object is pressed. This can be helpful when troubleshooting connection problems.
  2. Active Login Permission Info: Located in the center of the status bar and displays the login permission level for the account that is presently active. There are three permission levels that can be used for each user account. View mode, View and Screen Control, and Full Control. These permission levels are stored in each C-more panel project and can only be changed by editing the project with the C-more programming software. See Setting up the Remote Access for additional information.
  3. Connection Time: This value tracks the time that the C-more Remote HMI App has an active connection to the C-more panel being viewed. This value will increment when the app connection is running or paused with the control toolbar Pause button. It will reset when the connection is stopped with the control toolbar Stop button or the connection is lost.

Saving Favorites File

Using iTunes 9.1 or later, you can copy files between your computer and apps on your iOS device that support file sharing. The C-more Remote HMI App creates a “.dat” file that stores the favorite C-more panel connection settings created by the user. This allows the user to copy, save, or move the favorites from one device to another, or create backup files for when an iPhone/iPad/iPod Touch may fail or need to be reset. Please refer to the iTunes help for more details on file sharing if needed.

Copying Files Using File Sharing:

  1. Connect your iPhone/iPad/iPod Touch device to your computer.
  2. Launch iTunes 9.1 or later on your computer.
  3. Select your device from the Devices section of iTunes.

  4. Click on the Apps tab and scroll down to the bottom of the page.

Note: If you do not see the File Sharing section shown in the image above, your iOS device does not have any apps that support File Sharing.

  5. Under the File Sharing section, you'll find a list of apps currently installed on your iPhone/iPad/iPod Touch device that support File Sharing. Select an app to view a list of the files associated with that app on your iOS device. “RemoteHMIFavorite.dat” should appear in the list when remote HMI is selected.
  6. Drag and drop files from the Documents list to a folder or window on your computer to copy them to your computer, or…
  7. Select the file or files you want to copy to your computer from the Documents list and click the "Save to…" button.


TCP/UDP Connections Port Number Reference

TCP/UDP Connections Port Number Reference Table

The following table provides a list of C-more Port Connection Numbers that may be needed for special configurations by the user (i.e., Router NAT Tables).

Ethernet Connection

Ethernet Connection

Port Number

Protocol

Project Transfer, Programming Port, Ethernet

Server

9999

TCP

Project Transfer, Programming Port, USB

Server

10900

Pass Through

Client - PLC Side

Serial - NA, Ethernet - 11110

TCP

Server - Panel Side

111110

TCP

FTP

Server

21 (Default, but configurable)

TCP

Client

21

TCP

Email- SMTP

Client

25 (Default, but configurable)

TCP

Email- POP3

Client

110 (Default, but configurable)

TCP

Web Server

Server

80 (Default, but configurable)

TCP

Remote Access

Server

11102 (Default, but configurable)

TCP

Modbus TCP

Client

502 (Default, but configurable)

TCP

Productivity Ethernet

Client

TCP

GS Drives TCP/IP

Client

TCP

Entivity Modbus TCP

Client

TCP

DirectLogic Ethernet

Client

28784

UDP

Do-more Ethernet

Client

UDP

Generic Ethernet/IP Server Listening Port

Server

2222- Explicit messaging

TCP

Server

44818- I/O Messaging

UDP

Client Ethernet/IP

Client

44818- (Default, but configurable)

TCP

Siemens Ethernet

Client

102

TCP

Mitsubishi Ethernet

Client

2050 ( 0x0802 ) (Default, but configurable)

TCP

Omron Ethernet

Client

9600 (Default, but configurable)

UDP

Ports reserved for System use

10901 - 10930

Ports reserved for System use

11100

Ports reserved for System use

11101


Data Logging

What is Data Logging

Data Logging with C-more panels is accomplished by using the Line Trend Graph object or the PID Faceplate Trend object. When Save Log Data is selected on the Option tab configuration for that object, data is written to a " .log " file saved to the storage device selected there.

Data Logging is commonly used to monitor systems and/or processes taking place at an industrial facility, providing time, date, and current conditions as configured on the Object. Data Logging can be used to collect temperatures, flows, alarms, levels, pressure and just about any instrument measurable condition.

By default a header row is added into log files in projects. If the application in which the log file will be used does not support a header row, deselect this option in Panel Manager.

In general, attempts to log data at intervals faster than once per second will be unreliable due to the write time required.

Using Data Logging

As mentioned above, Data Logging for the C-more panel is available through the Line Trend Graph and PID Faceplate Trend Graph Objects. To learn more on the setup of each of these Objects, click on the button selections below to open the respective topic.

The following are the Data Logging Log File quantities allowed by the C-more HMI Program/Panels:

  1. Maximum Number of Logging Files: 18 Log File / Panel

  1. Trend Graph / PID Trend Log Data: 16 Log File / Panel Max subject to storage maximums. Refer to Runtime Errors topic.
  2. Alarm List Log: 1 Log File / Panel
  3. Message DB Log: 1 Log File / Panel
  1. Message Database / Lookup Text Object, or
  2. Multistate Text Object

  2. When is the MRAM buffer written to the SD card or USB Flash?

  1. The MRAM Buffer (2KB) is full or 20 Records have been written.
  2. 1 minute has passed since last transfer to flash device.
  3. A Log File is sent via FTP or Email by the Event Manager.
  4. The following System Tags are turned ON:
    1. SYS Copy LogTo%Device% - %Device% = SD1, SD2 or USB
    2. SYS %Device% Eject - %Device% = SD1, SD2 or USB

  5. The System Screen is called.
  6. When the panel is powered-up, Line Trend and PID Trend Log Data in MRAM will be stored to %Device% - %Device% = SD1, SD2 or USB.

Note: All MRAM Data, *.log Files and *.txt Files in the panel will be cleared when a project is transferred to the panel.

Note: The EA-AC accessory provides a degree of data protection when a power loss occurs. When the EA-AC detects an undervoltage condition (power loss), it will turn off the backlight in order to extend the power to complete the current data logging operation with minimal risk of data corruption. Because of the write speeds inherent in the storage media, there is essentially no risk of data corruption when using an EA-AC and writing to SD card. There is a risk of data corruption upon power loss when writing to USB storage, although the risk is minimized when using the EA-AC.

Note: The Maximum Number of Log Files with the same first four characters is 999 files.
Internal file identification is restricted by the DOS 8-character-dot-3-character limit. Because of this, trend log files are identified internally by the first four characters of the screen name + tilde + a three digit number. For example,
TREND GRAPH EAST CHILLER TEMP_110925.txt and
TREND GRAPH WEST CHILLER TEMP_110925.txt
will be identified internally as TREN~001.txt and TREN~002.txt. As new log files are created each day, these files count against the same max 999 files.

If Multiple Graph Objects appear on one screen, the files will be identified internally by the first Two Characters of the screen name plus the first Two Characters of the object name plus tilde plus three digit number.

To maximize file storage capabilities, consider using screen names that are unique in the first four characters, and using object names that are unique in the first two characters.

SYS DELETE DEVICE LOG tags are available to programmatically perform file maintenance.


Managing Data Logging & Logging Devices

A sample project showing an option for using Logging and File Management tags is installed with your software: Using external memory devices.eap9. The default folder is Documents\AutomationDirect\C-more\Projects.

System Tag

Description

Data Type

R/W

"Write ON"

Only

Retentive

Note

SYS SD1 WriteStatus

SYS %Device% Write Status

Use this tag to indicate to user when the device is being accessed. For example, an Indicator Light to indicate "Do Not Remove Device While It Is Being Accessed".

Discrete

R

No

No

Status ON is accessing to SD1 Device.

Status OFF is not access to SD1 Device.

Write data is Alarm, Message, Capture and Trend.

SYS SD2 WriteStatus

Discrete

R

No

No

Status ON is writing log data to SD2 Device.

Status OFF is not writing log data to SD2 Device.

Write data is Alarm, Message, Capture and Trend.

SYS USB WriteStatus

Discrete

R

No

No

Status ON is writing log data to USB Device.

Status OFF is not writing log data to USB Device.

Write data is Alarm, Message, Capture and Trend.

SYS SD1 Eject

SYS %Device% Eject

Use with a Pushbutton, SET ON, to complete writing to device. The device must be removed and reinserted to reactivate the writing device. Should be used before removing a device.

Discrete

R/W

Yes

No

ON to Eject SD1 and automatically OFF when ready to eject

SYS SD2 Eject

Discrete

R/W

Yes

No

ON to Eject SD2 and "SYS SD2 ReadyToUse" is OFF when ready to eject

SYS USB Eject

Discrete

R/W

Yes

No

ON to Eject USB and "SYS USB ReadyToUse" is OFF when ready to eject

SYS Copy LogToSD1

SYS Copy Log to %Device%

Use with Pushbutton. Copies complete logs from all the devices to the %Device% associated with the Tag (%Device%).

Discrete

R/W

No

No

ON to Save Logfile to SD1 and automatically OFF when finished

SYS Copy LogToSD2

Discrete

R/W

No

No

ON to Save Logfile to SD2 and automatically OFF when finished

SYS Copy LogToUSB

Discrete

R/W

No

No

ON to Save Logfile to USB and automatically OFF when finished

The following System Tags are available for SD1, SD2 and USB:

SYS SD1 TotalMemory

Unit: Kbyte

US32

R

No

No

SYS SD1 FreeMemory

Unit: Kbyte

Use to monitor the amount of free memory on the device. Use with Event Manager to alert user that the device is full.

US32

R

No

No

SYS SD1 UsedMemory

Unit: Kbyte

US32

R

No

SYS SD1 ReadyToUse

Use with indicator light to indicate the "Ready To Use" after inserting.

Discrete

R

No

No

SD1 Device ready for use. Status ON is Ready, OFF is not Ready.

SYS SD1 WriteStatus

Use this tag to indicate to user when the device is being accessed. For example, an indicator light to indicate "Do Not Remove Device While It Is Being Accessed".

Discrete

R

No

No

Status ON is writing data to SD1 Device. Status OFF is not currently writing to SD1 Device. Write data is Alarm, Message, Capture and Trend.

SYS SD1 Eject

Use with a Pushbutton to complete writing to device. The device must be removed and reinserted to reactivate the writing device. Should be used before removing a device.

Discrete

R/W

Yes

No

ON to write data in the log buffer and prepare to physically remove SD1. "SYS SD1 ReadyToUse" is OFF when the device can be safely ejected. SYS SD1 Eject is automatically OFF when data write is complete and ready to eject.
The following General Error Tags are available for use:

SYS ERR

LogError

Status ON when log buffer memory overflow occurs.

Status OFF is no Error.

Discrete

R

No

No

SYS ERR

ScreenCapture Error

Discrete

R

No

SYS SD1 Write Protected

Status ON is Write Protected.

Discrete

R

No

No

SYS SD2 Write Protected

Status ON is Write Protected.

Discrete

R

No

No
The following File Management Tags are available for use:

SYS Copy LogToSD1

Use with Pushbutton. Copies complete logs from all the devices to the %Device% associated with the Tag

Discrete

R/W

No

No

ON to Save all Logfiles to SD1

SYS Copy LogToSD2

Discrete

R/W

No

No

ON to Save all Logfiles to SD2

SYS Copy LogToUSB

Discrete

R/W

No

No

ON to Save all Logfiles to USB

SYS DELETE

ALL LOG

Transition to ON will delete log files on any installed external memory devices

Discrete

R/W

No

No

SYS DELETE

SD1 LOG

Transition to ON will delete log files from an installed SD card in SD1 slot

Discrete

R/W

No

No

SYS DELETE

SD2 LOG

Transition to ON will delete log files from an installed USB memory device

Discrete

R/W

No

No

SYS DELETE

USB LOG

Transition to ON will delete log files from an installed SD card in SD2 slot

Discrete

R/W

No

No

Data Logging - Memory Device Full

The following explains what occurs when logging data from an object, such as Line Trending, and the memory device becomes full. The memory device can be a USB pen drive plugged into the USB port, or a SD memory card plugged into location SD1 or SD2.

  • When the memory device that is being used for logging is full, the panel will stop writing to the log and a RTE-001 Runtime Error will be displayed on the screen. The displayed error message will read "Log Failed. Not enough Memory Space in %Device%"; %Device% can be USB, SD1, or SD2.
  1. The data logging object will continue to execute.
  2. The user can monitor the System Tag "SYS %DEVICE% FreeMemory" with the Event Manager, and display a message to the operator to warn when the memory device is close to full.
  3. The user can also use a Pushbutton object with the tag "SYS Copy Log to %Device%" to copy ALL logs on ALL other devices to %Device% and therefore save the current data. For example, if the application is logging to SD1 and SD2, the user can monitor "SYS SD1 FreeMemory" and "SYS SD2 FreeMemory" in the Event Manager. When the value of either gets below a set value in the Event Manager, then the Event Manger can issue an alarm, send an email, etc. The operator can then insert a USB pen drive into the panel's USB port, and press a pushbutton that is configured with System Tag "SYS Copy Log to USB". This action will copy all of the logged data to the USB pen drive from both SD1 and SD2. The operator can then use the System Setup Screen's Memory selection to clear both SD1 and SD2. This example can work with different combinations of the memory devices, but the preferred method is using a USB pen drive because it is the easiest device to insert and remove.

Note: The Maximum Number of Log Files with the same first four characters is 999 files. Internal file identification is restricted by the DOS 8-character-dot-3-character limit. Because of this, trend log files are identified internally by the first four characters of the screen name + tilde + a three digit number. For example:

TREND GRAPH EAST CHILLER TEMP_110925.txt and TREND GRAPH WEST CHILLER TEMP_110925.txt will be identified internally as TREN~001.txt and TREN~002.txt. As new log files are created each day, these files count against the same max 999 files.

If Multiple Graph Objects appear on one screen, the files will be identified internally by the first Two Characters of the screen name plus the first Two Characters of the object name plus tilde plus three digit number.

To maximize file storage capabilities, consider using screen names that are unique in the first four characters, and using object names that are unique in the first two characters.

SYS DELETE DEVIC LOG tags are available to programmatically perform file maintenance.


Trend Data Logging Calculator

This topic provides a Calculator that can be used to make Calculations for setup requirements when configuring Trend Data Logging with C-more panels/software. To use this Calculator you must provide the following data:

Number of Pens (# of Pens)

Total Stored Samples (From setting in Trend Dialog Box)

Storage Space Available (Click on the green text to learn how to find this information)

Samples Per Minute

Once you gather this Data, click on the corresponding fields shaded in yellow and type in the Data. Only type info on the Yellow Shaded fields. When you finish entering this Data, click on the Calculate button. All fields will display the results for the Data Logging Calculations specific for the Data provided.

Trend Data Logging Calculator

(Size per Trend Object)

Binary File Size (Per Trend Object)
# of Pens = | BIN File Size = | Bytes
 |  | KB
Total Stored Samples = |  | MB
CSV File Size (Per Trend Object)
Data Type | Size
INT16 File Size (Bytes) = |
INT32 File Size (Bytes) = |
FLOAT File Size (Bytes) = |
Total Storage Time
Storage Space Available = | MB | KB |
Samples Per Minute = | Samples |  |
INT16 File Size (Bytes) = | Minutes | Hours | Days
INT32 File Size (Bytes) = | Minutes | Hours | Days
Float File Size (Bytes) = | Minutes | Hours | Days

Storage Space Available

Note: Storage Space Available can also be checked from the Panel's System Screen accessed by touching and holding the top-left corner of the viewable area of the panel. For more information refer to the C-more Panel Hardware User's Manual.

Note: The Maximum Number of Log Files with the same first four characters is 999 files.
Internal file identification is restricted by the DOS 8-character-dot-3-character limit. Because of this, trend log files are identified internally by the first four characters of the screen name + tilde + a three digit number. For example,
TREND GRAPH EAST CHILLER TEMP_110925.txt and
TREND GRAPH WEST CHILLER TEMP_110925.txt
will be identified internally as TREN~001.txt and TREN~002.txt. As new log files are created each day, these files count against the same max 999 files.

If Multiple Graph Objects appear on one screen, the files will be identified internally by the first Two Characters of the screen name plus the first Two Characters of the object name plus tilde plus three digit number.

To maximize file storage capabilities, consider using screen names that are unique in the first four characters, and using object names that are unique in the first two characters.

SYS DELETE DEVICE LOG tags are available to programmatically perform file maintenance.


Recipe Object

Description

Unlike the Call Recipe Object, which allows the operator to edit the values loaded by the Recipe, the Recipe Object writes the data when the object is activated by touch or by a Discrete Tag.

Another difference between the Call Recipe Object and this Recipe Object, is that the Recipe Object allows Notification and Handshake to confirm the values have been properly written to the PLC.

General Tab

To load a Recipe using a Discrete Tag, select the Use Write Event Tag checkbox and select a Tag from the Tag Name Database that you want to use to load the Recipe. The Recipe can only be loaded by the Write Event Tag when the screen on which the Recipe Object is located is being displayed on the panel.

  1. Object Style: The Object Style option allows the user to select the preferred style button to use for this Recipe Object.

Note: The Recipe can only be loaded by the Write Event Tag when the screen on which the Recipe Object is located is being displayed on the panel although the Recipe Object itself does not have to be visible.

Recipe Tab

There are two options for Source Data in the Recipe Object:

  1. Single Source Recipe: The data entered in the objects Recipe Tab is loaded directly into the Destination Tags. This data can only be edited in the
    C‐more Software. The data type for the Destination Tag must match the data type for the Source Tag.

Note: If a Recipe Object is configured with Insert/Delete Row privileges, and a Static Recipe is called from a Call Recipe object, the values loaded by a Static Recipe record number may be changed when an Add Row or Delete Row is performed at the panel. That is, if Recipe 3 is entered in this Call Recipe Object, and an operator deletes Recipe 2 from a Recipe Object, this Call Recipe Object will load values previously associated with Recipe Record Number 4 (now reassigned Recipe Record Number 3.)
  2. Multi Source Recipe: The Source Data for the Recipe is taken from a choice of Recipes in the selected Recipe Sheet.

Configure a Multiple Source Recipe

The Multiple Source Recipe allows the use of a specific Recipe from a specific Recipe Sheet from the Recipe Sheet Database.

  1. Recipe Sheet: Select any available Recipe Sheets from the Recipe Database. If no Recipe Sheets have been created, use the Recipe Sheet button to create one.
  2. Recipe Record Number: A Recipe Sheet may contain as many as 1000 Recipes (or Recipe Records). There are two possible ways to select the Recipe Record that will be loaded:
    1. Static: The same Recipe will be loaded each time the object is activated. This has the same result as when "Single Source Recipe" is selected, but may be valuable when many Recipes are stored in a Recipe Sheet used in many different projects, each project using only one of the available Recipes.
    2. Tag Name: The Recipe is selectable as the project is running on the panel by changing the Recipe Record number stored in this tag.

Control Tab

The Control Tab allows the user to configure Handshaking between the Panel and the PLC to ensure data is written within the specified time. During the Handshake process, the two devices greet and identify each other to determine the protocol to be used for data exchange between each other.

  1. Notification Tag Name: The Notification Tag is the PLC Tag associated with a Bit to notify the PLC that a Recipe has been entered. The C-more panel turns this bit ON when the Recipe Object is pressed and C-more turns this bit OFF when either the Handshake Tag (ON) is read from the PLC or when the Handshake timer times out.
  2. Handshake Tag: The Handshake Tag associated with a Bit that the Controller turns ON indicating that it has received the Notification Bit.
  3. Handshake Timeout: If the Handshake Tag is not turned ON by the Controller in the amount of Time allowed by the Handshake Timeout field, a Handshake Timeout will occur. The information that a Handshake Timeout occurred must be used by the programmer as appropriate. If the Handshake timer times out, RTE-012 error will display in the panel alarm banner; the object will still attempt to write the data. The Use Display Tag should be configured in the Numeric Entry Object to give visual proof that the data was written to the PLC.

Option Tab

The Option Tab allows the user to enter and edit settings that affect visibility of the Object.

The Object Visibility Option allows the Recipe Object to be hidden or made visible based upon the value of the Tag Name that is selected.

Password Tab

The Password Tab setup allows the user to configure a Password requirement when an Object is pressed. This allows the programmer to setup a Recipe Object that can only be used by authorized individuals.


Call Recipe Object

The Call Recipe Object is used to display a specific Recipe Sheet from the Recipe Database.

Add a Call Recipe Object to Your Project

To add a Call Recipe Object to your project, select the Object from:

  1. Object Menu
  2. Object List window
  3. Parts List window

General Tab

Adjusting the Columns and Rows Displayed on the Panel

  1. Row Count / Col Count: Determine the number of Rows and Columns of the Recipe Sheet that will be displayed on the panel.

    All of the Columns and Rows of the Recipe Sheet will still be accessible through the navigation keys on the screen.

  2. Back Color1 / Back Color2: Determine the Background Colors for the Rows or Columns on the Recipe Sheet.

    For example, if white is selected for Back Color1 and gray is selected for Back Color2, then the Rows on the Recipe Sheet will display the odd numbered Rows with white Background and the even Rows with gray background as shown below.

  3. Select Recipe Sheet: Select any available Recipe Sheets from the Recipe Database. If no Recipe Sheets have been created, use the Recipe Sheet button to create one.

  4. Show Insert/Delete Row Buttons: If A Call Recipe Object is configured with Insert/Delete Row privileges, and a Static Recipe is called from a Recipe object (Recipe button), the values loaded by a static Recipe record number may be changed when an Add Row or Delete Row is performed at the panel. That is, if Recipe 3 is entered in some Recipe Object, and an operator deletes Recipe 2 from this Call Recipe Object, the Recipe Object will load values previously associated with Recipe Record Number 4 (now reassigned Recipe Record Number 3.)

  5. Show Read PLC Button: The Read PLC button allows the operator to read data from the PLC tags in the Recipe and save them to the panel. This is ideal for saving the state of the current process settings.

Recipe Sheet on the Panel

The Recipe Sheet displayed on the C‐more Panel displays the information about the entries of the selected Recipe Sheet and also provides controls to change the way the data displays on the panel, Edit the Recipe Sheet and Load a selected Recipe.

When looking at the list below, keep in mind that the screen is displayed from the panel. The operator may change the way the data displays on the panel. Options include:

  • Buttons to Zoom in and Zoom out that increase and decrease the font size while the object is displayed.
  • A button to change the shading from alternate rows to alternate columns, or turn off shading.
  • A button to add or remove a Comma as a thousands separator.
  • Page navigation (double arrows) - row/column navigation (single arrows)

Load: Select a row (Recipe) to activate the Load button. Load will then write the values in the Recipe to the Tags at the top of each column.

Edit: To Insert a Row, Delete a Row or to edit data in each individual cell, select the Edit Button. To edit a cell, simply click on the cell and the appropriate keypad will open.

Insert Row: To Insert a Row (Recipe):

  1. Select Edit
  2. Select the row you want below the new row.
  3. Select Insert Row and a row will be inserted as shown.
  4. Enter a name for the new Recipe and enter data for each tag.

Delete Row:

  1. Select Edit
  2. Select the row you want to Delete.
  3. Select Delete Row

Read PLC: The Read PLC button allows the operator to read data from the PLC tags in the top row of the

Recipe Sheet and store that data in the selected row. The data is stored in the panel recipe files. This is ideal for saving the state of the current process settings to the panel.

  1. Select Edit
  2. Select the row you want to receive read the PLC data.
  3. Select Read PLC

Notice that the field at the bottom of the screen displays the value in the highlighted cell when a single cell is selected, or displays the name of the Recipe when a row (Recipe) is selected.


Editing Recipe Sheets Using Excel™

Editing Recipe Sheets with Excel™

A Recipe Sheet MUST be created in the C-more HMI Programming Software. The Software provides drop down menus, formatting options, and error checks to facilitate editing the Recipe Sheet. Although the best way to Edit a Recipe Sheet is to use the C-more HMI Programming Software you may choose to use a spreadsheet editor such as Excel™.

Note: The values in a Recipe can be edited directly from the Panel if Edit privileges are configured in the Object.

Editing Recipe Sheets with Excel™

To Edit a Recipe Sheet with Excel™, first you will have to Export the Recipe Sheet. If you need information on how to Export a Recipe Sheet click on the green text. When a Recipe Sheet is Exported, it saves the Data as Unicode Text with a ".csv" extension.

Once the file is open in Excel™, the contents will look similar to the figure below:

When looking at an Exported Recipe Sheet in Excel, to be able to distinguish between a Tag Name String or Value, look for the following formats:

  • Tag Names: The first character is an ! (exclamation mark ). For example: !TagName
  • ASCII Character String: The first character is a ‘ ( single quotation ). For example 'abcdefg
  • Value: No leading character.

From the figure shown above, we can see the following:

  1. The first Column contains the Recipe Record Names.

  2. The first Row contains the Destination Tags for the Recipe Sheet.

  3. The remainder is the Data that will be loaded to the Destination Tags. The Data in the same Row as the Recipe Record Name will be Loaded into the corresponding Destination Tag. This Data may be in the form of Tag Names ( ! ) or Values. Values can be Strings ( ' ) or Values. The Values may have the data format indicated by an ":H" for Hexadecimal and an ":O" for an Octal.

Unless you become very familiar with Editing the contents from Excel™, we recommend to only Edit Values and not Tag information. To learn about the Formats used for the information in the cells, see the File Formats section below.

Once you finish Editing the Recipe Sheet, it must be saved as a Unicode Text file with a ".csv" extension in order for the Recipe Sheet to work properly when used by the panel.

Note: To Import a Recipe Sheet, the desired Recipe Sheet being Imported must be a Unicode Text Format File Exported/Saved with a "csv" file name extension. When saving from Excel, make sure to save the file as a Unicode Text file format and change the file name extension to "csv".

Note: You can also Copy/Cut cells on either the Excel™ spreadsheet or the Recipe Sheet Editor on the C-more HMI Programming Software, and Paste them back and forth.

File Formats

When a Recipe Sheet is to be Imported, it must meet the formatting criteria mentioned in this Topic. When Recipe Sheets are exported, they are formatted as follows:

  • File/Encode Type:Unicode (When saving file in Excel, the file extension must be changed to CSV. Excel saves Unicode files as TXT by default.)
  • Extension: CSV
  • Number of Columns: 2 - 256 (Please NOTE that when editing with Excel, the Columns are shifted by one Column. This means that if the Column in the Recipe Sheet is D, in Excel it will show as E. This is due to the Name Column on the C-more Software is actually Column A in Excel.
  • Number of Rows: 1 - 1000 Rows (Recipe Records)

Tag Data Type

The characters at the end of the Tag Name designate the data format of the Tag. See the Table below.

Discrete Value Format

Discrete Values can be Values other than 1 and 0, such as YES or NO.

Note: As shown on the Tables below, Values can be Strings ( ' ) or Values. The Values may have the data format indicated by an ":H" for Hexadecimal and an ":O" for an Octal.

Hex and Octal Value Format

ASCII Character String


Import

Topic: CM038

Import

C-more Software will allow you to Import database files and project information. This is especially useful when copying information from an existing project to a second project, or when a Database has been exported and edited.

Import Project Data

The following project information may be imported directly from another project file (*.eap or *.eap9):

  • Tag Name Database
  • Message Database
  • Event Database
  • Address Book
  • Recipe Database - This includes all Recipe Sheets and all Recipe Records in each Recipe Sheet. This is more inclusive than the separate Import-Recipe Sheet function.

Screens may also be imported directly from another project file. In the Project Data Import window, the Screen Data check box must be selected AND each screen to be imported must be selected. Use SHIFT-CLICK to select more than one screen.

Import Databases

The following Databases may be imported:

  • Tag Name Database (*.xls, *.csv or *.l5k)

  • Message Database (*.xls)

  • Address Book (*.xls)

  • Language Edit (*.xls)

  • Event Database (*.xls)

  • Recipe Sheet (exported from another C-more project OR Saved from Excel in UNICODE FILE FORMAT with .csv extension only) - this Imports a single Recipe Sheet with all its Recipe Records.

  • Library (exported from another C-more project that may include Screen Library, Object Library, Graphic Library and/or Sound Library.)

Project information and databases may be imported form the File > Import menu. Databases may be imported from the Database Window in the C-more Software.

When Importing the Databases, the Import dialog includes a check box to select “My file contains a Header Row. 1st Row is not imported.” This selection is enabled by default because C-more export files include a Header Row. If the file does include a Header Row, but this selection is disabled, the Import will result in an Import error.

Tag Database

When Importing a Tag Database, it is important to note:

  • If the selected file is a .csv file (comma delimited), the CSV options are available. Select one of these options if the .csv file was created by exporting the Tag Database from a project in the listed software types. DirectSOFT has an option to “Export Element Documentation in C-more format”.

Note: Only CLICK Tags with NICKNAMES will be imported.
  • Device: If a DEVICE isn't selected in the import dialog, Tags will be imported to the Device specified in the DeviceName column in the imported file.
  • Append Text: This field allows the user to enter Text that will be Appended to the end of each Tag Name to differentiate it from the other Tag Names. C-more does not allow duplicate Tag Names even among different Devices.

Allen-Bradley Tag Databases

If the Tag Database has been exported from Rockwell Software RSLogix500 programming software the following details are important to know.

Data Types: The following Data File Types can be Imported:

  • B = Binary
  • T = Timer*
  • C = Counter*
  • R = Control*
  • N = Integer
  • F = Floating Point
  • L = Long
  • ST = String
  • I, O, S = are not imported

* Timers, Counters and Control Registers: Only the following elements of the Timer, Counter and Control Data Files are imported:

  • TIMER (EN, TT, DN, ACC, PRE): If ACC or PRE are not designated in the Import file, the Import will default to ACC.
  • COUNTER (DN, CU, CD, OV, UN, ACC, PRE): If ACC or PRE are not designated in the Import file, the Import will default to ACC.
  • CONTROL: EN, DN, EU, EM, ER, UL, IN, FD, LEN, POS.

When Imported, the C-more Tag Name will be determined by the following priority. If the higher priority is blank, the next priority will be used.

  1. A-B Symbol
  2. Description Lines 1 through 5
  3. PLC Address

Event Manager Database

Import Event Manager Database allows options for Importing each type of action individually.

Simple (Alarm) Format is a file that was exported with the Simple (Alarm) option selected. The Import utility tries to identify the features of the selected file and select the appropriate Import Action.

Overwrite Existing Event Manager: When selected, this feature erases the existing Event Manager Database and creates a new one with the Imported Events and Actions.


Export

C-more Software allows you to copy database information from an existing project to a second project using the Export tool available from the File Menu. In addition, when editing a database, using a spreadsheet tool such as Excel may be more convenient. Databases may be exported from the File > Export menu or from the Database Window in the C-more Software: default

Export

The following project elements may be exported:

  • Tag Name Database (*.xls, *.csv or *.l5k)
  • Message Database (*.xls)
  • Address Book (*.xls)
  • Language Edit (*.xls)
  • Event Manager Database (*.xls)
  • Screen Image (.jpg)
  • Library (may include Screen Library, Object Library, Graphic Library and/or Sound Library)
  • Recipe Sheet (.csv), is a database of one or more Recipe Records. A project may have multiple Recipe Sheets, which would be exported individually.

Note: If an exported Recipe Sheet is edited in Excel, it must be Saved in UNICODE FILE FORMAT with .txt extension, then in File Manager change the extension to .csv.

Editing an Exported Event Manager Database in Excel

Many of the fields Exported can be Edited and then Imported. Events can even be added by adding them in the Exported file and then Import it. Care should be taken when Editing the Exported file. Many of the fields require a strict syntax for Time, Data, Embedded Data, File Names, etc. Fields such as these should be Edited in the Event Manager Database to insure proper syntax is applied and no errors occur when Importing.

Note: Additional rows must be INSERTED above the existing row identified as "End of Record (DO NOT MODIFY THIS ROW)" using the INSERT command in Excel NOT by moving the End of Record row/cell.

Tag Names entered into the spreadsheet must already exist in the C-more Project or they will not Import correctly.

Editing an exported Message Database in Excel

When using Excel to modify the Message Database, note that the row 2 identified with _DO NOT MODIFY THIS ROW_ must remain unchanged and in row 2 position. Additional messages must be added after row 2.

Tag Database

When importing a Tag Database, it is important to note:

  • If the selected file is a .csv file (comma delimited), the CSV Options options are available.
  • Select one of these options if the .csv file was created by exporting the tag database from a project in the listed software types.
  • DirectSOFT has an option to “Export Element Documentation in C-more format”.

Note: Only CLICK Tags with NICKNAMES will be imported.
  • Device: If a DEVICE isn't selected in the import dialog, Tags will be imported to the Device specified in the DeviceName column in the imported file.
  • Append Text: This field allows the user to enter Text that will be Appended to the end of each Tag Name to differentiate it from the other Tag Names. C-more does not allow duplicate Tag Names even among different devices.

Allen-Bradley Tag Databases

If the Tag Database has been exported from Rockwell Software RSLogix500 programming software the following details are important to know.

Data Types: The following Data File Types can be Imported:

  • B = Binary
  • T = Timer*
  • C = Counter*
  • R = Control*
  • N = Integer
  • F = Floating Point
  • L = Long
  • ST = String
  • I, O, S = are not imported

* Timers, Counters and Control Registers: Only the following elements of the Timer, Counter and Control Data Files are imported:

  • TIMER (EN, TT, DN, ACC, PRE): If ACC or PRE are not designated in the Import file, the Import will default to ACC.
  • COUNTER (DN, CU, CD, OV, UN, ACC, PRE): If ACC or PRE are not designated in the Import file, the Import will default to ACC.
  • CONTROL: EN, DN, EU, EM, ER, UL, IN, FD, LEN, POS.

When Imported, the C-more Tag Name will be determined by the following priority. If the higher priority is blank, the next priority will be used.

  1. A-B Symbol
  2. Description Lines 1 through 5
  3. PLC Address

Event Manager Database

Import Event Manager Database allows options for importing each type of action individually.

Simple (Alarm) format is a file that was exported with the Simple(Alarm) option selected. The Import utility tries to identify the features of the selected file and select the appropriate Import Action.

Overwrite Existing Event Manager: When selected, this feature erases the existing Event Manager database and creates a new one with the imported Events and Actions.


Shape Objects - Line, Rectangle, Circle & Triangle

Topic: CM190

Shape Objects - Line, Rectangle, Circle and Triangle

Note that this topic covers the simple geometric shapes – Line, Rectangle, Circle and Triangle. The Frame object that appears in the Shape Object list is covered in the Frame Object topic.

Shapes are the building blocks of simple graphics in your project. They can be configured with line types and fill colors, as well as visibility, and a variety of animation types.

Note: The Dashed Outline styles only work when the outline Line Width selection is 1.

When the Advanced checkbox is selected, a variety of configuration options are available for shapes.

Note: Visibility can be effective in your project, but it also has a significant cost in terms of CPU resources and noticeably affects screen update rates.

The types of animation available are:

  • Move Animation: Click the checkbox to enable Moving Animation. Then select Axis animation or Point animation. Point animation required the additional configuration of the path of movement in the “Moving Line Setup” window.
  • Size animation: Click the checkbox to enable Size Animation on the Size tab. Select the Base Point, which is the point of the Object that will remain anchored. The object will grow along on e or both axes according to the value in the assigned tag.

An additional configuration feature allows you to scale the PLC tag value in the C-more project.

  • Rotation animation: Click the checkbox to enable Rotation Animation on the Rotation tab. Select the Base Point, which is the point of the Object that will remain anchored. The object will rotate about the selected point according to the value in the assigned tag.

An additional configuration feature allows you to scale the PLC tag value in the C-more project.

Anti-aliasing affects Simple Shapes (Line, Rectangle, Circle and Triangle,) and Analog Meter objects; objects will default to the setting assigned in Panel Manager, but each individual object may be configured to the best setting in the object configuration dialog. Anti-aliasing CHECKED may improve the appearance especially of diagonal lines, but it may affect panel performance.


Frame Object

The Frame object is used to create a customer object by visually grouping other objects within a custom frame. Frame object is selected from the Shapes section of the Object list.

When the Advanced checkbox is selected, visibility and table-type frame options become available.

Note: Visibility can be effective in your project, but it also has a significant cost in terms of CPU resources and noticeably affects screen update rates.


Button Objects - Pushbutton, Switch, Radio Button, Step Switch & Tri-state Switch

Topic: CM187

Button Objects - Pushbutton, Switch, Radio Button, Step Switch and Tri-state Switch

This topic deals with Button Objects that cause one or more discrete tags to change state.

The Key Button object that appears in the Button section of the object selection list is documented in the Key Button Object topic.

The Button objects features include:

  • Password protection
  • Visibility
  • Sound options
  • Press Delay

Some Buttons include a Release Delay configuration.

Press Delay will wait the configured delay time before the Tag changes to ON after the button is pressed. Release Delay will wait the configured delay time before the Tag changes to OFF after the button is released. Select the Delay Time from the drop down list by clicking on the down arrow located to the right of the Delay Time field.

Details on configuring Passwords for Objects and Screens are available in the Password topic.

Visibility may be configured using a discrete tag or a numeric tag. The object will be visible when the tag or tag conditions are true. Object visibility may be useful in your project but it also has a significant cost in terms of CPU resources and noticeably affects screen update rates.

The generic Pushbutton, Indicator Button or Switch can be configured to operate as:

  • Toggle: The Toggle choice will Toggle the Pushbutton operation between ON and OFF each time the Pushbutton is selected (pressed).
  • Momentary On: This selection causes the Pushbutton to be ON while the Pushbutton is pressed. As soon as the button is released it returns to the OFF state.
  • Momentary Off: This selection causes the Pushbutton to be OFF while the Pushbutton is pressed. As soon as the button is released it returns to the ON state.
  • Set On: This selection causes the Pushbutton to be set to the ON state when the Pushbutton is pressed. Once it is set to ON it remains ON until a separate device, such as another Pushbutton or signal from the PLC, turns it OFF.
  • Set Off: This selection causes the Pushbutton to be set to the OFF state when the Pushbutton is pressed. Once it is set to OFF it remains OFF until a separate device, such as another Pushbutton or signal from the PLC, turns it ON.

The Radio Button may use Bit of Word to identify which button is set ON, or it may use multiple discrete tags. If Bits of Word are configured, the Radio Button may have 2-16 options. If Discretre tags are configured, the Radio Button may have 2-8 options.

The Step Switch Object works like a Mechanical Step Switch. With this type of Switch, each time the Step Switch is pressed, each of the assigned Tag Names cycle one at a time from the Off position to the On position. Only one assigned Tag Name is On at a time.

The Tri-State Switch Object consists of a set of three Pushbuttons that allow to configure the first button to the left as a Reset that turns the other two buttons Off, and configure the other two buttons with individual Tag Names.


Key Button Object

Key Button Object Description

The Key Button object is a button mainly used to create a Define Keypad like the ones available from the Define Keypad selection of the Navigation window. The Key Button Object can be used to input numbers or text on Objects that require data entry.

Key Buttons may be edited to fit various shapes, colors, sizes, and styles. When the Key Button object is selected, a setup window opens to allow the user to setup the Key Button as needed. To learn more about the Key Button object use and setup, look at the information provided below.

Add a Key Button Object

To add a Key Button Object to your project:

  1. From the Object Menu or from the Object List shown below, double-click on the Key Button selection or click and drag the Key Button selection to the work area.

Any available Key Button Object styles are displayed on the Parts List window. If selecting a Key Button from the Parts List window, click and hold on the desired Key Button, drag it to the Work Area and release the mouse button.

  2. Once a Key Button is selected using either method described above, the Key Button setup window shown below opens.

Send Key Code: This setting determines the message that will be sent when this specific Key Button is selected. The three setting options are:

  • Text & Number: Click on this selection to input a alphanumeric value that represents this Key Button. When selecting this option the alphanumeric value must be entered by clicking on the field and typing it in the field.
  • System Key Code: Click on this selection to input any of the existing System Key Codes. When selecting this option, click on the down arrow [image] for each field and select the desired Key Codes from the drop down lists.
  • Control Key Code: Click on this selection to input a specific Control Command that will be executed when this Key Button is selected. When selecting this option, click on the down arrow [image] to the right of the field and select a Control Command from the drop down list.


Indicator Light & Valve Indicator Objects

Topic: CM175

Indicator Light and Valve Indicator Objects

This topic deals with the Indicator Light and Valve Indicator Objects which display the state of the associated tag.

The Numeric Display object that appears in the Indicator section of the object selection list is documented in the Numeric Display Object topic.

The Multi-State Text indicator object that appears in the Indicator section of the object selection list is documented in the Multi-State Text Indicator Object topic.

The Button objects features include:

  • Password protection and Visibility.
  • Details on configuring Passwords for Objects and Screens are available in the Password topic.
  • Visibility may be configured using a discrete tag or a numeric tag. The object will be visible when the tag or tag conditions are true.

The Valve Indicator object has a background that may be made Transparent.

Object visibility and transparency may be useful in your project but they have a significant cost in terms of CPU resources and noticeably affects screen update rates.


Numeric Display Object

Note: An option to suppress scientific notation (exponential notation) when using Floating Point data is selectable in the Panel Manager window. This is a global selection and applies to all Floating Point data display objects.

The Numeric Display Object allows you to display the value stored in the Data Display Tag without making that value accessible to be changed by the user.

Note: If using the Use tag for Decimal Point Tag, the Fractional selection will be ignored.

Justify

Select a Justification setting from the drop-down menu. Leading Zeros display a 0 for every digit that has no value (e.g., 00034567 if 8 digits are selected.) Leading or Trailing Spaces do not display any unused digits.

Use Tag for Decimal Point

A varying Decimal Point can be placed in the Numeric Display value by specifying the number of places in the assigned Decimal Point Tag.

Visibility may be configured using a discrete tag or a numeric tag. The object will be visible when the tag or tag conditions are true. Object visibility may be useful in your project but it has a significant cost in terms of CPU resources and noticeably affects screen update rates.

The displayed value may be scaled to represent a different range of values than the values stored in the PLC tag (Data Display Tag) configured on the General Tab.


Multi-State Text Indicator Object

The Multi-State Text Indicator Object is used to display a Frame with personalized messages. This Object includes a Message Tab where the user can enter Messages configured to display according to actions, entries, or Tag Names.

Visibility may be configured using a Discrete Tag or a Numeric Tag. The object will be visible when the tag or tag conditions are true. Object visibility may be useful in your project but it has a significant cost in terms of CPU resources and noticeably affects screen update rates.

The Tag Name configured on the General Tab will select the Message either by Bit Number or by a numeric Message Number identifier. The radio button selection to choose between Bit Number and Message Number on the General Tab will be reflected in the message setup table on the Message Tab.

Bit Number would be selected for a message to be displayed when a specific Input is activated. For example, a set of access/occupancy switches that are assigned bits of a word in PLC memory (the Tag Name address), will display a unique message based on where someone enters the facility. The bit that is active in the Tag Name will select the corresponding message.

Note:The Tag Name must only have one active bit. If the Tag Name value has more than one active bit then the Non-Programmed Message Action (see item j) will display.
  • Message Number would be selected if there is no convenient correlation to bit of word. For example, messages will display based on unrelated triggers; the PLC identifies which message is appropriate and loads the corresponding value to the Tag Name address. This value will select/determine the corresponding message in the object. If the Tag Name value does not correspond to a message identification number (as configured on the Message Tab) then the Non-Programmed Message Action will display.

Note: After the message table has been configured, changing from Bit Number to Message Number (on the General Tab) will CHANGE the message identification number (on the Message Tab) and changing from Message Number to Bit Number will DELETE Message Numbers that don’t correspond to the value of the bit of word.

The quantity of messages is determined by the Bit/Message Configuration and the Tag Data type (for Bit Number) but may not exceed 255.

  • Data Format: These selections are only active if the Bit Number option is selected. Click on the preferred selection to select if the Data Format is represented in Decimal or Octal Numbering.


Numeric Entry Object

The Entry Objects allow the operator to enter or change a numeric value from the panel screen.

Note: An option to suppress scientific notation (exponential notation) when using Floating Point data is selectable in the Panel Manager window. This is a global selection and applies to all Floating Point data display objects.

The Numeric Entry object can be configured as a popup keypad on-screen entry object, called Style 1.

If an external device, a bar code reader or keyboard for example, will input the data, the Numeric Entry object Style 2 is selected.

The Control Tab allows the programmer to configure Handshaking between the Panel and the PLC to ensure data is written at the specified time.

  • Notification Tag: The Notification Tag is the PLC Tag associated with a Bit to notify the PLC that a value has been entered. The C-more panel turns this bit ON when ENTER is pressed and C-more turns this bit OFF when either the Handshake Tag (ON) is read from the PLC or when the Handshake timer times out.
  • Handshake Tag: The Handshake Tag is the PLC Tag the PLC turns ON indicating that it has received the Notification Bit.
  • Handshake Timeout: If the Handshake Tag is not turned ON by the Controller in the amount of Time allowed by the Handshake Timeout field, a Handshake Timeout will occur. When a Timeout occurs the Keypad stays open to indicate that the Notification and Handshake process failed. The information that a Handshake Timeout occurred must be used by the programmer as appropriate. If the Handshake timer times out, RTE-012 error will display in the panel alarm banner; the object will still attempt to write the data. The Use Display Tag should be configured in the Numeric Entry Object to give visual proof that the data was written to the PLC.

On the Option tab, the programmer can configure Visibility, Scaling and Object Focus.

Note: Visibility can be effective in your project, but it also has a significant cost in terms of CPU resources and noticeably affects screen update rates.

  • Scaling allows the PLC value entered in the Numeric Entry object to be displayed as a scaled value. The Data Display Tag value is scaled, whether a single “Data Entry Tag & Data Display Tag” is configured on the General tab, or if a separate Display Tag has been configured (on the General tab).

  • Object Focus Option: This selection is available for the Numeric Entry and Text Entry objects. It requires that Style 2 is selected on the General Tab. Object Focus allows the input device, bar code reader for example, to enter data without requiring the operator to select the Numeric/Text Entry Object on the screen.

The Numeric Entry object can be Password Protected by configuring Passwords on the Password Tab.


Entry Objects - Increment/Decrement Value, Thumbwheel & Slider Objects

Topic: CM224

Entry Objects - Increment/Decrement Value, Thumbwheel and Slider Objects

This topic covers the Increment/Decrement Value object, Thumbwheel object and Slider object. The Numeric Entry object which is included the Entry objects list is documented in the Numeric Entry Indicator object topic.

The entry objects allow the operator to enter or change a numeric value from the panel screen.

Note: An option to suppress scientific notation (exponential notation) when using Floating Point data is selectable in the Panel Manager window. This is a global selection and applies to all Floating Point data display objects.

The Increment/Decrement Value Object is used to Add or Subtract an amount to the value of a Tag Name by pressing a button on the Panel. The Object uses two Tags, one to read a value from and another to write a modified value to. The Auto Increment /Decrement feature allows the user to continuously increase or decrease the tag value by pressing and holding down either of the object's arrow keys.

The Thumbwheel Object has three style options:

  • Style 1 is a display object until touched; then a popup thumbwheel appears on the screen.
  • Style 2 is an entry object directly on the screen.

    Both Style 1 and Style 2 require the ENTER button to be touched before the value is written to the tag.
  • Style 3 is an entry object directly on the screen but the value is written to the tag directly as it is entered, without need of an ENTER button.

For the Slider object, the ENTER button operation type is called “On Demand” or if no ENTER action is needed, “Direct” operation type is an option. For the Slider Object, this choice is made on the General Tab, OperationType selection.


Thumbwheel Object

Thumbwheel Object Description

The Thumbwheel Object is very similar to the Numeric Entry Object. The Thumbwheel is a digital version of a mechanical Thumbwheel that may be found on a typical industrial control panel. This Object can be used to change a value by Incrementing or Decrementing the specific wheel number value by pressing on the Up or Down arrows for each number or wheel available.

The Thumbwheel Object can include up to four wheels for BCD data, up to five for Decimal, and up to six for Octal.

Adding a Thumbwheel Object to your Project

To add a Thumbwheel Object to your project, access Thumbwheel using one of the following three methods:

  1. From the Enter section of the Object Menu, click on the Thumbwheel selection and then click on the work area location.

  2. From the Entry section of the Object List, double-click on the Thumbwheel selection or click and drag the Thumbwheel selection to the work area.

  3. A list of pre-configured Thumbwheel Object styles are displayed on the Parts List window. If selecting a Thumbwheel from the Parts List window, click and hold on the desired Thumbwheel, drag it to the Work Area and release the mouse button.

Once a Thumbwheel Object is selected using one of the methods described above, the Thumbwheel setup window shown below opens


Line Trend Graph Object

Line Trend Graph Object Description

The Line Trend Graph Object is designed to monitor an assigned Tag Name continuously. This Object is very much like a digital version of a chart recorder used for industrial processes. This Object can be setup to monitor up to 16 different Tag Names.

Note: The Trend Cursor Value is only accurate to 1% of the Full Scale Range of the Line Trend Graph. For example, if full scale is 0 - 10 units, then the cursor will be accurate to 0.1 units. If full scale is 0 - 1000 units, then the cursor values will only be accurate to 10 units.

Note: An option to suppress scientific notation (exponential notation) when using Floating Point data is selectable in the Panel Manager window. This is a global selection and applies to all Floating Point data display objects.

Note: To retain data displayed by a Line Trend Graph object after a power cycle, Logging must be configured on the Options tab.

Adding a Line Trend Graph Object to your Project

To add a Line Trend Graph Object to your project:

  1. From Meter/Graph selection of the Object Menu or the Object List, double-click on the Line Trend Graph selection or click and drag the Line Trend Graph selection to the work area.

Any available Line Trend Graph Objects are displayed on the Parts List window. If selecting a Line Trend Graph from the Parts List window, click and hold on the desired Line Trend Graph, drag it to the Work Area and release the mouse button.

  2. Once a Line Trend Graph is selected using either method described above, the Line Trend Graph setup window shown below opens.

Display Legends: Click to select between Normal or Advanced Legends. Normal Legends will display Legends related to the information being monitored. Advanced Legends displays the Normal Legends and an arrow button is added where the user can click on and view more details.

The Trend Cursor Value is only accurate to 1% of the Full Scale Range of the Line Trend Graph. For example, if full scale is 0 - 10 units, then the cursor will be accurate to 0.1 units. If full scale is 0 - 1000 units, then the cursor values will only be accurate to 10 units.

When Date and Time is selected on the Option Tab, the user may touch a Data Point to cause a line to display, as shown in "Item a" on the figure below, and a small Data window opens showing details for the selected Data Point.


Analog Meter Object

Analog Meter Object Description

The Analog MeterObject is used to monitor an assigned Tag Name continuously. This Object can be used to create digital versions of level, current, and flow meters to name a few samples, or gauges that measure speed and other measurable data.

Note: An option to suppress scientific notation (exponential notation) when using Floating Point data is selectable in the Panel Manager window. This is a global selection and applies to all Floating Point data display objects.

Note: Anti-aliasing affects Simple Shapes (Line, Rectangle, Circle and Triangle,) and Analog Meter objects; objects will default to the setting assigned in Panel Manager, but each individual object may be configured to the best setting in the object configuration dialog. Anti-aliasing CHECKED may improve the appearance especially of diagonal lines, but it may affect panel performance.

Adding an Analog Meter Object to your Project

To Add an Analog Meter Object to your project:

  1. From the Meter/Graph selection of the Object Menu or the Object List, double-click on the Analog Meter selection or click and drag the Analog Meter selection to the work area.

Any available Analog Meter Objects are displayed on the Parts List window. If selecting an Analog Meter from the Parts List window, click and hold on the desired Analog Meter, drag it to the Work Area and release the mouse button.

  2. Once an Analog Meter is selected, the Analog Meter setup window shown below opens.

The Analog Meter offers eight styles from within the configuration window with various preset angular positions and angular movements. To change the Position or Angle, simply enter different values in the Position and Angle parameters. The Position can be set from 0 – 360 degrees. The Angle can be set from 1 – 360 degrees.


Alarm Band Tab

Object Alarm Band Tab Setup Window

The Alarm Band Tab is available from the Analog Meter Object setup window. Click on the Alarm Band Tab to select it. The Alarm Band Tab allows the user to enter and edit Alarm Bands used to set different alarm levels to indicate lows and high settings.

When the Alarm Band Tab is selected, the setup window shown below is displayed.

Setting Up the Alarm Band Tab Alarm Bands

The figure above shows the Alarm Band Tab setup window as reference. This tab offers the following setup features:

Click on the checkbox for any or all of the five selections available for Alarm Levels to activate them. To setup each of these Alarms, complete as follows:

  1. Low Low Alarm: Click on the checkbox to activate this Alarm. This Alarm indicates that a condition has reached the lowest level possible. This level usually requires that an immediate action be taken.
  2. Low Alarm: Click on the checkbox to activate this Alarm. This Alarm indicates that a condition has reached a Low level. This level usually indicates a Warning that a level is dropping too much.
  3. Normal: Click on the checkbox to activate this Alarm. This Alarm indicates that a condition is normal and there should not be a reason for concern.
  4. High Alarm: Click on the checkbox to activate this Alarm. This Alarm indicates that a condition has reached a High level. This level usually indicates a Warning that a level is nearing an unacceptable range.
  5. High High Alarm: Click on the checkbox to activate this Alarm. This Alarm indicates that a condition has reached the highest allowable level possible. This level usually requires that an immediate action be taken.
  6. Color: Click on the color box of any of these Alarm levels to open a color palette of available color choices for the respective Alarm Band. To select a color from this palette, click on the desired color. Remember to pick different colors for each Alarm Band to prevent reading confusions.
  7. Static: When the Static checkbox is selected, click on the field to type in a value that determines the specific Alarm level value.
  8. Tag: When the Tag checkbox is selected, click on the down arrow [image] to the right of the Tag Name field and select an existing Tag Name to assign to this Alarm Level. Clicking on the three dotted box to the right of the Tag Name field down arrow Alarm Bands the existing Tag Name Database for this project. From this database you may select a Tag Name and add or edit a Tag Name. To learn more, click on the green Tag Name Database text. From this window you may also add specific Alarm Bands for the On Text and Off Text by clicking on each respective field.


Bar Meter Object

Bar Meter Object Description

The Bar Meter Object is used to display variable data from a Tag Name in a Bar Meter format. The data can represent levels, currents, flows, speeds, and more.

Note: An option to suppress scientific notation (exponential notation) when using Floating Point data is selectable in the Panel Manager window. This is a global selection and applies to all Floating Point data display objects.

Adding a Bar Meter Object

To add a Bar Meter Object to your project:

  1. From the Meter/Graph selection of the Object Menu, click on the Bar Meter selection and then click on the work area location. Or from Meter/Graph selection of the Object List, double-click on the Bar Meter selection or click and drag the Bar Meter selection to the work area.

A list of pre-configured Bar Meter Objects are displayed on the Parts List window. If selecting a Bar Meter from the Parts List window, click and hold on the desired Bar Meter, drag it to the Work Area and release the mouse button.

  2. Once a Bar Meter is selected using either method described above, the Bar Meter setup window shown below will open.

Configure the Bar Meter Object

This window offers the following setup features:

  1. Name: On the top-left of the window, the default Name for this specific Object is BarMeter1. To change this Name, click on the field and type in a new Name.
  2. Object Preview Window: Below the Object Name is a Preview of the object you are working with. Anytime a setting is changed, a Preview of what the Bar Meter Object will look like is displayed.
  3. Simulate:Simulate is used to test the function of the object. Click on the Simulate field and type a number between 0 to 100. This number will represent a percentage of a signal and displays what the object would like if the entered percent is received.
  4. Display Frame: The Bar Meter can be displayed with or without a Frame. Uncheck the box to remove the Frame from the Bar Meter.
  5. Language: Click on the drop-down arrow to select from the up to nine Languages. Go to the Language Setup to learn more.
  6. Description: Enter up to a 400 character Description for the Bar Meter object.
  7. Tag Name Database: This button opens a window that allows the user to add, edit, or delete Tag Names. To learn more click on the green Tag Name text.
  8. Option Tab: Click on the green Option Tab text for configuration information.
  9. Label Select and Text Field: Click on the checkbox to add a Label to the Bar Meter. Enter a Label with up to 40 characters. For multi-languages, select the Language and then enter the Label text in the corresponding language. The default name is BAR METER.
  10. Position: Click on either the Top or Bottom selection. This determines whether the Label will be located on the Top or Bottom of the Bar Meter.
  11. Text and Back Color/Division Color/Digit Color and Back Color: Click on the Color box for either of these selections and the Color Palette shown below will open. The Text Color selection determines the Color of the Label text. The Back Color selections determine the Color of the Background of the frame where the Label text is displayed. The Division Color determines the Color digits on the display.

The Fill Effects button is ONLY available for the Back Color button of the Label. When selecting a Color for the Label, you may also select a Fill Effect. Click on the Fill Effect button and the window shown below will open.

From this window, click on any of the Shading Styles available to select for the Label Background Color. If no Shading is desired, make sure None is selected.

  12. Text Format: Click on the down arrow to select the size of the Label text. Click on the down arrow of the Align box to set the justification of the text to left, center, or right. Click on the Font button to select a different Font for the label text. To change the default font to the Project default font, select the Font button. The window below opens. Select the Use Default Font checkbox or select another Font if desired.

Note: When selecting a font different from the default font, the Use Default Font checkbox must be Deselected in order to select from the Font list.

  13. Show Division:Divisions are used to Divide the Bar Meter into units. Tick numbers are displayed at Major Divisions. Click on this checkbox to display the Divisions.
  14. Left/Top or Right/Bottom: The Left/Top selection places the Meter Ticks on the Left side of the Bar Meter for vertical style Bar Meters and on the Top of the Bar Meters on horizontal style Bar Meters. The Right/Bottom selection places the Meter Ticks on the Right side of the Meter Bar for vertical style Bar Meters and on the Bottom of the Bar Meter on horizontal style Bar Meters.
  15. No. of Major and No. of Minor: The value selected on the No. of Major field divides the Bar Meter into sections and places a tick number at each division related to the specified range. The value selected for the No. of Minor field divides the Major divisions into smaller divisions for more precise reading.
  16. Tick Numbers: Click on this checkbox to display the Tick Numbers on the chart.
  17. Floating Point: When Floating Point data is used, select from 0 to 5 decimal places.
  18. Show Digital Display: Click on this checkbox to make the settings for this selection active. This selection places a small window in the Bar Meter object with a digital display of the current value.
  19. Total Digits and Fractional Digits: For the Total Digits, select the Total Number of digits to be displayed. The maximum number is based on the data type selected in the Tag Name. For the Fractional Digits, select the number of fractional digits to be displayed. This selection will place a decimal in a non-decimal number and cannot exceed the number of total digits.
  20. Justify: Select a Justification setting from the drop-down menu. LeadingZeros display a "0" for every digit that has no value (i.e., 00034567 if eight digits are selected.) Leading or Trailing Spaces do not display any unused digits.
  21. Display Range: Enter a Minimum and Maximum range for the Meter. This number typically represents the units (temperature, level, speed, etc.) of the value being displayed.
  22. Bi-Polar (Mid-Point): Use Bi-Polar when using a starting point other than the lowest value of the display range. For example, if using a range of 100 to 100, enter a "0" to move the bar from the center in either direction.
  23. Graph Bar Color: Click on the color box for either selection and choose a color from the Color Palette (see Color Palette on Item "k" above). The Fore Color selection determines the color of the Meter Bar as it indicates a level. The Back Color selection determines the color of the background of the Meter Bar, which represents the non-indicating portion of the bar.
  24. Tag Name: Click on the down arrow to select a Tag Name or use the Browser button [image] to add a Tag Name.
  25. Object Style: Select from four styles; Horizontal or Vertical; Slide from Top or Bottom; Left or Right.


PID Faceplate Bar Meter Object

PID Faceplate Bar Meter Object Description

PID stands for Proportional Integral Derivative. PID is an algorithm used by PLC's to control a process using a Control Loop. The PID Faceplate Bar Meter Object is used to monitor Control Loop assigned Tag Names continuously and display the readings using Bar Meters.

Note: An option to suppress scientific notation (exponential notation) when using Floating Point data is selectable in the Panel Manager window. This is a global selection and applies to all Floating Point data display objects.

Adding a PID Faceplate Bar Meter Object to your Project

To add a PID Faceplate Bar Meter Object to your project:

  1. From the Object Menu or from the Object List, double-click on the PID Faceplate Bar Meter selection or click and drag the PID Faceplate Bar Meter selection to the work area.


PID Faceplate Trend Graph Object

PID Faceplate Trend Graph Object Description

PID stands for Proportional Integral Derivative. PID is an algorithm used by PLCs to control a process using a Control Loop. The PID Faceplate Trend Graph Object is used to monitor Control Loop assigned Tag Names continuously. This Object is much like a digital version of a chart recorder used for industrial processes.

Note: An option to suppress scientific notation (exponential notation) when using Floating Point data is selectable in the Panel Manager window. This is a global selection and applies to all Floating Point data display objects.

Adding a PID Faceplate Trend Graph Object to your Project

To add a PID Faceplate Trend Graph Object to your project:

  1. From the Object Menu or from the Object List, double-click on the PID Faceplate Trend Graph selection or click and drag the PID Faceplate Trend Graph selection to the work area.


Bitmap Button

Bitmap Button Object's General

Tab Description

The Bitmap Button Object is accessed from the Bitmap selection of the Object Menu or the Object List.

The General Tab of the Bitmap Button Object setup allows the user to enter and edit settings that affect the look and operation of the Bitmap Button. When the General Tab is selected, the setup window shown below will open.

Bitmap Button Object's General Tab Setup

  1. Label: Click on the checkbox to add a Label to the Bitmap Button.

  2. Label Text Field: Enter a Label with up to 40 characters. For multi-langauges, select the Language and then enter the Label text in the corresponding Language. The default name is Bitmap Button.

  3. Position: Click on either the Top or Bottom selection. This determines whether the Label, will be located on the Top or Bottom of the Bitmap Button.

  4. Text and Back Color: Click on the color box for either selection and choose a color from the Color Palette shown below. The Text Color selection determines the color of the Label Text. The Back Color selection determines the color of the background of the frame where the Label text is displayed.

  5. Text Format: Click on the down arrow [image] to select the size of the Label text. Click on the down arrow [image] of the Align box to set the justification of the text to left, center, or right. Click on the Font button [image] to select a different Font for the label text.

Note: When selecting a font different from the default font, the Use Default Font checkbox must be Deselected in order to select from the Font list.

  6. OFF/ON Bitmap: Import images to be used for the OFF and ON Bitmaps. Select from an image on your PC (Disk), the Symbol Library or from the Clipboard.

  7. Clear Button: Select Clear to remove a selection.

  8. Image Stretching - Lock Aspect Ratio: Click on this checkbox to maintain the Ratio of the graphic. This keeps the graphic proportional when changing the X or Y Axis. The object frame will change size, but the graphic will stay proportional. For best results keep both options selected.

  9. Image Stretching - Stretch to Fit: Click on this checkbox to stretch the graphic to fit the frame. For best results keep both options selected.

Note: The “Stretch to Fit” checkbox is a convenience for the programmer that comes with a significant (but avoidable) cost in terms of CPU resources. When possible, use a graphics program to render the bitmap to the desired fit and save the bitmap file. Then use the revised bitmap file in the object in C-more without using the Stretch to Fit option.

  10. Transparent: Use this feature to select a colored/shaded area of the Bitmap to make it Transparent so the screen background is visible.

Note: Transparency can be effective in your project, but it also has a significant cost in terms of CPU resources and noticeably affects screen update rates.

  11. Back Color and Align: Click on the color box and choose a color from the Color Palette shown above. This will fill the Background of the object frame with the selected color. Click on the down arrow [image] of the Align box to set the justification of the text to left, center, or right.

  12. Button and Indicator Tags: Click on the down arrow [image] to select a Tag Name or use the same (recommended if using internal tags), or by using different Tag Names, the PLC can be programmed to confirm the button signal was received.

  13. Object Type: The Object Type option allows the user to choose between five types of operation for the Bitmap Button. The five choices are:

  • Toggle: The Toggle choice will Toggle the Bitmap Button operation between ON and OFF every time the Bitmap Button is selected (pressed).
  • Momentary On: This selection causes the Bitmap Button to be ON while the Bitmap Button is pressed. As soon as the button is released it returns to the OFF state.
  • Momentary Off: This selection causes the Bitmap Button to be OFF while the Bitmap Button is pressed. As soon as the button is released it returns to the ON state.
  • Set On: This selection causes the Bitmap Button to be set to the ON state when the Bitmap Button is pressed. Once it is set to ON it remains ON until a separate device, such as another Bitmap Button or signal from the PLC turns it OFF.
  • Set Off: This selection causes the Bitmap Button to be set to the OFF state when the Bitmap Button is pressed. Once it is set to OFF it remains OFF until a separate device, such as another Bitmap Button or signal from the PLC turns it ON.


Static Bitmap

The Static Bitmap Setup Window - General Tab

The Static Bitmap Object is accessed from the Bitmap selection of the Object Menu or the Object List.

The General Tab of the Static Bitmap Object setup allows the user to enter and edit settings that affect the look and operation of the Static Bitmap. When the General Tab is selected, the setup window shown below will open.

Setting Up the General Tab Option

To configure the General Tab of the Static Bitmap shown above, use the information below as reference:

  1. Image Options: Import an Image from your PC (Disk), the Symbol Library or from the Clipboard. Select Clear to remove a selection.

  2. Lock Aspect Ratio: Click on this checkbox to maintain the Ratio of the Graphic. This keeps the Graphic proportional when changing the X or Y Axis size. The Object Frame will change size, but the graphic will stay proportional.

  3. Stretch to Fit: Click on this checkbox to Stretch the Graphic to Fit the Frame.

Note: The “Stretch to Fit” checkbox is a convenience for the programmer that comes with a significant (but avoidable) cost in terms of CPU resources. When possible, use a graphics program to render the bitmap to the desired fit and save the bitmap file. Then use the revised bitmap file in the object in C-more without using the Stretch to Fit option.

  4. Transparent: Use this feature to select a colored/shaded area of the Bitmap to make Transparent so the screen Background is visible. More information available on the Set Transparent Color topic.

Note: Transparency can be effective in your project, but it also has a significant cost in terms of CPU resources and noticeably affects screen update rates.

  5. Back Color: Click on the Color box and choose a Color from the Color Palette shown below. This will fill the Background Color of the Object Frame.

  6. Align: Click on the down arrow [image] of the Align box to set the justification of the text to left, center, or right.

  7. Angle: Click on the UP or DOWN Arrows [image] to adjust the Static Bitmap Angle by Degrees. The Object will rotate in a clockwise direction with the center of the Object as the axis.


Dynamic Bitmap

The Dynamic Bitmap Setup Window - General Tab

The DynamicBitmap Object is accessed from the Bitmap selection of the Object Menu or the Object List.

The General Tab of the Dynamic Bitmap Object setup allows the user to enter and edit settings that affect the look and operation of the Dynamic Bitmap. When the General Tab is selected, the setup window shown below will open.

Setting Up the General Tab Option

  1. Label: Click on the checkbox to add a Label to the Dynamic Bitmap.

  2. Label Text Field: Enter a Label with up to 40 characters. For multi-languages, select the Language and then enter the Label text in the corresponding language. The default name is Dynamic Bitmap.

  3. Position: Click on either the Top or Bottom selection. This determines whether the Label, will be located on the Top or Bottom of the Dynamic Bitmap.

  4. Text and Back Color: Click on the color box for either selection and choose a color from the Color Palette as shown below.

The Text Color selection determines the color of the Label Text. The Back Color selection determines the color of the background of the frame where the Label text is displayed.

  5. Text Format: Click on the down arrow [image] to select the size of the Label text. Click on the down arrow [image] of the Align box to set the justification of the text to left, center, or right. Click on the Font button [image] to select a different Font for the label text.

Note: To make Font changes, the Use Default Font must be de-selected in order to be able to select from the Font list.

  6. OFF/ON Bitmap: Import images to be used for the OFF and ON Bitmaps. Select from an image on your PC (Disk), the Symbol Library or from the Clipboard.

  7. Clear Button: The Clear button clears any selections made.

  8. Lock Aspect Ratio: Click on this checkbox to maintain the ratio of the graphic. This keeps the graphic proportional when changing the X or Y Axis. The object frame will change size, but the graphic will stay proportional.

  9. Stretch to Fit: Click on this checkbox to stretch the graphic to fit the frame.

Note: The “Stretch to Fit” checkbox is a convenience for the programmer that comes with a significant (but avoidable) cost in terms of CPU resources. When possible, use a graphics program to render the bitmap to the desired fit and save the bitmap file. Then use the revised bitmap file in the object in C-more without using the Stretch to Fit option.

  10. Transparent: Use this feature to select a color/shaded area of the Bitmap to make it transparent so the screen background is visible.

Note: Transparency can be effective in your project, but it also has a significant cost in terms of CPU resources and noticeably affects screen update rates.

  11. Tag Names: Click on the down arrow [image] to select a Tag Name or use the Browser button [image] to add a Tag Name. From this database you may select a Tag Name and add or edit a Tag Name. To learn more, click on the green Tag Name Database text.

  12. Back Color: The Back Color selection determines the color of the background of the frame where the Label text is displayed.

  13. Align: Click on the down arrow [image] of the Align box to set the justification of the text to left, center, or right.


Multi-State Bitmap Object

Multi-State Bitmap Object Description

The Multi-State Bitmap Object is used to display a Frame with Bitmap Images. This Object includes an Image Tab where the user can enter Image Selections configured to display according to the assigned Tag Names or Bit Numbers.

Adding a Multi-State Bitmap Object to your Project

From the Bitmap selection of the Object Menu or from the Object List, double-click on the Multi-State Bitmap selection or click and drag the Multi-State Bitmap selection to the work area.

Image: Click to select whether the Images are displayed according to a Bit Number or a Message Number. The selection here will be reflected on the image setup tab.

Data Format: These selections are only active if Bit Number is selected for Image.

Bit Number would be selected for an image to be displayed when a specific Input is activated. For example, a set of access/occupancy switches that are assigned bits of a word in PLC memory (the Tag Name address), will display a unique image based on where someone enters the facility. The bit that is active in the Tag Name will select the corresponding image. Note that the Tag Name must only have one active bit. If the Tag Name value has more than one active bit then the Non-Programmed Bitmap Action will display.

Image Number would be selected if there is no convenient correlation to bit of word. For example, an image will display based on unrelated triggers; the PLC identifies which image is appropriate and loads the corresponding value to the Tag Name address. This value will select/determine the corresponding image in the object. If the Tag Name value does not correspond to an image identification number (as configured on the Image Tab) then the Non-Programmed Image Action will display.

Note that after the images have been configured, changing from Bit Number to Image Number (on the General Tab) will CHANGE the image identification number (on the Image Tab) and changing from Image Number to Bit Number will DELETE Image Numbers that don't correspond to the value of the bit of word.

The quantity of messages is determined by the Bit/Image Configuration and the Tag Data type (for Bit Number,) but may not exceed 255.

Note: The Stretch to Fit checkbox is a convenience for the programmer that comes with a significant (but avoidable) cost in terms of CPU resources. When possible, use a graphics program to render the bitmap to the desired fit and save the bitmap file. Then use the revised bitmap file in the object in C-more without using the Stretch to Fit button.

Note: Transparency can be effective in your project, but also has a significant cost in terms of CPU resources and noticeably affects screen update rates.


Image Tab

Click on the Image Tab to select it. The Image Tab allows the user to enter and edit Images that will be used for display with the Muti-State Bitmap.

The Multi-State Bitmap Object is accessed from the Bitmap selection of the Object Menu or the Object List.

When the Image Tab is selected, the setup window shown below opens.

Setting Up the Image Tab Images

  1. Add New: Click on this selection to setup a new Image. When the Add New button is selected, a popup window opens displaying a selection of Images shown below.

Clicking on the down arrow [image] to the right of the Add New button allows you to select where to get the Image from shown below.

Once the Image is selected, it is placed on the table's next available line and the fields available to configure the selected Image become active on the right side of the window. To begin adding a New Image complete the fields as follows:

    1. Bit #: Click on the down arrow [image] to the right side of the field to select one of the 17 choices available. Click on your choice and continue to next step.

    2. Image: Click on the Disk, Symbol, or Clipboard buttons to change the selected Image.

    3. Lock Aspect Ratio: Click on this checkbox to maintain the Ratio of the graphic when it's resized.

    4. Stretch to Fit: Click on this checkbox to Stretch the graphic to fit the frame.

Note: The “Stretch to Fit” checkbox is a convenience for the programmer that comes with a significant (but avoidable) cost in terms of CPU resources. When possible, use a graphics program to render the bitmap to the desired fit and save the bitmap file. Then use the revised bitmap file in the object in C-more without using the Stretch to Fit option.

    5. Transparent: Click on the Transparent checkbox to activate this selection. The Transparent selection allows you to set a Transparent color for the Dynamic Bitmap Images.

Note: Transparency can be effective in your project, but it also has a significant cost in terms of CPU resources and noticeably affects screen update rates.

    6. Back Color: Click on the color box for this selection. A window opens with a Color Palette of available color choices shown below. To select a color from this palette, click on the desired color. The Back Color selection determines the color of the background of the frame where the Multi-State Bitmap is displayed.

    7. Align: Click on the down arrow [image] of the Align box to set the justification of the text to left, center, or right.

    8. Note: click on the field to type a Note about this Image.

  2. Delete: Click on this button to Delete an existing Image.

  3. Up and Down Arrows: Clicking on the Up or Down Arrows will scroll up or down the list of Images in the table.


Animation Bitmap Object

Animation Bitmap Object Description

The Animation Bitmap offers the ability to display a Bitmap graphic on any screen and use the settings to animate the Object and cause the Bitmap to move, resize itself, or rotate. To learn more about the Animation Bitmap use and setup, look at the information provided below.

Adding an Animation Bitmap Object to your Project

To add a Animation Bitmap Object to your project:

  1. From the Bitmap selection of the Object Menu or the Object List, double-click on the Animation Bitmap selection or click and drag the Animation Bitmap selection to the work area.

Any available Animation Bitmap Object styles are displayed on the Parts List window. If selecting a Animation Bitmap from the Parts List window, click and hold on the desired Animation Bitmap, drag it to the Work Area and release the mouse button.

  2. Once a Animation Bitmap is selected using either method described above, the Animation Bitmap setup window shown below opens.

Note: The “Stretch to Fit” checkbox is a convenience for the programmer that comes with a significant (but avoidable) cost in terms of CPU resources. When possible, use a graphics program to render the bitmap to the desired fit and save the bitmap file. Then use the revised bitmap file in the object in C-more without using the Stretch to Fit option.

Note: Transparency can be effective in your project, but it also has a significant cost in terms of CPU resources and noticeably affects screen update rates.

Click on the Transparent checkbox to activate this selection. The Transparent selection allows you to set a Transparent Color for the Animation Bitmap Images. To set a Transparent Color on a bitmap, click on the Set Transparent Color button. This opens the Select Transparent Color window shown below.

From this window we can see and do the following:

  1. The window displays the Image selected for this object.

  2. For this sample, click on the white stripe indicated on the figure above with "2".

  3. When you click on the white stripe, you will notice the Mask Color on "Item 3" changes to white, which was the color selected. This item only displays the color you selected and has no other function associated with it. If you clicked on the wrong color, you may click again on the desired color to make Transparent. The Mask Color will change to the selected color.

  4. Click on the OK button to accept the Transparent Color selection.

In essence, what you're doing is changing the selected Color to be Transparent. The figure shown below shows the same Image with the Transparent setting and without the Transparent setting.

Having the ability to set a Color to Transparent allows Objects placed under another Object with the Transparent setting to be visible through the Transparent portion of the Image. One example of using a Transparent setting is to show a Tank's Level. Using the same Image shown above set to Transparent, we can place a Bar Meter Object behind the Image to display a Tank Level. The figure shown below provides a example of what this combination would look like.


Call Alarm Screen Object

Call Alarm Screen Object Description

The Call Alarm Screen Object consists of a Pushbutton that when pressed will open a popup window that displays a list of any configured Alarm conditions that have occurred within the configured monitoring time frame. The Alarm Summary popup window will display details such as time, date, and messages that pertain to each specific Alarm.

This object is not configurable. The related object "Alarm List" is configurable. The Panel Manager setting "Alarm Screen Style" determines the look of this object.

Adding a Call Alarm Screen Object to your Project

To add an Call Alarm Screen Object to your project:

  1. From the Object Menu or from the Object List, click on the Call Alarm Screen selection or click and drag the Call Alarm Screen selection to the work area.

If the Default Alarm Screen option "Alarm Summary" is selected, pressing the object onscreen will display:

If the Default Alarm Screen option "Alarm Count" is selected, pressing the object onscreen will display:


Alarm List Object

Alarm List Object Description

The Alarm List Object includes a variety of options to customize the display of alarms as a screen, in addition to the alarm banner at the top of the screen that shows the active alarms. The look of this object is NOT affected by the Alarm Screen Style setting in Panel Manager.

The Alarms that display in this Object are configured in Event Manager.

Adding a Alarm List Object to your Project

To add a Alarm List Object to your project:

  1. From the Object Menu, place the cursor over Alarm and then select Alarm List or from the Object List, double-click on the Alarm List selection or click and drag the Alarm List selection to the work area.

  1. Auto-Expand Message Cell: This selection is a “special priority” setting that affects the Message Cell width in an individual row if that message is too wide for the configured cell width.

    If Auto-Expand Message Cell selection is NOT CHECKED, the Message Cell will show the number of characters set by the “Characters” setting on the General tab. The width of the Cell should be configured to fit the longest Alarm Message. Messages longer than the configured width will be truncated.

    If Auto-Expand Message Cell selection is CHECKED, the cells to the right of any individual Message Cell will be overwritten to display the message characters. This is useful when most Alarm Messages will fit in a narrower cell, but an occasional Alarm Message may be displayed that includes more characters.

  2. The “Clear All“ button Clears all alarm data in the panel. Filter options do not prevent all Alarms in the panel from being cleared. This note refers to the data display filter on the General Tab that is available for the Alarm Summary option in the Display Default Alarm Screen selection. If some filter is applied to not show All Alarms, the programmer must be aware that when the Operator presses the Clear All button, alarms will be cleared that don't display on this object. That is, CLEAR ALL clears the Alarm database affecting all alarm screens and all alarm views. CLEAR ALL isn't limited to the display on any single object.

  3. Icons that will display in the Confirm Status Icon column are:

= Confirmation Required

= Confirmed

The requirement for Confirmation of any Alarm is a setting in the Alarm Configuration in Event Manager.


Static Text Object

Static Text Object Description

The Static Text Object is used to display a Frame with a personalized Message of up to 500 characters. The Static Text Object can be continually displayed or can change visibility based on the status of an assigned Tag. It can be used for labels, instructions, warnings, etc.

Static Text Objects can be configured using a variety of colors and fonts. When the Static Text Object is selected, a setup window as shown below will open. To learn more about the Static Text Object, see the information provided below.

Adding a Static Text Object to your Project

To add a Static Text Object to your project, access Static Text using one of the following three methods:

  1. From the Text section of the Object Menu, click on the Static Text selection and then click on the work area location.

  2. From the Text section of the Object List, double-click on the Static Text selection or click and drag the Static Text selection to the work area.

  3. A list of pre-configured Static Text Object styles are displayed on the Parts List window. If selecting a Static Text from the Parts List window, click and hold on the desired Static Text, drag it to the Work Area and release the mouse button.

Once a Static Text is selected using one of the methods described above, the Static Text setup window shown below will open.

Note: Transparency can be effective in your project, but it also has a significant cost in terms of CPU resources and noticeably affects screen update rates.


Triggered Text Object

Triggered Text Object Description

The Triggered Text Object is used to display a Frame with a personalized Message. This Frame and Message can be placed on any screen and any location within the screen. The Object is always displayed like a sign but is configured to display only when prompted by an assigned Tag Name.

Triggered Texts may be edited to fit various colors and sizes. When the Triggered Text Object is selected, a setup window opens to allow the user to setup the Triggered Text Object as needed. To learn more about the Triggered Text Object use and setup, look at the information provided below.

Adding a Triggered Text Object to your Project

To add a Triggered Text Object to your project, access Triggered Text using one of the following three methods:

  1. From the Shape section of the Object Menu, click on the Triggered Text selection and then click on the Work Area location.

  2. From the Shape section of the Object List, double-click on the Triggered Text selection or click and drag the Triggered Text selection to the Work Area.

  3. A list of pre-configured Triggered Text Object styles are displayed on the Parts List window. If selecting a Triggered Text from the Parts List window, click and hold on the desired Triggered Text, drag it to the Work Area and release the mouse button.

Once a Triggered Text Object is selected using one of the methods described above, the Triggered Text setup window shown below opens.


Lookup Text

The Lookup Text Setup Window - General Tab

The Lookup Text Object is accessed from the Text selection of the Object Menu or the Object List.

The General Tab of the Lookup Text Object setup allows the user to enter and edit settings that affect the look and operation of the Lookup Text. When the General Tab is selected, the setup window shown below will open.

Setting Up the General Tab Option

The figure above shows the Lookup Text General Tab setup window. This tab offers the following setup features:

  1. Label: Click on the Label checkbox to add a Label to the Lookup Text Object and make the Label settings active.

  2. Label Field: Enter a Label with up to 40 characters. For multi-languages, select the Language and then enter the Label text in the corresponding language. The default name is Lookup Text.

  3. Position: Click on either the Top or Bottom selection. This determines whether the Label will be located on the Top or Bottom of the Lookup Text Object.

  4. Label and Back Color: Click on the Color box for either selection and choose a Color from the Color Palette shown below. The Text Color selection determines the Color of the Label text. The Back Color selection determines the Color of the background of the frame where the Label text is displayed.

  5. Label Format: Click on the down arrow [image] to select the size of the Lookup Text. Click on the down arrow [image] of the Align box to set the justification of the text to left, center, or right. Click on the Font button [image] to select a different Font for the Lookup Text. Please note that the text of the message itself is configured in the Message Database (item h).

Note: To make Font changes, the Use Default Font must be de-selected in order to be able to select from the Font list.

  6. Tag Name: Click on the down arrow [image] to select a Tag Name or use the Browser button [image] to add a Tag Name. Click on the green Tag Name Database text for more information.

  7. Align Message: Click on the down arrow [image] of the Align Message box to set the justification of the Message to left, center, or right.

  8. Message Database: Click on Message Database to open the Message Database window. From this window you can add, edit, and delete Messages. The font format of the message text is configured in the Message Database. Click on the green Message Database text for more information.


Dynamic Text Object

Dynamic Text is used to display text that is retrieved from a tag name assigned to registers in the PLC that contain ASCII data.

The Dynamic Text Setup Window - General Tab

The Dynamic Text Object is accessed from the Text selection of the Object Menu or the Object List.

The General Tab of the Dynamic Text Object setup allows the user to enter and edit settings that affect the look and operation of the Dynamic Text. When the General Tab is selected, the setup window shown below will open.

Setting Up the General Tab Option

The figure above shows the Dynamic Text General Tab setup window. This tab offers the following setup features:

  1. Label: Click on the checkbox to add a Label to the Dynamic Text.

  2. Text Field: Enter a Label with up to 40 characters. For multi-languages, select the Language and then enter the Label text in the corresponding Language. The default name is Dynamic Text.

  3. Position: Click on either the Top or Bottom selection. This determines whether the Label will be located on the Top or Bottom of the Pushbutton. The default setting is Top.

  4. Text and Back Color: Click on the color box for either selection and choose a color from the color palette window shown below. The Text Color selection determines the color of the Label text. The Back Color selection determines the color of the background of the frame where the Label text is displayed.

  5. Text Format: Click on the down arrow to select the size of the Dynamic Text. Click on the down arrow [image] of the Align box to set the justification of the text to left, center, or right. Click on the Font button [image] to select a different Font for the Dynamic Text.

Note: The Use Default Font checkbox must be deselected in order to activate and select from the Font list.

  6. Blink: Click on either checkbox to cause the Text, Background, or both to Blink.

  7. Trigger Tag: Click on the down arrow [image] to select a Tag Name or use the Browser button [image] to add a Tag Name.

  8. Text is Visible When Address Value is: This function is based on the Tag Name Data Type. If a discrete tag is assigned, then select either ON or OFF. If a Variable Data Type is assigned, select the operand type (=, <, >, etc.) and enter a value within the variable range (i.e., BCD16 data type range is 0 – 9999).

  9. String Tag: Assign the Tag that stores the first two characters of the string. When configuring the Tag, assign the total number of characters. Click on the down arrow [image] to select a Tag Name or use the Browser button [image] to add a Tag Name.

Note: Each Tag stores two characters, so if configuring 20 characters, then 10 consecutive Tags will be used.

  10. Byte Swap: The byte swap check box allows characters to display in the proper order when the configuration of memory registers in the PLC would otherwise cause the characters to display out of order.


Bitmap Text Object

Bitmap Text Object Description

The advantage to using a Bitmap Text Object is that fonts may be used that won't increase the size of the project. For example, if a few characters from a unique font will be used, the Bitmap Text Object can display the characters without downloading the entire font to the panel.

Note: Transparency can be effective in your project, but it also has a significant cost in terms of CPU resources and noticeably affects screen update rates.


Text Entry Object

Text Entry Object Description

The Text Entry Object is used to enter a Text from your Panel to a PLC Register. There are two ways (or Object Styles) in which you can enter this ASCII String Text:

  • Style 1: Opens a Text Keypad when selected which allows the user to enter a Text message that will be written to the assigned Tag Name.
  • Style 2: Will require a USB input device connected to Port A of the panel. Most HID Standard USB key boards, card scanners and barcode readers may be used with this style. The Text Entry Object must be selected on the panel for data to be accepted from the device. The string must have a carriage return at the end of the string OR the user much touch this object on the panel screen when finished to enter the data.

Adding a Text Entry Object to your Project

To add a Text Entry Object to your project, access Text Entry using one of the following three methods:

  1. From the Text section of the Object Menu, click on the Text Entry selection and then click on the work area location.

  2. From the Text section of the Object List, double-click on the Text Entry selection or click and drag the Text Entry selection to the work area.

  3. A list of pre-configured Text Entry Object styles are displayed on the Parts List window. If selecting a Text Entry Object from the Parts List window, click and hold on the desired Text Entry Object, drag it to the Work Area and release the mouse button.

Once a Text Entry Object is selected using one of the methods described above, the Text Entry setup window shown below opens.


Clock Objects

The Clock Objects, Analog Clock and Digital Clock, allow the programmer to display date and time information in the project.

These objects have a Visibility option. Visibility can be effective in your project, but it also has a significant cost in terms of CPU resources and noticeably affects screen update rates.


Screen Change Pushbutton

The Screen Change Pushbutton Setup Window - General Tab

The Screen ChangePushbutton Object is accessed from the Control selection of the Object Menu or the Object List.

The General Tab of the Screen Change Pushbutton Object setup allows the user to enter and edit settings that affect the look and operation of the Screen Change Pushbutton. When the General Tab is selected, the setup window shown below opens.

Setting Up the General Tab Option

The figure above shows the Screen Change Pushbutton General Tab setup window. This tab offers the following setup features:

  1. Label: Click on this checkbox to add a Label to this Screen Change Pushbutton. When unchecked the Label options are inactive and the Object will have no label. When checked, the Label options are active.

  2. Label Text Field: Click on this text field to type a preferred name for each specific Screen Change Pushbutton Object added to this project/screen. The default name is Screen Change Pushbutton. This also applies to the Text field.

  3. Position: Click on either the Top or Bottom selection. This determines whether the Label when used, will be located on the Top or Bottom of the Screen Change Pushbutton.

  4. Text and Back Color: Click on the Color box for either selection and choose a Color from the Color Palette shown below. The Text Color selection determines the color of the Label Text. The Back Color selection determines the color of the background of the frame where the Label text is displayed. Where the Blink option is available, click on the checkbox to blink the Text or Background.

  5. Text Format: Click on the down arrow [image] to select the size of the Label text. Click on the down arrow [image] of the Align box to set the justification of the text to left, center, or right. Click on the Font button [image] to select a different Font for the label text.

Note: To make Font changes, the Use Default Font must be de-selected in order to be able to select from the Font list.

  6. Object Style: The Object Style option allows the user to select the preferred style to use for this Object.

  7. Go To: Click on the checkbox to select one of the choices for screens to go to when this pushbutton is pressed. If the Other Screen checkbox is selected, click on the up/down arrows [image] to select the screen to go to when the pushbutton is pressed.


Screen Selector Object

Screen Selector Object Description

The Screen Selector object is used to access a specified screen on the panel by selecting the screen number from a static or popup keypad.

Screen Selectors may be edited to various colors and sizes. To learn more about the Screen Selector Object, see the information provided below.

Adding a Screen Selector Object

To add a Screen Selector Object to your project:

  1. From the Control selections of the Object Menu, click on the Screen Selector selection and then click on the work area location. Or from the Control selections of the Object List, double-click on the Screen Selector selection or click and drag the Screen Selector selection to the work area.

A list of pre-configured Screen Selector Object styles are displayed on the Parts List window. If selecting a Screen Selector from the Parts List window, click and hold on the desired Screen Selector, drag it to the Work Area and release the mouse button.

  2. Once a Screen Selector is selected using either method described above, the Screen Selector setup window shown below will open.

Control Buttons: Click on the checkboxes to include a Next and a Previous button on this object. The Next and Preview buttons only work when you have more screens than the Number of Buttons selected. These buttons shift to the next set of screen entries available. See below for a series of seven screens (numbered 1-7) shown on a button that holds three Screen Selectors at a time. Pressing the arrow will move to the Next set in the series.

Option - Rollover

The Rollover Option is useful if fewer buttons will display than the quantity of screens that the buttons will select. In this case, the Next Screen and/or Previous Screen buttons will allow the values of the display buttons to scroll up or down to make all selectable screens available. The Rollover Option will allow the Next Screen button to cycle directly from the highest selectable screens to the lowest selectable screens; the Rollover Option likewise allows the Previous Screen button to cycle from the lowest available screens directly to the highest available screens.


Popup Window Frame Object

Popup Window Frame Object

The Popup Window Frame Object is available from the Control Category of the Object List window. This Object is setup to display a pre-selected screen when a Tag Name assigned to the screen is activated. Popup Window Frames may be edited to various colors and sizes. To learn more about the Popup Window Frame Object use and setup, look at the information provided below.

Adding a Popup Window Frame Object

To Add a Popup Window Frame Object to your project:

  1. From the Object Menu or from the Object List, double-click on the Popup Window Frame selection or click and drag the Popup Window Frame selection to the work area.

Any available Popup Window Frame Object styles are displayed on the Parts List window. If selecting a Popup Window Frame from the Parts List window, click and hold on the desired Popup Window Frame, drag it to the Work Area and release the mouse button.

  2. Once the Popup Window Frame is selected using either method described above, the Popup Window Frame setup window shown below opens.


Increment/Decrement Hour Object

Increment/Decrement Hour Object Description

The Increment/Decrement Hour Object is used to allow the user to adjust the hour of the internal clock Up or Down according to the setup, by pressing this object button. This button can be modified to various sizes and colors.

Adding an Increment/Decrement Hour Object to your Project

To add an Increment/Decrement Hour Object to your project:

  1. From the Object Menu or from the Object List, double-click on the Increment/Decrement Hour selection or click and drag the Increment/Decrement Hour selection to the work area.

Any available Increment/Decrement Hour Objects are displayed on the Parts List window. If selecting a Increment/Decrement Hour from the Parts List window, click and hold on the desired Increment/Decrement Hour, drag it to the Work Area and release the mouse button.

  2. Once an Increment/Decrement Hour is selected using either method described above, the Increment/Decrement Hour setup window shown below opens.


Activate Screen Saver Object

Activate Screen Saver Object Description

The Activate Screen Saver Object is used to allow the user to initiate the Screen Saver feature by simply pressing this object's button. This button can be modified to various sizes and colors.

  • The Screen Saver will be turned off and the panel screen will display:
  • When the panel touchscreen is touched.
  • When the screen is clicked by Remote.
  • When the Alarm Event of the Event Manager occurs. (Only when the Display setting of the Alarm Event is checked).
  • When there is a screen change by the PLC.
  • When an Error such as a Communication Error occurs.

Adding an Activate Screen Saver Object to your Project

To add an Activate Screen Saver Object to your project:

  1. From the Object Menu or from the Object List, double-click on the Activate Screen Saver selection or click and drag the Activate Screen Saver selection to the work area.

Any available Activate Screen Saver Objects are displayed on the Parts List window. If selecting a Activate Screen Saver from the Parts List window, click and hold on the desired Activate Screen Saver, drag it to the Work Area and release the mouse button.

  2. Once an Activate Screen Saver is selected using either method described above, the Activate Screen Saver setup window shown below opens.


Adjust Display Object

Adjust Display Object Description

The Adjust Display Object is used to adjust the Brightness of the panel screen. An Up arrow Increases the Brightness and a Down arrow Decreases the Brightness. This button can be modified to various sizes and colors.

Adding an Adjust Display Object to your Project

To add an Adjust Display Object to your project:

  1. From the Object Menu, click on System and select Adjust Display and then click on the work area location. Or from the Object List, double-click on the Adjust Display selection (under System) or click and drag the Adjust Display selection to the work area.

A list of pre-configured Adjust Display Objects are displayed on the Parts List window. If selecting Adjust Display from the Parts List window, click and hold on the desired Adjust Display, drag it to the Work Area and release the mouse button.

  2. Once an Adjust Display is selected using either method described above, the Adjust Display setup window shown below will open.


Set Language

The Set Language Setup Window - General Tab

The Set Language Object is accessed from the System selection of the Object Menu or the Object List.

The General Tab of the Set Language Object setup allows the user to enter and edit settings that affect the look and operation of the Set Language. When the General Tab is selected, the setup window shown below opens.

Setting Up the General Tab Option

The figure above shows the Screen Selector General Tab setup window. This tab offers the following setup features:

  1. Label: Click on this check box to add a Label to this Screen Selector. When unchecked the Label options are inactive and the Object will have no label. When checked, the Label options are active.

  2. Label Text Field: Click on this text field to type a preferred name for each specific Set Language Object added to this project/screen. The default name is SET LANGUAGE.

  3. Position: Click on either the Top or Bottom selection. This determines whether the Label when used, will be located on the Top or Bottom of the Screen Selector.

  4. Text and Back Color: Click on the color box for either of these two selections. A window opens with a Color Palette of available color choices shown below. To select a color from this palette, click on the desired Color. The Text Color selection determines the color of the Label text. The Back Color selection determines the color of the background of the frame where the Label text is displayed. The same applies for the Pushbutton Text, Active Screen, Inactive Screen, and the Popup Button Text.

  5. Blink: Click on the Blink option to select it. To select, click on the check box to cause the Text, Background or Both to Blink when active.

  6. Text Format: Click on the down arrow [image] to select the size of the Label text. Click on the down arrow [image] of the Align box to set the justification of the text to left, center, or right. Click on the Font button [image] to select a different Font for the label text.

Note: To make Font changes, the Use Default Font must be de-selected in order to be able to select from the Font list.

  7. Panel Language: Click on the down arrow to select the Language that this button will activate when pressed. Languages must be setup already on the Language Setup.

  8. Object Style: The Object Style option allows the user to select the preferred style to use for this Object.


Volume Control Object

The Volume Control Object is used to allow the user to adjust the Volume of the panel's sound by pressing a button or pressing on Increase or Decrease Arrows. This object can be modified to various sizes and colors.

Adding a Volume Control Object to your Project

To add a Volume Control Object to your project, access Volume Control using one of the following three methods:

  1. From the System section of the Object Menu, click on the Volume Control selection and then click on the Work Area location.

  2. From the System section of the Object List, double-click on the Volume Control selection or click and drag the Volume Control selection to the Work Area.

  3. A list of pre-configured Volume Control Object styles are displayed on the Parts List window. If selecting a Volume Control from the Parts List window, click and hold on the desired Volume Control, drag it to the Work Area and release the mouse button.

Once a Volume Control Object is selected using one of the methods described above, the Volume Control setup window shown below opens.


Clock Source

Clock Source Description

The Clock Source selection is available under the Setup drop down menu shown below and located on the Main Menu. The Clock Source selection allows the user to determine the Source from where the panel clock will update the Time and Date.

When the Clock Source is selected the Clock Source window shown below opens.

The following are the settings available for the Clock Source window:

  1. External: When External Clock Source is selected, the tags in the "Read From PLC Tags" list will write their values to the SYS DATE xx and SYS TIME xx tags in the C-moreTouch Panel. The SYS DATE xx and SYS TIME xx tags then should be used in the project to trigger events.
  2. Internal: When Internal Clock is selected, the Panel will retain the current time from its built-in real-time clock. If Tag Names are entered in the "Write to PLC Tags" fields, the C-moreTouch Panel will write the values from its built-in real time clock to those tags.

Note: These internal tags cannot be used to write the time to the CLICK tags available to change Date/Time from an external device. Refer to the CLICK help files for details on how to set Date/Time from an external device.

  3. The Date Tags and Time Tags define the PLC addresses to which the Panel Date and Time will be written or from which the Date and Time will be read.
  4. Synchronize Schedule: For External clock source, if Synchronize Schedule is NOT checked, the tags are constantly read as a background task.

    For Internal clock source, if Synchronize Schedule is NOT checked, each tag will be written to the PLC whenever it changes (the second tag written each second, the minute tag written once per minute etc).

    If the Synchronize Schedule box is checked, ALL tags are written or read at the configured schedule (once per day or once per week).

Note: ALL tags are written when C-more is initially powered, and after a project is transferred to the panel, in addition to the Synchronize schedule or the individual tag updates.

Data Types for Date and Time Tags
  • Signed int 16
  • Signed int 32
  • Unsigned int 16
  • Unsigned int 32
  • BCD int 16
  • BCD int 32

Day of the Week Tag Values

1 = Sunday

2 = Monday

3 = Tuesday

4 = Wednesday

5 = Thursday

6 = Friday

7 = Saturday


Alarm Log Protection

Alarm Log Protection Description

The Alarm Log Protection selection is located under the Setup drop down menu of the Main Menu.

The Alarm Log Protection allows the programmer to set a Password requirement to be able to enter a Clear or Clear All when an Alarm is displayed on the Alarm Count window and enter a Clear All from the Call Alarm Screen window. When the Alarm Log Protection is selected, the Alarm Log Protection window shown below opens.

The figure above shows the Alarm Log Protection window with the setup features described below labeled:

  1. Password Protect: Click on the checkbox to activate the Password Protection settings.
  2. Password Groups: If the Master Password is unchecked, click on the checkbox for all those Groups that will require Password assignment.
  3. Configure Password: Click on this button to open the Configure Password window shown below. This window allows you to assign a name to a group and specify a Password for each group This window also allows the user to assign a Tag Name that will activate the Alarm window for a specific group.


Configure Password

Configure Passwords Window Setup

The Configure Password selection can be accessed from the Password Tab by clicking on the Configure Password button [image]. Or from the Setup drop down menu shown below.

When selected, the Configure Password window shown below opens. From this window the user can Setup Password Configurations for use with Password protecting Objects and Screens.

The Configure Password shown above offers the following setup features:

  1. Group Name: There are Eight Group Names available for configuration. Group Names are set by default but can be renamed by clicking on the respective field and editing the default Name. The Group Name can be up to 20 characters.
  2. Static: Click on this selection to enter a Numeric value to be used as the Password for the specific Group Name on the left. A Static password can be up to 10 characters.
  3. Tag Name: If Tag Name is selected, then the Password is the data contained in the Internal Tag or PLC Address associated with the Tag Name.

Once selected, click on the down arrow [image] to the right of this field to assign a Tag Name. Clicking on the Browser button [image] to the right of the Tag Name field down arrow, opens the existing Tag Name Database for this project. From this database you may select a Tag Name and add or edit a Tag Name. To learn more, click on the green Tag Name Database text.

Tag Data Types
  • BCD int 16
  • BCD int 32
  • Unsigned int 16
  • Unsigned int 32
  • Signed int 16
  • Signed int 32


System Screen Password Setup

System Setup Screens with No Password

If no Password is enabled for the System Setup Screens, then pressing the OK button in the

Warning dialog box will bring up the panel's Main Menu as shown below. You can then proceed to the

other System Setup Screens.

Note: If the password system tag SYS SYSTEMSCREENPW is enabled, as described in the procedure below, then the Enter Security Code keypad shown below will be displayed. Entering the correct password code will bring up the Main Menu system setup screen. If the wrong password code is entered, the keypad clears the value entered from it's display and stays present until the correct value is entered or the Cancel key is pressed.

System Setup Screens: Enable Password with Software

Under the C-more Programming Software’s Navigation window, select the Function Tab, then select the Event Manager’s Database function shown below:

This will open the Event Manager Database window shown below. From this window, click on the Add button to add an Event to the Database that will be used to enable the System Screen Password.

The Event Add dialog box will be displayed as shown next:

  1. Click on the Tag Name pull down menu and select the internal System Bit On (SYS BIT ON) Tag as shown above. This will force the Tag event type to be continuously active.

  2. Click on the Event Name field and type “System Screen PW” for record keeping. This is optional.

  3. In the Action box, click once on the displayed 01-Alarm (Item d) under the Sequence List to highlight 01-Alarm. Then click the Delete Action button to remove the 01-Alarm.

  4. The Action box should now be blank.

  5. Click on the Add Action button. This will bring up the Add Action dialog box as shown below:

  6. Click on the Tag icon to select the Action. A Tag action item is now displayed on the Sequence List and the Tag action setup window shown below is displayed.

  7. Click on the Tag Name down arrow [image] to open the Tag Name list and select SYS SYSTEMSCREENPW from the list.

  8. Enter a numeric value into the Value field, such as 777. This value becomes the Password code to access the System Setup Screen’s Main Menu.

  9. The Data Type BCD is automatically displayed on this field and should not be changed.

Click the Add button in the Event Add dialog box and then the Close button to return to the Event Manager Database. You now will see that the first event in the database is for the System Screen Password and it is enabled as shown below.


Password Tab

Password Tab Description

The Password Tab setup allows the user to configure a Password requirement when an Object is pressed. This allows the programmer to setup an Object that can only be used by authorized individuals. When the Password Tab is selected, the setup window shown below opens.

Select the groups who will be allowed to enter data when their Password is entered correctly. See the Configure Password topic for information on configuring these groups.

Note: Some Style Options do not support the Password Option. These limitations are identified on the Password Tab for each Object.


Save Project

Save Project Description

The Save Project selection is available using three methods:

  1. Selecting Save Project from the File Menu located on the Main Menu and shown below.

  2. Clicking the Save Project Icon [image] on the File Toolbar.

  3. Using the short cut keys "Ctrl+S".

When the user clicks on Save Project, the existing project will be saved with its current file name. If the project file is new and has never been Saved, the Save Project As window will open.


Save Project as Protected

Save Project as Protected Description

The Save As Protected option is intended primarily to allow the creator of a project to protect the intellectual property the project represents. The protected project can not be Read From Panel.

Note that to be most secure, the project should be written to panel memory and NOT an SD card in the SD1 slot. If the project is written to the panel when a card in installed in the SD1 slot, the SD card may be copied and installed on another panel.

The Save Project As Protected selection is available from the File Menu located on the Main Menu.

When the user clicks on the Save Project As Protected selection, a confirmation window like the one shown below pops up to confirm that you want to proceed with this action.

This window warns the user that if the project is Saved as a protected project, the project file can only be used to transfer to panel and cannot be edited. The project will not be accessible using the C-more Programming Software to allow editing.

Note: When creating a Protected Project file, the user should make an editable project file to store for backup or future authorized modifications. Once this file is created then proceed to create the protected file.


Project Transfer

The Project Transfer window allows the user to create a compiled project file ready to be transferred to a panel. The compiled project file can be written directly to the panel from the software, or written to USB memory or an SD card to Restore to a panel in the field.

The most important thing to realize about Project Transfer is that it creates a compiled version of the project file as needed by the panel. The compiled project file ready to be loaded to the panel has a .eas file extension. This is different than the working project file created by the File > Save and File > Save As functions with a .eap file extension.

Note: This compiled project file has file extension .eas9 when saved to USB or SD memory. A project file saved for editing in the software has file extension .eap9. A file saved as a .eap9 file can NOT be RESTORED to a panel in the field.

Accessing the Project Transfer Window

Select Project Transfer from the File Menu on the Main Menu as shown below.

Caution: When transferring a Project to the Panel, any existing project in the panel WILL BE OVERWRITTEN. To Save the existing Project before transferring a new one, exit the current Project and go to the Start a Project selection, followed by Read from Panel.

  1. Select Panel to transfer the compiled project directly to a panel. Select External Memory Device to write the compiled project to USB memory or an SD card. The USB or SD card may be carried to a panel in the field and the project can be Restored to the panel from its System Screen.
  2. Connect to the panel or select the location to store the compiled file.

  3. Select the Transfer button to start the project transfer to the panel or external device. If the Project Panel Type does not match the Target Panel Type, the user will be prompted to make a few decisions on how these differences will be handled. See the Project Resolution Difference topic for more information.

  4. Memory Usage information is summarized. Refer to the Project Memory topic for more information.

In some cases, project storage memory available may be increased by transferring the project to SD1. This allows the Fonts and Recipes to be stored separately from the project runtime.

Caution: An .eap9 file created by File > Save or File > Save As can’t be loaded directly to the panel.

Two facets of the compiled project file are important to consider:

  • Project Storage Memory size
  • Project Runtime memory size.

Project Storage Memory may be increased by storing the project on an SD card in the SD1 slot. Refer to the Project Storage/Boot Location topic for more details.

If a project is written to a panel using the Restore feature on the System Screen and an SD card is in the SD1 slot, this will be a selectable option during the Restore process.

In particular, if fonts and recipes are responsible for a significant portion of the project size, the benefits of using an SD card for additional memory may be realized. Each font used in a project (except for Bitmap Text objects) is downloaded in its entirety. Some fonts are surprisingly large.

Note: If you transfer a project to SD1 and then remove the SD card, you will effectively remove the project; the next power cycle of the panel will show “No User Program” message on the screen. You will have to re-transfer the project to the panel.

Project Runtime Memory is limited to 26MB for the 6, 8, and 10 inch panels or 82MB for the 12 and 15 inch panels. Often, bitmap objects and large trend objects result in the largest Project Runtime files. The Runtime Memory tool available from the Project Transfer window and the Tool menu provides details on the Project Runtime Memory requirements.

Internal Flash

USB

SD1

SD2

Logs

No

Yes

Yes

Yes

Runtime Project

Yes

No

Yes

No

Backup To

No

Yes

Yes

Yes

Restore From

No

Yes

Yes

Yes


Simulation

The Simulation feature allows the user to Simulate a project before it is transferred to a panel. The objects in the project can have Internal or External Tag Names. When selecting Simulate Project, a simulation window is displayed and the objects can be tested by clicking them with a mouse or by entering a value in the Value column of the Tag List of the Simulation Control Window. Simulation makes it possible to detect problems or issues before the project is transferred to the panel.

Running a Simulation

To run a Simulation of a project, follow these steps:

  1. From the Quick Project toolbar, select the Simulate button [image] or Simulation on the File drop down menu shown below.

  2. Select the Target Panel model from the list in the Simulate window shown below. This is useful when the project panel size is different than the actual panel size. When a Target Panel is selected, the Adjust Screen Size checkbox becomes active only if the Target Panel resolution is different from the resolution the project is setup for. Select the Adjust Screen Size if desired. Once the Target Panel is selected, click on Start.

  3. Two windows appear on your screen as shown below, the C-more Simulation window and the Simulation Control window.

Simulation Control Window

C-more Simulation Window

C-more Simulation Window

The C-more Simulation window displays the project screen as it will be seen on the panel. Discrete objects can be tested by clicking on the object. Numeric entry objects can be tested by clicking on the object and entering a value with the keypad. For meters, graphs, numeric displays and similar objects, use the Simulation Control window.

The Close Icon [image] will end the project Simulation.

Simulation Control Window

The Simulation Control window shown above is used to select a project screen for simulation and for testing meters, graphs, numeric displays and similar objects. The Screen List portion of the window provides a list of all the project screens. Clicking on a specific screen on the list will open that Screen on the C-more Simulation window.

The Tag List provides a list with Tag Name, PLC Address and Data Type of each object on the selected screen. Objects are tested by entering a value in the Value field.

In addition, this screen provides three icons as follows:

  • Exit Simulation: Click on this icon to end and Exit the project simulation.
  • Bezel: Click on this icon to display a Frame around the C-more Simulation window. This Frame provides a more accurate look of what the project will look like on the panel.
  • Simulation Setup: Click on this icon to open the Simulation Setup window shown and described below.

Simulation Setup Window

The Simulation Setup window provides a few setup options when running a Simulation.

The following list describes the options available:

  • Enable Play Sound: This selection is checked by default. When checked, any object that has a sound file will execute the sounds during Simulation. Click to uncheck this option if you do not wish to listen to sounds while Simulating.
  • Enable Blinking: This selection is checked by default. When checked, any object that has the blinking feature configured will execute during Simulation. Click to uncheck this option if you do not wish to view blinking while Simulating.
  • Simulate Panel: Click on the down arrow [image] to display a list of the C-more panel models. Select the panel from the drop down list and click on the OK button to exit the setup window and accept the setup selections.


Delete Screen

The Delete Screen selection is used to Delete a selected screen from the project.

Delete Screen Icon and Menu Selection Description

The Delete Screen Icon [image] is located on the Screen Tab of the Navigation Window. The Delete Screen Menu selection is available from the Screen Menu located on the Main Menu and shown below.

To Delete a screen, click on the screen to select it, then click on the Delete Screen Icon [image] or the Delete Screen selection from the Screen Menu. The Delete Screen window shown below will open.

The Delete Screen window shown above displays a list of all the Screens available for the specific project. To Delete a Screen, find the Screen to Delete from the list, click on the Screen Name to select and highlight the Screen, and click on the Delete button. Repeat as necessary and when done deleting, click on the Close button to Close the Delete Screen window.


Define Keypad Icon and Selection

Define Keypad Icon and Selection Description

A User Defined Keypad may be valuable when you want to change the layout or size of a keypad that pops up to enter a password, or enters data for a Numeric Entry or Text Entry object. Sometimes it may be useful to add a key to enter a data string with a single keystroke.

To create a User Defined Keypad, select Define Keypad from the Database menu on the main menu bar:

Creating a User Defined Keypad

Right click on the existing keypad that will be the starting point for your User Defined Keypad.

Select Copy Screen from the drop down menu. Then right click the keypad again and select Paste from the drop down menu. The new screen is pasted to the bottom of the list, named User Define Keypad 1.

Click on the new User Define Keypad to bring it to the Workspace.

Edit the User Define Keypad

Refer to Key Button Object for details when adding custom data strings buttons, or Control Keys.

After the new keypad is configured, click the Screen icon on the Screen Tab to return to project screens in the workspace pane. The new User Define Keypad is available in the Keypad list on the Numeric Entry, Text Entry objects or Password configuration windows.

When Define Keypad is selected, the screen thumbnails on the Screen Tab are replaced by Keypad thumbnails. The project Work Area displays a keypad for editing. The six System Default keypads are used for data entry objects and available as EA9 or Classic version:

  • System Default 0 is the default keypad for Password Entry.
  • System Default 1 is the default keypad for Numeric Entry Objects for Signed Integer and BCD data types. The keypad will include the +/- key. System Default 1 is also the default keypad for Unsigned Integer data types when the Display Format is Unsigned Decimal. The keypad will not include the +/- in this case.
  • System Default 2 is the default keypad for Unsigned Integer data types when the Display Format is Octal.
  • System Default 3 is the default keypad for Unsigned Integer data types when the Display Format is He x.
  • System Default 4 is the default keypad for Floating Point data type.
  • System Default 5 is the default keypad for Text Entry Objects.


Display Screen

Display Screen

The Display Screen option in the Navigation pane Panel tab allows you to change the screen displayed on a connected panel.


Jump to the Screen

When you right-click a Screen in the Navigation panel - Screen tab, one option is Jump to the Screen. This is a convenient feature to navigate Screens in large projects for editing, troubleshooting, and project development.


Property List Window

Property List Window Description

The Property List Window provides a list of Properties specific to the selected object or screen. From this Window the user can select a Property field and edit the value directly on the field. One advantage of using this window is editing the same property on multiple objects.

The Property List Window selection is available from the Window Drop Down Menu located on the View Menu shown below or by using the short cut key "F4".

Edit Mode

To edit a Property Value, select the ON button next to Edit Mode and then click on a field on the right side of the Property List Window.

  1. Lock: Checking the Lock checkbox prevents an object from accidentally being moved or edited.

  2. Filter: The Filter drop down list has four selections that will help you keep the list short and easier to find what you want to change.

  • All - Shows all of the available parameters for the object
  • Color - Shows only those parameters that have to do with color such as Text color, Background color, etc.
  • Text - Shows only those parameters associated with Text such as On Text, Off Text, etc
  • Tag - Shows only parameters associated with Tags such as the Main Object tag, Visibility tag.

The Filter is especially helpful when changing the parameters for several objects at the same time.


Object Layer List

Description

The Object Layer List is a convenience feature for project design; it helps you work with an Object or groups of Objects on a screen. It doesn’t affect Object display or behavior on the panels itself. That is, a Hidden Object is hidden only in the software workspace and this doesn’t affect Object Visibility on the Panel.

The one facet of project display that can be modified in this tool is the Layer number, which will affect object display priority. In the context of this tool, layer refers only to the display order, that is, what object will be "forward" and what object will be "back" when they overlap.

Objects or groups of Objects may be hidden or locked to facilitate manipulating other objects in the workspace.

Example

For example, use the Find Overlapping Objects tab and select an Object in the workspace. The selected Object and all other Objects that overlap the selected Object will appear in the Object Layer List window where they can be hidden or locked so that an otherwise buried Object can easily be edited without affecting the other Objects.

It doesn’t show overlapping Objects on the background screen.

The other tabs are a summary of all pertinent Objects on the screen, not filtered by on-screen selection.

The Object Layer List can be closed if additional workspace is preferable. It can be re-opened from the menu bar:

View > Window > Object Layer List


Parts List

The Parts List is related to the object type currently selected in the Object List. It is a convenient way to drag objects to the workspace with common configuration settings already entered. All configuration settings are still available for customization when an object is added this way.


Function Tab (Navigation Window)

Navigation Window - Function Tab Description

The Function Tab provides access to functions that are also available from the Menu Bar and the one place within the software to access the hardware manual: the Hardware Manual link opens a pdf of the unabridged EA9 series hardware user manual.


Tag Cross Reference

Tag Cross Reference provides a way for the user to easily view where Tags are being used in this specific project and offers options to sort the list by Screen Name or Number, or by the Tag Name.

Accessing Tag Cross Reference

The Tag Cross Reference selection is available from the Tool Menu as shown below.

Once selected, the Tag Cross Reference Window shown below opens.

Tag Cross Reference - Sorted By Screen Name/No. Description

When the Sort By Screen Name/No shown in "Item a" of the figure shown above is selected, the Tag Cross Reference Window looks like the figure shown above and the list of Tag Names is sorted according to the Screen selection in "Items b" and "c". The Tag Cross Reference will open with this selection by default.

The information provided in this section only applies if the Sort by Screen Name/No selection on "Item a" shown in the figure below is selected.

The selections and fields available for this window are:

  1. Reference Type: This is the only part of the screen window that stays the same for either selection. This section of the window provides two choices that allow the user to view this Tag information in this project sorted by the Screen Name orNumber, or sorted by the Tag Names. Click on the preferred sort method.

  2. Screen No.: Click on the up or down arrow [image] to select a Screen Number from the available list. When a Screen Number is selected, the Tag Name information for the selected Screen Number will be displayed on the list discussed on "Items f", "g", and "h".

  3. Screen Name: Click on the down arrow [image] to select a Screen Name from the available list. When a Screen Name is selected, the Tag Name information for the selected Screen Name will be displayed on the list discussed on "Items f", "g", and "h".

  4. Refresh: If a Screen Name or Number is not shown on the drop down list of either "Items b" or "c", click on this Refresh button to force the program to Refresh and update the information.

  5. Tag Information: Displays information regarding the Tags available on the selected Screen Name or Number. The information displayed includes the Number of PLC Tags, the Number of Internal Tags, the Number of System Tags, and the Total Number of Tags.

  6. Object Type: This column lists the Names of the Objects included in this Screen Name or Number to allow the user to easily identify the object and Tag Reference information.

  7. Object Name: This column lists the Name given to a specific Object included in this Screen Name or Number to allow the user to easily identify the object and Tag Reference information.

  8. Tag Name: This column lists the Tag Names assigned to the Objects included in this Screen Name or Number to allow the user to easily identify the object and Tag Reference information.

  9. Close: Click on this button to Close the Tag Reference Window and continue working on your project.

Tag Cross Reference - Sorted By Tag Name Description

When the Sort By Tag Name shown in "Item a" of the figure shown below is selected, the Tag Name information for that specific Tag Name is displayed on the list discussed on "Items e", "f", "g", and "h". The list displays information on all Objects that the Tag Name has been assigned to on any Screens in the specific project.

The information provided on this list only applies if the Sort by Tag Name selection on "Item a" shown in the figure below is selected.

The selections and fields available for this Window are:

  1. Reference Type: This is the only part of the screen window that stays the same for either selection. This section of the window provides two choices that allow the user to view this Tag information in this project sorted by the Screen Name or Number, or sorted by the Tag Names. Click on the preferred sort method.

  2. Tag Name: Click on the down arrow [image] to display a list of Tag Names that have been assigned to Objects in this project. When a Tag Name is selected from this drop down list, the information on Objects and Screens where this Tag Name is being used for this specific project will be displayed on the list discussed on "Items e", "f", "g", and "h".

  3. Refresh: If a Tag Name or Screen/Object information is not shown on the drop down list of either "Items b", "e", "f", "g", or "h", click on this Refresh button to force the program to Refresh and update the information.

  4. Tag Information: Displays information regarding the selected Tags on "Item b". The information displayed includes the Tag Address, the Tag Data Type, and the Tag I/O Type.

  5. Screen No.: This column displays a list of all the Screen Numbers where the Tag selected on "Item b" has been assigned to an Object. More information on the specific Object is included on the same row as shown in the figure above and discussed on "Item f", "g", and "h".

  6. Screen Name: This column displays a list of all the Screen Names where the Tag selected on "Item b" has been assigned to an Object. More information on the specific Object is included on the same row as shown in the figure above and discussed on "Item e", "g", and "h".

  7. Object Type: This column lists the Type of the Objects that have been assigned the Tag selected on "Item b". More information on the specific Object is included on the same row as shown in the figure above and discussed on "Item e", "f", and "h".

  8. Object Name: This column lists the Names of the Objects that have been assigned the Tag selected on "Item b". More information on this Object is included on the same row as shown in the figure above and discussed on "Item e", "f", and "g".

  9. Close: Click on this button to Close the Tag Reference Window and continue working on your project.


Tool Menu

Topic: CM427

Tool Option

The Tool Option affects the programming software. The selections don’t affect the display on a panel screen.

The Tool Option selections include:

  • A Warning Option for importing tag databases for Allen Bradley devices that include non-standard data types. For more information see the Allen Bradley Non-standard Data Type Usage topic.
  • An option for whether selection boxes drawn with the mouse will include objects contained entirely in the box, or all objects touched by and included in the box.
  • An option to highlight objects in the project workspace when the mouse pointer scans across them, that is, highlight objects before they are clicked on.
  • An option to select how color selection palettes display in object configuration windows.


Print

Using the Print Selection

The Print command is used to Print project Screens, Databases, and Other project Properties.

Select Print from the File Menu as shown below.

  1. Setting: Allows you to select specific elements of the project to print.


C-more Touch Panel Communication Error Codes

When dealing with network communications, Errors will occur. To simplify the process of identifying a possible Error, the C-more Touch Panels will automatically display an Error Code that helps identify the existing issue.

The Table shown below provides a list of C-more Touch Panel Error Codes that may be displayed by the C-more Panels. If a C-more communications Error does occur, the Error message will display across the top of the screen.

C-more Touch Panel Error Codes

Error Code

Error Message

Description

PLC-001

PLC Communication Timeout

%Device% PLC Communication Timeout

Timeout occurred after sending request to PLC. When multi connection such as RS-422, 485. Add to %Device%

%Device% is Device registered by Panel Manager.

PLC-002

NAK received from PLC

A Negative Acknowledgment (NAK) control code has been generated during a read/write request from the PLC.

PLC-003

EOT received from PLC

An End of Transmission (EOT) control code is sent by the PLC in response to a Read/Write/SetBit request.

PLC-004

STX is not found

A Start of Text (STX) control code was not found in the data packet received from the PLC.

PLC-005

ETX or ETB is not found

Neither an End of Text (ETX) or an End of Transmission Block (ETB) control code was found in the data packet received from the PLC.

PLC-006

LRC does not match

There was an incorrect Longitudinal Redundancy Check (LRC) control code in the communications packet received from the PLC. This is an indication that the data in the packet is corrupted.

PLC-007

CRC does not match

There was an incorrect Cyclic Redundancy Check (CRC) control code in the communications packet received from the PLC. This is an indication that the data in the packet is corrupted.

PLC-008

Address Does

Not Match

The Address value returned in the data packet from the PLC is incorrect.

PLC-009

Different function code received from PLC

The Function Code returned in the data packet from the PLC is incorrect.

PLC-010

Data size does

not match

There are Incorrect number of bytes found in the Data returned from the PLC.

PLC-011

Invalid value in function code

There is an Invalid Value in the Function Code.

PLC-012

Invalid Command sent to PLC

There was an Invalid Command sent to the PLC that was not recognized by the PLC.

PLC-013

ENQ received

from PLC

If the packet does not include a Negative Acknowledgment (NAK - 0x15 value) in the defined packet field, then an Enquiry (ENQ) control Code Error will be displayed.

PLC-014

Transaction ID Does Not Match

This Error will be displayed if after checking the Transaction ID Bytes in the packet, there is no match to what was requested.

PLC-015

%Device% No device found

A PLC device designated as %Device% could not be found.

PLC-016

Data byte communication Error

0 byte of data is received in data part.

PLC-017

Out of

address range

This an AB Protocol Error only. The Panel sent request of a file number more than 255 to PLC (except PLC5). C-more support for file numbers more than 255 is only for PLC5. Other PLCs support is only up to 255.

PLC-018

Panel Communication Timeout

The server panel did not respond when using the Panel Pass Through.

PLC-019

Found in Parity Error by Hardware

An error detected in the PLC memory.

PLC-020

Can't Open Serial Port

Cannot Open the Serial Port.

If this error shows on the Panel, it indicates a Hardware Problem.

PLC-021

PLC Number does not Match

The PLC Number does not match the PLC Number Configured.

PLC-022

Can't Reset DCB

Unable to Reset the Data Communication Bit.

PLC-023

Cable not connected properly

PLC-024

Cannot detect other devices on Network

PLC-025

Panel not in polling list

PLC-026

PLC Connection Timeout

A Timeout occurred after sending a request to PLC.

PLC-027

Memory Type Incorrect

PLC-028

PLC Failed to Respond

  • If the PLC Protocol in Panel Manager is AutomationDirect K-sequence, AutomationDirect DirectNet or AutomationDirect Modbus and the PLC Secondary Comm Port configuration has all three protocols enabled (as is the default setting for that port), DISABLE (in DirectSoft) the protocols that are not actually being used.

  • Sometimes occurs because C-more Panel Manager "CPU Slot" is actually a slot containing a 1756-DHRIO "DH+/RIO Module.
  • Sometimes occurs because C-more Panel Manager "CPU Slot" is actually a slot containing a 1756-ENBT.

PLC-029

PLC Memory Version Error

PLC-495

Error code %hhhh% (%0xhhhh%) returned from PLC

Indicates an Error Message received from the PLC. The error code %0xhhhh% can be found in the Error code topic for the PLC manufacturer, listed in Related Topics below.

PLC-496

Error code %0xhhhhhhhh% returned from PLC on EIP

Indicates an Error Message received from the PLC. The error code %0xhhhh% can be found in the Error code topic for the PLC manufacturer, listed in Related Topics below.

PLC-497

Error code %0xhhhhhh% returned from PLC on CIP

Indicates an Error Message received from the PLC. The error code %0xhhhh% can be found in the Error code topic for the PLC manufacturer, listed in Related Topics below.

PLC-498

Error code %0xhhhhhh% returned from PLC on Service

Indicates an Error Message received from the PLC. The error code %0xhhhh% can be found in the Error code topic for the PLC manufacturer, listed in Related Topics below.

PLC-499

Error code %0xhhhh% returned from PLC

Indicates an Error Message received from the PLC. The error code %0xhhhh% can be found in the Error code topic for the PLC manufacturer, listed in Related Topics below.

PLC-500

Can not write to Serial Port

Data cannot Write to the Serial Port.

Data was sent to the PLC via the Serial Port. If this error shows on the Panel, it indicates a Hardware Problem.

PLC-700

Not enough buffer memory

There was an Error while allocating Memory for the Read Buffer. When this Error is displayed, a Memory leak may have occurred.

PLC-701

Access to inaccessible PLC memory

Request to Inaccessible Memory from the HMI layer to the PLC protocol layer. This Error is an indication that there is a problem in the HMI layer.

PLC-702

Cannot access

by different function code

A Read/Write/SetBit request has been sent to an Invalid Memory area. This Error is an indication that there is a problem in the HMI layer.

PLC-703

Write request to PLC read only memory

A PLC Write request was made to the PLCs Read-Only Memory area. This Error is an indication that there is a problem in the HMI layer or the PLC protocol layer.

PLC-704

Bad device-access

No device (PLC) exists in the server panel or the device name does Not match between the server and client when using the Panel Pass Through.

PLC-705

Protocol does not match

The protocol for the device does Not match between the server and client when using the Panel Pass Through.

The PLC-499 Error Code is used to show any Errors that are generated by the connected PLC. The PLC-499 Error Message includes a four digit hexadecimal value. This value can be looked up in the specific PLCs Error Tables to determine the cause of the Error.

The Related Topics below provide PLC Error Codes for each of the PLC Protocols supported by C-more Touch Panels.


GUI Errors

The Table shown below provides a list of C-more GUI (Graphical User Interface) Errors that may be displayed by the C-more Programming Software. GUI Errors are Errors that may occur other than Object or Tag Errors. When a GUI Error does occur, an Error message similar to the one shown below will display on your PC screen.

The Error Message may also be displayed directly on an area you are working on. For example, when working with Recipes, an Error Message like the one shown below may display.

C-more GUI Errors
Error | Error Message | Notes
Error GUI-001 | Invalid project name. |
Error GUI-002 | A folder or file doesn't exist. |
Error GUI-003 | Target Folder is not chosen. |
Error GUI-004 | Cannot create. |
Error GUI-005 | Input a file name. |
Error GUI-006 | Save folder isn't set up. |
Error GUI-007 | Select a device. |
Error GUI-008 | There is no default printer currently selected. |
Error GUI-009 | There is no effective printer. |
Error GUI-010 | Failed to backup file copy. |
Error GUI-011 | Please enter a positive integer. |
Error GUI-012 | Please enter an integer between 3 and 100. |
Error GUI-013 | Please enter an integer. |
Error GUI-014 | Please enter an integer between 25 and 400. |
Error GUI-015 | Screen No. is invalid. Input a value between 1 to 999. |
Error GUI-016 | Selected Screen No. has already been used. |
Error GUI-017 | Type the Screen Name. |
Error GUI-018 | %s is background screen. Unable to delete. |
Error GUI-019 | Invalid Screen number. |
Error GUI-020 | Screen Name cannot be empty. |
Error GUI-021 | Invalid Tag number. |
Error GUI-022 | Type the Screen Name. |
Error GUI-023 | Number of Characters must be even and valid range is 2 to 40. |
Error GUI-024 | Invalid Address. |
Error GUI-025 | Bit cannot be empty. |
Error GUI-026 | Invalid bit address. |
Error GUI-027 | Invalid Message number. |
Error GUI-028 | Sound cannot be empty. |
Error GUI-029 | Times must be between 1 and 10. |
Error GUI-030 | Length of message should not exceed 200 characters including the embed commands. |
Error GUI-031 | Invalid Alarm number. |
Error GUI-032 | Define a valid tag for Tag name. |
Error GUI-033 | No Action. |
Error GUI-034 | Length of message should not exceed 64 characters including the embed commands. |
Error GUI-035 | Invalid Value. |
Error GUI-037 | Screen Name cannot be empty. |
Error GUI-038 | Save File Name cannot be empty. |
Error GUI-039 | Length of message should not exceed 256 characters including the embed commands. |
Error GUI-040 | Select a Send Address. |
Error GUI-041 | Length of message should not exceed 400 characters including the embed commands. |
Error GUI-042 | Name cannot be empty. |
Error GUI-043 | Address cannot be empty. |
Error GUI-044 | Invalid Mail address. |
Error GUI-045 | Cannot Add Duplicate Entry. |
Error GUI-046 | Server Name cannot be empty. |
Error GUI-047 | Address cannot be empty. |
Error GUI-048 | ID cannot be empty. |
Error GUI-049 | Test Fail. | Reason: E-mail Client is not configured. Or, the display is not connected. Or, if a test e-mail is sent from the panel and GUI-049 error is returned, this indicates that the panel received the e-mail but did not respond within three seconds. Solution: Configure e-mail Client in touch panel - network setting. Or, connect the display.
Error GUI-050 | The device name is blank, please enter device name. |
Error GUI-051 | Device cannot be added. |
Error GUI-052 | Protocol cannot be changed. |
Error GUI-053 | Please enter an integer between 1 and 999. |
Error GUI-054 | Please enter an integer between 30 and 1500. |
Error GUI-055 | Please enter an integer between 1 and 9. |
Error GUI-056 | Please enter an integer between 1 and 99. |
Error GUI-057 | Please enter an integer between 1 and 60. |
Error GUI-058 | Please enter an integer between 1 and 100. |
Error GUI-059 | Please enter an integer between 0 and 40. |
Error GUI-060 | Please enter an integer between 1 and 255. |
Error GUI-061 | Please enter an integer between 0 and 30000. |
Error GUI-062 | Please enter an integer between 0 and 31. |
Error GUI-063 | Please enter an integer between 1 and 90. |
Error GUI-064 | Please enter an integer between 1 and 247. |
Error GUI-065 | Either Module Name is empty or Module ID is empty. |
Error GUI-066 | Please enter an integer between 0 and 255. |
Error GUI-067 | Either Module Name is empty or IP Address is empty. |
Error GUI-068 | Either Module Name is empty or MAC Address is empty. |
Error GUI-069 | Please enter an integer between 0 and 10. |
Error GUI-070 | IP Address is Empty. |
Error GUI-071 | Please enter an integer between 0 and 65535. |
Error GUI-072 | Please enter an integer between 0 and 255. |
Error GUI-073 | Please enter an integer between 1 and 250. |
Error GUI-074 | Please enter an integer between 1 and 248. |
Error GUI-075 | Please enter a number. |
Error GUI-076 | Please enter a number between 0 and 4294967295. |
Error GUI-077 | Define a valid Tag for Password %d. |
Error GUI-078 | Panel Name cannot be empty. |
Error GUI-079 | Invalid Panel name. |
Error GUI-080 | IP Address cannot be empty. |
Error GUI-081 | Invalid IP Address. |
Error GUI-082 | Subnet Mask cannot be empty. |
Error GUI-083 | Invalid Subnet Mask. |
Error GUI-084 | Invalid Default Gateway. |
Error GUI-085 | Preferred DNS server cannot be empty. |
Error GUI-086 | Invalid Preferred DNS server. |
Error GUI-087 | Invalid Alternate DNS server. |
Error GUI-088 | Port Number must be between 21 and 32767. |
Error GUI-089 | User Restrictions must be between 1 and 10. |
Error GUI-090 | Account cannot be empty. |
Error GUI-091 | Password cannot be empty. |
Error GUI-093 | Memory Type cannot be empty. |
Error GUI-094 | Set up Export Screen. |
Error GUI-095 | This field cannot be empty. |
Error GUI-097 | Select a File to send. |
Error GUI-098 | Select File to Import. |
Error GUI-099 | Select Library. |
Error GUI-100 | Failed to create the export file. |
Error GUI-101 | Enter a valid path. |
Error GUI-102 | Directory Name cannot contain any of the following characters: \/:*?<>| .\"" |
Error GUI-103 | Email Address Book is not configured. |
Error GUI-104 | FTP services are not configured. |
Error GUI-105 | Set the DNS Server address. |
Error GUI-106 | Minimum value is not within range. |
Error GUI-107 | Maximum value is not within range |
Error GUI-108 | Minimum value is greater than or equal to maximum value. |
Error GUI-109 | This Action is associated with an E-mail or FTP. Unable to delete. |
Error GUI-110 | This device name already exists. |
Error GUI-111 | Cannot set the Panel Station Number as one of the device has the same Station Number"). |
Error GUI-112 | Adding this device will cause a change in the parity from Even to Odd in all the devices. |
Error GUI-113 | At least one device is required. |
Error GUI-114 | Invalid Device Name. |
Error GUI-115 | The Station Number assigned to %s already exists. |
Error GUI-116 | The Station number assigned to %s cannot be same as the Panel Station Number. |
Error GUI-117 | The Link Number assigned to %s already exists. |
Error GUI-118 | Duplicate device name found, please select another one. |
Error GUI-119 | Cannot add more than 64 devices. |
Error GUI-120 | Invalid file extension. (valid extension is 'jpg'). |
Error GUI-121 | Windows has returned an exception error. Windows Exception |
Error GUI-122 | Failed to create runtime file. |
Error GUI-123 | Invalid Screen Name. |
Error GUI-124 | %s is associated with an object. Unable to delete. |
Error GUI-125 | This file is not in a recognizable format. \n\n%s |
Error GUI-126 | Limit exceeded. Object can not be added to screen. |
Error GUI-127 | %s\n Selected project is protected. |
Error GUI-128 | Select a folder. |
Error GUI-130 | Selected Screen No. cannot be used because it has been used as a Background Screen. |
Error GUI-131 | Type the Object Name. |
Error GUI-132 | Failed in the copy of the file. |
Error GUI-133 | Downloaded project is a protected project. \n This cannot be edited/viewed in the editor. |
Error GUI-134 | No project. |
Error GUI-135 | Limit exceeded. Message can not be added to database. |
Error GUI-136 | Please enter an integer between 0 and 101. |
Error GUI-137 | Address is not Word Aligned (Even address is required). |
Error GUI-138 | Invalid Server Name. |
Error GUI-139 | Some Tags were not found. Please set the Tag marked in red. |
Error GUI-140 | There is a line in which 'Destination' does not exist. |
Error GUI-141 | Destination and Source Data type does not match. |
Error GUI-142 | Value is not within range. |
Error GUI-143 | Please enter a Recipe Sheet Name. |
Error GUI-144 | Destination Tag does not exist. |
Error GUI-145 | Data cannot be pasted because range does not match. |
Error GUI-146 | Value Data cannot be copied to Destination area. |
Error GUI-147 | Some parts of the data are not Pasted because the range of Paste exceeds the limit. |
Error GUI-148 | Data cannot be pasted because the range of Copy and Paste are different. |
Error GUI-149 | Data cannot be pasted for Read-Only Tags. |
Error GUI-150 | Data cannot be pasted because Source Data doesn't match with Destination Data. |
Error GUI-151 | Tag is not found. Please set a Tag. |
Error GUI-152 | Data cannot be pasted because area of Copy and Paste does are different. |
Error GUI-153 | Values can not be pasted in destination cells. |
Error GUI-154 | Error in File Reading. |
Error GUI-155 | Unsupported file version. \n\n%s |
Error GUI-156 | The empty is not admitted. |
Error GUI-157 | Name cannot be empty. |
Error GUI-158 | An object name is already used. |
Error GUI-159 | Total number of Trends Objects logging data exceeds the maximum of 16. |
Error GUI-170 | Invalid file name. |
Error GUI-173 | Tag Not Found. |
Error GUI-174 | Tag does not exist in the Project. |
Error GUI-175 | Screen cannot be added. |
Error GUI-178 | Auto Save Error: Verify that the location for Auto Save is valid |
Error GUI-179 | File does not contain any valid Records. | Refer to the table below for details on the possible causes of this error.
Error GUI-180 | The tag with Tag Name %s has more than 128 characters. Not able add the tag into the database. |
Error GUI-181 | The cell which is not blank cannot be shifted out of a sheet for preventing disappearance of data. |
Error GUI-182 | Error(s) Detected in cell(s). Do you want to save? |
Error GUI-183 | Data can not be pasted because the format of Copy and Paste area are different. |
Error GUI-184 | Error(s) Detected in cell(s). |
Error GUI-185 | Import File is already opened or corrupted. Please check the file and import again. | Refer to the table below for details on the possible causes of this error.
Error GUI-186 | The import file you selected contains multiple devices. You must select -Default- or modify the import file to contain a single device. | Refer to the table below for details on the possible causes of this error.
Error GUI-187 | Port No. must be between 0 and 32767. |
Error GUI-188 | Port No. has already been used. |
Error GUI-189 | Version Mismatch The C-more Software detected that your project file on this disk is created with a newer version of software. You must upgrade the software to read the project on the disk properly. [OK] |
Error GUI-190 | User Restrictions must be between 1 and 5 |
Error GUI-191 | Warning GUI-191 : Web Server must be enabled unless you have already installed console to your PC.\nSelect the web server tab to configure. |
Error GUI-192 | Warning GUI-192 : Web Server must be enabled unless you have already installed console to your PC.\nEnable Web Server in the web server tab. |
Error GUI-193 | Number of Characters must be valid range is 1 to 128. |
Error GUI-194 | Link Name can not be empty. |
Error GUI-195 | Please enter an integer between 1 and 65535. |
Error GUI-196 | Please enter an integer between 0 and 5. |
Error GUI-197 | Duplicate Link Name. |
Error GUI-198 | Please enter an integer between 1 and 30. |
Error GUI-199 | %s is associated with a password. Unable to delete. |
Error GUI-200 | This project uses SD2 which is not available in the panel you have selected. |
Error GUI-201 | The external memory you selected, SD2, is not available in the panel selected for this project. |
Error GUI-202 | %s port no. is reserved by C-more system. |
Error GUI-203 | %s is not found. |
Error GUI-204 | DH485 cannot be used on two ports at the same time. |
Error GUI-205 | The Formula is missing a value. (Event Manager Math Action) |
Error GUI-206 | The value entered is outside the range.(Event Manager Math Action) |
Error GUI-207 | There is no ")" corresponding to "(" in the Formula. (Event Manager Math Action) |
Error GUI-208 | There is no "(" corresponding to ")" in the Formula. (Event Manager Math Action) |
Error GUI-209 | Left value missing in Formula (Event Manager Math Action) |
Error GUI-210 | Right value missing in Formula (Event Manager Math Action) |
Error GUI-211 | Divide by Zero is not allowed (Event Manager Math Action) |
Error GUI-212 | Invalid Comma (,) found in the Formula (Event Manager Math Action) |
Error GUI-213 | Invalid Tag was found in the Formula (Event Manager Math Action) |
Error GUI-214 | Data Type format does not match (HEX/Dec) in the Formula (Event Manager Math Action) |
Error GUI-215 | The Formula is too long. (Event Manager Math Action, max 512 characters in the formula string) |
Error GUI-216 | The Formula has an error. (Event Manager Math Action) |
Error GUI-217 | Invalid Folder Name (In Screen Library) |
Error GUI-218 | Please Input a Find word. | Tagname Database search feature.
Error GUI-219 | This name is reserved. Choose another name and try again. |

Import File Errors
Error ID | Import File Type
 | TAG XLS | TAG CSV | RECIPE CSV | MAIL XLS | MAIL CSV | FTP XLS | FTP CSV | MSG XLS | EVENT XLS | LANGUAGE
GUI-179 | An attempt was made to import an empty file. | An attempt was made to import an empty file. |  | An attempt was made to import an empty file. | An attempt was made to import an empty file. | An attempt was made to import an empty file. | An attempt was made to import an empty file. |  |  | File does not contain any records
GUI-185 | An attempt was made to import a file that is open in another application. OR An attempt was made to import a file that is missing a column. | An attempt was made to import a file that is missing a Protocol ID column. | An attempt was made to import a file that is missing a Name column. | An attempt was made to import a file that is open in another application. OR An attempt was made to import a file that is missing a column. OR An attempt was made to import a file that is missing a title. | An attempt was made to import a file that is missing a column. | An attempt was made to import a file that is open in another application. OR An attempt was made to import a file that is missing a column. OR An attempt was made to import a file that is missing a title. | An attempt was made to import a file that is missing a column. OR An attempt was made to import a file that is missing a title. | An attempt was made to import an empty file. OR An attempt was made to import a file that is open in another application. OR An attempt was made to import a file that is missing a column. | An attempt was made to import a file that is missing either the Title or the Event column. | An attempt was made to import a file that is open in another application. OR An attempt was made to import a file that is missing a column. OR An attempt was made to import a file that is missing a title.
GUI-186 | One device is selected for import even though Multiple devices are registered. | One device is selected for import even though Multiple devices are registered. |  |  |  |  |  |  |  |


PTC Errors

The Table shown below provides a list of C-more Panel PTC (Project Transfer and Communications) Errors that may be displayed by the C-more Programming Software. When a PTC Error does occur, an Error message similar to the one shown below will display on your PC screen.

C-more PTC Errors

Error

Error Message

Notes

Error PTC-001

Read NG.

When this error occurs:

1. Software cannot connect to the panel, or detects the timeout during the project transfer transaction.

2. Project file in the panel is corrupted for some reason such as FAT is broken and it was detected on the project transfer transaction.

Error PTC-002

Transfer Failed - Communication timeout.

Error PTC-003

Panel read error.

Error PTC-004

No program in panel.

Error PTC-005

There is not enough free disk space.

Error PTC-006

Panel you are connecting to is busy.

Error PTC-007

Panel Firmware version is old. Please update firmware.

Error PTC-009

Firmware Update Failed.

Error PTC-010

There is not enough memory.

Error PTC-011

File not found.

Error PTC-012

Change IP Address Failed.

Error PTC-013

Unsupported hardware version.

Error PTC-020

Version Mismatch

Error PTC-021

Panel is not connected.

Error PTC-022

"USB Communication Error occurred. Disconnect and reconnect the USB cable between PC and Panel."

Error PTC-023

Not supported in this panel.


Object Errors

The Table shown below provides a list of C-more Touch Panel Object Error Codes that may be displayed by the C-more Programming Software while configuring Objects. If an Object Error does occur, an Error message similar to the one shown below will display on your PC screen.

C-more Object Errors
Error | Error Message
Error OBJ-001 | Name cannot be empty.
Error OBJ-002 | Name already exist.
Error OBJ-003 | Visibility Value must be between %0.f and %0.f.
Error OBJ-004 | Please enter a valid Value.
Error OBJ-005 | Point Animation PLC Value Point 1 is not within range.
Error OBJ-006 | Point Animation PLC Value Point 2 is not within range.
Error OBJ-007 | Size Animation PLC Value Point 1 is not within range.
Error OBJ-008 | Size Animation PLC Value Point 2 is not within range.
Error OBJ-009 | Size Animation Value Point 1 is not within range.
Error OBJ-010 | Size Animation Value Point 2 is not within range.
Error OBJ-011 | Scale Y Size PLC1 is not within range.
Error OBJ-012 | Scale Y Size PLC2 is not within range.
Error OBJ-013 | Scale Y Size Display1 is not within range.
Error OBJ-014 | Scale Y Size Display2 is not within range.
Error OBJ-015 | Scale Rotation PLC1 is not within range.
Error OBJ-016 | Scale Rotation PLC2 is not within range.
Error OBJ-017 | Scale Rotation Display1 is not within range.
Error OBJ-018 | Scale Rotation Display2 is not within range.
Error OBJ-019 | This field cannot be empty.
Error OBJ-020 | Select a sound file.
Error OBJ-021 | Scale PLC1 is not within range.
Error OBJ-022 | Scale PLC2 is not within range.
Error OBJ-023 | Scale Display1 is not within range.
Error OBJ-024 | Scale Display2 is not within range.
Error OBJ-025 | Invalid Numeric Value.
Error OBJ-026 | Please Add a Message.
Error OBJ-027 | Bit Number Already Exists.
Error OBJ-028 | Message Number Already Exists.
Error OBJ-029 | Tag Value is not in range!
Error OBJ-030 | Cannot Add Embedded Tag, Message Length Limit Exceeded.
Error OBJ-031 | Range Minimum is greater than Range Maximum.
Error OBJ-032 | Add Amount is not within range.
Error OBJ-033 | Subtract Amount is not within range.
Error OBJ-034 | Minimum value is not within range.
Error OBJ-035 | Maximum value is not within range.
Error OBJ-036 | Minimum value is greater than or equal to maximum value.
Error OBJ-037 | Major Divisions must be between 1 and 20.
Error OBJ-038 | Minor Divisions must be between 0 and 20.
Error OBJ-039 | Floating Point must be between 0 and 5
Error OBJ-040 | Total Digits must be between %d and %
Error OBJ-041 | Fractional Digits must be between %d and %.
Error OBJ-042 | Timed Sample Rate must be between 1 and 65535.
Error OBJ-043 | X-Axis Major Division must be between 1 and 20 and smaller than Samples Per Chart.
Error OBJ-044 | X-Axis Minor Division must be between 0 and 20.
Error OBJ-045 | Total Number of Samples must be between %d and 65535.
Error OBJ-046 | Samples Per Chart must be between 4 and %d.
Error OBJ-047 | Number of Readings to Average Per Sample must be between 1 and 255.
Error OBJ-048 | Y-Axis Major Divisions must be between 1 and 20.
Error OBJ-049 | Y-Axis Minor Division must be between 0 and 20.
Error OBJ-050 | Output Range (Minimum) is not within range.
Error OBJ-051 | Output Range (Maximum) is not within range.
Error OBJ-053 | Range Minimum is not within range (Same as 158).
Error OBJ-054 | Range Maximum is not within range (Same as 158).
Error OBJ-055 | Low2Value is not within range.
Error OBJ-056 | LowValue is not within range.
Error OBJ-057 | HighValue is not within range.
Error OBJ-058 | High2Value is not within range.
Error OBJ-060 | PLC Point1 value is not within range.
Error OBJ-061 | PLC Point2 value is not within range.
Error OBJ-064 | Display Point1 values is not within range.
Error OBJ-065 | Display Point2 values is not within range.
Error OBJ-068 | Mid value is not within range.
Error OBJ-066 | Process value (Minimum) is not within range.
Error OBJ-067 | Process value (Maximum) is not within range.
Error OBJ-070 | Process value (Maximum) is lesser than Present value (Minimum).
Error OBJ-071 | Output value (Minimum) is not within range.
Error OBJ-072 | Output value (Maximum) is not within range.
Error OBJ-073 | There is less Output Range (Maximum) than Output Range (Minimum).
Error OBJ-075 | Output value (Minimum) cannot be greater than Present value (Maximum).
Error OBJ-080 | Manual Scale (Minimum) is not within range.
Error OBJ-081 | Manual Scale (Maximum) is not within range.
Error OBJ-082 | There is less Manual Scale (Maximum) than Manual Scale (Minimum).
Error OBJ-083 | Please Select Bitmap File!
Error OBJ-084 | Select either ON or OFF Bitmap.
Error OBJ-085 | Please Insert an Image.
Error OBJ-086 | Image Number already exists.
Error OBJ-087 | Tag Value Already Exists!
Error OBJ-088 | At least one valid recipe tag must be defined.
Error OBJ-089 | Define a Valid Recipe Sheet.
Error OBJ-090 | Enter a name in Recipe Sheet Name!!!
Error OBJ-091 | File Name cannot contain any of the following characters \ / : * ? < > | . "
Error OBJ-092 | There is a line in which 'Destination' does not exist.
Error OBJ-093 | Value Data cannot copy to Destination Area.
Error OBJ-094 | Paste cannot be executed because the range of Copy and the range of Paste are different.
Error OBJ-095 | Some parts to the data are not Pasted because the range of Paste exceeds range.
Error OBJ-096 | Paste cannot be executed because range does not match.
Error OBJ-097 | The Paste range is outside the Grid range, So Paste cannot be executed.
Error OBJ-098 | Destination Will not be Copied because Copy Paste area does not match.
Error OBJ-099 | Destination Will not be Copied because Value cannot be copied in this Area.
Error OBJ-100 | Don't use these characters. \ " \ / : * ? < > | . \ "
Error OBJ-101 | The saved data is damaged. Data will be converted into the Default value and processed.
Error OBJ-102 | Trigger Value must be between %0.f and %0.f.
Error OBJ-103 | Invalid Screen Number.
Error OBJ-104 | Invalid angle value.
Error OBJ-105 | Please Enter Amount.
Error OBJ-106 | Value is not within range.
Error OBJ-107 | Some parts of the data are not Pasted because the range of Paste exceeds the limit of range.
Error OBJ-108 | Cannot continue Paste, Source Data doesn't match with Destination Data.
Error OBJ-109 | Handshake timeout is not within range.
Error OBJ-110 | Cannot Change Embedded Tag Property; Message Length Limit exceeded.
Error OBJ-111 | Rows and Columns must be between 1 and 32.
Error OBJ-112 | Set Up Screen Number.
Error OBJ-113 | Invalid Value.
Error OBJ-114 | %s Length is not within range.
Error OBJ-115 | %s Length in Index %d is not within range.
Error OBJ-116 | %s Length in Language %d is not within range.
Error OBJ-117 | %s Length in Language %d and Index %
Error OBJ-118 | Line Style and Point Style both cannot be blank.
Error OBJ-119 | Number of point value is not within range.
Error OBJ-121 | Upper Bound Line value is not within range.
Error OBJ-122 | Lower Bound Line value is not within range.
Error OBJ-123 | Refresh Time value is not within range.
Error OBJ-124 | Upper Bound Line Tag Type does not match with the Pen Tag Type.
Error OBJ-125 | Lower Bound Line Tag Type does not match with the Pen Tag Type.
Error OBJ-126 | X-Axis Major Division must be between %d and %
Error OBJ-128 | Expression is not valid
Error OBJ-129 | Expression does not contain 'X'
Error OBJ-130 | Expression contains Division by Zero
Error OBJ-131 | Expression contains number smaller than -4294967295 or greater than 4294967295
Error OBJ-139 | Define a valid tag for Focus Tag
Error OBJ-140 | Focus Value must be between %0.f and %0.f
Error OBJ-142 | Divisions must be between 1 and 20
Error OBJ-143 | Warning: Style 2 must be selected for Object Style in General Tab when using Object Focus Option


Runtime Errors

C-more Panel Runtime Errors

Error Code

Error Message

ErrorCode stored in the SYS_ERR Error Code system tag

Cause

Log Error

RTE-001

Log Failed. Not enough Memory Space in %Device%

2001

The destination Memory does not have enough memory size. The size of the destination memory is not large enough to store the data.

See Log File Naming below.

RTE-002

Log Failed. %Device% cannot be found

2002

No device available or the device is defective.
See Log File Naming below.

RTE-003

Log Failed. Can not write file - %file%

2003

Logging the data has failed due to a problem such as the memory write protect is enabled.

See Log File Naming below.

RTE-004

Log cache memory is full

2004

The data log buffer in the MRAM memory is full.

See Log File Naming below.

Screen Capture

RTE-011

Capture Failed. Not enough Memory Space in %Device%

2011

The size of the destination memory is not large enough to store the data.

RTE-012

Capture Failed. %Device% cannot be found

2012

No device available or the device is defective.

RTE-013

Capture Failed.Can not write file - %file%

2013

Logging the data has failed due to a problem such as the memory write protect is enabled.

Handshake

RTE-021

Handshake Timeout Error

2021

A communications timeout occurred when either a Recipe or Numeric Entry Object, in which Notification and Handshake signals are used, failed to complete the responses.

Battery

RTE-031

Low Battery

2031

Does not apply to EA9 Series C-more Panels.

Email

RTE-041

E-mail Connection Error %Address%

2041

An incorrect SMTP address has been entered into the Touch Panel Network dialog screen.

RTE-042

Send E-mail Error %Address%

2042

This may be the result of incorrectly entering the send-to email address in the Address Book database, or incorrectly entering the Sent-from email address in the Email Client tab of Touch Panel Settings. The log on Information (account or password) on that tab may be incorrect.

The email server may be blocking the Send-from email address or the C-more IP address. Or the email server may require an SSL connection.

RTE-043

E-mail failed. The file cannot be attached.

2043

Send FTP

RTE-051

FTP Connection Error %Address%&%ID%

2051

An incorrect FTP Service has been assigned into the Touch Panel Network dialog screen.

RTE-052

Send FTP Error %Address%&%ID%

2052

Permission to write to the FTP folder has not been authorized. The FTP site may require a user ID and password.

RTE-053

FTP failed. The file cannot be copied.

2053

Receive FTP

RTE-061

Receive FTP Error %Address%&%ID%

2061

HTTP

RTE-071

Receive HTTP Error %Address%&%ID%

2071

Sound

RTE-081

Sound Failed. Not enough Memory.

2081

The sound file failed to play due to insufficient memory.

Conflict

RTE-091

IP Address Conflict - Correct IP Address and Power Cycle

2091

Conflict of IP address.

Multiple Recipe

RTE-101

Record doesn't exist

2101

The recipe file or data doesn't exist.

RTE-102

File cannot open

2102

The recipe file cannot be opened.

RTE-103

Wrong Data - Row:%Row% Col:%Col%

2103

Abnormality is found in the numeric character data of the recipe file.

RTE-104

Wrong Tag - Row:%Row% Col:%Col%

2104

Abnormality is found in the Tag data of the recipe file.

RTE-105

Recipe - Index(%Row%) error

2105

Recipe was operated by the record number outside the range.

RTE-106

Not enough buffer memory

2106

Memory allocation error.

RTE-107

File cannot write

2107

There was an error trying to write the recipe file.

RTE-108

Wrong File Format

2108

The recipe file format is incorrect.

RTE-109

Not enough Memory Space in %Device%

2109

Insufficient storage space on media.

Action

RTE-121

Action overflows

2121

The number of actions executed in the event exceeded the maximum number.

SD Card

RTE-130

SD1 has been removed from the panel and the panel has stopped. To restart the panel, insert the SD1 card and press Reboot.

2130

If an SD card is installed in the SD1 slot when a project is transferred to the panel, or if SD1 is selected as the target when Restoring a project to the panel, the project itself will reside on SD1. Removing SD1, then, removes the project from the panel.

Versions 6.14 and newer include a dialog informing the operator that the project will stop running if SD1 is ejected using a pushbutton configured for SYS SD1 Eject tag.

This warning includes an option to cancel the action without affecting the project running.

These newer versions display a warning that the project has stopped if the card in SD1 is removed without the use of the SYS SD1 Eject tag.

MRAM Error

RTE-500

MRAM Checksum Error

2500

Memory in Panel has been Corrupted by Power Loss, etc. Try cycling power to the panel and re-transfer the project to the panel, in sequential steps to attempt to resolve the error.

Log File Naming

The Log file name is formed automatically in the panel. The visible file name has the format:

Screen Name + “_” + Object Name + “_” + Date Stamp YYMMDD + “.txt”

Internal to the panel, the file references are stored as the first four characters of the file name + ”~” + a serial number between 000 and 999 + “.txt” So, any “group” of filenames is limited to 999 members.

For Example: The following filenames form the same group. All filenames start with “Scre”:

Screen1_Trend1_yymmdd.txt

Screen2_Trend2_yymmdd.txt
Screen3_Trend3_yymmdd.txt

If an attempt is made to store more than 999 files in a “group” the panel will return RTE-001, RTE-002, RTE-003 or RTE-004.

Visible File Name Internal File Name

Screen1_Trend1_150101.txt SCRE~001.TXT

Screen2_Trend2_150101.txt SCRE~002.TXT

Screen3_Trend3_150101.txt SCRE~003.TXT

Screen1_Trend1_150102.txt SCRE~004.TXT

Screen2_Trend2_150102.txt SCRE~005.TXT

Screen3_Trend3_150102.txt SCRE~006.TXT

...

Screen1_Trend1_151129.txt SCRE~997.TXT

Screen2_Trend2_151129.txt SCRE~998.TXT

Screen3_Trend3_151129.txt SCRE~999.TXT

Screen1_Trend3_151130.txt Runtime Error RTE-001

Workaround: To minimize membership in any one group, change the Screen Name and the Object Name so the first four characters of the visible file name are unique.

For example,

Screen Names: S1, S2

Object Names: AAA, BAA

Visible File Name Internal File Name

S1_AAA_150101.txt S1_A~001.TXT

S1_BAA_150101.txt S1_B~001.TXT

S2_AAA_150101.txt S2_A~001.TXT

S2_BAA_150101.txt S2_B~001.TXT

S1_AAA_150102.txt S1_A~002.TXT

S1_BAA_150102.txt S1_B~002.TXT

S2_AAA_150102.txt S2_A~002.TXT

S2_BAA_150102.txt S2_B~002.TXT

…

S1_AAA_151231.txt S1_A~365.TXT

S1_BAA_151231.txt S1_B~365.TXT

S2_AAA_151231.txt S2_A~365.TXT

S2_BAA_151231.txt S2_B~365.TXT

Note that there is no conflict between file names and since no log group will exceed 365 (days) the 999 member limit is never exceeded.


Recipe Error Codes

When working with Recipes, the C-more Programming Software will automatically check your Recipe Sheet for any possible Errors. If a an Error is found, a pop up window will open and display a an Error Message identifying the Error or an Error Code.

The list below can be used as cross reference for any Recipe Error Codes displayed.

Error Message

  1. No Tag.

  2. Error TAG-002 : Tag Data Type does not match.

  3. Error TAG-061 : No destination Tag.

  4. Error TAG-053 : PLC Tag Data Type (Read/Write) does not match Object Type.

  5. Error GUI-035 : Invalid Value.

  6. Error GUI-142 : Value is not within range.


Tag Errors

The Table shown below provides a list of C-more Touch Panel Tag Name Errors that may be displayed by the C-more Programming Software while assigning or defining Tag Names in a project. If a Tag Name Error does occur, an Error message similar to the one shown below will display on your PC screen.

C-more Tag Errors
Error | Error Message
Error TAG-001 | Define a valid Tag for Visibility Tag.
Error TAG-002 | Tag Data type does not match.
Error TAG-003 | Define a valid Tag.
Error TAG-004 | Define a valid Line Color Tag.
Error TAG-005 | Define a valid Move Animation X-Axis Tag.
Error TAG-006 | Define a valid Move Animation Y-Axis Tag.
Error TAG-007 | Define a valid Point Animation Tag.
Error TAG-008 | Define a valid Length Animation Tag.
Error TAG-009 | Define a valid Rotation Animation Tag.
Error TAG-010 | Define a valid X-Axis Size Animation Tag.
Error TAG-011 | Define a valid Y-Axis Size Animation Tag.
Error TAG-012 | Define a valid Tag.
Error TAG-013 | Define a valid Push Button Tag.
Error TAG-014 | Define a valid Indicator Tag.
Error TAG-015 | Define a valid Open Tag.
Error TAG-016 | Define a valid Close Tag.
Error TAG-017 | Define a valid Decimal Point Tag.
Error TAG-018 | Define a valid Embedded Tag.
Error TAG-019 | Define a valid Display Tag.
Error TAG-020 | Define a valid Decimal Point Tag.
Error TAG-021 | Define a valid Notify Tag.
Error TAG-022 | Define a valid Handshake Tag.
Error TAG-023 | Define a valid Read Tag.
Error TAG-024 | Define a valid Write Tag.
Error TAG-025 | Define a valid Sample Rate Tag.
Error TAG-026 | Pen Tags and Ranges type must be of same sign type.
Error TAG-027 | Define a valid Tag for Start Stop Tag.
Error TAG-028 | Define a valid Reset Tag.
Error TAG-029 | Define a valid Tag for LowLow Tag.
Error TAG-030 | Define a valid Tag for Low Tag.
Error TAG-031 | Define a valid Tag for High Tag.
Error TAG-032 | Define a valid Tag for HighHigh Tag.
Error TAG-033 | Tag type mismatch.
Error TAG-034 | Define a valid Tag for PV Tag.
Error TAG-035 | Define a valid Tag for SP Tag.
Error TAG-036 | Process Variable Tag and Set Point Tag must be of same Data type.
Error TAG-037 | Define a valid Tag for Output Tag.
Error TAG-038 | Define a valid Tag for Mode Tag.
Error TAG-039 | Define a valid Tag for Alarm Tag.
Error TAG-041 | Define a valid Tag for Source Tag.
Error TAG-042 | Destination data type and Source data type are not same.
Error TAG-043 | Define a valid Tag for Trigger Tag.
Error TAG-044 | Define a valid Tag for String Tag.
Error TAG-045 | Read-Only Tag Name, Paste cannot continue.
Error TAG-046 | Data in Source cell is not matching with the Destination so Please Enter the correct data.
Error TAG-047 | Tag Name cannot be empty.
Error TAG-048 | Tag Name already exists.
Error TAG-049 | Define a valid Tag for EMBED TAG.
Error TAG-050 | Source Tag cannot be empty.
Error TAG-051 | Destination Tag cannot be empty.
Error TAG-052 | Address cannot be empty.
Error TAG-053 | PLC Tag Data Type (Read/Write) does not match Object type.
Error TAG-054 | PV address type supports BCD Tag data type only.
Error TAG-055 | Maximum number of retentive Tags exceeded.
Error TAG-056 | Maximum 30,000 number of Tags exceeded.
Error TAG-057 | Tag not found. It will be created as an Internal Tag: UNKNOWN TAG*
Error TAG-058 | Tag IO Type does not match Object type.
Error TAG-059 | Tag cannot be added. Maximum 30,000 number of Tags exceeded.
Error TAG-060 | Define a valid Write Event Tag.
Error TAG-061 | No Destination Tag.
Error TAG-062 | Push Button Tag and Indicator Light Tag are not having same data types. Do you want to choose a different tag for Indicator Light tag?
Error TAG-063 | Define a valid Upper Bound Line tag
Error TAG-064 | Define a valid Lower Bound Line tag
Error TAG-065 | Non Standard data type combination was selected
Error TAG-066 | Tag Name is duplicated.
Error TAG-067 | Tag Name is too short.
Error TAG-068 | Tag Name is too long.
Error TAG-069 | Tag Name is reserved for a System Tag.


Panel Manager

Panel Manager Description

Panel Manager configures global settings for the project. Panel Manager can be accessed from the Navigation window - Function tab:

Or from the Menu Bar: Setup > Panel Manager.

Touch Panel Settings

When the Panel is highlighted in the left pane, the following settings may be configured:

  1. Panel Type: Select the touch panel model that will be used in the project. The available selections are the actual part numbers of the C-more touch panel. When changing the Panel type, some adjustments may need to be made to the project. If they are necessary the user will be prompted to make a few decisions on how these changes will be handled. See the Project Resolution Difference topic for more information.

  2. Project Resolution: See Project Resolution Settings topic.

  3. Start Screen Number: Select the Screen Number that the touch panel will open during first power up.

  4. Start Screen Saver: Select "0" to disable the Screen Saver function or click on the arrows [image] to select a number between 1 to 1500. This number indicates the minutes it waits before activating the Screen Saver.

  5. Default Language Number: When the project has been configured with more than one Language, click on the arrows [image] to select the number assigned to the Language you would like to use.

  6. Display Large Key Pad On Panels: Select this checkbox to Display a Larger size Key Pad when Key Pads are displayed. This setting applies only to system keypads. It does not apply to User Defined Keypads; User Defined Keypads must be created with a size appropriate to the project.

  7. Bitmap Option (Less Memory): When using Bitmaps in various objects such as the Multi-State Bitmap or Static Bitmap Objects, the project size can become very large exceeding the allowed project memory size. To reduce project size, Bitmaps using less than 65535 colors should be used such as; 8-bit or 4-bit Bitmaps. These Bitmaps do not require as much memory. In order to take advantage of the smaller Bitmaps, this Bitmap Option should be selected. This will not reduce the project size where all of the bitmaps used in the project are 16-bit or higher.

Note: Selecting the Bitmap Option may reduce the performance of the panel. A balance will have to be determined between the project size and panel performance.

  8. Disable Exponent Notation: Disables scientific notation for all Floating Point data display objects. When using the Floating Point Data Type with the Numeric Entry, Numeric Display, Slider, Analog Meter, Bar Meter, Line Trend Graph, PID Faceplate Bar Meter, PID Faceplate Trend Graph and objects with embedded numeric data, sometimes the exponential notation can hinder viewing the data. Select this checkbox to disable any Exponential Notations. See examples below:

With Exponent Notation Deselected:

Entering a value of 0.00006 will be displayed as shown below:

With Exponent Notation Selected:

Entering a value of 0.00006 will be displayed as shown below:

  9. Enable Anti-aliasing: Affects simple shapes (line, rectangle, circle and triangle,) and analog meter objects; objects will default to this setting, but each individual object may be configured to the best setting in the object configuration dialog. Anti-aliasing CHECKED may improve appearance, especially of diagonal lines, but it may affect panel performance.

  10. Frame Style: This setting makes the selected style the default Frame for objects. Individual object Frames may be changed in each object configuration window.

  11. Project Storage/Boot Location: This selection allows the user to select the target Storage/Boot Location for the panel. To see more detailed information about panel Boot and Storage, refer to the Project Storage/Boot Location topic available in this Help File.

  12. Alarm Settings:
  • The Call Alarm Screen Object Style can be selected here. This is helpful if a project is converted from EA7, to ensure Alarm Message Objects display as intended.
  • Alarm List Size: The Alarm List Size is the number of Alarms that will queue and be cycled through the banner display and be available to display in any Alarm objects on the panel screen.
  • Alarm Display Time: Configures the Time in seconds that any current Alarms will be displayed in the Alarm banner on the panel screen.
  • Alarm Banner Text Size: This selection allows the user to select the text size of the Alarm banner. This setting may be used to make the Alarm Banner at the bottom of the screen more readable on high resolution panels or smaller on larger panels.

Caution: Objects covered by the Alarm banner will still be activated by touching the screen.
  13. Error Banner:

  • Error Banner Text Size allows the user to select the Text size that makes the Error Banner at the top of the screen more readable on high resolution panels or smaller on larger panels.

Note: Objects covered by the Error banner cannot be activated by touching the screen.

  14. Add Header Row into Log File: By default a header row is added into log files. If the application in which the Log File will be used does not support a header row, deselect this option.

  15. Log Settings: Determine where Log files will be saved. At this time, no file duration settings are available.

  16. Beep: The C-more touch panel's internal Beep(er) can be set to be either ON or OFF. The default is with the beeper ON.

Note: This setting does not control the Audio Line Output port.
  17. Mouse : This setting allows an arrow cursor to appear on panel screens where touched, much like the mouse cursor on a PC screen. If a mouse is connected to the USB port, the arrow cursor will allow selections like a PC.

PLC Settings

Click on the default device labeled DEV001 under the COM Port icon in the menu tree on the left side of the dialog box as shown below.

When the DEV001 or other assigned Device Name is selected, the right portion of the window changes to allow PLC Protocol Setup. This will allow users to configure the C-more Touch Panel with the appropriate Protocol Settings to allow communication between the PLC and the Touch Panel.

This setup window allows the following configurations:

  1. PLC Protocol: Click on the down arrow [image] to see a list of PLCs and Protocols that are available for configuration with C-more Touch Panels. Click on the desired PLC/Protocol to select it. This will automatically configure the fields as required for proper communication between PLC and Touch Panels. Some minor adjustments may be needed. To learn about configuration for each specific PLC/Protocol, see the specific topic by selecting it from the PLC Setup topic.

  2. Panel/Device Setup: From this frame you can toggle the Panel Manager window to configure the Panel or PLC. Click on the Panel Icon or the PLC/Device Icon to access the respective configuration windows.

  3. Direct Connection: Depending on the PLC/Protocol selected, this portion of the setup window will offer fields to configure the PLC and Panel communications.

  4. Connection Through Another Panel: This selection can be made whether the touch panel that we wish to connect through is setup for either serial or Ethernet communications. Use the IP address of the touch panel that will be used to connect through. This type of connection is also known as Pass Through. To learn more about Pass Through and how to use it, click on the green text.


Project Storage/Boot Location

Typical View of a Panel Manager Window with the Project Storage/Boot Location Highlighted

This is a new feature starting with version 6.20. The Project Storage/Boot Location tells the software where the target Storage Location is located on the panel. The Storage Location selected is also set as the panel's Boot Location. Possible Storage and Boot Locations are Built-in-FLASH memory or SD1 flash card memory.

When Panel Built-in-FLASH is selected, this feature allows the project to be loaded to the Built-in-FLASH memory even when an SD1 card is installed in the SD1 slot. This leaves the SD1 card free for logging data.

  1. Auto: If Auto is selected, the Storage and Boot locations operate the same as in previous versions.
  • Boot: The primary Boot device is SD1. If an SD card is not present in the SD1 slot, the panel will Boot from the Built-in-FLASH memory. If an SD card is present, then the panel will Boot from the SD1 slot regardless of the presence of a project or not. If a project is not found on the SD card or the Built-in-FLASH, then the panel will display NO USER PROGRAM.
  • Storage: If an SD card is present in the SD1 slot, the project will be downloaded onto the SD card when it is sent by the software. If there is a project in the Built-in-FLASH, it will be cleared. If an SD card is not present in the SD1 slot, the project will be downloaded into the Built-in-FLASH.

  2. Panel Built-in-FLASH:
  • Boot: The panel will always Boot the Built-in-FLASH whether an SD cards is present in the SD1 slot or not. If a project is not found in the Built-in-FLASH then the panel will display NO USER PROGRAM.
  • Storage: The project will be always be downloaded to the Built-in-FLASH. If an SD card is present, the project will still be downloaded into the Built-in-FLASH. If there is a project on the SD card, it will be cleared.
  3. SD1:
  • Boot: The panel will always Boot from the project on the SD card in the SD1 slot. If a project is not found on the SD card then the panel will display NO USER PROGRAM.
  • Storage: The project will be always be downloaded to the SD card in the SD1 slot. If there is no SD card present then you will not be able to transfer the project. The Transfer button will be disabled. If there is a project in the Built-in-FLASH, it will be cleared.

Note: If the project is set for Built-in-FLASH or SD1, a project cannot reside in both the Built-in-FLASH and the SD card. An error RTE-131 will occur on the panel when rebooted. The project must be removed from one of the Storage media before the panel can run.

Transfer the project to the panel with the proper target storage location selected. This will clear the project from the non-target location.


Project Conversion

Topic: CM004

Project Conversion from C-more EA7 Series Panel

When a C-more EA7 Series project is opened in C-more EA9 Series software, the software will convert the project to C-more EA9 Series. Your C-more EA7 Series project will be preserved and you will need to Save the new C-more EA9 Series project.

Differences between C-more EA7 Series and C-more EA9 Series include:

  • Screen resolution (C-more Series EA9 8" and 10" panels have resolutions that are higher than the C-more EA7 Series panels.) See Project Resolution topic.
  • SD cards (replace the CompactFlash cards)
  • CF2 (C-more EA9 Series 6", 8" and 10" panels do not have a second SD card slot.)
  • No battery (C-more EA9 Series panels do not have a Lithium battery; calendar and retentive tags are protected by a 30 day super capacitor.)
  • SRAM (internal memory) is replaced with MRAM

Conversion Notes:
  1. The settings applied when the project is imported will be optimal to simply replace a C-more Series EA7 panel. This will result in performance and screen images that are comparable to the project running in the C-more Series EA7 panel.

  2. If your project uses SYS ERR LowBattery, you will be warned that the tag doesn’t have a function in C-more Series EA9. If your project uses the tags that refer to CompactFlash, these tags will be automatically converted to SD, for example, SYS CF1 FreeMemory or SYS CF1 Eject will convert to SYS SD1 FreeMemory or SYS SD1 Eject.

If your project uses a tag referring to SRAM, it will be converted to MRAM (i.e., SYS Builtin MRAM FreeMemory).

  3. If the project you are importing uses the Compact Flash 2 slot in a 6", 8" or 10” panel, the software will display the following warning:

"The project you are importing utilizes the Compact Flash 2 slot (CF2) for logging. All CF2 settings and associated tags will be converted to SD Card 2 (SD2). The target panel only supports SD Card 1 (SD1) and USB. In order to work properly all SD2 settings will need to be changed manually to SD1 or USB."

There is no option to add a second SD slot to the 6", 8" or 10” panels.

New in Version 6

Significant improvements are made to the Call Recipe and Alarm objects in Version 6. For existing projects using these objects, settings are configured to mimic the previous versions. The programmer may choose to revise these objects in later versions to take advantage of the improvements.

The Alarm Message object is renamed Alarm List. The new Alarm List object is much more flexible. Columns and buttons to appear on the panel screen are now customizable. Refer to the Alarm List object topic for more information.

The Alarm History object is renamed Call Alarm Screen and the initial Display Screens are Alarm Summary or Alarm Count. Refer to the Call Alarm Screen object topic for more information.


Copy Screen Icon and Menu Selection

Copy Screen used with Paste Screen allows you to create a copy of the selected screen in the same project.

If much of your screen will be duplicated on other screens, you may want to consider creating a Background Screenand assign it to other screens.

If you want to copy one or a few screens from one project to another project, the Screen Library is a useful tool.

If you want to copy many screens, or some screens and the project Databases (Tag Name, Message, Events, Address Book and Recipes) Import a Project Data File will be very useful.

Copy Screen Icon and Menu Selection

The Copy Screen Icon [image] is located on the Screen Tab of the Navigation Window.

The Copy Screen Menu selection is available under the Screen Menu located on the Main Menu as shown below.

To Copy a screen, click on the screen to select it and then click on the Copy Screen Icon [image] or the Copy Screen selection from the Screen Menu.


Object/Library Tab Options

The Object List window provides an Object Tab for stock objects and a Library Tab where you can save and reuse custom objects.

Library Tab Options Drop Down Menu

The Object Tab allows you to choose to sort the list of stock objects alphabetically or organized into groups of similar functions.

The Library Tab allows you to choose to Add a Graphic or a Sound file to the Library.

From this window, locate the Graphic file on your hard drive or disk and select it. You may double click to select it or click one time to highlight it and then click the Open button. The Graphics file is added to the User Graphic Library.

Note: At this time only Bitmap (.bmp) files can be added to the User Graphic Library.

  • Add Sound to Library: Click on this selection to open the Add Sounds to Library window shown below.

From this window, locate the Sound file on your hard drive or disk and select it. You may double-click to select it or click one time to highlight it and then click the Open button. The Sound file is added to the User Sound Library.

Note: At this time only Wave (.wav) files can be added to the User Sound Library.

Add User Defined Object

To add a User Defined object to the library, configure the new object, then right click it (on the project workspace.) Select Object > Library to save it for reuse. Just as saving a screen to the screen library, tags associated with this object may be saved with the device address, or saved as Internal Tags. Saving the tags as Internal Tags is helpful if it's likely that the new projects where the object will be reused will use different device drivers.


Screen Library

The Screen Library allows you to have a Screen from one project to use in another project.

Screen Library Selection Description

The Screen Library selection is available using two methods:

  1. Select Screen Library from the Tool Menu, which is located on the Main Menu and shown below.

  2. Selecting Screen Library from the drop down menu of the Display Screen Icon [image] located on the Navigation Window.

Adding Screens to the Screen Library

To Add Screens to the Library, follow these steps:

  1. Drag a Screen from the Current Project Screen List to the Screens in the Screen Library pane.

  2. When the mouse button is released, the Project Screen -->Library window shown below opens.

  3. Enter a Folder Name and Screen Name to organize and identify this screen.

  4. If it's likely that the new projects that will use this screen will use the same device driver, then Save Tag(s). If it's likely that the new projects that use this screen will use other device drivers, it may simplify your work in the future to save the screen with tags saved as Internal Tag(s).

  5. Click OK to save the screen in the Screen Library.


Add New Screen

Add a New Screen

The New Screen icon is located on the Screen Tab of the Navigation Pane and allows to quickly Add a Screen to the project.

From the Main Menu, click on the Screen Menu and a drop down menu opens as shown below, displaying the selections available for the Screen Menu.

Copy and Paste Screens

From the Navigation Pane Screen Tab, right click on an existing screen [image] and select Copy Screen [image] and then click on the Paste Screen [image] icon.

Or, open the Screen Library and drag a Screen from the Library into the project screen list workspace.


System Tags

System Tag | Description | Data Type | R/W | "Write ON" Only | Value Range | Retentive | Note
SYS Bit ON |  | Discrete | R | No |  | No |
SYS Clock200ms | On for 100ms. Off for 100ms. | Discrete | R | No |  | No |
SYS Clock500ms | On for 250ms. Off for 250ms. | Discrete | R | No |  | No |
SYS ClockSec | On for 0.5second. Off for 0.5second. | Discrete | R | No |  | No |
SYS ClockMin | On for 30seconds. Off for 30seconds. | Discrete | R | No |  | No |
SYS CountValue | The value from SYS CountMin to SYS CountMax, incremented by one each SYS CountInterval | S32 | R | No |  | No |
SYS CountMax | The maximum Value is set. | S32 | R/W | No |  | No |
SYS CountMin | The minimum Value is set. | S32 | R/W | No |  | No |
SYS CountInterval | The interval value for count. (Min50ms) Unit:ms 1=1ms, 500=500ms, and 1000=1sec | US32 | R/W | No |  | No |
SYS CountRepeat | When ON, A Min value is set to Count value after Count Value reaches a Max value. | Discrete | R/W | No |  | No |
SYS DATE YYYY | Contains the Year | US16 | R | No | 1752~ | No |
SYS DATE YY | Contains the Year of last 2 digits | US16 | R | No | 0~99 | No |
SYS DATE MM | Contains the Month | US16 | R | No | 1~12 | No |
SYS DATE DD | Contains the Day | US16 | R | No | 1~31 | No |
SYS DAY Week | Contains the Day of the week. | Ascii Strings | R | No | SUN MONTUEWED | No |
SYS TIME HH | Contains the number of hours on the clock. | US16 | R | No | 0~23 | No |
SYS TIME MM | Contains the number of minutes on the clock. | US16 | R | No | 0~59 | No |
SYS TIME SS | Contains the number of seconds on the clock. | US16 | R | No | 0~59 | No |
SYS Keypad Current | Contains Keypad Current Ascii Strings | Ascii Strings |  | No |  | No | Used for User Defined Keypads. Refer to Define Keypad Topic.
SYS Keypad Max | Contains Keypad Max Ascii Strings | Ascii Strings |  | No |  | No | Used for User Defined Keypads. Refer to Define Keypad Topic.
SYS Keypad Min | Contains Keypad Min | Ascii Strings |  | No |  | No | Used for User Defined Keypads. Refer to Define Keypad Topic.
SYS Keypad Value | Contains Keypad value Ascii Strings | Ascii Strings |  | No |  | No | Used for User Defined Keypads. Refer to Define Keypad Topic.
SYS SystemScreenPW | Set password to protect System Screen from operators. (0 = No Password) (3505 = Master key code) | BCD int16 | R/W | No | 0~9999 | No | Refer to System Screen Password Setup topic.
SYS Builtin DRAM TotalMemory | Unit: Kbyte | US32 | R | No | 0~ 4294967295 | No |

System Tag | Description | Data Type | R/W | "Write ON" Only | ValueRange | Retentive | Note
SYS Builtin DRAM UsedMemory | Unit: Kbyte | US32 | R | No | 0~ 4294967295 | No |
SYS Builtin DRAM FreeMemory | Unit:Kbyte | US32 | R | No | 0~ 4294967295 | No |
SYS Builtin MRAM TotalMemory | Unit: Kbyte | US32 | R | No | 0~ 4294967295 | No |
SYS Builtin MRAM UsedMemory | Unit:Kbyte | US32 | R | No | 0~ 4294967295 | No |
SYS Builtin MRAM FreeMemory | Unit: Kbyte | US32 | R | No | 0~ 4294967295 | No |
SYS Builtin FLASH TotalMemory | Unit: Kbyte | US32 | R | No | 0~ 4294967295 | No |
SYS Builtin FLASH UsedMemory | Unit: Kbyte | US32 | R | No | 0~ 4294967295 | No |
SYS Builtin FLASH FreeMemory | Unit: Kbyte | US32 | R | No | 0~ 4294967295 | No |
SYS SD1 TotalMemory | Unit: Kbyte | US32 | R | No | 0~ 4294967295 | No |
SYS SD1 UsedMemory | Unit: Kbyte | US32 | R | No | 0~ 4294967295 | No |
SYS SD1 FreeMemory | Unit: Kbyte Use to monitor the amount of free memory on the device. Use with Event Manager to alert user that the device is full. | US32 | R | No | 0~ 4294967295 | No |
SYS SD2 TotalMemory | Unit: Kbyte | US32 | R | No | 0~ 4294967295 | No |
SYS SD2 UsedMemory | Unit:Kbyte | US32 | R | No | 0~ 4294967295 | No |
SYS SD2 FreeMemory | Unit: Kbyte Use to monitor the amount of free memory on the device. Use with Event Manager to alert user that the device is full. | US32 | R | No | 0~ 4294967295 | No |
SYS USB TotalMemory | Unit: Kbyte | US32 | R | No | 0~ 4294967295 | No |
SYS USB UsedMemory | Unit: Kbyte | US32 | R | No | 0~ 4294967295 | No |
SYS USB FreeMemory | Unit: Kbyte Use to monitor the amount of free memory on the device. Use with Event Manager to alert user that the device is full. | US32 | R | No | 0~ 4294967295 | No |
SYS SD1 ReadyToUse | Use with indicator light to indicate the "Ready To Use" after inserting. | Discrete | R | No |  | No | SD1 Device ready for use. Status ON is Ready, OFF is not Ready.
SYS SD2 ReadyToUse |  | Discrete | R | No |  | No | SD2 Device ready for use. Status ON is Ready, OFF is not Ready.
SYS USB ReadyToUse |  | Discrete | R | No |  | No | USB Storage ready for use. Status ON is Ready, OFF is not Ready.
SYS SD1 WriteStatus | Use this tag to indicate to user when the device is being accessed. For example, an indicator light to indicate "Do Not Remove Device While It Is Being Accessed". | Discrete | R | No |  | No | Status ON is writing data to SD1 Device. Status OFF is not currently writing to SD1 Device. Write data is Alarm, Message, Capture and Trend.
SYS SD2 WriteStatus |  | Discrete | R | No |  | No | Status ON is writing log data to SD2 Device. Status OFF is not currently writing to SD2 Device. Write data is Alarm, Message, Capture and Trend.

System Tag | Description | Data Type | R/W | "Write ON" Only | ValueRange | Retentive | Note
SYS USB WriteStatus | Use this tag to indicate to user when the device is being accessed. For example, an indicator light to indicate "Do Not Remove Device While It Is Being Accessed". | Discrete | R | No |  | No | Status ON is writing log data to USB Device. Status OFF is not currently writing to USB Device. Write data is Alarm, Message, Capture and Trend.
SYS SD1 Eject | Use with a Pushbutton to complete writing to device. The device must be removed and reinserted to reactivate the writing device. Should be used before removing a device. | Discrete | R/W | Yes |  | No | ON to write data in the log buffer and prepare to physically remove SD1. "SYS SD1 ReadyToUse" is OFF when the device can be safely ejected. SYS SD1 Eject is automatically OFF when data write is complete and ready to eject.
SYS SD2 Eject |  | Discrete | R/W | Yes |  | No | ON to write data in the log buffer and prepare to physically remove SD2. "SYS SD2 ReadyToUse" is OFF when the device can be safely ejected. SYS SD2 Eject is automatically OFF when data write is complete and ready to eject.
SYS USB Eject |  | Discrete | R/W | Yes |  | No | ON to write data in the log buffer and prepare to physically remove USB. "SYS USB ReadyToUse" is OFF when the device can be safely ejected. SYS USB Eject is automatically OFF when data write is complete and ready to eject.
SYS Copy LogToSD1 | Use with Pushbutton. Copies complete logs from all the devices to the %Device% associated with the Tag | Discrete | R/W | No |  | No | ON to Save all Logfiles to SD1
SYS Copy LogToSD2 |  | Discrete | R/W | No |  | No | ON to Save all Logfiles to SD2
SYS Copy LogToUSB |  | Discrete | R/W | No |  | No | ON to Save all Logfiles to USB
SYS Current Screen Number |  | US16 | R | No |  |  |
SYS Current Screen Name |  | ASCII Strings | R | No |  |  |
SYS ERR ErrorStatus | Status ON is Error occurred. Status OFF is No Error. | Discrete | R | No |  | No |
SYS ERR ErrorCode | Four digit decimal code. Most significant digit is error type: 1 = Communication Error 2 = Run Time Error The three last significant digits are the error number. Refer to the topics for Communication Errors or Run Time Errors for more information on the specific error. | BCD16 | R | No |  | No |
SYS ERR ErrorMessage | The text associated with the ErrorCode stored in the SYS ERR ErrorCode system tag. | ASCII Strings | R | No |  | No |
SYS ERR LogError | Status ON when log buffer memory overflow occurs. Status OFF is no Error. | Discrete | R | No |  | No |
SYS ERR ScreenCapture Error |  | Discrete | R | No |  | No |
SYS ERR Email Error | Status ON is Error occurred. Status OFF is No Error When SYS ERR Email Error is ON, the Error will blink with the Email Address in the alarm banner at the top of the screen AND The Email Address will appear in the SYS ERR ErrorMessage tag | Discrete | R | No |  | No |
SYS ERR Send FTP Error | Status ON is Error occurred. Status OFF is No Error When SYS ERR FTP Error is ON, the Error will blink with the FTP Address in the alarm banner at the top of the screen AND The FTP Address will appear in the SYS ERR ErrorMessage tag | Discrete | R | No |  | No |

System Tag | Description | Data Type | R/W | "Write ON" Only | ValueRange | Retentive | Note
SYS ERR LowBattery | Unused. | Discrete | R | No |  | No | *
SYS ERR PowerFail Count | Counts and retains the number of power fail events. Counts up to 9999 then resets to 0000 and continues counting. | BCD int 16 | R/W | No | 0~9999 | Yes |
SYS ERR Handshake Error | Status ON is Handshake Error. | Discrete | R | No |  | No |
SYS ERR Backlight Bulb Turned Off | Unused | Discrete | R | No |  | No | *
SYS User LED Blink |  | Discrete | R/W | No |  | No |
SYS User LED Color1 |  | Unsigned int 16 | R/W | No | 0-3 | No | allowable values: 0 = off, 1=red, 2=green, 3=yellow
SYS User LED Color2 |  | Unsigned int 16 | R/W | No | 0-3 | No
SYS LowGraphMemory | Unused | Discrete | R | No |  | No | *
SYS SD1 Write Protected | Status ON is Write Protected. | Discrete | R | No |  | No |
SYS SD2 Write Protected | Status ON is Write Protected. | Discrete | R | No |  | No |
SYS DELETE ALL LOG | Transition to ON will delete log files on any installed external memory devices | Discrete | R/W | No |  | No |
SYS DELETE SD1 LOG | Transition to ON will delete log files from an installed SD card in SD1 slot | Discrete | R/W | No |  | No |
SYS DELETE SD2 LOG | Transition to ON will delete log files from an installed SD card in SD2 slot | Discrete | R/W | No |  | No |
SYS DELETE USB LOG | Transition to ON will delete log files from an installed USB memory device | Discrete | R/W | No |  | No |
SYS MATH DIVISION ERROR | ON when a formula results in an attempt to divide by zero | Discrete | R/W | No |  | No |
SYS MATH ERROR | ON when any Math Error occurs, including Math Division error and Math Out of Range Error | Discrete | R/W | No |  | No |
SYS MATH ERROR EVENT NUMBER | Stores the event number of the most recent Math Error | Unsigned int 16 | R/W | No |  | No |
SYS MATH OUT OF RANGE | ON indicates a Data Overflow, Underflow or Data Conversion error | Discrete | R/W | No |  | No |

* This System Tag is not used in C-more EA9 Series projects. If an older project that used this tag was imported into EA9 Series Software,

the System Tag is imported as an Internal Tag and the software alerts the system user to this change during the import.


Special Characters

The following is a list of Special Characters that may be entered using special key strokes. Other characters may be found on the Windows Character Map tool under Windows Accessories.

Special Character Reference

The following table provides a quick reference for entering Special Characters in Windows. To enter a Special Character from almost any program in Windows, type like you normally would and when a Special Character is needed, hold the "ALT" key [image] down and while holding the key type the reference number of that character. For example:

© = ALT + 0169

á = ALT + 0225

Ñ = ALT + 0209

Note: Please make sure the "Num Lock" on your keyboard is active.

Character | Key Entry
† | ALT + 0134
‹ | ALT + 0139
• | ALT + 0149
– | ALT + 0150
™ | ALT + 0153
› | ALT + 0155
¡ | ALT + 0161
¢ | ALT + 0162
£ | ALT + 0163
¥ | ALT + 0165
© | ALT + 0169
« | ALT + 0171
® | ALT + 0174
° | ALT + 0176
± | ALT + 0177
µ | ALT + 0181
» | ALT + 0187
¼ | ALT + 0188
½ | ALT + 0189
¾ | ALT + 0190
¿ | ALT + 0191
Á | ALT + 0193
É | ALT + 0201
Í | ALT + 0205
Ñ | ALT + 0209
Ó | ALT + 0211
Ø | ALT + 0216
Ú | ALT + 0218
é | ALT + 0233
í | ALT + 0237
ñ | ALT + 0241
ó | ALT + 0243
÷ | ALT + 0247
ú | ALT + 0250


Language

Setup Language

Description

The C-more Programming Software supports the following Languages:

  • Arabic
  • Chinese
  • Chinese (Taiwan)
  • English (Default)
  • French
  • German
  • Japanese
  • Korean
  • Russian
  • Spanish
  • Thai

To Setup the Language settings for your project see the sections included below.

Note: The Tag Name Database DOES NOT support all the Languages listed above. Therefore, Tag Name Databases MUST be in English or Japanese.

Access the Language Setup Window

To access the Language Setup window, go to the Setup drop down menu available from the Main Menu and select Language from the drop down menu shown below.

The Language Setup window shown below opens.

Setting the Language Window

The Language Setup window offers up to nine Language settings and seven Languages to choose from. The C-more Programming Software is pre-configured with all the languages listed above. Other Languages may require additional setup or may be available in future versions.

The Language Setup screen shows that ALL nine language settings for C-more are set to English by default. Let's assume that we need a project with English and Spanish Languages. To setup a second Language, follow these steps:

  1. Assuming that English is the main Language. Since the default Language is English, the System Language field for the Language #1should stay as it is, English.
  2. The Name field for Language #1 default is Language 1. This field may be left as is or you may enter a different name. For example, you may want to use the Name English. Any Name may be given (i.e., Inglés, Primary, Main).
  3. The default font used for the Language settings is Arial. If you prefer to use a different font, click on the down arrow [image] and select a font available from the list. An object may be configured to use the default fonts, which can be unique for each language. OR, if the Use Default Font checkbox is de-selected in that object, a single font configuration must be used for all languages in that object.
  4. Language #1 is now setup.

Setting Up Additional Languages

To set additional Languages, follow these steps for each Language to add:

  1. Assuming that Spanish is the secondary Language. On the Language #2 System Language field, click on the down arrow [image] and select Spanish from the drop down list.
  2. In the Name field, the default label is Language 2. If preferred, type a new Name, like Spanish for example. Any Name may be given (i.e., Español, Secondary, Second).
  3. The default font used for the Language settings is Arial. If you prefer to use a different font, click on the down arrow and select a font available from the list. . An object may be configured to use the default fonts, which can be unique for each language. OR, if the Use Default Font checkbox is de-selected in that object, a single font configuration must be used for all languages in that object.

For any additional Languages, repeat these steps shown directly above and select the desired Language. When setting up an English and Spanish project, the two edited fields should look like the figure shown below.

When all Language selections are completed, click on the OK button of the Language Setup window to accept all changes and proceed to the next step.


Adjust Clock

Adjust Clock Description

The Adjust Clock selection is available on the Panel Menu drop down list shown below and found on the Main Menu.

When the Adjust Clock selection is selected, the Communication Configuration window shown below may open if the communication to the panel is not active or has been broken and not re-established.

If the communication with the panel is all set, this window will not open so continue to the next window setup mentioned below. From the Communication Configuration window, select if the connection to the panel is via USB or Ethernet. Once a selection is made, click on the OK button to accept the setting and the Adjust Clock window shown below opens.

From the Adjust Clock window, complete the following settings to Adjust the Clock Time and Date:

  1. Panel Time and Date: This part of the window displays the current Time and Date of the panel.
  2. Adjust Panel Time and Date: Click on this checkbox to select to Adjust the Time and Date on the panel to match the Time and Date settings of the PC connected to the panel. If this is the selection you want to use, once selected, click on Send to Panel (Item d) to make the adjustment.
  3. Customize: Click on the Customize checkbox to manually enter the Time and Date to be set for the panel. Click on the Up and Down arrows [image] on the right side of the Time field to Adjust the Time as needed. Click on the Down arrow [image] of the Date field to open a calendar and select the desired Date.
  4. Send to Panel: Click on this button when either of the Adjustment settings are completed and ready to execute. Once this button is selected it will update the Time and Date on the panel according to the selected settings.
  5. Close: Once all settings are complete and the panel Time and Date are Adjusted, click on the Close button to Close this window.
  6. Help: Click this button to open this Help File.


EAS9 File Type

Topic: CM007

.EAS9 File Type

A project with the file extension .eas9 is a project format that can be “restored from SD or USB” and run on a panel. Note that the project saved on your PC by the software has a .eap9 file extension and can NOT be “restored” from an SD or USB and run on a panel.

A .eas9 project file can be created in the software by choosing:

  • SEND Project to Panel button (File > Project Transfer menu option)
  • Then select the External Memory Device button
  • Select a drive, path and file name.

Also, from the panel SYSTEM SCREEN > MEMORY > BACKUP page. The BACKUP page will show available options for saving the compiled project file:

  • Select a USB pen drive or SD card
  • Select the device where you will save the file and the Next button
  • Select the files to be saved on your device.

The project file can be saved with or without the Firmware and or Recipe data for a backup or for writing to another C-more panel. The Firmware must be included if the target panel may have a different version than the source panel. Otherwise, the project file will need to be upgraded to the target panel firmware version using the C-more Programming Software.

Log Data can be saved and moved to a PC for record keeping.


Project Resolution Setting

The resolution setting option in Panel Manager will allow projects that were imported from C-more Series EA7 panels to take advantage of the improved resolution and processor speeds in the C-more Series EA9 panels.

When a C-more Series EA7 project is imported for an 8" or 10" panel, the resolution is automatically set by the program to match the C-more Series EA7 panel. The result is performance and screen images in the C-more Series EA9 panel that are comparable to the project running in the C-more Series EA7 series panel.

Note: Projects running at the highest resolution available on the selected panel will experience the best possible performance, since the panel processor will not be burdened with manipulating graphics to the alternate resolution.

Note: The resolution of EA9-T15CL panels is the same as EA7-T15C panels, XGA. For most EA7-T15C projects, the preferred resolution option will be XGA. There are some projects that were migrated to EA7-T15C panels from older panels and the programmer may have elected to maintain the previous VGA resolution.


Resource Monitor

It may sometimes be useful to see the CPU and Memory usage data. We provide a tool called the Resource Monitor to show this data. The Resource Monitor is activated from the SYSTEM SCREEN > INFORMATION > MEMORY tab.

The Resource Monitor also allows the option of returning to the project while displaying the SYSTEM SCREEN > INFORMATION > ERROR tab.


User Defined LED

The C-more Series EA9 panels have two LEDs on the front bezel: one is the Power Indicator and the second is user configurable.

There are three System Tags available to manipulate the user defined LED:

  1. SYS User LED Blink (Discrete)
  2. SYS User LED Color1 (Unsigned int 16, allowable values: 0 = off, 1=red, 2=green, 3=amber)
  3. SYS User LED Color2 (Unsigned int 16, allowable values: 0 = off, 1=red, 2=green, 3=amber)
    This is the alternating color when SYS User LED Blink is ON.

An action can be configured in Event Manager to light the user defined LED. For example, an event may be configured to activate when the value of NUMERIC TAG 1 is greater than some value. A Tag Action may be configured for this event to light the User LED red:

The LED must be programmatically turned OFF as necessary. In our simple example, we create a second Event to turn off the LED when NUMERIC TAG 1 is in an acceptable range:


Firmware Recovery Tool

Recovery Tool

If the panel power is interrupted during a Firmware Update, the Firmware and/or Operating System in the panel may become corrupt. The panel may be recoverable using a recovery utility that installs when the C-more Programming Software is installed.

Firmware Recovery

If the Firmware is corrupt, but the Operating System is still intact, the screen below will open when power is reapplied to the panel.

Press the Information button and the Information Screen shown below will display. Notice that the Runtime version is blank.

To recover, start the Firmware Update again making sure that there is a constant clean power supply.

Operating System Recovery

If the Operating System is corrupt, the screen will be white when power to the panel is reapplied. The panel will not operate at all, and the CPU LED on the back of the panel may be blinking RED or Orange.

To recover the panel’s Operating System:

  1. Connect the Panel to your PC with the USB programming cable. (Any standard USB printer cable will also work.)

  2. Close the C-more Programming Software.

  3. Cycle the power on the panel.

  4. From the Windows Start Menu select:

Start Menu > AutomationDirect > C-more > Special Tools > C-more EA9 Series Recovery Tool

The window shown below will open.

Note: If USB Icon is blinking and the USB light is Red, this indicates that there is a communication problem to the panel. Check that the USB cable is properly connected and make sure there is communication to the panel.

  5. Select Start and the Operating System will be loaded to the panel.


Memory Clear

Topic: CM253

Clear Memory

Clear Memory Description

The Clear Memory selection is available from the Panel drop down menu available from the Main Menu as shown below.

When the Clear Memory selection is made, the Clear Memory window shown below opens.

Note: If your panel does not have a SD Card, the Clear Memory window will look like the figure shown above. If the panel does have a SD Card, the SD 1 text and checkbox will be black indicating that it's active.

Note: If the panel is not connected to the PC, the Communication window (shown below) will display instead of the Clear Memory window to indicate that there is no Communication with the panel. In order to proceed, Communication with the panel must be established. For more information on the Communication window, click on the green text.

Caution: Please be aware that all the data in the MRAM, Built-in Flash, and SD WILL BE ERASED!!! If needed, Backup the information about to be cleared before proceeding.

From the Clear Memorym window shown above, click on each of the checkboxes of the Memories to be Cleared to select them. After selecting the Memories, click on the OK button to accept the settings and proceed.

The following Warning window displays:

If unsure or to cancel the process, click on the No button. The window will cancel and close.

Please read the Caution indicated above before proceeding. To proceed with the Clearing process, click on the Yes button. The window will Close and the selected Memories will be Cleared.


C-more Panel System Screens Setup

To learn how to setup the C-more Panel System Screens, click on the button below. This button provides a link to the full Chapter for System Screens Setup of the C-more Panel User Manual. If the link fails, you may try to access this Chapter by entering the following address to your browser:

http://www.automationdirect.com/static/manuals/eauserm/ch5.pdf


Upgrading Firmware

The C-more panels use Firmware versions that allow the panel to communicate and use all the functions available through the software. Firmware is defined as logic used specifically for C-more panels (in this case) that is stored in the read-only memory. When a C-more Programming Software update/upgrade is available, it includes a Firmware update that is necessary for the panel to recognize all the improvements made to the software. Therefore, anytime a new version of software is installed/upgraded, the Firmware on the panel MUST be upgraded.

Warning: When Firmware updates, the project files currently loaded in the panel will be erased. Please make sure that the project is Saved in your PC so it can be reloaded to the panel. Refer to the Read From Panel topic.

Note: AutomationDirect recommends using the Ethernet (100Base-TX) connection between the C-more Panel and the PC to update firmware. Other types of connections will result in slower transfer rates, which will require additional updating time.

Upgrade Firmware

To upgrade the Firmware follow these steps:

  1. Connect the C-more touch panel to your PC via the USB or Ethernet port.

  2. Access Update Firmware from the C-more Software application using one of the following two methods:

  • Select Update Firmware from the Panel menu located on the Main Menu as shown below.

  • Select Update Firmware from the Panel Tab of the Navigation window as shown below.

  3. Once selected the Update Panel Firmware window shown below appears.

  4. On this window, click on the browse button located to the far right of the Firmware File Path field. The Open window shown below opens and allows the user to select the Firmware file.

  5. The window should open on the Firmware directory as shown above. The default location of the Firmware file is C:\Program Files\AutomationDirect\C-more_EA9\Firmware.

    From the Firmware folder, select the ".eas9" file. Normally only one Firmware file will be displayed. However, if any software upgrades are made without Uninstalling the previous version, previous Firmware versions will be listed as shown in figure above. The Firmware version must match the Software version. Select the Firmware file and click on the Open button. The Firmware file path is now displayed on the Firmware File Path field of the Update Panel Firmware window.

  6. Click the OK button on the Update Panel Firmware window. The Update Firmware window appears and shows the transfer progress bar. The Touch Panel screen will show a message indicating that an update is in process. Please allow a few minutes for this process to complete.

  7. The panel beeps to indicate that the upgrade is complete. At the same time the window shown below pops open indicating Firmware Update OK. Click on the OK button, all windows close, and the main application screen is ready for work again.

  8. Reload the project to the panel.


Project Memory

Project Memory Tool Description

The Project Memory Tool allows the user to determine what Screens, Objects, Bitmaps or other features are consuming the most memory in the project. To access the Project Memory Tool window from the Main Menu, click on the Tools selection. The Tools drop down menu shown below will display. From this drop down menu, select the Project Memory selection.

To access the Project Memory Tool window from the Navigation Window, click on the Function Tab. Select Project Memory from the Project branch of the Function tree.

When selected, the Project Memory window shown below opens. This window provides a way for the user to easily view where Memory is being allocated and information on Memory usage.

  1. Click on any of the Icons available from the left portion of the screen to view Memory Usage information for items related to that Icon. The top 10 selection shows the 10 top users of Project Memory.

  2. This Table provides details about the memory use for each item selected in the menu tree on the left.

When expanded, the Bitmap selection in the tree in the right pane will list the different size and bit colors used in the project. For the example shown below, there is only one Bitmap that is x60 y58 24 bit. It is located on Screen 7, used in Dynamic Bitmap5 and it is 6,960 Bytes.

Locating the Screen and Object

To locate the Screen and Object containing the Bitmap or other object, double click on the line on the right pane. In the example below, when you double click on Screen 7-Dynamic Bitmap5, Screen 7 will open and the object will be highlighted on the screen.

Reducing Project Memory

If Bitmaps less than 16-bit are used, the project size can be reduced by selecting Bitmap Option (less Memory) in the Panel Manager as shown below.

Note: This will not reduce the project size where all of the Bitmaps used in the project are 16-bit or higher.

Remote Access Feature Project Memory

If the Remote Access Feature is enabled (in Touch Panel Network Setup), Project Memory will be increased by an amount specific to the panel:

Panel Type | Remote Access Memory Usage
6" | 1,228,800 Byte
8" | 1,920,000 Byte
10" | 1,920,000 Byte
12" | 1,920,000 Byte
15" | 3,145,728 Byte

This appears under the "Setup" item in the left pane of the Project Memory Window.


Tutorials

This Help File provides Tutorials to help users get acquainted with the C-more Programming Software. The Tutorials are simple and designed to use some of the features of the software to provide a basic understanding of the software.

The current available Tutorial selections are:

  • Tutorial: Quick Project with Multi-Language Features
  • Tutorial: Simple AC Drive Control Interface

Look for future revisions of this Help File, which will include additional Tutorials...


Tutorial: Quick Project with Multi-Language Features

The purpose of this tutorial is to create a very basic project screen that will provide a sample of the steps required to develop projects to help a user get acquainted with C-more HMI Programming Software features and use. This project also includes the use of the Multi-Language.

For this sample project we will develop a screen that includes an Analog Clock and uses a Set Language system button object to control the Language to be displayed. Please continue to all the steps listed below to develop your sample project:

Step 1:

Start the C-more Programming Software

Find the C-more Icon [image] on the desktop and double click it. The application launches and a Splash Screen like the one shown below appears for seconds while the full program loads.

After a few seconds the program opens and the Main Application Screen is displayed. The program is now ready for use.

Step 2:

Start a Project

  1. From the Quick Project Toolbar, click on the Start a Project button. This opens the Start a Project window shown below. From this window, the Make a New Project button should be selected by default. The selected button will have a light blue frame around it. If not selected, click on Make a New Project.

  2. Click on the Browse button [image] to the right of the Save Location field. This opens the Browse for Folder window shown below.

The default location is the Project folder of the C-more application. However, the user may pick any preferred location by finding another preferred folder using the folder browser and clicking on that folder to select it. Once the folder is selected it will be highlighted in blue. Click on the OK button to accept this selection.

The Browse for Folder window closes and the Start a Project window now displays the selected folder path on the Save Location field.

Step 3:

Enter a Project Name

The default name given by the application will be displayed on the Project Name field of the Start a Project window. You may choose to keep this name or click on the field to change it. For this sample we will type Multi-Lan Sample in the field. A different name may be used if you prefer.

Step 4:

Select C-more Panel Type

From the HMI Type field of the Start a Project window, select your C-more panel from the drop down list. Your panel model is displayed on the HMI Type field.

Step 5:

Select the PLC Connected to the C-more Panel

From the PLC Protocol field of the Start a Project window, click on the drop down list for compatible PLC's that may be used with the C-more panels. Select your PLC model from the list. The selected PLC model should be displayed in the PLC Protocol field.

The Protocol Setup button allows the user to configure the protocol for the respective PLC.

Step 6:

Verify and Accept Entries

Verify that all entries and selections made are correct. If you want to use the Auto Save and Auto Backup options, select the Click Here text located directly above the OK, Cancel, and Help buttons.

Once the entries and selections are confirmed, click on the OK button of the Start a Project window.

Step 7: Setup Languages

For this project we will use two Languages, English and Spanish. Click on the Setup selection on the Main Menu and select Language.

The Language Setup window shown below opens.

The Language Setup window offers up to nine different languages. The C-more application is pre-configured for English, Spanish, Japanese, and Chinese. Other languages may require additional setup or may be available in future versions.

  1. The Language Setup screen shows that ALL nine language settings for C-more are set to English by default. To setup the English and Spanish languages follow these steps:

  1. For this project we will assume that English is the main language. Since the default language is English, the System Language field for the Language #1should be English. If not, select English from the drop down list.

  2. The Name field for Language #1 default is Language 1. This field may be left as is or you may enter a different name. For this sample project, change the Name to "English". Any Name may be given (i.e., Inglés, Primary, Main).

  3. The default font used for the language settings is Arial. For this project we will choose a different font. Select Arial Bold from the Font drop down list.

  2. Language #1 is now setup. To set the second language follow these steps:

  1. We will assume that Spanish is the secondary language. On the Language #2 System Language field, select Spanish from the System Language drop down list.

  2. In the Name field, change Language 2 to "Spanish". Any name may be given (i.e., Español, Secondary, Second).

  3. The default font used for the language settings is Arial. For this project we will choose a different font. Select Arial Bold from the drop down list.

  3. Since there are no other languages the setup is complete. If more languages were required you would just repeat the steps above for the next language setting. The two edited fields should look like the figure shown below.

Step 8:

Select and Setup the Analog Clock Object

With all setup windows now closed, the project is ready to add objects. From the Object List window located in the upper-right side of the screen, scroll down to the Clock list. For this project we will use the Analog Clock.

Double-click on the Analog Clock selection shown below.

The setup window shown below will be displayed.

To make this sample quick and simple, we will only edit some basic setup features. To learn more on the setup features of this screen, go to More About Analog Clock Setup.

From the Analog Setup screen follow these steps (use figure above as reference):

  1. First, we'll setup the English properties of the clock. Make sure the Language selected is English. If not, click on the Language down arrow [image] and select English.

  2. Next, click on the Label checkbox to activate the Label feature. The default label text is Analog Clock. For this sample we will leave this text for the English setup. This text may be edited by clicking on the field and replacing the existing text with whatever label is preferred.

With the English portion completed, now let's setup the Spanish portion:

  1. Click on the down arrow [image] of the Language Selection and select Spanish from the drop down list. No change will be noticed, but with the Spanish language selected we will be able to edit the Label.

  2. The Label checkbox should be checked already. The default label text is Analog Clock also. If anything else was typed it will show that text as default. For this sample we will type "Reloj Análogo", which is Analog Clock in Spanish. Please note that special characters with accents are being used.

After completing above instructions click on the OK button to close the Analog Clock Setup window and accept all entries.

Note: To use special characters for Spanish words you will need to use the Windows Special Characters entry. The Character Map is always located on the Start > Program Files > Accessories > System Tools > Character Map.

The Work Area now has an Analog Clock object that looks like the figure below. This object may be resized by clicking and dragging the handles as shown in the figure below. Resize the object to your liking now.

Step 9:

Select and Setup the Set Language Objects

The next objects we need to configure are the Set Language buttons. From the Object List, go to System and double-click on the Set Language selection.

The Set Language Setup window shown below will be displayed.

To make this sample quick and simple, we will only edit some basic setup features. To learn more on the setup features of this screen, go to More About Set Language Object.

From the Set Language window follow these steps (use figure above as reference):

  1. First we'll setup the English selection. Make sure the Language selected is English. If not, click on the down arrow [image] and select English.

  2. Next, make sure the Language selected for the Panel Language under the Select Language field is 1 - English. If not, click on the down arrow [image] and select it from the list.

  3. Click on the Text field to overwrite the default Language text on the field. Type the word "English" on this field.

  4. After completing steps a, b, and c, go back to the Language Selection (labeled "a" in figure above) and click on the down arrow [image] and select Spanish.

  5. Next, click on the Text field to overwrite the default Language text on the field. Type the word "Ingles" on this field, which is English in Spanish.

Once these three steps are completed, click on the OK button to close the Set Language window and accept the entries.

Repeat the steps to add another Set Language object and from the Set Language window follow these steps (use figure above as reference):

  1. Click on the Language Selection and select Spanish from the drop down list.

  2. Next, make sure the Language selected for the Panel Language under the Select Language field is 2 - Spanish. If not, click on the down arrow [image] and select it from the list.

  3. Click on the Text field to overwrite the default Language text on the field. Type the word "Español" on this field.

  4. After completing steps a, b, and c, go back to the Language Selection (labeled "a" in figure above) and click on the down arrow [image] and select English.

  5. Next, click on the Text field to overwrite the default Language text on the field. Type the word "Spanish" on this field.

Once these three steps are completed, click on the OK button to close the Set Language window and accept the entries.

Click on each button to resize them and arrange them on the work area so your project will look similar to the figure below.

Step 10:

Select a Static Text Object

The simple project is almost finished but we will add a Static Text Object to put a label over the language selection buttons that will indicate that a language selection can be made with these buttons.

From the Object List go to Text and double-click on the Static Text selection.

The Static Text shown below will be displayed.

To make this sample quick and simple, we will only edit some basic setup features. To learn more on the setup features of this screen, click on the green More About Static Text Object text.

From the Static Text screen follow these steps (use figure above as reference):

  1. Make sure the Language selected is English. If not, click on the down arrow [image] and select English.

  2. Next, click on the Text field. The default text is Static Text. For this sample we will overwrite this text with "Select a Language".

With the English portion completed, now let's setup the Spanish portion:

  1. Click on the down arrow [image] of the Language Selection and select Spanish from the drop down list. No change will be noticed, but with the Spanish language selected, we will be able to edit the Label.

  2. Overwrite the Text window's default text with "Seleccione un Lenguaje", which is Spanish for Select a Language.

After completing the above instructions, click on the OK button to close the Static Text window and accept all entries.

Click on the Static Text object to resize and arrange it on the work area so your project will look similar to the figure below.

Step 11:

Run a Simulation

The simple Multi-Language project is now complete. To test your project, use the built-in Project Simulator. Click on the Simulate Project button on the Quick Project Toolbar. The simulation will be loaded and your initial screen should look similar to this:

Please note the above figure is all in English. Now click on the Spanish button and the screen will change to the one shown below:

Please note that all the information on the screen is in Spanish. You can toggle back and forth from English to Spanish by simply selecting the language buttons.

Another screen that opens during Simulate Project is the Simulation Control window as shown below.

To learn more about this window, go to Learn More about Simulation.

Step 12: Transfer to HMI Panel

Once you are satisfied with the project, it's time to Transfer the project to your Panel. To Transfer the Project, click on the text to open the Send Project to Panel topic.


Tutorial: Simple AC Drive Control Interface

This example project provides a step-by-step guide to creating a simple AC drive control interface.

The purpose of this exercise is to introduce C-more programming software. We do not intend to imply suitability of this project for your particular application.

In this example, a C-more EA7-T8C panel provides the control interface to a GS2 AC drive. The panel communicates with the drive via Modbus RTU protocol.

The project will create:

  • 2 buttons; to control the start/stop of the AC drive and select the direction of rotation.
  • 1 set point button; to control speed.
  • 2 display windows; one for estimated speed and one for current reading.
  • a bitmap image of the process being controlled.

Getting Started

Step 1:

Start the C-more Programming Software

Find the C-more Icon [image] on the desktop and double click it. The software launches and a Splash Screen like the one shown below appears for a few seconds while the program loads.

When the program opens, the Main Application Screen shown below is displayed. The program is now ready for use.

Step 2:

Start a Project

From the Quick Project Toolbar, click on the Start a Project button.

This opens the Start a Project window shown below. From this window, the Make a New Project button should be selected by default. The selected button will have a light blue frame around it. If not selected, click on Make a New Project.

Click on the Browse button [image] to the right of the Save Location field. This opens the Browse for Folder window shown below.

The default location is the Project folder of the C-more application. However, the user may pick any location using the folder browser and clicking on the preferred folder to select it.

Once the folder is selected it will be highlighted in blue. Click on the OK button to accept this selection.

The Browse for Folder window closes and the Start a Project window now displays the selected folder path on the Save Location field.

Step 3:

Enter a Project Name

The default name given by the application will be displayed on the Project Name field of the Start a Project window. You may choose to keep this name or click on the field to change it. For this sample we will type GS2 Control in the field. A different name may be used if you prefer.

Step 4:

Select C-more Panel Type

From the HMI Type field of the Start a Project window, click on the down arrow [image] and select EA7-T8C panel from the drop down list. (Your panel model is displayed on the HMI Type field.)

Step 5:

Select the PLC Protocol

From the PLC Protocol field of the Start a Project window, click on the down arrow [image] for the drop down list of compatible PLC's that may be used with the C-more panels. For this example, select Modicon Modbus RTU from the list. We continue to add device-specific drivers to simplify configuring communication with popular modbus devices. Refer to the Help File "What's New" topic for recently added device-specific modbus drivers, including a GS Drives driver (AutomationDirect GS Drives Serial). This tutorial configures communication between the GS2 Drive and the C-more panel using the general Modbus driver.

Step6:

Setting Up the PLC Protocol

Click on the Protocol Setup button [image] to open the Panel Manager window for configuring the protocol for the respective PLC.

In the Direct Connection configuration panel, the C-more panel will be configured as PLC Slave Number = 2, Baud Rate = 9600, Parity = ODD, Stop Bit = 1. The remaining parameters will use the default values. Refer to the Protocol Setup topic in this help file for detailed information on each of the protocols available for C-more panel communication.

In our example, these values match the parameters that would have been programmed for the GS2 group 9:

P9.00 => 2 ( slave #)

P9.01 => 01 (transmission speed)

P9.02 => 05 (MODBUS RTU , 8 data bits, Odd parity, 1 stop bit.)

After verifying entries and selections in the Direct Connection panel, click OK in the Panel Manager protocol setup window, then click OK in the Start a Project window.

Step 7:

Setting Device Name

Access the Panel Manager window by clicking on Setup on the main window tool bar and selecting Panel Manager from the drop down menu.

The Panel Manager window will then be displayed.

Right click on DEV001 and select Rename.

Replace “DEV001” with “GS2”.

Step 8:

Save the Project

Save the project by clicking on File on the main window tool bar and selecting Save Project from the drop down menu.

Creating Screen Objects

Step 9:

Opening the Pushbutton Window

Select Object on the main window tool bar, then place the cursor over Button on the Object drop down menu and select Pushbutton from the Button drop down menu.

The cursor will turn into a cross, making it possible to drag the cursor to draw a rectangle. When this is done, the Pushbutton window will pop up, as shown below:

Step 10: Adding a Tag Name

The Pushbutton window is used to customize the object. In this case, we need to associate the pushbutton with the start/stop command on the GS2. Looking on page 5-8 of the GS2 User Manual, it says that the MODBUS address for parameter P9.27 is 42332.

Use the Tag Name "START/STOP" for this example. Type "START/STOP" in the Tag Name field and then press "Enter" (on the keyboard). The Tag Name - Add window will then be displayed.

In the Tag Name – Add window, Tag Information section preform the following:

  • Using the down arrow [image], select Device Name "GS2".
  • Using the down arrow [image], select Tag Data Type "Discrete".

The PLC address from the GS2 User Manual is: Memory Type 4, Address 2332 and Bit 0.

In the Tag Name – Add window, PLC Address section perform the following:

  • Using the down arrow [image], select Memory Type "4".
  • Type in an Address of "2332"
  • Using the down arrow [image], select Bit "0".

Click the Add button to save & close the New Tag - Add window and return to the Pushbutton object window.

Step 11: Customizing the On/Off Pushbutton Object

Customize the pushbutton as follows:

  • Click the Label check box and replace the “PUSHBUTTON” text with “Motor”.
  • Replace the OFF text “Off” with “Stopped”.
  • Change the OFF Back Color (in the OFF Text block) to red by clicking on the color button and selecting from the palette.

  • Replace the “On” text with “RUN”.

Click on the OK button to save the Pushbutton object to the project and close the Pushbutton window.

There are a variety of options to create a more effective object for your application: you can change the size of the fonts, as well as the fonts themselves. You may get one condition blinking, etc.

Step 12: Customizing the FWD/REV Pushbutton Object

In order to create the FWD/REV button, you can follow the same procedure (steps 9,10 & 11), customizing it, or simply copy and paste the object just created.

A copy will be performed for this example:

  • Click once on the Motor Pushbutton object and then copy the object using the techniques of Windows (CTRL+C or click on the menu Edit> Copy). This will copy the object to the Clipboard.
  • After coping the Pushbutton object, paste it with one of the techniques of Windows (CTRL+V or click on the menu Edit> Paste). A copy will show up over the existing pushbutton.
  • Drag the new Pushbutton object to the desired position. Then, you can change the data by editing the object. Double click on the new Pushbutton object to open its configuration window.
  • Type over the Tag Name with the new Tag Name "FWD/REV" and then press "Enter" (on the keyboard). The Tag Name - Add window will then be displayed.
  • Look on page 5-8 of the GS2 User Manual. It says there that the MODBUS address for parameter P9.28 is 42333.
  • Follow the instructions of step 9 to add the new tag using the following information: Device Name = GS2, Tag Data Type = Discrete, Memory Type = 4, Address = 2333, Bit = 0.

  • After the Pushbutton object window is displayed, for the Label, replace the “Motor” text with “FWD/REV”.
  • Replace the OFF text “Stopped” with “REV”.
  • Replace the ON text “RUN” with “FWD”.

Click on the OK button to save the Pushbutton object to the project and close the Pushbutton window.

You can save the project on this stage by clicking the windows Save icon [image] on the menu bar, or by selecting File – Save from the drop down menu.

Step 13: Customizing the Set Point Button (Numeric Entry Object)

Now we are ready to create the Numeric Entry object, to set the desired motor speed.

Select Object on the main window tool bar, then place the cursor over Entry on the Object drop down menu and select Numeric Entry from the Entry drop down menu.

The cursor will turn into a cross, drag the cursor to form a rectangle. When this is done, the Numeric Entry window will pop up, as shown below:

From the GS2 User Manual, we find that the GS2 accepts frequency as set point, with an unsigned 16 bit decimal format. This is located on address 42331(Parameter P9.26).

For our tutorial project, we will configure the following fields:

Numeric Entry Window:

General Tab:

    • Click the Label check box and replace the NUMERIC ENTRY default label text with “SET POINT”
    • Display Format: Data Type; Using the down arrow [image], select "Unsigned Decimal".
    • Display Format:Number of Digits; Set Total = 4 and Fractional = 1
    • For Suffix enter “rpm”

Click the Option tab, select Scaling Option check box.

    • For Point1:PLC Value "0" (Hz) will correspond to Display Value "0" (rpm).
    • For Point2:PLC Value "60" (Hz) will correspond to Display Value "1750" (rpm.)

Click the General Tab and for the Data Entry Tag & Data Display Tag: enter "SPEED", then press "Enter" (on the keyboard). The Tag Name - Add window will then be displayed.

Tag Name - Add Window:

    • Tag Information; Device Name: Using the down arrow [image], select "GS2".
    • Tag Information; Tag Data Type: Using the down arrow [image], select "Unsigned int 16".
    • PLC Address; Memory Type: Using the down arrow [image], select "4".
    • PLC Address; Address: Enter "2331".
    • Click the Add button to save & close the New Tag - Add window and return to the Numeric Entry object window.

Click on the OK button to save the Numeric Entry object to the project and close the Numeric Entry window.

Step 14: Create a Bitmap Object

Now we are ready to create the Bitmap object, good method to put a picture of your machine, or a mimic diagram of your process, or even a logo.

Select Object on the main window tool bar, then place the cursor over Bitmap on the Object drop down menu and select Static Bitmap from the Bitmap drop down menu.

The cursor will turn into a cross, drag the cursor to form a rectangle. When this is done, the Static Bitmap window will pop up, as shown below:

On the Image box, select the Symbol button [image] to open the available images.

For this tutorial we will use an HVAC, Furnace Bitmap image.

From the Categories list, select "HVAC" and double click on the first image (top left). The Static Bitmap window will popup with the selected image.

Click on the OK button to save the Static Bitmap object to the project and close the Static Bitmap window.

Step 15: Create the Current Display tag (Static Text Object)

Select Object on the Main Window tool bar, then place the cursor over Text on the Object drop down menu and select Static Text from the Text drop down menu.

The cursor will turn into a cross, drag the cursor to form a rectangle. When this is done, the Static Text window will pop up, as shown below:

In the Text box, replace “STATIC TEXT” with “Current”.

Uncheck the Display Frame checkbox.

Open the Back Color: palette and select white for the background.

Select Text Size: of "14".

Click on the OK button to save the Static Text object to the project and close the Static Text window.

Step 16: Create the Current Display Window (Numeric Display Object)

Select Object on the Main Window tool bar, then place the cursor over Indicator on the Object drop down menu and select Numeric Display from the Indicator drop down menu.

The cursor will turn into a cross, drag the cursor to form a rectangle. Form a rectangle next to the "Current" Static Text object. When this is done, the Numeric Display window will pop up, as shown below:

For a Data Display Tag type "CURRENT", then press "Enter" (on the keyboard). The Tag Name - Add window will then be displayed.

From the GS2 User Manual we find: Tag Data Type: is Unsigned int 16, Memory Type is 4, Address is 8453

Follow the instructions of step 9 to add the new tag using the following information: Device Name = GS2, Tag Data Type = Unsigned int 16, Memory Type = 4, Address = 8453.

After the Numeric Display object window is displayed:

  • Set the Font & Color;Text Size to 14.
  • Open the Font & Color;Back palette and select "light orange".
  • Using the down arrow [image], select Display Format;Data Type to Signed Decimal,
  • Set Display Format;Number of Digits:Total to 3 and Fractional to 1.
  • Set Display Format;Suffix to “A”

Click on the OK button to save the Numeric Display object to the project and close the Numeric Display window.

Step 17: Creating the Estimated Speed Tag & Display window (Static Text and Numeric Display Objects)

In order to create the Estimated Speed display objects we will copy the Static Text and Numeric Display objects created in steps 15 and 16.

You can copy and paste the Static Text object and the Numeric Display object by selecting both: click outside the boundaries of the 2 objects, (as in the area marked on the figure below), and drag to form a rectangle that will contain and select both objects.

The objects will show small circles on the corners, showing that they are selected.

Then, copy and paste using the Windows Ctrl-C then Ctrl-V (or Edit – Copy then Edit – Paste).

Move the two new objects to a suitable location on the screen.

Step 17a: Editing the Estimated Speed Tag (Static Text Object)

Double click the new Static Text object and replace the “Current” text with “Estimated Speed”.

Click OK to save the changes and close the Static Text window.

Step 17b: Editing the Estimated Speed Display window (Numeric Display Object)

Double click on the new Numeric Entry object and replace the Data Display Tag with "ESTIM SPEED" then press Enter (on the keyboard). The Tag Name - Add window will then be displayed.

From the GS2 User Manual, we find the address to be Memory Type 4, Address 8456.

Follow the instructions of step 9 to add the new tag using the following information: Device Name = GS2, Tag Data Type = Unsigned int 16, Memory Type = 4, Address = 8456.

Click OK to save and close the window, returning to the Numeric Display window.

After the Numeric Display object window is displayed:

  • Set the Font & Color;Text Size to 14.
  • Set Display Format;Number of Digits:Total to 4 and Fractional to 0.
  • Set Display Format;Suffix to “rpm”

Click on the OK button to save the Numeric Display object to the project and close the Numeric Display window.

Step 18: Save Project and Send to Panel

Save the project (see step 8).

To send the project to the panel, click on the Send Project to panel button. The STEP 3 window will then be displayed.

Click the Panel button on the left.

Select USB if the panel is connected to a PC USB port by the USB-CBL-AB15 cable.

Or, select Ethernet if the panel is connected to the PC via Ethernet; select the appropriate panel IP Address.

Click Transfer button. The Transfer to Panel status window will then be displayed until the project transfer is complete.

The C-more Programing Software window will then be displayed with "Transfer OK" and a time value.

Click OK on the C-more Programming Software window.

Click Close on the Step 3 window.

The panel will now provide the interface to the GS2 drive to provide simple control of the motor.


What's New?

Readme File

The Readme file included with the C-more Programming Software is a pdf file that provides information on the software version you are currently using, improvements, requirements, and other important and helpful information.

When the C-more Programming Software is installed, a Readme file is included with the installation. To open this file, click on the Windows Start button, then Programs, go to the AutomationDirect folder, then C-more folder and click on the Readme selection of the drop down menu. See figure below for reference.

What's New?

The following Table provides a history of changes made to this Help File. Refer to this history in all correspondences and/or discussions about this Help File.

Version

Date

Description of Change

6

3/2015

Original Issue

6.11

5/2015

- Updates to Topic CM342. CPU Types were updated.

- Corrections made to Topic CM413. Visible File Names were corrected to reflect a valid year.

6.14

12/3/15

- Updates to Topic CM501 CLICK Serial Setup that include new screen captures and minor edits.

- New Topic CM500 CLICK Ethernet Setup was added to support configuration with NEW CLICK Ethernet CPU.

- Minor updates made to various topics to match new improvements to C-more Software.

6.20

6/1/16

  • Updates to Topic CM132 Ethernet Connection Setup that include new screen captures and minor edits.
  • New Topic CM346 Auto Save and Backup was added.
  • New Topic CM347 A-B Micro800 EtherNet/IP added to support configuration A-B Micro800 EtherNet/IP CPU.
  • New Topic CM348 A-B Micro800 EtherNet/IP Addressing added to support configuration A-B Micro800 EtherNet/IP CPU.
  • New Topic CM349 A-B Micro800 EtherNet/IP Tag Import Method added to support configuration A-B Micro800 EtherNet/IP CPU.
  • New Topic CM351 A-B Micro800 EtherNet/IP Serial added to support configuration A-B Micro800 EtherNet/IP CPU.
  • New Topic CM355 A-B Micro800 EtherNet/IP Serial Micro800 Addressing added to support configuration A-B Micro800 EtherNet/IP CPU.
  • New Topic CM356 A-B Micro800 EtherNet/IP Serial Error Codes added to support configuration A-B Micro800 EtherNet/IP CPU.
  • New Topic CM357 GE 90/30 and Rx3i Protocol Setup added to support configuration GE 90/30 Rx3i CPU.
  • New Topic CM358 GE 90/30 and Rx3i Protocol Addressing added to support configuration GE 90/30 Rx3i CPU.
  • New Topic CM359 GE 90/30 and Rx3i Protocol Error Codes added to support configuration GE 90/30 Rx3i CPU.
6.30 11/16/16
  • New Topic CM016 Project Resolution Difference was added.
6.31 5/2017

- New Topic CM041 AutomationDirect Do-more Ethernet Drivers added

- New Topic CM043 AutomationDirect Do-more Ethernet Symbolic (Full Memory) added

- New Topic CM050 AutomationDirect Do-more Serial Drivers added

- New Topic CM053 AutomationDirect Do-more Serial Symbolic (Full Memory) added

- New Topic CM054 AutomationDirect Do-more PLC Importing Tags added

- New Topic CM055 AutomationDirect Do-more Symbolic Addressing added

- Update to topic AutomationDirect Do-more Error Codes - Code 0x01 updated


Frequently Asked Questions (FAQs)

The following Frequently Asked Questions (FAQs) are provided as a quick reference for answers to common questions. These FAQs are constantly being updated to help users find quick answers and solutions without having to pick up a phone. If you do not find a solution to your problem, please feel free to contact our Award Wining Technical Support team for help.

If you would like to suggest a new FAQ item, please go to:

http://support.automationdirect.com/techinquiry.html

Click a Topic from the buttons below, to will take you directly to the FAQs related to that topic.

Alarms / Events

  1. Where did my Alarm Database go?

The C-more Software uses an Event Manager Database where users can setup different types of Events including Events that indicate an Alarm Action. To learn more about using Events as an Alarm Action, click on the button below:

  2. I know that I can send my Trend Log file based on an Alarm Event but I do not see that as an option under Actions?

This Action is only active when an FTP server is added to the address book. Once the FTP server is added, the FTP transfer option is viewable under Actions.

  3. I know that I can send an email based on an Alarm Event but I don’t see that as an option under Actions?

This Option is only available if one or more email addresses are added to the Address Book. Once an email address is added, the Email Notification Option is viewable under Actions. To learn more about adding emails to the address book click on the button below:

  4. What is the Maximum number of Actions per Event and the Maximum number of each action type per Event?

You can have a combination of 16 allowable Actions per Event. However, for each type of Action, the limitations per Event are:

  1. Alarm Action = 1 per Event
  2. Tag Action = 16 per Event
  3. Tag Copy Action = 16 per Event
  4. Sound Action = 1 per Event
  5. Screen Capture Action = 1 per Event
  6. Mail Action = 1 per Event (Requires Panel Manager Email setup)
  7. FTP Action = 1 per Event (Requires Panel Manager FTP setup)
  8. Backlight Action = 1 per Event
  9. Screen Change Action = 1 per Event
  10. Message Box Action = 16 per Event

For example, the table below shows a possible combination 16 Actions for an Event. You can use any of the available Actions as long as the limitations described above are not exceeded and the total Actions don't exceed 16.

EXAMPLE
Action Type | Qty Per Event
Alarm | 1
Tag | 4
Screen Capture | 1
Mail | 1
FTP | 1
Message Box | 4
Sound | 1
Tag Copy | 3
Total Actions: | 16

  5. How many Alarms can be displayed?

Alarm List:99 total displayed alarms (Set in panel manager).

Call Alarm Screen: 64 total displayed alarms (fixed).

Return to Top

Cables / Wiring

The green indicator light on this window means that the very lowest level of USB communications is connected, but it does not necessarily mean the panel and PC are communicating. If the Transfer button is not active, then the panel and PC are not communicating properly.

Before trying anything else, make sure that the panel is not running setup screens (i.e., calibrations screen). If the panel is running setup screens, exit all setup screens to return to operation mode. When setup screens run they may cause the problem described above.

If that was not the problem, then if a PLC is connected to the serial port of the panel, disconnect it. If this corrects the problem, then check your grounding for the PLC and the panel. If this does not correct the problem, reinstall the USB driver.

Return to Top

Databases
  1. What is the Maximum number of Messages in Message Database?

999 Messages

  2. What is the Maximum number of Tags in a Tag Database?

30,000 Tags

  3. Can the databases from C-more be Exported to other applications?

Yes. The Tag Names, Messages, Recipes and Address Book can be exported to any application that accepts Excel files or a CSV file (comma delimited). However, Recipes are Exported as CSV file format and the Messages are Exported as XLS format only. To learn more, click on the button below:

  4. Can databases from other programs be Imported to the C-more application?

Yes. Tag Names, Messages, Recipes and Address Books in Excel or CSV file format can be imported to C-more. However, Recipes can only be Imported as CSV file format and Messages can only be Imported as XLS format. To learn more, click on button below:

  5. How many Events can I include in a project’s Event Database?

C-more Panels have capacity for up to 999 Events.

  6. How many Messages can I include in a project’s Message Database?

C-more Panels have capacity for up to 999 Messages.

Return to Top

Email
  1. Do I have to connect C-more to the Internet in order to send email?

No, but it must have a connection to an SMTP server via Ethernet. To learn more click on the button below:

  2. I know that I can send an email based on an Event, but I get an "Email Services are Not Configured" error when selecting Mail as an Event Action during configuration. Why do I get this error?

The Email feature requires at least one email address to be setup in the Address Book. To learn more about setting up Emails, click on the button below:

  3. How do find out the IP Address of my Email server or FTP server?

If you know the name of the server such as mail.mycompany.com, using the command line on you PC, you can "ping" the server using "c:\ping mail.mycompany.com" command and it will respond with the IP Address.

  4. Can the C-more panel send text messages?

No, but it can email to text, with the same message length restrictions as text messages. Contact your cell provider (or google) for the format of the cell phone email address.

Return to Top

Firmware
  1. What if my software is older than the Firmware in my new panel? Can I load old Firmware in my panel or do I have to download the latest software?

If you have a panel with a newer version of Firmware and you are using an older version of Software, you should Upgrade your Software to use the latest Software version and the Firmware included with it. The latest Software download is found at:

http://support.automationdirect.com/products/cmore.html

To find out the version of Firmware a panel has and what version a software is, and to determine if the panel Firmware and the software are compatible, do the following:

Determine Panel Firmware Version:

  1. Access the Main Menu of the touch panel System Setup Screens by pressing the extreme upper left corner of the panel for 3 seconds as shown below.

The following Screen is displayed:

  2. From this Screen, press on the OK button and the Main Menu screen shown below opens.

Press the Information button to access the Information screen shown below.

The sample shown above shows the Firmware version to be 2.23. Now find the Software version as shown below.

Determine Software Version:

  1. From the C-more Programming Software, go to the Main Menu, click on the Help selection and from the drop down menu click on the About C-more Programming Software selection. This opens the About C-more Programming Software window shown below.

The sample shown above shows the Software version to be 5.90.

  2. Can I just download the latest Firmware files, and not the entire program?

No.

Return to Top

Fonts
  1. How can I change the default font?

Go to the Setup selection on the Main Menu and select it. From the drop down menu click on Language and from the Language Setup Window select a Font for each language used on the project.

Return to Top

Graphics
  1. I plan to use a software to produce high quality 2 and 3D diagrams of processes. I want to Export the Image to C-more and use it as the main display on the Touch Screen. Is this possible and if yes, What file extension does C-more read for the main display images?

Yes! C-more will only read .BMP from a disk. If the file being imported has more than 65K colors, C-more will Resample the file for you. You may also Copy to the Clipboard and use the Clipboard option. However, to obtain best image quality, you might want to Resample the Bitmaps yourself in a third party graphics package to have more control over the Resampling. To learn more about Importing Graphics, see the Static Bitmap Object's General Tab topic.

  2. How are CPU resources affected by the design of a screen?

The screen update rate is affected by the CPU resources required by the screen. Several decisions by the programmer affect the CPU resources. As a general rule, if graphics must be processed by the panel, there will be a noticeable affect on the screen update rate.

The “Stretch to Fit” checkbox on the Animation Bitmap Object, Bitmap Button Object, Dynamic Bitmap Object, Multi-State Bitmap Object and Static Bitmap Object is a convenience for the programmer that comes with a significant (but avoidable) cost in terms of CPU resources. When possible, use a graphics program to render the bitmap to the desired fit and save the bitmap file. Then use the revised bitmap file in the object in C-more without using the Stretch to Fit option.

Transparency can be effective in your project, but it also has comes at a significant cost in terms of CPU resources and a noticeable affect on screen update rates. In addition to the Bitmap Objects listed above, transparency is an option for the Bar Meter Object, Bitmap Text Object, Static Text Object and Valve Indicator Object.

The visibility option available on all objects except the Popup Window Frame Object and Static Bitmap Object may noticeably affect screen update speed as well.

The Popup Window Object itself may noticeably affect screen update speed.

The Blink Option has the same effect as Stretch to Fit when objects overlap graphic objects. The graphic object must be redrawn each time the Blink occurs. Stretch to Fit selected on the underlying graphics objects amplifies the affect.

Return to Top

Language
  1. Can I use Multi-language? How do I configure it?

Yes, C-more Software allows users to configure up to nine languages. To learn more about configuring Languages for a project, click on the button below:

Return to Top

Libraries
  1. Are there any limits to the library functions?

They are only limited by your imagination.

  2. It looks like you can pretty much put any object, pushbutton, indicator or bitmap as part of a library object. Is that true?

Any Object that can be placed on a screen can be made part of a Library Object.

Return to Top

Memory
  1. I installed a SD in SD1 for data logging. When the panel was powered up with a project running. After a power cycle the panel comes up with no user project. Why?

The project file is stored in the panel internal flash memory unless SD1 is installed when the project is downloaded to the panel.

If an SD card is installed in the SD1 Slot, the OS assumes you want to use this for project memory. A project that resides in the internal flash memory is cleared when a project is loaded to the SD so that you do not have two different projects resident in the panel. But if the SD card was installed in SD1 Slot after the project had been downloaded, the project remains in the panel's internal flash memory. After a power cycle, the panel looks in SD1 Slot for the project.

SD1 provides more project memory. It does this by separating Fonts and Recipe Sheets from the project on the SD card. The base project size is still limited to 26MB/82MB depending on panel size. If an SD is not used, the overall project size including Fonts and Recipe Sheets is limited to this.

SD2 is intended to be used for Data Logging and Backups, just like the USB.

Return to Top

Objects
  1. What is the Maximum number of Objects per screen?

500 Object/Screen. Of course, the more objects the more the panel performance will be affected.

  2. How can I change the properties of more than one object at time?

By using the Property List window you can choose multiple objects and edit all related properties that the objects may share with each other (i.e., fonts, background colors, size, style). Only the related properties will be displayed when multiple objects are selected. The Property List window can also be opened and closed with the F4 function key on your keyboard.

  3. Can Objects be overlapped over another Object?

Yes. With C-more Programming Software all Objects can be placed anywhere on the screen and overlapped over each other. Users can actually place an Object over another and select when the Objects are visible. This allows efficient use of the work space.

  4. How can I set a standard Frame Style for Objects?

From the Main Menu click on Setup and from the Setup drop down menu select Panel Manager. From the bottom portion of the Panel Manager window select a Frame Style.

In addition, some object setup windows allow changes to Frames.

  5. Can I use the Floating Point data type with all Objects?

Not with All Objects but the following Objects allow the use of Floating Point:

  • Increment/Decrement Value
  • Line Trend Graph
  • PID Faceplate Bar Meter
  • PID Faceplate Trend Graph
  • Recipe
  • Numeric Entry
  • Numeric Display
  • Meter
  • Bar Graph

Return to Top

PC (Laptop or Desktop) Connections
  1. Can I use the serial port on my laptop or desktop computer to upload/download programs via the serial port on a C-more Panel?

No, the C-more Panel is designed to communicate with a computer via it's USB or Ethernet port. The serial port located on the panel is for PLC Communications only.

Return to Top

PLC Connections
  1. Can C-more talk to multiple PLC nodes? How do I configure it?

Yes. See the topic for your specific PLC under the PLC's Setup on the Table of Contents.

  2. How many PLCs can a C-more Panel be connected to at the same time?

A maximum of 64 PLCs including both Ethernet and Serial can be used. C-more can communicate with multiple PLCs via a Serial network, an Ethernet network, or both. To learn more about setting up PLCs to work with C-more panels, see the topic for your specific PLC under the PLC's Setup on the Table of Contents.

  3. Why can't I select Module Number for my ECOM module / Why doesn't my ECOM show up in the Node List even though I can see it in NetEdit?

The ECOM needs to have a unique IP Address other than 255.255.255.255 or 0.0.0.0.

  4. How many CIP connections are established between a C-more panel and a PLC?

C-more establishes a single TCP connection through which a single CIP connection is used. Consult your PLC manufacturer on the number of each available to your specific PLC model.

The CIP connection is released when the TCP connection is terminated in an orderly manner. If the connection cannot be terminated in an orderly manner, for example, power loss at the C-more panel, the connection will not be released until the Inactivity Timeout (configured in Panel Manager) is reached.

  5. How many TCP connections are established between a C-more panel and a PLC?

One TCP connection is established for each C-more panel.

Return to Top

Projects
  1. What happens if more than one PC tries to Send a Project to the C-more Panel at the same time?

The Panel displays a violation message that reads: “A sharing violation occurred while accessing \Mounted Volume\Prj\EARun.net.” When this message appears, click OK on the violation message window and retry the Project Send from only one source.

Return to Top

Screens
  1. Can I create a common Screen or Template Screen? How should I configure it?

Yes, Use the Background Screen feature.

  2. How many Screens can I include in a project?

A project in a C-more Panel can have up to 999 Screens. This amount may vary slightly depending on the memory usage.

  3. Can I sort Screens in a project?

Yes. Screens can be dragged and dropped either in the Screen Tab of the Navigation Pane, or in the Screen Library.

  4. Does the Backlight come back ON when the panel is touched if a PLC address is used to turn it OFF, or does the PLC have to turn it back ON?

Start Screen Saver: The backlight turns OFF when the Start Screen Save tag changes from OFF to ON.

The panel backlight will turn ON again:

  • When the panel touchscreen is touched.
  • When the screen is clicked in a Remote Access session.
  • When an Alarm Action in the Event Manager occurs. (Only when the Display setting of the Alarm Action is checked).
  • When there is a Screen Change by the PLC.
  • When an Error such as a Communication Error occurs.
  5. What is the screen update time on C-more Touch Panels?

There is not a definite answer for this because it depends upon several factors. C-more updates each Object as the data is received from the PLC in communication packets. So there really isn't a Screen Update Time. There could be one communication packet for a Screen or there may be many based upon how efficiently the PLC Addresses were chosen for each Object.

Other factors that affect Update Times are:

  1. The Poll Rate set for the particular protocol. This is the time between each packet and is set by the programmer. It is used to reduce network traffic when many devices are on one network.
  2. The network communication settings such as Baud Rate.
  3. The network type such as Serial or Ethernet.
  4. The number of PLC Nodes.
  5. Background transactions such as Trend Graphs, Data Logging, Event Manager, FTP and Web Server transactions.
  6. Types of Objects on the Screen (i.e., Animation, Transparency, Blinking and Overlapping Objects) all increase the Screen Redraw Time.

Return to Top

Simulation
  1. When you run the simulator, is the size of the image the exact size of the operator panel you are using?

It is the same pixel size. The actual size in inches may vary depending on your monitor size and resolution.

Return to Top

Sound
  1. How do I turn Off the Beep sound on my panel so that the panel is silent when pressing on the panel screen?

The Panel Beep sound can be silenced by using either one of the following two methods:

  1. The first method is by going to the panel's system screen Main Menu by pressing the viewable upper left corner of the screen for three seconds. When the Main Menu displays on the panel, set the Enable Beeper to NO.
  2. The second method is by setting it up in the project. To change the Beep settings in the software, from the Navigator window, choose the Function Tab, then Setup, and then Panel Manager. On the Panel Manager window, click on OFF on the Beep setup. Click OK to exit.
  2. Does my Sound file get saved with the project?

Yes, you can also save your sounds to the Sound Library to keep them with your C-more Application also.

  3. Is the Audio Out Jack stereo?

Yes.

Return to Top

Tag Names
  1. Can the configuration of a Tag Name already assigned to a PLC address be modified?

Yes. However, only Tag Names that are used for only one Object may be modified. If the Tag Name is assigned to more than one Object, the assigned Objects will need to be deleted or reassigned to other Tag Names, even if temporarily. For more information click here: Tag Name Edit. See also Tag Cross Reference and Property List.

  2. What is the Maximum number of Tags available in a Tag Database?

30,000 Tags

  3. What does Retentive mean?

Retentive is an attribute that can be set for Internal tags. When a tag is Retentive, if power is lost at the C-more panel, the tag will retain its value when power is restored to the panel.

  4. What are the limitations of the Retentive attribute?

The value of a Retentive Tags will be erased when:

  1. The panel is not powered long enough for the capacitor that saves internal data to discharge. This capacitor will retain data for a minimum of 30 days.
  2. When a Memory Clear is executed through the Software or the System Screen.
  3. When a project is Sent or Copied to the panel.
  5. Why do I not see all the Discrete Tags in a Pushbutton object on the Tag Name pull-down?

This is probably because the PLC addresses assigned to these tags are read only. If this is the case, even if you define the tags as Discrete, the tags will not be viewable. Since a Pushbutton writes Discrete data to a PLC address, when the tag is Read Only, it does not allow the Pushbutton to write data to the PLC address.

Return to Top

Touchscreen
  1. What is the Touchscreen?

The Touchscreen is an analog resistive surface. There are no touchcell boundaries. The Touchscreen is designed to respond to a single touch. If it is touched at multiple points at the same time, an unexpected object may be activated.

Return to Top

Web Server
  1. Can I connect to the Web Server on the Panel from anywhere in the world?

Yes, if you have a Global IP Address you can assign to the panel. An IP Address is a unique number that network devices use in order to identify each other on a network when implementing the Internet Protocol. Most often you will need to request a Global IP Address from your Network Administrator or your ISP (Internet Service Provider).

  2. What does the Web Server feature offer in C-more?

When the Web Server feature is activated by using the Touch Panel Network tool in the C-more Programming Software, the C-more panel will accept HTTP requests from clients. These clients are most often web browsers. C-more will display web pages in the browser, which are usually HTML documents, but can also display raw text files, an image, or some other type of document. When you use Web Services through a Web Server, all you need to know to start communicating is the IP Address of the C-more panel you want to talk to.

Return to Top


Feedback

C-more Help File Feedback and Comments

THIS FEEDBACK IS ONLY FOR THE C-MORE PROGRAMMING SOFTWARE HELP FILE!!!

To submit Software Related Comments or Feedback , click on the green text.

As a continued effort to provide the best products to our Customers, we provide this Feedback Page where you, the User, can easily communicate to us any issues, suggestions, and comments (good or bad) about this Help File.

Your input is very important to us! Please take a minute to complete the information below. When finished, click the Send Feedback button and your email client will open with all the information already filled. If satisfied with the information, go ahead and send the email. Internet access and email account is required to send this email.

Thank you for helping us provide top quality products and for trusting AutomationDirect for your automation needs and services.

If we use the information you provide or post your comments on the official C-more Web Site or any other publication, we will send you a small gift as a way of thanking you for your input. The gift depends on what's available at the moment and may consist of a Cap, T-shirt or some other ADC souvenir.

Complete the form provided below and click on the Send Feedback button when finished to open your email client and send the form.

Subject:

Name:

Company:

We will ONLY use your email address if you request a reply or if we need an address to send you a thank you gift:

Email:

Please provide your Shirt Size just in case the gift is a T-shirt.

Shirt Size:

Enter your Comments below:

I authorize AutomationDirect.com to use my feedback,

my name, and my company name.


Project Resolution Difference

Overview

When the resolution of the project changes, the user has the option to:

  1. Display screens as original resolution

  2. Adjust screens to selected panel resolution

The Project Resolution Difference window will assist the developer in deciding which option to select.

There are three situations where the project resolution may change:

  1. Panel Manager - The Panel Type is changed by the developer.

  2. Simulator – The Project Panel resolution is not the same as the Target panel selected.

  3. Project Transfer – The Project Panel resolution is not the same as the physical Target panel.
  1. Display screens as original resolution:
    Selecting this option causes the target screen to match the original project screen pixel for pixel regardless of whether the target screen has more or less pixels than the project screen.
  2. Adjust screens to selected panel resolution:
    The pixel count for the project will be increased or reduced to make the screen fit the selected target panel resolution.

The result of the selection is shown in the Panel Resolution Difference window and is explained below.

Target Selection Results

The Screen Area will be trimmed

When Display screens as original resolution is selected, the original project area may be too large for the selected target screen area. As a result, the screen is trimmed. In the Panel Manager, this means not all of the objects will fit on the screen and as the screen size is reduced, the objects are left in the working area outside of the screen.

When Simulating or transferring a project to a panel, objects that do not fit on the screen area are trimmed out of the viewable area.

Blank area will be filled with Black

When Display screens as original resolution is selected, and the target panel is larger than the original project panel there will be screen areas that are blank. The blank areas will be filled with black when simulated or transferred to the target panel.

Alignment

When Display screens as original resolution is selected and the target panel is larger than the original project panel there will be extra space on the screen where screen areas that are blank. You may choose upon conversion where to place the smaller screen area.

Font size may need to be adjusted

When Adjust screens to selected panel resolution is selected and the target panel is larger than the project panel, the screens and objects are stretched. The text size is not changed. For example, a size 9 font is still a size 9 font but on a higher resolution panel, the text size will appear smaller.

To maintain the same look in the project as before, the developer will need to increase the size of the fonts in the objects. This is easy to accomplish one screen at a time by using Crtl+A to select all of the objects on a screen. Then select the Font Size Up or Font Size Down toolbar buttons [image] to adjust the font size as desired.

Objects may appear blurry

When Adjust screens to selected panel resolution is selected and the resolution of the original project does not match the native resolution of the target panel, graphic lines may fall between pixels. This will give some of the objects and text a blurry or fuzzy look on the screen.

For example, if the project panel type is EA9-T8CL and the resolution is VGA-640x480, but the target panel is an EA9-T8CL, EA9-T10CL or EA9-T12CL which all have a native resolution of SVGA- 800x600, objects and text may appear blurry.

VGA project running on SVGA panel SVGA project running on SVGA panel

The best solution is to select the native resolution of the panel as the project resolution. This is done in the Panel Manager. Then rearrange and resize the objects on the screen as needed.

Objects will be stretched

When Adjust screens to selected panel resolution is selected and the target panel is larger or smaller than the project panel, objects are stretched. They may be made wider or taller or both. The fonts will not be changed. If the Panel Aspect Ratio changes, for example 6 inch to 7 inch wide, the aspect ratio of the objects will change as well.

Note: If objects such as the Bitmap object have Lock Aspect Ratio selected, even though the Object space itself may change aspect ratio, the bitmap image will not. Deselecting Lock Aspect Ratio will allow the bitmap to fit to the object space.


53

Topic: CM053

AutomationDirect Do-more Ethernet

Two Ethernet drivers are available in C-more for the Do-more series PLCs:

  • AutomationDirect Do-more Ethernet (Built-in memory)
  • AutomationDirect Do-more Ethernet Symbolic Addressing (Full memory)

Your specific application will determine the best driver to use.

For 'most' applications, the Symbolic Addressing driver will be the best choice. With this driver, all memory addresses in tte PLC are available. However, the Symbolic Addressing driver is a bit less efficient than the Built-in memory driver. The performance should be sufficient for the majority of applications.

For very complicated or large applications, the Built-in memory driver may be a better choice since it is a more efficient driver but the memory is limited to Built-in Memory blocks only.

Do-more Designer Memory Configurations

Both drivers may be used simultaneously. Use the Built-in memory driver for all of the default memory addresses and use a Symbolic Addressing driver for any user- added memory. The two drivers can even co-exist for one PLC in the C-more project.


Event Add/Delete/Edit

Event Manager Database Samples

The Event Manager Database window shown in the figure below, opens when the Event Manager Database selection of the Database Menu is selected. The Database Menu is located on the Main Menu of this program.

The following is an example of the Event Manager Database showing several event/action entries.

For any event: A Green Arrow indicates at least one action of that type is configured and enabled. A Red Arrow indicates all actions of that type are Disabled. No Arrow indicates no actions of that type are configured.

Add an Event

Click on the Add button in the Event Manager Database dialog box shown in the figure above, to bring up the Event Add dialog box as shown below.

There are four (4) different types of Events that can be selected to produce an Action. The Events are Tag, Day &Time, Screen Change or Tag Combination. The figure below is the Event Add dialog box when it is opened for the first time.

At the top of the Event Add dialog box there is the Message No. field that allows the user to select the Event number. The left and right plain arrow buttons allow the user to index through the events one at a time when there are multiple Events. There are also lined arrow buttons that allow the user to go to the very beginning or very end of the list.

Choose the Event Type by clicking the desired Event Trigger button.

The Tag type event is used to cause an action to occur based on the condition of the Tag. Discrete type tags can trigger an action based on the tags On or Off state. An analog type tag, which would be a variable value, can trigger an action based on setting a maximum and/or minimum set point value.

The Day & Time event allows the user to schedule an exact time that they may want an action to occur. The action can be made to happen every day at the same time, specific days of the week and also a number of times per day at preset intervals.

The Screen Change event is just that. Anytime a screen is changed, we can cause any of the available actions to occur.

The Tag Combination type event is used to cause an action to occur based on the condition of combination of Tags.

The Event Name is used to label each Event for quick reference when looking for a specific event, etc. The event name can be up to 40 characters in length. The Event Name default is blank.

See either Event - Tag, Event - Day & Time, or Event - Screen Change for specific information.

Delete or Edit an Event

Existing Events can be Edited or Deleted by first clicking on the specific Event (1) in the Event Manager Database and then clicking either the Edit (2) button to edit the event or the Delete (3) button to delete the event from the database. See the following.


Auto Save and Backup

Project Auto Save/Backup

This option allows the user to configure the Project to automatically Save itself on a set interval and to automatically create a Backup copy of the Project when changes are made.

The Auto Save and Backup are configured by selecting Auto Save and Backup from the File menu or by selecting Project Auto Save/Backup from the Start a Project window as shown.

Once selected, the Auto Save and Backup window opens.

Auto Save Feature

When Auto Save is enabled, the software will Save the project at the interval selected if changes have been made to the project during that time frame. The project is not automatically Saved if changes have not been made to the project since the last Save.

Backup Save Feature

When Backup Save is enabled, a copy of the project is Saved to the indicated folder every time the project has changed and it is Saved, either manually or through Auto Save.

The file is Saved with a .bak9 extension. In order to open the project, change the extension to .eap9.

Note: The previous Backup copy is overwritten with each new Backup Save.


GE Ethernet 90/30 and Rx3i Addressing

Memory Type | Address Range | Bit Specification | Description | Read/Write Type | Data Type
I | 1 to 12288 |  | Input | Read Only | Discrete
Q | 1 to 12288 |  | Output | Read Only | Discrete
T | 1 to 256 |  | Temporary | R/W | Discrete
M | 1 to 12288 |  | Internal | R/W | Discrete
S | 1 to 128 |  | System State | Read Only | Discrete
SA | 1 to 128 |  | System State | R/W | Discrete
SB | 1 to 128 |  | System State | R/W | Discrete
SC | 1 to 128 |  | System State | R/W | Discrete
G | 1 to 7680 |  | Genius Global Data | R/W | Discrete
AI | 1 to 8192 |  | Analog Input | Read Only | Word
AQ | 1 to 8192 |  | Analog Output | Read Only | Word
R | 1 to 16384 |  | Register | R/W | Word


GE Ethernet 90-30 and Rx3i Protocol Error Codes

The following tables list the Errors that can be generated by the GE 90-30 and Rx3i PLCs when using the SRTP Ethernet Protocol.

These Tables provide reference information for Error Codes displayed by the C-more Touch Panels. If the Error Code is PLC-499, this Error Code identifies an Error that is specific to your PLC model.

For PLC specific Error Codes, make sure you are viewing the correct topic and locate the PLC Specific Errors Table found below.

To see the C-more Touch Panel Errors Table, which provides Error Codes specific to the C-more Touch Panels, click the button provided below.

Note: Addresses are read from or written to as 16 bit blocks by the protocol. As a result addresses reported with an error message show the beginning address of the block that the protocol attempted to read or write.

Therefore, an error for Address Q7 may be displayed as Q1 even though there is no tag associated with Q1 in the C-more panel. The error could be related to any Address used in a C-more tag in the range of Q1 to Q16.

PLC Error Codes

PLC Errors for GE 90-30 and Rx3i SRTP Ethernet Protocol
Error Message | Description | Error Message | Description
0x05c1 | Invalid block state transition. | 0x0c53 | An invalid message type was received when an X-Attach Response was required when re-establishing an existing SNP-X communication session. Communications have not been established.
0x05c2 | The OEM key is NULL (inactive). | 0x0c54 | An invalid Next Message Type value was detected in an X-Attach Response message when re-establishing an existing SNP-X communication session. Communications have not been established.
0x05c3 | Text length does not match traffic type. | 0x0c55 | An invalid response code was detected in an X-Attach Response message when re-establishing an existing SNP-X communication session. Communications have not been established.
0x05c4 | Verify with FA Card or EEPROM failed. | 0x0c56 | An expected X-Attach Response message was not received within the response timeout interval when reestablishing an existing SNP-X communication session. The master has retried the X-Attach message twice without receiving a response. Communications have not been established.
0x05c5 | No tasklevel Rack/Slot configuration to read or delete. | 0x0c60 | A parity error has occurred on an X-Response message.
0x05c6 | Control Program ( CP) tasks exist but requestor not logged into main CP. | 0x0c61 | A framing or overrun error has occurred on an X-Response message.
0x05c7 | Passwords are set to inactive and cannot be enabled or disabled. | 0x0c62 | A BCC (Block Check Code) error has occurred on an X-Response message.
0x05c8 | Password(s) already enabled and cannot be forced inactive. | 0x0c63 | An invalid message type was received when an X-Response message was required.
0x05c9 | Login using nonzero buffer size required for block commands. | 0x0c64 | An invalid next message type value was detected in an X-Response message.
0x05ca | Device is write protected. | 0x0c65 | An invalid response code was detected in an X-Response message.
0x05cb | A comm or write verify error occurred during save or restore. | 0x0c66 | An expected X-Response message was not received within the response time.
0x05cc | Data stored on device has been corrupted and is no longer reliable. | 0x0c70 | A parity error has occurred on an Intermediate Response message.
0x05cd | Attempt was made to read a device but no data has been stored on it. | 0x0c71 | A framing or overrun error has occurred on an Intermediate Response message.
0x05ce | Specified device has insufficient memory to handle request. | 0x0c72 | A BCC (Block Check Code) error has occurred on an Intermediate Response message.
0x05cf | Specified device is not available in the system (not present). | 0x0c73 | An invalid message type was received when an Intermediate Response message was required.
0x05d0 | One or more PLC modules configured have unsupported revision. | 0x0c74 | An invalid next message type value was detected in an Intermediate Response message.
0x05d1 | Packet size or total program size does not match input. | 0x0c75 | An invalid response code was detected in an Intermediate Response message.
0x05d2 | Invalid write mode parameter. | 0x0c76 | An expected Intermediate Response message was not received within the response timeout interval.
0x05d3 | User Program Module ( UPM) read or write exceeded block end. | 0x0d40 | The requested service is not supported by the SNP slave.
0x05d4 | Mismatch of configuration checksum. | 0x0d41 | SNP slave on CMM module requires PLC CPU privilege level 2 to operate. The SNP slave has rejected a request to change to a higher or lower privilege level.
0x05d5 | Invalid block name specified in datagram. | 0x0d42 | SNP Request or Response message exceeds maximum data length of the CMM module. (Total data length for Mailbox and all following Buffer messages is 2048 bytes.) The master must use a smaller data length. Use multiple requests if total data length exceeds the maximum value.
0x05d6 | Total datagram connection memory exceeded. | 0x0d43 | Improper Write Datagram message format. Series 90-70 slave devices use a different format for this message than Series 90-30 or Series 90-20 slave devices. The master must use the proper message format for this SNP slave device. (The SNP master in the CMMmodule sends this message as part of the Establish Datagram COMMREQ command. The datagram has been partially established, but is not usable; the datagram should be cancelled by using the Datagram ID returned by the COMMREQ.)
0x05d7 | Invalid datagram type specified. | 0x0d44 | A datagram error occurred in a Series 90-70 slave device (dual-port error).
0x05d8 | Point length not allowed. | 0x0e01 | Not used.
0x05d9 | Transfer type invalid for this Memory Type selector. | 0x0e02 | The modem command string length exceeds 250 characters.
0x05da | Null pointer to data in Memory Type selector. | 0x0e03 | COMMREQ Data Block Length is too small. Output command string data is missing or incomplete.
0x05db | Invalid Memory Type selector in datagram. | 0x0e04 | Serial output timeout. The CMM module was unable to transmit the modem autodial output from the serial port. (May be due to missing CTS signal when the CMM is configured to use hardware flow control.)
0x05dc | Unable to find connection address. | 0x0e05 | Response was not received from modem. Check modem and cable.
0x05dd | Unable to locate given datagram connection ID. | 0x0e06 | Modem responded with BUSY. Modem is unable to complete the requested connection. Check the local and remote modems and the telephone line.
0x05de | Size of datagram connection invalid. | 0x0e07 | Modem responded with NO CARRIER.
0x05df | Invalid datagram connection address. | 0x0e08 | Modem responded with NO DIALTONE. Modem is unable to complete the requested connection. Check the modem connections and the telephone line.
0x05e0 | Service in process cannot login. | 0x0e09 | Modem responded with ERROR. Modem is unable to complete the requested command. Check the modem command string and modem.
0x05e1 | No I/O configuration to read or delete. | 0x0e0a | Modem responded with RING, indicating that the modem is being called by another modem. Modem is unable to complete the requested command. Retry the modem command at a later time.
0x05e2 | IOS could not delete configuration, or bad type. | 0x0e0b | An unknown response was received from the modem. Modem is unable to complete the requested command. Check the modem command string and modem. The modem response is expected to be either CONNECT or OK.
0x05e3 | CPU revision number does not match. | 0x0f01 | The service request code in an X-Request message is unsupported or invalid at this time. This error may occur if an SNP-X communication session has not been success fully established at the slave device.
0x05e4 | Memory Type for this selector does not exist. | 0x0f02 | Insufficient privilege level in the slave PLC CPU for the requested SNP-X service. Password protection at PLC CPU may be preventing the requested service.
0x05e5 | DOS file area not formatted. | 0x0f03 | Invalid slave memory type in X-Request message.
0x05e6 | CPU model number does not match. | 0x0f04 | Invalid slave memory address or range in X-Request message.
0x05e7 | Configuration is not valid. | 0x0f05 | Invalid data length in X-Request message. Data length must be non-zero, and may not exceed decimal 1000 bytes.
0x05e8 | No user memory is available to allocate. | 0x0f06 | X-Buffer data length does not match the service request in X-Request message. The X-Buffer message length is obtained from the Next Message Length field in the X-Request message; the length of the data within the buffer message is always the message length.
0x05e9 | Memory Type selector not valid in context. | 0x0f07 | Queue Full indication from Service Request Processor in slave PLC CPU. The slave is temporarily unable to complete the service request. The master should try again later. It is recommended that the master wait at least 10 msec before repeating the X-Request.
0x05ea | Not logged in to process service request. | 0x0f08 | Service Request Processor response exceeds 1000 bytes; the SNP-X slave device cannot return the data in an X-Response message. (This error applies to CMM module only.)
0x05eb | Task unable to be deleted. | 0x0f10 | Unexpected Service Request Processor error. (This error applies to CMM module only; the unexpected SRP error code is saved in the Diagnostic Status Words in the CMM module.)
0x05ec | Task unable to be created. | 0x0f15 | Requested service is not permitted in a Broadcast request. The master must direct the X-Request message to a specific SNP-X slave device.
0x05ed | VME bus error encountered. | 0x0f20 | Invalid Message Type field in a received X-Request message. The message type of an X-Request message must be 58h = X.
0x05ee | Could not return block sizes. | 0x0f21 | Invalid Next Message Type or Next Message Length field in a received X Request message. If this request does not use a buffer (0-2 bytes of data), the Next Message Type must be zero. If this request will be followed with a buffer message (more than 2 byte.)), the Next Message Type must be 54h = T, and the Next Message Length must specify the length of the X-Buffer message. Valid X-Buffer message lengths are 9-1008 bytes (data length plus 8 bytes).
0x05ef | Programmer is already attached. | 0x0f22 | Invalid Message Type field in a received X-Buffer message. The message type of an X-Buffer message must be 54h = T.
0x05f0 | Request only valid in stop mode. | 0x0f23 | Invalid Next Message Type field in a received X-Buffer message. Since an X-Buffer message is never followed by another message, the Next Message Type must always be zero.
0x05f1 | Request only valid from programmer. | 0x0f40 | Serial output timeout. The slave was unable to transmit an SNP-X message from the serial port. (May be due to missing CTS signal when the CMM module is configured to use hardware flow control.)
0x05f2 | Invalid program cannot log in. | 0x0f41 | An SNP-X request was aborted prior to completion due to reception of a Break.
0x05f3 | I/O configuration mismatch. | 0x0f42 | An X-Buffer message was received containing greater than 1000 bytes of data. The data is ignored.
0x05f4 | Invalid input parameter in request. | 0x0f43 | The SNP-X slave did not receive a response from the Service Request Processor in the PLC CPU.
0x05f5 | Invalid password. | 0x0f44 | PLC backplane communications error.
0x05f6 | Invalid sweep state to set. | 0x0f50 | A parity error has occurred in a received X-Attach message.
0x05f7 | Required to log in to a task for service. | 0x0f51 | A framing or overrun error has occurred in a received X-Attach message.
0x05f8 | Invalid Task Name referenced. | 0x0f52 | A BCC (Block Check Code) error has occurred in a received X-Attach message.
0x05f9 | Task address out of range. | 0x0f53 | An invalid Message Type was received when an X-Attach message was required. (For an X-Attach message, the message type must be 58h = T.)
0x05fa | Cannot replace I/O module. | 0x0f54 | An invalid Next Message Type value was detected in a received X-Attach message. (For an X-Attach message, the Next Message Length must be zero.)
0x05fb | Cannot clear I/O configuration. | 0x0f55 | An invalid request code was detected in a received X-Attach message.
0x05fc | I/O configuration is invalid. | 0x0f60 | A parity error has occurred in a received X-Request message.
0x05fd | Unable to perform auto configuration. | 0x0f61 | A framing or overrun error has occurred in a received X-Request message.
0x05fe | No privilege for attempted operation. | 0x0f62 | A BCC (Block Check Code) error has occurred in a received X-Request message.
0x05ff | Service Request Error has been aborted. | 0x0f70 | A parity error has occurred in a received X-Buffer message.
0x0a8d | Bad DOS Version. Must have DOS 2.0, or later, to support the SNP DOS Driver. | 0x0f71 | A framing or overrun error has occurred in a received X-Buffer message.
0x0a8e | PC Serial port configured for SNP Master driver is not open; no communication can take place. | 0x0f72 | A BCC(Block Check Code) error has occurred in a received X-Buffer message.
0x0a8f | OutofSequence SNP message. SNP message type received was not the type expected. | 0x0f73 | An expected X-Buffer message was not received.
0x0a90 | Bad SNP BCC encountered. Transmission was aborted after maximum retries due to a bad Block Check Code. | 0x1302 | Unsupported COMMREQ. These errors are only generated when there is no protocol currently being run on a port, and the port receives a COMMREQ. (The port may be disabled or an error has occurred in processing a new configuration).
0x0a91 | Bad SNP communication. Transmission was aborted after maximum retries due to serial errors (that is, parity, overrun, or framing errors). | 0x1303 | Invalid COMMREQ length.
0x0a92 | No SNP communication. Either communication has been lost or a communication session has not been established. | 0x1304 | Invalid COMMREQ status word location.
0x0c01 | WAIT-type COMMREQ is not permitted; must use NOW AIT-type. | 0x1305 | Invalid COMMREQ data.
0x0c02 | COMMREQ command is not supported. | 0x0c52 | A BCC (Block Check Code) error has occurred on an X-Attach Response message when re-establishing an existing SNP-X communication session. Communications have not been established.
0x0c03 | SNP communication is not active. Must initiate a new SNP communication by sending an Attach or Long Attach COMMREQ. | 0x0c53 | An invalid message type was received when an X-Attach Response was required when re-establishing an existing SNP-X communication session. Communications have not been established.
0x0c04 | SNP slave did not respond to Attach message from master. | 0x0c54 | An invalid Next Message Type value was detected in an X-Attach Response message when re-establishing an existing SNP-X communication session. Communications have not been established.
0x0c05 | Unable to write SNP Status Word to local PLC memory; may be due to invalid Status Word memory type or address. | 0x0c55 | An invalid response code was detected in an X-Attach Response message when re-establishing an existing SNP-X communication session. Communications have not been established.
0x0c06 | Master device memory type is not valid in this PLC. | 0x0c56 | An expected X-Attach Response message was not received within the response timeout interval when reestablishing an existing SNP-X communication session. The master has retried the X-Attach message twice without receiving a response. Communications have not been established.
0x0c07 | Master device memory address or length is zero. | 0x0c60 | A parity error has occurred on an X-Response message.
0x0c08 | Unable to read or write master device memory locations specified in COMMREQ. Usually caused by invalid memory address for this PLC. SNP message exchange may have taken place. | 0x0c61 | A framing or overrun error has occurred on an X-Response message.
0x0c09 | Master device memory data length exceeds maximum data size of CMM module (2048 bytes). Must use a smaller data length. Use multiple COMMREQs if total data length exceeds this maximum value. | 0x0c62 | A BCC (Block Check Code) error has occurred on an X-Response message.
0x0c0a | Slave device memory type is missing or not valid. | 0x0c63 | An invalid message type was received when an X-Response message was required.
0x0c0b | Slave device memory address is missing or zero. | 0x0c64 | An invalid next message type value was detected in an X-Response message.
0x0c0c | COMMREQ Data Block Length is too small. Output command string data is missing or incomplete. (When expected COMMREQ length is 6 words or less. An improper length may cause other minor error codes 6-11.) | 0x0c65 | An invalid response code was detected in an X-Response message.
0x0c0d | Invalid Diagnostic Status Word ( DSW) starting word or length. | 0x0c66 | An expected X-Response message was not received within the response time.
0x0c0e | Invalid maximum SNP message data size. Must be an even value from 42 to 2048. | 0x0c70 | A parity error has occurred on an Intermediate Response message.
0x0c0f | Invalid Privilege Level. Must be 0 through 4 or -1. | 0x0c71 | A framing or overrun error has occurred on an Intermediate Response message.
0x0c10 | Invalid Fault Table selector. Must be 1 for I/O Fault Table, or 2 for PLC Fault Table. | 0x0c72 | A BCC (Block Check Code) error has occurred on an Intermediate Response message.
0x0c11 | Invalid Fault Table starting index. Must be 1-32 for I/O Fault Table, or 1-16 for PLC. | 0x0c73 | An invalid message type was received when an Intermediate Response message was required.
0x0c12 | Invalid fault count. Must be 1-32 for I/O Fault Table, or 1-16 for PLC Fault Table. | 0x0c74 | An invalid next message type value was detected in an Intermediate Response message.
0x0c13 | Invalid Set PLC Date/Time mode. Must be 1-4. | 0x0c75 | An invalid response code was detected in an Intermediate Response message.
0x0c14 | Invalid Set PLC Date/Time date, time, or day-of-week value. | 0x0c76 | An expected Intermediate Response message was not received within the response timeout interval.
0x0c15 | Unable to retrieve master device PLC time/date from PLC CPU. | 0x0d40 | The requested service is not supported by the SNP slave.
0x0c16 | Invalid slave PLC type. Must be 0 for Series 90-70, or 1 for Series 90-30 or Series 90-20. | 0x0d41 | SNP slave on CMM module requires PLC CPU privilege level 2 to operate. The SNP slave has rejected a request to change to a higher or lower privilege level.
0x0c17 | Invalid datagram type. Must be 01h for normal datagram, or 81h (129) for permanent datagram. | 0x0d42 | SNP Request or Response message exceeds maximum data length of the CMM module. (Total data length for Mailbox and all following Buffer messages is 2048 bytes.) The master must use a smaller data length. Use multiple requests if total data length exceeds the maximum value.
0x0c18 | Missing or too many datagram point formats. Must be 1-32. | 0x0d43 | Improper Write Datagram message format. Series 90-70 slave devices use a different format for this message than Series 90-30 or Series 90-20 slave devices. The master must use the proper message format for this SNP slave device. (The SNP master in the CMMmodule sends this message as part of the Establish Datagram COMMREQ command. The datagram has been partially established, but is not usable; the datagram should be cancelled by using the Datagram ID returned by the COMMREQ.)
0x0c19 | Invalid datagram point format data. | 0x0d44 | A datagram error occurred in a Series 90-70 slave device (dual-port error).
0x0c1a | Datagram area size is too small to include data for all specified point formats. | 0x0e01 | Not used.
0x0c1b | Invalid number of Control Program Names. Must be 1-8. | 0x0e02 | The modem command string length exceeds 250 characters.
0x0c1c | SNP-X Request exceeds maximum data size (1000 bytes). Must use a smaller data length. Use multiple COMMREQs if necessary. | 0x0e03 | COMMREQ Data Block Length is too small. Output command string data is missing or incomplete.
0x0c1d | Invalid SNP-X communication session type. Must be 0 for a single slave device, or 1 for multiple slave devices. | 0x0e04 | Serial output timeout. The CMM module was unable to transmit the modem autodial output from the serial port. (May be due to missing CTS signal when the CMM is configured to use hardware flow control.)
0x0c1e | Illegal destination SNP ID specified for SNP-X slave. Must be 0-7 ASCII characters, plus a terminating null character (00h). The Null SNP ID (eight bytes of 00h) may be used to specify any single device. The Broadcast SNP ID (eight bytes of FFh) may be use to specify all slave devices on the serial link. | 0x0e05 | Response was not received from modem. Check modem and cable.
0x0c1f | Destination SNP ID does not match SNP-X session type. The Broadcast SNP ID is not permitted in a single-slave SNP-X session. The Null SNP ID is not permitted in a multiple-slave SNP-X session. | 0x0e06 | Modem responded with BUSY. Modem is unable to complete the requested connection. Check the local and remote modems and the telephone line.
0x0c20 | Inactivity timeout (T3). The SNP slave has not received any new SNP messages within the configured T3 time interval. | 0x0e07 | Modem responded with NO CARRIER.
0x0c21 | A Parity error has occurred on an Attach, Attach Response, or Update Realtime Datagram message. Communications have not been established. | 0x0e08 | Modem responded with NO DIALTONE. Modem is unable to complete the requested connection. Check the modem connections and the telephone line.
0x0c22 | A BCC (Block Check Code) error has occurred on an Attach, Attach Response, or Update Realtime Datagram message. Communications have not been established. | 0x0e09 | Modem responded with ERROR. Modem is unable to complete the requested command. Check the modem command string and modem.
0x0c23 | A Framing or Overrun serial error has occurred on an Attach, Attach Response, or Update Realtime Datagram message. Communications have not been established. | 0x0e0a | Modem responded with RING, indicating that the modem is being called by another modem. Modem is unable to complete the requested command. Retry the modem command at a later time.
0x0c24 | An invalid SNP message type was received when an Attach, Attach Response, or Update Realtime Datagram message was required. Communications have not been established. | 0x0e0b | An unknown response was received from the modem. Modem is unable to complete the requested command. Check the modem command string and modem. The modem response is expected to be either CONNECT or OK.
0x0c25 | An invalid next message length value was specified in an Attach, Attach Response, or Update Realtime Datagram message. Communications have not been established. | 0x0f01 | The service request code in an X-Request message is unsupported or invalid at this time. This error may occur if an SNP-X communication session has not been success fully established at the slave device.
0x0c26 | An unexpected SNP message type was received when an Attach, Attach Response, or Update Realtime Datagram was required. Communications have not been established. | 0x0f02 | Insufficient privilege level in the slave PLC CPU for the requested SNP-X service. Password protection at PLC CPU may be preventing the requested service.
0x0c27 | Another Break was received while SNP slave was waiting for an Attach or Update Realtime Datagram message. | 0x0f03 | Invalid slave memory type in X-Request message.
0x0c28 | An SNP message has been sent and retried the maximum number of times. A maximum of two retries are permitted. A retry is caused by a NAK from the remote SNP device. | 0x0f04 | Invalid slave memory address or range in X-Request message.
0x0c29 | A received SNP message has been NAKed the maximum number of two times. The NAKed message may be retransmitted a maximum of two times. | 0x0f05 | Invalid data length in X-Request message. Data length must be non-zero, and may not exceed decimal 1000 bytes.
0x0c2a | An unknown message was received when an acknowledge ( ACK or NAK) was required. | 0x0f06 | X-Buffer data length does not match the service request in X-Request message. The X-Buffer message length is obtained from the Next Message Length field in the X-Request message; the length of the data within the buffer message is always the message length.
0x0c2b | Sequence Error. An unexpected SNP message type was received. | 0x0f07 | Queue Full indication from Service Request Processor in slave PLC CPU. The slave is temporarily unable to complete the service request. The master should try again later. It is recommended that the master wait at least 10 msec before repeating the X-Request.
0x0c2c | Received SNP message contains bad next message length value. | 0x0f08 | Service Request Processor response exceeds 1000 bytes; the SNP-X slave device cannot return the data in an X-Response message. (This error applies to CMM module only.)
0x0c2d | Acknowledge timeout. An acknowledge ( ACK or NAK) was not received within the configured T2 time interval. A slave device may generate this error if the master device has aborted after maximum response NAKs and does not NAK the next response retry. | 0x0f10 | Unexpected Service Request Processor error. (This error applies to CMM module only; the unexpected SRP error code is saved in the Diagnostic Status Words in the CMM module.)
0x0c2e | Response timeout. The SNP Master did not receive an SNP Response message within the configured T5 time interval. | 0x0f15 | Requested service is not permitted in a Broadcast request. The master must direct the X-Request message to a specific SNP-X slave device.
0x0c2f | Buffer message timeout. An expected Text Buffer or Connection Data message was not received within the configured T5 time interval. | 0x0f20 | Invalid Message Type field in a received X-Request message. The message type of an X-Request message must be 58h = X.
0x0c30 | Serial output timeout. The CMM module was unable to transmit a Break, an SNP message, or SNP acknowledge ( ACK or NAK) from the serial port. (May be due to missing CTS signal when the CMM module is configured to use hardware flow control.) | 0x0f21 | Invalid Next Message Type or Next Message Length field in a received X Request message. If this request does not use a buffer (0-2 bytes of data), the Next Message Type must be zero. If this request will be followed with a buffer message (more than 2 byte.)), the Next Message Type must be 54h = T, and the Next Message Length must specify the length of the X-Buffer message. Valid X-Buffer message lengths are 9-1008 bytes (data length plus 8 bytes).
0x0c31 | SNP slave did not receive a response from the Service Request Processor in the PLC CPU. | 0x0f22 | Invalid Message Type field in a received X-Buffer message. The message type of an X-Buffer message must be 54h = T.
0x0c32 | COMMREQ timeout. The COMMREQ did not complete within the configured time interval. | 0x0f23 | Invalid Next Message Type field in a received X-Buffer message. Since an X-Buffer message is never followed by another message, the Next Message Type must always be zero.
0x0c33 | An SNP Request or Response was aborted prior to completion due to reception of a Break. | 0x0f40 | Serial output timeout. The slave was unable to transmit an SNP-X message from the serial port. (May be due to missing CTS signal when the CMM module is configured to use hardware flow control.)
0x0c34 | PLC backplane communications error. | 0x0f41 | An SNP-X request was aborted prior to completion due to reception of a Break.
0x0c35 | Invalid Piggyback Status data memory type or address. Communications have not been established. | 0x0f42 | An X-Buffer message was received containing greater than 1000 bytes of data. The data is ignored.
0x0c36 | Invalid SNP Slave SNP ID. Must be a 0-7 ASCII characters, plus a terminating null character (00h). The Null SNP ID (eight bytes of 00h) may be used to specify any single slave device. | 0x0f43 | The SNP-X slave did not receive a response from the Service Request Processor in the PLC CPU.
0x0c37 | The SNP master has received a response message containing an unexpected data length. Usually indicates a problem with the remote SNP slave device. May occur when Series 90-70 commands (Task Memory or Program Block Memory Read/Write) are issued to a Series 90-30 slave device. | 0x0f44 | PLC backplane communications error.
0x0c38 | Response code in received SNP-X response message does not match expected value. (Response code must equal the request code +80h.) | 0x0f50 | A parity error has occurred in a received X-Attach message.
0x0c39 | SNP-X Response message exceeds maximum data size (decimal 1000 bytes). Data in the Response is ignored. | 0x0f51 | A framing or overrun error has occurred in a received X-Attach message.
0x0c40 | A parity error has occurred on an X-Attach Response message when establishing a new SNP-X communication session. Communications have not been established. | 0x0f52 | A BCC (Block Check Code) error has occurred in a received X-Attach message.
0x0c41 | A framing or overrun error has occurred on an X-Attach Response message when establishing a new SNPX communication session. Communications have not been established. | 0x0f53 | An invalid Message Type was received when an X-Attach message was required. (For an X-Attach message, the message type must be 58h = T.)
0x0c42 | A BCC (Block Check Code) error has occurred on an X-Attach Response message when establishing a new SNP-X communication session. Communications have not been established. | 0x0f54 | An invalid Next Message Type value was detected in a received X-Attach message. (For an X-Attach message, the Next Message Length must be zero.)
0x0c43 | An invalid message type was received when an X-Attach Response was required when establishing a new SNP-X communication session. Communications have not been established. | 0x0f55 | An invalid request code was detected in a received X-Attach message.
0x0c44 | An invalid next message type value was detected in an X-Attach Response message when establishing a new SNP-X communication session. Communications have not been established. | 0x0f60 | A parity error has occurred in a received X-Request message.
0x0c45 | An invalid response code was detected in an X-Attach Response message when establishing a new SNP-X communication session. Communications have not been established. | 0x0f61 | A framing or overrun error has occurred in a received X-Request message.
0x0c46 | An expected X-Attach Response message was not received within the response timeout interval when establishing a new SNP-X communication session. The master has retried the X-Attach message twice without receiving a response. Communications have not been established. | 0x0f62 | A BCC (Block Check Code) error has occurred in a received X-Request message.
0x0c50 | A parity error has occurred on an X-Attach Response message when re-establishing an existing SNP-X communication session. Communications have not been established. | 0x0f70 | A parity error has occurred in a received X-Buffer message.
0x0c51 | A framing or overrun error has occurred on an X-Attach Response message when re-establishing an existing SNP-X communication session. Communications have not been established. | 0x0f71 | A framing or overrun error has occurred in a received X-Buffer message.
0x0c52 | A BCC (Block Check Code) error has occurred on an X-Attach Response message when re-establishing an existing SNP-X communication session. Communications have not been established. |  |


Save Project As

Save Project As Description

Save Project As allows the user to select a folder to Save the project file.

The Save Project As selection is available from the File Menu located on the Main Menu.

When the user clicks on Save Project As, the window shown below opens. This window also opens when the user clicks on the Save Project selection of the File Menu if the project is being Saved for the first time.

This window allows the user to select a folder to Save the project file by using the Save In field to browse the folders. When the desired folder is located, click on the folder to select it. If a new folder is required, use the Create New Folder Icon [image] available from the window shown above.

Once the folder is selected, click on the field for File Name and type in the name for your new project, followed by clicking on the Save button. The window will close and your new project file is saved.

If this window is accessed by mistake, click on the Cancel button to Close and Cancel this operation.

Related Topics:

Save Project

Save Project As Protected


Screen Option

Accessing Screen Option

There are two methods of accessing the Screen Option function:

  1. Select Screen Option from the Screen Menu, located on the Main Menu and shown below.

  2. Clicking on the Screen Option Icon [image] located on the Screen Tab of the Navigation Window.

Once selected the Screen Option window will open as shown below.

This window provides three tab selections for setup of Screen Options. Each Tab with respective settings are described individually below.

General Tab

When the General Tab is selected, the Screen Option window looks like the figure shown above.

The General Tab offers the following settings or fields:

  • Screen Description: Click in this window and type a Description for this Screen of up to 400 characters.
  • Select Screen Background Color: Click on the icon to open the Color Palette and select a Background Color.

View Tab

When the View Tab is selected, the Screen Option window looks like the figure shown below.

The View Tab offers the following settings or fields:

Use Background Screen: When the checkbox is selected the following two fields activate:

    • Screen Number: Click on the Up or Down arrows [image] to select the Screen Number to use as Background for this Screen.
    • Screen Name: Click on the Down arrow [image] to select the Screen Name to use as Background.

Preview: The Preview provides a visual display of the screen as options are selected.

Password Tab

The Password Tab setup allows the user to configure a Password requirement when a Screen is selected. This allows the programmer to setup a screen that can only be used by authorized individuals.

When the Password Tab is selected, the Screen Option window looks like the figure shown below.

The Password Tab offers the following settings:

  • Password Option: When Password Option is selected, the groups who will be allowed to access the screen can be selected.

    If all group passwords will allow access to the screen, the Enable All Passwords checkbox selects all Groups (a convenience to the programmer).

    Click on this checkbox to add Password requirements for this Screen. To assign Passwords for a group of individuals, select a checkbox or checkboxes for the groups and click on Configure Password to setup the Password.